;;; ucs-enclosed-cjk.el --- UCS table of Enclosed CJK Letters and Months

;; Copyright (C) 1998 MORIOKA Tomohiko.

;; Author: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;; Keywords: ISO/IEC 10646, Unicode, charset, MULE,
;;           Enclosed CJK Letters and Months

;; This file is part of XEmacs-UCS.

;; XEmacs-UCS is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published
;; by the Free Software Foundation; either version 2, or (at your
;; option) any later version.

;; XEmacs-UCS is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with XEmacs; see the file COPYING.  If not, write to the Free
;; Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
;; 02111-1307, USA.

;;; Code:

(require 'ucs-util)

(ucs-set-char #x3200 ?$(C)1(B) ; KS0-C-2931
(ucs-set-char #x3201 ?$(C)2(B) ; KS0-C-2932
(ucs-set-char #x3202 ?$(C)3(B) ; KS0-C-2933
(ucs-set-char #x3203 ?$(C)4(B) ; KS0-C-2934
(ucs-set-char #x3204 ?$(C)5(B) ; KS0-C-2935
(ucs-set-char #x3205 ?$(C)6(B) ; KS0-C-2936
(ucs-set-char #x3206 ?$(C)7(B) ; KS0-C-2937
(ucs-set-char #x3207 ?$(C)8(B) ; KS0-C-2938
(ucs-set-char #x3208 ?$(C)9(B) ; KS0-C-2939
(ucs-set-char #x3209 ?$(C):(B) ; KS0-C-293A
(ucs-set-char #x320A ?$(C);(B) ; KS0-C-293B
(ucs-set-char #x320B ?$(C)<(B) ; KS0-C-293C
(ucs-set-char #x320C ?$(C)=(B) ; KS0-C-293D
(ucs-set-char #x320D ?$(C)>(B) ; KS0-C-293E
(ucs-set-char #x320E ?$(C)?(B) ; KS0-C-293F
(ucs-set-char #x320F ?$(C)@(B) ; KS0-C-2940
(ucs-set-char #x3210 ?$(C)A(B) ; KS0-C-2941
(ucs-set-char #x3211 ?$(C)B(B) ; KS0-C-2942
(ucs-set-char #x3212 ?$(C)C(B) ; KS0-C-2943
(ucs-set-char #x3213 ?$(C)D(B) ; KS0-C-2944
(ucs-set-char #x3214 ?$(C)E(B) ; KS0-C-2945
(ucs-set-char #x3215 ?$(C)F(B) ; KS0-C-2946
(ucs-set-char #x3216 ?$(C)G(B) ; KS0-C-2947
(ucs-set-char #x3217 ?$(C)H(B) ; KS0-C-2948
(ucs-set-char #x3218 ?$(C)I(B) ; KS0-C-2949
(ucs-set-char #x3219 ?$(C)J(B) ; KS0-C-294A
(ucs-set-char #x321A ?$(C)K(B) ; KS0-C-294B
(ucs-set-char #x321B ?$(C)L(B) ; KS0-C-294C
(ucs-set-char #x321C ?$(C"_(B) ; KS0-C-225F
(ucs-set-char #x3220 ?$A"e(B) ; GB0-A-2265
(ucs-set-char #x3221 ?$A"f(B) ; GB0-A-2266
(ucs-set-char #x3222 ?$A"g(B) ; GB0-A-2267
(ucs-set-char #x3223 ?$A"h(B) ; GB0-A-2268
(ucs-set-char #x3224 ?$A"i(B) ; GB0-A-2269
(ucs-set-char #x3225 ?$A"j(B) ; GB0-A-226A
(ucs-set-char #x3226 ?$A"k(B) ; GB0-A-226B
(ucs-set-char #x3227 ?$A"l(B) ; GB0-A-226C
(ucs-set-char #x3228 ?$A"m(B) ; GB0-A-226D
(ucs-set-char #x3229 ?$A"n(B) ; GB0-A-226E
(ucs-set-char #x3260 ?$(C(1(B) ; KS0-C-2831
(ucs-set-char #x3261 ?$(C(2(B) ; KS0-C-2832
(ucs-set-char #x3262 ?$(C(3(B) ; KS0-C-2833
(ucs-set-char #x3263 ?$(C(4(B) ; KS0-C-2834
(ucs-set-char #x3264 ?$(C(5(B) ; KS0-C-2835
(ucs-set-char #x3265 ?$(C(6(B) ; KS0-C-2836
(ucs-set-char #x3266 ?$(C(7(B) ; KS0-C-2837
(ucs-set-char #x3267 ?$(C(8(B) ; KS0-C-2838
(ucs-set-char #x3268 ?$(C(9(B) ; KS0-C-2839
(ucs-set-char #x3269 ?$(C(:(B) ; KS0-C-283A
(ucs-set-char #x326A ?$(C(;(B) ; KS0-C-283B
(ucs-set-char #x326B ?$(C(<(B) ; KS0-C-283C
(ucs-set-char #x326C ?$(C(=(B) ; KS0-C-283D
(ucs-set-char #x326D ?$(C(>(B) ; KS0-C-283E
(ucs-set-char #x326E ?$(C(?(B) ; KS0-C-283F
(ucs-set-char #x326F ?$(C(@(B) ; KS0-C-2840
(ucs-set-char #x3270 ?$(C(A(B) ; KS0-C-2841
(ucs-set-char #x3271 ?$(C(B(B) ; KS0-C-2842
(ucs-set-char #x3272 ?$(C(C(B) ; KS0-C-2843
(ucs-set-char #x3273 ?$(C(D(B) ; KS0-C-2844
(ucs-set-char #x3274 ?$(C(E(B) ; KS0-C-2845
(ucs-set-char #x3275 ?$(C(F(B) ; KS0-C-2846
(ucs-set-char #x3276 ?$(C(G(B) ; KS0-C-2847
(ucs-set-char #x3277 ?$(C(H(B) ; KS0-C-2848
(ucs-set-char #x3278 ?$(C(I(B) ; KS0-C-2849
(ucs-set-char #x3279 ?$(C(J(B) ; KS0-C-284A
(ucs-set-char #x327A ?$(C(K(B) ; KS0-C-284B
(ucs-set-char #x327B ?$(C(L(B) ; KS0-C-284C
(ucs-set-char #x327F ?$(C"^(B) ; KS0-C-225E
(ucs-set-char #x32A3 ?$(G"!(B) ; C01-G-2221

;;; ucs-enclosed-cjk.el ends here
