;;; ucs-cjk.el --- UCS table of CJK Unified Ideographs

;; Copyright (C) 1998 MORIOKA Tomohiko.

;; Author: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;; Keywords: ISO/IEC 10646, Unicode, charset, MULE, CJK Unified Ideographs

;; This file is part of XEmacs-UCS.

;; XEmacs-UCS is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published
;; by the Free Software Foundation; either version 2, or (at your
;; option) any later version.

;; XEmacs-UCS is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with XEmacs; see the file COPYING.  If not, write to the Free
;; Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
;; 02111-1307, USA.

;;; Code:

(require 'ucs-util)


;;; R001 (one)

(ucs-define-ideograph #x4E00 001 00
		      ?$B0l(B ; J83-B-306C
		      ?$@0l(B ; J78-@-306C
		      ?$AR;(B ; GB0-A-523B
		      ?$(Cli(B ; KS0-C-6C69
		      ?$(GD!(B ; C01-G-4421
		      )

(ucs-define-ideograph #x4E01 001 01
		      ?$BCz(B ; J83-B-437A
		      ?$@Cz(B ; J78-@-437A
		      ?$A6!(B ; GB0-A-3621
		      ?$(CoK(B ; KS0-C-6F4B
		      ?$(GD#(B ; C01-G-4423
		      )
(ucs-define-ideograph #x4E02 001 01
		      ?$(D0!(B ; J90-D-3021
		      ?$(J!&(B ; C04-J-2126
		      )
(ucs-define-ideograph #x4E03 001 01
		      ?$B<7(B ; J83-B-3C37
		      ?$@<7(B ; J78-@-3C37
		      ?$AF_(B ; GB0-A-465F
		      ?$(CvR(B ; KS0-C-7652
		      ?$(GD$(B ; C01-G-4424
		      )
(ucs-define-ideograph #x4E04 001 01
		      ?$(D0"(B ; J90-D-3022
		      ?$(I!&(B ; C03-I-2126
		      )
(ucs-define-ideograph #x4E05 001 01
		      ?$(D0#(B ; J90-D-3023
		      ?$(I!%(B ; C03-I-2125
		      )

(ucs-define-ideograph #x4E07 001 02
		      ?$BK|(B ; J83-B-4B7C
		      ?$@K|(B ; J78-@-4B7C
		      ?$AMr(B ; GB0-A-4D72
		      ?$(CX2(B ; KS0-C-5832
		      ?$(H!&(B ; C02-H-2126
		      )
(ucs-define-ideograph #x4E08 001 02
		      ?$(Cm[(B ; KS0-C-6D5B
		      ?$@>f(B ; J78-@-3E66
		      ?$AUI(B ; GB0-A-5549
		      ?$B>f(B ; J83-B-3E66
		      ?$(GD7(B ; C01-G-4437
		      ;;?$(I!D(B ; C03-I-2144
		      )
(ucs-define-ideograph #x4E09 001 02
		      ?$B;0(B ; J83-B-3B30
		      ?$@;0(B ; J78-@-3B30
		      ?$AH}(B ; GB0-A-487D
		      ?$(C_2(B ; KS0-C-5F32
		      ?$(GD5(B ; C01-G-4435
		      )
(ucs-define-ideograph #x4E0A 001 02
		      ?$B>e(B ; J83-B-3E65
		      ?$@>e(B ; J78-@-3E65
		      ?$AIO(B ; GB0-A-494F
		      ?$(C_>(B ; KS0-C-5F3E
		      ?$(GD8(B ; C01-G-4438
		      )
(ucs-define-ideograph #x4E0B 001 02
		      ?$B2<(B ; J83-B-323C
		      ?$@2<(B ; J78-@-323C
		      ?$AOB(B ; GB0-A-4F42
		      ?$(Cy;(B ; KS0-C-793B
		      ?$(GD6(B ; C01-G-4436
		      )
(ucs-define-ideograph #x4E0C 001 02
		      ?$(D0$(B ; J90-D-3024
		      ?$(H!'(B ; C02-H-2127
		      ?$AX"(B ; GB0-A-5822
		      )

(ucs-define-ideograph #x4E0D 001 03
		      ?$BIT(B ; J83-B-4954
		      ?$@IT(B ; J78-@-4954
		      ?$A2;(B ; GB0-A-323B
		      ?$(C\t(B ; KS0-C-5C74
		      ?$(GDb(B ; C01-G-4462
		      )
(ucs-define-ideograph #x4E0E 001 03
		      ?$(H!/(B ; C02-H-212F
		      ?$ASk(B ; GB0-A-536B
		      ;; ?$@M?(B ; J78-@-4D3F
		      ;; ?$BM?(B ; J83-B-4D3F
		      )
(ucs-define-ideograph #x4E0F 001 03
		      ?$(H!-(B ; C02-H-212D
		      )
(ucs-define-ideograph #x4E10 001 03
		      ?$BP"(B ; J83-B-5022
		      ?$@P"(B ; J78-@-5022
		      ?$AX$(B ; GB0-A-5824
		      ?$(GDa(B ; C01-G-4461
		      )
(ucs-define-ideograph #x4E11 001 03
		      ?$@1/(B ; J78-@-312F
		      ?$B1/(B ; J83-B-312F
		      ?$(Cud(B ; KS0-C-7564
		      ?$(GD`(B ; C01-G-4460
		      ;;?$A3s(B ; GB0-A-3373
		      )
(ucs-define-ideograph #x4E12 001 03
		      ?$(D0%(B ; J90-D-3025
		      ?$(J!9(B ; C04-J-2139
		      )
(ucs-define-ideograph #x4E13 001 03
		      ?$AW((B ; GB0-A-5728
		      )

(ucs-define-ideograph #x4E14 001 04
		      ?$B3n(B ; J83-B-336E
		      ?$@3n(B ; J78-@-336E
		      ?$AGR(B ; GB0-A-4752
		      ?$(Cs&(B ; KS0-C-7326
		      ?$(GEb(B ; C01-G-4562
		      )
(ucs-define-ideograph #x4E15 001 04
		      ?$BP#(B ; J83-B-5023
		      ?$@P#(B ; J78-@-5023
		      ?$AX'(B ; GB0-A-5827
		      ?$(C]`(B ; KS0-C-5D60
		      ?$(GEa(B ; C01-G-4561
		      )
(ucs-define-ideograph #x4E16 001 04
		      ?$B@$(B ; J83-B-4024
		      ?$@@$(B ; J78-@-4024
		      ?$AJ@(B ; GB0-A-4A40
		      ?$(Ca&(B ; KS0-C-6126
		      ?$(GE`(B ; C01-G-4560
		      )
(ucs-define-ideograph #x4E17 001 04
		      ?$BRB(B ; J83-B-5242
		      ?$@RB(B ; J78-@-5242
		      ?$(J!U(B ; C04-J-2155
		      )
(ucs-set-char #x4E18 ?$AGp(B) ; GB0-A-4770
(ucs-set-char #x4E18 ?$(CNx(B) ; KS0-C-4E78
(ucs-set-char #x4E18 ?$(GEc(B) ; C01-G-4563
(ucs-set-char #x4E18 ?$@5V(B) ; J78-@-3556
(ucs-set-char #x4E18 ?$B5V(B) ; J83-B-3556

(ucs-set-char #x4E19 ?$A1{(B) ; GB0-A-317B
(ucs-set-char #x4E19 ?$(C\0(B) ; KS0-C-5C30
(ucs-set-char #x4E19 ?$(GE_(B) ; C01-G-455F
(ucs-set-char #x4E19 ?$@J:(B) ; J78-@-4A3A
(ucs-set-char #x4E19 ?$BJ:(B) ; J83-B-4A3A

(ucs-set-char #x4E1A ?$AR5(B) ; GB0-A-5235

(ucs-set-char #x4E1B ?$A4T(B) ; GB0-A-3454

(ucs-set-char #x4E1C ?$A6+(B) ; GB0-A-362B

(ucs-set-char #x4E1D ?$AK?(B) ; GB0-A-4B3F

(ucs-set-char #x4E1E ?$AX)(B) ; GB0-A-5829
(ucs-set-char #x4E1E ?$(Cc*(B) ; KS0-C-632A
(ucs-set-char #x4E1E ?$(GG"(B) ; C01-G-4722
(ucs-set-char #x4E1E ?$@>g(B) ; J78-@-3E67
(ucs-set-char #x4E1E ?$B>g(B) ; J83-B-3E67

(ucs-set-char #x4E1F ?$(GG#(B) ; C01-G-4723
(ucs-set-char #x4E1F ?$(D0&(B) ; J90-D-3026

(ucs-set-char #x4E20 ?$(I"b(B) ; C03-I-2262

(ucs-set-char #x4E21 ?$(I"a(B) ; C03-I-2261
(ucs-set-char #x4E21 ?$@N>(B) ; J78-@-4E3E
(ucs-set-char #x4E21 ?$BN>(B) ; J83-B-4E3E

(ucs-set-char #x4E22 ?$A6*(B) ; GB0-A-362A
(ucs-set-char #x4E22 ?$(I"c(B) ; C03-I-2263

(ucs-set-char #x4E23 ?$(J#5(B) ; C04-J-2335
(ucs-set-char #x4E23 ?$(D0'(B) ; J90-D-3027

(ucs-set-char #x4E24 ?$AA=(B) ; GB0-A-413D
(ucs-set-char #x4E24 ?$(I$?(B) ; C03-I-243F
(ucs-set-char #x4E24 ?$(D0((B) ; J90-D-3028

(ucs-set-char #x4E25 ?$AQO(B) ; GB0-A-514F

(ucs-set-char #x4E26 ?$(GKd(B) ; C01-G-4B64
(ucs-set-char #x4E26 ?$@JB(B) ; J78-@-4A42
(ucs-set-char #x4E26 ?$BJB(B) ; J83-B-4A42

(ucs-set-char #x4E27 ?$AI%(B) ; GB0-A-4925


;;; R002 (vertical)

(ucs-set-char #x4E28 ?$AX-(B) ; GB0-A-582D
(ucs-set-char #x4E28 ?$(I!!(B) ; C03-I-2121
(ucs-set-char #x4E28 ?$(D0)(B) ; J90-D-3029

(ucs-set-char #x4E29 ?$(J!'(B) ; C04-J-2127

(ucs-set-char #x4E2A ?$A8v(B) ; GB0-A-3876
(ucs-set-char #x4E2A ?$(I!,(B) ; C03-I-212C
(ucs-set-char #x4E2A ?$@P$(B) ; J78-@-5024
(ucs-set-char #x4E2A ?$BP$(B) ; J83-B-5024

(ucs-set-char #x4E2B ?$(GD9(B) ; C01-G-4439
(ucs-set-char #x4E2B ?$(D0*(B) ; J90-D-302A

(ucs-set-char #x4E2B ?$AQ>(B) ; GB0-A-513E

(ucs-set-char #x4E2C ?$Ac\(B) ; GB0-A-635C

(ucs-set-char #x4E2D ?$AVP(B) ; GB0-A-5650
(ucs-set-char #x4E2D ?$(Cqi(B) ; KS0-C-7169
(ucs-set-char #x4E2D ?$(GDc(B) ; C01-G-4463
(ucs-set-char #x4E2D ?$@Cf(B) ; J78-@-4366
(ucs-set-char #x4E2D ?$BCf(B) ; J83-B-4366

(ucs-set-char #x4E2E ?$(H!0(B) ; C02-H-2130
(ucs-set-char #x4E2E ?$(D0+(B) ; J90-D-302B

(ucs-set-char #x4E2F ?$(J!:(B) ; C04-J-213A
(ucs-set-char #x4E2F ?$(D0,(B) ; J90-D-302C

(ucs-set-char #x4E30 ?$(GDd(B) ; C01-G-4464
(ucs-set-char #x4E30 ?$A7a(B) ; GB0-A-3761
(ucs-set-char #x4E30 ?$(D0-(B) ; J90-D-302D

(ucs-set-char #x4E31 ?$(H!C(B) ; C02-H-2143
(ucs-set-char #x4E31 ?$@P%(B) ; J78-@-5025
(ucs-set-char #x4E31 ?$BP%(B) ; J83-B-5025

(ucs-set-char #x4E32 ?$A4.(B) ; GB0-A-342E
(ucs-set-char #x4E32 ?$(CMz(B) ; KS0-C-4D7A
(ucs-set-char #x4E32 ?$(GHk(B) ; C01-G-486B
(ucs-set-char #x4E32 ?$@6z(B) ; J78-@-367A
(ucs-set-char #x4E32 ?$B6z(B) ; J83-B-367A

(ucs-set-char #x4E33 ?$(H%1(B) ; C02-H-2531

(ucs-set-char #x4E34 ?$AAY(B) ; GB0-A-4159

(ucs-set-char #x4E35 ?$(D0.(B) ; J90-D-302E

(ucs-set-char #x4E35 ?$(J+^(B) ; C04-J-2B5E


;;; R003 (dot)

(ucs-set-char #x4E36 ?$AX<(B) ; GB0-A-583C
(ucs-set-char #x4E36 ?$(I!"(B) ; C03-I-2122
(ucs-set-char #x4E36 ?$@P&(B) ; J78-@-5026
(ucs-set-char #x4E36 ?$BP&(B) ; J83-B-5026

(ucs-set-char #x4E38 ?$AMh(B) ; GB0-A-4D68
(ucs-set-char #x4E38 ?$(C|/(B) ; KS0-C-7C2F
(ucs-set-char #x4E38 ?$(L!1(B) ; C06-L-2131
(ucs-set-char #x4E38 ?$@4](B) ; J78-@-345D
(ucs-set-char #x4E38 ?$B4](B) ; J83-B-345D
;;(ucs-set-char #x4E38 ?$(GD:(B) ; C01-G-443A

(ucs-set-char #x4E39 ?$A5$(B) ; GB0-A-3524
(ucs-set-char #x4E39 ?$(CS!(B) ; KS0-C-5321
(ucs-set-char #x4E39 ?$(GDe(B) ; C01-G-4465
(ucs-set-char #x4E39 ?$@C0(B) ; J78-@-4330
(ucs-set-char #x4E39 ?$BC0(B) ; J83-B-4330

(ucs-set-char #x4E3A ?$AN*(B) ; GB0-A-4E2A

(ucs-set-char #x4E3B ?$AVw(B) ; GB0-A-5677
(ucs-set-char #x4E3B ?$(Cq+(B) ; KS0-C-712B
(ucs-set-char #x4E3B ?$(GEd(B) ; C01-G-4564
(ucs-set-char #x4E3B ?$@<g(B) ; J78-@-3C67
(ucs-set-char #x4E3B ?$B<g(B) ; J83-B-3C67

(ucs-set-char #x4E3C ?$(H!D(B) ; C02-H-2144
(ucs-set-char #x4E3C ?$@P'(B) ; J78-@-5027
(ucs-set-char #x4E3C ?$BP'(B) ; J83-B-5027

(ucs-set-char #x4E3D ?$A@v(B) ; GB0-A-4076
(ucs-set-char #x4E3D ?$(I'@(B) ; C03-I-2740

(ucs-set-char #x4E3E ?$A>Y(B) ; GB0-A-3E59


;;; R004 (diagonal)

(ucs-set-char #x4E3F ?$AX/(B) ; GB0-A-582F
(ucs-set-char #x4E3F ?$(I!#(B) ; C03-I-2123
(ucs-set-char #x4E3F ?$@P((B) ; J78-@-5028
(ucs-set-char #x4E3F ?$BP((B) ; J83-B-5028

(ucs-set-char #x4E40 ?$(J!"(B) ; C04-J-2122
(ucs-set-char #x4E40 ?$(D0/(B) ; J90-D-302F

(ucs-set-char #x4E41 ?$(J!#(B) ; C04-J-2123
(ucs-set-char #x4E41 ?$(D00(B) ; J90-D-3030

(ucs-set-char #x4E42 ?$(H!!(B) ; C02-H-2121
(ucs-set-char #x4E42 ?$(CgQ(B) ; KS0-C-6751
(ucs-set-char #x4E42 ?$@P)(B) ; J78-@-5029
(ucs-set-char #x4E42 ?$BP)(B) ; J83-B-5029

(ucs-set-char #x4E43 ?$ADK(B) ; GB0-A-444B
(ucs-set-char #x4E43 ?$(CR,(B) ; KS0-C-522C
(ucs-set-char #x4E43 ?$(GD%(B) ; C01-G-4425
(ucs-set-char #x4E43 ?$@G5(B) ; J78-@-4735
(ucs-set-char #x4E43 ?$BG5(B) ; J83-B-4735

(ucs-set-char #x4E44 ?$(L!#(B) ; C06-L-2123
(ucs-set-char #x4E44 ?$(D01(B) ; J90-D-3031

(ucs-set-char #x4E45 ?$A>C(B) ; GB0-A-3E43
(ucs-set-char #x4E45 ?$(CNy(B) ; KS0-C-4E79
(ucs-set-char #x4E45 ?$(GD<(B) ; C01-G-443C
(ucs-set-char #x4E45 ?$@5W(B) ; J78-@-3557
(ucs-set-char #x4E45 ?$B5W(B) ; J83-B-3557

(ucs-set-char #x4E46 ?$(I!0(B) ; C03-I-2130

(ucs-set-char #x4E47 ?$AX1(B) ; GB0-A-5831
(ucs-set-char #x4E47 ?$(H!((B) ; C02-H-2128
(ucs-set-char #x4E47 ?$(D02(B) ; J90-D-3032

(ucs-set-char #x4E48 ?$AC4(B) ; GB0-A-4334
(ucs-set-char #x4E48 ?$(GD=(B) ; C01-G-443D

(ucs-set-char #x4E49 ?$ARe(B) ; GB0-A-5265
(ucs-set-char #x4E49 ?$(I!.(B) ; C03-I-212E

(ucs-set-char #x4E4B ?$AV.(B) ; GB0-A-562E
(ucs-set-char #x4E4B ?$(Cq}(B) ; KS0-C-717D
(ucs-set-char #x4E4B ?$(GDf(B) ; C01-G-4466
(ucs-set-char #x4E4B ?$@G7(B) ; J78-@-4737
(ucs-set-char #x4E4B ?$BG7(B) ; J83-B-4737

(ucs-set-char #x4E4C ?$ANZ(B) ; GB0-A-4E5A

(ucs-set-char #x4E4D ?$AU'(B) ; GB0-A-5527
(ucs-set-char #x4E4D ?$(C^?(B) ; KS0-C-5E3F
(ucs-set-char #x4E4D ?$(GEe(B) ; C01-G-4565
(ucs-set-char #x4E4D ?$@Fc(B) ; J78-@-4663
(ucs-set-char #x4E4D ?$BFc(B) ; J83-B-4663

(ucs-set-char #x4E4E ?$A:u(B) ; GB0-A-3A75
(ucs-set-char #x4E4E ?$(C{:(B) ; KS0-C-7B3A
(ucs-set-char #x4E4E ?$(GEg(B) ; C01-G-4567
(ucs-set-char #x4E4E ?$@8C(B) ; J78-@-3843
(ucs-set-char #x4E4E ?$B8C(B) ; J83-B-3843

(ucs-set-char #x4E4F ?$A7&(B) ; GB0-A-3726
(ucs-set-char #x4E4F ?$(GEf(B) ; C01-G-4566
(ucs-set-char #x4E4F ?$(Cy9(B) ; KS0-C-7939
(ucs-set-char #x4E4F ?$@K3(B) ; J78-@-4B33
(ucs-set-char #x4E4F ?$BK3(B) ; J83-B-4B33

(ucs-set-char #x4E50 ?$A@V(B) ; GB0-A-4056

(ucs-set-char #x4E51 ?$(J"'(B) ; C04-J-2227
(ucs-set-char #x4E51 ?$(D03(B) ; J90-D-3033

(ucs-set-char #x4E52 ?$AF9(B) ; GB0-A-4639
(ucs-set-char #x4E52 ?$(GG$(B) ; C01-G-4724

(ucs-set-char #x4E53 ?$AER(B) ; GB0-A-4552
(ucs-set-char #x4E53 ?$(GG%(B) ; C01-G-4725

(ucs-set-char #x4E54 ?$AGG(B) ; GB0-A-4747
(ucs-set-char #x4E54 ?$(I#E(B) ; C03-I-2345

(ucs-set-char #x4E55 ?$@iI(B) ; J78-@-6949
(ucs-set-char #x4E55 ?$BiI(B) ; J83-B-6949

(ucs-set-char #x4E56 ?$A9T(B) ; GB0-A-3954
(ucs-set-char #x4E56 ?$(CNR(B) ; KS0-C-4E52
(ucs-set-char #x4E56 ?$(GKe(B) ; C01-G-4B65
(ucs-set-char #x4E56 ?$@P*(B) ; J78-@-502A
(ucs-set-char #x4E56 ?$BP*(B) ; J83-B-502A

(ucs-set-char #x4E57 ?$(I+"(B) ; C03-I-2B22
(ucs-set-char #x4E57 ?$@>h(B) ; J78-@-3E68
(ucs-set-char #x4E57 ?$B>h(B) ; J83-B-3E68

(ucs-set-char #x4E58 ?$A3K(B) ; GB0-A-334B
(ucs-set-char #x4E58 ?$(Cc+(B) ; KS0-C-632B
(ucs-set-char #x4E58 ?$(GS}(B) ; C01-G-537D
(ucs-set-char #x4E58 ?$@P+(B) ; J78-@-502B
(ucs-set-char #x4E58 ?$BP+(B) ; J83-B-502B


;;; R005 (carve)

(ucs-set-char #x4E59 ?$ARR(B) ; GB0-A-5252
(ucs-set-char #x4E59 ?$(Ck`(B) ; KS0-C-6B60
(ucs-set-char #x4E59 ?$(GD"(B) ; C01-G-4422
(ucs-set-char #x4E59 ?$@25(B) ; J78-@-3235
(ucs-set-char #x4E59 ?$B25(B) ; J83-B-3235

(ucs-set-char #x4E5A ?$(J!$(B) ; C04-J-2124
(ucs-set-char #x4E5A ?$(D04(B) ; J90-D-3034

(ucs-set-char #x4E5C ?$AX?(B) ; GB0-A-583F
(ucs-set-char #x4E5C ?$(H!"(B) ; C02-H-2122
(ucs-set-char #x4E5C ?$(D05(B) ; J90-D-3035

(ucs-set-char #x4E5D ?$(CNz(B) ; KS0-C-4E7A
(ucs-set-char #x4E5D ?$(GD&(B) ; C01-G-4426
(ucs-set-char #x4E5D ?$@6e(B) ; J78-@-3665
(ucs-set-char #x4E5D ?$A>E(B) ; GB0-A-3E45
(ucs-set-char #x4E5D ?$B6e(B) ; J83-B-3665
(ucs-set-char #x4E5E ?$(CKw(B) ; KS0-C-4B77
(ucs-set-char #x4E5E ?$(GD?(B) ; C01-G-443F
(ucs-set-char #x4E5E ?$@8p(B) ; J78-@-3870
(ucs-set-char #x4E5E ?$AFr(B) ; GB0-A-4672
(ucs-set-char #x4E5E ?$B8p(B) ; J83-B-3870
(ucs-set-char #x4E5F ?$(Ce%(B) ; KS0-C-6525
(ucs-set-char #x4E5F ?$(GD>(B) ; C01-G-443E
(ucs-set-char #x4E5F ?$@Li(B) ; J78-@-4C69
(ucs-set-char #x4E5F ?$AR2(B) ; GB0-A-5232
(ucs-set-char #x4E5F ?$BLi(B) ; J83-B-4C69
(ucs-set-char #x4E60 ?$AO0(B) ; GB0-A-4F30
(ucs-set-char #x4E61 ?$AOg(B) ; GB0-A-4F67
(ucs-set-char #x4E62 ?$(I!F(B) ; C03-I-2146
(ucs-set-char #x4E62 ?$@V&(B) ; J78-@-5626
(ucs-set-char #x4E62 ?$BV&(B) ; J83-B-5626
(ucs-set-char #x4E63 ?$(D06(B) ; J90-D-3036
(ucs-set-char #x4E63 ?$(I!E(B) ; C03-I-2145
(ucs-set-char #x4E66 ?$AJi(B) ; GB0-A-4A69
(ucs-set-char #x4E68 ?$(D07(B) ; J90-D-3037
(ucs-set-char #x4E68 ?$(I"d(B) ; C03-I-2264
(ucs-set-char #x4E69 ?$(D08(B) ; J90-D-3038
(ucs-set-char #x4E69 ?$(GG&(B) ; C01-G-4726
(ucs-set-char #x4E69 ?$AX@(B) ; GB0-A-5840
(ucs-set-char #x4E6A ?$(J"((B) ; C04-J-2228
(ucs-set-char #x4E6B ?$(CJa(B) ; KS0-C-4A61
(ucs-set-char #x4E6D ?$(CTL(B) ; KS0-C-544C
(ucs-set-char #x4E70 ?$ABr(B) ; GB0-A-4272
(ucs-set-char #x4E71 ?$(I$@(B) ; C03-I-2440
(ucs-set-char #x4E71 ?$@Mp(B) ; J78-@-4D70
(ucs-set-char #x4E71 ?$ABR(B) ; GB0-A-4252
(ucs-set-char #x4E71 ?$BMp(B) ; J83-B-4D70
(ucs-set-char #x4E73 ?$(Cja(B) ; KS0-C-6A61
(ucs-set-char #x4E73 ?$(GKf(B) ; C01-G-4B66
(ucs-set-char #x4E73 ?$@F}(B) ; J78-@-467D
(ucs-set-char #x4E73 ?$AHi(B) ; GB0-A-4869
(ucs-set-char #x4E73 ?$BF}(B) ; J83-B-467D
(ucs-set-char #x4E74 ?$(D09(B) ; J90-D-3039
(ucs-set-char #x4E74 ?$(J%1(B) ; C04-J-2531
(ucs-set-char #x4E75 ?$(D0:(B) ; J90-D-303A
(ucs-set-char #x4E75 ?$(J%0(B) ; C04-J-2530
(ucs-set-char #x4E76 ?$(C\c(B) ; KS0-C-5C63
(ucs-set-char #x4E77 ?$(C_-(B) ; KS0-C-5F2D
(ucs-set-char #x4E79 ?$(D0;(B) ; J90-D-303B
(ucs-set-char #x4E79 ?$(I+#(B) ; C03-I-2B23
(ucs-set-char #x4E7E ?$(CKk(B) ; KS0-C-4B6B
(ucs-set-char #x4E7E ?$(GXq(B) ; C01-G-5871
(ucs-set-char #x4E7E ?$@4%(B) ; J78-@-3425
(ucs-set-char #x4E7E ?$AG,(B) ; GB0-A-472C
(ucs-set-char #x4E7E ?$B4%(B) ; J83-B-3425
(ucs-set-char #x4E7F ?$(D0<(B) ; J90-D-303C
(ucs-set-char #x4E7F ?$(H3N(B) ; C02-H-334E
(ucs-set-char #x4E80 ?$(I9l(B) ; C03-I-396C
(ucs-set-char #x4E80 ?$@55(B) ; J78-@-3535
(ucs-set-char #x4E80 ?$B55(B) ; J83-B-3535
(ucs-set-char #x4E81 ?$(I9n(B) ; C03-I-396E
(ucs-set-char #x4E82 ?$(CU/(B) ; KS0-C-552F
(ucs-set-char #x4E82 ?$(Gc*(B) ; C01-G-632A
(ucs-set-char #x4E82 ?$@P,(B) ; J78-@-502C
(ucs-set-char #x4E82 ?$BP,(B) ; J83-B-502C
(ucs-set-char #x4E83 ?$(HAV(B) ; C02-H-4156
(ucs-set-char #x4E84 ?$(HAW(B) ; C02-H-4157

(ucs-set-char #x4E85 ?$(I!$(B) ; C03-I-2124
(ucs-set-char #x4E85 ?$@P-(B) ; J78-@-502D
(ucs-set-char #x4E85 ?$BP-(B) ; J83-B-502D

(ucs-set-char #x4E86 ?$(CVu(B) ; KS0-C-5675
(ucs-set-char #x4E86 ?$(GD'(B) ; C01-G-4427
(ucs-set-char #x4E86 ?$@N;(B) ; J78-@-4E3B
(ucs-set-char #x4E86 ?$AAK(B) ; GB0-A-414B
(ucs-set-char #x4E86 ?$BN;(B) ; J83-B-4E3B
(ucs-set-char #x4E87 ?$(I!-(B) ; C03-I-212D
(ucs-set-char #x4E88 ?$(Cex(B) ; KS0-C-6578
(ucs-set-char #x4E88 ?$(GDh(B) ; C01-G-4468
(ucs-set-char #x4E88 ?$@M=(B) ; J78-@-4D3D
(ucs-set-char #x4E88 ?$ASh(B) ; GB0-A-5368
(ucs-set-char #x4E88 ?$BM=(B) ; J83-B-4D3D
(ucs-set-char #x4E89 ?$(I"e(B) ; C03-I-2265
(ucs-set-char #x4E89 ?$@Ah(B) ; J78-@-4168
(ucs-set-char #x4E89 ?$AUy(B) ; GB0-A-5579
(ucs-set-char #x4E89 ?$BAh(B) ; J83-B-4168
(ucs-set-char #x4E8A ?$@P/(B) ; J78-@-502F
(ucs-set-char #x4E8A ?$BP/(B) ; J83-B-502F
(ucs-set-char #x4E8B ?$(C^@(B) ; KS0-C-5E40
(ucs-set-char #x4E8B ?$(GKg(B) ; C01-G-4B67
(ucs-set-char #x4E8B ?$@;v(B) ; J78-@-3B76
(ucs-set-char #x4E8B ?$AJB(B) ; GB0-A-4A42
(ucs-set-char #x4E8B ?$B;v(B) ; J83-B-3B76

(ucs-set-char #x4E8C ?$A6~(B) ; GB0-A-367E
(ucs-set-char #x4E8C ?$(Cl#(B) ; KS0-C-6C23
(ucs-set-char #x4E8C ?$(GD((B) ; C01-G-4428
(ucs-set-char #x4E8C ?$@Fs(B) ; J78-@-4673
(ucs-set-char #x4E8C ?$BFs(B) ; J83-B-4673

(ucs-set-char #x4E8D ?$(D0=(B) ; J90-D-303D
(ucs-set-char #x4E8D ?$(H!)(B) ; C02-H-2129
(ucs-set-char #x4E8D ?$AX!(B) ; GB0-A-5821
(ucs-set-char #x4E8E ?$(CiM(B) ; KS0-C-694D
(ucs-set-char #x4E8E ?$(GD@(B) ; C01-G-4440
(ucs-set-char #x4E8E ?$@P2(B) ; J78-@-5032
(ucs-set-char #x4E8E ?$ASZ(B) ; GB0-A-535A
(ucs-set-char #x4E8E ?$BP2(B) ; J83-B-5032
(ucs-set-char #x4E8F ?$(I!1(B) ; C03-I-2131
(ucs-set-char #x4E8F ?$A?w(B) ; GB0-A-3F77
(ucs-set-char #x4E90 ?$(Cj'(B) ; KS0-C-6A27
(ucs-set-char #x4E91 ?$(Civ(B) ; KS0-C-6976
(ucs-set-char #x4E91 ?$(GDi(B) ; C01-G-4469
(ucs-set-char #x4E91 ?$@1>(B) ; J78-@-313E
(ucs-set-char #x4E91 ?$ATF(B) ; GB0-A-5446
(ucs-set-char #x4E91 ?$B1>(B) ; J83-B-313E
(ucs-set-char #x4E92 ?$(C{;(B) ; KS0-C-7B3B
(ucs-set-char #x4E92 ?$(GDk(B) ; C01-G-446B
(ucs-set-char #x4E92 ?$@8_(B) ; J78-@-385F
(ucs-set-char #x4E92 ?$A;%(B) ; GB0-A-3B25
(ucs-set-char #x4E92 ?$B8_(B) ; J83-B-385F
(ucs-set-char #x4E93 ?$(H!1(B) ; C02-H-2131
(ucs-set-char #x4E93 ?$AXA(B) ; GB0-A-5841
(ucs-set-char #x4E94 ?$(Cgi(B) ; KS0-C-6769
(ucs-set-char #x4E94 ?$(GDl(B) ; C01-G-446C
(ucs-set-char #x4E94 ?$@8^(B) ; J78-@-385E
(ucs-set-char #x4E94 ?$ANe(B) ; GB0-A-4E65
(ucs-set-char #x4E94 ?$B8^(B) ; J83-B-385E
(ucs-set-char #x4E95 ?$(CoL(B) ; KS0-C-6F4C
(ucs-set-char #x4E95 ?$(GDj(B) ; C01-G-446A
(ucs-set-char #x4E95 ?$@0f(B) ; J78-@-3066
(ucs-set-char #x4E95 ?$A>.(B) ; GB0-A-3E2E
(ucs-set-char #x4E95 ?$B0f(B) ; J83-B-3066
(ucs-set-char #x4E96 ?$(D0>(B) ; J90-D-303E
(ucs-set-char #x4E96 ?$(J!;(B) ; C04-J-213B
(ucs-set-char #x4E97 ?$(D0?(B) ; J90-D-303F
(ucs-set-char #x4E97 ?$(I!l(B) ; C03-I-216C
(ucs-set-char #x4E98 ?$(CPf(B) ; KS0-C-5066
(ucs-set-char #x4E98 ?$(I"f(B) ; C03-I-2266
(ucs-set-char #x4E98 ?$@OK(B) ; J78-@-4F4B
(ucs-set-char #x4E98 ?$AX((B) ; GB0-A-5828
(ucs-set-char #x4E98 ?$BOK(B) ; J83-B-4F4B
(ucs-set-char #x4E99 ?$(GG'(B) ; C01-G-4727
(ucs-set-char #x4E99 ?$@OJ(B) ; J78-@-4F4A
(ucs-set-char #x4E99 ?$BOJ(B) ; J83-B-4F4A
(ucs-set-char #x4E9A ?$AQG(B) ; GB0-A-5147
(ucs-set-char #x4E9B ?$(C^A(B) ; KS0-C-5E41
(ucs-set-char #x4E9B ?$(GKh(B) ; C01-G-4B68
(ucs-set-char #x4E9B ?$@:3(B) ; J78-@-3A33
(ucs-set-char #x4E9B ?$AP)(B) ; GB0-A-5029
(ucs-set-char #x4E9B ?$B:3(B) ; J83-B-3A33
(ucs-set-char #x4E9C ?$(I$B(B) ; C03-I-2442
(ucs-set-char #x4E9C ?$@0!(B) ; J78-@-3021
(ucs-set-char #x4E9C ?$B0!(B) ; J83-B-3021
(ucs-set-char #x4E9D ?$(D0@(B) ; J90-D-3040
(ucs-set-char #x4E9D ?$(I'B(B) ; C03-I-2742
(ucs-set-char #x4E9E ?$(Cd,(B) ; KS0-C-642C
(ucs-set-char #x4E9E ?$(GKi(B) ; C01-G-4B69
(ucs-set-char #x4E9E ?$@P3(B) ; J78-@-5033
(ucs-set-char #x4E9E ?$BP3(B) ; J83-B-5033
(ucs-set-char #x4E9F ?$(GOg(B) ; C01-G-4F67
(ucs-set-char #x4E9F ?$@P4(B) ; J78-@-5034
(ucs-set-char #x4E9F ?$AX=(B) ; GB0-A-583D
(ucs-set-char #x4E9F ?$BP4(B) ; J83-B-5034

(ucs-set-char #x4EA0 ?$AYo(B) ; GB0-A-596F
(ucs-set-char #x4EA0 ?$@P5(B) ; J78-@-5035
(ucs-set-char #x4EA0 ?$BP5(B) ; J83-B-5035

(ucs-set-char #x4EA1 ?$(CXL(B) ; KS0-C-584C
(ucs-set-char #x4EA1 ?$(GDA(B) ; C01-G-4441
(ucs-set-char #x4EA1 ?$@K4(B) ; J78-@-4B34
(ucs-set-char #x4EA1 ?$AMv(B) ; GB0-A-4D76
(ucs-set-char #x4EA1 ?$BK4(B) ; J83-B-4B34
(ucs-set-char #x4EA2 ?$(Cyq(B) ; KS0-C-7971
(ucs-set-char #x4EA2 ?$(GDm(B) ; C01-G-446D
(ucs-set-char #x4EA2 ?$@P6(B) ; J78-@-5036
(ucs-set-char #x4EA2 ?$A?:(B) ; GB0-A-3F3A
(ucs-set-char #x4EA2 ?$BP6(B) ; J83-B-5036
(ucs-set-char #x4EA3 ?$(I!G(B) ; C03-I-2147
(ucs-set-char #x4EA4 ?$(CN_(B) ; KS0-C-4E5F
(ucs-set-char #x4EA4 ?$(GG((B) ; C01-G-4728
(ucs-set-char #x4EA4 ?$@8r(B) ; J78-@-3872
(ucs-set-char #x4EA4 ?$A=;(B) ; GB0-A-3D3B
(ucs-set-char #x4EA4 ?$B8r(B) ; J83-B-3872
(ucs-set-char #x4EA5 ?$(Cz$(B) ; KS0-C-7A24
(ucs-set-char #x4EA5 ?$(GG*(B) ; C01-G-472A
(ucs-set-char #x4EA5 ?$@0g(B) ; J78-@-3067
(ucs-set-char #x4EA5 ?$A:%(B) ; GB0-A-3A25
(ucs-set-char #x4EA5 ?$B0g(B) ; J83-B-3067
(ucs-set-char #x4EA6 ?$(Cf2(B) ; KS0-C-6632
(ucs-set-char #x4EA6 ?$(GG)(B) ; C01-G-4729
(ucs-set-char #x4EA6 ?$@Kr(B) ; J78-@-4B72
(ucs-set-char #x4EA6 ?$AR`(B) ; GB0-A-5260
(ucs-set-char #x4EA6 ?$BKr(B) ; J83-B-4B72
(ucs-set-char #x4EA7 ?$A2z(B) ; GB0-A-327A
(ucs-set-char #x4EA8 ?$(Cz{(B) ; KS0-C-7A7B
(ucs-set-char #x4EA8 ?$(GHl(B) ; C01-G-486C
(ucs-set-char #x4EA8 ?$@5|(B) ; J78-@-357C
(ucs-set-char #x4EA8 ?$A:`(B) ; GB0-A-3A60
(ucs-set-char #x4EA8 ?$B5|(B) ; J83-B-357C
(ucs-set-char #x4EA9 ?$AD6(B) ; GB0-A-4436
(ucs-set-char #x4EAB ?$(Cz=(B) ; KS0-C-7A3D
(ucs-set-char #x4EAB ?$(GKj(B) ; C01-G-4B6A
(ucs-set-char #x4EAB ?$@5}(B) ; J78-@-357D
(ucs-set-char #x4EAB ?$AOm(B) ; GB0-A-4F6D
(ucs-set-char #x4EAB ?$B5}(B) ; J83-B-357D
(ucs-set-char #x4EAC ?$(CLH(B) ; KS0-C-4C48
(ucs-set-char #x4EAC ?$(GKk(B) ; C01-G-4B6B
(ucs-set-char #x4EAC ?$@5~(B) ; J78-@-357E
(ucs-set-char #x4EAC ?$A>)(B) ; GB0-A-3E29
(ucs-set-char #x4EAC ?$B5~(B) ; J83-B-357E
(ucs-set-char #x4EAD ?$(CoM(B) ; KS0-C-6F4D
(ucs-set-char #x4EAD ?$(GOh(B) ; C01-G-4F68
(ucs-set-char #x4EAD ?$@Db(B) ; J78-@-4462
(ucs-set-char #x4EAD ?$AM$(B) ; GB0-A-4D24
(ucs-set-char #x4EAD ?$BDb(B) ; J83-B-4462
(ucs-set-char #x4EAE ?$(CUU(B) ; KS0-C-5555
(ucs-set-char #x4EAE ?$(GOi(B) ; C01-G-4F69
(ucs-set-char #x4EAE ?$@N<(B) ; J78-@-4E3C
(ucs-set-char #x4EAE ?$AAA(B) ; GB0-A-4141
(ucs-set-char #x4EAE ?$BN<(B) ; J83-B-4E3C
(ucs-set-char #x4EAF ?$(D0A(B) ; J90-D-3041
(ucs-set-char #x4EAF ?$(I+&(B) ; C03-I-2B26
(ucs-set-char #x4EB0 ?$(I+%(B) ; C03-I-2B25
(ucs-set-char #x4EB0 ?$@P7(B) ; J78-@-5037
(ucs-set-char #x4EB0 ?$BP7(B) ; J83-B-5037
(ucs-set-char #x4EB1 ?$(I+'(B) ; C03-I-2B27
(ucs-set-char #x4EB2 ?$(I+$(B) ; C03-I-2B24
(ucs-set-char #x4EB2 ?$AGW(B) ; GB0-A-4757
(ucs-set-char #x4EB3 ?$(GS~(B) ; C01-G-537E
(ucs-set-char #x4EB3 ?$@P8(B) ; J78-@-5038
(ucs-set-char #x4EB3 ?$AYq(B) ; GB0-A-5971
(ucs-set-char #x4EB3 ?$BP8(B) ; J83-B-5038
(ucs-set-char #x4EB4 ?$(J6.(B) ; C04-J-362E
(ucs-set-char #x4EB5 ?$AYt(B) ; GB0-A-5974
(ucs-set-char #x4EB6 ?$(CS"(B) ; KS0-C-5322
(ucs-set-char #x4EB6 ?$(HAX(B) ; C02-H-4158
(ucs-set-char #x4EB6 ?$@P9(B) ; J78-@-5039
(ucs-set-char #x4EB6 ?$BP9(B) ; J83-B-5039
(ucs-set-char #x4EB7 ?$(I@3(B) ; C03-I-4033
(ucs-set-char #x4EB9 ?$(D0B(B) ; J90-D-3042
(ucs-set-char #x4EB9 ?$(HmD(B) ; C02-H-6D44

(ucs-set-char #x4EBA ?$AHK(B) ; GB0-A-484B
(ucs-set-char #x4EBA ?$(ClQ(B) ; KS0-C-6C51
(ucs-set-char #x4EBA ?$(GD)(B) ; C01-G-4429
(ucs-set-char #x4EBA ?$@?M(B) ; J78-@-3F4D
(ucs-set-char #x4EBA ?$B?M(B) ; J83-B-3F4D

(ucs-set-char #x4EBB ?$AXi(B) ; GB0-A-5869
(ucs-set-char #x4EBC ?$(I!2(B) ; C03-I-2132
(ucs-set-char #x4EBE ?$(I!3(B) ; C03-I-2133
(ucs-set-char #x4EBF ?$ARZ(B) ; GB0-A-525A
(ucs-set-char #x4EC0 ?$(Cd'(B) ; KS0-C-6427
(ucs-set-char #x4EC0 ?$(GDo(B) ; C01-G-446F
(ucs-set-char #x4EC0 ?$@=:(B) ; J78-@-3D3A
(ucs-set-char #x4EC0 ?$AJ2(B) ; GB0-A-4A32
(ucs-set-char #x4EC0 ?$B=:(B) ; J83-B-3D3A
(ucs-set-char #x4EC1 ?$(ClR(B) ; KS0-C-6C52
(ucs-set-char #x4EC1 ?$(GDn(B) ; C01-G-446E
(ucs-set-char #x4EC1 ?$@?N(B) ; J78-@-3F4E
(ucs-set-char #x4EC1 ?$AHJ(B) ; GB0-A-484A
(ucs-set-char #x4EC1 ?$B?N(B) ; J83-B-3F4E
(ucs-set-char #x4EC2 ?$(H!2(B) ; C02-H-2132
(ucs-set-char #x4EC2 ?$@P>(B) ; J78-@-503E
(ucs-set-char #x4EC2 ?$AXl(B) ; GB0-A-586C
(ucs-set-char #x4EC2 ?$BP>(B) ; J83-B-503E
(ucs-set-char #x4EC3 ?$(D0C(B) ; J90-D-3043
(ucs-set-char #x4EC3 ?$(GDp(B) ; C01-G-4470
(ucs-set-char #x4EC3 ?$AXj(B) ; GB0-A-586A
(ucs-set-char #x4EC4 ?$(Cv1(B) ; KS0-C-7631
(ucs-set-char #x4EC4 ?$(GDv(B) ; C01-G-4476
(ucs-set-char #x4EC4 ?$@P<(B) ; J78-@-503C
(ucs-set-char #x4EC4 ?$AXF(B) ; GB0-A-5846
(ucs-set-char #x4EC4 ?$BP<(B) ; J83-B-503C
(ucs-set-char #x4EC5 ?$(I!I(B) ; C03-I-2149
(ucs-set-char #x4EC5 ?$A=v(B) ; GB0-A-3D76
(ucs-set-char #x4EC6 ?$(GDq(B) ; C01-G-4471
(ucs-set-char #x4EC6 ?$@P=(B) ; J78-@-503D
(ucs-set-char #x4EC6 ?$AFM(B) ; GB0-A-464D
(ucs-set-char #x4EC6 ?$BP=(B) ; J83-B-503D
(ucs-set-char #x4EC7 ?$(CN{(B) ; KS0-C-4E7B
(ucs-set-char #x4EC7 ?$(GDr(B) ; C01-G-4472
(ucs-set-char #x4EC7 ?$@5X(B) ; J78-@-3558
(ucs-set-char #x4EC7 ?$A3p(B) ; GB0-A-3370
(ucs-set-char #x4EC7 ?$B5X(B) ; J83-B-3558
(ucs-set-char #x4EC8 ?$(H!4(B) ; C02-H-2134
(ucs-set-char #x4EC9 ?$(H!3(B) ; C02-H-2133
(ucs-set-char #x4EC9 ?$AXk(B) ; GB0-A-586B
(ucs-set-char #x4ECA ?$(CPQ(B) ; KS0-C-5051
(ucs-set-char #x4ECA ?$(GDt(B) ; C01-G-4474
(ucs-set-char #x4ECA ?$@:#(B) ; J78-@-3A23
(ucs-set-char #x4ECA ?$A=q(B) ; GB0-A-3D71
(ucs-set-char #x4ECA ?$B:#(B) ; J83-B-3A23
(ucs-set-char #x4ECB ?$(CK?(B) ; KS0-C-4B3F
(ucs-set-char #x4ECB ?$(GDu(B) ; C01-G-4475
(ucs-set-char #x4ECB ?$@2p(B) ; J78-@-3270
(ucs-set-char #x4ECB ?$A=i(B) ; GB0-A-3D69
(ucs-set-char #x4ECB ?$B2p(B) ; J83-B-3270
(ucs-set-char #x4ECC ?$(I!L(B) ; C03-I-214C
(ucs-set-char #x4ECC ?$(J!?(B) ; C04-J-213F
(ucs-set-char #x4ECD ?$(Cm$(B) ; KS0-C-6D24
(ucs-set-char #x4ECD ?$(GDs(B) ; C01-G-4473
(ucs-set-char #x4ECD ?$@P;(B) ; J78-@-503B
(ucs-set-char #x4ECD ?$AHT(B) ; GB0-A-4854
(ucs-set-char #x4ECD ?$BP;(B) ; J83-B-503B
(ucs-set-char #x4ECE ?$(I!K(B) ; C03-I-214B
(ucs-set-char #x4ECE ?$@P:(B) ; J78-@-503A
(ucs-set-char #x4ECE ?$A4S(B) ; GB0-A-3453
(ucs-set-char #x4ECE ?$BP:(B) ; J83-B-503A
(ucs-set-char #x4ECF ?$(I!J(B) ; C03-I-214A
(ucs-set-char #x4ECF ?$@J)(B) ; J78-@-4A29
(ucs-set-char #x4ECF ?$BJ)(B) ; J83-B-4A29
(ucs-set-char #x4ED0 ?$(D0D(B) ; J90-D-3044
(ucs-set-char #x4ED0 ?$(J!<(B) ; C04-J-213C
(ucs-set-char #x4ED1 ?$ABX(B) ; GB0-A-4258
(ucs-set-char #x4ED3 ?$A2V(B) ; GB0-A-3256
(ucs-set-char #x4ED4 ?$(Cm((B) ; KS0-C-6D28
(ucs-set-char #x4ED4 ?$(GEj(B) ; C01-G-456A
(ucs-set-char #x4ED4 ?$@;F(B) ; J78-@-3B46
(ucs-set-char #x4ED4 ?$AWP(B) ; GB0-A-5750
(ucs-set-char #x4ED4 ?$B;F(B) ; J83-B-3B46
(ucs-set-char #x4ED5 ?$(C^B(B) ; KS0-C-5E42
(ucs-set-char #x4ED5 ?$(GEk(B) ; C01-G-456B
(ucs-set-char #x4ED5 ?$@;E(B) ; J78-@-3B45
(ucs-set-char #x4ED5 ?$AJK(B) ; GB0-A-4A4B
(ucs-set-char #x4ED5 ?$B;E(B) ; J83-B-3B45
(ucs-set-char #x4ED6 ?$(Cvb(B) ; KS0-C-7662
(ucs-set-char #x4ED6 ?$(GEl(B) ; C01-G-456C
(ucs-set-char #x4ED6 ?$@B>(B) ; J78-@-423E
(ucs-set-char #x4ED6 ?$AK{(B) ; GB0-A-4B7B
(ucs-set-char #x4ED6 ?$BB>(B) ; J83-B-423E
(ucs-set-char #x4ED7 ?$(Cm\(B) ; KS0-C-6D5C
(ucs-set-char #x4ED7 ?$(GEm(B) ; C01-G-456D
(ucs-set-char #x4ED7 ?$@P?(B) ; J78-@-503F
(ucs-set-char #x4ED7 ?$AUL(B) ; GB0-A-554C
(ucs-set-char #x4ED7 ?$BP?(B) ; J83-B-503F
(ucs-set-char #x4ED8 ?$(C\u(B) ; KS0-C-5C75
(ucs-set-char #x4ED8 ?$(GEi(B) ; C01-G-4569
(ucs-set-char #x4ED8 ?$@IU(B) ; J78-@-4955
(ucs-set-char #x4ED8 ?$A86(B) ; GB0-A-3836
(ucs-set-char #x4ED8 ?$BIU(B) ; J83-B-4955
(ucs-set-char #x4ED9 ?$(C`9(B) ; KS0-C-6039
(ucs-set-char #x4ED9 ?$(GEp(B) ; C01-G-4570
(ucs-set-char #x4ED9 ?$@@g(B) ; J78-@-4067
(ucs-set-char #x4ED9 ?$AOI(B) ; GB0-A-4F49
(ucs-set-char #x4ED9 ?$B@g(B) ; J83-B-4067
(ucs-set-char #x4EDA ?$(D0E(B) ; J90-D-3045
(ucs-set-char #x4EDA ?$(H!J(B) ; C02-H-214A
(ucs-set-char #x4EDB ?$(D0F(B) ; J90-D-3046
(ucs-set-char #x4EDB ?$(J![(B) ; C04-J-215B
(ucs-set-char #x4EDC ?$(H!F(B) ; C02-H-2146
(ucs-set-char #x4EDD ?$(CTN(B) ; KS0-C-544E
(ucs-set-char #x4EDD ?$(H!I(B) ; C02-H-2149
(ucs-set-char #x4EDD ?$@!8(B) ; J78-@-2138
(ucs-set-char #x4EDD ?$AYZ(B) ; GB0-A-595A
(ucs-set-char #x4EDD ?$B!8(B) ; J83-B-2138
(ucs-set-char #x4EDE ?$(GEq(B) ; C01-G-4571
(ucs-set-char #x4EDE ?$@P@(B) ; J78-@-5040
(ucs-set-char #x4EDE ?$AXp(B) ; GB0-A-5870
(ucs-set-char #x4EDE ?$BP@(B) ; J83-B-5040
(ucs-set-char #x4EDF ?$(Ct5(B) ; KS0-C-7435
(ucs-set-char #x4EDF ?$(GF#(B) ; C01-G-4623
(ucs-set-char #x4EDF ?$@PB(B) ; J78-@-5042
(ucs-set-char #x4EDF ?$AG*(B) ; GB0-A-472A
(ucs-set-char #x4EDF ?$BPB(B) ; J83-B-5042
(ucs-set-char #x4EE0 ?$(D0G(B) ; J90-D-3047
(ucs-set-char #x4EE0 ?$(I!m(B) ; C03-I-216D
(ucs-set-char #x4EE1 ?$(D0H(B) ; J90-D-3048
(ucs-set-char #x4EE1 ?$(H!H(B) ; C02-H-2148
(ucs-set-char #x4EE1 ?$AXn(B) ; GB0-A-586E
(ucs-set-char #x4EE2 ?$(D0I(B) ; J90-D-3049
(ucs-set-char #x4EE2 ?$(J!Z(B) ; C04-J-215A
(ucs-set-char #x4EE3 ?$(CS[(B) ; KS0-C-535B
(ucs-set-char #x4EE3 ?$(GEn(B) ; C01-G-456E
(ucs-set-char #x4EE3 ?$@Be(B) ; J78-@-4265
(ucs-set-char #x4EE3 ?$A4z(B) ; GB0-A-347A
(ucs-set-char #x4EE3 ?$BBe(B) ; J83-B-4265
(ucs-set-char #x4EE4 ?$(CV5(B) ; KS0-C-5635
(ucs-set-char #x4EE4 ?$(GEo(B) ; C01-G-456F
(ucs-set-char #x4EE4 ?$@Na(B) ; J78-@-4E61
(ucs-set-char #x4EE4 ?$AAn(B) ; GB0-A-416E
(ucs-set-char #x4EE4 ?$BNa(B) ; J83-B-4E61
(ucs-set-char #x4EE5 ?$(Cl$(B) ; KS0-C-6C24
(ucs-set-char #x4EE5 ?$(GEh(B) ; C01-G-4568
(ucs-set-char #x4EE5 ?$@0J(B) ; J78-@-304A
(ucs-set-char #x4EE5 ?$ART(B) ; GB0-A-5254
(ucs-set-char #x4EE5 ?$B0J(B) ; J83-B-304A
(ucs-set-char #x4EE6 ?$(I!r(B) ; C03-I-2172
(ucs-set-char #x4EE7 ?$(I!p(B) ; C03-I-2170
(ucs-set-char #x4EE8 ?$(D0J(B) ; J90-D-304A
(ucs-set-char #x4EE8 ?$(H!E(B) ; C02-H-2145
(ucs-set-char #x4EE8 ?$AXm(B) ; GB0-A-586D
(ucs-set-char #x4EE9 ?$(H!G(B) ; C02-H-2147
(ucs-set-char #x4EEA ?$ARG(B) ; GB0-A-5247
(ucs-set-char #x4EEB ?$AXo(B) ; GB0-A-586F
(ucs-set-char #x4EEC ?$ACG(B) ; GB0-A-4347
(ucs-set-char #x4EED ?$@PA(B) ; J78-@-5041
(ucs-set-char #x4EED ?$BPA(B) ; J83-B-5041
(ucs-set-char #x4EEE ?$(I"o(B) ; C03-I-226F
(ucs-set-char #x4EEE ?$@2>(B) ; J78-@-323E
(ucs-set-char #x4EEE ?$B2>(B) ; J83-B-323E
(ucs-set-char #x4EEF ?$(D0K(B) ; J90-D-304B
(ucs-set-char #x4EEF ?$(I"h(B) ; C03-I-2268
(ucs-set-char #x4EF0 ?$(Cdf(B) ; KS0-C-6466
(ucs-set-char #x4EF0 ?$(GG7(B) ; C01-G-4737
(ucs-set-char #x4EF0 ?$@6D(B) ; J78-@-3644
(ucs-set-char #x4EF0 ?$AQv(B) ; GB0-A-5176
(ucs-set-char #x4EF0 ?$B6D(B) ; J83-B-3644
(ucs-set-char #x4EF1 ?$(D0L(B) ; J90-D-304C
(ucs-set-char #x4EF1 ?$(H!o(B) ; C02-H-216F
(ucs-set-char #x4EF2 ?$(Cqj(B) ; KS0-C-716A
(ucs-set-char #x4EF2 ?$(GG4(B) ; C01-G-4734
(ucs-set-char #x4EF2 ?$@Cg(B) ; J78-@-4367
(ucs-set-char #x4EF2 ?$AVY(B) ; GB0-A-5659
(ucs-set-char #x4EF2 ?$BCg(B) ; J83-B-4367
(ucs-set-char #x4EF3 ?$(D0M(B) ; J90-D-304D
(ucs-set-char #x4EF3 ?$(GG8(B) ; C01-G-4738
(ucs-set-char #x4EF3 ?$AXr(B) ; GB0-A-5872
(ucs-set-char #x4EF4 ?$(H!y(B) ; C02-H-2179
(ucs-set-char #x4EF5 ?$(D0N(B) ; J90-D-304E
(ucs-set-char #x4EF5 ?$(H!m(B) ; C02-H-216D
(ucs-set-char #x4EF5 ?$AXu(B) ; GB0-A-5875
(ucs-set-char #x4EF6 ?$(CKl(B) ; KS0-C-4B6C
(ucs-set-char #x4EF6 ?$(GG5(B) ; C01-G-4735
(ucs-set-char #x4EF6 ?$@7o(B) ; J78-@-376F
(ucs-set-char #x4EF6 ?$A<~(B) ; GB0-A-3C7E
(ucs-set-char #x4EF6 ?$B7o(B) ; J83-B-376F
(ucs-set-char #x4EF7 ?$(CK@(B) ; KS0-C-4B40
(ucs-set-char #x4EF7 ?$(H!q(B) ; C02-H-2171
(ucs-set-char #x4EF7 ?$@PC(B) ; J78-@-5043
(ucs-set-char #x4EF7 ?$A<[(B) ; GB0-A-3C5B
(ucs-set-char #x4EF7 ?$BPC(B) ; J83-B-5043
(ucs-set-char #x4EF8 ?$(I"k(B) ; C03-I-226B
(ucs-set-char #x4EF9 ?$(I"g(B) ; C03-I-2267
(ucs-set-char #x4EFA ?$(I"v(B) ; C03-I-2276
(ucs-set-char #x4EFB ?$(Clr(B) ; KS0-C-6C72
(ucs-set-char #x4EFB ?$(GG6(B) ; C01-G-4736
(ucs-set-char #x4EFB ?$@G$(B) ; J78-@-4724
(ucs-set-char #x4EFB ?$AHN(B) ; GB0-A-484E
(ucs-set-char #x4EFB ?$BG$(B) ; J83-B-4724
(ucs-set-char #x4EFC ?$(I"n(B) ; C03-I-226E
(ucs-set-char #x4EFD ?$(D0O(B) ; J90-D-304F
(ucs-set-char #x4EFD ?$(GG9(B) ; C01-G-4739
(ucs-set-char #x4EFD ?$A7](B) ; GB0-A-375D
(ucs-set-char #x4EFE ?$(D0P(B) ; J90-D-3050
(ucs-set-char #x4EFE ?$(J"-(B) ; C04-J-222D
(ucs-set-char #x4EFF ?$(D0Q(B) ; J90-D-3051
(ucs-set-char #x4EFF ?$(GG+(B) ; C01-G-472B
(ucs-set-char #x4EFF ?$A7B(B) ; GB0-A-3742
(ucs-set-char #x4F00 ?$(D0R(B) ; J90-D-3052
(ucs-set-char #x4F00 ?$(H!p(B) ; C02-H-2170
(ucs-set-char #x4F01 ?$(CPj(B) ; KS0-C-506A
(ucs-set-char #x4F01 ?$(GG:(B) ; C01-G-473A
(ucs-set-char #x4F01 ?$@4k(B) ; J78-@-346B
(ucs-set-char #x4F01 ?$AFs(B) ; GB0-A-4673
(ucs-set-char #x4F01 ?$B4k(B) ; J83-B-346B
(ucs-set-char #x4F02 ?$(D0S(B) ; J90-D-3053
(ucs-set-char #x4F02 ?$(H!t(B) ; C02-H-2174
(ucs-set-char #x4F03 ?$(D0T(B) ; J90-D-3054
(ucs-set-char #x4F03 ?$(I"m(B) ; C03-I-226D
(ucs-set-char #x4F04 ?$(H!x(B) ; C02-H-2178
(ucs-set-char #x4F05 ?$(H!u(B) ; C02-H-2175
(ucs-set-char #x4F06 ?$(I"l(B) ; C03-I-226C
(ucs-set-char #x4F07 ?$(I"t(B) ; C03-I-2274
(ucs-set-char #x4F08 ?$(D0U(B) ; J90-D-3055
(ucs-set-char #x4F08 ?$(H!r(B) ; C02-H-2172
(ucs-set-char #x4F09 ?$(Cyr(B) ; KS0-C-7972
(ucs-set-char #x4F09 ?$(GG,(B) ; C01-G-472C
(ucs-set-char #x4F09 ?$@PD(B) ; J78-@-5044
(ucs-set-char #x4F09 ?$AXx(B) ; GB0-A-5878
(ucs-set-char #x4F09 ?$BPD(B) ; J83-B-5044
(ucs-set-char #x4F0A ?$(Cl%(B) ; KS0-C-6C25
(ucs-set-char #x4F0A ?$(GG.(B) ; C01-G-472E
(ucs-set-char #x4F0A ?$@0K(B) ; J78-@-304B
(ucs-set-char #x4F0A ?$ARA(B) ; GB0-A-5241
(ucs-set-char #x4F0A ?$B0K(B) ; J83-B-304B
(ucs-set-char #x4F0B ?$(CP_(B) ; KS0-C-505F
(ucs-set-char #x4F0B ?$(D0V(B) ; J90-D-3056
(ucs-set-char #x4F0B ?$(GG;(B) ; C01-G-473B
(ucs-set-char #x4F0C ?$(D0W(B) ; J90-D-3057
(ucs-set-char #x4F0C ?$(J"*(B) ; C04-J-222A
(ucs-set-char #x4F0D ?$(Cgj(B) ; KS0-C-676A
(ucs-set-char #x4F0D ?$(GG0(B) ; C01-G-4730
(ucs-set-char #x4F0D ?$@8`(B) ; J78-@-3860
(ucs-set-char #x4F0D ?$ANi(B) ; GB0-A-4E69
(ucs-set-char #x4F0D ?$B8`(B) ; J83-B-3860
(ucs-set-char #x4F0E ?$(CPk(B) ; KS0-C-506B
(ucs-set-char #x4F0E ?$(H!j(B) ; C02-H-216A
(ucs-set-char #x4F0E ?$@4l(B) ; J78-@-346C
(ucs-set-char #x4F0E ?$A<?(B) ; GB0-A-3C3F
(ucs-set-char #x4F0E ?$B4l(B) ; J83-B-346C
(ucs-set-char #x4F0F ?$(C\Q(B) ; KS0-C-5C51
(ucs-set-char #x4F0F ?$(GG3(B) ; C01-G-4733
(ucs-set-char #x4F0F ?$@Iz(B) ; J78-@-497A
(ucs-set-char #x4F0F ?$A7|(B) ; GB0-A-377C
(ucs-set-char #x4F0F ?$BIz(B) ; J83-B-497A
(ucs-set-char #x4F10 ?$(C[i(B) ; KS0-C-5B69
(ucs-set-char #x4F10 ?$(GG1(B) ; C01-G-4731
(ucs-set-char #x4F10 ?$@H2(B) ; J78-@-4832
(ucs-set-char #x4F10 ?$A7%(B) ; GB0-A-3725
(ucs-set-char #x4F10 ?$BH2(B) ; J83-B-4832
(ucs-set-char #x4F11 ?$(C}L(B) ; KS0-C-7D4C
(ucs-set-char #x4F11 ?$(GG2(B) ; C01-G-4732
(ucs-set-char #x4F11 ?$@5Y(B) ; J78-@-3559
(ucs-set-char #x4F11 ?$AP](B) ; GB0-A-505D
(ucs-set-char #x4F11 ?$B5Y(B) ; J83-B-3559
(ucs-set-char #x4F12 ?$(D0X(B) ; J90-D-3058
(ucs-set-char #x4F12 ?$(H!z(B) ; C02-H-217A
(ucs-set-char #x4F13 ?$(H!w(B) ; C02-H-2177
(ucs-set-char #x4F14 ?$(H!n(B) ; C02-H-216E
(ucs-set-char #x4F15 ?$(D0Y(B) ; J90-D-3059
(ucs-set-char #x4F15 ?$(GG/(B) ; C01-G-472F
(ucs-set-char #x4F16 ?$(D0Z(B) ; J90-D-305A
(ucs-set-char #x4F16 ?$(I"p(B) ; C03-I-2270
(ucs-set-char #x4F17 ?$(D0[(B) ; J90-D-305B
(ucs-set-char #x4F17 ?$(I"w(B) ; C03-I-2277
(ucs-set-char #x4F17 ?$AVZ(B) ; GB0-A-565A
(ucs-set-char #x4F18 ?$(H!k(B) ; C02-H-216B
(ucs-set-char #x4F18 ?$ASE(B) ; GB0-A-5345
(ucs-set-char #x4F19 ?$(D0\(B) ; J90-D-305C
(ucs-set-char #x4F19 ?$(GG-(B) ; C01-G-472D
(ucs-set-char #x4F19 ?$A;o(B) ; GB0-A-3B6F
(ucs-set-char #x4F1A ?$(I"u(B) ; C03-I-2275
(ucs-set-char #x4F1A ?$@2q(B) ; J78-@-3271
(ucs-set-char #x4F1A ?$A;a(B) ; GB0-A-3B61
(ucs-set-char #x4F1A ?$B2q(B) ; J83-B-3271
(ucs-set-char #x4F1B ?$(J".(B) ; C04-J-222E
(ucs-set-char #x4F1B ?$AXq(B) ; GB0-A-5871
(ucs-set-char #x4F1C ?$(I"s(B) ; C03-I-2273
(ucs-set-char #x4F1C ?$@Pg(B) ; J78-@-5067
(ucs-set-char #x4F1C ?$BPg(B) ; J83-B-5067
(ucs-set-char #x4F1D ?$(H!s(B) ; C02-H-2173
(ucs-set-char #x4F1D ?$@EA(B) ; J78-@-4541
(ucs-set-char #x4F1D ?$BEA(B) ; J83-B-4541
(ucs-set-char #x4F1E ?$AI!(B) ; GB0-A-4921
(ucs-set-char #x4F1F ?$AN0(B) ; GB0-A-4E30
(ucs-set-char #x4F20 ?$A4+(B) ; GB0-A-342B
(ucs-set-char #x4F22 ?$(H!v(B) ; C02-H-2176
(ucs-set-char #x4F22 ?$AXs(B) ; GB0-A-5873
(ucs-set-char #x4F24 ?$AIK(B) ; GB0-A-494B
(ucs-set-char #x4F25 ?$AXv(B) ; GB0-A-5876
(ucs-set-char #x4F26 ?$ABW(B) ; GB0-A-4257
(ucs-set-char #x4F27 ?$AXw(B) ; GB0-A-5877
(ucs-set-char #x4F28 ?$(I"r(B) ; C03-I-2272
(ucs-set-char #x4F2A ?$AN1(B) ; GB0-A-4E31
(ucs-set-char #x4F2B ?$AXy(B) ; GB0-A-5879
(ucs-set-char #x4F2C ?$(H!l(B) ; C02-H-216C
(ucs-set-char #x4F2D ?$(H#((B) ; C02-H-2328
(ucs-set-char #x4F2E ?$(D0](B) ; J90-D-305D
(ucs-set-char #x4F2E ?$(J#9(B) ; C04-J-2339
(ucs-set-char #x4F2F ?$(C[W(B) ; KS0-C-5B57
(ucs-set-char #x4F2F ?$(GI$(B) ; C01-G-4924
(ucs-set-char #x4F2F ?$@Gl(B) ; J78-@-476C
(ucs-set-char #x4F2F ?$A2.(B) ; GB0-A-322E
(ucs-set-char #x4F2F ?$BGl(B) ; J83-B-476C
(ucs-set-char #x4F30 ?$(GHu(B) ; C01-G-4875
(ucs-set-char #x4F30 ?$@PF(B) ; J78-@-5046
(ucs-set-char #x4F30 ?$A9@(B) ; GB0-A-3940
(ucs-set-char #x4F30 ?$BPF(B) ; J83-B-5046
(ucs-set-char #x4F31 ?$(D0^(B) ; J90-D-305E
(ucs-set-char #x4F31 ?$(I$P(B) ; C03-I-2450
(ucs-set-char #x4F32 ?$(I$H(B) ; C03-I-2448
(ucs-set-char #x4F32 ?$AY#(B) ; GB0-A-5923
(ucs-set-char #x4F33 ?$(D0`(B) ; J90-D-3060
(ucs-set-char #x4F33 ?$(H#)(B) ; C02-H-2329
(ucs-set-char #x4F34 ?$(CZa(B) ; KS0-C-5A61
(ucs-set-char #x4F34 ?$(GHr(B) ; C01-G-4872
(ucs-set-char #x4F34 ?$@H<(B) ; J78-@-483C
(ucs-set-char #x4F34 ?$A0i(B) ; GB0-A-3069
(ucs-set-char #x4F34 ?$BH<(B) ; J83-B-483C
(ucs-set-char #x4F35 ?$(D0a(B) ; J90-D-3061
(ucs-set-char #x4F35 ?$(I$O(B) ; C03-I-244F
(ucs-set-char #x4F36 ?$(CV6(B) ; KS0-C-5636
(ucs-set-char #x4F36 ?$(GI&(B) ; C01-G-4926
(ucs-set-char #x4F36 ?$@Nb(B) ; J78-@-4E62
(ucs-set-char #x4F36 ?$AAf(B) ; GB0-A-4166
(ucs-set-char #x4F36 ?$BNb(B) ; J83-B-4E62
(ucs-set-char #x4F37 ?$(D0b(B) ; J90-D-3062
(ucs-set-char #x4F37 ?$(I$F(B) ; C03-I-2446
(ucs-set-char #x4F38 ?$(Cc_(B) ; KS0-C-635F
(ucs-set-char #x4F38 ?$(GHz(B) ; C01-G-487A
(ucs-set-char #x4F38 ?$@?-(B) ; J78-@-3F2D
(ucs-set-char #x4F38 ?$AIl(B) ; GB0-A-496C
(ucs-set-char #x4F38 ?$B?-(B) ; J83-B-3F2D
(ucs-set-char #x4F39 ?$(D0c(B) ; J90-D-3063
(ucs-set-char #x4F39 ?$(I$E(B) ; C03-I-2445
(ucs-set-char #x4F3A ?$(C^C(B) ; KS0-C-5E43
(ucs-set-char #x4F3A ?$(GHy(B) ; C01-G-4879
(ucs-set-char #x4F3A ?$@;G(B) ; J78-@-3B47
(ucs-set-char #x4F3A ?$AKE(B) ; GB0-A-4B45
(ucs-set-char #x4F3A ?$B;G(B) ; J83-B-3B47
(ucs-set-char #x4F3B ?$(D0d(B) ; J90-D-3064
(ucs-set-char #x4F3B ?$(H"{(B) ; C02-H-227B
(ucs-set-char #x4F3C ?$(C^D(B) ; KS0-C-5E44
(ucs-set-char #x4F3C ?$(GH}(B) ; C01-G-487D
(ucs-set-char #x4F3C ?$@;w(B) ; J78-@-3B77
(ucs-set-char #x4F3C ?$AKF(B) ; GB0-A-4B46
(ucs-set-char #x4F3C ?$B;w(B) ; J83-B-3B77
(ucs-set-char #x4F3D ?$(CJ!(B) ; KS0-C-4A21
(ucs-set-char #x4F3D ?$(GHx(B) ; C01-G-4878
(ucs-set-char #x4F3D ?$@2@(B) ; J78-@-3240
(ucs-set-char #x4F3D ?$AY$(B) ; GB0-A-5924
(ucs-set-char #x4F3D ?$B2@(B) ; J83-B-3240
(ucs-set-char #x4F3E ?$(D0e(B) ; J90-D-3065
(ucs-set-char #x4F3E ?$(H#"(B) ; C02-H-2322
(ucs-set-char #x4F3F ?$(H#*(B) ; C02-H-232A
(ucs-set-char #x4F40 ?$(D0f(B) ; J90-D-3066
(ucs-set-char #x4F40 ?$(I$N(B) ; C03-I-244E
(ucs-set-char #x4F41 ?$(H#&(B) ; C02-H-2326
(ucs-set-char #x4F42 ?$(D0g(B) ; J90-D-3067
(ucs-set-char #x4F42 ?$(I$I(B) ; C03-I-2449
(ucs-set-char #x4F43 ?$(Cnl(B) ; KS0-C-6E6C
(ucs-set-char #x4F43 ?$(GH{(B) ; C01-G-487B
(ucs-set-char #x4F43 ?$@DQ(B) ; J78-@-4451
(ucs-set-char #x4F43 ?$A5h(B) ; GB0-A-3568
(ucs-set-char #x4F43 ?$BDQ(B) ; J83-B-4451
(ucs-set-char #x4F44 ?$(I$K(B) ; C03-I-244B
(ucs-set-char #x4F45 ?$(I$C(B) ; C03-I-2443
(ucs-set-char #x4F46 ?$(CS#(B) ; KS0-C-5323
(ucs-set-char #x4F46 ?$(GH~(B) ; C01-G-487E
(ucs-set-char #x4F46 ?$@C"(B) ; J78-@-4322
(ucs-set-char #x4F46 ?$A5+(B) ; GB0-A-352B
(ucs-set-char #x4F46 ?$BC"(B) ; J83-B-4322
(ucs-set-char #x4F47 ?$(Cn7(B) ; KS0-C-6E37
(ucs-set-char #x4F47 ?$(GHo(B) ; C01-G-486F
(ucs-set-char #x4F47 ?$@PJ(B) ; J78-@-504A
(ucs-set-char #x4F47 ?$BPJ(B) ; J83-B-504A
(ucs-set-char #x4F48 ?$(CxO(B) ; KS0-C-784F
(ucs-set-char #x4F48 ?$(D0h(B) ; J90-D-3068
(ucs-set-char #x4F48 ?$(GI)(B) ; C01-G-4929
(ucs-set-char #x4F49 ?$(D0i(B) ; J90-D-3069
(ucs-set-char #x4F49 ?$(H"}(B) ; C02-H-227D
(ucs-set-char #x4F4A ?$(I$D(B) ; C03-I-2444
(ucs-set-char #x4F4B ?$(D0j(B) ; J90-D-306A
(ucs-set-char #x4F4B ?$(I$L(B) ; C03-I-244C
(ucs-set-char #x4F4C ?$(D0k(B) ; J90-D-306B
(ucs-set-char #x4F4C ?$(H%=(B) ; C02-H-253D
(ucs-set-char #x4F4D ?$(CjH(B) ; KS0-C-6A48
(ucs-set-char #x4F4D ?$(GHm(B) ; C01-G-486D
(ucs-set-char #x4F4D ?$@0L(B) ; J78-@-304C
(ucs-set-char #x4F4D ?$AN;(B) ; GB0-A-4E3B
(ucs-set-char #x4F4D ?$B0L(B) ; J83-B-304C
(ucs-set-char #x4F4E ?$(Cn8(B) ; KS0-C-6E38
(ucs-set-char #x4F4E ?$(GI%(B) ; C01-G-4925
(ucs-set-char #x4F4E ?$@Dc(B) ; J78-@-4463
(ucs-set-char #x4F4E ?$A5M(B) ; GB0-A-354D
(ucs-set-char #x4F4E ?$BDc(B) ; J83-B-4463
(ucs-set-char #x4F4F ?$(Cq,(B) ; KS0-C-712C
(ucs-set-char #x4F4F ?$(GHn(B) ; C01-G-486E
(ucs-set-char #x4F4F ?$@=;(B) ; J78-@-3D3B
(ucs-set-char #x4F4F ?$AW!(B) ; GB0-A-5721
(ucs-set-char #x4F4F ?$B=;(B) ; J83-B-3D3B
(ucs-set-char #x4F50 ?$(Cq%(B) ; KS0-C-7125
(ucs-set-char #x4F50 ?$(GHv(B) ; C01-G-4876
(ucs-set-char #x4F50 ?$@:4(B) ; J78-@-3A34
(ucs-set-char #x4F50 ?$AWt(B) ; GB0-A-5774
(ucs-set-char #x4F50 ?$B:4(B) ; J83-B-3A34
(ucs-set-char #x4F51 ?$(CiN(B) ; KS0-C-694E
(ucs-set-char #x4F51 ?$(GHw(B) ; C01-G-4877
(ucs-set-char #x4F51 ?$@M$(B) ; J78-@-4D24
(ucs-set-char #x4F51 ?$ASS(B) ; GB0-A-5353
(ucs-set-char #x4F51 ?$BM$(B) ; J83-B-4D24
(ucs-set-char #x4F52 ?$(D0l(B) ; J90-D-306C
(ucs-set-char #x4F52 ?$(H#$(B) ; C02-H-2324
(ucs-set-char #x4F53 ?$(H"~(B) ; C02-H-227E
(ucs-set-char #x4F53 ?$@BN(B) ; J78-@-424E
(ucs-set-char #x4F53 ?$ALe(B) ; GB0-A-4C65
(ucs-set-char #x4F53 ?$BBN(B) ; J83-B-424E
(ucs-set-char #x4F54 ?$(D0m(B) ; J90-D-306D
(ucs-set-char #x4F54 ?$(GH|(B) ; C01-G-487C
(ucs-set-char #x4F55 ?$(Cy<(B) ; KS0-C-793C
(ucs-set-char #x4F55 ?$(GHt(B) ; C01-G-4874
(ucs-set-char #x4F55 ?$@2?(B) ; J78-@-323F
(ucs-set-char #x4F55 ?$A:N(B) ; GB0-A-3A4E
(ucs-set-char #x4F55 ?$B2?(B) ; J83-B-323F
(ucs-set-char #x4F56 ?$(D0n(B) ; J90-D-306E
(ucs-set-char #x4F56 ?$(H"z(B) ; C02-H-227A
(ucs-set-char #x4F57 ?$(GHp(B) ; C01-G-4870
(ucs-set-char #x4F57 ?$@PI(B) ; J78-@-5049
(ucs-set-char #x4F57 ?$AY"(B) ; GB0-A-5922
(ucs-set-char #x4F57 ?$BPI(B) ; J83-B-5049
(ucs-set-char #x4F58 ?$(D0o(B) ; J90-D-306F
(ucs-set-char #x4F58 ?$(H#'(B) ; C02-H-2327
(ucs-set-char #x4F58 ?$AY\(B) ; GB0-A-595C
(ucs-set-char #x4F59 ?$(Cey(B) ; KS0-C-6579
(ucs-set-char #x4F59 ?$(GI'(B) ; C01-G-4927
(ucs-set-char #x4F59 ?$@M>(B) ; J78-@-4D3E
(ucs-set-char #x4F59 ?$AS`(B) ; GB0-A-5360
(ucs-set-char #x4F59 ?$BM>(B) ; J83-B-4D3E
(ucs-set-char #x4F5A ?$(Clj(B) ; KS0-C-6C6A
(ucs-set-char #x4F5A ?$(GI*(B) ; C01-G-492A
(ucs-set-char #x4F5A ?$@PE(B) ; J78-@-5045
(ucs-set-char #x4F5A ?$AX}(B) ; GB0-A-587D
(ucs-set-char #x4F5A ?$BPE(B) ; J83-B-5045
(ucs-set-char #x4F5B ?$(C]V(B) ; KS0-C-5D56
(ucs-set-char #x4F5B ?$(GHs(B) ; C01-G-4873
(ucs-set-char #x4F5B ?$@PG(B) ; J78-@-5047
(ucs-set-char #x4F5B ?$A7p(B) ; GB0-A-3770
(ucs-set-char #x4F5B ?$BPG(B) ; J83-B-5047
(ucs-set-char #x4F5C ?$(CmB(B) ; KS0-C-6D42
(ucs-set-char #x4F5C ?$(GI"(B) ; C01-G-4922
(ucs-set-char #x4F5C ?$@:n(B) ; J78-@-3A6E
(ucs-set-char #x4F5C ?$AWw(B) ; GB0-A-5777
(ucs-set-char #x4F5C ?$B:n(B) ; J83-B-3A6E
(ucs-set-char #x4F5D ?$(GI((B) ; C01-G-4928
(ucs-set-char #x4F5D ?$@PH(B) ; J78-@-5048
(ucs-set-char #x4F5D ?$AX~(B) ; GB0-A-587E
(ucs-set-char #x4F5D ?$BPH(B) ; J83-B-5048
(ucs-set-char #x4F5E ?$(GHq(B) ; C01-G-4871
(ucs-set-char #x4F5E ?$@U$(B) ; J78-@-5524
(ucs-set-char #x4F5E ?$AXz(B) ; GB0-A-587A
(ucs-set-char #x4F5E ?$BU$(B) ; J83-B-5524
(ucs-set-char #x4F5F ?$(D0p(B) ; J90-D-3070
(ucs-set-char #x4F5F ?$(H#%(B) ; C02-H-2325
(ucs-set-char #x4F5F ?$AY!(B) ; GB0-A-5921
(ucs-set-char #x4F60 ?$(D0_(B) ; J90-D-305F
(ucs-set-char #x4F60 ?$(GI#(B) ; C01-G-4923
(ucs-set-char #x4F60 ?$ADc(B) ; GB0-A-4463
(ucs-set-char #x4F61 ?$(H#+(B) ; C02-H-232B
(ucs-set-char #x4F62 ?$(H"|(B) ; C02-H-227C
(ucs-set-char #x4F63 ?$(D0q(B) ; J90-D-3071
(ucs-set-char #x4F63 ?$(GI!(B) ; C01-G-4921
(ucs-set-char #x4F63 ?$AS6(B) ; GB0-A-5336
(ucs-set-char #x4F64 ?$(H#!(B) ; C02-H-2321
(ucs-set-char #x4F64 ?$AXt(B) ; GB0-A-5874
(ucs-set-char #x4F65 ?$AY](B) ; GB0-A-595D
(ucs-set-char #x4F67 ?$(H##(B) ; C02-H-2323
(ucs-set-char #x4F67 ?$AX{(B) ; GB0-A-587B
(ucs-set-char #x4F69 ?$(Cx%(B) ; KS0-C-7825
(ucs-set-char #x4F69 ?$(GKy(B) ; C01-G-4B79
(ucs-set-char #x4F69 ?$@PP(B) ; J78-@-5050
(ucs-set-char #x4F69 ?$AEe(B) ; GB0-A-4565
(ucs-set-char #x4F69 ?$BPP(B) ; J83-B-5050
(ucs-set-char #x4F6A ?$(D0r(B) ; J90-D-3072
(ucs-set-char #x4F6A ?$(H%?(B) ; C02-H-253F
(ucs-set-char #x4F6B ?$(H%K(B) ; C02-H-254B
(ucs-set-char #x4F6C ?$(D0s(B) ; J90-D-3073
(ucs-set-char #x4F6C ?$(GKq(B) ; C01-G-4B71
(ucs-set-char #x4F6C ?$A@P(B) ; GB0-A-4050
(ucs-set-char #x4F6D ?$(I'G(B) ; C03-I-2747
(ucs-set-char #x4F6E ?$(D0t(B) ; J90-D-3074
(ucs-set-char #x4F6E ?$(H%L(B) ; C02-H-254C
(ucs-set-char #x4F6F ?$(Ce:(B) ; KS0-C-653A
(ucs-set-char #x4F6F ?$(GKl(B) ; C01-G-4B6C
(ucs-set-char #x4F6F ?$@PS(B) ; J78-@-5053
(ucs-set-char #x4F6F ?$AQp(B) ; GB0-A-5170
(ucs-set-char #x4F6F ?$BPS(B) ; J83-B-5053
(ucs-set-char #x4F70 ?$(C[X(B) ; KS0-C-5B58
(ucs-set-char #x4F70 ?$(GKv(B) ; C01-G-4B76
(ucs-set-char #x4F70 ?$@PQ(B) ; J78-@-5051
(ucs-set-char #x4F70 ?$A0[(B) ; GB0-A-305B
(ucs-set-char #x4F70 ?$BPQ(B) ; J83-B-5051
(ucs-set-char #x4F71 ?$(D0u(B) ; J90-D-3075
(ucs-set-char #x4F71 ?$(J%>(B) ; C04-J-253E
(ucs-set-char #x4F72 ?$(I'O(B) ; C03-I-274F
(ucs-set-char #x4F73 ?$(CJ"(B) ; KS0-C-4A22
(ucs-set-char #x4F73 ?$(GKo(B) ; C01-G-4B6F
(ucs-set-char #x4F73 ?$@2B(B) ; J78-@-3242
(ucs-set-char #x4F73 ?$A<Q(B) ; GB0-A-3C51
(ucs-set-char #x4F73 ?$B2B(B) ; J83-B-3242
(ucs-set-char #x4F74 ?$(H%9(B) ; C02-H-2539
(ucs-set-char #x4F74 ?$AY&(B) ; GB0-A-5926
(ucs-set-char #x4F75 ?$(GKw(B) ; C01-G-4B77
(ucs-set-char #x4F75 ?$@J;(B) ; J78-@-4A3B
(ucs-set-char #x4F75 ?$BJ;(B) ; J83-B-4A3B
(ucs-set-char #x4F76 ?$(CQM(B) ; KS0-C-514D
(ucs-set-char #x4F76 ?$(H%8(B) ; C02-H-2538
(ucs-set-char #x4F76 ?$@PK(B) ; J78-@-504B
(ucs-set-char #x4F76 ?$AY%(B) ; GB0-A-5925
(ucs-set-char #x4F76 ?$BPK(B) ; J83-B-504B
(ucs-set-char #x4F77 ?$(D0v(B) ; J90-D-3076
(ucs-set-char #x4F77 ?$(H%<(B) ; C02-H-253C
(ucs-set-char #x4F78 ?$(D0w(B) ; J90-D-3077
(ucs-set-char #x4F78 ?$(H%C(B) ; C02-H-2543
(ucs-set-char #x4F79 ?$(D0x(B) ; J90-D-3078
(ucs-set-char #x4F79 ?$(H%A(B) ; C02-H-2541
(ucs-set-char #x4F7A ?$(Cnm(B) ; KS0-C-6E6D
(ucs-set-char #x4F7A ?$(D0y(B) ; J90-D-3079
(ucs-set-char #x4F7A ?$(GL!(B) ; C01-G-4C21
(ucs-set-char #x4F7B ?$(GKz(B) ; C01-G-4B7A
(ucs-set-char #x4F7B ?$@PO(B) ; J78-@-504F
(ucs-set-char #x4F7B ?$AY,(B) ; GB0-A-592C
(ucs-set-char #x4F7B ?$BPO(B) ; J83-B-504F
(ucs-set-char #x4F7C ?$(H%3(B) ; C02-H-2533
(ucs-set-char #x4F7C ?$@8s(B) ; J78-@-3873
(ucs-set-char #x4F7C ?$AY.(B) ; GB0-A-592E
(ucs-set-char #x4F7C ?$B8s(B) ; J83-B-3873
(ucs-set-char #x4F7D ?$(D0z(B) ; J90-D-307A
(ucs-set-char #x4F7D ?$(H%5(B) ; C02-H-2535
(ucs-set-char #x4F7E ?$(Clk(B) ; KS0-C-6C6B
(ucs-set-char #x4F7E ?$(D0{(B) ; J90-D-307B
(ucs-set-char #x4F7E ?$(GK|(B) ; C01-G-4B7C
(ucs-set-char #x4F7E ?$AY+(B) ; GB0-A-592B
(ucs-set-char #x4F7F ?$(C^E(B) ; KS0-C-5E45
(ucs-set-char #x4F7F ?$(GKp(B) ; C01-G-4B70
(ucs-set-char #x4F7F ?$@;H(B) ; J78-@-3B48
(ucs-set-char #x4F7F ?$AJ9(B) ; GB0-A-4A39
(ucs-set-char #x4F7F ?$B;H(B) ; J83-B-3B48
(ucs-set-char #x4F80 ?$(H%6(B) ; C02-H-2536
(ucs-set-char #x4F81 ?$(Cc`(B) ; KS0-C-6360
(ucs-set-char #x4F81 ?$(D0|(B) ; J90-D-307C
(ucs-set-char #x4F81 ?$(H%B(B) ; C02-H-2542
(ucs-set-char #x4F82 ?$(D0}(B) ; J90-D-307D
(ucs-set-char #x4F82 ?$(H%I(B) ; C02-H-2549
(ucs-set-char #x4F83 ?$(CJI(B) ; KS0-C-4A49
(ucs-set-char #x4F83 ?$(GKu(B) ; C01-G-4B75
(ucs-set-char #x4F83 ?$@4&(B) ; J78-@-3426
(ucs-set-char #x4F83 ?$AY)(B) ; GB0-A-5929
(ucs-set-char #x4F83 ?$B4&(B) ; J83-B-3426
(ucs-set-char #x4F84 ?$(Cri(B) ; KS0-C-7269
(ucs-set-char #x4F84 ?$(D0~(B) ; J90-D-307E
(ucs-set-char #x4F84 ?$(H%;(B) ; C02-H-253B
(ucs-set-char #x4F84 ?$AV6(B) ; GB0-A-5636
(ucs-set-char #x4F85 ?$(D1!(B) ; J90-D-3121
(ucs-set-char #x4F85 ?$(H%4(B) ; C02-H-2534
(ucs-set-char #x4F86 ?$(CUN(B) ; KS0-C-554E
(ucs-set-char #x4F86 ?$(GKt(B) ; C01-G-4B74
(ucs-set-char #x4F86 ?$@PT(B) ; J78-@-5054
(ucs-set-char #x4F86 ?$BPT(B) ; J83-B-5054
(ucs-set-char #x4F87 ?$(H%7(B) ; C02-H-2537
(ucs-set-char #x4F88 ?$(Cv6(B) ; KS0-C-7636
(ucs-set-char #x4F88 ?$(GKx(B) ; C01-G-4B78
(ucs-set-char #x4F88 ?$@PL(B) ; J78-@-504C
(ucs-set-char #x4F88 ?$A3^(B) ; GB0-A-335E
(ucs-set-char #x4F88 ?$BPL(B) ; J83-B-504C
(ucs-set-char #x4F89 ?$(D1"(B) ; J90-D-3122
(ucs-set-char #x4F89 ?$(H%:(B) ; C02-H-253A
(ucs-set-char #x4F89 ?$AY((B) ; GB0-A-5928
(ucs-set-char #x4F8A ?$(CNB(B) ; KS0-C-4E42
(ucs-set-char #x4F8A ?$(D1#(B) ; J90-D-3123
(ucs-set-char #x4F8A ?$(I'D(B) ; C03-I-2744
(ucs-set-char #x4F8B ?$(CVG(B) ; KS0-C-5647
(ucs-set-char #x4F8B ?$(GKs(B) ; C01-G-4B73
(ucs-set-char #x4F8B ?$@Nc(B) ; J78-@-4E63
(ucs-set-char #x4F8B ?$A@}(B) ; GB0-A-407D
(ucs-set-char #x4F8B ?$BNc(B) ; J83-B-4E63
(ucs-set-char #x4F8C ?$(D1$(B) ; J90-D-3124
(ucs-set-char #x4F8C ?$(I'Q(B) ; C03-I-2751
(ucs-set-char #x4F8D ?$(Cc4(B) ; KS0-C-6334
(ucs-set-char #x4F8D ?$(GKn(B) ; C01-G-4B6E
(ucs-set-char #x4F8D ?$@;x(B) ; J78-@-3B78
(ucs-set-char #x4F8D ?$AJL(B) ; GB0-A-4A4C
(ucs-set-char #x4F8D ?$B;x(B) ; J83-B-3B78
(ucs-set-char #x4F8E ?$(D1%(B) ; J90-D-3125
(ucs-set-char #x4F8E ?$(I'H(B) ; C03-I-2748
(ucs-set-char #x4F8F ?$(Cq-(B) ; KS0-C-712D
(ucs-set-char #x4F8F ?$(GK}(B) ; C01-G-4B7D
(ucs-set-char #x4F8F ?$@PM(B) ; J78-@-504D
(ucs-set-char #x4F8F ?$AY*(B) ; GB0-A-592A
(ucs-set-char #x4F8F ?$BPM(B) ; J83-B-504D
(ucs-set-char #x4F90 ?$(D1&(B) ; J90-D-3126
(ucs-set-char #x4F90 ?$(H%D(B) ; C02-H-2544
(ucs-set-char #x4F91 ?$(Cjb(B) ; KS0-C-6A62
(ucs-set-char #x4F91 ?$(GK~(B) ; C01-G-4B7E
(ucs-set-char #x4F91 ?$@PR(B) ; J78-@-5052
(ucs-set-char #x4F91 ?$AY'(B) ; GB0-A-5927
(ucs-set-char #x4F91 ?$BPR(B) ; J83-B-5052
(ucs-set-char #x4F92 ?$(D1'(B) ; J90-D-3127
(ucs-set-char #x4F92 ?$(H%H(B) ; C02-H-2548
(ucs-set-char #x4F93 ?$(D1((B) ; J90-D-3128
(ucs-set-char #x4F93 ?$(I'C(B) ; C03-I-2743
(ucs-set-char #x4F94 ?$(D1)(B) ; J90-D-3129
(ucs-set-char #x4F94 ?$(H%F(B) ; C02-H-2546
(ucs-set-char #x4F94 ?$AY0(B) ; GB0-A-5930
(ucs-set-char #x4F95 ?$(H%J(B) ; C02-H-254A
(ucs-set-char #x4F96 ?$(CWB(B) ; KS0-C-5742
(ucs-set-char #x4F96 ?$(GK{(B) ; C01-G-4B7B
(ucs-set-char #x4F96 ?$@PU(B) ; J78-@-5055
(ucs-set-char #x4F96 ?$BPU(B) ; J83-B-5055
(ucs-set-char #x4F97 ?$(D1*(B) ; J90-D-312A
(ucs-set-char #x4F97 ?$(H%>(B) ; C02-H-253E
(ucs-set-char #x4F97 ?$A61(B) ; GB0-A-3631
(ucs-set-char #x4F98 ?$(Cs'(B) ; KS0-C-7327
(ucs-set-char #x4F98 ?$(H%2(B) ; C02-H-2532
(ucs-set-char #x4F98 ?$@PN(B) ; J78-@-504E
(ucs-set-char #x4F98 ?$BPN(B) ; J83-B-504E
(ucs-set-char #x4F99 ?$(D1+(B) ; J90-D-312B
(ucs-set-char #x4F99 ?$(J%6(B) ; C04-J-2536
(ucs-set-char #x4F9A ?$(D1,(B) ; J90-D-312C
(ucs-set-char #x4F9A ?$(H%@(B) ; C02-H-2540
(ucs-set-char #x4F9B ?$(CMj(B) ; KS0-C-4D6A
(ucs-set-char #x4F9B ?$(GKr(B) ; C01-G-4B72
(ucs-set-char #x4F9B ?$@6!(B) ; J78-@-3621
(ucs-set-char #x4F9B ?$A9)(B) ; GB0-A-3929
(ucs-set-char #x4F9B ?$B6!(B) ; J83-B-3621
(ucs-set-char #x4F9C ?$(H%E(B) ; C02-H-2545
(ucs-set-char #x4F9D ?$(Ckn(B) ; KS0-C-6B6E
(ucs-set-char #x4F9D ?$(GKm(B) ; C01-G-4B6D
(ucs-set-char #x4F9D ?$@0M(B) ; J78-@-304D
(ucs-set-char #x4F9D ?$AR@(B) ; GB0-A-5240
(ucs-set-char #x4F9D ?$B0M(B) ; J83-B-304D
(ucs-set-char #x4F9E ?$(D1-(B) ; J90-D-312D
(ucs-set-char #x4F9E ?$(H%G(B) ; C02-H-2547
(ucs-set-char #x4F9F ?$(D1.(B) ; J90-D-312E
(ucs-set-char #x4F9F ?$(I'L(B) ; C03-I-274C
(ucs-set-char #x4FA0 ?$(I'I(B) ; C03-I-2749
(ucs-set-char #x4FA0 ?$AO@(B) ; GB0-A-4F40
(ucs-set-char #x4FA0 ?$B6"(B) ; J83-B-3622
(ucs-set-char #x4FA1 ?$(I'K(B) ; C03-I-274B
(ucs-set-char #x4FA1 ?$@2A(B) ; J78-@-3241
(ucs-set-char #x4FA1 ?$B2A(B) ; J83-B-3241
(ucs-set-char #x4FA2 ?$(I'J(B) ; C03-I-274A
(ucs-set-char #x4FA3 ?$(I'M(B) ; C03-I-274D
(ucs-set-char #x4FA3 ?$ABB(B) ; GB0-A-4242
(ucs-set-char #x4FA5 ?$A=D(B) ; GB0-A-3D44
(ucs-set-char #x4FA6 ?$AUl(B) ; GB0-A-556C
(ucs-set-char #x4FA7 ?$A2`(B) ; GB0-A-3260
(ucs-set-char #x4FA8 ?$AGH(B) ; GB0-A-4748
(ucs-set-char #x4FA9 ?$A?k(B) ; GB0-A-3F6B
(ucs-set-char #x4FAA ?$AY-(B) ; GB0-A-592D
(ucs-set-char #x4FAB ?$@U%(B) ; J78-@-5525
(ucs-set-char #x4FAB ?$BU%(B) ; J83-B-5525
(ucs-set-char #x4FAC ?$AY/(B) ; GB0-A-592F
(ucs-set-char #x4FAD ?$@PV(B) ; J78-@-5056
(ucs-set-char #x4FAD ?$BKy(B) ; J83-B-4B79
(ucs-set-char #x4FAE ?$(CY2(B) ; KS0-C-5932
(ucs-set-char #x4FAE ?$(GOx(B) ; C01-G-4F78
(ucs-set-char #x4FAE ?$(J%=(B) ; C04-J-253D
(ucs-set-char #x4FAE ?$@In(B) ; J78-@-496E
(ucs-set-char #x4FAE ?$ANj(B) ; GB0-A-4E6A
(ucs-set-char #x4FAE ?$BIn(B) ; J83-B-496E
(ucs-set-char #x4FAF ?$(C}%(B) ; KS0-C-7D25
(ucs-set-char #x4FAF ?$(GOl(B) ; C01-G-4F6C
(ucs-set-char #x4FAF ?$@8t(B) ; J78-@-3874
(ucs-set-char #x4FAF ?$A:n(B) ; GB0-A-3A6E
(ucs-set-char #x4FAF ?$B8t(B) ; J83-B-3874
(ucs-set-char #x4FB0 ?$(I+-(B) ; C03-I-2B2D
(ucs-set-char #x4FB1 ?$(I+.(B) ; C03-I-2B2E
(ucs-set-char #x4FB2 ?$(D1/(B) ; J90-D-312F
(ucs-set-char #x4FB2 ?$(H)"(B) ; C02-H-2922
(ucs-set-char #x4FB3 ?$(H)*(B) ; C02-H-292A
(ucs-set-char #x4FB4 ?$(I+6(B) ; C03-I-2B36
(ucs-set-char #x4FB5 ?$(CvU(B) ; KS0-C-7655
(ucs-set-char #x4FB5 ?$(GOk(B) ; C01-G-4F6B
(ucs-set-char #x4FB5 ?$@?/(B) ; J78-@-3F2F
(ucs-set-char #x4FB5 ?$AGV(B) ; GB0-A-4756
(ucs-set-char #x4FB5 ?$B?/(B) ; J83-B-3F2F
(ucs-set-char #x4FB6 ?$(CUb(B) ; KS0-C-5562
(ucs-set-char #x4FB6 ?$(GOs(B) ; C01-G-4F73
(ucs-set-char #x4FB6 ?$@N7(B) ; J78-@-4E37
(ucs-set-char #x4FB6 ?$BN7(B) ; J83-B-4E37
(ucs-set-char #x4FB7 ?$(D10(B) ; J90-D-3130
(ucs-set-char #x4FB7 ?$(GP!(B) ; C01-G-5021
(ucs-set-char #x4FB8 ?$(I+,(B) ; C03-I-2B2C
(ucs-set-char #x4FB9 ?$(D11(B) ; J90-D-3131
(ucs-set-char #x4FB9 ?$(H)0(B) ; C02-H-2930
(ucs-set-char #x4FBA ?$(H).(B) ; C02-H-292E
(ucs-set-char #x4FBB ?$(D12(B) ; J90-D-3132
(ucs-set-char #x4FBB ?$(H))(B) ; C02-H-2929
(ucs-set-char #x4FBC ?$(D13(B) ; J90-D-3133
(ucs-set-char #x4FBC ?$(J(8(B) ; C04-J-2838
(ucs-set-char #x4FBD ?$(D14(B) ; J90-D-3134
(ucs-set-char #x4FBD ?$(J(>(B) ; C04-J-283E
(ucs-set-char #x4FBE ?$(D15(B) ; J90-D-3135
(ucs-set-char #x4FBE ?$(I++(B) ; C03-I-2B2B
(ucs-set-char #x4FBF ?$(Cx5(B) ; KS0-C-7835
(ucs-set-char #x4FBF ?$(GOm(B) ; C01-G-4F6D
(ucs-set-char #x4FBF ?$@JX(B) ; J78-@-4A58
(ucs-set-char #x4FBF ?$A1c(B) ; GB0-A-3163
(ucs-set-char #x4FBF ?$BJX(B) ; J83-B-4A58
(ucs-set-char #x4FC0 ?$(D16(B) ; J90-D-3136
(ucs-set-char #x4FC0 ?$(H)/(B) ; C02-H-292F
(ucs-set-char #x4FC1 ?$(D17(B) ; J90-D-3137
(ucs-set-char #x4FC1 ?$(H)%(B) ; C02-H-2925
(ucs-set-char #x4FC2 ?$(CLu(B) ; KS0-C-4C75
(ucs-set-char #x4FC2 ?$(GO{(B) ; C01-G-4F7B
(ucs-set-char #x4FC2 ?$@78(B) ; J78-@-3738
(ucs-set-char #x4FC2 ?$B78(B) ; J83-B-3738
(ucs-set-char #x4FC3 ?$(Cu5(B) ; KS0-C-7535
(ucs-set-char #x4FC3 ?$(GOr(B) ; C01-G-4F72
(ucs-set-char #x4FC3 ?$@B%(B) ; J78-@-4225
(ucs-set-char #x4FC3 ?$A4Y(B) ; GB0-A-3459
(ucs-set-char #x4FC3 ?$BB%(B) ; J83-B-4225
(ucs-set-char #x4FC4 ?$(Cd-(B) ; KS0-C-642D
(ucs-set-char #x4FC4 ?$(GOz(B) ; C01-G-4F7A
(ucs-set-char #x4FC4 ?$@2d(B) ; J78-@-3264
(ucs-set-char #x4FC4 ?$A6m(B) ; GB0-A-366D
(ucs-set-char #x4FC4 ?$B2d(B) ; J83-B-3264
(ucs-set-char #x4FC5 ?$(D18(B) ; J90-D-3138
(ucs-set-char #x4FC5 ?$(H(~(B) ; C02-H-287E
(ucs-set-char #x4FC5 ?$AY4(B) ; GB0-A-5934
(ucs-set-char #x4FC6 ?$(D19(B) ; J90-D-3139
(ucs-set-char #x4FC6 ?$(I+2(B) ; C03-I-2B32
(ucs-set-char #x4FC7 ?$(H),(B) ; C02-H-292C
(ucs-set-char #x4FC8 ?$(D1:(B) ; J90-D-313A
(ucs-set-char #x4FC8 ?$(I+/(B) ; C03-I-2B2F
(ucs-set-char #x4FC9 ?$(Cgk(B) ; KS0-C-676B
(ucs-set-char #x4FC9 ?$(D1;(B) ; J90-D-313B
(ucs-set-char #x4FC9 ?$(H)#(B) ; C02-H-2923
(ucs-set-char #x4FCA ?$(CqU(B) ; KS0-C-7155
(ucs-set-char #x4FCA ?$(GOv(B) ; C01-G-4F76
(ucs-set-char #x4FCA ?$@=S(B) ; J78-@-3D53
(ucs-set-char #x4FCA ?$A?!(B) ; GB0-A-3F21
(ucs-set-char #x4FCA ?$B=S(B) ; J83-B-3D53
(ucs-set-char #x4FCB ?$(D1<(B) ; J90-D-313C
(ucs-set-char #x4FCB ?$(H)$(B) ; C02-H-2924
(ucs-set-char #x4FCC ?$(D1=(B) ; J90-D-313D
(ucs-set-char #x4FCC ?$(I+3(B) ; C03-I-2B33
(ucs-set-char #x4FCD ?$(D1>(B) ; J90-D-313E
(ucs-set-char #x4FCD ?$(H(}(B) ; C02-H-287D
(ucs-set-char #x4FCE ?$(Cp;(B) ; KS0-C-703B
(ucs-set-char #x4FCE ?$(GO}(B) ; C01-G-4F7D
(ucs-set-char #x4FCE ?$@PY(B) ; J78-@-5059
(ucs-set-char #x4FCE ?$AY^(B) ; GB0-A-595E
(ucs-set-char #x4FCE ?$BPY(B) ; J83-B-5059
(ucs-set-char #x4FCF ?$(D1?(B) ; J90-D-313F
(ucs-set-char #x4FCF ?$(GOp(B) ; C01-G-4F70
(ucs-set-char #x4FCF ?$AGN(B) ; GB0-A-474E
(ucs-set-char #x4FD0 ?$(GOy(B) ; C01-G-4F79
(ucs-set-char #x4FD0 ?$@P^(B) ; J78-@-505E
(ucs-set-char #x4FD0 ?$A@~(B) ; GB0-A-407E
(ucs-set-char #x4FD0 ?$BP^(B) ; J83-B-505E
(ucs-set-char #x4FD1 ?$(Ci5(B) ; KS0-C-6935
(ucs-set-char #x4FD1 ?$(GOo(B) ; C01-G-4F6F
(ucs-set-char #x4FD1 ?$@P\(B) ; J78-@-505C
(ucs-set-char #x4FD1 ?$AY8(B) ; GB0-A-5938
(ucs-set-char #x4FD1 ?$BP\(B) ; J83-B-505C
(ucs-set-char #x4FD2 ?$(D1@(B) ; J90-D-3140
(ucs-set-char #x4FD2 ?$(I+((B) ; C03-I-2B28
(ucs-set-char #x4FD3 ?$(CLI(B) ; KS0-C-4C49
(ucs-set-char #x4FD3 ?$(H)!(B) ; C02-H-2921
(ucs-set-char #x4FD4 ?$(CzU(B) ; KS0-C-7A55
(ucs-set-char #x4FD4 ?$(H)&(B) ; C02-H-2926
(ucs-set-char #x4FD4 ?$@PW(B) ; J78-@-5057
(ucs-set-char #x4FD4 ?$BPW(B) ; J83-B-5057
(ucs-set-char #x4FD5 ?$(I+)(B) ; C03-I-2B29
(ucs-set-char #x4FD6 ?$(H)-(B) ; C02-H-292D
(ucs-set-char #x4FD7 ?$(CaT(B) ; KS0-C-6154
(ucs-set-char #x4FD7 ?$(GOw(B) ; C01-G-4F77
(ucs-set-char #x4FD7 ?$@B/(B) ; J78-@-422F
(ucs-set-char #x4FD7 ?$AKW(B) ; GB0-A-4B57
(ucs-set-char #x4FD7 ?$BB/(B) ; J83-B-422F
(ucs-set-char #x4FD8 ?$(GOt(B) ; C01-G-4F74
(ucs-set-char #x4FD8 ?$@PZ(B) ; J78-@-505A
(ucs-set-char #x4FD8 ?$A7}(B) ; GB0-A-377D
(ucs-set-char #x4FD8 ?$BPZ(B) ; J83-B-505A
(ucs-set-char #x4FD9 ?$(H)((B) ; C02-H-2928
(ucs-set-char #x4FDA ?$(CWV(B) ; KS0-C-5756
(ucs-set-char #x4FDA ?$(GO|(B) ; C01-G-4F7C
(ucs-set-char #x4FDA ?$@P](B) ; J78-@-505D
(ucs-set-char #x4FDA ?$AY5(B) ; GB0-A-5935
(ucs-set-char #x4FDA ?$BP](B) ; J83-B-505D
(ucs-set-char #x4FDB ?$(H)+(B) ; C02-H-292B
(ucs-set-char #x4FDB ?$@P[(B) ; J78-@-505B
(ucs-set-char #x4FDB ?$BP[(B) ; J83-B-505B
(ucs-set-char #x4FDC ?$(D1A(B) ; J90-D-3141
(ucs-set-char #x4FDC ?$(H)'(B) ; C02-H-2927
(ucs-set-char #x4FDC ?$AY7(B) ; GB0-A-5937
(ucs-set-char #x4FDD ?$(C\A(B) ; KS0-C-5C41
(ucs-set-char #x4FDD ?$(GOq(B) ; C01-G-4F71
(ucs-set-char #x4FDD ?$@J](B) ; J78-@-4A5D
(ucs-set-char #x4FDD ?$A1#(B) ; GB0-A-3123
(ucs-set-char #x4FDD ?$BJ](B) ; J83-B-4A5D
(ucs-set-char #x4FDE ?$(GO~(B) ; C01-G-4F7E
(ucs-set-char #x4FDE ?$ASa(B) ; GB0-A-5361
(ucs-set-char #x4FDF ?$(C^F(B) ; KS0-C-5E46
(ucs-set-char #x4FDF ?$(GOu(B) ; C01-G-4F75
(ucs-set-char #x4FDF ?$@PX(B) ; J78-@-5058
(ucs-set-char #x4FDF ?$AY9(B) ; GB0-A-5939
(ucs-set-char #x4FDF ?$BPX(B) ; J83-B-5058
(ucs-set-char #x4FE0 ?$(Czo(B) ; KS0-C-7A6F
(ucs-set-char #x4FE0 ?$(D1B(B) ; J90-D-3142
(ucs-set-char #x4FE0 ?$(GOn(B) ; C01-G-4F6E
(ucs-set-char #x4FE0 ?$@6"(B) ; J78-@-3622
(ucs-set-char #x4FE1 ?$(Cca(B) ; KS0-C-6361
(ucs-set-char #x4FE1 ?$(GOj(B) ; C01-G-4F6A
(ucs-set-char #x4FE1 ?$@?.(B) ; J78-@-3F2E
(ucs-set-char #x4FE1 ?$APE(B) ; GB0-A-5045
(ucs-set-char #x4FE1 ?$B?.(B) ; J83-B-3F2E
(ucs-set-char #x4FE2 ?$(D1C(B) ; J90-D-3143
(ucs-set-char #x4FE2 ?$(J(?(B) ; C04-J-283F
(ucs-set-char #x4FE3 ?$(I+5(B) ; C03-I-2B35
(ucs-set-char #x4FE3 ?$@Ks(B) ; J78-@-4B73
(ucs-set-char #x4FE3 ?$AY6(B) ; GB0-A-5936
(ucs-set-char #x4FE3 ?$BKs(B) ; J83-B-4B73
(ucs-set-char #x4FE4 ?$@P_(B) ; J78-@-505F
(ucs-set-char #x4FE4 ?$BP_(B) ; J83-B-505F
(ucs-set-char #x4FE5 ?$(I+4(B) ; C03-I-2B34
(ucs-set-char #x4FE5 ?$@P`(B) ; J78-@-5060
(ucs-set-char #x4FE5 ?$BP`(B) ; J83-B-5060
(ucs-set-char #x4FE6 ?$AY1(B) ; GB0-A-5931
(ucs-set-char #x4FE8 ?$AY2(B) ; GB0-A-5932
(ucs-set-char #x4FE9 ?$(J(=(B) ; C04-J-283D
(ucs-set-char #x4FE9 ?$AA)(B) ; GB0-A-4129
(ucs-set-char #x4FEA ?$AY3(B) ; GB0-A-5933
(ucs-set-char #x4FEC ?$(H)1(B) ; C02-H-2931
(ucs-set-char #x4FED ?$A<s(B) ; GB0-A-3C73
(ucs-set-char #x4FEE ?$(Cas(B) ; KS0-C-6173
(ucs-set-char #x4FEE ?$(GT:(B) ; C01-G-543A
(ucs-set-char #x4FEE ?$@=$(B) ; J78-@-3D24
(ucs-set-char #x4FEE ?$AP^(B) ; GB0-A-505E
(ucs-set-char #x4FEE ?$B=$(B) ; J83-B-3D24
(ucs-set-char #x4FEF ?$(C\v(B) ; KS0-C-5C76
(ucs-set-char #x4FEF ?$(GT$(B) ; C01-G-5424
(ucs-set-char #x4FEF ?$@Pm(B) ; J78-@-506D
(ucs-set-char #x4FEF ?$A8)(B) ; GB0-A-3829
(ucs-set-char #x4FEF ?$BPm(B) ; J83-B-506D
(ucs-set-char #x4FF0 ?$(D1D(B) ; J90-D-3144
(ucs-set-char #x4FF0 ?$(I/H(B) ; C03-I-2F48
(ucs-set-char #x4FF1 ?$(CN|(B) ; KS0-C-4E7C
(ucs-set-char #x4FF1 ?$(GT4(B) ; C01-G-5434
(ucs-set-char #x4FF1 ?$A>c(B) ; GB0-A-3E63
(ucs-set-char #x4FF2 ?$(D1E(B) ; J90-D-3145
(ucs-set-char #x4FF2 ?$(I/M(B) ; C03-I-2F4D
(ucs-set-char #x4FF3 ?$(C[D(B) ; KS0-C-5B44
(ucs-set-char #x4FF3 ?$(GT9(B) ; C01-G-5439
(ucs-set-char #x4FF3 ?$@GP(B) ; J78-@-4750
(ucs-set-char #x4FF3 ?$AY=(B) ; GB0-A-593D
(ucs-set-char #x4FF3 ?$BGP(B) ; J83-B-4750
(ucs-set-char #x4FF4 ?$(H-q(B) ; C02-H-2D71
(ucs-set-char #x4FF5 ?$(Cxq(B) ; KS0-C-7871
(ucs-set-char #x4FF5 ?$(H-p(B) ; C02-H-2D70
(ucs-set-char #x4FF5 ?$@I6(B) ; J78-@-4936
(ucs-set-char #x4FF5 ?$BI6(B) ; J83-B-4936
(ucs-set-char #x4FF6 ?$(H-u(B) ; C02-H-2D75
(ucs-set-char #x4FF6 ?$@Ph(B) ; J78-@-5068
(ucs-set-char #x4FF6 ?$BPh(B) ; J83-B-5068
(ucs-set-char #x4FF7 ?$(H-v(B) ; C02-H-2D76
(ucs-set-char #x4FF8 ?$(C\d(B) ; KS0-C-5C64
(ucs-set-char #x4FF8 ?$(GT'(B) ; C01-G-5427
(ucs-set-char #x4FF8 ?$@Jp(B) ; J78-@-4A70
(ucs-set-char #x4FF8 ?$AY:(B) ; GB0-A-593A
(ucs-set-char #x4FF8 ?$BJp(B) ; J83-B-4A70
(ucs-set-char #x4FF9 ?$(I/D(B) ; C03-I-2F44
(ucs-set-char #x4FFA ?$(Ceo(B) ; KS0-C-656F
(ucs-set-char #x4FFA ?$(GT0(B) ; C01-G-5430
(ucs-set-char #x4FFA ?$@26(B) ; J78-@-3236
(ucs-set-char #x4FFA ?$A03(B) ; GB0-A-3033
(ucs-set-char #x4FFA ?$B26(B) ; J83-B-3236
(ucs-set-char #x4FFB ?$(I/X(B) ; C03-I-2F58
(ucs-set-char #x4FFC ?$(D1F(B) ; J90-D-3146
(ucs-set-char #x4FFC ?$(I/L(B) ; C03-I-2F4C
(ucs-set-char #x4FFD ?$(D1G(B) ; J90-D-3147
(ucs-set-char #x4FFD ?$(I/V(B) ; C03-I-2F56
(ucs-set-char #x4FFE ?$(GT=(B) ; C01-G-543D
(ucs-set-char #x4FFE ?$@Pl(B) ; J78-@-506C
(ucs-set-char #x4FFE ?$AYB(B) ; GB0-A-5942
(ucs-set-char #x4FFE ?$BPl(B) ; J83-B-506C
(ucs-set-char #x4FFF ?$(D1H(B) ; J90-D-3148
(ucs-set-char #x4FFF ?$(I/F(B) ; C03-I-2F46
(ucs-set-char #x5000 ?$(D1I(B) ; J90-D-3149
(ucs-set-char #x5000 ?$(GT1(B) ; C01-G-5431
(ucs-set-char #x5001 ?$(D1J(B) ; J90-D-314A
(ucs-set-char #x5001 ?$(J+b(B) ; C04-J-2B62
(ucs-set-char #x5002 ?$(C\1(B) ; KS0-C-5C31
(ucs-set-char #x5002 ?$(I/K(B) ; C03-I-2F4B
(ucs-set-char #x5003 ?$(I/I(B) ; C03-I-2F49
(ucs-set-char #x5004 ?$(D1K(B) ; J90-D-314B
(ucs-set-char #x5004 ?$(I/G(B) ; C03-I-2F47
(ucs-set-char #x5005 ?$(H-j(B) ; C02-H-2D6A
(ucs-set-char #x5005 ?$@Pf(B) ; J78-@-5066
(ucs-set-char #x5005 ?$BPf(B) ; J83-B-5066
(ucs-set-char #x5006 ?$(CUV(B) ; KS0-C-5556
(ucs-set-char #x5006 ?$(GT*(B) ; C01-G-542A
(ucs-set-char #x5006 ?$@Po(B) ; J78-@-506F
(ucs-set-char #x5006 ?$BPo(B) ; J83-B-506F
(ucs-set-char #x5007 ?$(D1L(B) ; J90-D-314C
(ucs-set-char #x5007 ?$(H-k(B) ; C02-H-2D6B
(ucs-set-char #x5008 ?$(I/O(B) ; C03-I-2F4F
(ucs-set-char #x5009 ?$(CsZ(B) ; KS0-C-735A
(ucs-set-char #x5009 ?$(GT?(B) ; C01-G-543F
(ucs-set-char #x5009 ?$@AR(B) ; J78-@-4152
(ucs-set-char #x5009 ?$BAR(B) ; J83-B-4152
(ucs-set-char #x500A ?$(D1M(B) ; J90-D-314D
(ucs-set-char #x500A ?$(J+d(B) ; C04-J-2B64
(ucs-set-char #x500B ?$(CKA(B) ; KS0-C-4B41
(ucs-set-char #x500B ?$(GT6(B) ; C01-G-5436
(ucs-set-char #x500B ?$@8D(B) ; J78-@-3844
(ucs-set-char #x500B ?$B8D(B) ; J83-B-3844
(ucs-set-char #x500C ?$(D1N(B) ; J90-D-314E
(ucs-set-char #x500C ?$(GT!(B) ; C01-G-5421
(ucs-set-char #x500C ?$AYD(B) ; GB0-A-5944
(ucs-set-char #x500D ?$(C[C(B) ; KS0-C-5B43
(ucs-set-char #x500D ?$(GT"(B) ; C01-G-5422
(ucs-set-char #x500D ?$@G\(B) ; J78-@-475C
(ucs-set-char #x500D ?$A16(B) ; GB0-A-3136
(ucs-set-char #x500D ?$BG\(B) ; J83-B-475C
(ucs-set-char #x500E ?$(D1O(B) ; J90-D-314F
(ucs-set-char #x500E ?$(H-~(B) ; C02-H-2D7E
(ucs-set-char #x500F ?$(GY$(B) ; C01-G-5924
(ucs-set-char #x500F ?$@`G(B) ; J78-@-6047
(ucs-set-char #x500F ?$AY?(B) ; GB0-A-593F
(ucs-set-char #x500F ?$B`G(B) ; J83-B-6047
(ucs-set-char #x5010 ?$(D1P(B) ; J90-D-3150
(ucs-set-char #x5010 ?$(I/S(B) ; C03-I-2F53
(ucs-set-char #x5011 ?$(CYz(B) ; KS0-C-597A
(ucs-set-char #x5011 ?$(GT/(B) ; C01-G-542F
(ucs-set-char #x5011 ?$@Pn(B) ; J78-@-506E
(ucs-set-char #x5011 ?$BPn(B) ; J83-B-506E
(ucs-set-char #x5012 ?$(CSn(B) ; KS0-C-536E
(ucs-set-char #x5012 ?$(GT.(B) ; C01-G-542E
(ucs-set-char #x5012 ?$@E](B) ; J78-@-455D
(ucs-set-char #x5012 ?$A59(B) ; GB0-A-3539
(ucs-set-char #x5012 ?$BE](B) ; J83-B-455D
(ucs-set-char #x5013 ?$(D1Q(B) ; J90-D-3151
(ucs-set-char #x5013 ?$(H-l(B) ; C02-H-2D6C
(ucs-set-char #x5014 ?$(GT2(B) ; C01-G-5432
(ucs-set-char #x5014 ?$@Pc(B) ; J78-@-5063
(ucs-set-char #x5014 ?$A>s(B) ; GB0-A-3E73
(ucs-set-char #x5014 ?$BPc(B) ; J83-B-5063
(ucs-set-char #x5015 ?$(H3^(B) ; C02-H-335E
(ucs-set-char #x5016 ?$(Cz8(B) ; KS0-C-7A38
(ucs-set-char #x5016 ?$(GT)(B) ; C01-G-5429
(ucs-set-char #x5016 ?$@8v(B) ; J78-@-3876
(ucs-set-char #x5016 ?$B8v(B) ; J83-B-3876
(ucs-set-char #x5017 ?$(D1R(B) ; J90-D-3152
(ucs-set-char #x5017 ?$(H-w(B) ; C02-H-2D77
(ucs-set-char #x5018 ?$(D1S(B) ; J90-D-3153
(ucs-set-char #x5018 ?$(GT8(B) ; C01-G-5438
(ucs-set-char #x5018 ?$ALH(B) ; GB0-A-4C48
(ucs-set-char #x5019 ?$(C}&(B) ; KS0-C-7D26
(ucs-set-char #x5019 ?$(GT7(B) ; C01-G-5437
(ucs-set-char #x5019 ?$@8u(B) ; J78-@-3875
(ucs-set-char #x5019 ?$A:r(B) ; GB0-A-3A72
(ucs-set-char #x5019 ?$B8u(B) ; J83-B-3875
(ucs-set-char #x501A ?$(Cko(B) ; KS0-C-6B6F
(ucs-set-char #x501A ?$(GT-(B) ; C01-G-542D
(ucs-set-char #x501A ?$@Pa(B) ; J78-@-5061
(ucs-set-char #x501A ?$ARP(B) ; GB0-A-5250
(ucs-set-char #x501A ?$BPa(B) ; J83-B-5061
(ucs-set-char #x501B ?$(D1T(B) ; J90-D-3154
(ucs-set-char #x501B ?$(H-o(B) ; C02-H-2D6F
(ucs-set-char #x501C ?$(Ct&(B) ; KS0-C-7426
(ucs-set-char #x501C ?$(D1U(B) ; J90-D-3155
(ucs-set-char #x501C ?$(H-x(B) ; C02-H-2D78
(ucs-set-char #x501C ?$AYC(B) ; GB0-A-5943
(ucs-set-char #x501D ?$(D1V(B) ; J90-D-3156
(ucs-set-char #x501D ?$(I/E(B) ; C03-I-2F45
(ucs-set-char #x501E ?$(CLJ(B) ; KS0-C-4C4A
(ucs-set-char #x501E ?$(D1W(B) ; J90-D-3157
(ucs-set-char #x501E ?$(H-i(B) ; C02-H-2D69
(ucs-set-char #x501F ?$(Cs((B) ; KS0-C-7328
(ucs-set-char #x501F ?$(GT,(B) ; C01-G-542C
(ucs-set-char #x501F ?$@<Z(B) ; J78-@-3C5A
(ucs-set-char #x501F ?$A=h(B) ; GB0-A-3D68
(ucs-set-char #x501F ?$B<Z(B) ; J83-B-3C5A
(ucs-set-char #x5020 ?$(H-y(B) ; C02-H-2D79
(ucs-set-char #x5021 ?$(Cs[(B) ; KS0-C-735B
(ucs-set-char #x5021 ?$(GT5(B) ; C01-G-5435
(ucs-set-char #x5021 ?$@Pi(B) ; J78-@-5069
(ucs-set-char #x5021 ?$A3+(B) ; GB0-A-332B
(ucs-set-char #x5021 ?$BPi(B) ; J83-B-5069
(ucs-set-char #x5022 ?$(D1X(B) ; J90-D-3158
(ucs-set-char #x5022 ?$(H-m(B) ; C02-H-2D6D
(ucs-set-char #x5023 ?$(C['(B) ; KS0-C-5B27
(ucs-set-char #x5023 ?$(GT#(B) ; C01-G-5423
(ucs-set-char #x5023 ?$@Jo(B) ; J78-@-4A6F
(ucs-set-char #x5023 ?$BJo(B) ; J83-B-4A6F
(ucs-set-char #x5024 ?$(Cv7(B) ; KS0-C-7637
(ucs-set-char #x5024 ?$(I/N(B) ; C03-I-2F4E
(ucs-set-char #x5024 ?$@CM(B) ; J78-@-434D
(ucs-set-char #x5024 ?$BCM(B) ; J83-B-434D
(ucs-set-char #x5025 ?$(GT&(B) ; C01-G-5426
(ucs-set-char #x5025 ?$@Pe(B) ; J78-@-5065
(ucs-set-char #x5025 ?$AYE(B) ; GB0-A-5945
(ucs-set-char #x5025 ?$BPe(B) ; J83-B-5065
(ucs-set-char #x5026 ?$(COf(B) ; KS0-C-4F66
(ucs-set-char #x5026 ?$(GT%(B) ; C01-G-5425
(ucs-set-char #x5026 ?$@7q(B) ; J78-@-3771
(ucs-set-char #x5026 ?$A>k(B) ; GB0-A-3E6B
(ucs-set-char #x5026 ?$B7q(B) ; J83-B-3771
(ucs-set-char #x5027 ?$(Cpr(B) ; KS0-C-7072
(ucs-set-char #x5027 ?$(D1Y(B) ; J90-D-3159
(ucs-set-char #x5027 ?$(H-z(B) ; C02-H-2D7A
(ucs-set-char #x5028 ?$(CKZ(B) ; KS0-C-4B5A
(ucs-set-char #x5028 ?$(GT3(B) ; C01-G-5433
(ucs-set-char #x5028 ?$@Pb(B) ; J78-@-5062
(ucs-set-char #x5028 ?$AYF(B) ; GB0-A-5946
(ucs-set-char #x5028 ?$BPb(B) ; J83-B-5062
(ucs-set-char #x5029 ?$(GT((B) ; C01-G-5428
(ucs-set-char #x5029 ?$@Pj(B) ; J78-@-506A
(ucs-set-char #x5029 ?$AY;(B) ; GB0-A-593B
(ucs-set-char #x5029 ?$BPj(B) ; J83-B-506A
(ucs-set-char #x502A ?$(CgR(B) ; KS0-C-6752
(ucs-set-char #x502A ?$(GT<(B) ; C01-G-543C
(ucs-set-char #x502A ?$@Pd(B) ; J78-@-5064
(ucs-set-char #x502A ?$AD_(B) ; GB0-A-445F
(ucs-set-char #x502A ?$BPd(B) ; J83-B-5064
(ucs-set-char #x502B ?$(CWC(B) ; KS0-C-5743
(ucs-set-char #x502B ?$(GT>(B) ; C01-G-543E
(ucs-set-char #x502B ?$@NQ(B) ; J78-@-4E51
(ucs-set-char #x502B ?$BNQ(B) ; J83-B-4E51
(ucs-set-char #x502C ?$(Cvp(B) ; KS0-C-7670
(ucs-set-char #x502C ?$(H-t(B) ; C02-H-2D74
(ucs-set-char #x502C ?$@Pk(B) ; J78-@-506B
(ucs-set-char #x502C ?$AY>(B) ; GB0-A-593E
(ucs-set-char #x502C ?$BPk(B) ; J83-B-506B
(ucs-set-char #x502D ?$(Ch^(B) ; KS0-C-685E
(ucs-set-char #x502D ?$(GT;(B) ; C01-G-543B
(ucs-set-char #x502D ?$@OA(B) ; J78-@-4F41
(ucs-set-char #x502D ?$AYA(B) ; GB0-A-5941
(ucs-set-char #x502D ?$BOA(B) ; J83-B-4F41
(ucs-set-char #x502E ?$(D1Z(B) ; J90-D-315A
(ucs-set-char #x502E ?$(I/Q(B) ; C03-I-2F51
(ucs-set-char #x502E ?$AY@(B) ; GB0-A-5940
(ucs-set-char #x502F ?$(H-|(B) ; C02-H-2D7C
(ucs-set-char #x5030 ?$(D1[(B) ; J90-D-315B
(ucs-set-char #x5030 ?$(H-n(B) ; C02-H-2D6E
(ucs-set-char #x5031 ?$(H-}(B) ; C02-H-2D7D
(ucs-set-char #x5032 ?$(D1\(B) ; J90-D-315C
(ucs-set-char #x5032 ?$(I/C(B) ; C03-I-2F43
(ucs-set-char #x5033 ?$(D1](B) ; J90-D-315D
(ucs-set-char #x5033 ?$(H-r(B) ; C02-H-2D72
(ucs-set-char #x5034 ?$(J+a(B) ; C04-J-2B61
(ucs-set-char #x5035 ?$(D1^(B) ; J90-D-315E
(ucs-set-char #x5035 ?$(H-{(B) ; C02-H-2D7B
(ucs-set-char #x5036 ?$(I/P(B) ; C03-I-2F50
(ucs-set-char #x5036 ?$@6f(B) ; J78-@-3666
(ucs-set-char #x5036 ?$B6f(B) ; J83-B-3666
(ucs-set-char #x5037 ?$(H-s(B) ; C02-H-2D73
(ucs-set-char #x5038 ?$(I/T(B) ; C03-I-2F54
(ucs-set-char #x5039 ?$(I/U(B) ; C03-I-2F55
(ucs-set-char #x5039 ?$@7p(B) ; J78-@-3770
(ucs-set-char #x5039 ?$B7p(B) ; J83-B-3770
(ucs-set-char #x503A ?$AU.(B) ; GB0-A-552E
(ucs-set-char #x503B ?$(Ce&(B) ; KS0-C-6526
(ucs-set-char #x503B ?$(D1v(B) ; J90-D-3176
(ucs-set-char #x503C ?$(GT+(B) ; C01-G-542B
(ucs-set-char #x503C ?$AV5(B) ; GB0-A-5635
(ucs-set-char #x503E ?$AGc(B) ; GB0-A-4763
(ucs-set-char #x5040 ?$(D1_(B) ; J90-D-315F
(ucs-set-char #x5040 ?$(H3f(B) ; C02-H-3366
(ucs-set-char #x5041 ?$(D1`(B) ; J90-D-3160
(ucs-set-char #x5041 ?$(H3Z(B) ; C02-H-335A
(ucs-set-char #x5042 ?$(D1a(B) ; J90-D-3161
(ucs-set-char #x5042 ?$(I4<(B) ; C03-I-343C
(ucs-set-char #x5043 ?$(Ceg(B) ; KS0-C-6567
(ucs-set-char #x5043 ?$(GXv(B) ; C01-G-5876
(ucs-set-char #x5043 ?$@Pp(B) ; J78-@-5070
(ucs-set-char #x5043 ?$AYH(B) ; GB0-A-5948
(ucs-set-char #x5043 ?$BPp(B) ; J83-B-5070
(ucs-set-char #x5044 ?$(I4?(B) ; C03-I-343F
(ucs-set-char #x5045 ?$(D1b(B) ; J90-D-3162
(ucs-set-char #x5045 ?$(H3_(B) ; C02-H-335F
(ucs-set-char #x5046 ?$(D1c(B) ; J90-D-3163
(ucs-set-char #x5046 ?$(H3e(B) ; C02-H-3365
(ucs-set-char #x5047 ?$(CJ#(B) ; KS0-C-4A23
(ucs-set-char #x5047 ?$(GXu(B) ; C01-G-5875
(ucs-set-char #x5047 ?$@Pq(B) ; J78-@-5071
(ucs-set-char #x5047 ?$A<Y(B) ; GB0-A-3C59
(ucs-set-char #x5047 ?$BPq(B) ; J83-B-5071
(ucs-set-char #x5048 ?$(CL'(B) ; KS0-C-4C27
(ucs-set-char #x5048 ?$(H3X(B) ; C02-H-3358
(ucs-set-char #x5048 ?$@Pu(B) ; J78-@-5075
(ucs-set-char #x5048 ?$AYJ(B) ; GB0-A-594A
(ucs-set-char #x5048 ?$BPu(B) ; J83-B-5075
(ucs-set-char #x5049 ?$(CjI(B) ; KS0-C-6A49
(ucs-set-char #x5049 ?$(GXy(B) ; C01-G-5879
(ucs-set-char #x5049 ?$@0N(B) ; J78-@-304E
(ucs-set-char #x5049 ?$B0N(B) ; J83-B-304E
(ucs-set-char #x504A ?$(D1d(B) ; J90-D-3164
(ucs-set-char #x504A ?$(H3\(B) ; C02-H-335C
(ucs-set-char #x504B ?$(H3U(B) ; C02-H-3355
(ucs-set-char #x504C ?$(D1e(B) ; J90-D-3165
(ucs-set-char #x504C ?$(GXw(B) ; C01-G-5877
(ucs-set-char #x504C ?$AY<(B) ; GB0-A-593C
(ucs-set-char #x504D ?$(H3Y(B) ; C02-H-3359
(ucs-set-char #x504E ?$(D1f(B) ; J90-D-3166
(ucs-set-char #x504E ?$(GX|(B) ; C01-G-587C
(ucs-set-char #x504E ?$AYK(B) ; GB0-A-594B
(ucs-set-char #x504F ?$(Cx6(B) ; KS0-C-7836
(ucs-set-char #x504F ?$(GY#(B) ; C01-G-5923
(ucs-set-char #x504F ?$@JP(B) ; J78-@-4A50
(ucs-set-char #x504F ?$AF+(B) ; GB0-A-462B
(ucs-set-char #x504F ?$BJP(B) ; J83-B-4A50
(ucs-set-char #x5050 ?$(I4D(B) ; C03-I-3444
(ucs-set-char #x5050 ?$@Pt(B) ; J78-@-5074
(ucs-set-char #x5050 ?$BPt(B) ; J83-B-5074
(ucs-set-char #x5051 ?$(D1g(B) ; J90-D-3167
(ucs-set-char #x5051 ?$(H3j(B) ; C02-H-336A
(ucs-set-char #x5052 ?$(D1h(B) ; J90-D-3168
(ucs-set-char #x5052 ?$(I4A(B) ; C03-I-3441
(ucs-set-char #x5053 ?$(D1i(B) ; J90-D-3169
(ucs-set-char #x5053 ?$(H3T(B) ; C02-H-3354
(ucs-set-char #x5054 ?$(I4B(B) ; C03-I-3442
(ucs-set-char #x5055 ?$(Cz%(B) ; KS0-C-7A25
(ucs-set-char #x5055 ?$(GX}(B) ; C01-G-587D
(ucs-set-char #x5055 ?$@Ps(B) ; J78-@-5073
(ucs-set-char #x5055 ?$AYI(B) ; GB0-A-5949
(ucs-set-char #x5055 ?$BPs(B) ; J83-B-5073
(ucs-set-char #x5056 ?$(I/W(B) ; C03-I-2F57
(ucs-set-char #x5056 ?$@Pw(B) ; J78-@-5077
(ucs-set-char #x5056 ?$BPw(B) ; J83-B-5077
(ucs-set-char #x5057 ?$(D1j(B) ; J90-D-316A
(ucs-set-char #x5057 ?$(H3i(B) ; C02-H-3369
(ucs-set-char #x5058 ?$(I4G(B) ; C03-I-3447
(ucs-set-char #x5059 ?$(D1k(B) ; J90-D-316B
(ucs-set-char #x5059 ?$(I4=(B) ; C03-I-343D
(ucs-set-char #x505A ?$(Cq.(B) ; KS0-C-712E
(ucs-set-char #x505A ?$(GXx(B) ; C01-G-5878
(ucs-set-char #x505A ?$@Pv(B) ; J78-@-5076
(ucs-set-char #x505A ?$AWv(B) ; GB0-A-5776
(ucs-set-char #x505A ?$BPv(B) ; J83-B-5076
(ucs-set-char #x505B ?$(H3[(B) ; C02-H-335B
(ucs-set-char #x505C ?$(CoN(B) ; KS0-C-6F4E
(ucs-set-char #x505C ?$(GXt(B) ; C01-G-5874
(ucs-set-char #x505C ?$@Dd(B) ; J78-@-4464
(ucs-set-char #x505C ?$AM#(B) ; GB0-A-4D23
(ucs-set-char #x505C ?$BDd(B) ; J83-B-4464
(ucs-set-char #x505D ?$(H3V(B) ; C02-H-3356
(ucs-set-char #x505E ?$(H3R(B) ; C02-H-3352
(ucs-set-char #x505F ?$(D1l(B) ; J90-D-316C
(ucs-set-char #x505F ?$(H3`(B) ; C02-H-3360
(ucs-set-char #x5060 ?$(D1m(B) ; J90-D-316D
(ucs-set-char #x5060 ?$(H3S(B) ; C02-H-3353
(ucs-set-char #x5061 ?$(H3Q(B) ; C02-H-3351
(ucs-set-char #x5062 ?$(D1n(B) ; J90-D-316E
(ucs-set-char #x5062 ?$(H3](B) ; C02-H-335D
(ucs-set-char #x5063 ?$(D1o(B) ; J90-D-316F
(ucs-set-char #x5063 ?$(H3c(B) ; C02-H-3363
(ucs-set-char #x5064 ?$(H3d(B) ; C02-H-3364
(ucs-set-char #x5065 ?$(CKm(B) ; KS0-C-4B6D
(ucs-set-char #x5065 ?$(GXz(B) ; C01-G-587A
(ucs-set-char #x5065 ?$@7r(B) ; J78-@-3772
(ucs-set-char #x5065 ?$A=!(B) ; GB0-A-3D21
(ucs-set-char #x5065 ?$B7r(B) ; J83-B-3772
(ucs-set-char #x5066 ?$(D1p(B) ; J90-D-3170
(ucs-set-char #x5066 ?$(I4@(B) ; C03-I-3440
(ucs-set-char #x5067 ?$(D1q(B) ; J90-D-3171
(ucs-set-char #x5067 ?$(J0G(B) ; C04-J-3047
(ucs-set-char #x5068 ?$(H:?(B) ; C02-H-3A3F
(ucs-set-char #x5069 ?$(H3a(B) ; C02-H-3361
(ucs-set-char #x506A ?$(D1r(B) ; J90-D-3172
(ucs-set-char #x506A ?$(H3P(B) ; C02-H-3350
(ucs-set-char #x506B ?$(H3b(B) ; C02-H-3362
(ucs-set-char #x506C ?$(I4K(B) ; C03-I-344B
(ucs-set-char #x506C ?$@Px(B) ; J78-@-5078
(ucs-set-char #x506C ?$AYL(B) ; GB0-A-594C
(ucs-set-char #x506C ?$BPx(B) ; J83-B-5078
(ucs-set-char #x506D ?$(D1s(B) ; J90-D-3173
(ucs-set-char #x506D ?$(GY&(B) ; C01-G-5926
(ucs-set-char #x506E ?$(H3g(B) ; C02-H-3367
(ucs-set-char #x506F ?$(GY%(B) ; C01-G-5925
(ucs-set-char #x5070 ?$(D1t(B) ; J90-D-3174
(ucs-set-char #x5070 ?$(H3O(B) ; C02-H-334F
(ucs-set-char #x5071 ?$(D1u(B) ; J90-D-3175
(ucs-set-char #x5071 ?$(I4C(B) ; C03-I-3443
(ucs-set-char #x5072 ?$(H3W(B) ; C02-H-3357
(ucs-set-char #x5072 ?$@<E(B) ; J78-@-3C45
(ucs-set-char #x5072 ?$B<E(B) ; J83-B-3C45
(ucs-set-char #x5073 ?$(H3h(B) ; C02-H-3368
(ucs-set-char #x5074 ?$(Cv0(B) ; KS0-C-7630
(ucs-set-char #x5074 ?$(GY!(B) ; C01-G-5921
(ucs-set-char #x5074 ?$@B&(B) ; J78-@-4226
(ucs-set-char #x5074 ?$BB&(B) ; J83-B-4226
(ucs-set-char #x5075 ?$(CoO(B) ; KS0-C-6F4F
(ucs-set-char #x5075 ?$(GX~(B) ; C01-G-587E
(ucs-set-char #x5075 ?$@De(B) ; J78-@-4465
(ucs-set-char #x5075 ?$BDe(B) ; J83-B-4465
(ucs-set-char #x5076 ?$(CiO(B) ; KS0-C-694F
(ucs-set-char #x5076 ?$(GX{(B) ; C01-G-587B
(ucs-set-char #x5076 ?$@6v(B) ; J78-@-3676
(ucs-set-char #x5076 ?$AE<(B) ; GB0-A-453C
(ucs-set-char #x5076 ?$B6v(B) ; J83-B-3676
(ucs-set-char #x5077 ?$(GY"(B) ; C01-G-5922
(ucs-set-char #x5077 ?$AM5(B) ; GB0-A-4D35
(ucs-set-char #x5078 ?$(Cw^(B) ; KS0-C-775E
(ucs-set-char #x5078 ?$(I4L(B) ; C03-I-344C
(ucs-set-char #x5078 ?$@Py(B) ; J78-@-5079
(ucs-set-char #x5078 ?$BPy(B) ; J83-B-5079
(ucs-set-char #x5079 ?$(I4J(B) ; C03-I-344A
(ucs-set-char #x507A ?$(GXr(B) ; C01-G-5872
(ucs-set-char #x507B ?$(I4E(B) ; C03-I-3445
(ucs-set-char #x507B ?$AYM(B) ; GB0-A-594D
(ucs-set-char #x507C ?$(I4F(B) ; C03-I-3446
(ucs-set-char #x507D ?$(GXs(B) ; C01-G-5873
(ucs-set-char #x507D ?$@56(B) ; J78-@-3536
(ucs-set-char #x507D ?$B56(B) ; J83-B-3536
(ucs-set-char #x507E ?$AYG(B) ; GB0-A-5947
(ucs-set-char #x507F ?$A3%(B) ; GB0-A-3325
(ucs-set-char #x5080 ?$(CNS(B) ; KS0-C-4E53
(ucs-set-char #x5080 ?$(G^.(B) ; C01-G-5E2E
(ucs-set-char #x5080 ?$@Pz(B) ; J78-@-507A
(ucs-set-char #x5080 ?$A?~(B) ; GB0-A-3F7E
(ucs-set-char #x5080 ?$BPz(B) ; J83-B-507A
(ucs-set-char #x5081 ?$(D1w(B) ; J90-D-3177
(ucs-set-char #x5081 ?$(I9u(B) ; C03-I-3975
(ucs-set-char #x5082 ?$(H:B(B) ; C02-H-3A42
(ucs-set-char #x5083 ?$(D1x(B) ; J90-D-3178
(ucs-set-char #x5083 ?$(H:;(B) ; C02-H-3A3B
(ucs-set-char #x5084 ?$(D1y(B) ; J90-D-3179
(ucs-set-char #x5084 ?$(J64(B) ; C04-J-3634
(ucs-set-char #x5085 ?$(C\w(B) ; KS0-C-5C77
(ucs-set-char #x5085 ?$(G^+(B) ; C01-G-5E2B
(ucs-set-char #x5085 ?$@P|(B) ; J78-@-507C
(ucs-set-char #x5085 ?$A85(B) ; GB0-A-3835
(ucs-set-char #x5085 ?$BP|(B) ; J83-B-507C
(ucs-set-char #x5086 ?$(D1z(B) ; J90-D-317A
(ucs-set-char #x5086 ?$(J63(B) ; C04-J-3633
(ucs-set-char #x5087 ?$(H:C(B) ; C02-H-3A43
(ucs-set-char #x5088 ?$(I9q(B) ; C03-I-3971
(ucs-set-char #x5088 ?$A@|(B) ; GB0-A-407C
(ucs-set-char #x5089 ?$(I9r(B) ; C03-I-3972
(ucs-set-char #x508A ?$(D1{(B) ; J90-D-317B
(ucs-set-char #x508A ?$(J66(B) ; C04-J-3636
(ucs-set-char #x508B ?$(H:9(B) ; C02-H-3A39
(ucs-set-char #x508C ?$(H:<(B) ; C02-H-3A3C
(ucs-set-char #x508D ?$(C[((B) ; KS0-C-5B28
(ucs-set-char #x508D ?$(G^*(B) ; C01-G-5E2A
(ucs-set-char #x508D ?$@K5(B) ; J78-@-4B35
(ucs-set-char #x508D ?$A0x(B) ; GB0-A-3078
(ucs-set-char #x508D ?$BK5(B) ; J83-B-4B35
(ucs-set-char #x508E ?$(D1|(B) ; J90-D-317C
(ucs-set-char #x508E ?$(H:=(B) ; C02-H-3A3D
(ucs-set-char #x508F ?$(D1}(B) ; J90-D-317D
(ucs-set-char #x508F ?$(I9o(B) ; C03-I-396F
(ucs-set-char #x5090 ?$(D1~(B) ; J90-D-317E
(ucs-set-char #x5090 ?$(J61(B) ; C04-J-3631
(ucs-set-char #x5091 ?$(CKx(B) ; KS0-C-4B78
(ucs-set-char #x5091 ?$(G^-(B) ; C01-G-5E2D
(ucs-set-char #x5091 ?$@7f(B) ; J78-@-3766
(ucs-set-char #x5091 ?$B7f(B) ; J83-B-3766
(ucs-set-char #x5092 ?$(D2!(B) ; J90-D-3221
(ucs-set-char #x5092 ?$(H:A(B) ; C02-H-3A41
(ucs-set-char #x5093 ?$(D2"(B) ; J90-D-3222
(ucs-set-char #x5093 ?$(J6<(B) ; C04-J-363C
(ucs-set-char #x5094 ?$(D2#(B) ; J90-D-3223
(ucs-set-char #x5094 ?$(H:7(B) ; C02-H-3A37
(ucs-set-char #x5095 ?$(H:6(B) ; C02-H-3A36
(ucs-set-char #x5096 ?$(D2$(B) ; J90-D-3224
(ucs-set-char #x5096 ?$(G^/(B) ; C01-G-5E2F
(ucs-set-char #x5097 ?$(I9p(B) ; C03-I-3970
(ucs-set-char #x5098 ?$(C_!(B) ; KS0-C-5F21
(ucs-set-char #x5098 ?$(G^0(B) ; C01-G-5E30
(ucs-set-char #x5098 ?$@;1(B) ; J78-@-3B31
(ucs-set-char #x5098 ?$B;1(B) ; J83-B-3B31
(ucs-set-char #x5099 ?$(C]a(B) ; KS0-C-5D61
(ucs-set-char #x5099 ?$(G^,(B) ; C01-G-5E2C
(ucs-set-char #x5099 ?$@Hw(B) ; J78-@-4877
(ucs-set-char #x5099 ?$BHw(B) ; J83-B-4877
(ucs-set-char #x509A ?$(G^1(B) ; C01-G-5E31
(ucs-set-char #x509A ?$@P{(B) ; J78-@-507B
(ucs-set-char #x509A ?$BP{(B) ; J83-B-507B
(ucs-set-char #x509B ?$(D2%(B) ; J90-D-3225
(ucs-set-char #x509B ?$(H:5(B) ; C02-H-3A35
(ucs-set-char #x509C ?$(D2&(B) ; J90-D-3226
(ucs-set-char #x509C ?$(H:@(B) ; C02-H-3A40
(ucs-set-char #x509D ?$(H:>(B) ; C02-H-3A3E
(ucs-set-char #x509E ?$(D2'(B) ; J90-D-3227
(ucs-set-char #x509E ?$(H:8(B) ; C02-H-3A38
(ucs-set-char #x509F ?$(D2((B) ; J90-D-3228
(ucs-set-char #x509F ?$(J69(B) ; C04-J-3639
(ucs-set-char #x50A0 ?$(D2)(B) ; J90-D-3229
(ucs-set-char #x50A0 ?$(J60(B) ; C04-J-3630
(ucs-set-char #x50A1 ?$(D2*(B) ; J90-D-322A
(ucs-set-char #x50A1 ?$(J6:(B) ; C04-J-363A
(ucs-set-char #x50A2 ?$(D2+(B) ; J90-D-322B
(ucs-set-char #x50A2 ?$(G^)(B) ; C01-G-5E29
(ucs-set-char #x50A3 ?$(H::(B) ; C02-H-3A3A
(ucs-set-char #x50A3 ?$A4v(B) ; GB0-A-3476
(ucs-set-char #x50A5 ?$AYN(B) ; GB0-A-594E
(ucs-set-char #x50A7 ?$AYO(B) ; GB0-A-594F
(ucs-set-char #x50A8 ?$A4"(B) ; GB0-A-3422
(ucs-set-char #x50A9 ?$AYP(B) ; GB0-A-5950
(ucs-set-char #x50AA ?$(D2,(B) ; J90-D-322C
(ucs-set-char #x50AA ?$(I@9(B) ; C03-I-4039
(ucs-set-char #x50AB ?$(I@<(B) ; C03-I-403C
(ucs-set-char #x50AC ?$(CuJ(B) ; KS0-C-754A
(ucs-set-char #x50AC ?$(Gc1(B) ; C01-G-6331
(ucs-set-char #x50AC ?$@:E(B) ; J78-@-3A45
(ucs-set-char #x50AC ?$A4_(B) ; GB0-A-345F
(ucs-set-char #x50AC ?$B:E(B) ; J83-B-3A45
(ucs-set-char #x50AD ?$(Ci6(B) ; KS0-C-6936
(ucs-set-char #x50AD ?$(Gc+(B) ; C01-G-632B
(ucs-set-char #x50AD ?$@MC(B) ; J78-@-4D43
(ucs-set-char #x50AD ?$BMC(B) ; J83-B-4D43
(ucs-set-char #x50AE ?$(HA\(B) ; C02-H-415C
(ucs-set-char #x50AF ?$(D2-(B) ; J90-D-322D
(ucs-set-char #x50AF ?$(Gc4(B) ; C01-G-6334
(ucs-set-char #x50B0 ?$(D2.(B) ; J90-D-322E
(ucs-set-char #x50B0 ?$(HAb(B) ; C02-H-4162
(ucs-set-char #x50B1 ?$(HAe(B) ; C02-H-4165
(ucs-set-char #x50B2 ?$(Cgl(B) ; KS0-C-676C
(ucs-set-char #x50B2 ?$(Gc-(B) ; C01-G-632D
(ucs-set-char #x50B2 ?$@P~(B) ; J78-@-507E
(ucs-set-char #x50B2 ?$A0A(B) ; GB0-A-3041
(ucs-set-char #x50B2 ?$BP~(B) ; J83-B-507E
(ucs-set-char #x50B3 ?$(Cnn(B) ; KS0-C-6E6E
(ucs-set-char #x50B3 ?$(Gc.(B) ; C01-G-632E
(ucs-set-char #x50B3 ?$@Q#(B) ; J78-@-5123
(ucs-set-char #x50B3 ?$BQ#(B) ; J83-B-5123
(ucs-set-char #x50B4 ?$(HA_(B) ; C02-H-415F
(ucs-set-char #x50B4 ?$@P}(B) ; J78-@-507D
(ucs-set-char #x50B4 ?$BP}(B) ; J83-B-507D
(ucs-set-char #x50B5 ?$(Csp(B) ; KS0-C-7370
(ucs-set-char #x50B5 ?$(Gc,(B) ; C01-G-632C
(ucs-set-char #x50B5 ?$@:D(B) ; J78-@-3A44
(ucs-set-char #x50B5 ?$B:D(B) ; J83-B-3A44
(ucs-set-char #x50B6 ?$(HAh(B) ; C02-H-4168
(ucs-set-char #x50B7 ?$(C_?(B) ; KS0-C-5F3F
(ucs-set-char #x50B7 ?$(Gc2(B) ; C01-G-6332
(ucs-set-char #x50B7 ?$@=}(B) ; J78-@-3D7D
(ucs-set-char #x50B7 ?$B=}(B) ; J83-B-3D7D
(ucs-set-char #x50B8 ?$(HAi(B) ; C02-H-4169
(ucs-set-char #x50B9 ?$(D2/(B) ; J90-D-322F
(ucs-set-char #x50B9 ?$(I@:(B) ; C03-I-403A
(ucs-set-char #x50BA ?$(D20(B) ; J90-D-3230
(ucs-set-char #x50BA ?$(HAd(B) ; C02-H-4164
(ucs-set-char #x50BA ?$AYQ(B) ; GB0-A-5951
(ucs-set-char #x50BB ?$(Gc3(B) ; C01-G-6333
(ucs-set-char #x50BB ?$AI5(B) ; GB0-A-4935
(ucs-set-char #x50BC ?$(I@7(B) ; C03-I-4037
(ucs-set-char #x50BD ?$(D21(B) ; J90-D-3231
(ucs-set-char #x50BD ?$(HAY(B) ; C02-H-4159
(ucs-set-char #x50BE ?$(CLK(B) ; KS0-C-4C4B
(ucs-set-char #x50BE ?$(Gc0(B) ; C01-G-6330
(ucs-set-char #x50BE ?$@79(B) ; J78-@-3739
(ucs-set-char #x50BE ?$B79(B) ; J83-B-3739
(ucs-set-char #x50BF ?$(HAZ(B) ; C02-H-415A
(ucs-set-char #x50C0 ?$(D22(B) ; J90-D-3232
(ucs-set-char #x50C0 ?$(J<)(B) ; C04-J-3C29
(ucs-set-char #x50C1 ?$(HAc(B) ; C02-H-4163
(ucs-set-char #x50C2 ?$(HAa(B) ; C02-H-4161
(ucs-set-char #x50C2 ?$@Q$(B) ; J78-@-5124
(ucs-set-char #x50C2 ?$BQ$(B) ; J83-B-5124
(ucs-set-char #x50C3 ?$(D23(B) ; J90-D-3233
(ucs-set-char #x50C3 ?$(I@=(B) ; C03-I-403D
(ucs-set-char #x50C4 ?$(D24(B) ; J90-D-3234
(ucs-set-char #x50C4 ?$(HA](B) ; C02-H-415D
(ucs-set-char #x50C5 ?$(CPA(B) ; KS0-C-5041
(ucs-set-char #x50C5 ?$(Gc/(B) ; C01-G-632F
(ucs-set-char #x50C5 ?$@6O(B) ; J78-@-364F
(ucs-set-char #x50C5 ?$B6O(B) ; J83-B-364F
(ucs-set-char #x50C6 ?$(HA[(B) ; C02-H-415B
(ucs-set-char #x50C7 ?$(D25(B) ; J90-D-3235
(ucs-set-char #x50C7 ?$(Gc5(B) ; C01-G-6335
(ucs-set-char #x50C8 ?$(HA`(B) ; C02-H-4160
(ucs-set-char #x50C9 ?$(CtR(B) ; KS0-C-7452
(ucs-set-char #x50C9 ?$(HAg(B) ; C02-H-4167
(ucs-set-char #x50C9 ?$@Q!(B) ; J78-@-5121
(ucs-set-char #x50C9 ?$BQ!(B) ; J83-B-5121
(ucs-set-char #x50CA ?$(C`:(B) ; KS0-C-603A
(ucs-set-char #x50CA ?$(HA^(B) ; C02-H-415E
(ucs-set-char #x50CA ?$@Q"(B) ; J78-@-5122
(ucs-set-char #x50CA ?$BQ"(B) ; J83-B-5122
(ucs-set-char #x50CB ?$(HAf(B) ; C02-H-4166
(ucs-set-char #x50CC ?$(D26(B) ; J90-D-3236
(ucs-set-char #x50CC ?$(I@6(B) ; C03-I-4036
(ucs-set-char #x50CD ?$(I@>(B) ; C03-I-403E
(ucs-set-char #x50CD ?$@F/(B) ; J78-@-462F
(ucs-set-char #x50CD ?$BF/(B) ; J83-B-462F
(ucs-set-char #x50CE ?$(D27(B) ; J90-D-3237
(ucs-set-char #x50CE ?$(Gg|(B) ; C01-G-677C
(ucs-set-char #x50CF ?$(C_@(B) ; KS0-C-5F40
(ucs-set-char #x50CF ?$(Ggy(B) ; C01-G-6779
(ucs-set-char #x50CF ?$@A|(B) ; J78-@-417C
(ucs-set-char #x50CF ?$AOq(B) ; GB0-A-4F71
(ucs-set-char #x50CF ?$BA|(B) ; J83-B-417C
(ucs-set-char #x50D0 ?$(D28(B) ; J90-D-3238
(ucs-set-char #x50D0 ?$(IEk(B) ; C03-I-456B
(ucs-set-char #x50D1 ?$(CN`(B) ; KS0-C-4E60
(ucs-set-char #x50D1 ?$(Ggz(B) ; C01-G-677A
(ucs-set-char #x50D1 ?$@6#(B) ; J78-@-3623
(ucs-set-char #x50D1 ?$B6#(B) ; J83-B-3623
(ucs-set-char #x50D2 ?$(JB-(B) ; C04-J-422D
(ucs-set-char #x50D3 ?$(D29(B) ; J90-D-3239
(ucs-set-char #x50D3 ?$(HI!(B) ; C02-H-4921
(ucs-set-char #x50D4 ?$(D2:(B) ; J90-D-323A
(ucs-set-char #x50D4 ?$(HHw(B) ; C02-H-4877
(ucs-set-char #x50D5 ?$(C\R(B) ; KS0-C-5C52
(ucs-set-char #x50D5 ?$(Ggx(B) ; C01-G-6778
(ucs-set-char #x50D5 ?$@KM(B) ; J78-@-4B4D
(ucs-set-char #x50D5 ?$BKM(B) ; J83-B-4B4D
(ucs-set-char #x50D6 ?$(C}j(B) ; KS0-C-7D6A
(ucs-set-char #x50D6 ?$(Ggu(B) ; C01-G-6775
(ucs-set-char #x50D6 ?$@Q%(B) ; J78-@-5125
(ucs-set-char #x50D6 ?$AYR(B) ; GB0-A-5952
(ucs-set-char #x50D6 ?$BQ%(B) ; J83-B-5125
(ucs-set-char #x50D7 ?$(HHx(B) ; C02-H-4878
(ucs-set-char #x50D8 ?$(D2;(B) ; J90-D-323B
(ucs-set-char #x50D8 ?$(IEn(B) ; C03-I-456E
(ucs-set-char #x50D9 ?$(IEl(B) ; C03-I-456C
(ucs-set-char #x50DA ?$(CVv(B) ; KS0-C-5676
(ucs-set-char #x50DA ?$(Ggw(B) ; C01-G-6777
(ucs-set-char #x50DA ?$@N=(B) ; J78-@-4E3D
(ucs-set-char #x50DA ?$AAE(B) ; GB0-A-4145
(ucs-set-char #x50DA ?$BN=(B) ; J83-B-4E3D
(ucs-set-char #x50DB ?$(HH{(B) ; C02-H-487B
(ucs-set-char #x50DC ?$(D2<(B) ; J90-D-323C
(ucs-set-char #x50DC ?$(IEm(B) ; C03-I-456D
(ucs-set-char #x50DD ?$(D2=(B) ; J90-D-323D
(ucs-set-char #x50DD ?$(HH}(B) ; C02-H-487D
(ucs-set-char #x50DE ?$(CjJ(B) ; KS0-C-6A4A
(ucs-set-char #x50DE ?$(IEv(B) ; C03-I-4576
(ucs-set-char #x50DE ?$@Q&(B) ; J78-@-5126
(ucs-set-char #x50DE ?$BQ&(B) ; J83-B-5126
(ucs-set-char #x50DF ?$(D2>(B) ; J90-D-323E
(ucs-set-char #x50DF ?$(JB5(B) ; C04-J-4235
(ucs-set-char #x50E0 ?$(HI&(B) ; C02-H-4926
(ucs-set-char #x50E1 ?$(IEp(B) ; C03-I-4570
(ucs-set-char #x50E2 ?$(D2?(B) ; J90-D-323F
(ucs-set-char #x50E2 ?$(IEu(B) ; C03-I-4575
(ucs-set-char #x50E3 ?$(HI%(B) ; C02-H-4925
(ucs-set-char #x50E3 ?$@Q)(B) ; J78-@-5129
(ucs-set-char #x50E3 ?$BQ)(B) ; J83-B-5129
(ucs-set-char #x50E4 ?$(D2@(B) ; J90-D-3240
(ucs-set-char #x50E4 ?$(HH~(B) ; C02-H-487E
(ucs-set-char #x50E5 ?$(Chi(B) ; KS0-C-6869
(ucs-set-char #x50E5 ?$(Ggt(B) ; C01-G-6774
(ucs-set-char #x50E5 ?$@Q'(B) ; J78-@-5127
(ucs-set-char #x50E5 ?$BQ'(B) ; J83-B-5127
(ucs-set-char #x50E6 ?$(D2A(B) ; J90-D-3241
(ucs-set-char #x50E6 ?$(HHv(B) ; C02-H-4876
(ucs-set-char #x50E6 ?$AYV(B) ; GB0-A-5956
(ucs-set-char #x50E7 ?$(Cc,(B) ; KS0-C-632C
(ucs-set-char #x50E7 ?$(Ggr(B) ; C01-G-6772
(ucs-set-char #x50E7 ?$(J<0(B) ; C04-J-3C30
(ucs-set-char #x50E7 ?$@AN(B) ; J78-@-414E
(ucs-set-char #x50E7 ?$AI.(B) ; GB0-A-492E
(ucs-set-char #x50E7 ?$BAN(B) ; J83-B-414E
(ucs-set-char #x50E8 ?$(D2B(B) ; J90-D-3242
(ucs-set-char #x50E8 ?$(HHy(B) ; C02-H-4879
(ucs-set-char #x50E9 ?$(D2C(B) ; J90-D-3243
(ucs-set-char #x50E9 ?$(Gg}(B) ; C01-G-677D
(ucs-set-char #x50EA ?$(HH|(B) ; C02-H-487C
(ucs-set-char #x50EB ?$(IEq(B) ; C03-I-4571
(ucs-set-char #x50EC ?$(HI"(B) ; C02-H-4922
(ucs-set-char #x50EC ?$AYU(B) ; GB0-A-5955
(ucs-set-char #x50ED ?$(CsP(B) ; KS0-C-7350
(ucs-set-char #x50ED ?$(Ggv(B) ; C01-G-6776
(ucs-set-char #x50ED ?$@Q((B) ; J78-@-5128
(ucs-set-char #x50ED ?$AYT(B) ; GB0-A-5954
(ucs-set-char #x50ED ?$BQ((B) ; J83-B-5128
(ucs-set-char #x50EE ?$(Ggs(B) ; C01-G-6773
(ucs-set-char #x50EE ?$@Q*(B) ; J78-@-512A
(ucs-set-char #x50EE ?$AYW(B) ; GB0-A-5957
(ucs-set-char #x50EE ?$BQ*(B) ; J83-B-512A
(ucs-set-char #x50EF ?$(D2D(B) ; J90-D-3244
(ucs-set-char #x50EF ?$(HI$(B) ; C02-H-4924
(ucs-set-char #x50F0 ?$(HI#(B) ; C02-H-4923
(ucs-set-char #x50F1 ?$(D2E(B) ; J90-D-3245
(ucs-set-char #x50F1 ?$(Gg{(B) ; C01-G-677B
(ucs-set-char #x50F2 ?$(D2Q(B) ; J90-D-3251
(ucs-set-char #x50F3 ?$(HHz(B) ; C02-H-487A
(ucs-set-char #x50F3 ?$AK[(B) ; GB0-A-4B5B
(ucs-set-char #x50F4 ?$(IEt(B) ; C03-I-4574
(ucs-set-char #x50F5 ?$(Gl#(B) ; C01-G-6C23
(ucs-set-char #x50F5 ?$@Q,(B) ; J78-@-512C
(ucs-set-char #x50F5 ?$A=)(B) ; GB0-A-3D29
(ucs-set-char #x50F5 ?$BQ,(B) ; J83-B-512C
(ucs-set-char #x50F6 ?$(D2F(B) ; J90-D-3246
(ucs-set-char #x50F6 ?$(HOT(B) ; C02-H-4F54
(ucs-set-char #x50F7 ?$(IK)(B) ; C03-I-4B29
(ucs-set-char #x50F8 ?$(HOQ(B) ; C02-H-4F51
(ucs-set-char #x50F9 ?$(CJ$(B) ; KS0-C-4A24
(ucs-set-char #x50F9 ?$(Gl$(B) ; C01-G-6C24
(ucs-set-char #x50F9 ?$@Q+(B) ; J78-@-512B
(ucs-set-char #x50F9 ?$BQ+(B) ; J83-B-512B
(ucs-set-char #x50FA ?$(D2G(B) ; J90-D-3247
(ucs-set-char #x50FA ?$(JHy(B) ; C04-J-4879
(ucs-set-char #x50FB ?$(C[x(B) ; KS0-C-5B78
(ucs-set-char #x50FB ?$(Gl"(B) ; C01-G-6C22
(ucs-set-char #x50FB ?$@JH(B) ; J78-@-4A48
(ucs-set-char #x50FB ?$AF'(B) ; GB0-A-4627
(ucs-set-char #x50FB ?$BJH(B) ; J83-B-4A48
(ucs-set-char #x50FC ?$(IK+(B) ; C03-I-4B2B
(ucs-set-char #x50FD ?$(HOX(B) ; C02-H-4F58
(ucs-set-char #x50FE ?$(D2H(B) ; J90-D-3248
(ucs-set-char #x50FE ?$(HOU(B) ; C02-H-4F55
(ucs-set-char #x50FF ?$(C^G(B) ; KS0-C-5E47
(ucs-set-char #x50FF ?$(HON(B) ; C02-H-4F4E
(ucs-set-char #x5100 ?$(Ckp(B) ; KS0-C-6B70
(ucs-set-char #x5100 ?$(Gl!(B) ; C01-G-6C21
(ucs-set-char #x5100 ?$@57(B) ; J78-@-3537
(ucs-set-char #x5100 ?$B57(B) ; J83-B-3537
(ucs-set-char #x5101 ?$(CqV(B) ; KS0-C-7156
(ucs-set-char #x5101 ?$(IK-(B) ; C03-I-4B2D
(ucs-set-char #x5101 ?$@Q.(B) ; J78-@-512E
(ucs-set-char #x5101 ?$BQ.(B) ; J83-B-512E
(ucs-set-char #x5102 ?$(Gl%(B) ; C01-G-6C25
(ucs-set-char #x5102 ?$@Q/(B) ; J78-@-512F
(ucs-set-char #x5102 ?$BQ/(B) ; J83-B-512F
(ucs-set-char #x5103 ?$(D2I(B) ; J90-D-3249
(ucs-set-char #x5103 ?$(HOO(B) ; C02-H-4F4F
(ucs-set-char #x5104 ?$(Ceb(B) ; KS0-C-6562
(ucs-set-char #x5104 ?$(Gk~(B) ; C01-G-6B7E
(ucs-set-char #x5104 ?$@2/(B) ; J78-@-322F
(ucs-set-char #x5104 ?$B2/(B) ; J83-B-322F
(ucs-set-char #x5105 ?$(Gl((B) ; C01-G-6C28
(ucs-set-char #x5106 ?$(CLL(B) ; KS0-C-4C4C
(ucs-set-char #x5106 ?$(D2J(B) ; J90-D-324A
(ucs-set-char #x5106 ?$(HOR(B) ; C02-H-4F52
(ucs-set-char #x5106 ?$AYS(B) ; GB0-A-5953
(ucs-set-char #x5107 ?$(D2K(B) ; J90-D-324B
(ucs-set-char #x5107 ?$(HOS(B) ; C02-H-4F53
(ucs-set-char #x5107 ?$AYX(B) ; GB0-A-5958
(ucs-set-char #x5108 ?$(D2L(B) ; J90-D-324C
(ucs-set-char #x5108 ?$(Gl&(B) ; C01-G-6C26
(ucs-set-char #x5109 ?$(CK{(B) ; KS0-C-4B7B
(ucs-set-char #x5109 ?$(Gl'(B) ; C01-G-6C27
(ucs-set-char #x5109 ?$@Q-(B) ; J78-@-512D
(ucs-set-char #x5109 ?$BQ-(B) ; J83-B-512D
(ucs-set-char #x510A ?$(HOY(B) ; C02-H-4F59
(ucs-set-char #x510B ?$(D2M(B) ; J90-D-324D
(ucs-set-char #x510B ?$(HOV(B) ; C02-H-4F56
(ucs-set-char #x510B ?$AYY(B) ; GB0-A-5959
(ucs-set-char #x510C ?$(D2N(B) ; J90-D-324E
(ucs-set-char #x510C ?$(HOW(B) ; C02-H-4F57
(ucs-set-char #x510D ?$(D2O(B) ; J90-D-324F
(ucs-set-char #x510D ?$(IK,(B) ; C03-I-4B2C
(ucs-set-char #x510E ?$(D2P(B) ; J90-D-3250
(ucs-set-char #x510E ?$(IK'(B) ; C03-I-4B27
(ucs-set-char #x5110 ?$(D2R(B) ; J90-D-3252
(ucs-set-char #x5110 ?$(Gp3(B) ; C01-G-7033
(ucs-set-char #x5111 ?$(HVC(B) ; C02-H-5643
(ucs-set-char #x5112 ?$(Cjc(B) ; KS0-C-6A63
(ucs-set-char #x5112 ?$(Gp0(B) ; C01-G-7030
(ucs-set-char #x5112 ?$@<t(B) ; J78-@-3C74
(ucs-set-char #x5112 ?$AHe(B) ; GB0-A-4865
(ucs-set-char #x5112 ?$B<t(B) ; J83-B-3C74
(ucs-set-char #x5113 ?$(HV@(B) ; C02-H-5640
(ucs-set-char #x5114 ?$(Gp2(B) ; C01-G-7032
(ucs-set-char #x5114 ?$@Q2(B) ; J78-@-5132
(ucs-set-char #x5114 ?$BQ2(B) ; J83-B-5132
(ucs-set-char #x5115 ?$(Gp4(B) ; C01-G-7034
(ucs-set-char #x5115 ?$@Q1(B) ; J78-@-5131
(ucs-set-char #x5115 ?$BQ1(B) ; J83-B-5131
(ucs-set-char #x5116 ?$(IP1(B) ; C03-I-5031
(ucs-set-char #x5116 ?$@Q0(B) ; J78-@-5130
(ucs-set-char #x5116 ?$BQ0(B) ; J83-B-5130
(ucs-set-char #x5117 ?$(D2S(B) ; J90-D-3253
(ucs-set-char #x5117 ?$(HVA(B) ; C02-H-5641
(ucs-set-char #x5118 ?$(Gp1(B) ; C01-G-7031
(ucs-set-char #x5118 ?$@Ky(B) ; J78-@-4B79
(ucs-set-char #x5118 ?$BPV(B) ; J83-B-5056
(ucs-set-char #x5119 ?$(D2T(B) ; J90-D-3254
(ucs-set-char #x5119 ?$(JOZ(B) ; C04-J-4F5A
(ucs-set-char #x511A ?$(HVB(B) ; C02-H-5642
(ucs-set-char #x511A ?$@Q3(B) ; J78-@-5133
(ucs-set-char #x511A ?$BQ3(B) ; J83-B-5133
(ucs-set-char #x511B ?$(D2U(B) ; J90-D-3255
(ucs-set-char #x511B ?$(IP5(B) ; C03-I-5035
(ucs-set-char #x511C ?$(D2V(B) ; J90-D-3256
(ucs-set-char #x511C ?$(HV?(B) ; C02-H-563F
(ucs-set-char #x511D ?$(D2W(B) ; J90-D-3257
(ucs-set-char #x511D ?$(IP0(B) ; C03-I-5030
(ucs-set-char #x511E ?$(D2X(B) ; J90-D-3258
(ucs-set-char #x511E ?$(IP4(B) ; C03-I-5034
(ucs-set-char #x511F ?$(C_A(B) ; KS0-C-5F41
(ucs-set-char #x511F ?$(GsA(B) ; C01-G-7341
(ucs-set-char #x511F ?$@=~(B) ; J78-@-3D7E
(ucs-set-char #x511F ?$B=~(B) ; J83-B-3D7E
(ucs-set-char #x5120 ?$(H\I(B) ; C02-H-5C49
(ucs-set-char #x5121 ?$(CVm(B) ; KS0-C-566D
(ucs-set-char #x5121 ?$(GsB(B) ; C01-G-7342
(ucs-set-char #x5121 ?$@Q4(B) ; J78-@-5134
(ucs-set-char #x5121 ?$A@\(B) ; GB0-A-405C
(ucs-set-char #x5121 ?$BQ4(B) ; J83-B-5134
(ucs-set-char #x5122 ?$(H\G(B) ; C02-H-5C47
(ucs-set-char #x5123 ?$(D2Y(B) ; J90-D-3259
(ucs-set-char #x5123 ?$(JUe(B) ; C04-J-5565
(ucs-set-char #x5124 ?$(H\H(B) ; C02-H-5C48
(ucs-set-char #x5125 ?$(H\F(B) ; C02-H-5C46
(ucs-set-char #x5126 ?$(H\E(B) ; C02-H-5C45
(ucs-set-char #x5127 ?$(D2Z(B) ; J90-D-325A
(ucs-set-char #x5127 ?$(ITA(B) ; C03-I-5441
(ucs-set-char #x5128 ?$(D2[(B) ; J90-D-325B
(ucs-set-char #x5128 ?$(IT@(B) ; C03-I-5440
(ucs-set-char #x5129 ?$(H\J(B) ; C02-H-5C4A
(ucs-set-char #x512A ?$(CiP(B) ; KS0-C-6950
(ucs-set-char #x512A ?$(Gs@(B) ; C01-G-7340
(ucs-set-char #x512A ?$@M%(B) ; J78-@-4D25
(ucs-set-char #x512A ?$BM%(B) ; J83-B-4D25
(ucs-set-char #x512B ?$(IP3(B) ; C03-I-5033
(ucs-set-char #x512C ?$(D2\(B) ; J90-D-325C
(ucs-set-char #x512C ?$(JUi(B) ; C04-J-5569
(ucs-set-char #x512D ?$(D2](B) ; J90-D-325D
(ucs-set-char #x512D ?$(HaD(B) ; C02-H-6144
(ucs-set-char #x512E ?$(HaE(B) ; C02-H-6145
(ucs-set-char #x512F ?$(D2^(B) ; J90-D-325E
(ucs-set-char #x512F ?$(IWR(B) ; C03-I-5752
(ucs-set-char #x5130 ?$(HOP(B) ; C02-H-4F50
(ucs-set-char #x5131 ?$(D2_(B) ; J90-D-325F
(ucs-set-char #x5131 ?$(HaC(B) ; C02-H-6143
(ucs-set-char #x5132 ?$(Cn9(B) ; KS0-C-6E39
(ucs-set-char #x5132 ?$(GsC(B) ; C01-G-7343
(ucs-set-char #x5132 ?$@LY(B) ; J78-@-4C59
(ucs-set-char #x5132 ?$BLY(B) ; J83-B-4C59
(ucs-set-char #x5133 ?$(D2`(B) ; J90-D-3260
(ucs-set-char #x5133 ?$(Gx+(B) ; C01-G-782B
(ucs-set-char #x5134 ?$(D2a(B) ; J90-D-3261
(ucs-set-char #x5134 ?$(He7(B) ; C02-H-6537
(ucs-set-char #x5135 ?$(D2b(B) ; J90-D-3262
(ucs-set-char #x5135 ?$(He8(B) ; C02-H-6538
(ucs-set-char #x5136 ?$(I\2(B) ; C03-I-5C32
(ucs-set-char #x5137 ?$(CUc(B) ; KS0-C-5563
(ucs-set-char #x5137 ?$(Gzb(B) ; C01-G-7A62
(ucs-set-char #x5137 ?$@Q6(B) ; J78-@-5136
(ucs-set-char #x5137 ?$BQ6(B) ; J83-B-5136
(ucs-set-char #x5138 ?$(D2c(B) ; J90-D-3263
(ucs-set-char #x5138 ?$(Gzc(B) ; C01-G-7A63
(ucs-set-char #x5139 ?$(D2d(B) ; J90-D-3264
(ucs-set-char #x5139 ?$(HkO(B) ; C02-H-6B4F
(ucs-set-char #x513A ?$(CQS(B) ; KS0-C-5153
(ucs-set-char #x513A ?$(HkN(B) ; C02-H-6B4E
(ucs-set-char #x513A ?$@Q5(B) ; J78-@-5135
(ucs-set-char #x513A ?$BQ5(B) ; J83-B-5135
(ucs-set-char #x513B ?$(G{X(B) ; C01-G-7B58
(ucs-set-char #x513B ?$@Q8(B) ; J78-@-5138
(ucs-set-char #x513B ?$BQ8(B) ; J83-B-5138
(ucs-set-char #x513C ?$(Cep(B) ; KS0-C-6570
(ucs-set-char #x513C ?$(G{W(B) ; C01-G-7B57
(ucs-set-char #x513C ?$@Q7(B) ; J78-@-5137
(ucs-set-char #x513C ?$BQ7(B) ; J83-B-5137
(ucs-set-char #x513D ?$(Hn}(B) ; C02-H-6E7D
(ucs-set-char #x513E ?$(I`o(B) ; C03-I-606F

(ucs-set-char #x513F ?$A6y(B) ; GB0-A-3679
(ucs-set-char #x513F ?$(GD*(B) ; C01-G-442A
(ucs-set-char #x513F ?$@Q9(B) ; J78-@-5139
(ucs-set-char #x513F ?$BQ9(B) ; J83-B-5139

(ucs-set-char #x5140 ?$(Ch4(B) ; KS0-C-6834
(ucs-set-char #x5140 ?$(GDB(B) ; C01-G-4442
(ucs-set-char #x5140 ?$@Q:(B) ; J78-@-513A
(ucs-set-char #x5140 ?$AX#(B) ; GB0-A-5823
(ucs-set-char #x5140 ?$BQ:(B) ; J83-B-513A
(ucs-set-char #x5141 ?$(CkC(B) ; KS0-C-6B43
(ucs-set-char #x5141 ?$(GDx(B) ; C01-G-4478
(ucs-set-char #x5141 ?$@0t(B) ; J78-@-3074
(ucs-set-char #x5141 ?$ATJ(B) ; GB0-A-544A
(ucs-set-char #x5141 ?$B0t(B) ; J83-B-3074
(ucs-set-char #x5142 ?$(D2e(B) ; J90-D-3265
(ucs-set-char #x5142 ?$(J!=(B) ; C04-J-213D
(ucs-set-char #x5143 ?$(Cj*(B) ; KS0-C-6A2A
(ucs-set-char #x5143 ?$(GDw(B) ; C01-G-4477
(ucs-set-char #x5143 ?$@85(B) ; J78-@-3835
(ucs-set-char #x5143 ?$AT*(B) ; GB0-A-542A
(ucs-set-char #x5143 ?$B85(B) ; J83-B-3835
(ucs-set-char #x5144 ?$(Cz|(B) ; KS0-C-7A7C
(ucs-set-char #x5144 ?$(GEs(B) ; C01-G-4573
(ucs-set-char #x5144 ?$@7;(B) ; J78-@-373B
(ucs-set-char #x5144 ?$APV(B) ; GB0-A-5056
(ucs-set-char #x5144 ?$B7;(B) ; J83-B-373B
(ucs-set-char #x5145 ?$(Cuv(B) ; KS0-C-7576
(ucs-set-char #x5145 ?$(GEr(B) ; C01-G-4572
(ucs-set-char #x5145 ?$(L#R(B) ; C06-L-2352
(ucs-set-char #x5145 ?$@=<(B) ; J78-@-3D3C
(ucs-set-char #x5145 ?$A3d(B) ; GB0-A-3364
(ucs-set-char #x5145 ?$B=<(B) ; J83-B-3D3C
(ucs-set-char #x5146 ?$(Cp<(B) ; KS0-C-703C
(ucs-set-char #x5146 ?$(GG>(B) ; C01-G-473E
(ucs-set-char #x5146 ?$@C{(B) ; J78-@-437B
(ucs-set-char #x5146 ?$AUW(B) ; GB0-A-5557
(ucs-set-char #x5146 ?$BC{(B) ; J83-B-437B
(ucs-set-char #x5147 ?$(C}T(B) ; KS0-C-7D54
(ucs-set-char #x5147 ?$(GG=(B) ; C01-G-473D
(ucs-set-char #x5147 ?$@6$(B) ; J78-@-3624
(ucs-set-char #x5147 ?$B6$(B) ; J83-B-3624
(ucs-set-char #x5148 ?$(C`;(B) ; KS0-C-603B
(ucs-set-char #x5148 ?$(GG?(B) ; C01-G-473F
(ucs-set-char #x5148 ?$@@h(B) ; J78-@-4068
(ucs-set-char #x5148 ?$AOH(B) ; GB0-A-4F48
(ucs-set-char #x5148 ?$B@h(B) ; J83-B-4068
(ucs-set-char #x5149 ?$(CNC(B) ; KS0-C-4E43
(ucs-set-char #x5149 ?$(GG<(B) ; C01-G-473C
(ucs-set-char #x5149 ?$@8w(B) ; J78-@-3877
(ucs-set-char #x5149 ?$A9b(B) ; GB0-A-3962
(ucs-set-char #x5149 ?$B8w(B) ; J83-B-3877
(ucs-set-char #x514A ?$(D2f(B) ; J90-D-3266
(ucs-set-char #x514A ?$(I"x(B) ; C03-I-2278
(ucs-set-char #x514B ?$(CP:(B) ; KS0-C-503A
(ucs-set-char #x514B ?$(GI,(B) ; C01-G-492C
(ucs-set-char #x514B ?$@9n(B) ; J78-@-396E
(ucs-set-char #x514B ?$A?K(B) ; GB0-A-3F4B
(ucs-set-char #x514B ?$B9n(B) ; J83-B-396E
(ucs-set-char #x514C ?$(Cw:(B) ; KS0-C-773A
(ucs-set-char #x514C ?$(GI+(B) ; C01-G-492B
(ucs-set-char #x514C ?$@Q<(B) ; J78-@-513C
(ucs-set-char #x514C ?$BQ<(B) ; J83-B-513C
(ucs-set-char #x514D ?$(CXs(B) ; KS0-C-5873
(ucs-set-char #x514D ?$(GI-(B) ; C01-G-492D
(ucs-set-char #x514D ?$(I$R(B) ; C03-I-2452
(ucs-set-char #x514D ?$@LH(B) ; J78-@-4C48
(ucs-set-char #x514D ?$ACb(B) ; GB0-A-4362
(ucs-set-char #x514D ?$BLH(B) ; J83-B-4C48
(ucs-set-char #x514E ?$(CwM(B) ; KS0-C-774D
(ucs-set-char #x514E ?$(I$T(B) ; C03-I-2454
(ucs-set-char #x514E ?$@EF(B) ; J78-@-4546
(ucs-set-char #x514E ?$BEF(B) ; J83-B-4546
(ucs-set-char #x514F ?$(D2g(B) ; J90-D-3267
(ucs-set-char #x514F ?$(J#;(B) ; C04-J-233B
(ucs-set-char #x5150 ?$(I$S(B) ; C03-I-2453
(ucs-set-char #x5150 ?$@;y(B) ; J78-@-3B79
(ucs-set-char #x5150 ?$B;y(B) ; J83-B-3B79
(ucs-set-char #x5151 ?$(I$Q(B) ; C03-I-2451
(ucs-set-char #x5151 ?$A6R(B) ; GB0-A-3652
(ucs-set-char #x5152 ?$(Cd.(B) ; KS0-C-642E
(ucs-set-char #x5152 ?$(GL#(B) ; C01-G-4C23
(ucs-set-char #x5152 ?$@Q;(B) ; J78-@-513B
(ucs-set-char #x5152 ?$BQ;(B) ; J83-B-513B
(ucs-set-char #x5153 ?$(D2h(B) ; J90-D-3268
(ucs-set-char #x5153 ?$(J%?(B) ; C04-J-253F
(ucs-set-char #x5154 ?$(GL"(B) ; C01-G-4C22
(ucs-set-char #x5154 ?$(I'S(B) ; C03-I-2753
(ucs-set-char #x5154 ?$@Q=(B) ; J78-@-513D
(ucs-set-char #x5154 ?$AMC(B) ; GB0-A-4D43
(ucs-set-char #x5154 ?$BQ=(B) ; J83-B-513D
(ucs-set-char #x5155 ?$(D2i(B) ; J90-D-3269
(ucs-set-char #x5155 ?$(GL$(B) ; C01-G-4C24
(ucs-set-char #x5155 ?$AYn(B) ; GB0-A-596E
(ucs-set-char #x5156 ?$(I'R(B) ; C03-I-2752
(ucs-set-char #x5156 ?$AYp(B) ; GB0-A-5970
(ucs-set-char #x5157 ?$(D2j(B) ; J90-D-326A
(ucs-set-char #x5157 ?$(GP"(B) ; C01-G-5022
(ucs-set-char #x5158 ?$(D2k(B) ; J90-D-326B
(ucs-set-char #x5158 ?$(J(@(B) ; C04-J-2840
(ucs-set-char #x5159 ?$(G"y(B) ; C01-G-2279
(ucs-set-char #x515A ?$(H.!(B) ; C02-H-2E21
(ucs-set-char #x515A ?$@E^(B) ; J78-@-455E
(ucs-set-char #x515A ?$A53(B) ; GB0-A-3533
(ucs-set-char #x515A ?$BE^(B) ; J83-B-455E
(ucs-set-char #x515B ?$(G"z(B) ; C01-G-227A
(ucs-set-char #x515C ?$(CT_(B) ; KS0-C-545F
(ucs-set-char #x515C ?$(GY'(B) ; C01-G-5927
(ucs-set-char #x515C ?$@3u(B) ; J78-@-3375
(ucs-set-char #x515C ?$A65(B) ; GB0-A-3635
(ucs-set-char #x515C ?$B3u(B) ; J83-B-3375
(ucs-set-char #x515D ?$(G"|(B) ; C01-G-227C
(ucs-set-char #x515E ?$(G"{(B) ; C01-G-227B
(ucs-set-char #x515F ?$(D2l(B) ; J90-D-326C
(ucs-set-char #x515F ?$(H:D(B) ; C02-H-3A44
(ucs-set-char #x5160 ?$(I9v(B) ; C03-I-3976
(ucs-set-char #x5161 ?$(G"}(B) ; C01-G-227D
(ucs-set-char #x5162 ?$(CPg(B) ; KS0-C-5067
(ucs-set-char #x5162 ?$(Gg~(B) ; C01-G-677E
(ucs-set-char #x5162 ?$@Q>(B) ; J78-@-513E
(ucs-set-char #x5162 ?$A>$(B) ; GB0-A-3E24
(ucs-set-char #x5162 ?$BQ>(B) ; J83-B-513E
(ucs-set-char #x5163 ?$(G"~(B) ; C01-G-227E
(ucs-set-char #x5164 ?$(D2m(B) ; J90-D-326D
(ucs-set-char #x5164 ?$(I^%(B) ; C03-I-5E25

(ucs-set-char #x5165 ?$AHk(B) ; GB0-A-486B
(ucs-set-char #x5165 ?$(Cl}(B) ; KS0-C-6C7D
(ucs-set-char #x5165 ?$(GD+(B) ; C01-G-442B
(ucs-set-char #x5165 ?$@F~(B) ; J78-@-467E
(ucs-set-char #x5165 ?$BF~(B) ; J83-B-467E

(ucs-set-char #x5166 ?$(D2n(B) ; J90-D-326E
(ucs-set-char #x5166 ?$(I!4(B) ; C03-I-2134
(ucs-set-char #x5167 ?$(CR.(B) ; KS0-C-522E
(ucs-set-char #x5167 ?$(GDy(B) ; C01-G-4479
(ucs-set-char #x5168 ?$(Cno(B) ; KS0-C-6E6F
(ucs-set-char #x5168 ?$(GG@(B) ; C01-G-4740
(ucs-set-char #x5168 ?$@A4(B) ; J78-@-4134
(ucs-set-char #x5168 ?$AH+(B) ; GB0-A-482B
(ucs-set-char #x5168 ?$BA4(B) ; J83-B-4134
(ucs-set-char #x5169 ?$(CUW(B) ; KS0-C-5557
(ucs-set-char #x5169 ?$(GL%(B) ; C01-G-4C25
(ucs-set-char #x5169 ?$@Q@(B) ; J78-@-5140
(ucs-set-char #x5169 ?$BQ@(B) ; J83-B-5140
(ucs-set-char #x516A ?$(Cjd(B) ; KS0-C-6A64
(ucs-set-char #x516A ?$(I+7(B) ; C03-I-2B37
(ucs-set-char #x516A ?$@QA(B) ; J78-@-5141
(ucs-set-char #x516A ?$BQA(B) ; J83-B-5141

(ucs-set-char #x516B ?$A0K(B) ; GB0-A-304B
(ucs-set-char #x516B ?$(Cx"(B) ; KS0-C-7822
(ucs-set-char #x516B ?$(GD,(B) ; C01-G-442C
(ucs-set-char #x516B ?$@H,(B) ; J78-@-482C
(ucs-set-char #x516B ?$BH,(B) ; J83-B-482C

(ucs-set-char #x516C ?$(CMk(B) ; KS0-C-4D6B
(ucs-set-char #x516C ?$(GD|(B) ; C01-G-447C
(ucs-set-char #x516C ?$@8x(B) ; J78-@-3878
(ucs-set-char #x516C ?$A9+(B) ; GB0-A-392B
(ucs-set-char #x516C ?$B8x(B) ; J83-B-3878
(ucs-set-char #x516D ?$(CW?(B) ; KS0-C-573F
(ucs-set-char #x516D ?$(GDz(B) ; C01-G-447A
(ucs-set-char #x516D ?$@O;(B) ; J78-@-4F3B
(ucs-set-char #x516D ?$AAy(B) ; GB0-A-4179
(ucs-set-char #x516D ?$BO;(B) ; J83-B-4F3B
(ucs-set-char #x516E ?$(C{1(B) ; KS0-C-7B31
(ucs-set-char #x516E ?$(GD{(B) ; C01-G-447B
(ucs-set-char #x516E ?$@QB(B) ; J78-@-5142
(ucs-set-char #x516E ?$AYb(B) ; GB0-A-5962
(ucs-set-char #x516E ?$BQB(B) ; J83-B-5142
(ucs-set-char #x5170 ?$A@<(B) ; GB0-A-403C
(ucs-set-char #x5171 ?$(CMl(B) ; KS0-C-4D6C
(ucs-set-char #x5171 ?$(GGA(B) ; C01-G-4741
(ucs-set-char #x5171 ?$@6&(B) ; J78-@-3626
(ucs-set-char #x5171 ?$A92(B) ; GB0-A-3932
(ucs-set-char #x5171 ?$B6&(B) ; J83-B-3626
(ucs-set-char #x5172 ?$(I"z(B) ; C03-I-227A
(ucs-set-char #x5173 ?$(J"4(B) ; C04-J-2234
(ucs-set-char #x5173 ?$A9X(B) ; GB0-A-3958
(ucs-set-char #x5174 ?$APK(B) ; GB0-A-504B
(ucs-set-char #x5175 ?$(C\2(B) ; KS0-C-5C32
(ucs-set-char #x5175 ?$(GI.(B) ; C01-G-492E
(ucs-set-char #x5175 ?$@J<(B) ; J78-@-4A3C
(ucs-set-char #x5175 ?$A1x(B) ; GB0-A-3178
(ucs-set-char #x5175 ?$BJ<(B) ; J83-B-4A3C
(ucs-set-char #x5176 ?$(CPl(B) ; KS0-C-506C
(ucs-set-char #x5176 ?$(GL'(B) ; C01-G-4C27
(ucs-set-char #x5176 ?$@B6(B) ; J78-@-4236
(ucs-set-char #x5176 ?$AFd(B) ; GB0-A-4664
(ucs-set-char #x5176 ?$BB6(B) ; J83-B-4236
(ucs-set-char #x5177 ?$(CN}(B) ; KS0-C-4E7D
(ucs-set-char #x5177 ?$(GL&(B) ; C01-G-4C26
(ucs-set-char #x5177 ?$@6q(B) ; J78-@-3671
(ucs-set-char #x5177 ?$A>_(B) ; GB0-A-3E5F
(ucs-set-char #x5177 ?$B6q(B) ; J83-B-3671
(ucs-set-char #x5178 ?$(Cnp(B) ; KS0-C-6E70
(ucs-set-char #x5178 ?$(GL((B) ; C01-G-4C28
(ucs-set-char #x5178 ?$@E5(B) ; J78-@-4535
(ucs-set-char #x5178 ?$A5d(B) ; GB0-A-3564
(ucs-set-char #x5178 ?$BE5(B) ; J83-B-4535
(ucs-set-char #x5179 ?$(I.{(B) ; C03-I-2E7B
(ucs-set-char #x5179 ?$AWH(B) ; GB0-A-5748
(ucs-set-char #x517B ?$AQx(B) ; GB0-A-5178
(ucs-set-char #x517C ?$(CLB(B) ; KS0-C-4C42
(ucs-set-char #x517C ?$(GT@(B) ; C01-G-5440
(ucs-set-char #x517C ?$@7s(B) ; J78-@-3773
(ucs-set-char #x517C ?$A<f(B) ; GB0-A-3C66
(ucs-set-char #x517C ?$B7s(B) ; J83-B-3773
(ucs-set-char #x517D ?$AJ^(B) ; GB0-A-4A5E
(ucs-set-char #x517E ?$(D2o(B) ; J90-D-326F
(ucs-set-char #x517E ?$(I@?(B) ; C03-I-403F
(ucs-set-char #x5180 ?$(CPm(B) ; KS0-C-506D
(ucs-set-char #x5180 ?$(Gp5(B) ; C01-G-7035
(ucs-set-char #x5180 ?$@QC(B) ; J78-@-5143
(ucs-set-char #x5180 ?$A<=(B) ; GB0-A-3C3D
(ucs-set-char #x5180 ?$BQC(B) ; J83-B-5143
(ucs-set-char #x5181 ?$AYf(B) ; GB0-A-5966

(ucs-set-char #x5182 ?$AXg(B) ; GB0-A-5867
(ucs-set-char #x5182 ?$(I!'(B) ; C03-I-2127
(ucs-set-char #x5182 ?$@QD(B) ; J78-@-5144
(ucs-set-char #x5182 ?$BQD(B) ; J83-B-5144

(ucs-set-char #x5183 ?$(D2p(B) ; J90-D-3270
(ucs-set-char #x5183 ?$(J!>(B) ; C04-J-213E
(ucs-set-char #x5184 ?$(D2q(B) ; J90-D-3271
(ucs-set-char #x5184 ?$(I!M(B) ; C03-I-214D
(ucs-set-char #x5185 ?$(I!H(B) ; C03-I-2148
(ucs-set-char #x5185 ?$(L!P(B) ; C06-L-2150
(ucs-set-char #x5185 ?$@Fb(B) ; J78-@-4662
(ucs-set-char #x5185 ?$ADZ(B) ; GB0-A-445A
(ucs-set-char #x5185 ?$BFb(B) ; J83-B-4662
(ucs-set-char #x5186 ?$(Cew(B) ; KS0-C-6577
(ucs-set-char #x5186 ?$(I!N(B) ; C03-I-214E
(ucs-set-char #x5186 ?$@1_(B) ; J78-@-315F
(ucs-set-char #x5186 ?$B1_(B) ; J83-B-315F
(ucs-set-char #x5187 ?$(H!.(B) ; C02-H-212E
(ucs-set-char #x5188 ?$(J!R(B) ; C04-J-2152
(ucs-set-char #x5188 ?$A8T(B) ; GB0-A-3854
(ucs-set-char #x5189 ?$(GEt(B) ; C01-G-4574
(ucs-set-char #x5189 ?$@QG(B) ; J78-@-5147
(ucs-set-char #x5189 ?$AH=(B) ; GB0-A-483D
(ucs-set-char #x5189 ?$BQG(B) ; J83-B-5147
(ucs-set-char #x518A ?$(Cs|(B) ; KS0-C-737C
(ucs-set-char #x518A ?$(GEu(B) ; C01-G-4575
(ucs-set-char #x518A ?$@:}(B) ; J78-@-3A7D
(ucs-set-char #x518A ?$B:}(B) ; J83-B-3A7D
(ucs-set-char #x518B ?$(D2r(B) ; J90-D-3272
(ucs-set-char #x518B ?$(I!x(B) ; C03-I-2178
(ucs-set-char #x518C ?$(I!y(B) ; C03-I-2179
(ucs-set-char #x518C ?$@QF(B) ; J78-@-5146
(ucs-set-char #x518C ?$A2a(B) ; GB0-A-3261
(ucs-set-char #x518C ?$BQF(B) ; J83-B-5146
(ucs-set-char #x518D ?$(Cn"(B) ; KS0-C-6E22
(ucs-set-char #x518D ?$(GGB(B) ; C01-G-4742
(ucs-set-char #x518D ?$(I"{(B) ; C03-I-227B
(ucs-set-char #x518D ?$@:F(B) ; J78-@-3A46
(ucs-set-char #x518D ?$ATY(B) ; GB0-A-5459
(ucs-set-char #x518D ?$B:F(B) ; J83-B-3A46
(ucs-set-char #x518E ?$(D2s(B) ; J90-D-3273
(ucs-set-char #x518E ?$(J"6(B) ; C04-J-2236
(ucs-set-char #x518F ?$(H#,(B) ; C02-H-232C
(ucs-set-char #x518F ?$@QH(B) ; J78-@-5148
(ucs-set-char #x518F ?$BQH(B) ; J83-B-5148
(ucs-set-char #x5190 ?$(I'U(B) ; C03-I-2755
(ucs-set-char #x5190 ?$@fn(B) ; J78-@-666E
(ucs-set-char #x5190 ?$Bfn(B) ; J83-B-666E
(ucs-set-char #x5191 ?$(GP$(B) ; C01-G-5024
(ucs-set-char #x5191 ?$@QI(B) ; J78-@-5149
(ucs-set-char #x5191 ?$BQI(B) ; J83-B-5149
(ucs-set-char #x5192 ?$(CY3(B) ; KS0-C-5933
(ucs-set-char #x5192 ?$(GP#(B) ; C01-G-5023
(ucs-set-char #x5192 ?$(L1m(B) ; C06-L-316D
(ucs-set-char #x5192 ?$@KA(B) ; J78-@-4B41
(ucs-set-char #x5192 ?$AC0(B) ; GB0-A-4330
(ucs-set-char #x5192 ?$BKA(B) ; J83-B-4B41
(ucs-set-char #x5193 ?$(H.#(B) ; C02-H-2E23
(ucs-set-char #x5193 ?$@QJ(B) ; J78-@-514A
(ucs-set-char #x5193 ?$BQJ(B) ; J83-B-514A
(ucs-set-char #x5194 ?$(H."(B) ; C02-H-2E22
(ucs-set-char #x5195 ?$(CXt(B) ; KS0-C-5874
(ucs-set-char #x5195 ?$(GY((B) ; C01-G-5928
(ucs-set-char #x5195 ?$@QK(B) ; J78-@-514B
(ucs-set-char #x5195 ?$ACa(B) ; GB0-A-4361
(ucs-set-char #x5195 ?$BQK(B) ; J83-B-514B

(ucs-set-char #x5196 ?$AZ"(B) ; GB0-A-5A22
(ucs-set-char #x5196 ?$(I!((B) ; C03-I-2128
(ucs-set-char #x5196 ?$@QL(B) ; J78-@-514C
(ucs-set-char #x5196 ?$BQL(B) ; J83-B-514C

(ucs-set-char #x5197 ?$(Ci7(B) ; KS0-C-6937
(ucs-set-char #x5197 ?$(GD}(B) ; C01-G-447D
(ucs-set-char #x5197 ?$@>i(B) ; J78-@-3E69
(ucs-set-char #x5197 ?$AH_(B) ; GB0-A-485F
(ucs-set-char #x5197 ?$B>i(B) ; J83-B-3E69
(ucs-set-char #x5198 ?$(D2t(B) ; J90-D-3274
(ucs-set-char #x5198 ?$(H!5(B) ; C02-H-2135
(ucs-set-char #x5199 ?$(I!z(B) ; C03-I-217A
(ucs-set-char #x5199 ?$@<L(B) ; J78-@-3C4C
(ucs-set-char #x5199 ?$AP4(B) ; GB0-A-5034
(ucs-set-char #x5199 ?$B<L(B) ; J83-B-3C4C
(ucs-set-char #x519B ?$A>|(B) ; GB0-A-3E7C
(ucs-set-char #x519C ?$AE)(B) ; GB0-A-4529
(ucs-set-char #x519D ?$(D2u(B) ; J90-D-3275
(ucs-set-char #x519D ?$(I$W(B) ; C03-I-2457
(ucs-set-char #x519E ?$(H%M(B) ; C02-H-254D
(ucs-set-char #x519F ?$(I+9(B) ; C03-I-2B39
(ucs-set-char #x51A0 ?$(CN.(B) ; KS0-C-4E2E
(ucs-set-char #x51A0 ?$(GP%(B) ; C01-G-5025
(ucs-set-char #x51A0 ?$@4'(B) ; J78-@-3427
(ucs-set-char #x51A0 ?$A9Z(B) ; GB0-A-395A
(ucs-set-char #x51A0 ?$B4'(B) ; J83-B-3427
(ucs-set-char #x51A1 ?$(D2v(B) ; J90-D-3276
(ucs-set-char #x51A1 ?$(I/[(B) ; C03-I-2F5B
(ucs-set-char #x51A2 ?$(GTC(B) ; C01-G-5443
(ucs-set-char #x51A2 ?$@QO(B) ; J78-@-514F
(ucs-set-char #x51A2 ?$AZ#(B) ; GB0-A-5A23
(ucs-set-char #x51A2 ?$BQO(B) ; J83-B-514F
(ucs-set-char #x51A3 ?$(D2w(B) ; J90-D-3277
(ucs-set-char #x51A3 ?$(I/Y(B) ; C03-I-2F59
(ucs-set-char #x51A4 ?$(GTA(B) ; C01-G-5441
(ucs-set-char #x51A4 ?$@QM(B) ; J78-@-514D
(ucs-set-char #x51A4 ?$AT)(B) ; GB0-A-5429
(ucs-set-char #x51A4 ?$BQM(B) ; J83-B-514D
(ucs-set-char #x51A5 ?$(CY"(B) ; KS0-C-5922
(ucs-set-char #x51A5 ?$(GTB(B) ; C01-G-5442
(ucs-set-char #x51A5 ?$@L=(B) ; J78-@-4C3D
(ucs-set-char #x51A5 ?$AZ$(B) ; GB0-A-5A24
(ucs-set-char #x51A5 ?$BL=(B) ; J83-B-4C3D
(ucs-set-char #x51A6 ?$(I/Z(B) ; C03-I-2F5A
(ucs-set-char #x51A6 ?$@QN(B) ; J78-@-514E
(ucs-set-char #x51A6 ?$BQN(B) ; J83-B-514E
(ucs-set-char #x51A8 ?$(I4M(B) ; C03-I-344D
(ucs-set-char #x51A8 ?$@IZ(B) ; J78-@-495A
(ucs-set-char #x51A8 ?$BIZ(B) ; J83-B-495A
(ucs-set-char #x51A9 ?$@QP(B) ; J78-@-5150
(ucs-set-char #x51A9 ?$BQP(B) ; J83-B-5150
(ucs-set-char #x51AA ?$(CXq(B) ; KS0-C-5871
(ucs-set-char #x51AA ?$(Gp6(B) ; C01-G-7036
(ucs-set-char #x51AA ?$@QQ(B) ; J78-@-5151
(ucs-set-char #x51AA ?$BQQ(B) ; J83-B-5151

(ucs-set-char #x51AB ?$AY{(B) ; GB0-A-597B
(ucs-set-char #x51AB ?$@QR(B) ; J78-@-5152
(ucs-set-char #x51AB ?$BQR(B) ; J83-B-5152

(ucs-set-char #x51AC ?$(CTO(B) ; KS0-C-544F
(ucs-set-char #x51AC ?$(GEv(B) ; C01-G-4576
(ucs-set-char #x51AC ?$@E_(B) ; J78-@-455F
(ucs-set-char #x51AC ?$A6,(B) ; GB0-A-362C
(ucs-set-char #x51AC ?$BE_(B) ; J83-B-455F
(ucs-set-char #x51AD ?$(D2x(B) ; J90-D-3278
(ucs-set-char #x51AD ?$(J!^(B) ; C04-J-215E
(ucs-set-char #x51AF ?$A7k(B) ; GB0-A-376B
(ucs-set-char #x51B0 ?$(GGC(B) ; C01-G-4743
(ucs-set-char #x51B0 ?$@QV(B) ; J78-@-5156
(ucs-set-char #x51B0 ?$A1y(B) ; GB0-A-3179
(ucs-set-char #x51B0 ?$BQV(B) ; J83-B-5156
(ucs-set-char #x51B1 ?$(H!{(B) ; C02-H-217B
(ucs-set-char #x51B1 ?$@QT(B) ; J78-@-5154
(ucs-set-char #x51B1 ?$AY|(B) ; GB0-A-597C
(ucs-set-char #x51B1 ?$BQT(B) ; J83-B-5154
(ucs-set-char #x51B2 ?$(I"~(B) ; C03-I-227E
(ucs-set-char #x51B2 ?$@QU(B) ; J78-@-5155
(ucs-set-char #x51B2 ?$A3e(B) ; GB0-A-3365
(ucs-set-char #x51B2 ?$BQU(B) ; J83-B-5155
(ucs-set-char #x51B3 ?$(I"}(B) ; C03-I-227D
(ucs-set-char #x51B3 ?$@QS(B) ; J78-@-5153
(ucs-set-char #x51B3 ?$A>v(B) ; GB0-A-3E76
(ucs-set-char #x51B3 ?$BQS(B) ; J83-B-5153
(ucs-set-char #x51B4 ?$(I"|(B) ; C03-I-227C
(ucs-set-char #x51B4 ?$@:c(B) ; J78-@-3A63
(ucs-set-char #x51B4 ?$B:c(B) ; J83-B-3A63
(ucs-set-char #x51B5 ?$(I$A(B) ; C03-I-2441
(ucs-set-char #x51B5 ?$(I$Y(B) ; C03-I-2459
(ucs-set-char #x51B5 ?$@QW(B) ; J78-@-5157
(ucs-set-char #x51B5 ?$A?v(B) ; GB0-A-3F76
(ucs-set-char #x51B5 ?$BQW(B) ; J83-B-5157
(ucs-set-char #x51B6 ?$(Ce'(B) ; KS0-C-6527
(ucs-set-char #x51B6 ?$(GI/(B) ; C01-G-492F
(ucs-set-char #x51B6 ?$@Lj(B) ; J78-@-4C6A
(ucs-set-char #x51B6 ?$AR1(B) ; GB0-A-5231
(ucs-set-char #x51B6 ?$BLj(B) ; J83-B-4C6A
(ucs-set-char #x51B7 ?$(CUR(B) ; KS0-C-5552
(ucs-set-char #x51B7 ?$(GI0(B) ; C01-G-4930
(ucs-set-char #x51B7 ?$@Nd(B) ; J78-@-4E64
(ucs-set-char #x51B7 ?$A@d(B) ; GB0-A-4064
(ucs-set-char #x51B7 ?$BNd(B) ; J83-B-4E64
(ucs-set-char #x51B8 ?$(D2y(B) ; J90-D-3279
(ucs-set-char #x51B8 ?$(I$Z(B) ; C03-I-245A
(ucs-set-char #x51B9 ?$(H#-(B) ; C02-H-232D
(ucs-set-char #x51BA ?$(D2z(B) ; J90-D-327A
(ucs-set-char #x51BA ?$(J#=(B) ; C04-J-233D
(ucs-set-char #x51BB ?$A63(B) ; GB0-A-3633
(ucs-set-char #x51BC ?$(D2{(B) ; J90-D-327B
(ucs-set-char #x51BC ?$(H%N(B) ; C02-H-254E
(ucs-set-char #x51BC ?$AY~(B) ; GB0-A-597E
(ucs-set-char #x51BD ?$(CV)(B) ; KS0-C-5629
(ucs-set-char #x51BD ?$(GL)(B) ; C01-G-4C29
(ucs-set-char #x51BD ?$@QX(B) ; J78-@-5158
(ucs-set-char #x51BD ?$AY}(B) ; GB0-A-597D
(ucs-set-char #x51BD ?$BQX(B) ; J83-B-5158
(ucs-set-char #x51BE ?$(D2|(B) ; J90-D-327C
(ucs-set-char #x51BE ?$(H%O(B) ; C02-H-254F
(ucs-set-char #x51BF ?$(D2}(B) ; J90-D-327D
(ucs-set-char #x51BF ?$(J%@(B) ; C04-J-2540
(ucs-set-char #x51C0 ?$(J%C(B) ; C04-J-2543
(ucs-set-char #x51C0 ?$A>;(B) ; GB0-A-3E3B
(ucs-set-char #x51C1 ?$(I+;(B) ; C03-I-2B3B
(ucs-set-char #x51C2 ?$(D2~(B) ; J90-D-327E
(ucs-set-char #x51C2 ?$(I+=(B) ; C03-I-2B3D
(ucs-set-char #x51C3 ?$(I+>(B) ; C03-I-2B3E
(ucs-set-char #x51C4 ?$(Ct"(B) ; KS0-C-7422
(ucs-set-char #x51C4 ?$(H.%(B) ; C02-H-2E25
(ucs-set-char #x51C4 ?$@@((B) ; J78-@-4028
(ucs-set-char #x51C4 ?$AF`(B) ; GB0-A-4660
(ucs-set-char #x51C4 ?$B@((B) ; J83-B-4028
(ucs-set-char #x51C5 ?$(H.&(B) ; C02-H-2E26
(ucs-set-char #x51C5 ?$@QY(B) ; J78-@-5159
(ucs-set-char #x51C5 ?$BQY(B) ; J83-B-5159
(ucs-set-char #x51C6 ?$(CqW(B) ; KS0-C-7157
(ucs-set-char #x51C6 ?$(GTF(B) ; C01-G-5446
(ucs-set-char #x51C6 ?$@=Z(B) ; J78-@-3D5A
(ucs-set-char #x51C6 ?$AW<(B) ; GB0-A-573C
(ucs-set-char #x51C6 ?$B=Z(B) ; J83-B-3D5A
(ucs-set-char #x51C7 ?$(I/^(B) ; C03-I-2F5E
(ucs-set-char #x51C7 ?$AZ!(B) ; GB0-A-5A21
(ucs-set-char #x51C8 ?$(D3!(B) ; J90-D-3321
(ucs-set-char #x51C8 ?$(H.'(B) ; C02-H-2E27
(ucs-set-char #x51C9 ?$(CUX(B) ; KS0-C-5558
(ucs-set-char #x51C9 ?$(I/_(B) ; C03-I-2F5F
(ucs-set-char #x51C9 ?$@QZ(B) ; J78-@-515A
(ucs-set-char #x51C9 ?$AA9(B) ; GB0-A-4139
(ucs-set-char #x51C9 ?$BQZ(B) ; J83-B-515A
(ucs-set-char #x51CA ?$(H.$(B) ; C02-H-2E24
(ucs-set-char #x51CB ?$(Cp=(B) ; KS0-C-703D
(ucs-set-char #x51CB ?$(GTG(B) ; C01-G-5447
(ucs-set-char #x51CB ?$@C|(B) ; J78-@-437C
(ucs-set-char #x51CB ?$A5r(B) ; GB0-A-3572
(ucs-set-char #x51CB ?$BC|(B) ; J83-B-437C
(ucs-set-char #x51CC ?$(CWP(B) ; KS0-C-5750
(ucs-set-char #x51CC ?$(GTE(B) ; C01-G-5445
(ucs-set-char #x51CC ?$@N?(B) ; J78-@-4E3F
(ucs-set-char #x51CC ?$AAh(B) ; GB0-A-4168
(ucs-set-char #x51CC ?$BN?(B) ; J83-B-4E3F
(ucs-set-char #x51CD ?$(CTP(B) ; KS0-C-5450
(ucs-set-char #x51CD ?$(GTD(B) ; C01-G-5444
(ucs-set-char #x51CD ?$@E`(B) ; J78-@-4560
(ucs-set-char #x51CD ?$BE`(B) ; J83-B-4560
(ucs-set-char #x51CE ?$(H.((B) ; C02-H-2E28
(ucs-set-char #x51CF ?$(D3"(B) ; J90-D-3322
(ucs-set-char #x51CF ?$(I4O(B) ; C03-I-344F
(ucs-set-char #x51CF ?$A<u(B) ; GB0-A-3C75
(ucs-set-char #x51D0 ?$(H3k(B) ; C02-H-336B
(ucs-set-char #x51D1 ?$(D3#(B) ; J90-D-3323
(ucs-set-char #x51D1 ?$(I4N(B) ; C03-I-344E
(ucs-set-char #x51D1 ?$A4U(B) ; GB0-A-3455
(ucs-set-char #x51D2 ?$(D3$(B) ; J90-D-3324
(ucs-set-char #x51D2 ?$(I9}(B) ; C03-I-397D
(ucs-set-char #x51D3 ?$(D3%(B) ; J90-D-3325
(ucs-set-char #x51D3 ?$(I9z(B) ; C03-I-397A
(ucs-set-char #x51D4 ?$(H:E(B) ; C02-H-3A45
(ucs-set-char #x51D5 ?$(D3&(B) ; J90-D-3326
(ucs-set-char #x51D5 ?$(J6?(B) ; C04-J-363F
(ucs-set-char #x51D6 ?$(I9~(B) ; C03-I-397E
(ucs-set-char #x51D6 ?$@RE(B) ; J78-@-5245
(ucs-set-char #x51D6 ?$BRE(B) ; J83-B-5245
(ucs-set-char #x51D7 ?$(HAj(B) ; C02-H-416A
(ucs-set-char #x51D8 ?$(D3'(B) ; J90-D-3327
(ucs-set-char #x51D8 ?$(HI'(B) ; C02-H-4927
(ucs-set-char #x51D9 ?$(IK/(B) ; C03-I-4B2F
(ucs-set-char #x51DA ?$(IK.(B) ; C03-I-4B2E
(ucs-set-char #x51DB ?$(IK0(B) ; C03-I-4B30
(ucs-set-char #x51DB ?$@Q[(B) ; J78-@-515B
(ucs-set-char #x51DB ?$AA](B) ; GB0-A-415D
(ucs-set-char #x51DB ?$BQ[(B) ; J83-B-515B
(ucs-set-char #x51DC ?$(CWO(B) ; KS0-C-574F
(ucs-set-char #x51DC ?$(Gl)(B) ; C01-G-6C29
(ucs-set-char #x51DD ?$(Ckj(B) ; KS0-C-6B6A
(ucs-set-char #x51DD ?$(Gp7(B) ; C01-G-7037
(ucs-set-char #x51DD ?$@6E(B) ; J78-@-3645
(ucs-set-char #x51DD ?$AD}(B) ; GB0-A-447D
(ucs-set-char #x51DD ?$B6E(B) ; J83-B-3645
(ucs-set-char #x51DE ?$(C}k(B) ; KS0-C-7D6B
(ucs-set-char #x51DE ?$(D3((B) ; J90-D-3328
(ucs-set-char #x51DE ?$(HVD(B) ; C02-H-5644
(ucs-set-char #x51DF ?$(ITB(B) ; C03-I-5442

(ucs-set-char #x51E0 ?$A<8(B) ; GB0-A-3C38
(ucs-set-char #x51E0 ?$(GD-(B) ; C01-G-442D
(ucs-set-char #x51E0 ?$@Q\(B) ; J78-@-515C
(ucs-set-char #x51E0 ?$BQ\(B) ; J83-B-515C

(ucs-set-char #x51E1 ?$(C[m(B) ; KS0-C-5B6D
(ucs-set-char #x51E1 ?$(GD;(B) ; C01-G-443B
(ucs-set-char #x51E1 ?$@K^(B) ; J78-@-4B5E
(ucs-set-char #x51E1 ?$A72(B) ; GB0-A-3732
(ucs-set-char #x51E1 ?$BK^(B) ; J83-B-4B5E
(ucs-set-char #x51E2 ?$(D3)(B) ; J90-D-3329
(ucs-set-char #x51E2 ?$(I!/(B) ; C03-I-212F
(ucs-set-char #x51E3 ?$(I!5(B) ; C03-I-2135
(ucs-set-char #x51E4 ?$(I!Q(B) ; C03-I-2151
(ucs-set-char #x51E4 ?$A7o(B) ; GB0-A-376F
(ucs-set-char #x51E5 ?$(D3*(B) ; J90-D-332A
(ucs-set-char #x51E5 ?$(I!{(B) ; C03-I-217B
(ucs-set-char #x51E6 ?$@=h(B) ; J78-@-3D68
(ucs-set-char #x51E6 ?$B=h(B) ; J83-B-3D68
(ucs-set-char #x51E7 ?$@B|(B) ; J78-@-427C
(ucs-set-char #x51E7 ?$BB|(B) ; J83-B-427C
(ucs-set-char #x51E8 ?$(I#"(B) ; C03-I-2322
(ucs-set-char #x51E9 ?$@Q^(B) ; J78-@-515E
(ucs-set-char #x51E9 ?$BQ^(B) ; J83-B-515E
(ucs-set-char #x51EA ?$@Fd(B) ; J78-@-4664
(ucs-set-char #x51EA ?$BFd(B) ; J83-B-4664
(ucs-set-char #x51EB ?$AYl(B) ; GB0-A-596C
(ucs-set-char #x51EC ?$(I$[(B) ; C03-I-245B
(ucs-set-char #x51ED ?$(I'Y(B) ; C03-I-2759
(ucs-set-char #x51ED ?$@Q_(B) ; J78-@-515F
(ucs-set-char #x51ED ?$AF>(B) ; GB0-A-463E
(ucs-set-char #x51ED ?$BQ_(B) ; J83-B-515F
(ucs-set-char #x51EE ?$(D3+(B) ; J90-D-332B
(ucs-set-char #x51EE ?$(J%E(B) ; C04-J-2545
(ucs-set-char #x51EF ?$A?-(B) ; GB0-A-3F2D
(ucs-set-char #x51F0 ?$(C|E(B) ; KS0-C-7C45
(ucs-set-char #x51F0 ?$(GY)(B) ; C01-G-5929
(ucs-set-char #x51F0 ?$@Q`(B) ; J78-@-5160
(ucs-set-char #x51F0 ?$A;K(B) ; GB0-A-3B4B
(ucs-set-char #x51F0 ?$BQ`(B) ; J83-B-5160
(ucs-set-char #x51F1 ?$(CKB(B) ; KS0-C-4B42
(ucs-set-char #x51F1 ?$(G^3(B) ; C01-G-5E33
(ucs-set-char #x51F1 ?$@3.(B) ; J78-@-332E
(ucs-set-char #x51F1 ?$B3.(B) ; J83-B-332E
(ucs-set-char #x51F2 ?$(D3,(B) ; J90-D-332C
(ucs-set-char #x51F2 ?$(LFe(B) ; C06-L-4665
(ucs-set-char #x51F3 ?$(D3-(B) ; J90-D-332D
(ucs-set-char #x51F3 ?$(Gh!(B) ; C01-G-6821
(ucs-set-char #x51F3 ?$A5J(B) ; GB0-A-354A
(ucs-set-char #x51F4 ?$(D3.(B) ; J90-D-332E
(ucs-set-char #x51F4 ?$(IEz(B) ; C03-I-457A

(ucs-set-char #x51F5 ?$A[I(B) ; GB0-A-5B49
(ucs-set-char #x51F5 ?$(H!#(B) ; C02-H-2123
(ucs-set-char #x51F5 ?$@Qa(B) ; J78-@-5161
(ucs-set-char #x51F5 ?$BQa(B) ; J83-B-5161

(ucs-set-char #x51F6 ?$(C}U(B) ; KS0-C-7D55
(ucs-set-char #x51F6 ?$(GD~(B) ; C01-G-447E
(ucs-set-char #x51F6 ?$@6'(B) ; J78-@-3627
(ucs-set-char #x51F6 ?$APW(B) ; GB0-A-5057
(ucs-set-char #x51F6 ?$B6'(B) ; J83-B-3627
(ucs-set-char #x51F7 ?$(D3/(B) ; J90-D-332F
(ucs-set-char #x51F7 ?$(J!`(B) ; C04-J-2160
(ucs-set-char #x51F8 ?$(CtH(B) ; KS0-C-7448
(ucs-set-char #x51F8 ?$(GEy(B) ; C01-G-4579
(ucs-set-char #x51F8 ?$@FL(B) ; J78-@-464C
(ucs-set-char #x51F8 ?$AM9(B) ; GB0-A-4D39
(ucs-set-char #x51F8 ?$BFL(B) ; J83-B-464C
(ucs-set-char #x51F9 ?$(Chj(B) ; KS0-C-686A
(ucs-set-char #x51F9 ?$(GEw(B) ; C01-G-4577
(ucs-set-char #x51F9 ?$@1z(B) ; J78-@-317A
(ucs-set-char #x51F9 ?$A0<(B) ; GB0-A-303C
(ucs-set-char #x51F9 ?$B1z(B) ; J83-B-317A
(ucs-set-char #x51FA ?$(Cus(B) ; KS0-C-7573
(ucs-set-char #x51FA ?$(GEx(B) ; C01-G-4578
(ucs-set-char #x51FA ?$@=P(B) ; J78-@-3D50
(ucs-set-char #x51FA ?$A3v(B) ; GB0-A-3376
(ucs-set-char #x51FA ?$B=P(B) ; J83-B-3D50
(ucs-set-char #x51FB ?$A;w(B) ; GB0-A-3B77
(ucs-set-char #x51FC ?$A[J(B) ; GB0-A-5B4A
(ucs-set-char #x51FD ?$(Cy^(B) ; KS0-C-795E
(ucs-set-char #x51FD ?$(GL*(B) ; C01-G-4C2A
(ucs-set-char #x51FD ?$@H!(B) ; J78-@-4821
(ucs-set-char #x51FD ?$A:/(B) ; GB0-A-3A2F
(ucs-set-char #x51FD ?$BH!(B) ; J83-B-4821
(ucs-set-char #x51FE ?$(I'Z(B) ; C03-I-275A
(ucs-set-char #x51FE ?$@Qb(B) ; J78-@-5162
(ucs-set-char #x51FE ?$BQb(B) ; J83-B-5162
(ucs-set-char #x51FF ?$ATd(B) ; GB0-A-5464

(ucs-set-char #x5200 ?$A56(B) ; GB0-A-3536
(ucs-set-char #x5200 ?$(CSo(B) ; KS0-C-536F
(ucs-set-char #x5200 ?$(GD.(B) ; C01-G-442E
(ucs-set-char #x5200 ?$@Ea(B) ; J78-@-4561
(ucs-set-char #x5200 ?$BEa(B) ; J83-B-4561

(ucs-set-char #x5201 ?$(D30(B) ; J90-D-3330
(ucs-set-char #x5201 ?$(GD/(B) ; C01-G-442F
(ucs-set-char #x5201 ?$A5s(B) ; GB0-A-3573
(ucs-set-char #x5202 ?$(D31(B) ; J90-D-3331
(ucs-set-char #x5202 ?$(J!*(B) ; C04-J-212A
(ucs-set-char #x5202 ?$AXV(B) ; GB0-A-5856
(ucs-set-char #x5203 ?$(ClS(B) ; KS0-C-6C53
(ucs-set-char #x5203 ?$(GDC(B) ; C01-G-4443
(ucs-set-char #x5203 ?$(L!8(B) ; C06-L-2138
(ucs-set-char #x5203 ?$@?O(B) ; J78-@-3F4F
(ucs-set-char #x5203 ?$AHP(B) ; GB0-A-4850
(ucs-set-char #x5203 ?$B?O(B) ; J83-B-3F4F
(ucs-set-char #x5204 ?$(I!6(B) ; C03-I-2136
(ucs-set-char #x5204 ?$@Qc(B) ; J78-@-5163
(ucs-set-char #x5204 ?$BQc(B) ; J83-B-5163
(ucs-set-char #x5205 ?$(D32(B) ; J90-D-3332
(ucs-set-char #x5205 ?$(I!R(B) ; C03-I-2152
(ucs-set-char #x5206 ?$(C]B(B) ; KS0-C-5D42
(ucs-set-char #x5206 ?$(GE!(B) ; C01-G-4521
(ucs-set-char #x5206 ?$@J,(B) ; J78-@-4A2C
(ucs-set-char #x5206 ?$A7V(B) ; GB0-A-3756
(ucs-set-char #x5206 ?$BJ,(B) ; J83-B-4A2C
(ucs-set-char #x5207 ?$(Co7(B) ; KS0-C-6F37
(ucs-set-char #x5207 ?$(GE"(B) ; C01-G-4522
(ucs-set-char #x5207 ?$@@Z(B) ; J78-@-405A
(ucs-set-char #x5207 ?$AGP(B) ; GB0-A-4750
(ucs-set-char #x5207 ?$B@Z(B) ; J83-B-405A
(ucs-set-char #x5208 ?$(CgT(B) ; KS0-C-6754
(ucs-set-char #x5208 ?$(GE#(B) ; C01-G-4523
(ucs-set-char #x5208 ?$@4"(B) ; J78-@-3422
(ucs-set-char #x5208 ?$AXW(B) ; GB0-A-5857
(ucs-set-char #x5208 ?$B4"(B) ; J83-B-3422
(ucs-set-char #x5209 ?$(H!L(B) ; C02-H-214C
(ucs-set-char #x520A ?$(CJJ(B) ; KS0-C-4A4A
(ucs-set-char #x520A ?$(GEz(B) ; C01-G-457A
(ucs-set-char #x520A ?$@4)(B) ; J78-@-3429
(ucs-set-char #x520A ?$A?/(B) ; GB0-A-3F2F
(ucs-set-char #x520A ?$B4)(B) ; J83-B-3429
(ucs-set-char #x520B ?$(I!}(B) ; C03-I-217D
(ucs-set-char #x520B ?$@Qd(B) ; J78-@-5164
(ucs-set-char #x520B ?$BQd(B) ; J83-B-5164
(ucs-set-char #x520C ?$(H!K(B) ; C02-H-214B
(ucs-set-char #x520D ?$A[;(B) ; GB0-A-5B3B
(ucs-set-char #x520E ?$(CY{(B) ; KS0-C-597B
(ucs-set-char #x520E ?$(GGG(B) ; C01-G-4747
(ucs-set-char #x520E ?$@Qf(B) ; J78-@-5166
(ucs-set-char #x520E ?$AXX(B) ; GB0-A-5858
(ucs-set-char #x520E ?$BQf(B) ; J83-B-5166
(ucs-set-char #x520F ?$(I#%(B) ; C03-I-2325
(ucs-set-char #x5210 ?$(H!}(B) ; C02-H-217D
(ucs-set-char #x5211 ?$(Cz}(B) ; KS0-C-7A7D
(ucs-set-char #x5211 ?$(GGE(B) ; C01-G-4745
(ucs-set-char #x5211 ?$(I'\(B) ; C03-I-275C
(ucs-set-char #x5211 ?$@7:(B) ; J78-@-373A
(ucs-set-char #x5211 ?$APL(B) ; GB0-A-504C
(ucs-set-char #x5211 ?$B7:(B) ; J83-B-373A
(ucs-set-char #x5212 ?$(D33(B) ; J90-D-3333
(ucs-set-char #x5212 ?$(GGF(B) ; C01-G-4746
(ucs-set-char #x5212 ?$A;.(B) ; GB0-A-3B2E
(ucs-set-char #x5213 ?$(D34(B) ; J90-D-3334
(ucs-set-char #x5213 ?$(H!|(B) ; C02-H-217C
(ucs-set-char #x5214 ?$(I#$(B) ; C03-I-2324
(ucs-set-char #x5214 ?$@Qe(B) ; J78-@-5165
(ucs-set-char #x5214 ?$BQe(B) ; J83-B-5165
(ucs-set-char #x5215 ?$(D35(B) ; J90-D-3335
(ucs-set-char #x5215 ?$(I#&(B) ; C03-I-2326
(ucs-set-char #x5216 ?$(D36(B) ; J90-D-3336
(ucs-set-char #x5216 ?$(GGH(B) ; C01-G-4748
(ucs-set-char #x5216 ?$Ak>(B) ; GB0-A-6B3E
(ucs-set-char #x5217 ?$(CV*(B) ; KS0-C-562A
(ucs-set-char #x5217 ?$(GGD(B) ; C01-G-4744
(ucs-set-char #x5217 ?$@Ns(B) ; J78-@-4E73
(ucs-set-char #x5217 ?$AAP(B) ; GB0-A-4150
(ucs-set-char #x5217 ?$BNs(B) ; J83-B-4E73
(ucs-set-char #x5218 ?$(D37(B) ; J90-D-3337
(ucs-set-char #x5218 ?$(I#'(B) ; C03-I-2327
(ucs-set-char #x5218 ?$AAu(B) ; GB0-A-4175
(ucs-set-char #x5219 ?$ATr(B) ; GB0-A-5472
(ucs-set-char #x521A ?$A8U(B) ; GB0-A-3855
(ucs-set-char #x521B ?$A44(B) ; GB0-A-3434
(ucs-set-char #x521C ?$(H#.(B) ; C02-H-232E
(ucs-set-char #x521D ?$(Ctx(B) ; KS0-C-7478
(ucs-set-char #x521D ?$(GOO(B) ; C01-G-4F4F
(ucs-set-char #x521D ?$@=i(B) ; J78-@-3D69
(ucs-set-char #x521D ?$A3u(B) ; GB0-A-3375
(ucs-set-char #x521D ?$B=i(B) ; J83-B-3D69
(ucs-set-char #x521E ?$(H#/(B) ; C02-H-232F
(ucs-set-char #x521F ?$(I$_(B) ; C03-I-245F
(ucs-set-char #x5220 ?$(I$a(B) ; C03-I-2461
(ucs-set-char #x5220 ?$AI>(B) ; GB0-A-493E
(ucs-set-char #x5221 ?$(H#0(B) ; C02-H-2330
(ucs-set-char #x5222 ?$(D38(B) ; J90-D-3338
(ucs-set-char #x5222 ?$(J#@(B) ; C04-J-2340
(ucs-set-char #x5223 ?$(I$\(B) ; C03-I-245C
(ucs-set-char #x5224 ?$(Cww(B) ; KS0-C-7777
(ucs-set-char #x5224 ?$(GI2(B) ; C01-G-4932
(ucs-set-char #x5224 ?$@H=(B) ; J78-@-483D
(ucs-set-char #x5224 ?$AEP(B) ; GB0-A-4550
(ucs-set-char #x5224 ?$BH=(B) ; J83-B-483D
(ucs-set-char #x5225 ?$(C\,(B) ; KS0-C-5C2C
(ucs-set-char #x5225 ?$(GI1(B) ; C01-G-4931
(ucs-set-char #x5225 ?$@JL(B) ; J78-@-4A4C
(ucs-set-char #x5225 ?$BJL(B) ; J83-B-4A4C
(ucs-set-char #x5226 ?$(I$^(B) ; C03-I-245E
(ucs-set-char #x5227 ?$(I$](B) ; C03-I-245D
(ucs-set-char #x5227 ?$@Qg(B) ; J78-@-5167
(ucs-set-char #x5227 ?$BQg(B) ; J83-B-5167
(ucs-set-char #x5228 ?$(D39(B) ; J90-D-3339
(ucs-set-char #x5228 ?$(GI5(B) ; C01-G-4935
(ucs-set-char #x5228 ?$AEY(B) ; GB0-A-4559
(ucs-set-char #x5229 ?$(CWW(B) ; KS0-C-5757
(ucs-set-char #x5229 ?$(GI3(B) ; C01-G-4933
(ucs-set-char #x5229 ?$@Mx(B) ; J78-@-4D78
(ucs-set-char #x5229 ?$A@{(B) ; GB0-A-407B
(ucs-set-char #x5229 ?$BMx(B) ; J83-B-4D78
(ucs-set-char #x522A ?$(C_"(B) ; KS0-C-5F22
(ucs-set-char #x522A ?$(GI4(B) ; C01-G-4934
(ucs-set-char #x522A ?$@Qh(B) ; J78-@-5168
(ucs-set-char #x522A ?$BQh(B) ; J83-B-5168
(ucs-set-char #x522B ?$(I$`(B) ; C03-I-2460
(ucs-set-char #x522B ?$A1p(B) ; GB0-A-3170
(ucs-set-char #x522D ?$AXY(B) ; GB0-A-5859
(ucs-set-char #x522E ?$(CN>(B) ; KS0-C-4E3E
(ucs-set-char #x522E ?$(GL0(B) ; C01-G-4C30
(ucs-set-char #x522E ?$@Qi(B) ; J78-@-5169
(ucs-set-char #x522E ?$A9N(B) ; GB0-A-394E
(ucs-set-char #x522E ?$BQi(B) ; J83-B-5169
(ucs-set-char #x522F ?$(I'[(B) ; C03-I-275B
(ucs-set-char #x5230 ?$(CSp(B) ; KS0-C-5370
(ucs-set-char #x5230 ?$(GL/(B) ; C01-G-4C2F
(ucs-set-char #x5230 ?$@E~(B) ; J78-@-457E
(ucs-set-char #x5230 ?$A5=(B) ; GB0-A-353D
(ucs-set-char #x5230 ?$BE~(B) ; J83-B-457E
(ucs-set-char #x5231 ?$(D3:(B) ; J90-D-333A
(ucs-set-char #x5231 ?$(H%T(B) ; C02-H-2554
(ucs-set-char #x5232 ?$(D3;(B) ; J90-D-333B
(ucs-set-char #x5232 ?$(H%Q(B) ; C02-H-2551
(ucs-set-char #x5233 ?$(H%R(B) ; C02-H-2552
(ucs-set-char #x5233 ?$@Qj(B) ; J78-@-516A
(ucs-set-char #x5233 ?$AXZ(B) ; GB0-A-585A
(ucs-set-char #x5233 ?$BQj(B) ; J83-B-516A
(ucs-set-char #x5234 ?$(I'^(B) ; C03-I-275E
(ucs-set-char #x5235 ?$(D3<(B) ; J90-D-333C
(ucs-set-char #x5235 ?$(H%P(B) ; C02-H-2550
(ucs-set-char #x5236 ?$(Cp$(B) ; KS0-C-7024
(ucs-set-char #x5236 ?$(GL1(B) ; C01-G-4C31
(ucs-set-char #x5236 ?$@@)(B) ; J78-@-4029
(ucs-set-char #x5236 ?$AVF(B) ; GB0-A-5646
(ucs-set-char #x5236 ?$B@)(B) ; J83-B-4029
(ucs-set-char #x5237 ?$(Cal(B) ; KS0-C-616C
(ucs-set-char #x5237 ?$(GL-(B) ; C01-G-4C2D
(ucs-set-char #x5237 ?$@:~(B) ; J78-@-3A7E
(ucs-set-char #x5237 ?$AK"(B) ; GB0-A-4B22
(ucs-set-char #x5237 ?$B:~(B) ; J83-B-3A7E
(ucs-set-char #x5238 ?$(COg(B) ; KS0-C-4F67
(ucs-set-char #x5238 ?$(GL,(B) ; C01-G-4C2C
(ucs-set-char #x5238 ?$@7t(B) ; J78-@-3774
(ucs-set-char #x5238 ?$AH/(B) ; GB0-A-482F
(ucs-set-char #x5238 ?$B7t(B) ; J83-B-3774
(ucs-set-char #x5239 ?$(CsK(B) ; KS0-C-734B
(ucs-set-char #x5239 ?$(I'_(B) ; C03-I-275F
(ucs-set-char #x5239 ?$@Qk(B) ; J78-@-516B
(ucs-set-char #x5239 ?$AI2(B) ; GB0-A-4932
(ucs-set-char #x5239 ?$BQk(B) ; J83-B-516B
(ucs-set-char #x523A ?$(Cm)(B) ; KS0-C-6D29
(ucs-set-char #x523A ?$(GL.(B) ; C01-G-4C2E
(ucs-set-char #x523A ?$@;I(B) ; J78-@-3B49
(ucs-set-char #x523A ?$A4L(B) ; GB0-A-344C
(ucs-set-char #x523A ?$B;I(B) ; J83-B-3B49
(ucs-set-char #x523B ?$(CJ>(B) ; KS0-C-4A3E
(ucs-set-char #x523B ?$(GL+(B) ; C01-G-4C2B
(ucs-set-char #x523B ?$@9o(B) ; J78-@-396F
(ucs-set-char #x523B ?$A?L(B) ; GB0-A-3F4C
(ucs-set-char #x523B ?$B9o(B) ; J83-B-396F
(ucs-set-char #x523C ?$(D3=(B) ; J90-D-333D
(ucs-set-char #x523C ?$(I'](B) ; C03-I-275D
(ucs-set-char #x523D ?$(J%N(B) ; C04-J-254E
(ucs-set-char #x523D ?$A9t(B) ; GB0-A-3974
(ucs-set-char #x523F ?$AX[(B) ; GB0-A-585B
(ucs-set-char #x5240 ?$AX\(B) ; GB0-A-585C
(ucs-set-char #x5241 ?$(GL2(B) ; C01-G-4C32
(ucs-set-char #x5241 ?$A6g(B) ; GB0-A-3667
(ucs-set-char #x5242 ?$A<A(B) ; GB0-A-3C41
(ucs-set-char #x5243 ?$(Cto(B) ; KS0-C-746F
(ucs-set-char #x5243 ?$(GP'(B) ; C01-G-5027
(ucs-set-char #x5243 ?$@Df(B) ; J78-@-4466
(ucs-set-char #x5243 ?$ALj(B) ; GB0-A-4C6A
(ucs-set-char #x5243 ?$BDf(B) ; J83-B-4466
(ucs-set-char #x5244 ?$(H)2(B) ; C02-H-2932
(ucs-set-char #x5244 ?$@Qm(B) ; J78-@-516D
(ucs-set-char #x5244 ?$BQm(B) ; J83-B-516D
(ucs-set-char #x5245 ?$(D3>(B) ; J90-D-333E
(ucs-set-char #x5245 ?$(I+?(B) ; C03-I-2B3F
(ucs-set-char #x5246 ?$(H%S(B) ; C02-H-2553
(ucs-set-char #x5247 ?$(CvN(B) ; KS0-C-764E
(ucs-set-char #x5247 ?$(GP,(B) ; C01-G-502C
(ucs-set-char #x5247 ?$@B'(B) ; J78-@-4227
(ucs-set-char #x5247 ?$BB'(B) ; J83-B-4227
(ucs-set-char #x5248 ?$(I+@(B) ; C03-I-2B40
(ucs-set-char #x5249 ?$(D3?(B) ; J90-D-333F
(ucs-set-char #x5249 ?$(H)3(B) ; C02-H-2933
(ucs-set-char #x524A ?$(C^{(B) ; KS0-C-5E7B
(ucs-set-char #x524A ?$(GP((B) ; C01-G-5028
(ucs-set-char #x524A ?$@:o(B) ; J78-@-3A6F
(ucs-set-char #x524A ?$AOw(B) ; GB0-A-4F77
(ucs-set-char #x524A ?$B:o(B) ; J83-B-3A6F
(ucs-set-char #x524B ?$(CP;(B) ; KS0-C-503B
(ucs-set-char #x524B ?$(GP+(B) ; C01-G-502B
(ucs-set-char #x524B ?$@Qn(B) ; J78-@-516E
(ucs-set-char #x524B ?$BQn(B) ; J83-B-516E
(ucs-set-char #x524C ?$(CU7(B) ; KS0-C-5537
(ucs-set-char #x524C ?$(GP*(B) ; C01-G-502A
(ucs-set-char #x524C ?$@Qo(B) ; J78-@-516F
(ucs-set-char #x524C ?$AX](B) ; GB0-A-585D
(ucs-set-char #x524C ?$BQo(B) ; J83-B-516F
(ucs-set-char #x524D ?$(Cnq(B) ; KS0-C-6E71
(ucs-set-char #x524D ?$(GP)(B) ; C01-G-5029
(ucs-set-char #x524D ?$@A0(B) ; J78-@-4130
(ucs-set-char #x524D ?$AG0(B) ; GB0-A-4730
(ucs-set-char #x524D ?$BA0(B) ; J83-B-4130
(ucs-set-char #x524E ?$(GP&(B) ; C01-G-5026
(ucs-set-char #x524F ?$(I+C(B) ; C03-I-2B43
(ucs-set-char #x524F ?$@Ql(B) ; J78-@-516C
(ucs-set-char #x524F ?$BQl(B) ; J83-B-516C
(ucs-set-char #x5250 ?$A9P(B) ; GB0-A-3950
(ucs-set-char #x5251 ?$A=#(B) ; GB0-A-3D23
(ucs-set-char #x5252 ?$(H.+(B) ; C02-H-2E2B
(ucs-set-char #x5253 ?$(I/h(B) ; C03-I-2F68
(ucs-set-char #x5254 ?$(Ct((B) ; KS0-C-7428
(ucs-set-char #x5254 ?$(GTJ(B) ; C01-G-544A
(ucs-set-char #x5254 ?$@Qq(B) ; J78-@-5171
(ucs-set-char #x5254 ?$AL^(B) ; GB0-A-4C5E
(ucs-set-char #x5254 ?$BQq(B) ; J83-B-5171
(ucs-set-char #x5255 ?$(D3@(B) ; J90-D-3340
(ucs-set-char #x5255 ?$(H..(B) ; C02-H-2E2E
(ucs-set-char #x5256 ?$(C\x(B) ; KS0-C-5C78
(ucs-set-char #x5256 ?$(GTH(B) ; C01-G-5448
(ucs-set-char #x5256 ?$@K6(B) ; J78-@-4B36
(ucs-set-char #x5256 ?$AFJ(B) ; GB0-A-464A
(ucs-set-char #x5256 ?$BK6(B) ; J83-B-4B36
(ucs-set-char #x5257 ?$(D3A(B) ; J90-D-3341
(ucs-set-char #x5257 ?$(I/e(B) ; C03-I-2F65
(ucs-set-char #x5258 ?$(D3B(B) ; J90-D-3342
(ucs-set-char #x5258 ?$(J+n(B) ; C04-J-2B6E
(ucs-set-char #x5259 ?$(I/b(B) ; C03-I-2F62
(ucs-set-char #x525A ?$(D3C(B) ; J90-D-3343
(ucs-set-char #x525A ?$(H.*(B) ; C02-H-2E2A
(ucs-set-char #x525B ?$(CK'(B) ; KS0-C-4B27
(ucs-set-char #x525B ?$(GTK(B) ; C01-G-544B
(ucs-set-char #x525B ?$@9d(B) ; J78-@-3964
(ucs-set-char #x525B ?$B9d(B) ; J83-B-3964
(ucs-set-char #x525C ?$(D3D(B) ; J90-D-3344
(ucs-set-char #x525C ?$(GTI(B) ; C01-G-5449
(ucs-set-char #x525C ?$AX`(B) ; GB0-A-5860
(ucs-set-char #x525D ?$(CZN(B) ; KS0-C-5A4E
(ucs-set-char #x525D ?$(GTL(B) ; C01-G-544C
(ucs-set-char #x525D ?$@Gm(B) ; J78-@-476D
(ucs-set-char #x525E ?$(H.,(B) ; C02-H-2E2C
(ucs-set-char #x525E ?$@Qp(B) ; J78-@-5170
(ucs-set-char #x525E ?$AX^(B) ; GB0-A-585E
(ucs-set-char #x525E ?$BQp(B) ; J83-B-5170
(ucs-set-char #x525F ?$(D3E(B) ; J90-D-3345
(ucs-set-char #x525F ?$(H.-(B) ; C02-H-2E2D
(ucs-set-char #x5260 ?$(D3F(B) ; J90-D-3346
(ucs-set-char #x5260 ?$(I/`(B) ; C03-I-2F60
(ucs-set-char #x5261 ?$(C`f(B) ; KS0-C-6066
(ucs-set-char #x5261 ?$(D3G(B) ; J90-D-3347
(ucs-set-char #x5261 ?$(H.)(B) ; C02-H-2E29
(ucs-set-char #x5261 ?$AX_(B) ; GB0-A-585F
(ucs-set-char #x5262 ?$(H./(B) ; C02-H-2E2F
(ucs-set-char #x5263 ?$(I/f(B) ; C03-I-2F66
(ucs-set-char #x5263 ?$@7u(B) ; J78-@-3775
(ucs-set-char #x5263 ?$B7u(B) ; J83-B-3775
(ucs-set-char #x5264 ?$(I/a(B) ; C03-I-2F61
(ucs-set-char #x5264 ?$@:^(B) ; J78-@-3A5E
(ucs-set-char #x5264 ?$B:^(B) ; J83-B-3A5E
(ucs-set-char #x5265 ?$(I/c(B) ; C03-I-2F63
(ucs-set-char #x5265 ?$A0~(B) ; GB0-A-307E
(ucs-set-char #x5265 ?$BGm(B) ; J83-B-476D
(ucs-set-char #x5266 ?$(D3H(B) ; J90-D-3348
(ucs-set-char #x5267 ?$(I/d(B) ; C03-I-2F64
(ucs-set-char #x5267 ?$A>g(B) ; GB0-A-3E67
(ucs-set-char #x5268 ?$(I4P(B) ; C03-I-3450
(ucs-set-char #x5269 ?$(Cm%(B) ; KS0-C-6D25
(ucs-set-char #x5269 ?$(G^7(B) ; C01-G-5E37
(ucs-set-char #x5269 ?$@Qt(B) ; J78-@-5174
(ucs-set-char #x5269 ?$AJ#(B) ; GB0-A-4A23
(ucs-set-char #x5269 ?$BQt(B) ; J83-B-5174
(ucs-set-char #x526A ?$(Cnr(B) ; KS0-C-6E72
(ucs-set-char #x526A ?$(GY*(B) ; C01-G-592A
(ucs-set-char #x526A ?$@Qr(B) ; J78-@-5172
(ucs-set-char #x526A ?$A<t(B) ; GB0-A-3C74
(ucs-set-char #x526A ?$BQr(B) ; J83-B-5172
(ucs-set-char #x526B ?$(H3l(B) ; C02-H-336C
(ucs-set-char #x526C ?$(H3n(B) ; C02-H-336E
(ucs-set-char #x526D ?$(H3m(B) ; C02-H-336D
(ucs-set-char #x526E ?$(D3I(B) ; J90-D-3349
(ucs-set-char #x526E ?$(H3o(B) ; C02-H-336F
(ucs-set-char #x526F ?$(C\y(B) ; KS0-C-5C79
(ucs-set-char #x526F ?$(GY+(B) ; C01-G-592B
(ucs-set-char #x526F ?$@I{(B) ; J78-@-497B
(ucs-set-char #x526F ?$A81(B) ; GB0-A-3831
(ucs-set-char #x526F ?$BI{(B) ; J83-B-497B
(ucs-set-char #x5270 ?$(I:#(B) ; C03-I-3A23
(ucs-set-char #x5270 ?$@>j(B) ; J78-@-3E6A
(ucs-set-char #x5270 ?$B>j(B) ; J83-B-3E6A
(ucs-set-char #x5271 ?$@Q{(B) ; J78-@-517B
(ucs-set-char #x5271 ?$BQ{(B) ; J83-B-517B
(ucs-set-char #x5272 ?$(Cy\(B) ; KS0-C-795C
(ucs-set-char #x5272 ?$(G^4(B) ; C01-G-5E34
(ucs-set-char #x5272 ?$(LFg(B) ; C06-L-4667
(ucs-set-char #x5272 ?$@3d(B) ; J78-@-3364
(ucs-set-char #x5272 ?$A8n(B) ; GB0-A-386E
(ucs-set-char #x5272 ?$B3d(B) ; J83-B-3364
(ucs-set-char #x5273 ?$(I:!(B) ; C03-I-3A21
(ucs-set-char #x5273 ?$@Qu(B) ; J78-@-5175
(ucs-set-char #x5273 ?$BQu(B) ; J83-B-5175
(ucs-set-char #x5274 ?$(G^5(B) ; C01-G-5E35
(ucs-set-char #x5274 ?$@Qs(B) ; J78-@-5173
(ucs-set-char #x5274 ?$BQs(B) ; J83-B-5173
(ucs-set-char #x5275 ?$(Cs\(B) ; KS0-C-735C
(ucs-set-char #x5275 ?$(G^6(B) ; C01-G-5E36
(ucs-set-char #x5275 ?$@AO(B) ; J78-@-414F
(ucs-set-char #x5275 ?$BAO(B) ; J83-B-414F
(ucs-set-char #x5276 ?$(I4Q(B) ; C03-I-3451
(ucs-set-char #x5277 ?$(D3J(B) ; J90-D-334A
(ucs-set-char #x5277 ?$(Gc7(B) ; C01-G-6337
(ucs-set-char #x5277 ?$(I@C(B) ; C03-I-4043
(ucs-set-char #x5278 ?$(D3K(B) ; J90-D-334B
(ucs-set-char #x5278 ?$(HAl(B) ; C02-H-416C
(ucs-set-char #x5279 ?$(D3L(B) ; J90-D-334C
(ucs-set-char #x5279 ?$(I@A(B) ; C03-I-4041
(ucs-set-char #x527A ?$(HAk(B) ; C02-H-416B
(ucs-set-char #x527B ?$(HAm(B) ; C02-H-416D
(ucs-set-char #x527C ?$(HAn(B) ; C02-H-416E
(ucs-set-char #x527D ?$(Cxr(B) ; KS0-C-7872
(ucs-set-char #x527D ?$(Gc8(B) ; C01-G-6338
(ucs-set-char #x527D ?$@Qw(B) ; J78-@-5177
(ucs-set-char #x527D ?$AXb(B) ; GB0-A-5862
(ucs-set-char #x527D ?$BQw(B) ; J83-B-5177
(ucs-set-char #x527E ?$(I@@(B) ; C03-I-4040
(ucs-set-char #x527F ?$(Cty(B) ; KS0-C-7479
(ucs-set-char #x527F ?$(Gc6(B) ; C01-G-6336
(ucs-set-char #x527F ?$@Qv(B) ; J78-@-5176
(ucs-set-char #x527F ?$A=K(B) ; GB0-A-3D4B
(ucs-set-char #x527F ?$BQv(B) ; J83-B-5176
(ucs-set-char #x5280 ?$(D3M(B) ; J90-D-334D
(ucs-set-char #x5280 ?$(HI((B) ; C02-H-4928
(ucs-set-char #x5281 ?$(HI)(B) ; C02-H-4929
(ucs-set-char #x5281 ?$AXd(B) ; GB0-A-5864
(ucs-set-char #x5282 ?$(D3N(B) ; J90-D-334E
(ucs-set-char #x5282 ?$(Gh#(B) ; C01-G-6823
(ucs-set-char #x5282 ?$AXc(B) ; GB0-A-5863
(ucs-set-char #x5283 ?$(C|q(B) ; KS0-C-7C71
(ucs-set-char #x5283 ?$(Gh"(B) ; C01-G-6822
(ucs-set-char #x5283 ?$@3D(B) ; J78-@-3344
(ucs-set-char #x5283 ?$B3D(B) ; J83-B-3344
(ucs-set-char #x5284 ?$(HLa(B) ; C02-H-4C61
(ucs-set-char #x5285 ?$(D3O(B) ; J90-D-334F
(ucs-set-char #x5285 ?$(JI%(B) ; C04-J-4925
(ucs-set-char #x5286 ?$(IK1(B) ; C03-I-4B31
(ucs-set-char #x5287 ?$(CP<(B) ; KS0-C-503C
(ucs-set-char #x5287 ?$(Gl*(B) ; C01-G-6C2A
(ucs-set-char #x5287 ?$@7`(B) ; J78-@-3760
(ucs-set-char #x5287 ?$B7`(B) ; J83-B-3760
(ucs-set-char #x5288 ?$(C[y(B) ; KS0-C-5B79
(ucs-set-char #x5288 ?$(Gl+(B) ; C01-G-6C2B
(ucs-set-char #x5288 ?$@Q|(B) ; J78-@-517C
(ucs-set-char #x5288 ?$AE|(B) ; GB0-A-457C
(ucs-set-char #x5288 ?$BQ|(B) ; J83-B-517C
(ucs-set-char #x5289 ?$(CW1(B) ; KS0-C-5731
(ucs-set-char #x5289 ?$(Gl,(B) ; C01-G-6C2C
(ucs-set-char #x5289 ?$@N-(B) ; J78-@-4E2D
(ucs-set-char #x5289 ?$BN-(B) ; J83-B-4E2D
(ucs-set-char #x528A ?$(D3P(B) ; J90-D-3350
(ucs-set-char #x528A ?$(Gl.(B) ; C01-G-6C2E
(ucs-set-char #x528B ?$(HOZ(B) ; C02-H-4F5A
(ucs-set-char #x528C ?$(D3Q(B) ; J90-D-3351
(ucs-set-char #x528C ?$(HO[(B) ; C02-H-4F5B
(ucs-set-char #x528D ?$(CK|(B) ; KS0-C-4B7C
(ucs-set-char #x528D ?$(Gl-(B) ; C01-G-6C2D
(ucs-set-char #x528D ?$@Qx(B) ; J78-@-5178
(ucs-set-char #x528D ?$BQx(B) ; J83-B-5178
(ucs-set-char #x528E ?$(IK2(B) ; C03-I-4B32
(ucs-set-char #x5290 ?$(IP6(B) ; C03-I-5036
(ucs-set-char #x5290 ?$AXe(B) ; GB0-A-5865
(ucs-set-char #x5291 ?$(Cp%(B) ; KS0-C-7025
(ucs-set-char #x5291 ?$(Gp8(B) ; C01-G-7038
(ucs-set-char #x5291 ?$@Q}(B) ; J78-@-517D
(ucs-set-char #x5291 ?$BQ}(B) ; J83-B-517D
(ucs-set-char #x5292 ?$(CK}(B) ; KS0-C-4B7D
(ucs-set-char #x5292 ?$(JOd(B) ; C04-J-4F64
(ucs-set-char #x5292 ?$@Qz(B) ; J78-@-517A
(ucs-set-char #x5292 ?$BQz(B) ; J83-B-517A
(ucs-set-char #x5293 ?$(D3R(B) ; J90-D-3352
(ucs-set-char #x5293 ?$(Gp9(B) ; C01-G-7039
(ucs-set-char #x5293 ?$AXf(B) ; GB0-A-5866
(ucs-set-char #x5294 ?$(IP7(B) ; C03-I-5037
(ucs-set-char #x5294 ?$@Qy(B) ; J78-@-5179
(ucs-set-char #x5294 ?$BQy(B) ; J83-B-5179
(ucs-set-char #x5295 ?$(D3S(B) ; J90-D-3353
(ucs-set-char #x5295 ?$(JUm(B) ; C04-J-556D
(ucs-set-char #x5296 ?$(D3T(B) ; J90-D-3354
(ucs-set-char #x5296 ?$(He9(B) ; C02-H-6539
(ucs-set-char #x5297 ?$(D3U(B) ; J90-D-3355
(ucs-set-char #x5297 ?$(HkQ(B) ; C02-H-6B51
(ucs-set-char #x5298 ?$(D3V(B) ; J90-D-3356
(ucs-set-char #x5298 ?$(HkP(B) ; C02-H-6B50
(ucs-set-char #x5299 ?$(Hn~(B) ; C02-H-6E7E
(ucs-set-char #x529A ?$(D3W(B) ; J90-D-3357
(ucs-set-char #x529A ?$(I`,(B) ; C03-I-602C

(ucs-set-char #x529B ?$AA&(B) ; GB0-A-4126
(ucs-set-char #x529B ?$(CUt(B) ; KS0-C-5574
(ucs-set-char #x529B ?$(GD0(B) ; C01-G-4430
(ucs-set-char #x529B ?$@NO(B) ; J78-@-4E4F
(ucs-set-char #x529B ?$BNO(B) ; J83-B-4E4F

(ucs-set-char #x529C ?$(D3X(B) ; J90-D-3358
(ucs-set-char #x529C ?$(I!7(B) ; C03-I-2137
(ucs-set-char #x529D ?$(I!T(B) ; C03-I-2154
(ucs-set-char #x529D ?$AH0(B) ; GB0-A-4830
(ucs-set-char #x529E ?$(I!S(B) ; C03-I-2153
(ucs-set-char #x529E ?$A0l(B) ; GB0-A-306C
(ucs-set-char #x529F ?$(CMm(B) ; KS0-C-4D6D
(ucs-set-char #x529F ?$(GE|(B) ; C01-G-457C
(ucs-set-char #x529F ?$@8y(B) ; J78-@-3879
(ucs-set-char #x529F ?$A9&(B) ; GB0-A-3926
(ucs-set-char #x529F ?$B8y(B) ; J83-B-3879
(ucs-set-char #x52A0 ?$(CJ%(B) ; KS0-C-4A25
(ucs-set-char #x52A0 ?$(GE{(B) ; C01-G-457B
(ucs-set-char #x52A0 ?$@2C(B) ; J78-@-3243
(ucs-set-char #x52A0 ?$A<S(B) ; GB0-A-3C53
(ucs-set-char #x52A0 ?$B2C(B) ; J83-B-3243
(ucs-set-char #x52A1 ?$ANq(B) ; GB0-A-4E71
(ucs-set-char #x52A2 ?$A[=(B) ; GB0-A-5B3D
(ucs-set-char #x52A3 ?$(CV+(B) ; KS0-C-562B
(ucs-set-char #x52A3 ?$(GGI(B) ; C01-G-4749
(ucs-set-char #x52A3 ?$@Nt(B) ; J78-@-4E74
(ucs-set-char #x52A3 ?$AAS(B) ; GB0-A-4153
(ucs-set-char #x52A3 ?$BNt(B) ; J83-B-4E74
(ucs-set-char #x52A4 ?$(CPB(B) ; KS0-C-5042
(ucs-set-char #x52A4 ?$(D3Y(B) ; J90-D-3359
(ucs-set-char #x52A4 ?$(J"B(B) ; C04-J-2242
(ucs-set-char #x52A5 ?$(D3Z(B) ; J90-D-335A
(ucs-set-char #x52A5 ?$(J"?(B) ; C04-J-223F
(ucs-set-char #x52A6 ?$(D3[(B) ; J90-D-335B
(ucs-set-char #x52A6 ?$(H!~(B) ; C02-H-217E
(ucs-set-char #x52A7 ?$(D3\(B) ; J90-D-335C
(ucs-set-char #x52A7 ?$(J"A(B) ; C04-J-2241
(ucs-set-char #x52A8 ?$(I#((B) ; C03-I-2328
(ucs-set-char #x52A8 ?$A6/(B) ; GB0-A-362F
(ucs-set-char #x52A9 ?$(Cp>(B) ; KS0-C-703E
(ucs-set-char #x52A9 ?$(GI7(B) ; C01-G-4937
(ucs-set-char #x52A9 ?$@=u(B) ; J78-@-3D75
(ucs-set-char #x52A9 ?$AVz(B) ; GB0-A-567A
(ucs-set-char #x52A9 ?$B=u(B) ; J83-B-3D75
(ucs-set-char #x52AA ?$(CR=(B) ; KS0-C-523D
(ucs-set-char #x52AA ?$(GI8(B) ; C01-G-4938
(ucs-set-char #x52AA ?$@EX(B) ; J78-@-4558
(ucs-set-char #x52AA ?$AE,(B) ; GB0-A-452C
(ucs-set-char #x52AA ?$BEX(B) ; J83-B-4558
(ucs-set-char #x52AB ?$(CL$(B) ; KS0-C-4C24
(ucs-set-char #x52AB ?$(GI6(B) ; C01-G-4936
(ucs-set-char #x52AB ?$@9e(B) ; J78-@-3965
(ucs-set-char #x52AB ?$A=Y(B) ; GB0-A-3D59
(ucs-set-char #x52AB ?$B9e(B) ; J83-B-3965
(ucs-set-char #x52AC ?$(GI9(B) ; C01-G-4939
(ucs-set-char #x52AC ?$@R"(B) ; J78-@-5222
(ucs-set-char #x52AC ?$A[>(B) ; GB0-A-5B3E
(ucs-set-char #x52AC ?$BR"(B) ; J83-B-5222
(ucs-set-char #x52AD ?$(H#1(B) ; C02-H-2331
(ucs-set-char #x52AD ?$@R#(B) ; J78-@-5223
(ucs-set-char #x52AD ?$A[?(B) ; GB0-A-5B3F
(ucs-set-char #x52AD ?$BR#(B) ; J83-B-5223
(ucs-set-char #x52AE ?$(H#2(B) ; C02-H-2332
(ucs-set-char #x52AF ?$(D3](B) ; J90-D-335D
(ucs-set-char #x52AF ?$(J#F(B) ; C04-J-2346
(ucs-set-char #x52B0 ?$(D3^(B) ; J90-D-335E
(ucs-set-char #x52B0 ?$(J#G(B) ; C04-J-2347
(ucs-set-char #x52B1 ?$(J#H(B) ; C04-J-2348
(ucs-set-char #x52B1 ?$@Ne(B) ; J78-@-4E65
(ucs-set-char #x52B1 ?$A@x(B) ; GB0-A-4078
(ucs-set-char #x52B1 ?$BNe(B) ; J83-B-4E65
(ucs-set-char #x52B2 ?$(J#I(B) ; C04-J-2349
(ucs-set-char #x52B2 ?$A>"(B) ; GB0-A-3E22
(ucs-set-char #x52B3 ?$(I$c(B) ; C03-I-2463
(ucs-set-char #x52B3 ?$A@M(B) ; GB0-A-404D
(ucs-set-char #x52B4 ?$(I$b(B) ; C03-I-2462
(ucs-set-char #x52B4 ?$@O+(B) ; J78-@-4F2B
(ucs-set-char #x52B4 ?$BO+(B) ; J83-B-4F2B
(ucs-set-char #x52B5 ?$(I'a(B) ; C03-I-2761
(ucs-set-char #x52B5 ?$@R%(B) ; J78-@-5225
(ucs-set-char #x52B5 ?$BR%(B) ; J83-B-5225
(ucs-set-char #x52B6 ?$(D3_(B) ; J90-D-335F
(ucs-set-char #x52B6 ?$(K%:(B) ; C05-K-253A
(ucs-set-char #x52B7 ?$(D3`(B) ; J90-D-3360
(ucs-set-char #x52B7 ?$(K%7(B) ; C05-K-2537
(ucs-set-char #x52B8 ?$(D3a(B) ; J90-D-3361
(ucs-set-char #x52B8 ?$(K%8(B) ; C05-K-2538
(ucs-set-char #x52B9 ?$(I'`(B) ; C03-I-2760
(ucs-set-char #x52B9 ?$@8z(B) ; J78-@-387A
(ucs-set-char #x52B9 ?$B8z(B) ; J83-B-387A
(ucs-set-char #x52BA ?$(D3b(B) ; J90-D-3362
(ucs-set-char #x52BA ?$(K%;(B) ; C05-K-253B
(ucs-set-char #x52BB ?$(D3c(B) ; J90-D-3363
(ucs-set-char #x52BB ?$(GL4(B) ; C01-G-4C34
(ucs-set-char #x52BC ?$(H%U(B) ; C02-H-2555
(ucs-set-char #x52BC ?$@R$(B) ; J78-@-5224
(ucs-set-char #x52BC ?$BR$(B) ; J83-B-5224
(ucs-set-char #x52BD ?$(D3d(B) ; J90-D-3364
(ucs-set-char #x52BD ?$(J%P(B) ; C04-J-2550
(ucs-set-char #x52BE ?$(Cz6(B) ; KS0-C-7A36
(ucs-set-char #x52BE ?$(GL3(B) ; C01-G-4C33
(ucs-set-char #x52BE ?$@3/(B) ; J78-@-332F
(ucs-set-char #x52BE ?$A[@(B) ; GB0-A-5B40
(ucs-set-char #x52BE ?$B3/(B) ; J83-B-332F
(ucs-set-char #x52BF ?$(I'b(B) ; C03-I-2762
(ucs-set-char #x52BF ?$AJF(B) ; GB0-A-4A46
(ucs-set-char #x52C0 ?$(D3e(B) ; J90-D-3365
(ucs-set-char #x52C0 ?$(H)4(B) ; C02-H-2934
(ucs-set-char #x52C1 ?$(CLM(B) ; KS0-C-4C4D
(ucs-set-char #x52C1 ?$(GP0(B) ; C01-G-5030
(ucs-set-char #x52C1 ?$@R&(B) ; J78-@-5226
(ucs-set-char #x52C1 ?$BR&(B) ; J83-B-5226
(ucs-set-char #x52C2 ?$(H)5(B) ; C02-H-2935
(ucs-set-char #x52C3 ?$(CZz(B) ; KS0-C-5A7A
(ucs-set-char #x52C3 ?$(GP/(B) ; C01-G-502F
(ucs-set-char #x52C3 ?$@KV(B) ; J78-@-4B56
(ucs-set-char #x52C3 ?$A2*(B) ; GB0-A-322A
(ucs-set-char #x52C3 ?$BKV(B) ; J83-B-4B56
(ucs-set-char #x52C4 ?$(D3f(B) ; J90-D-3366
(ucs-set-char #x52C4 ?$(I+H(B) ; C03-I-2B48
(ucs-set-char #x52C5 ?$(CvO(B) ; KS0-C-764F
(ucs-set-char #x52C5 ?$(I+F(B) ; C03-I-2B46
(ucs-set-char #x52C5 ?$@D<(B) ; J78-@-443C
(ucs-set-char #x52C5 ?$BD<(B) ; J83-B-443C
(ucs-set-char #x52C6 ?$(D3g(B) ; J90-D-3367
(ucs-set-char #x52C6 ?$(J(I(B) ; C04-J-2849
(ucs-set-char #x52C7 ?$(Ci8(B) ; KS0-C-6938
(ucs-set-char #x52C7 ?$(GP-(B) ; C01-G-502D
(ucs-set-char #x52C7 ?$(L/%(B) ; C06-L-2F25
(ucs-set-char #x52C7 ?$@M&(B) ; J78-@-4D26
(ucs-set-char #x52C7 ?$ASB(B) ; GB0-A-5342
(ucs-set-char #x52C7 ?$BM&(B) ; J83-B-4D26
(ucs-set-char #x52C8 ?$(D3h(B) ; J90-D-3368
(ucs-set-char #x52C8 ?$(J(K(B) ; C04-J-284B
(ucs-set-char #x52C9 ?$(CXu(B) ; KS0-C-5875
(ucs-set-char #x52C9 ?$(GP.(B) ; C01-G-502E
(ucs-set-char #x52C9 ?$(L5X(B) ; C06-L-3558
(ucs-set-char #x52C9 ?$@JY(B) ; J78-@-4A59
(ucs-set-char #x52C9 ?$ACc(B) ; GB0-A-4363
(ucs-set-char #x52C9 ?$BJY(B) ; J83-B-4A59
(ucs-set-char #x52CA ?$(I+G(B) ; C03-I-2B47
(ucs-set-char #x52CB ?$AQ+(B) ; GB0-A-512B
(ucs-set-char #x52CC ?$(D3i(B) ; J90-D-3369
(ucs-set-char #x52CC ?$(I/o(B) ; C03-I-2F6F
(ucs-set-char #x52CD ?$(CLN(B) ; KS0-C-4C4E
(ucs-set-char #x52CD ?$(H.0(B) ; C02-H-2E30
(ucs-set-char #x52CD ?$@R'(B) ; J78-@-5227
(ucs-set-char #x52CD ?$BR'(B) ; J83-B-5227
(ucs-set-char #x52CE ?$(I/l(B) ; C03-I-2F6C
(ucs-set-char #x52CF ?$(D3j(B) ; J90-D-336A
(ucs-set-char #x52CF ?$(I/j(B) ; C03-I-2F6A
(ucs-set-char #x52D0 ?$(I/m(B) ; C03-I-2F6D
(ucs-set-char #x52D0 ?$A[B(B) ; GB0-A-5B42
(ucs-set-char #x52D1 ?$(D3k(B) ; J90-D-336B
(ucs-set-char #x52D1 ?$(I/n(B) ; C03-I-2F6E
(ucs-set-char #x52D2 ?$(CWM(B) ; KS0-C-574D
(ucs-set-char #x52D2 ?$(GY,(B) ; C01-G-592C
(ucs-set-char #x52D2 ?$@pU(B) ; J78-@-7055
(ucs-set-char #x52D2 ?$A@U(B) ; GB0-A-4055
(ucs-set-char #x52D2 ?$BpU(B) ; J83-B-7055
(ucs-set-char #x52D3 ?$(H3q(B) ; C02-H-3371
(ucs-set-char #x52D4 ?$(D3l(B) ; J90-D-336C
(ucs-set-char #x52D4 ?$(I4R(B) ; C03-I-3452
(ucs-set-char #x52D5 ?$(CTQ(B) ; KS0-C-5451
(ucs-set-char #x52D5 ?$(GY/(B) ; C01-G-592F
(ucs-set-char #x52D5 ?$@F0(B) ; J78-@-4630
(ucs-set-char #x52D5 ?$BF0(B) ; J83-B-4630
(ucs-set-char #x52D6 ?$(Cim(B) ; KS0-C-696D
(ucs-set-char #x52D6 ?$(D3m(B) ; J90-D-336D
(ucs-set-char #x52D6 ?$(H3p(B) ; C02-H-3370
(ucs-set-char #x52D6 ?$A[C(B) ; GB0-A-5B43
(ucs-set-char #x52D7 ?$(G[+(B) ; C01-G-5B2B
(ucs-set-char #x52D7 ?$@R((B) ; J78-@-5228
(ucs-set-char #x52D7 ?$BR((B) ; J83-B-5228
(ucs-set-char #x52D8 ?$(CJk(B) ; KS0-C-4A6B
(ucs-set-char #x52D8 ?$(GY.(B) ; C01-G-592E
(ucs-set-char #x52D8 ?$@4*(B) ; J78-@-342A
(ucs-set-char #x52D8 ?$A?1(B) ; GB0-A-3F31
(ucs-set-char #x52D8 ?$B4*(B) ; J83-B-342A
(ucs-set-char #x52D9 ?$(CYb(B) ; KS0-C-5962
(ucs-set-char #x52D9 ?$(GY-(B) ; C01-G-592D
(ucs-set-char #x52D9 ?$@L3(B) ; J78-@-4C33
(ucs-set-char #x52D9 ?$BL3(B) ; J83-B-4C33
(ucs-set-char #x52DB ?$(C}2(B) ; KS0-C-7D32
(ucs-set-char #x52DB ?$(D3n(B) ; J90-D-336E
(ucs-set-char #x52DB ?$(G^:(B) ; C01-G-5E3A
(ucs-set-char #x52DC ?$(D3o(B) ; J90-D-336F
(ucs-set-char #x52DC ?$(K6j(B) ; C05-K-366A
(ucs-set-char #x52DD ?$(Cc-(B) ; KS0-C-632D
(ucs-set-char #x52DD ?$(G^9(B) ; C01-G-5E39
(ucs-set-char #x52DD ?$@>!(B) ; J78-@-3E21
(ucs-set-char #x52DD ?$B>!(B) ; J83-B-3E21
(ucs-set-char #x52DE ?$(CVL(B) ; KS0-C-564C
(ucs-set-char #x52DE ?$(G^8(B) ; C01-G-5E38
(ucs-set-char #x52DE ?$@R)(B) ; J78-@-5229
(ucs-set-char #x52DE ?$BR)(B) ; J83-B-5229
(ucs-set-char #x52DF ?$(CY4(B) ; KS0-C-5934
(ucs-set-char #x52DF ?$(Gc9(B) ; C01-G-6339
(ucs-set-char #x52DF ?$@Jg(B) ; J78-@-4A67
(ucs-set-char #x52DF ?$AD<(B) ; GB0-A-443C
(ucs-set-char #x52DF ?$BJg(B) ; J83-B-4A67
(ucs-set-char #x52E0 ?$(I@E(B) ; C03-I-4045
(ucs-set-char #x52E0 ?$@R-(B) ; J78-@-522D
(ucs-set-char #x52E0 ?$BR-(B) ; J83-B-522D
(ucs-set-char #x52E1 ?$(D3p(B) ; J90-D-3370
(ucs-set-char #x52E1 ?$(I@D(B) ; C03-I-4044
(ucs-set-char #x52E2 ?$(Ca'(B) ; KS0-C-6127
(ucs-set-char #x52E2 ?$(Gc<(B) ; C01-G-633C
(ucs-set-char #x52E2 ?$@@*(B) ; J78-@-402A
(ucs-set-char #x52E2 ?$B@*(B) ; J83-B-402A
(ucs-set-char #x52E3 ?$(CnS(B) ; KS0-C-6E53
(ucs-set-char #x52E3 ?$(Gc=(B) ; C01-G-633D
(ucs-set-char #x52E3 ?$@R*(B) ; J78-@-522A
(ucs-set-char #x52E3 ?$BR*(B) ; J83-B-522A
(ucs-set-char #x52E4 ?$(CPC(B) ; KS0-C-5043
(ucs-set-char #x52E4 ?$(Gc;(B) ; C01-G-633B
(ucs-set-char #x52E4 ?$(J6L(B) ; C04-J-364C
(ucs-set-char #x52E4 ?$@6P(B) ; J78-@-3650
(ucs-set-char #x52E4 ?$AGZ(B) ; GB0-A-475A
(ucs-set-char #x52E4 ?$B6P(B) ; J83-B-3650
(ucs-set-char #x52E5 ?$(D3q(B) ; J90-D-3371
(ucs-set-char #x52E5 ?$(J<<(B) ; C04-J-3C3C
(ucs-set-char #x52E6 ?$(Gc:(B) ; C01-G-633A
(ucs-set-char #x52E6 ?$@R+(B) ; J78-@-522B
(ucs-set-char #x52E6 ?$BR+(B) ; J83-B-522B
(ucs-set-char #x52E7 ?$(I@F(B) ; C03-I-4046
(ucs-set-char #x52E7 ?$@4+(B) ; J78-@-342B
(ucs-set-char #x52E7 ?$B4+(B) ; J83-B-342B
(ucs-set-char #x52E8 ?$(D3r(B) ; J90-D-3372
(ucs-set-char #x52E8 ?$(KDg(B) ; C05-K-4467
(ucs-set-char #x52E9 ?$(D3s(B) ; J90-D-3373
(ucs-set-char #x52E9 ?$(HI*(B) ; C02-H-492A
(ucs-set-char #x52EA ?$(D3t(B) ; J90-D-3374
(ucs-set-char #x52EA ?$(IF!(B) ; C03-I-4621
(ucs-set-char #x52EB ?$(HI+(B) ; C02-H-492B
(ucs-set-char #x52EC ?$(D3u(B) ; J90-D-3375
(ucs-set-char #x52EC ?$(KDc(B) ; C05-K-4463
(ucs-set-char #x52ED ?$(IE~(B) ; C03-I-457E
(ucs-set-char #x52EE ?$(IK3(B) ; C03-I-4B33
(ucs-set-char #x52EF ?$(HO](B) ; C02-H-4F5D
(ucs-set-char #x52F0 ?$(D3v(B) ; J90-D-3376
(ucs-set-char #x52F0 ?$(Gl/(B) ; C01-G-6C2F
(ucs-set-char #x52F0 ?$A[D(B) ; GB0-A-5B44
(ucs-set-char #x52F1 ?$(D3w(B) ; J90-D-3377
(ucs-set-char #x52F1 ?$(HO\(B) ; C02-H-4F5C
(ucs-set-char #x52F2 ?$(IM,(B) ; C03-I-4D2C
(ucs-set-char #x52F2 ?$@7.(B) ; J78-@-372E
(ucs-set-char #x52F2 ?$B7.(B) ; J83-B-372E
(ucs-set-char #x52F3 ?$(C}3(B) ; KS0-C-7D33
(ucs-set-char #x52F3 ?$(Gp:(B) ; C01-G-703A
(ucs-set-char #x52F3 ?$@R.(B) ; J78-@-522E
(ucs-set-char #x52F3 ?$BR.(B) ; J83-B-522E
(ucs-set-char #x52F4 ?$(D3x(B) ; J90-D-3378
(ucs-set-char #x52F4 ?$(H\K(B) ; C02-H-5C4B
(ucs-set-char #x52F5 ?$(CUd(B) ; KS0-C-5564
(ucs-set-char #x52F5 ?$(GsD(B) ; C01-G-7344
(ucs-set-char #x52F5 ?$@R/(B) ; J78-@-522F
(ucs-set-char #x52F5 ?$BR/(B) ; J83-B-522F
(ucs-set-char #x52F6 ?$(D3y(B) ; J90-D-3379
(ucs-set-char #x52F6 ?$(KSb(B) ; C05-K-5362
(ucs-set-char #x52F7 ?$(D3z(B) ; J90-D-337A
(ucs-set-char #x52F7 ?$(He:(B) ; C02-H-653A
(ucs-set-char #x52F8 ?$(COh(B) ; KS0-C-4F68
(ucs-set-char #x52F8 ?$(Gya(B) ; C01-G-7961
(ucs-set-char #x52F8 ?$@R0(B) ; J78-@-5230
(ucs-set-char #x52F8 ?$BR0(B) ; J83-B-5230

(ucs-set-char #x52F9 ?$AYh(B) ; GB0-A-5968
(ucs-set-char #x52F9 ?$@R1(B) ; J78-@-5231
(ucs-set-char #x52F9 ?$BR1(B) ; J83-B-5231

(ucs-set-char #x52FA ?$(CmC(B) ; KS0-C-6D43
(ucs-set-char #x52FA ?$(GDD(B) ; C01-G-4444
(ucs-set-char #x52FA ?$@<[(B) ; J78-@-3C5B
(ucs-set-char #x52FA ?$AIW(B) ; GB0-A-4957
(ucs-set-char #x52FA ?$B<[(B) ; J83-B-3C5B
(ucs-set-char #x52FB ?$(CP2(B) ; KS0-C-5032
(ucs-set-char #x52FB ?$(GE$(B) ; C01-G-4524
(ucs-set-char #x52FC ?$(H!6(B) ; C02-H-2136
(ucs-set-char #x52FD ?$(I!U(B) ; C03-I-2155
(ucs-set-char #x52FE ?$(CN~(B) ; KS0-C-4E7E
(ucs-set-char #x52FE ?$(GE%(B) ; C01-G-4525
(ucs-set-char #x52FE ?$@8{(B) ; J78-@-387B
(ucs-set-char #x52FE ?$A94(B) ; GB0-A-3934
(ucs-set-char #x52FE ?$B8{(B) ; J83-B-387B
(ucs-set-char #x52FF ?$(CZ((B) ; KS0-C-5A28
(ucs-set-char #x52FF ?$(GE&(B) ; C01-G-4526
(ucs-set-char #x52FF ?$@L^(B) ; J78-@-4C5E
(ucs-set-char #x52FF ?$ANp(B) ; GB0-A-4E70
(ucs-set-char #x52FF ?$BL^(B) ; J83-B-4C5E
(ucs-set-char #x5300 ?$(D3{(B) ; J90-D-337B
(ucs-set-char #x5300 ?$(I!V(B) ; C03-I-2156
(ucs-set-char #x5300 ?$ATH(B) ; GB0-A-5448
(ucs-set-char #x5301 ?$@Lh(B) ; J78-@-4C68
(ucs-set-char #x5301 ?$BLh(B) ; J83-B-4C68
(ucs-set-char #x5302 ?$@Fw(B) ; J78-@-4677
(ucs-set-char #x5302 ?$BFw(B) ; J83-B-4677
(ucs-set-char #x5303 ?$(D3|(B) ; J90-D-337C
(ucs-set-char #x5303 ?$(I"#(B) ; C03-I-2223
(ucs-set-char #x5304 ?$(I""(B) ; C03-I-2222
(ucs-set-char #x5305 ?$(CxP(B) ; KS0-C-7850
(ucs-set-char #x5305 ?$(GE}(B) ; C01-G-457D
(ucs-set-char #x5305 ?$(L"F(B) ; C06-L-2246
(ucs-set-char #x5305 ?$@Jq(B) ; J78-@-4A71
(ucs-set-char #x5305 ?$A0|(B) ; GB0-A-307C
(ucs-set-char #x5305 ?$BJq(B) ; J83-B-4A71
(ucs-set-char #x5306 ?$(GE~(B) ; C01-G-457E
(ucs-set-char #x5306 ?$@R2(B) ; J78-@-5232
(ucs-set-char #x5306 ?$A4R(B) ; GB0-A-3452
(ucs-set-char #x5306 ?$BR2(B) ; J83-B-5232
(ucs-set-char #x5307 ?$(I"$(B) ; C03-I-2224
(ucs-set-char #x5308 ?$(C}V(B) ; KS0-C-7D56
(ucs-set-char #x5308 ?$(GGJ(B) ; C01-G-474A
(ucs-set-char #x5308 ?$@R3(B) ; J78-@-5233
(ucs-set-char #x5308 ?$APY(B) ; GB0-A-5059
(ucs-set-char #x5308 ?$BR3(B) ; J83-B-5233
(ucs-set-char #x5309 ?$(H#3(B) ; C02-H-2333
(ucs-set-char #x530A ?$(D3}(B) ; J90-D-337D
(ucs-set-char #x530A ?$(H%V(B) ; C02-H-2556
(ucs-set-char #x530B ?$(D3~(B) ; J90-D-337E
(ucs-set-char #x530B ?$(H%W(B) ; C02-H-2557
(ucs-set-char #x530C ?$(D4!(B) ; J90-D-3421
(ucs-set-char #x530C ?$(J%Q(B) ; C04-J-2551
(ucs-set-char #x530D ?$(CxQ(B) ; KS0-C-7851
(ucs-set-char #x530D ?$(GP1(B) ; C01-G-5031
(ucs-set-char #x530D ?$@R5(B) ; J78-@-5235
(ucs-set-char #x530D ?$AYi(B) ; GB0-A-5969
(ucs-set-char #x530D ?$BR5(B) ; J83-B-5235
(ucs-set-char #x530E ?$(H.1(B) ; C02-H-2E31
(ucs-set-char #x530F ?$(CxR(B) ; KS0-C-7852
(ucs-set-char #x530F ?$(GY1(B) ; C01-G-5931
(ucs-set-char #x530F ?$@R7(B) ; J78-@-5237
(ucs-set-char #x530F ?$A^K(B) ; GB0-A-5E4B
(ucs-set-char #x530F ?$BR7(B) ; J83-B-5237
(ucs-set-char #x5310 ?$(C\S(B) ; KS0-C-5C53
(ucs-set-char #x5310 ?$(GY0(B) ; C01-G-5930
(ucs-set-char #x5310 ?$@R6(B) ; J78-@-5236
(ucs-set-char #x5310 ?$AYk(B) ; GB0-A-596B
(ucs-set-char #x5310 ?$BR6(B) ; J83-B-5236
(ucs-set-char #x5311 ?$(D4"(B) ; J90-D-3422
(ucs-set-char #x5311 ?$(H:G(B) ; C02-H-3A47
(ucs-set-char #x5312 ?$(H:F(B) ; C02-H-3A46
(ucs-set-char #x5313 ?$(D4#(B) ; J90-D-3423
(ucs-set-char #x5313 ?$(LPt(B) ; C06-L-5074
(ucs-set-char #x5314 ?$(IP8(B) ; C03-I-5038

(ucs-set-char #x5315 ?$AX0(B) ; GB0-A-5830
(ucs-set-char #x5315 ?$(C]b(B) ; KS0-C-5D62
(ucs-set-char #x5315 ?$(GD1(B) ; C01-G-4431
(ucs-set-char #x5315 ?$@R8(B) ; J78-@-5238
(ucs-set-char #x5315 ?$BR8(B) ; J83-B-5238

(ucs-set-char #x5316 ?$(C{y(B) ; KS0-C-7B79
(ucs-set-char #x5316 ?$(GE'(B) ; C01-G-4527
(ucs-set-char #x5316 ?$@2=(B) ; J78-@-323D
(ucs-set-char #x5316 ?$A;/(B) ; GB0-A-3B2F
(ucs-set-char #x5316 ?$B2=(B) ; J83-B-323D
(ucs-set-char #x5317 ?$(C]A(B) ; KS0-C-5D41
(ucs-set-char #x5317 ?$(GF!(B) ; C01-G-4621
(ucs-set-char #x5317 ?$@KL(B) ; J78-@-4B4C
(ucs-set-char #x5317 ?$A11(B) ; GB0-A-3131
(ucs-set-char #x5317 ?$BKL(B) ; J83-B-4B4C
(ucs-set-char #x5318 ?$(D4$(B) ; J90-D-3424
(ucs-set-char #x5318 ?$(J0^(B) ; C04-J-305E
(ucs-set-char #x5319 ?$(Cc5(B) ; KS0-C-6335
(ucs-set-char #x5319 ?$(GY2(B) ; C01-G-5932
(ucs-set-char #x5319 ?$@:|(B) ; J78-@-3A7C
(ucs-set-char #x5319 ?$A3W(B) ; GB0-A-3357
(ucs-set-char #x5319 ?$B:|(B) ; J83-B-3A7C

(ucs-set-char #x531A ?$AXN(B) ; GB0-A-584E
(ucs-set-char #x531A ?$(H!$(B) ; C02-H-2124
(ucs-set-char #x531A ?$@R9(B) ; J78-@-5239
(ucs-set-char #x531A ?$BR9(B) ; J83-B-5239

(ucs-set-char #x531B ?$(D4%(B) ; J90-D-3425
(ucs-set-char #x531B ?$(J!e(B) ; C04-J-2165
(ucs-set-char #x531C ?$(D4&(B) ; J90-D-3426
(ucs-set-char #x531C ?$(H!M(B) ; C02-H-214D
(ucs-set-char #x531D ?$(GF"(B) ; C01-G-4622
(ucs-set-char #x531D ?$@AY(B) ; J78-@-4159
(ucs-set-char #x531D ?$ATQ(B) ; GB0-A-5451
(ucs-set-char #x531D ?$BAY(B) ; J83-B-4159
(ucs-set-char #x531E ?$(D4'(B) ; J90-D-3427
(ucs-set-char #x531E ?$(I"&(B) ; C03-I-2226
(ucs-set-char #x531F ?$(D4((B) ; J90-D-3428
(ucs-set-char #x531F ?$(H""(B) ; C02-H-2222
(ucs-set-char #x5320 ?$(Cm](B) ; KS0-C-6D5D
(ucs-set-char #x5320 ?$(GGL(B) ; C01-G-474C
(ucs-set-char #x5320 ?$@>"(B) ; J78-@-3E22
(ucs-set-char #x5320 ?$A=3(B) ; GB0-A-3D33
(ucs-set-char #x5320 ?$B>"(B) ; J83-B-3E22
(ucs-set-char #x5321 ?$(CND(B) ; KS0-C-4E44
(ucs-set-char #x5321 ?$(GGK(B) ; C01-G-474B
(ucs-set-char #x5321 ?$@6)(B) ; J78-@-3629
(ucs-set-char #x5321 ?$A?o(B) ; GB0-A-3F6F
(ucs-set-char #x5321 ?$B6)(B) ; J83-B-3629
(ucs-set-char #x5322 ?$(H"!(B) ; C02-H-2221
(ucs-set-char #x5323 ?$(CK!(B) ; KS0-C-4B21
(ucs-set-char #x5323 ?$(GI:(B) ; C01-G-493A
(ucs-set-char #x5323 ?$@R:(B) ; J78-@-523A
(ucs-set-char #x5323 ?$AO;(B) ; GB0-A-4F3B
(ucs-set-char #x5323 ?$BR:(B) ; J83-B-523A
(ucs-set-char #x5324 ?$(K#K(B) ; C05-K-234B
(ucs-set-char #x5325 ?$(D4)(B) ; J90-D-3429
(ucs-set-char #x5325 ?$(I$e(B) ; C03-I-2465
(ucs-set-char #x5326 ?$AXP(B) ; GB0-A-5850
(ucs-set-char #x5327 ?$(D4*(B) ; J90-D-342A
(ucs-set-char #x5327 ?$(I+I(B) ; C03-I-2B49
(ucs-set-char #x5328 ?$(D4+(B) ; J90-D-342B
(ucs-set-char #x5328 ?$(J(N(B) ; C04-J-284E
(ucs-set-char #x5329 ?$(D4,(B) ; J90-D-342C
(ucs-set-char #x5329 ?$(J(P(B) ; C04-J-2850
(ucs-set-char #x532A ?$(C]c(B) ; KS0-C-5D63
(ucs-set-char #x532A ?$(GTM(B) ; C01-G-544D
(ucs-set-char #x532A ?$@H[(B) ; J78-@-485B
(ucs-set-char #x532A ?$A7K(B) ; GB0-A-374B
(ucs-set-char #x532A ?$BH[(B) ; J83-B-485B
(ucs-set-char #x532B ?$(D4-(B) ; J90-D-342D
(ucs-set-char #x532B ?$(J+x(B) ; C04-J-2B78
(ucs-set-char #x532C ?$(D4.(B) ; J90-D-342E
(ucs-set-char #x532C ?$(J0_(B) ; C04-J-305F
(ucs-set-char #x532D ?$(D4/(B) ; J90-D-342F
(ucs-set-char #x532D ?$(H3r(B) ; C02-H-3372
(ucs-set-char #x532E ?$AXQ(B) ; GB0-A-5851
(ucs-set-char #x532F ?$(C|](B) ; KS0-C-7C5D
(ucs-set-char #x532F ?$(Gc>(B) ; C01-G-633E
(ucs-set-char #x532F ?$@R;(B) ; J78-@-523B
(ucs-set-char #x532F ?$BR;(B) ; J83-B-523B
(ucs-set-char #x5330 ?$(D40(B) ; J90-D-3430
(ucs-set-char #x5330 ?$(HI,(B) ; C02-H-492C
(ucs-set-char #x5331 ?$(Gh$(B) ; C01-G-6824
(ucs-set-char #x5331 ?$@R<(B) ; J78-@-523C
(ucs-set-char #x5331 ?$BR<(B) ; J83-B-523C
(ucs-set-char #x5332 ?$(D41(B) ; J90-D-3431
(ucs-set-char #x5332 ?$(IF#(B) ; C03-I-4623
(ucs-set-char #x5333 ?$(IK4(B) ; C03-I-4B34
(ucs-set-char #x5333 ?$@R=(B) ; J78-@-523D
(ucs-set-char #x5333 ?$BR=(B) ; J83-B-523D
(ucs-set-char #x5334 ?$(HVE(B) ; C02-H-5645
(ucs-set-char #x5335 ?$(D42(B) ; J90-D-3432
(ucs-set-char #x5335 ?$(ITD(B) ; C03-I-5444
(ucs-set-char #x5336 ?$(I\4(B) ; C03-I-5C34
(ucs-set-char #x5337 ?$(Hhj(B) ; C02-H-686A

(ucs-set-char #x5338 ?$(I!)(B) ; C03-I-2129
(ucs-set-char #x5338 ?$@R>(B) ; J78-@-523E
(ucs-set-char #x5338 ?$BR>(B) ; J83-B-523E

(ucs-set-char #x5339 ?$(Cy/(B) ; KS0-C-792F
(ucs-set-char #x5339 ?$(GE((B) ; C01-G-4528
(ucs-set-char #x5339 ?$@I$(B) ; J78-@-4924
(ucs-set-char #x5339 ?$AF%(B) ; GB0-A-4625
(ucs-set-char #x5339 ?$BI$(B) ; J83-B-4924
(ucs-set-char #x533A ?$(I!W(B) ; C03-I-2157
(ucs-set-char #x533A ?$@6h(B) ; J78-@-3668
(ucs-set-char #x533A ?$AGx(B) ; GB0-A-4778
(ucs-set-char #x533A ?$B6h(B) ; J83-B-3668
(ucs-set-char #x533B ?$(I$f(B) ; C03-I-2466
(ucs-set-char #x533B ?$@0e(B) ; J78-@-3065
(ucs-set-char #x533B ?$AR=(B) ; GB0-A-523D
(ucs-set-char #x533B ?$B0e(B) ; J83-B-3065
(ucs-set-char #x533C ?$(D43(B) ; J90-D-3433
(ucs-set-char #x533C ?$(H%X(B) ; C02-H-2558
(ucs-set-char #x533D ?$(D44(B) ; J90-D-3434
(ucs-set-char #x533D ?$(H)6(B) ; C02-H-2936
(ucs-set-char #x533E ?$(D45(B) ; J90-D-3435
(ucs-set-char #x533E ?$(GY5(B) ; C01-G-5935
(ucs-set-char #x533E ?$AXR(B) ; GB0-A-5852
(ucs-set-char #x533F ?$(CR{(B) ; KS0-C-527B
(ucs-set-char #x533F ?$(GY3(B) ; C01-G-5933
(ucs-set-char #x533F ?$@F?(B) ; J78-@-463F
(ucs-set-char #x533F ?$ADd(B) ; GB0-A-4464
(ucs-set-char #x533F ?$BF?(B) ; J83-B-463F
(ucs-set-char #x5340 ?$(CO!(B) ; KS0-C-4F21
(ucs-set-char #x5340 ?$(GY4(B) ; C01-G-5934
(ucs-set-char #x5340 ?$@R?(B) ; J78-@-523F
(ucs-set-char #x5340 ?$BR?(B) ; J83-B-523F

(ucs-set-char #x5341 ?$AJ.(B) ; GB0-A-4A2E
(ucs-set-char #x5341 ?$(Cd((B) ; KS0-C-6428
(ucs-set-char #x5341 ?$(GD2(B) ; C01-G-4432
(ucs-set-char #x5341 ?$@==(B) ; J78-@-3D3D
(ucs-set-char #x5341 ?$B==(B) ; J83-B-3D3D

;;(ucs-set-char #x5341 ?$(G$>(B) ; C01-G-243E

(ucs-set-char #x5342 ?$(D46(B) ; J90-D-3436
(ucs-set-char #x5342 ?$(J!0(B) ; C04-J-2130
(ucs-set-char #x5343 ?$(Ct6(B) ; KS0-C-7436
(ucs-set-char #x5343 ?$(GDE(B) ; C01-G-4445
(ucs-set-char #x5343 ?$@@i(B) ; J78-@-4069
(ucs-set-char #x5343 ?$AG'(B) ; GB0-A-4727
(ucs-set-char #x5343 ?$B@i(B) ; J83-B-4069
(ucs-set-char #x5344 ?$(Cl~(B) ; KS0-C-6C7E
(ucs-set-char #x5344 ?$(G$?(B) ; C01-G-243F
(ucs-set-char #x5344 ?$(I!8(B) ; C03-I-2138
(ucs-set-char #x5345 ?$(G$@(B) ; C01-G-2440
(ucs-set-char #x5345 ?$(GE+(B) ; C01-G-452B
(ucs-set-char #x5345 ?$@RA(B) ; J78-@-5241
(ucs-set-char #x5345 ?$AX&(B) ; GB0-A-5826
(ucs-set-char #x5345 ?$BRA(B) ; J83-B-5241
(ucs-set-char #x5346 ?$(I!Y(B) ; C03-I-2159
(ucs-set-char #x5346 ?$@R@(B) ; J78-@-5240
(ucs-set-char #x5346 ?$BR@(B) ; J83-B-5240
(ucs-set-char #x5347 ?$(Cc.(B) ; KS0-C-632E
(ucs-set-char #x5347 ?$(GE*(B) ; C01-G-452A
(ucs-set-char #x5347 ?$@>#(B) ; J78-@-3E23
(ucs-set-char #x5347 ?$AI}(B) ; GB0-A-497D
(ucs-set-char #x5347 ?$B>#(B) ; J83-B-3E23
(ucs-set-char #x5348 ?$(Cgm(B) ; KS0-C-676D
(ucs-set-char #x5348 ?$(GE)(B) ; C01-G-4529
(ucs-set-char #x5348 ?$@8a(B) ; J78-@-3861
(ucs-set-char #x5348 ?$ANg(B) ; GB0-A-4E67
(ucs-set-char #x5348 ?$B8a(B) ; J83-B-3861
(ucs-set-char #x5349 ?$(C}A(B) ; KS0-C-7D41
(ucs-set-char #x5349 ?$(GF%(B) ; C01-G-4625
(ucs-set-char #x5349 ?$@RC(B) ; J78-@-5243
(ucs-set-char #x5349 ?$A;\(B) ; GB0-A-3B5C
(ucs-set-char #x5349 ?$BRC(B) ; J83-B-5243
(ucs-set-char #x534A ?$(CZb(B) ; KS0-C-5A62
(ucs-set-char #x534A ?$(GF$(B) ; C01-G-4624
(ucs-set-char #x534A ?$@H>(B) ; J78-@-483E
(ucs-set-char #x534A ?$A0k(B) ; GB0-A-306B
(ucs-set-char #x534A ?$BH>(B) ; J83-B-483E
(ucs-set-char #x534B ?$(D48(B) ; J90-D-3438
(ucs-set-char #x534B ?$(I#*(B) ; C03-I-232A
(ucs-set-char #x534C ?$(D47(B) ; J90-D-3437
(ucs-set-char #x534C ?$(H!N(B) ; C02-H-214E
(ucs-set-char #x534D ?$(CX3(B) ; KS0-C-5833
(ucs-set-char #x534D ?$(H"#(B) ; C02-H-2223
(ucs-set-char #x534D ?$@RD(B) ; J78-@-5244
(ucs-set-char #x534D ?$BRD(B) ; J83-B-5244
(ucs-set-char #x534E ?$A;*(B) ; GB0-A-3B2A
(ucs-set-char #x534F ?$(I#+(B) ; C03-I-232B
(ucs-set-char #x534F ?$AP-(B) ; GB0-A-502D
(ucs-set-char #x5350 ?$(I#-(B) ; C03-I-232D
(ucs-set-char #x5351 ?$(C]d(B) ; KS0-C-5D64
(ucs-set-char #x5351 ?$(GL8(B) ; C01-G-4C38
(ucs-set-char #x5351 ?$(L/8(B) ; C06-L-2F38
(ucs-set-char #x5351 ?$@H\(B) ; J78-@-485C
(ucs-set-char #x5351 ?$A10(B) ; GB0-A-3130
(ucs-set-char #x5351 ?$BH\(B) ; J83-B-485C
(ucs-set-char #x5352 ?$(Cpo(B) ; KS0-C-706F
(ucs-set-char #x5352 ?$(GL5(B) ; C01-G-4C35
(ucs-set-char #x5352 ?$@B4(B) ; J78-@-4234
(ucs-set-char #x5352 ?$AWd(B) ; GB0-A-5764
(ucs-set-char #x5352 ?$BB4(B) ; J83-B-4234
(ucs-set-char #x5353 ?$(Cvq(B) ; KS0-C-7671
(ucs-set-char #x5353 ?$(GL7(B) ; C01-G-4C37
(ucs-set-char #x5353 ?$@Bn(B) ; J78-@-426E
(ucs-set-char #x5353 ?$AW?(B) ; GB0-A-573F
(ucs-set-char #x5353 ?$BBn(B) ; J83-B-426E
(ucs-set-char #x5354 ?$(Czp(B) ; KS0-C-7A70
(ucs-set-char #x5354 ?$(GL6(B) ; C01-G-4C36
(ucs-set-char #x5354 ?$@6((B) ; J78-@-3628
(ucs-set-char #x5354 ?$B6((B) ; J83-B-3628
(ucs-set-char #x5355 ?$(I'c(B) ; C03-I-2763
(ucs-set-char #x5355 ?$A5%(B) ; GB0-A-3525
(ucs-set-char #x5356 ?$ABt(B) ; GB0-A-4274
(ucs-set-char #x5357 ?$(CQu(B) ; KS0-C-5175
(ucs-set-char #x5357 ?$(GP2(B) ; C01-G-5032
(ucs-set-char #x5357 ?$@Fn(B) ; J78-@-466E
(ucs-set-char #x5357 ?$ADO(B) ; GB0-A-444F
(ucs-set-char #x5357 ?$BFn(B) ; J83-B-466E
(ucs-set-char #x5358 ?$(I+J(B) ; C03-I-2B4A
(ucs-set-char #x5358 ?$@C1(B) ; J78-@-4331
(ucs-set-char #x5358 ?$BC1(B) ; J83-B-4331
(ucs-set-char #x5359 ?$(D49(B) ; J90-D-3439
(ucs-set-char #x5359 ?$(J0`(B) ; C04-J-3060
(ucs-set-char #x535A ?$(CZO(B) ; KS0-C-5A4F
(ucs-set-char #x535A ?$(G^;(B) ; C01-G-5E3B
(ucs-set-char #x535A ?$(LFt(B) ; C06-L-4674
(ucs-set-char #x535A ?$@Gn(B) ; J78-@-476E
(ucs-set-char #x535A ?$A2)(B) ; GB0-A-3229
(ucs-set-char #x535A ?$BGn(B) ; J83-B-476E
(ucs-set-char #x535B ?$(D4:(B) ; J90-D-343A
(ucs-set-char #x535B ?$(Jf0(B) ; C04-J-6630

(ucs-set-char #x535C ?$A27(B) ; GB0-A-3237
(ucs-set-char #x535C ?$(C\T(B) ; KS0-C-5C54
(ucs-set-char #x535C ?$(GD3(B) ; C01-G-4433
(ucs-set-char #x535C ?$@KN(B) ; J78-@-4B4E
(ucs-set-char #x535C ?$BKN(B) ; J83-B-4B4E

(ucs-set-char #x535D ?$(I!Z(B) ; C03-I-215A
(ucs-set-char #x535E ?$(C\&(B) ; KS0-C-5C26
(ucs-set-char #x535E ?$(GE,(B) ; C01-G-452C
(ucs-set-char #x535E ?$@RF(B) ; J78-@-5246
(ucs-set-char #x535E ?$A1e(B) ; GB0-A-3165
(ucs-set-char #x535E ?$BRF(B) ; J83-B-5246
(ucs-set-char #x535F ?$(I"'(B) ; C03-I-2227
(ucs-set-char #x535F ?$A_2(B) ; GB0-A-5F32
(ucs-set-char #x5360 ?$(Co?(B) ; KS0-C-6F3F
(ucs-set-char #x5360 ?$(GF'(B) ; C01-G-4627
(ucs-set-char #x5360 ?$@@j(B) ; J78-@-406A
(ucs-set-char #x5360 ?$AU<(B) ; GB0-A-553C
(ucs-set-char #x5360 ?$B@j(B) ; J83-B-406A
(ucs-set-char #x5361 ?$(D4;(B) ; J90-D-343B
(ucs-set-char #x5361 ?$(GF&(B) ; C01-G-4626
(ucs-set-char #x5361 ?$A?((B) ; GB0-A-3F28
(ucs-set-char #x5362 ?$AB,(B) ; GB0-A-422C
(ucs-set-char #x5363 ?$(D4<(B) ; J90-D-343C
(ucs-set-char #x5363 ?$(H#4(B) ; C02-H-2334
(ucs-set-char #x5363 ?$AXU(B) ; GB0-A-5855
(ucs-set-char #x5364 ?$(J#M(B) ; C04-J-234D
(ucs-set-char #x5364 ?$AB1(B) ; GB0-A-4231
(ucs-set-char #x5365 ?$(D4=(B) ; J90-D-343D
(ucs-set-char #x5365 ?$(L*!(B) ; C06-L-2A21
(ucs-set-char #x5366 ?$(CNO(B) ; KS0-C-4E4F
(ucs-set-char #x5366 ?$(GL9(B) ; C01-G-4C39
(ucs-set-char #x5366 ?$@75(B) ; J78-@-3735
(ucs-set-char #x5366 ?$AXT(B) ; GB0-A-5854
(ucs-set-char #x5366 ?$B75(B) ; J83-B-3735
(ucs-set-char #x5367 ?$(I*\(B) ; C03-I-2A5C
(ucs-set-char #x5367 ?$ANT(B) ; GB0-A-4E54
(ucs-set-char #x5368 ?$(C`Y(B) ; KS0-C-6059
(ucs-set-char #x5368 ?$(J0d(B) ; C04-J-3064

(ucs-set-char #x5369 ?$AZ`(B) ; GB0-A-5A60
(ucs-set-char #x5369 ?$(I!*(B) ; C03-I-212A
(ucs-set-char #x5369 ?$@RG(B) ; J78-@-5247
(ucs-set-char #x5369 ?$BRG(B) ; J83-B-5247

(ucs-set-char #x536A ?$(J!1(B) ; C04-J-2131
(ucs-set-char #x536B ?$(L!-(B) ; C06-L-212D
(ucs-set-char #x536B ?$AN@(B) ; GB0-A-4E40
(ucs-set-char #x536C ?$(D4>(B) ; J90-D-343E
(ucs-set-char #x536C ?$(H!7(B) ; C02-H-2137
(ucs-set-char #x536D ?$(D4?(B) ; J90-D-343F
(ucs-set-char #x536D ?$(I"((B) ; C03-I-2228
(ucs-set-char #x536E ?$(GF)(B) ; C01-G-4629
(ucs-set-char #x536E ?$@RH(B) ; J78-@-5248
(ucs-set-char #x536E ?$AX4(B) ; GB0-A-5834
(ucs-set-char #x536E ?$BRH(B) ; J83-B-5248
(ucs-set-char #x536F ?$(CYV(B) ; KS0-C-5956
(ucs-set-char #x536F ?$(GF((B) ; C01-G-4628
(ucs-set-char #x536F ?$@1,(B) ; J78-@-312C
(ucs-set-char #x536F ?$AC.(B) ; GB0-A-432E
(ucs-set-char #x536F ?$B1,(B) ; J83-B-312C
(ucs-set-char #x5370 ?$(ClT(B) ; KS0-C-6C54
(ucs-set-char #x5370 ?$(GGM(B) ; C01-G-474D
(ucs-set-char #x5370 ?$@0u(B) ; J78-@-3075
(ucs-set-char #x5370 ?$AS!(B) ; GB0-A-5321
(ucs-set-char #x5370 ?$B0u(B) ; J83-B-3075
(ucs-set-char #x5371 ?$(CjK(B) ; KS0-C-6A4B
(ucs-set-char #x5371 ?$(GGN(B) ; C01-G-474E
(ucs-set-char #x5371 ?$@4m(B) ; J78-@-346D
(ucs-set-char #x5371 ?$AN#(B) ; GB0-A-4E23
(ucs-set-char #x5371 ?$B4m(B) ; J83-B-346D
(ucs-set-char #x5372 ?$(D4@(B) ; J90-D-3440
(ucs-set-char #x5372 ?$(H#5(B) ; C02-H-2335
(ucs-set-char #x5373 ?$(GI;(B) ; C01-G-493B
(ucs-set-char #x5373 ?$@B((B) ; J78-@-4228
(ucs-set-char #x5373 ?$A<4(B) ; GB0-A-3C34
(ucs-set-char #x5373 ?$BB((B) ; J83-B-4228
(ucs-set-char #x5374 ?$(CJ?(B) ; KS0-C-4A3F
(ucs-set-char #x5374 ?$(I$g(B) ; C03-I-2467
(ucs-set-char #x5374 ?$@5Q(B) ; J78-@-3551
(ucs-set-char #x5374 ?$AH4(B) ; GB0-A-4834
(ucs-set-char #x5374 ?$B5Q(B) ; J83-B-3551
(ucs-set-char #x5375 ?$(CU0(B) ; KS0-C-5530
(ucs-set-char #x5375 ?$(GI<(B) ; C01-G-493C
(ucs-set-char #x5375 ?$@Mq(B) ; J78-@-4D71
(ucs-set-char #x5375 ?$ABQ(B) ; GB0-A-4251
(ucs-set-char #x5375 ?$BMq(B) ; J83-B-4D71
(ucs-set-char #x5376 ?$(I'e(B) ; C03-I-2765
(ucs-set-char #x5377 ?$(COi(B) ; KS0-C-4F69
(ucs-set-char #x5377 ?$(GL:(B) ; C01-G-4C3A
(ucs-set-char #x5377 ?$@RK(B) ; J78-@-524B
(ucs-set-char #x5377 ?$A>m(B) ; GB0-A-3E6D
(ucs-set-char #x5377 ?$BRK(B) ; J83-B-524B
(ucs-set-char #x5378 ?$(GL;(B) ; C01-G-4C3B
(ucs-set-char #x5378 ?$@27(B) ; J78-@-3237
(ucs-set-char #x5378 ?$AP6(B) ; GB0-A-5036
(ucs-set-char #x5378 ?$B27(B) ; J83-B-3237
(ucs-set-char #x5379 ?$(D4A(B) ; J90-D-3441
(ucs-set-char #x5379 ?$(GL<(B) ; C01-G-4C3C
(ucs-set-char #x537A ?$(I'f(B) ; C03-I-2766
(ucs-set-char #x537A ?$AZa(B) ; GB0-A-5A61
(ucs-set-char #x537B ?$(GP3(B) ; C01-G-5033
(ucs-set-char #x537B ?$@RJ(B) ; J78-@-524A
(ucs-set-char #x537B ?$BRJ(B) ; J83-B-524A
(ucs-set-char #x537C ?$(H)7(B) ; C02-H-2937
(ucs-set-char #x537D ?$(Cqm(B) ; KS0-C-716D
(ucs-set-char #x537D ?$(I+K(B) ; C03-I-2B4B
(ucs-set-char #x537E ?$(D4B(B) ; J90-D-3442
(ucs-set-char #x537E ?$(J0e(B) ; C04-J-3065
(ucs-set-char #x537F ?$(CLO(B) ; KS0-C-4C4F
(ucs-set-char #x537F ?$(GTN(B) ; C01-G-544E
(ucs-set-char #x537F ?$@6*(B) ; J78-@-362A
(ucs-set-char #x537F ?$AGd(B) ; GB0-A-4764
(ucs-set-char #x537F ?$B6*(B) ; J83-B-362A
(ucs-set-char #x5380 ?$(I@G(B) ; C03-I-4047

(ucs-set-char #x5382 ?$A3'(B) ; GB0-A-3327
(ucs-set-char #x5382 ?$(H!%(B) ; C02-H-2125
(ucs-set-char #x5382 ?$@RL(B) ; J78-@-524C
(ucs-set-char #x5382 ?$BRL(B) ; J83-B-524C

(ucs-set-char #x5383 ?$(D4C(B) ; J90-D-3443
(ucs-set-char #x5383 ?$(J!D(B) ; C04-J-2144
(ucs-set-char #x5384 ?$(Cdx(B) ; KS0-C-6478
(ucs-set-char #x5384 ?$(GE-(B) ; C01-G-452D
(ucs-set-char #x5384 ?$@Lq(B) ; J78-@-4C71
(ucs-set-char #x5384 ?$A6r(B) ; GB0-A-3672
(ucs-set-char #x5384 ?$BLq(B) ; J83-B-4C71
(ucs-set-char #x5385 ?$AL|(B) ; GB0-A-4C7C
(ucs-set-char #x5386 ?$(I![(B) ; C03-I-215B
(ucs-set-char #x5386 ?$A@z(B) ; GB0-A-407A
(ucs-set-char #x5387 ?$(D4D(B) ; J90-D-3444
(ucs-set-char #x5387 ?$(J!g(B) ; C04-J-2167
(ucs-set-char #x5388 ?$(D4E(B) ; J90-D-3445
(ucs-set-char #x5388 ?$(J!f(B) ; C04-J-2166
(ucs-set-char #x5389 ?$(I")(B) ; C03-I-2229
(ucs-set-char #x5389 ?$A@w(B) ; GB0-A-4077
(ucs-set-char #x538A ?$(H"$(B) ; C02-H-2224
(ucs-set-char #x538B ?$(I#/(B) ; C03-I-232F
(ucs-set-char #x538B ?$AQ9(B) ; GB0-A-5139
(ucs-set-char #x538C ?$AQa(B) ; GB0-A-5161
(ucs-set-char #x538D ?$AXG(B) ; GB0-A-5847
(ucs-set-char #x538E ?$(D4F(B) ; J90-D-3446
(ucs-set-char #x538E ?$(H#6(B) ; C02-H-2336
(ucs-set-char #x538F ?$(H#7(B) ; C02-H-2337
(ucs-set-char #x5392 ?$(H%Y(B) ; C02-H-2559
(ucs-set-char #x5393 ?$(Cdm(B) ; KS0-C-646D
(ucs-set-char #x5393 ?$(D4G(B) ; J90-D-3447
(ucs-set-char #x5393 ?$(I'g(B) ; C03-I-2767
(ucs-set-char #x5394 ?$(D4H(B) ; J90-D-3448
(ucs-set-char #x5394 ?$(H%Z(B) ; C02-H-255A
(ucs-set-char #x5395 ?$A2^(B) ; GB0-A-325E
(ucs-set-char #x5396 ?$(H)9(B) ; C02-H-2939
(ucs-set-char #x5396 ?$@RM(B) ; J78-@-524D
(ucs-set-char #x5396 ?$BRM(B) ; J83-B-524D
(ucs-set-char #x5397 ?$(H)8(B) ; C02-H-2938
(ucs-set-char #x5398 ?$(CWX(B) ; KS0-C-5758
(ucs-set-char #x5398 ?$(H);(B) ; C02-H-293B
(ucs-set-char #x5398 ?$@NR(B) ; J78-@-4E52
(ucs-set-char #x5398 ?$A@e(B) ; GB0-A-4065
(ucs-set-char #x5398 ?$BNR(B) ; J83-B-4E52
(ucs-set-char #x5399 ?$(D4I(B) ; J90-D-3449
(ucs-set-char #x5399 ?$(H):(B) ; C02-H-293A
(ucs-set-char #x539A ?$(C}'(B) ; KS0-C-7D27
(ucs-set-char #x539A ?$(GP4(B) ; C01-G-5034
(ucs-set-char #x539A ?$@8|(B) ; J78-@-387C
(ucs-set-char #x539A ?$A:q(B) ; GB0-A-3A71
(ucs-set-char #x539A ?$B8|(B) ; J83-B-387C
(ucs-set-char #x539C ?$(H3s(B) ; C02-H-3373
(ucs-set-char #x539D ?$(D4J(B) ; J90-D-344A
(ucs-set-char #x539D ?$(GTP(B) ; C01-G-5450
(ucs-set-char #x539D ?$AXH(B) ; GB0-A-5848
(ucs-set-char #x539E ?$(H.2(B) ; C02-H-2E32
(ucs-set-char #x539F ?$(Cj+(B) ; KS0-C-6A2B
(ucs-set-char #x539F ?$(GTO(B) ; C01-G-544F
(ucs-set-char #x539F ?$@86(B) ; J78-@-3836
(ucs-set-char #x539F ?$AT-(B) ; GB0-A-542D
(ucs-set-char #x539F ?$B86(B) ; J83-B-3836
(ucs-set-char #x53A0 ?$(Cv2(B) ; KS0-C-7632
(ucs-set-char #x53A0 ?$(I4T(B) ; C03-I-3454
(ucs-set-char #x53A0 ?$@RN(B) ; J78-@-524E
(ucs-set-char #x53A0 ?$BRN(B) ; J83-B-524E
(ucs-set-char #x53A1 ?$(D4K(B) ; J90-D-344B
(ucs-set-char #x53A1 ?$(J0h(B) ; C04-J-3068
(ucs-set-char #x53A2 ?$AOa(B) ; GB0-A-4F61
(ucs-set-char #x53A3 ?$AXI(B) ; GB0-A-5849
(ucs-set-char #x53A4 ?$(D4L(B) ; J90-D-344C
(ucs-set-char #x53A4 ?$(H:H(B) ; C02-H-3A48
(ucs-set-char #x53A5 ?$(COp(B) ; KS0-C-4F70
(ucs-set-char #x53A5 ?$(G^<(B) ; C01-G-5E3C
(ucs-set-char #x53A5 ?$@RP(B) ; J78-@-5250
(ucs-set-char #x53A5 ?$AXJ(B) ; GB0-A-584A
(ucs-set-char #x53A5 ?$BRP(B) ; J83-B-5250
(ucs-set-char #x53A6 ?$(Cy=(B) ; KS0-C-793D
(ucs-set-char #x53A6 ?$(I:((B) ; C03-I-3A28
(ucs-set-char #x53A6 ?$@RO(B) ; J78-@-524F
(ucs-set-char #x53A6 ?$AOC(B) ; GB0-A-4F43
(ucs-set-char #x53A6 ?$BRO(B) ; J83-B-524F
(ucs-set-char #x53A7 ?$(H:I(B) ; C02-H-3A49
(ucs-set-char #x53A8 ?$(I:'(B) ; C03-I-3A27
(ucs-set-char #x53A8 ?$@?_(B) ; J78-@-3F5F
(ucs-set-char #x53A8 ?$A3x(B) ; GB0-A-3378
(ucs-set-char #x53A8 ?$B?_(B) ; J83-B-3F5F
(ucs-set-char #x53A9 ?$(I@J(B) ; C03-I-404A
(ucs-set-char #x53A9 ?$@19(B) ; J78-@-3139
(ucs-set-char #x53A9 ?$A>G(B) ; GB0-A-3E47
(ucs-set-char #x53A9 ?$B19(B) ; J83-B-3139
(ucs-set-char #x53AA ?$(D4M(B) ; J90-D-344D
(ucs-set-char #x53AA ?$(I@I(B) ; C03-I-4049
(ucs-set-char #x53AB ?$(D4N(B) ; J90-D-344E
(ucs-set-char #x53AB ?$(I@H(B) ; C03-I-4048
(ucs-set-char #x53AC ?$(HI-(B) ; C02-H-492D
(ucs-set-char #x53AD ?$(Cft(B) ; KS0-C-6674
(ucs-set-char #x53AD ?$(Gh%(B) ; C01-G-6825
(ucs-set-char #x53AD ?$@1^(B) ; J78-@-315E
(ucs-set-char #x53AD ?$B1^(B) ; J83-B-315E
(ucs-set-char #x53AE ?$(IF%(B) ; C03-I-4625
(ucs-set-char #x53AE ?$@RQ(B) ; J78-@-5251
(ucs-set-char #x53AE ?$AXK(B) ; GB0-A-584B
(ucs-set-char #x53AE ?$BRQ(B) ; J83-B-5251
(ucs-set-char #x53AF ?$(D4O(B) ; J90-D-344F
(ucs-set-char #x53AF ?$(J<@(B) ; C04-J-3C40
(ucs-set-char #x53B0 ?$(IF&(B) ; C03-I-4626
(ucs-set-char #x53B0 ?$@RR(B) ; J78-@-5252
(ucs-set-char #x53B0 ?$BRR(B) ; J83-B-5252
(ucs-set-char #x53B1 ?$(IK5(B) ; C03-I-4B35
(ucs-set-char #x53B2 ?$(D4P(B) ; J90-D-3450
(ucs-set-char #x53B2 ?$(Gl0(B) ; C01-G-6C30
(ucs-set-char #x53B3 ?$(ITE(B) ; C03-I-5445
(ucs-set-char #x53B3 ?$@87(B) ; J78-@-3837
(ucs-set-char #x53B3 ?$B87(B) ; J83-B-3837
(ucs-set-char #x53B4 ?$(D4Q(B) ; J90-D-3451
(ucs-set-char #x53B4 ?$(He;(B) ; C02-H-653B
(ucs-set-char #x53B5 ?$(D4R(B) ; J90-D-3452

(ucs-set-char #x53B6 ?$A[L(B) ; GB0-A-5B4C
(ucs-set-char #x53B6 ?$(I!+(B) ; C03-I-212B
(ucs-set-char #x53B6 ?$@RS(B) ; J78-@-5253
(ucs-set-char #x53B6 ?$BRS(B) ; J83-B-5253

(ucs-set-char #x53B7 ?$(D4S(B) ; J90-D-3453
(ucs-set-char #x53B7 ?$(I!\(B) ; C03-I-215C
(ucs-set-char #x53B8 ?$(D4T(B) ; J90-D-3454
(ucs-set-char #x53B8 ?$(J!E(B) ; C04-J-2145
(ucs-set-char #x53B9 ?$(H!8(B) ; C02-H-2138
(ucs-set-char #x53BA ?$(D4U(B) ; J90-D-3455
(ucs-set-char #x53BA ?$(I"*(B) ; C03-I-222A
(ucs-set-char #x53BB ?$(CK[(B) ; KS0-C-4B5B
(ucs-set-char #x53BB ?$(GF*(B) ; C01-G-462A
(ucs-set-char #x53BB ?$@5n(B) ; J78-@-356E
(ucs-set-char #x53BB ?$AH%(B) ; GB0-A-4825
(ucs-set-char #x53BB ?$B5n(B) ; J83-B-356E
(ucs-set-char #x53BD ?$(D4V(B) ; J90-D-3456
(ucs-set-char #x53BD ?$(J"H(B) ; C04-J-2248
(ucs-set-char #x53BE ?$(I#1(B) ; C03-I-2331
(ucs-set-char #x53BF ?$AOX(B) ; GB0-A-4F58
(ucs-set-char #x53C0 ?$(D4W(B) ; J90-D-3457
(ucs-set-char #x53C0 ?$(J%Y(B) ; C04-J-2559
(ucs-set-char #x53C1 ?$(I'i(B) ; C03-I-2769
(ucs-set-char #x53C1 ?$AH~(B) ; GB0-A-487E
(ucs-set-char #x53C2 ?$(I'j(B) ; C03-I-276A
(ucs-set-char #x53C2 ?$@;2(B) ; J78-@-3B32
(ucs-set-char #x53C2 ?$A2N(B) ; GB0-A-324E
(ucs-set-char #x53C2 ?$B;2(B) ; J83-B-3B32
(ucs-set-char #x53C3 ?$(CsQ(B) ; KS0-C-7351
(ucs-set-char #x53C3 ?$(GY6(B) ; C01-G-5936
(ucs-set-char #x53C3 ?$@RT(B) ; J78-@-5254
(ucs-set-char #x53C3 ?$BRT(B) ; J83-B-5254
(ucs-set-char #x53C4 ?$(I4U(B) ; C03-I-3455
(ucs-set-char #x53C5 ?$(D4X(B) ; J90-D-3458
(ucs-set-char #x53C5 ?$(I:)(B) ; C03-I-3A29

(ucs-set-char #x53C8 ?$ASV(B) ; GB0-A-5356
(ucs-set-char #x53C8 ?$(CiQ(B) ; KS0-C-6951
(ucs-set-char #x53C8 ?$(GD4(B) ; C01-G-4434
(ucs-set-char #x53C8 ?$@Kt(B) ; J78-@-4B74
(ucs-set-char #x53C8 ?$BKt(B) ; J83-B-4B74

(ucs-set-char #x53C9 ?$(Cs)(B) ; KS0-C-7329
(ucs-set-char #x53C9 ?$(GDF(B) ; C01-G-4446
(ucs-set-char #x53C9 ?$@:5(B) ; J78-@-3A35
(ucs-set-char #x53C9 ?$A2f(B) ; GB0-A-3266
(ucs-set-char #x53C9 ?$B:5(B) ; J83-B-3A35
(ucs-set-char #x53CA ?$(CP`(B) ; KS0-C-5060
(ucs-set-char #x53CA ?$(GE/(B) ; C01-G-452F
(ucs-set-char #x53CA ?$(L!a(B) ; C06-L-2161
(ucs-set-char #x53CA ?$@5Z(B) ; J78-@-355A
(ucs-set-char #x53CA ?$A<0(B) ; GB0-A-3C30
(ucs-set-char #x53CA ?$B5Z(B) ; J83-B-355A
(ucs-set-char #x53CB ?$(CiR(B) ; KS0-C-6952
(ucs-set-char #x53CB ?$(GE.(B) ; C01-G-452E
(ucs-set-char #x53CB ?$@M'(B) ; J78-@-4D27
(ucs-set-char #x53CB ?$ASQ(B) ; GB0-A-5351
(ucs-set-char #x53CB ?$BM'(B) ; J83-B-4D27
(ucs-set-char #x53CC ?$(I!^(B) ; C03-I-215E
(ucs-set-char #x53CC ?$@AP(B) ; J78-@-4150
(ucs-set-char #x53CC ?$AK+(B) ; GB0-A-4B2B
(ucs-set-char #x53CC ?$BAP(B) ; J83-B-4150
(ucs-define-ideograph #x53CD 029 02
		      ?$A74(B ; GB0-A-3734
                      ;; ?$@H?(B ; J78-@-483F
                      ;; ?$BH?(B ; J83-B-483F
                      ;; ?$(GE0(B ; C01-G-4530
                      ;; ?$(CZc(B ; KS0-C-5A63
		      )
(ucs-set-char #x53CE ?$(I!`(B) ; C03-I-2160
(ucs-set-char #x53CE ?$@<}(B) ; J78-@-3C7D
(ucs-set-char #x53CE ?$B<}(B) ; J83-B-3C7D
(ucs-set-char #x53CF ?$(D4Y(B) ; J90-D-3459
(ucs-set-char #x53CF ?$(J!i(B) ; C04-J-2169
(ucs-set-char #x53D0 ?$(I"+(B) ; C03-I-222B
(ucs-set-char #x53D1 ?$A7"(B) ; GB0-A-3722
(ucs-set-char #x53D2 ?$(D4Z(B) ; J90-D-345A
(ucs-set-char #x53D2 ?$(I#3(B) ; C03-I-2333
(ucs-set-char #x53D3 ?$(D4[(B) ; J90-D-345B
(ucs-set-char #x53D3 ?$(J#O(B) ; C04-J-234F
(ucs-set-char #x53D4 ?$(CbR(B) ; KS0-C-6252
(ucs-set-char #x53D4 ?$(GL>(B) ; C01-G-4C3E
(ucs-set-char #x53D4 ?$@=G(B) ; J78-@-3D47
(ucs-set-char #x53D4 ?$AJe(B) ; GB0-A-4A65
(ucs-set-char #x53D4 ?$B=G(B) ; J83-B-3D47
(ucs-set-char #x53D5 ?$(D4\(B) ; J90-D-345C
(ucs-set-char #x53D5 ?$(I'k(B) ; C03-I-276B
(ucs-set-char #x53D6 ?$(Cv"(B) ; KS0-C-7622
(ucs-set-char #x53D6 ?$(GL=(B) ; C01-G-4C3D
(ucs-set-char #x53D6 ?$@<h(B) ; J78-@-3C68
(ucs-set-char #x53D6 ?$AH!(B) ; GB0-A-4821
(ucs-set-char #x53D6 ?$B<h(B) ; J83-B-3C68
(ucs-set-char #x53D7 ?$(Cat(B) ; KS0-C-6174
(ucs-set-char #x53D7 ?$(GL?(B) ; C01-G-4C3F
(ucs-set-char #x53D7 ?$@<u(B) ; J78-@-3C75
(ucs-set-char #x53D7 ?$AJ\(B) ; GB0-A-4A5C
(ucs-set-char #x53D7 ?$B<u(B) ; J83-B-3C75
(ucs-set-char #x53D8 ?$A1d(B) ; GB0-A-3164
(ucs-set-char #x53D9 ?$(I+P(B) ; C03-I-2B50
(ucs-set-char #x53D9 ?$@=v(B) ; J78-@-3D76
(ucs-set-char #x53D9 ?$APp(B) ; GB0-A-5070
(ucs-set-char #x53D9 ?$B=v(B) ; J83-B-3D76
(ucs-set-char #x53DA ?$(D4](B) ; J90-D-345D
(ucs-set-char #x53DA ?$(I+O(B) ; C03-I-2B4F
(ucs-define-ideograph #x53DB 029 07
		      ?$AEQ(B ; GB0-A-4551
                      ;; ?$(GP5(B ; C01-G-5035
                      ;; ?$@H@(B ; J78-@-4840
                      ;; ?$BH@(B ; J83-B-4840
                      ;; ?$(CZd(B ; KS0-C-5A64
		      )
(ucs-set-char #x53DC ?$(I+N(B) ; C03-I-2B4E
(ucs-set-char #x53DD ?$(D4^(B) ; J90-D-345E
(ucs-set-char #x53DD ?$(I+M(B) ; C03-I-2B4D
(ucs-set-char #x53DE ?$(D4_(B) ; J90-D-345F
(ucs-set-char #x53DE ?$(L5x(B) ; C06-L-3578
(ucs-set-char #x53DF ?$(GTQ(B) ; C01-G-5451
(ucs-set-char #x53DF ?$@RW(B) ; J78-@-5257
(ucs-set-char #x53DF ?$A[E(B) ; GB0-A-5B45
(ucs-set-char #x53DF ?$BRW(B) ; J83-B-5257
(ucs-set-char #x53E0 ?$(D4`(B) ; J90-D-3460
(ucs-set-char #x53E0 ?$(I@K(B) ; C03-I-404B
(ucs-set-char #x53E0 ?$A5~(B) ; GB0-A-357E
(ucs-set-char #x53E1 ?$(CgU(B) ; KS0-C-6755
(ucs-set-char #x53E1 ?$(HVF(B) ; C02-H-5646
(ucs-set-char #x53E1 ?$@1C(B) ; J78-@-3143
(ucs-set-char #x53E1 ?$B1C(B) ; J83-B-3143
(ucs-set-char #x53E2 ?$(Cu?(B) ; KS0-C-753F
(ucs-set-char #x53E2 ?$(Gv;(B) ; C01-G-763B
(ucs-set-char #x53E2 ?$@AQ(B) ; J78-@-4151
(ucs-set-char #x53E2 ?$BAQ(B) ; J83-B-4151

(ucs-set-char #x53E3 ?$A?Z(B) ; GB0-A-3F5A
(ucs-set-char #x53E3 ?$(CO"(B) ; KS0-C-4F22
(ucs-set-char #x53E3 ?$(GDG(B) ; C01-G-4447
(ucs-set-char #x53E3 ?$@8}(B) ; J78-@-387D
(ucs-set-char #x53E3 ?$B8}(B) ; J83-B-387D

(ucs-set-char #x53E4 ?$(CM/(B) ; KS0-C-4D2F
(ucs-set-char #x53E4 ?$(GF,(B) ; C01-G-462C
(ucs-set-char #x53E4 ?$@8E(B) ; J78-@-3845
(ucs-set-char #x53E4 ?$A9E(B) ; GB0-A-3945
(ucs-set-char #x53E4 ?$B8E(B) ; J83-B-3845
(ucs-set-char #x53E5 ?$(CO#(B) ; KS0-C-4F23
(ucs-set-char #x53E5 ?$(GF;(B) ; C01-G-463B
(ucs-set-char #x53E5 ?$@6g(B) ; J78-@-3667
(ucs-set-char #x53E5 ?$A>d(B) ; GB0-A-3E64
(ucs-set-char #x53E5 ?$B6g(B) ; J83-B-3667
(ucs-set-char #x53E6 ?$(D4a(B) ; J90-D-3461
(ucs-set-char #x53E6 ?$(GF6(B) ; C01-G-4636
(ucs-set-char #x53E6 ?$AAm(B) ; GB0-A-416D
(ucs-set-char #x53E7 ?$(D4b(B) ; J90-D-3462
(ucs-set-char #x53E7 ?$(J!l(B) ; C04-J-216C
(ucs-set-char #x53E8 ?$(GF1(B) ; C01-G-4631
(ucs-set-char #x53E8 ?$@R[(B) ; J78-@-525B
(ucs-set-char #x53E8 ?$A_6(B) ; GB0-A-5F36
(ucs-set-char #x53E8 ?$BR[(B) ; J83-B-525B
(ucs-set-char #x53E9 ?$(CM0(B) ; KS0-C-4D30
(ucs-set-char #x53E9 ?$(GF0(B) ; C01-G-4630
(ucs-set-char #x53E9 ?$@C!(B) ; J78-@-4321
(ucs-set-char #x53E9 ?$A_5(B) ; GB0-A-5F35
(ucs-set-char #x53E9 ?$BC!(B) ; J83-B-4321
(ucs-set-char #x53EA ?$(Cq~(B) ; KS0-C-717E
(ucs-set-char #x53EA ?$(GF7(B) ; C01-G-4637
(ucs-set-char #x53EA ?$@B~(B) ; J78-@-427E
(ucs-set-char #x53EA ?$AV;(B) ; GB0-A-563B
(ucs-set-char #x53EA ?$BB~(B) ; J83-B-427E
(ucs-set-char #x53EB ?$(CP#(B) ; KS0-C-5023
(ucs-set-char #x53EB ?$(GF5(B) ; C01-G-4635
(ucs-set-char #x53EB ?$(L"[(B) ; C06-L-225B
(ucs-set-char #x53EB ?$@6+(B) ; J78-@-362B
(ucs-set-char #x53EB ?$A=P(B) ; GB0-A-3D50
(ucs-set-char #x53EB ?$B6+(B) ; J83-B-362B
(ucs-set-char #x53EC ?$(Ca/(B) ; KS0-C-612F
(ucs-set-char #x53EC ?$(GF.(B) ; C01-G-462E
(ucs-set-char #x53EC ?$@>$(B) ; J78-@-3E24
(ucs-set-char #x53EC ?$AUY(B) ; GB0-A-5559
(ucs-set-char #x53EC ?$B>$(B) ; J83-B-3E24
(ucs-set-char #x53ED ?$(Cx#(B) ; KS0-C-7823
(ucs-set-char #x53ED ?$(GF<(B) ; C01-G-463C
(ucs-set-char #x53ED ?$@R\(B) ; J78-@-525C
(ucs-set-char #x53ED ?$A0H(B) ; GB0-A-3048
(ucs-set-char #x53ED ?$BR\(B) ; J83-B-525C
(ucs-set-char #x53EE ?$(GF/(B) ; C01-G-462F
(ucs-set-char #x53EE ?$@RZ(B) ; J78-@-525A
(ucs-set-char #x53EE ?$A6#(B) ; GB0-A-3623
(ucs-set-char #x53EE ?$BRZ(B) ; J83-B-525A
(ucs-set-char #x53EF ?$(CJ&(B) ; KS0-C-4A26
(ucs-set-char #x53EF ?$(GF+(B) ; C01-G-462B
(ucs-set-char #x53EF ?$@2D(B) ; J78-@-3244
(ucs-set-char #x53EF ?$A?I(B) ; GB0-A-3F49
(ucs-set-char #x53EF ?$B2D(B) ; J83-B-3244
(ucs-set-char #x53F0 ?$(Cw;(B) ; KS0-C-773B
(ucs-set-char #x53F0 ?$(GF:(B) ; C01-G-463A
(ucs-set-char #x53F0 ?$@Bf(B) ; J78-@-4266
(ucs-set-char #x53F0 ?$AL((B) ; GB0-A-4C28
(ucs-set-char #x53F0 ?$BBf(B) ; J83-B-4266
(ucs-set-char #x53F1 ?$(Crj(B) ; KS0-C-726A
(ucs-set-char #x53F1 ?$(GF9(B) ; C01-G-4639
(ucs-set-char #x53F1 ?$@<8(B) ; J78-@-3C38
(ucs-set-char #x53F1 ?$A_3(B) ; GB0-A-5F33
(ucs-set-char #x53F1 ?$B<8(B) ; J83-B-3C38
(ucs-set-char #x53F2 ?$(C^H(B) ; KS0-C-5E48
(ucs-set-char #x53F2 ?$(GF8(B) ; C01-G-4638
(ucs-set-char #x53F2 ?$@;K(B) ; J78-@-3B4B
(ucs-set-char #x53F2 ?$AJ7(B) ; GB0-A-4A37
(ucs-set-char #x53F2 ?$B;K(B) ; J83-B-3B4B
(ucs-set-char #x53F3 ?$(CiS(B) ; KS0-C-6953
(ucs-set-char #x53F3 ?$(GF-(B) ; C01-G-462D
(ucs-set-char #x53F3 ?$@1&(B) ; J78-@-3126
(ucs-set-char #x53F3 ?$ASR(B) ; GB0-A-5352
(ucs-set-char #x53F3 ?$B1&(B) ; J83-B-3126
(ucs-set-char #x53F4 ?$(I"1(B) ; C03-I-2231
(ucs-set-char #x53F5 ?$(D4c(B) ; J90-D-3463
(ucs-set-char #x53F5 ?$(GF4(B) ; C01-G-4634
(ucs-set-char #x53F5 ?$AXO(B) ; GB0-A-584F
(ucs-set-char #x53F6 ?$(I"-(B) ; C03-I-222D
(ucs-set-char #x53F6 ?$@3p(B) ; J78-@-3370
(ucs-set-char #x53F6 ?$AR6(B) ; GB0-A-5236
(ucs-set-char #x53F6 ?$B3p(B) ; J83-B-3370
(ucs-set-char #x53F7 ?$(I".(B) ; C03-I-222E
(ucs-set-char #x53F7 ?$@9f(B) ; J78-@-3966
(ucs-set-char #x53F7 ?$A:E(B) ; GB0-A-3A45
(ucs-set-char #x53F7 ?$B9f(B) ; J83-B-3966
(ucs-set-char #x53F8 ?$(C^I(B) ; KS0-C-5E49
(ucs-set-char #x53F8 ?$(GF3(B) ; C01-G-4633
(ucs-set-char #x53F8 ?$@;J(B) ; J78-@-3B4A
(ucs-set-char #x53F8 ?$AK>(B) ; GB0-A-4B3E
(ucs-set-char #x53F8 ?$B;J(B) ; J83-B-3B4A
(ucs-set-char #x53F9 ?$(I"/(B) ; C03-I-222F
(ucs-set-char #x53F9 ?$AL>(B) ; GB0-A-4C3E
(ucs-set-char #x53FA ?$@R](B) ; J78-@-525D
(ucs-set-char #x53FA ?$BR](B) ; J83-B-525D
(ucs-set-char #x53FB ?$(GF=(B) ; C01-G-463D
(ucs-set-char #x53FB ?$A_7(B) ; GB0-A-5F37
(ucs-set-char #x53FC ?$(GF2(B) ; C01-G-4632
(ucs-set-char #x53FC ?$A5p(B) ; GB0-A-3570
(ucs-set-char #x53FD ?$A_4(B) ; GB0-A-5F34
(ucs-set-char #x53FF ?$(I#5(B) ; C03-I-2335
(ucs-set-char #x5400 ?$(I#7(B) ; C03-I-2337
(ucs-set-char #x5401 ?$(GGT(B) ; C01-G-4754
(ucs-set-char #x5401 ?$@R^(B) ; J78-@-525E
(ucs-set-char #x5401 ?$ASu(B) ; GB0-A-5375
(ucs-set-char #x5401 ?$BR^(B) ; J83-B-525E
(ucs-set-char #x5402 ?$(D4d(B) ; J90-D-3464
(ucs-set-char #x5402 ?$(J"L(B) ; C04-J-224C
(ucs-set-char #x5403 ?$(C}^(B) ; KS0-C-7D5E
(ucs-set-char #x5403 ?$(GGZ(B) ; C01-G-475A
(ucs-set-char #x5403 ?$@5I(B) ; J78-@-3549
(ucs-set-char #x5403 ?$A3T(B) ; GB0-A-3354
(ucs-set-char #x5403 ?$B5I(B) ; J83-B-3549
(ucs-set-char #x5404 ?$(CJ@(B) ; KS0-C-4A40
(ucs-set-char #x5404 ?$(GGV(B) ; C01-G-4756
(ucs-set-char #x5404 ?$@3F(B) ; J78-@-3346
(ucs-set-char #x5404 ?$A8w(B) ; GB0-A-3877
(ucs-set-char #x5404 ?$B3F(B) ; J83-B-3346
(ucs-set-char #x5405 ?$(I#9(B) ; C03-I-2339
(ucs-set-char #x5406 ?$(GG\(B) ; C01-G-475C
(ucs-set-char #x5406 ?$A_:(B) ; GB0-A-5F3A
(ucs-set-char #x5407 ?$(H"%(B) ; C02-H-2225
(ucs-set-char #x5408 ?$(Cyj(B) ; KS0-C-796A
(ucs-set-char #x5408 ?$(GGY(B) ; C01-G-4759
(ucs-set-char #x5408 ?$@9g(B) ; J78-@-3967
(ucs-set-char #x5408 ?$A:O(B) ; GB0-A-3A4F
(ucs-set-char #x5408 ?$B9g(B) ; J83-B-3967
(ucs-set-char #x5409 ?$(CQN(B) ; KS0-C-514E
(ucs-set-char #x5409 ?$(GGO(B) ; C01-G-474F
(ucs-set-char #x5409 ?$@5H(B) ; J78-@-3548
(ucs-set-char #x5409 ?$A<*(B) ; GB0-A-3C2A
(ucs-set-char #x5409 ?$B5H(B) ; J83-B-3548
(ucs-set-char #x540A ?$(CnT(B) ; KS0-C-6E54
(ucs-set-char #x540A ?$(GGR(B) ; C01-G-4752
(ucs-set-char #x540A ?$@D_(B) ; J78-@-445F
(ucs-set-char #x540A ?$A5u(B) ; GB0-A-3575
(ucs-set-char #x540A ?$BD_(B) ; J83-B-445F
(ucs-set-char #x540B ?$(GGU(B) ; C01-G-4755
(ucs-set-char #x540B ?$@1%(B) ; J78-@-3125
(ucs-set-char #x540B ?$B1%(B) ; J83-B-3125
(ucs-set-char #x540C ?$(CTR(B) ; KS0-C-5452
(ucs-set-char #x540C ?$(GGQ(B) ; C01-G-4751
(ucs-set-char #x540C ?$@F1(B) ; J78-@-4631
(ucs-set-char #x540C ?$AM,(B) ; GB0-A-4D2C
(ucs-set-char #x540C ?$BF1(B) ; J83-B-4631
(ucs-set-char #x540D ?$(CY#(B) ; KS0-C-5923
(ucs-set-char #x540D ?$(GGX(B) ; C01-G-4758
(ucs-set-char #x540D ?$@L>(B) ; J78-@-4C3E
(ucs-set-char #x540D ?$AC{(B) ; GB0-A-437B
(ucs-set-char #x540D ?$BL>(B) ; J83-B-4C3E
(ucs-set-char #x540E ?$(C}((B) ; KS0-C-7D28
(ucs-set-char #x540E ?$(GG[(B) ; C01-G-475B
(ucs-set-char #x540E ?$@9!(B) ; J78-@-3921
(ucs-set-char #x540E ?$A:s(B) ; GB0-A-3A73
(ucs-set-char #x540E ?$B9!(B) ; J83-B-3921
(ucs-set-char #x540F ?$(CWY(B) ; KS0-C-5759
(ucs-set-char #x540F ?$(GGP(B) ; C01-G-4750
(ucs-set-char #x540F ?$@My(B) ; J78-@-4D79
(ucs-set-char #x540F ?$A@t(B) ; GB0-A-4074
(ucs-set-char #x540F ?$BMy(B) ; J83-B-4D79
(ucs-set-char #x5410 ?$(CwN(B) ; KS0-C-774E
(ucs-set-char #x5410 ?$(GGS(B) ; C01-G-4753
(ucs-set-char #x5410 ?$@EG(B) ; J78-@-4547
(ucs-set-char #x5410 ?$AMB(B) ; GB0-A-4D42
(ucs-set-char #x5410 ?$BEG(B) ; J83-B-4547
(ucs-set-char #x5411 ?$(Cz>(B) ; KS0-C-7A3E
(ucs-set-char #x5411 ?$(GGW(B) ; C01-G-4757
(ucs-set-char #x5411 ?$@8~(B) ; J78-@-387E
(ucs-set-char #x5411 ?$AOr(B) ; GB0-A-4F72
(ucs-set-char #x5411 ?$B8~(B) ; J83-B-387E
(ucs-set-char #x5412 ?$(GG](B) ; C01-G-475D
(ucs-set-char #x5412 ?$A_8(B) ; GB0-A-5F38
(ucs-set-char #x5413 ?$(D4e(B) ; J90-D-3465
(ucs-set-char #x5413 ?$(I#:(B) ; C03-I-233A
(ucs-set-char #x5413 ?$AOE(B) ; GB0-A-4F45
(ucs-set-char #x5415 ?$(I#;(B) ; C03-I-233B
(ucs-set-char #x5415 ?$AB@(B) ; GB0-A-4240
(ucs-set-char #x5416 ?$(I#4(B) ; C03-I-2334
(ucs-set-char #x5416 ?$A_9(B) ; GB0-A-5F39
(ucs-set-char #x5417 ?$ABp(B) ; GB0-A-4270
(ucs-set-char #x5418 ?$(H#@(B) ; C02-H-2340
(ucs-set-char #x5419 ?$(H#=(B) ; C02-H-233D
(ucs-set-char #x541A ?$(D4f(B) ; J90-D-3466
(ucs-set-char #x541A ?$(I$v(B) ; C03-I-2476
(ucs-set-char #x541B ?$(COV(B) ; KS0-C-4F56
(ucs-set-char #x541B ?$(GII(B) ; C01-G-4949
(ucs-set-char #x541B ?$@7/(B) ; J78-@-372F
(ucs-set-char #x541B ?$A>}(B) ; GB0-A-3E7D
(ucs-set-char #x541B ?$B7/(B) ; J83-B-372F
(ucs-set-char #x541C ?$(H#>(B) ; C02-H-233E
(ucs-set-char #x541D ?$(CWp(B) ; KS0-C-5770
(ucs-set-char #x541D ?$(GI=(B) ; C01-G-493D
(ucs-set-char #x541D ?$@Rg(B) ; J78-@-5267
(ucs-set-char #x541D ?$AA_(B) ; GB0-A-415F
(ucs-set-char #x541D ?$BRg(B) ; J83-B-5267
(ucs-set-char #x541E ?$(GI?(B) ; C01-G-493F
(ucs-set-char #x541E ?$AML(B) ; GB0-A-4D4C
(ucs-set-char #x541F ?$(Cka(B) ; KS0-C-6B61
(ucs-set-char #x541F ?$(GIW(B) ; C01-G-4957
(ucs-set-char #x541F ?$@6c(B) ; J78-@-3663
(ucs-set-char #x541F ?$ARw(B) ; GB0-A-5277
(ucs-set-char #x541F ?$B6c(B) ; J83-B-3663
(ucs-set-char #x5420 ?$(CxE(B) ; KS0-C-7845
(ucs-set-char #x5420 ?$(GIR(B) ; C01-G-4952
(ucs-set-char #x5420 ?$@KJ(B) ; J78-@-4B4A
(ucs-set-char #x5420 ?$A7M(B) ; GB0-A-374D
(ucs-set-char #x5420 ?$BKJ(B) ; J83-B-4B4A
(ucs-set-char #x5421 ?$(D4g(B) ; J90-D-3467
(ucs-set-char #x5421 ?$(I$y(B) ; C03-I-2479
(ucs-set-char #x5421 ?$A_A(B) ; GB0-A-5F41
(ucs-set-char #x5422 ?$(I$~(B) ; C03-I-247E
(ucs-set-char #x5423 ?$(I$u(B) ; C03-I-2475
(ucs-set-char #x5423 ?$A_D(B) ; GB0-A-5F44
(ucs-set-char #x5424 ?$(H#E(B) ; C02-H-2345
(ucs-set-char #x5425 ?$(H#?(B) ; C02-H-233F
(ucs-set-char #x5426 ?$(C\z(B) ; KS0-C-5C7A
(ucs-set-char #x5426 ?$(GIA(B) ; C01-G-4941
(ucs-set-char #x5426 ?$@H](B) ; J78-@-485D
(ucs-set-char #x5426 ?$A7q(B) ; GB0-A-3771
(ucs-set-char #x5426 ?$BH](B) ; J83-B-485D
(ucs-set-char #x5427 ?$(D4h(B) ; J90-D-3468
(ucs-set-char #x5427 ?$(GIC(B) ; C01-G-4943
(ucs-set-char #x5427 ?$A0I(B) ; GB0-A-3049
(ucs-set-char #x5428 ?$(D4i(B) ; J90-D-3469
(ucs-set-char #x5428 ?$(H#D(B) ; C02-H-2344
(ucs-set-char #x5428 ?$A6V(B) ; GB0-A-3656
(ucs-set-char #x5429 ?$(C]C(B) ; KS0-C-5D43
(ucs-set-char #x5429 ?$(GIJ(B) ; C01-G-494A
(ucs-set-char #x5429 ?$@Rf(B) ; J78-@-5266
(ucs-set-char #x5429 ?$A7T(B) ; GB0-A-3754
(ucs-set-char #x5429 ?$BRf(B) ; J83-B-5266
(ucs-set-char #x542A ?$(D4j(B) ; J90-D-346A
(ucs-set-char #x542A ?$(H#:(B) ; C02-H-233A
(ucs-set-char #x542B ?$(Cy_(B) ; KS0-C-795F
(ucs-set-char #x542B ?$(GIV(B) ; C01-G-4956
(ucs-set-char #x542B ?$@4^(B) ; J78-@-345E
(ucs-set-char #x542B ?$A:,(B) ; GB0-A-3A2C
(ucs-set-char #x542B ?$B4^(B) ; J83-B-345E
(ucs-set-char #x542C ?$(GIX(B) ; C01-G-4958
(ucs-set-char #x542C ?$@Ra(B) ; J78-@-5261
(ucs-set-char #x542C ?$AL}(B) ; GB0-A-4C7D
(ucs-set-char #x542C ?$BRa(B) ; J83-B-5261
(ucs-set-char #x542D ?$(GI>(B) ; C01-G-493E
(ucs-set-char #x542D ?$@Rb(B) ; J78-@-5262
(ucs-set-char #x542D ?$A?T(B) ; GB0-A-3F54
(ucs-set-char #x542D ?$BRb(B) ; J83-B-5262
(ucs-set-char #x542E ?$(GIO(B) ; C01-G-494F
(ucs-set-char #x542E ?$@Rd(B) ; J78-@-5264
(ucs-set-char #x542E ?$AK1(B) ; GB0-A-4B31
(ucs-set-char #x542E ?$BRd(B) ; J83-B-5264
(ucs-set-char #x542F ?$(D4k(B) ; J90-D-346B
(ucs-set-char #x542F ?$(I%$(B) ; C03-I-2524
(ucs-set-char #x542F ?$AFt(B) ; GB0-A-4674
(ucs-set-char #x5430 ?$(H#8(B) ; C02-H-2338
(ucs-set-char #x5431 ?$(D4l(B) ; J90-D-346C
(ucs-set-char #x5431 ?$(GIU(B) ; C01-G-4955
(ucs-set-char #x5431 ?$AV((B) ; GB0-A-5628
(ucs-set-char #x5432 ?$(I$w(B) ; C03-I-2477
(ucs-set-char #x5432 ?$A_E(B) ; GB0-A-5F45
(ucs-set-char #x5433 ?$(Cgo(B) ; KS0-C-676F
(ucs-set-char #x5433 ?$(GIF(B) ; C01-G-4946
(ucs-set-char #x5434 ?$(D4m(B) ; J90-D-346D
(ucs-set-char #x5434 ?$(I${(B) ; C03-I-247B
(ucs-set-char #x5434 ?$ANb(B) ; GB0-A-4E62
(ucs-set-char #x5435 ?$(D4n(B) ; J90-D-346E
(ucs-set-char #x5435 ?$(GIP(B) ; C01-G-4950
(ucs-set-char #x5435 ?$A33(B) ; GB0-A-3333
(ucs-set-char #x5436 ?$(GIQ(B) ; C01-G-4951
(ucs-set-char #x5436 ?$@Re(B) ; J78-@-5265
(ucs-set-char #x5436 ?$BRe(B) ; J83-B-5265
(ucs-set-char #x5437 ?$(H#9(B) ; C02-H-2339
(ucs-set-char #x5438 ?$(C}e(B) ; KS0-C-7D65
(ucs-set-char #x5438 ?$(GIN(B) ; C01-G-494E
(ucs-set-char #x5438 ?$(L&N(B) ; C06-L-264E
(ucs-set-char #x5438 ?$@5[(B) ; J78-@-355B
(ucs-set-char #x5438 ?$AN|(B) ; GB0-A-4E7C
(ucs-set-char #x5438 ?$B5[(B) ; J83-B-355B
(ucs-set-char #x5439 ?$(Cv#(B) ; KS0-C-7623
(ucs-set-char #x5439 ?$(GIL(B) ; C01-G-494C
(ucs-set-char #x5439 ?$@?a(B) ; J78-@-3F61
(ucs-set-char #x5439 ?$A45(B) ; GB0-A-3435
(ucs-set-char #x5439 ?$B?a(B) ; J83-B-3F61
(ucs-set-char #x543A ?$(I$p(B) ; C03-I-2470
(ucs-set-char #x543B ?$(CY|(B) ; KS0-C-597C
(ucs-set-char #x543B ?$(GIM(B) ; C01-G-494D
(ucs-set-char #x543B ?$@J-(B) ; J78-@-4A2D
(ucs-set-char #x543B ?$ANG(B) ; GB0-A-4E47
(ucs-set-char #x543B ?$BJ-(B) ; J83-B-4A2D
(ucs-set-char #x543C ?$(C})(B) ; KS0-C-7D29
(ucs-set-char #x543C ?$(GIS(B) ; C01-G-4953
(ucs-set-char #x543C ?$@Rc(B) ; J78-@-5263
(ucs-set-char #x543C ?$A:p(B) ; GB0-A-3A70
(ucs-set-char #x543C ?$BRc(B) ; J83-B-5263
(ucs-set-char #x543D ?$(H#A(B) ; C02-H-2341
(ucs-set-char #x543D ?$@R_(B) ; J78-@-525F
(ucs-set-char #x543D ?$BR_(B) ; J83-B-525F
(ucs-set-char #x543E ?$(Cgn(B) ; KS0-C-676E
(ucs-set-char #x543E ?$(GI@(B) ; C01-G-4940
(ucs-set-char #x543E ?$@8c(B) ; J78-@-3863
(ucs-set-char #x543E ?$ANa(B) ; GB0-A-4E61
(ucs-set-char #x543E ?$B8c(B) ; J83-B-3863
(ucs-set-char #x543F ?$(I%!(B) ; C03-I-2521
(ucs-set-char #x5440 ?$(GIT(B) ; C01-G-4954
(ucs-set-char #x5440 ?$@R`(B) ; J78-@-5260
(ucs-set-char #x5440 ?$AQ=(B) ; GB0-A-513D
(ucs-set-char #x5440 ?$BR`(B) ; J83-B-5260
(ucs-set-char #x5441 ?$(H#C(B) ; C02-H-2343
(ucs-set-char #x5442 ?$(CUe(B) ; KS0-C-5565
(ucs-set-char #x5442 ?$(GIH(B) ; C01-G-4948
(ucs-set-char #x5442 ?$@O$(B) ; J78-@-4F24
(ucs-set-char #x5442 ?$BO$(B) ; J83-B-4F24
(ucs-set-char #x5443 ?$(D4o(B) ; J90-D-346F
(ucs-set-char #x5443 ?$(GIE(B) ; C01-G-4945
(ucs-set-char #x5443 ?$A_@(B) ; GB0-A-5F40
(ucs-set-char #x5444 ?$(D4p(B) ; J90-D-3470
(ucs-set-char #x5444 ?$(I$s(B) ; C03-I-2473
(ucs-set-char #x5445 ?$(H#<(B) ; C02-H-233C
(ucs-set-char #x5446 ?$(GID(B) ; C01-G-4944
(ucs-set-char #x5446 ?$@Jr(B) ; J78-@-4A72
(ucs-set-char #x5446 ?$A4t(B) ; GB0-A-3474
(ucs-set-char #x5446 ?$BJr(B) ; J83-B-4A72
(ucs-set-char #x5447 ?$(D4q(B) ; J90-D-3471
(ucs-set-char #x5447 ?$(H#F(B) ; C02-H-2346
(ucs-set-char #x5448 ?$(CoP(B) ; KS0-C-6F50
(ucs-set-char #x5448 ?$(GIG(B) ; C01-G-4947
(ucs-set-char #x5448 ?$(J#[(B) ; C04-J-235B
(ucs-set-char #x5448 ?$@Dh(B) ; J78-@-4468
(ucs-set-char #x5448 ?$A3J(B) ; GB0-A-334A
(ucs-set-char #x5448 ?$BDh(B) ; J83-B-4468
(ucs-set-char #x5449 ?$(I$|(B) ; C03-I-247C
(ucs-set-char #x5449 ?$@8b(B) ; J78-@-3862
(ucs-set-char #x5449 ?$B8b(B) ; J83-B-3862
(ucs-set-char #x544A ?$(CM1(B) ; KS0-C-4D31
(ucs-set-char #x544A ?$(GIK(B) ; C01-G-494B
(ucs-set-char #x544A ?$@9p(B) ; J78-@-3970
(ucs-set-char #x544A ?$A8f(B) ; GB0-A-3866
(ucs-set-char #x544A ?$B9p(B) ; J83-B-3970
(ucs-set-char #x544B ?$(I$x(B) ; C03-I-2478
(ucs-set-char #x544B ?$A_;(B) ; GB0-A-5F3B
(ucs-set-char #x544C ?$(I$t(B) ; C03-I-2474
(ucs-set-char #x544D ?$(D4r(B) ; J90-D-3472
(ucs-set-char #x544D ?$(I$m(B) ; C03-I-246D
(ucs-set-char #x544E ?$(GIB(B) ; C01-G-4942
(ucs-set-char #x544E ?$@Rh(B) ; J78-@-5268
(ucs-set-char #x544E ?$BRh(B) ; J83-B-5268
(ucs-set-char #x544F ?$(D4s(B) ; J90-D-3473
(ucs-set-char #x544F ?$(H#B(B) ; C02-H-2342
(ucs-set-char #x5450 ?$(I$}(B) ; C03-I-247D
(ucs-set-char #x5450 ?$ADE(B) ; GB0-A-4445
(ucs-set-char #x5451 ?$(Cw"(B) ; KS0-C-7722
(ucs-set-char #x5451 ?$(I%"(B) ; C03-I-2522
(ucs-set-char #x5451 ?$@F](B) ; J78-@-465D
(ucs-set-char #x5451 ?$BF](B) ; J83-B-465D
(ucs-set-char #x5452 ?$A_<(B) ; GB0-A-5F3C
(ucs-set-char #x5453 ?$A_=(B) ; GB0-A-5F3D
(ucs-set-char #x5454 ?$(H#;(B) ; C02-H-233B
(ucs-set-char #x5454 ?$A_>(B) ; GB0-A-5F3E
(ucs-set-char #x5455 ?$AE;(B) ; GB0-A-453B
(ucs-set-char #x5456 ?$A_?(B) ; GB0-A-5F3F
(ucs-set-char #x5457 ?$A_B(B) ; GB0-A-5F42
(ucs-set-char #x5458 ?$AT1(B) ; GB0-A-5431
(ucs-set-char #x5459 ?$A_C(B) ; GB0-A-5F43
(ucs-set-char #x545A ?$(I%#(B) ; C03-I-2523
(ucs-set-char #x545B ?$AG:(B) ; GB0-A-473A
(ucs-set-char #x545C ?$ANX(B) ; GB0-A-4E58
(ucs-set-char #x545D ?$(J%d(B) ; C04-J-2564
(ucs-set-char #x545E ?$(D4t(B) ; J90-D-3474
(ucs-set-char #x545E ?$(J%c(B) ; C04-J-2563
(ucs-set-char #x545F ?$(I'n(B) ; C03-I-276E
(ucs-set-char #x545F ?$@Rl(B) ; J78-@-526C
(ucs-set-char #x545F ?$BRl(B) ; J83-B-526C
(ucs-set-char #x5460 ?$(H%k(B) ; C02-H-256B
(ucs-set-char #x5461 ?$(H%j(B) ; C02-H-256A
(ucs-set-char #x5462 ?$(D4u(B) ; J90-D-3475
(ucs-set-char #x5462 ?$(GLQ(B) ; C01-G-4C51
(ucs-set-char #x5462 ?$ADX(B) ; GB0-A-4458
(ucs-set-char #x5463 ?$(H%m(B) ; C02-H-256D
(ucs-set-char #x5464 ?$(D4v(B) ; J90-D-3476
(ucs-set-char #x5464 ?$(H%o(B) ; C02-H-256F
(ucs-set-char #x5464 ?$A_J(B) ; GB0-A-5F4A
(ucs-set-char #x5465 ?$(H%d(B) ; C02-H-2564
(ucs-set-char #x5466 ?$(D4w(B) ; J90-D-3477
(ucs-set-char #x5466 ?$(H%g(B) ; C02-H-2567
(ucs-set-char #x5466 ?$A_O(B) ; GB0-A-5F4F
(ucs-set-char #x5467 ?$(D4x(B) ; J90-D-3478
(ucs-set-char #x5467 ?$(H%n(B) ; C02-H-256E
(ucs-set-char #x5468 ?$(Cq2(B) ; KS0-C-7132
(ucs-set-char #x5468 ?$(GLR(B) ; C01-G-4C52
(ucs-set-char #x5468 ?$@<~(B) ; J78-@-3C7E
(ucs-set-char #x5468 ?$AV\(B) ; GB0-A-565C
(ucs-set-char #x5468 ?$B<~(B) ; J83-B-3C7E
(ucs-set-char #x5469 ?$(D4y(B) ; J90-D-3479
(ucs-set-char #x5469 ?$(I't(B) ; C03-I-2774
(ucs-set-char #x546A ?$(Cq1(B) ; KS0-C-7131
(ucs-set-char #x546A ?$(I'x(B) ; C03-I-2778
(ucs-set-char #x546A ?$@<v(B) ; J78-@-3C76
(ucs-set-char #x546A ?$B<v(B) ; J83-B-3C76
(ucs-set-char #x546B ?$(D4z(B) ; J90-D-347A
(ucs-set-char #x546B ?$(H%a(B) ; C02-H-2561
(ucs-set-char #x546C ?$(H%e(B) ; C02-H-2565
(ucs-set-char #x546D ?$(D4{(B) ; J90-D-347B
(ucs-set-char #x546D ?$(I'u(B) ; C03-I-2775
(ucs-set-char #x546E ?$(D4|(B) ; J90-D-347C
(ucs-set-char #x546E ?$(J%_(B) ; C04-J-255F
(ucs-set-char #x546F ?$(H%i(B) ; C02-H-2569
(ucs-set-char #x5470 ?$(H)J(B) ; C02-H-294A
(ucs-set-char #x5470 ?$@Ro(B) ; J78-@-526F
(ucs-set-char #x5470 ?$BRo(B) ; J83-B-526F
(ucs-set-char #x5471 ?$(CM2(B) ; KS0-C-4D32
(ucs-set-char #x5471 ?$(GLM(B) ; C01-G-4C4D
(ucs-set-char #x5471 ?$@Rm(B) ; J78-@-526D
(ucs-set-char #x5471 ?$A_I(B) ; GB0-A-5F49
(ucs-set-char #x5471 ?$BRm(B) ; J83-B-526D
(ucs-set-char #x5472 ?$(H)N(B) ; C02-H-294E
(ucs-set-char #x5472 ?$A_Z(B) ; GB0-A-5F5A
(ucs-set-char #x5473 ?$(CZ+(B) ; KS0-C-5A2B
(ucs-set-char #x5473 ?$(GL@(B) ; C01-G-4C40
(ucs-set-char #x5473 ?$@L#(B) ; J78-@-4C23
(ucs-set-char #x5473 ?$AN6(B) ; GB0-A-4E36
(ucs-set-char #x5473 ?$BL#(B) ; J83-B-4C23
(ucs-set-char #x5474 ?$(D4}(B) ; J90-D-347D
(ucs-set-char #x5474 ?$(H%f(B) ; C02-H-2566
(ucs-set-char #x5475 ?$(CJ'(B) ; KS0-C-4A27
(ucs-set-char #x5475 ?$(GLA(B) ; C01-G-4C41
(ucs-set-char #x5475 ?$@Rj(B) ; J78-@-526A
(ucs-set-char #x5475 ?$A:G(B) ; GB0-A-3A47
(ucs-set-char #x5475 ?$BRj(B) ; J83-B-526A
(ucs-set-char #x5476 ?$(GLN(B) ; C01-G-4C4E
(ucs-set-char #x5476 ?$@Rs(B) ; J78-@-5273
(ucs-set-char #x5476 ?$A_N(B) ; GB0-A-5F4E
(ucs-set-char #x5476 ?$BRs(B) ; J83-B-5273
(ucs-set-char #x5477 ?$(GLG(B) ; C01-G-4C47
(ucs-set-char #x5477 ?$@Rn(B) ; J78-@-526E
(ucs-set-char #x5477 ?$A_H(B) ; GB0-A-5F48
(ucs-set-char #x5477 ?$BRn(B) ; J83-B-526E
(ucs-set-char #x5478 ?$(GLC(B) ; C01-G-4C43
(ucs-set-char #x5478 ?$AE^(B) ; GB0-A-455E
(ucs-set-char #x5479 ?$(I'q(B) ; C03-I-2771
(ucs-set-char #x547A ?$(H%b(B) ; C02-H-2562
(ucs-set-char #x547B ?$(Ccb(B) ; KS0-C-6362
(ucs-set-char #x547B ?$(GLF(B) ; C01-G-4C46
(ucs-set-char #x547B ?$@Rq(B) ; J78-@-5271
(ucs-set-char #x547B ?$AIk(B) ; GB0-A-496B
(ucs-set-char #x547B ?$BRq(B) ; J83-B-5271
(ucs-set-char #x547C ?$(C{<(B) ; KS0-C-7B3C
(ucs-set-char #x547C ?$(GLK(B) ; C01-G-4C4B
(ucs-set-char #x547C ?$@8F(B) ; J78-@-3846
(ucs-set-char #x547C ?$A:t(B) ; GB0-A-3A74
(ucs-set-char #x547C ?$B8F(B) ; J83-B-3846
(ucs-set-char #x547D ?$(CY$(B) ; KS0-C-5924
(ucs-set-char #x547D ?$(GLT(B) ; C01-G-4C54
(ucs-set-char #x547D ?$@L?(B) ; J78-@-4C3F
(ucs-set-char #x547D ?$AC|(B) ; GB0-A-437C
(ucs-set-char #x547D ?$BL?(B) ; J83-B-4C3F
(ucs-set-char #x547E ?$(H%c(B) ; C02-H-2563
(ucs-set-char #x547F ?$(D4~(B) ; J90-D-347E
(ucs-set-char #x547F ?$(H%\(B) ; C02-H-255C
(ucs-set-char #x5480 ?$(Cn:(B) ; KS0-C-6E3A
(ucs-set-char #x5480 ?$(GLE(B) ; C01-G-4C45
(ucs-set-char #x5480 ?$@Rr(B) ; J78-@-5272
(ucs-set-char #x5480 ?$A>W(B) ; GB0-A-3E57
(ucs-set-char #x5480 ?$BRr(B) ; J83-B-5272
(ucs-set-char #x5481 ?$(D5!(B) ; J90-D-3521
(ucs-set-char #x5481 ?$(H%](B) ; C02-H-255D
(ucs-set-char #x5482 ?$(H%_(B) ; C02-H-255F
(ucs-set-char #x5482 ?$A_F(B) ; GB0-A-5F46
(ucs-set-char #x5483 ?$(D5"(B) ; J90-D-3522
(ucs-set-char #x5483 ?$(J%`(B) ; C04-J-2560
(ucs-set-char #x5484 ?$(GLH(B) ; C01-G-4C48
(ucs-set-char #x5484 ?$@Rt(B) ; J78-@-5274
(ucs-set-char #x5484 ?$A_M(B) ; GB0-A-5F4D
(ucs-set-char #x5484 ?$BRt(B) ; J83-B-5274
(ucs-set-char #x5485 ?$(D5#(B) ; J90-D-3523
(ucs-set-char #x5485 ?$(I'l(B) ; C03-I-276C
(ucs-set-char #x5486 ?$(CxS(B) ; KS0-C-7853
(ucs-set-char #x5486 ?$(GLJ(B) ; C01-G-4C4A
(ucs-set-char #x5486 ?$@Rv(B) ; J78-@-5276
(ucs-set-char #x5486 ?$AEX(B) ; GB0-A-4558
(ucs-set-char #x5486 ?$BRv(B) ; J83-B-5276
(ucs-set-char #x5487 ?$(H%[(B) ; C02-H-255B
(ucs-set-char #x5488 ?$(D5$(B) ; J90-D-3524
(ucs-set-char #x5488 ?$(H%`(B) ; C02-H-2560
(ucs-set-char #x5489 ?$(D5%(B) ; J90-D-3525
(ucs-set-char #x5489 ?$(I'p(B) ; C03-I-2770
(ucs-set-char #x548A ?$(I'y(B) ; C03-I-2779
(ucs-set-char #x548B ?$(GLS(B) ; C01-G-4C53
(ucs-set-char #x548B ?$@:p(B) ; J78-@-3A70
(ucs-set-char #x548B ?$AU&(B) ; GB0-A-5526
(ucs-set-char #x548B ?$B:p(B) ; J83-B-3A70
(ucs-set-char #x548C ?$(C{z(B) ; KS0-C-7B7A
(ucs-set-char #x548C ?$(GLO(B) ; C01-G-4C4F
(ucs-set-char #x548C ?$@OB(B) ; J78-@-4F42
(ucs-set-char #x548C ?$A:M(B) ; GB0-A-3A4D
(ucs-set-char #x548C ?$BOB(B) ; J83-B-4F42
(ucs-set-char #x548D ?$(D5&(B) ; J90-D-3526
(ucs-set-char #x548D ?$(H%h(B) ; C02-H-2568
(ucs-set-char #x548E ?$(CO$(B) ; KS0-C-4F24
(ucs-set-char #x548E ?$(GLU(B) ; C01-G-4C55
(ucs-set-char #x548E ?$@Rk(B) ; J78-@-526B
(ucs-set-char #x548E ?$A>L(B) ; GB0-A-3E4C
(ucs-set-char #x548E ?$BRk(B) ; J83-B-526B
(ucs-set-char #x548F ?$(I's(B) ; C03-I-2773
(ucs-set-char #x548F ?$@Ri(B) ; J78-@-5269
(ucs-set-char #x548F ?$AS=(B) ; GB0-A-533D
(ucs-set-char #x548F ?$BRi(B) ; J83-B-5269
(ucs-set-char #x5490 ?$(C\{(B) ; KS0-C-5C7B
(ucs-set-char #x5490 ?$(GLL(B) ; C01-G-4C4C
(ucs-set-char #x5490 ?$@Ru(B) ; J78-@-5275
(ucs-set-char #x5490 ?$A8@(B) ; GB0-A-3840
(ucs-set-char #x5490 ?$BRu(B) ; J83-B-5275
(ucs-set-char #x5491 ?$(D5'(B) ; J90-D-3527
(ucs-set-char #x5491 ?$(H%^(B) ; C02-H-255E
(ucs-set-char #x5492 ?$(GLI(B) ; C01-G-4C49
(ucs-set-char #x5492 ?$@Rp(B) ; J78-@-5270
(ucs-set-char #x5492 ?$AVd(B) ; GB0-A-5664
(ucs-set-char #x5492 ?$BRp(B) ; J83-B-5270
(ucs-set-char #x5493 ?$(I'o(B) ; C03-I-276F
(ucs-set-char #x5494 ?$(I'w(B) ; C03-I-2777
(ucs-set-char #x5494 ?$A_G(B) ; GB0-A-5F47
(ucs-set-char #x5495 ?$(D5((B) ; J90-D-3528
(ucs-set-char #x5495 ?$(GLD(B) ; C01-G-4C44
(ucs-set-char #x5495 ?$A9>(B) ; GB0-A-393E
(ucs-set-char #x5496 ?$(D5)(B) ; J90-D-3529
(ucs-set-char #x5496 ?$(GLB(B) ; C01-G-4C42
(ucs-set-char #x5496 ?$A?'(B) ; GB0-A-3F27
(ucs-set-char #x5498 ?$(H%l(B) ; C02-H-256C
(ucs-set-char #x5499 ?$AA|(B) ; GB0-A-417C
(ucs-set-char #x549A ?$(GLP(B) ; C01-G-4C50
(ucs-set-char #x549A ?$A_K(B) ; GB0-A-5F4B
(ucs-set-char #x549B ?$A_L(B) ; GB0-A-5F4C
(ucs-set-char #x549C ?$(D5*(B) ; J90-D-352A
(ucs-set-char #x549D ?$A_P(B) ; GB0-A-5F50
(ucs-set-char #x549E ?$(I+\(B) ; C03-I-2B5C
(ucs-set-char #x549F ?$(D5+(B) ; J90-D-352B
(ucs-set-char #x549F ?$(I+](B) ; C03-I-2B5D
(ucs-set-char #x54A0 ?$(H)I(B) ; C02-H-2949
(ucs-set-char #x54A1 ?$(D5,(B) ; J90-D-352C
(ucs-set-char #x54A1 ?$(H)=(B) ; C02-H-293D
(ucs-set-char #x54A2 ?$(H)L(B) ; C02-H-294C
(ucs-set-char #x54A2 ?$@Rx(B) ; J78-@-5278
(ucs-set-char #x54A2 ?$BRx(B) ; J83-B-5278
(ucs-set-char #x54A3 ?$(I+W(B) ; C03-I-2B57
(ucs-set-char #x54A3 ?$A_[(B) ; GB0-A-5F5B
(ucs-set-char #x54A4 ?$(Cvc(B) ; KS0-C-7663
(ucs-set-char #x54A4 ?$(I+Y(B) ; C03-I-2B59
(ucs-set-char #x54A4 ?$@S#(B) ; J78-@-5323
(ucs-set-char #x54A4 ?$A_e(B) ; GB0-A-5F65
(ucs-set-char #x54A4 ?$BS#(B) ; J83-B-5323
(ucs-set-char #x54A5 ?$(H)?(B) ; C02-H-293F
(ucs-set-char #x54A5 ?$@Rz(B) ; J78-@-527A
(ucs-set-char #x54A5 ?$BRz(B) ; J83-B-527A
(ucs-set-char #x54A6 ?$(D5-(B) ; J90-D-352D
(ucs-set-char #x54A6 ?$(GP<(B) ; C01-G-503C
(ucs-set-char #x54A6 ?$A_W(B) ; GB0-A-5F57
(ucs-set-char #x54A7 ?$(D5.(B) ; J90-D-352E
(ucs-set-char #x54A7 ?$(GPJ(B) ; C01-G-504A
(ucs-set-char #x54A7 ?$A_V(B) ; GB0-A-5F56
(ucs-set-char #x54A8 ?$(Cm*(B) ; KS0-C-6D2A
(ucs-set-char #x54A8 ?$(GP8(B) ; C01-G-5038
(ucs-set-char #x54A8 ?$@R~(B) ; J78-@-527E
(ucs-set-char #x54A8 ?$AWI(B) ; GB0-A-5749
(ucs-set-char #x54A8 ?$BR~(B) ; J83-B-527E
(ucs-set-char #x54A9 ?$(D5/(B) ; J90-D-352F
(ucs-set-char #x54A9 ?$(GPI(B) ; C01-G-5049
(ucs-set-char #x54A9 ?$A_c(B) ; GB0-A-5F63
(ucs-set-char #x54AA ?$(D50(B) ; J90-D-3530
(ucs-set-char #x54AA ?$(GPA(B) ; C01-G-5041
(ucs-set-char #x54AA ?$A_d(B) ; GB0-A-5F64
(ucs-set-char #x54AB ?$(Cr!(B) ; KS0-C-7221
(ucs-set-char #x54AB ?$(GPF(B) ; C01-G-5046
(ucs-set-char #x54AB ?$@S!(B) ; J78-@-5321
(ucs-set-char #x54AB ?$Aek(B) ; GB0-A-656B
(ucs-set-char #x54AB ?$BS!(B) ; J83-B-5321
(ucs-set-char #x54AC ?$(CNa(B) ; KS0-C-4E61
(ucs-set-char #x54AC ?$(GP6(B) ; C01-G-5036
(ucs-set-char #x54AC ?$@R{(B) ; J78-@-527B
(ucs-set-char #x54AC ?$AR'(B) ; GB0-A-5227
(ucs-set-char #x54AC ?$BR{(B) ; J83-B-527B
(ucs-set-char #x54AD ?$(D51(B) ; J90-D-3531
(ucs-set-char #x54AD ?$(H)>(B) ; C02-H-293E
(ucs-set-char #x54AD ?$A_R(B) ; GB0-A-5F52
(ucs-set-char #x54AE ?$(D52(B) ; J90-D-3532
(ucs-set-char #x54AE ?$(H)D(B) ; C02-H-2944
(ucs-set-char #x54AF ?$(GPE(B) ; C01-G-5045
(ucs-set-char #x54AF ?$@S>(B) ; J78-@-533E
(ucs-set-char #x54AF ?$A?)(B) ; GB0-A-3F29
(ucs-set-char #x54AF ?$BS>(B) ; J83-B-533E
(ucs-set-char #x54B0 ?$(H)P(B) ; C02-H-2950
(ucs-set-char #x54B1 ?$(D53(B) ; J90-D-3533
(ucs-set-char #x54B1 ?$(GPG(B) ; C01-G-5047
(ucs-set-char #x54B1 ?$AT[(B) ; GB0-A-545B
(ucs-set-char #x54B2 ?$(I+[(B) ; C03-I-2B5B
(ucs-set-char #x54B2 ?$@:i(B) ; J78-@-3A69
(ucs-set-char #x54B2 ?$B:i(B) ; J83-B-3A69
(ucs-set-char #x54B3 ?$(Cz&(B) ; KS0-C-7A26
(ucs-set-char #x54B3 ?$(GP=(B) ; C01-G-503D
(ucs-set-char #x54B3 ?$@31(B) ; J78-@-3331
(ucs-set-char #x54B3 ?$A?H(B) ; GB0-A-3F48
(ucs-set-char #x54B3 ?$B31(B) ; J83-B-3331
(ucs-set-char #x54B4 ?$(I+T(B) ; C03-I-2B54
(ucs-set-char #x54B4 ?$A_T(B) ; GB0-A-5F54
(ucs-set-char #x54B5 ?$(I+^(B) ; C03-I-2B5E
(ucs-set-char #x54B6 ?$(H)F(B) ; C02-H-2946
(ucs-set-char #x54B7 ?$(D54(B) ; J90-D-3534
(ucs-set-char #x54B7 ?$(H)C(B) ; C02-H-2943
(ucs-set-char #x54B8 ?$(Cy`(B) ; KS0-C-7960
(ucs-set-char #x54B8 ?$(GP;(B) ; C01-G-503B
(ucs-set-char #x54B8 ?$@Ry(B) ; J78-@-5279
(ucs-set-char #x54B8 ?$AOL(B) ; GB0-A-4F4C
(ucs-set-char #x54B8 ?$BRy(B) ; J83-B-5279
(ucs-set-char #x54B9 ?$(D55(B) ; J90-D-3535
(ucs-set-char #x54B9 ?$(I+Q(B) ; C03-I-2B51
(ucs-set-char #x54BA ?$(D56(B) ; J90-D-3536
(ucs-set-char #x54BA ?$(H)<(B) ; C02-H-293C
(ucs-set-char #x54BB ?$(D57(B) ; J90-D-3537
(ucs-set-char #x54BB ?$(GPH(B) ; C01-G-5048
(ucs-set-char #x54BB ?$A_](B) ; GB0-A-5F5D
(ucs-set-char #x54BC ?$(H)K(B) ; C02-H-294B
(ucs-set-char #x54BC ?$@S%(B) ; J78-@-5325
(ucs-set-char #x54BC ?$BS%(B) ; J83-B-5325
(ucs-set-char #x54BD ?$(ClV(B) ; KS0-C-6C56
(ucs-set-char #x54BD ?$(GP@(B) ; C01-G-5040
(ucs-set-char #x54BD ?$@0v(B) ; J78-@-3076
(ucs-set-char #x54BD ?$AQJ(B) ; GB0-A-514A
(ucs-set-char #x54BD ?$B0v(B) ; J83-B-3076
(ucs-set-char #x54BE ?$(H)M(B) ; C02-H-294D
(ucs-set-char #x54BE ?$@S$(B) ; J78-@-5324
(ucs-set-char #x54BE ?$BS$(B) ; J83-B-5324
(ucs-set-char #x54BF ?$(D58(B) ; J90-D-3538
(ucs-set-char #x54BF ?$(GPK(B) ; C01-G-504B
(ucs-set-char #x54BF ?$A_^(B) ; GB0-A-5F5E
(ucs-set-char #x54C0 ?$(Cdn(B) ; KS0-C-646E
(ucs-set-char #x54C0 ?$(GP7(B) ; C01-G-5037
(ucs-set-char #x54C0 ?$@0%(B) ; J78-@-3025
(ucs-set-char #x54C0 ?$A0'(B) ; GB0-A-3027
(ucs-set-char #x54C0 ?$B0%(B) ; J83-B-3025
(ucs-set-char #x54C1 ?$(Cy!(B) ; KS0-C-7921
(ucs-set-char #x54C1 ?$(GPB(B) ; C01-G-5042
(ucs-set-char #x54C1 ?$@IJ(B) ; J78-@-494A
(ucs-set-char #x54C1 ?$AF7(B) ; GB0-A-4637
(ucs-set-char #x54C1 ?$BIJ(B) ; J83-B-494A
(ucs-set-char #x54C2 ?$(GP?(B) ; C01-G-503F
(ucs-set-char #x54C2 ?$@S"(B) ; J78-@-5322
(ucs-set-char #x54C2 ?$A_S(B) ; GB0-A-5F53
(ucs-set-char #x54C2 ?$BS"(B) ; J83-B-5322
(ucs-set-char #x54C3 ?$(H)A(B) ; C02-H-2941
(ucs-set-char #x54C4 ?$(C{o(B) ; KS0-C-7B6F
(ucs-set-char #x54C4 ?$(GPC(B) ; C01-G-5043
(ucs-set-char #x54C4 ?$@R|(B) ; J78-@-527C
(ucs-set-char #x54C4 ?$A:e(B) ; GB0-A-3A65
(ucs-set-char #x54C4 ?$BR|(B) ; J83-B-527C
(ucs-set-char #x54C5 ?$(H)G(B) ; C02-H-2947
(ucs-set-char #x54C6 ?$(D59(B) ; J90-D-3539
(ucs-set-char #x54C6 ?$(H)H(B) ; C02-H-2948
(ucs-set-char #x54C6 ?$A6_(B) ; GB0-A-365F
(ucs-set-char #x54C7 ?$(GP>(B) ; C01-G-503E
(ucs-set-char #x54C7 ?$@Rw(B) ; J78-@-5277
(ucs-set-char #x54C7 ?$AM[(B) ; GB0-A-4D5B
(ucs-set-char #x54C7 ?$BRw(B) ; J83-B-5277
(ucs-set-char #x54C8 ?$(Cyk(B) ; KS0-C-796B
(ucs-set-char #x54C8 ?$(GPD(B) ; C01-G-5044
(ucs-set-char #x54C8 ?$@R}(B) ; J78-@-527D
(ucs-set-char #x54C8 ?$A9~(B) ; GB0-A-397E
(ucs-set-char #x54C8 ?$BR}(B) ; J83-B-527D
(ucs-set-char #x54C9 ?$(Cn#(B) ; KS0-C-6E23
(ucs-set-char #x54C9 ?$(GP:(B) ; C01-G-503A
(ucs-set-char #x54C9 ?$@:H(B) ; J78-@-3A48
(ucs-set-char #x54C9 ?$ATU(B) ; GB0-A-5455
(ucs-set-char #x54C9 ?$B:H(B) ; J83-B-3A48
(ucs-set-char #x54CA ?$(D5:(B) ; J90-D-353A
(ucs-set-char #x54CA ?$(I+U(B) ; C03-I-2B55
(ucs-set-char #x54CC ?$(I+c(B) ; C03-I-2B63
(ucs-set-char #x54CC ?$A__(B) ; GB0-A-5F5F
(ucs-set-char #x54CD ?$(D5;(B) ; J90-D-353B
(ucs-set-char #x54CD ?$(I+a(B) ; C03-I-2B61
(ucs-set-char #x54CD ?$AOl(B) ; GB0-A-4F6C
(ucs-set-char #x54CE ?$(D5<(B) ; J90-D-353C
(ucs-set-char #x54CE ?$(GP9(B) ; C01-G-5039
(ucs-set-char #x54CE ?$A0%(B) ; GB0-A-3025
(ucs-set-char #x54CF ?$(H)@(B) ; C02-H-2940
(ucs-set-char #x54CF ?$A_g(B) ; GB0-A-5F67
(ucs-set-char #x54D0 ?$(I+S(B) ; C03-I-2B53
(ucs-set-char #x54D0 ?$A_Q(B) ; GB0-A-5F51
(ucs-set-char #x54D1 ?$AQF(B) ; GB0-A-5146
(ucs-set-char #x54D2 ?$A_U(B) ; GB0-A-5F55
(ucs-set-char #x54D3 ?$A_X(B) ; GB0-A-5F58
(ucs-set-char #x54D4 ?$A_Y(B) ; GB0-A-5F59
(ucs-set-char #x54D5 ?$A_\(B) ; GB0-A-5F5C
(ucs-set-char #x54D6 ?$(H)E(B) ; C02-H-2945
(ucs-set-char #x54D7 ?$A;)(B) ; GB0-A-3B29
(ucs-set-char #x54D8 ?$@S&(B) ; J78-@-5326
(ucs-set-char #x54D8 ?$BS&(B) ; J83-B-5326
(ucs-set-char #x54D9 ?$A_`(B) ; GB0-A-5F60
(ucs-set-char #x54DA ?$(I+X(B) ; C03-I-2B58
(ucs-set-char #x54DA ?$A_a(B) ; GB0-A-5F61
(ucs-set-char #x54DC ?$A_b(B) ; GB0-A-5F62
(ucs-set-char #x54DD ?$A_f(B) ; GB0-A-5F66
(ucs-set-char #x54DE ?$(H)O(B) ; C02-H-294F
(ucs-set-char #x54DE ?$A_h(B) ; GB0-A-5F68
(ucs-set-char #x54DF ?$AS4(B) ; GB0-A-5334
(ucs-set-char #x54E0 ?$(D5=(B) ; J90-D-353D
(ucs-set-char #x54E0 ?$(H.F(B) ; C02-H-2E46
(ucs-set-char #x54E1 ?$(Cj,(B) ; KS0-C-6A2C
(ucs-set-char #x54E1 ?$(GT^(B) ; C01-G-545E
(ucs-set-char #x54E1 ?$@0w(B) ; J78-@-3077
(ucs-set-char #x54E1 ?$B0w(B) ; J83-B-3077
(ucs-set-char #x54E2 ?$(H.4(B) ; C02-H-2E34
(ucs-set-char #x54E2 ?$@S/(B) ; J78-@-532F
(ucs-set-char #x54E2 ?$BS/(B) ; J83-B-532F
(ucs-set-char #x54E3 ?$(J,-(B) ; C04-J-2C2D
(ucs-set-char #x54E4 ?$(H.9(B) ; C02-H-2E39
(ucs-set-char #x54E5 ?$(CJ((B) ; KS0-C-4A28
(ucs-set-char #x54E5 ?$(GTW(B) ; C01-G-5457
(ucs-set-char #x54E5 ?$@S'(B) ; J78-@-5327
(ucs-set-char #x54E5 ?$A8g(B) ; GB0-A-3867
(ucs-set-char #x54E5 ?$BS'(B) ; J83-B-5327
(ucs-set-char #x54E6 ?$(GTb(B) ; C01-G-5462
(ucs-set-char #x54E6 ?$@S((B) ; J78-@-5328
(ucs-set-char #x54E6 ?$AE6(B) ; GB0-A-4536
(ucs-set-char #x54E6 ?$BS((B) ; J83-B-5328
(ucs-set-char #x54E7 ?$(H.7(B) ; C02-H-2E37
(ucs-set-char #x54E7 ?$A_j(B) ; GB0-A-5F6A
(ucs-set-char #x54E8 ?$(Ctz(B) ; KS0-C-747A
(ucs-set-char #x54E8 ?$(GTR(B) ; C01-G-5452
(ucs-set-char #x54E8 ?$@>%(B) ; J78-@-3E25
(ucs-set-char #x54E8 ?$AIZ(B) ; GB0-A-495A
(ucs-set-char #x54E8 ?$B>%(B) ; J83-B-3E25
(ucs-set-char #x54E9 ?$(GT\(B) ; C01-G-545C
(ucs-set-char #x54E9 ?$@Ki(B) ; J78-@-4B69
(ucs-set-char #x54E9 ?$AA((B) ; GB0-A-4128
(ucs-set-char #x54E9 ?$BKi(B) ; J83-B-4B69
(ucs-set-char #x54EA ?$(D5>(B) ; J90-D-353E
(ucs-set-char #x54EA ?$(GTa(B) ; C01-G-5461
(ucs-set-char #x54EA ?$ADD(B) ; GB0-A-4444
(ucs-set-char #x54EB ?$(H.>(B) ; C02-H-2E3E
(ucs-set-char #x54EC ?$(D5?(B) ; J90-D-353F
(ucs-set-char #x54EC ?$(J,&(B) ; C04-J-2C26
(ucs-set-char #x54ED ?$(CMV(B) ; KS0-C-4D56
(ucs-set-char #x54ED ?$(GT](B) ; C01-G-545D
(ucs-set-char #x54ED ?$@S-(B) ; J78-@-532D
(ucs-set-char #x54ED ?$A?^(B) ; GB0-A-3F5E
(ucs-set-char #x54ED ?$BS-(B) ; J83-B-532D
(ucs-set-char #x54EE ?$(C|v(B) ; KS0-C-7C76
(ucs-set-char #x54EE ?$(GT`(B) ; C01-G-5460
(ucs-set-char #x54EE ?$@S,(B) ; J78-@-532C
(ucs-set-char #x54EE ?$AOx(B) ; GB0-A-4F78
(ucs-set-char #x54EE ?$BS,(B) ; J83-B-532C
(ucs-set-char #x54EF ?$(D5@(B) ; J90-D-3540
(ucs-set-char #x54EF ?$(I/w(B) ; C03-I-2F77
(ucs-set-char #x54F0 ?$(I0!(B) ; C03-I-3021
(ucs-set-char #x54F1 ?$(H.A(B) ; C02-H-2E41
(ucs-set-char #x54F2 ?$(CtI(B) ; KS0-C-7449
(ucs-set-char #x54F2 ?$(GTX(B) ; C01-G-5458
(ucs-set-char #x54F2 ?$@E/(B) ; J78-@-452F
(ucs-set-char #x54F2 ?$AU\(B) ; GB0-A-555C
(ucs-set-char #x54F2 ?$BE/(B) ; J83-B-452F
(ucs-set-char #x54F3 ?$(H.8(B) ; C02-H-2E38
(ucs-set-char #x54F3 ?$A_n(B) ; GB0-A-5F6E
(ucs-set-char #x54F4 ?$(I/t(B) ; C03-I-2F74
(ucs-set-char #x54F5 ?$(I/x(B) ; C03-I-2F78
(ucs-set-char #x54F6 ?$(D5A(B) ; J90-D-3541
(ucs-set-char #x54F6 ?$(I0"(B) ; C03-I-3022
(ucs-set-char #x54F6 ?$(I0#(B) ; C03-I-3023
(ucs-set-char #x54F7 ?$(H.D(B) ; C02-H-2E44
(ucs-set-char #x54F8 ?$(H.E(B) ; C02-H-2E45
(ucs-set-char #x54F9 ?$(I/y(B) ; C03-I-2F79
(ucs-set-char #x54FA ?$(CxT(B) ; KS0-C-7854
(ucs-set-char #x54FA ?$(GTZ(B) ; C01-G-545A
(ucs-set-char #x54FA ?$@S.(B) ; J78-@-532E
(ucs-set-char #x54FA ?$A28(B) ; GB0-A-3238
(ucs-set-char #x54FA ?$BS.(B) ; J83-B-532E
(ucs-set-char #x54FB ?$(H.C(B) ; C02-H-2E43
(ucs-set-char #x54FC ?$(D5B(B) ; J90-D-3542
(ucs-set-char #x54FC ?$(GTV(B) ; C01-G-5456
(ucs-set-char #x54FC ?$A:_(B) ; GB0-A-3A5F
(ucs-set-char #x54FD ?$(GTe(B) ; C01-G-5465
(ucs-set-char #x54FD ?$@S+(B) ; J78-@-532B
(ucs-set-char #x54FD ?$A_l(B) ; GB0-A-5F6C
(ucs-set-char #x54FD ?$BS+(B) ; J83-B-532B
(ucs-set-char #x54FE ?$(D5C(B) ; J90-D-3543
(ucs-set-char #x54FE ?$(J,)(B) ; C04-J-2C29
(ucs-set-char #x54FF ?$(D5D(B) ; J90-D-3544
(ucs-set-char #x54FF ?$(H.;(B) ; C02-H-2E3B
(ucs-set-char #x54FF ?$A[A(B) ; GB0-A-5B41
(ucs-set-char #x5500 ?$(D5E(B) ; J90-D-3545
(ucs-set-char #x5500 ?$(I/{(B) ; C03-I-2F7B
(ucs-set-char #x5501 ?$(D5F(B) ; J90-D-3546
(ucs-set-char #x5501 ?$(GTT(B) ; C01-G-5454
(ucs-set-char #x5501 ?$AQd(B) ; GB0-A-5164
(ucs-set-char #x5502 ?$(I/z(B) ; C03-I-2F7A
(ucs-set-char #x5503 ?$(H.H(B) ; C02-H-2E48
(ucs-set-char #x5504 ?$(Cx&(B) ; KS0-C-7826
(ucs-set-char #x5504 ?$(H.<(B) ; C02-H-2E3C
(ucs-set-char #x5504 ?$@14(B) ; J78-@-3134
(ucs-set-char #x5504 ?$B14(B) ; J83-B-3134
(ucs-set-char #x5505 ?$(D5G(B) ; J90-D-3547
(ucs-set-char #x5505 ?$(H.@(B) ; C02-H-2E40
(ucs-set-char #x5506 ?$(C^J(B) ; KS0-C-5E4A
(ucs-set-char #x5506 ?$(GTY(B) ; C01-G-5459
(ucs-set-char #x5506 ?$@:6(B) ; J78-@-3A36
(ucs-set-char #x5506 ?$AKt(B) ; GB0-A-4B74
(ucs-set-char #x5506 ?$B:6(B) ; J83-B-3A36
(ucs-set-char #x5507 ?$(CrF(B) ; KS0-C-7246
(ucs-set-char #x5507 ?$(GTd(B) ; C01-G-5464
(ucs-set-char #x5507 ?$@?0(B) ; J78-@-3F30
(ucs-set-char #x5507 ?$A4=(B) ; GB0-A-343D
(ucs-set-char #x5507 ?$B?0(B) ; J83-B-3F30
(ucs-set-char #x5508 ?$(D5H(B) ; J90-D-3548
(ucs-set-char #x5508 ?$(H.=(B) ; C02-H-2E3D
(ucs-set-char #x5509 ?$(D5I(B) ; J90-D-3549
(ucs-set-char #x5509 ?$(GT_(B) ; C01-G-545F
(ucs-set-char #x5509 ?$A0&(B) ; GB0-A-3026
(ucs-set-char #x550A ?$(H.B(B) ; C02-H-2E42
(ucs-set-char #x550B ?$(H.I(B) ; C02-H-2E49
(ucs-set-char #x550C ?$(D5J(B) ; J90-D-354A
(ucs-set-char #x550C ?$(H4$(B) ; C02-H-3424
(ucs-set-char #x550D ?$(D5K(B) ; J90-D-354B
(ucs-set-char #x550D ?$(I/s(B) ; C03-I-2F73
(ucs-set-char #x550E ?$(CWZ(B) ; KS0-C-575A
(ucs-set-char #x550E ?$(D5L(B) ; J90-D-354C
(ucs-set-char #x550E ?$(H.G(B) ; C02-H-2E47
(ucs-set-char #x550F ?$(GTf(B) ; C01-G-5466
(ucs-set-char #x550F ?$@S)(B) ; J78-@-5329
(ucs-set-char #x550F ?$A_q(B) ; GB0-A-5F71
(ucs-set-char #x550F ?$BS)(B) ; J83-B-5329
(ucs-set-char #x5510 ?$(CSP(B) ; KS0-C-5350
(ucs-set-char #x5510 ?$(GTS(B) ; C01-G-5453
(ucs-set-char #x5510 ?$(L5~(B) ; C06-L-357E
(ucs-set-char #x5510 ?$@Eb(B) ; J78-@-4562
(ucs-set-char #x5510 ?$ALF(B) ; GB0-A-4C46
(ucs-set-char #x5510 ?$BEb(B) ; J83-B-4562
(ucs-set-char #x5511 ?$(H.?(B) ; C02-H-2E3F
(ucs-set-char #x5511 ?$A_r(B) ; GB0-A-5F72
(ucs-set-char #x5512 ?$(H.6(B) ; C02-H-2E36
(ucs-set-char #x5513 ?$(I/v(B) ; C03-I-2F76
(ucs-set-char #x5514 ?$(GT[(B) ; C01-G-545B
(ucs-set-char #x5514 ?$@S*(B) ; J78-@-532A
(ucs-set-char #x5514 ?$A_m(B) ; GB0-A-5F6D
(ucs-set-char #x5514 ?$BS*(B) ; J83-B-532A
(ucs-set-char #x5515 ?$(D5M(B) ; J90-D-354D
(ucs-set-char #x5515 ?$(J,((B) ; C04-J-2C28
(ucs-set-char #x5516 ?$(J,.(B) ; C04-J-2C2E
(ucs-set-char #x5516 ?$B0"(B) ; J83-B-3022
(ucs-set-char #x5517 ?$(H.5(B) ; C02-H-2E35
(ucs-set-char #x5518 ?$(I/~(B) ; C03-I-2F7E
(ucs-set-char #x5519 ?$(I0%(B) ; C03-I-3025
(ucs-set-char #x551A ?$(H.:(B) ; C02-H-2E3A
(ucs-set-char #x551B ?$A_i(B) ; GB0-A-5F69
(ucs-set-char #x551C ?$(CXE(B) ; KS0-C-5845
(ucs-set-char #x5520 ?$A_k(B) ; GB0-A-5F6B
(ucs-set-char #x5522 ?$A_o(B) ; GB0-A-5F6F
(ucs-set-char #x5523 ?$A_p(B) ; GB0-A-5F70
(ucs-set-char #x5524 ?$A;=(B) ; GB0-A-3B3D
(ucs-set-char #x5526 ?$(H.3(B) ; C02-H-2E33
(ucs-set-char #x5527 ?$(GTc(B) ; C01-G-5463
(ucs-set-char #x5527 ?$A_s(B) ; GB0-A-5F73
(ucs-set-char #x5529 ?$(I4_(B) ; C03-I-345F
(ucs-set-char #x552A ?$(D5N(B) ; J90-D-354E
(ucs-set-char #x552A ?$(H3z(B) ; C02-H-337A
(ucs-set-char #x552A ?$A_t(B) ; GB0-A-5F74
(ucs-set-char #x552B ?$(D5O(B) ; J90-D-354F
(ucs-set-char #x552B ?$(I4h(B) ; C03-I-3468
(ucs-set-char #x552C ?$(GYI(B) ; C01-G-5949
(ucs-set-char #x552C ?$A;#(B) ; GB0-A-3B23
(ucs-set-char #x552D ?$(H4*(B) ; C02-H-342A
(ucs-set-char #x552E ?$(GYG(B) ; C01-G-5947
(ucs-set-char #x552E ?$@S4(B) ; J78-@-5334
(ucs-set-char #x552E ?$AJ[(B) ; GB0-A-4A5B
(ucs-set-char #x552E ?$BS4(B) ; J83-B-5334
(ucs-set-char #x552F ?$(Cjf(B) ; KS0-C-6A66
(ucs-set-char #x552F ?$(GYD(B) ; C01-G-5944
(ucs-set-char #x552F ?$@M#(B) ; J78-@-4D23
(ucs-set-char #x552F ?$AN((B) ; GB0-A-4E28
(ucs-set-char #x552F ?$BM#(B) ; J83-B-4D23
(ucs-set-char #x5530 ?$(H4!(B) ; C02-H-3421
(ucs-set-char #x5530 ?$A`'(B) ; GB0-A-6027
(ucs-set-char #x5531 ?$(Cs](B) ; KS0-C-735D
(ucs-set-char #x5531 ?$(GY@(B) ; C01-G-5940
(ucs-set-char #x5531 ?$@>'(B) ; J78-@-3E27
(ucs-set-char #x5531 ?$A3*(B) ; GB0-A-332A
(ucs-set-char #x5531 ?$B>'(B) ; J83-B-3E27
(ucs-set-char #x5532 ?$(D5P(B) ; J90-D-3550
(ucs-set-char #x5532 ?$(H4%(B) ; C02-H-3425
(ucs-set-char #x5533 ?$(GYK(B) ; C01-G-594B
(ucs-set-char #x5533 ?$@S:(B) ; J78-@-533A
(ucs-set-char #x5533 ?$A`&(B) ; GB0-A-6026
(ucs-set-char #x5533 ?$BS:(B) ; J83-B-533A
(ucs-set-char #x5534 ?$(H3y(B) ; C02-H-3379
(ucs-set-char #x5535 ?$(CdZ(B) ; KS0-C-645A
(ucs-set-char #x5535 ?$(D5Q(B) ; J90-D-3551
(ucs-set-char #x5535 ?$(H3~(B) ; C02-H-337E
(ucs-set-char #x5536 ?$(D5R(B) ; J90-D-3552
(ucs-set-char #x5536 ?$(H3}(B) ; C02-H-337D
(ucs-set-char #x5537 ?$(GTU(B) ; C01-G-5455
(ucs-set-char #x5537 ?$A`!(B) ; GB0-A-6021
(ucs-set-char #x5538 ?$(GYF(B) ; C01-G-5946
(ucs-set-char #x5538 ?$@S9(B) ; J78-@-5339
(ucs-set-char #x5538 ?$BS9(B) ; J83-B-5339
(ucs-set-char #x5539 ?$(H4((B) ; C02-H-3428
(ucs-set-char #x5539 ?$@S0(B) ; J78-@-5330
(ucs-set-char #x5539 ?$BS0(B) ; J83-B-5330
(ucs-set-char #x553A ?$(I4f(B) ; C03-I-3466
(ucs-set-char #x553B ?$(D5S(B) ; J90-D-3553
(ucs-set-char #x553B ?$(H4+(B) ; C02-H-342B
(ucs-set-char #x553C ?$(D5T(B) ; J90-D-3554
(ucs-set-char #x553C ?$(H3v(B) ; C02-H-3376
(ucs-set-char #x553C ?$A_~(B) ; GB0-A-5F7E
(ucs-set-char #x553D ?$(D5U(B) ; J90-D-3555
(ucs-set-char #x553D ?$(J0w(B) ; C04-J-3077
(ucs-set-char #x553E ?$(Cvd(B) ; KS0-C-7664
(ucs-set-char #x553E ?$(G^N(B) ; C01-G-5E4E
(ucs-set-char #x553E ?$@BC(B) ; J78-@-4243
(ucs-set-char #x553E ?$AMY(B) ; GB0-A-4D59
(ucs-set-char #x553E ?$BBC(B) ; J83-B-4243
(ucs-set-char #x553F ?$(I4g(B) ; C03-I-3467
(ucs-set-char #x553F ?$A_|(B) ; GB0-A-5F7C
(ucs-set-char #x5540 ?$(H4,(B) ; C02-H-342C
(ucs-set-char #x5540 ?$@S1(B) ; J78-@-5331
(ucs-set-char #x5540 ?$BS1(B) ; J83-B-5331
(ucs-set-char #x5541 ?$(D5V(B) ; J90-D-3556
(ucs-set-char #x5541 ?$(GYL(B) ; C01-G-594C
(ucs-set-char #x5541 ?$A_z(B) ; GB0-A-5F7A
(ucs-set-char #x5542 ?$(J0r(B) ; C04-J-3072
(ucs-set-char #x5543 ?$(GY>(B) ; C01-G-593E
(ucs-set-char #x5543 ?$A?P(B) ; GB0-A-3F50
(ucs-set-char #x5544 ?$(Cvr(B) ; KS0-C-7672
(ucs-set-char #x5544 ?$(GY;(B) ; C01-G-593B
(ucs-set-char #x5544 ?$@Bo(B) ; J78-@-426F
(ucs-set-char #x5544 ?$AWD(B) ; GB0-A-5744
(ucs-set-char #x5544 ?$BBo(B) ; J83-B-426F
(ucs-set-char #x5545 ?$(H4#(B) ; C02-H-3423
(ucs-set-char #x5545 ?$@S6(B) ; J78-@-5336
(ucs-set-char #x5545 ?$BS6(B) ; J83-B-5336
(ucs-set-char #x5546 ?$(C_B(B) ; KS0-C-5F42
(ucs-set-char #x5546 ?$(GY8(B) ; C01-G-5938
(ucs-set-char #x5546 ?$@>&(B) ; J78-@-3E26
(ucs-set-char #x5546 ?$AIL(B) ; GB0-A-494C
(ucs-set-char #x5546 ?$B>&(B) ; J83-B-3E26
(ucs-set-char #x5547 ?$(D5W(B) ; J90-D-3557
(ucs-set-char #x5547 ?$(J0t(B) ; C04-J-3074
(ucs-set-char #x5548 ?$(H4)(B) ; C02-H-3429
(ucs-set-char #x5549 ?$(D5X(B) ; J90-D-3558
(ucs-set-char #x5549 ?$(I4[(B) ; C03-I-345B
(ucs-set-char #x5549 ?$A_x(B) ; GB0-A-5F78
(ucs-set-char #x554A ?$(D5Y(B) ; J90-D-3559
(ucs-set-char #x554A ?$(GY?(B) ; C01-G-593F
(ucs-set-char #x554A ?$A0!(B) ; GB0-A-3021
(ucs-set-char #x554B ?$(H4-(B) ; C02-H-342D
(ucs-set-char #x554C ?$(I4X(B) ; C03-I-3458
(ucs-set-char #x554C ?$@S3(B) ; J78-@-5333
(ucs-set-char #x554C ?$BS3(B) ; J83-B-5333
(ucs-set-char #x554D ?$(D5Z(B) ; J90-D-355A
(ucs-set-char #x554D ?$(H3w(B) ; C02-H-3377
(ucs-set-char #x554E ?$(H4'(B) ; C02-H-3427
(ucs-set-char #x554F ?$(CY}(B) ; KS0-C-597D
(ucs-set-char #x554F ?$(GYB(B) ; C01-G-5942
(ucs-set-char #x554F ?$@Ld(B) ; J78-@-4C64
(ucs-set-char #x554F ?$BLd(B) ; J83-B-4C64
(ucs-set-char #x5550 ?$(D5[(B) ; J90-D-355B
(ucs-set-char #x5550 ?$(H3x(B) ; C02-H-3378
(ucs-set-char #x5550 ?$A_}(B) ; GB0-A-5F7D
(ucs-set-char #x5551 ?$(D5\(B) ; J90-D-355C
(ucs-set-char #x5551 ?$(H3{(B) ; C02-H-337B
(ucs-set-char #x5552 ?$(H4"(B) ; C02-H-3422
(ucs-set-char #x5553 ?$(CLv(B) ; KS0-C-4C76
(ucs-set-char #x5553 ?$(I4b(B) ; C03-I-3462
(ucs-set-char #x5553 ?$@7<(B) ; J78-@-373C
(ucs-set-char #x5553 ?$B7<(B) ; J83-B-373C
(ucs-set-char #x5554 ?$(I4a(B) ; C03-I-3461
(ucs-set-char #x5555 ?$(GYC(B) ; C01-G-5943
(ucs-set-char #x5555 ?$A_{(B) ; GB0-A-5F7B
(ucs-set-char #x5556 ?$(CS:(B) ; KS0-C-533A
(ucs-set-char #x5556 ?$(GYA(B) ; C01-G-5941
(ucs-set-char #x5556 ?$@S7(B) ; J78-@-5337
(ucs-set-char #x5556 ?$A`"(B) ; GB0-A-6022
(ucs-set-char #x5556 ?$BS7(B) ; J83-B-5337
(ucs-set-char #x5557 ?$(GYM(B) ; C01-G-594D
(ucs-set-char #x5557 ?$@S8(B) ; J78-@-5338
(ucs-set-char #x5557 ?$BS8(B) ; J83-B-5338
(ucs-set-char #x5558 ?$(D5](B) ; J90-D-355D
(ucs-set-char #x5558 ?$(I4W(B) ; C03-I-3457
(ucs-set-char #x5559 ?$(I:6(B) ; C03-I-3A36
(ucs-set-char #x555A ?$(D5^(B) ; J90-D-355E
(ucs-set-char #x555A ?$(I4d(B) ; C03-I-3464
(ucs-set-char #x555B ?$(D5_(B) ; J90-D-355F
(ucs-set-char #x555B ?$(J0k(B) ; C04-J-306B
(ucs-set-char #x555C ?$(GYH(B) ; C01-G-5948
(ucs-set-char #x555C ?$@S5(B) ; J78-@-5335
(ucs-set-char #x555C ?$A`((B) ; GB0-A-6028
(ucs-set-char #x555C ?$BS5(B) ; J83-B-5335
(ucs-set-char #x555D ?$(I4^(B) ; C03-I-345E
(ucs-set-char #x555D ?$@S;(B) ; J78-@-533B
(ucs-set-char #x555D ?$BS;(B) ; J83-B-533B
(ucs-set-char #x555E ?$(Cd/(B) ; KS0-C-642F
(ucs-set-char #x555E ?$(D5`(B) ; J90-D-3560
(ucs-set-char #x555E ?$(GY<(B) ; C01-G-593C
(ucs-set-char #x555E ?$@0"(B) ; J78-@-3022
(ucs-set-char #x555F ?$(GZv(B) ; C01-G-5A76
(ucs-set-char #x5560 ?$(D5a(B) ; J90-D-3561
(ucs-set-char #x5560 ?$(J0z(B) ; C04-J-307A
(ucs-set-char #x5561 ?$(D5b(B) ; J90-D-3562
(ucs-set-char #x5561 ?$(GY=(B) ; C01-G-593D
(ucs-set-char #x5561 ?$A7H(B) ; GB0-A-3748
(ucs-set-char #x5562 ?$(H3|(B) ; C02-H-337C
(ucs-set-char #x5563 ?$(Cya(B) ; KS0-C-7961
(ucs-set-char #x5563 ?$(GYJ(B) ; C01-G-594A
(ucs-set-char #x5563 ?$@S2(B) ; J78-@-5332
(ucs-set-char #x5563 ?$BS2(B) ; J83-B-5332
(ucs-set-char #x5564 ?$(D5c(B) ; J90-D-3563
(ucs-set-char #x5564 ?$(GYE(B) ; C01-G-5945
(ucs-set-char #x5564 ?$AF!(B) ; GB0-A-4621
(ucs-set-char #x5565 ?$(H4&(B) ; C02-H-3426
(ucs-set-char #x5565 ?$AI6(B) ; GB0-A-4936
(ucs-set-char #x5566 ?$(D5d(B) ; J90-D-3564
(ucs-set-char #x5566 ?$(GY:(B) ; C01-G-593A
(ucs-set-char #x5566 ?$A@2(B) ; GB0-A-4032
(ucs-set-char #x5567 ?$A_u(B) ; GB0-A-5F75
(ucs-set-char #x5568 ?$(I4Y(B) ; C03-I-3459
(ucs-set-char #x556A ?$(GY9(B) ; C01-G-5939
(ucs-set-char #x556A ?$AE>(B) ; GB0-A-453E
(ucs-set-char #x556C ?$AXD(B) ; GB0-A-5844
(ucs-set-char #x556D ?$A_y(B) ; GB0-A-5F79
(ucs-set-char #x556E ?$ADv(B) ; GB0-A-4476
(ucs-set-char #x5575 ?$(H3t(B) ; C02-H-3374
(ucs-set-char #x5575 ?$A`#(B) ; GB0-A-6023
(ucs-set-char #x5576 ?$(H3u(B) ; C02-H-3375
(ucs-set-char #x5576 ?$A`$(B) ; GB0-A-6024
(ucs-set-char #x5577 ?$(H:N(B) ; C02-H-3A4E
(ucs-set-char #x5577 ?$A`%(B) ; GB0-A-6025
(ucs-set-char #x5578 ?$AP%(B) ; GB0-A-5025
(ucs-set-char #x557A ?$(I:<(B) ; C03-I-3A3C
(ucs-set-char #x557B ?$(G^=(B) ; C01-G-5E3D
(ucs-set-char #x557B ?$@SA(B) ; J78-@-5341
(ucs-set-char #x557B ?$A`4(B) ; GB0-A-6034
(ucs-set-char #x557B ?$BSA(B) ; J83-B-5341
(ucs-set-char #x557C ?$(Cp&(B) ; KS0-C-7026
(ucs-set-char #x557C ?$(G^@(B) ; C01-G-5E40
(ucs-set-char #x557C ?$@SF(B) ; J78-@-5346
(ucs-set-char #x557C ?$ALd(B) ; GB0-A-4C64
(ucs-set-char #x557C ?$BSF(B) ; J83-B-5346
(ucs-set-char #x557D ?$(H:Y(B) ; C02-H-3A59
(ucs-set-char #x557E ?$(G^T(B) ; C01-G-5E54
(ucs-set-char #x557E ?$@SB(B) ; J78-@-5342
(ucs-set-char #x557E ?$A`1(B) ; GB0-A-6031
(ucs-set-char #x557E ?$BSB(B) ; J83-B-5342
(ucs-set-char #x557F ?$(D5e(B) ; J90-D-3565
(ucs-set-char #x557F ?$(H:\(B) ; C02-H-3A5C
(ucs-set-char #x5580 ?$(CKS(B) ; KS0-C-4B53
(ucs-set-char #x5580 ?$(G^>(B) ; C01-G-5E3E
(ucs-set-char #x5580 ?$@S=(B) ; J78-@-533D
(ucs-set-char #x5580 ?$A?&(B) ; GB0-A-3F26
(ucs-set-char #x5580 ?$BS=(B) ; J83-B-533D
(ucs-set-char #x5581 ?$(D5f(B) ; J90-D-3566
(ucs-set-char #x5581 ?$(H:U(B) ; C02-H-3A55
(ucs-set-char #x5581 ?$A`/(B) ; GB0-A-602F
(ucs-set-char #x5582 ?$(D5g(B) ; J90-D-3567
(ucs-set-char #x5582 ?$(G^D(B) ; C01-G-5E44
(ucs-set-char #x5582 ?$AN9(B) ; GB0-A-4E39
(ucs-set-char #x5583 ?$(G^J(B) ; C01-G-5E4A
(ucs-set-char #x5583 ?$@SG(B) ; J78-@-5347
(ucs-set-char #x5583 ?$A`+(B) ; GB0-A-602B
(ucs-set-char #x5583 ?$BSG(B) ; J83-B-5347
(ucs-set-char #x5584 ?$(C`<(B) ; KS0-C-603C
(ucs-set-char #x5584 ?$(GaC(B) ; C01-G-6143
(ucs-set-char #x5584 ?$(LG*(B) ; C06-L-472A
(ucs-set-char #x5584 ?$@A1(B) ; J78-@-4131
(ucs-set-char #x5584 ?$AIF(B) ; GB0-A-4946
(ucs-set-char #x5584 ?$BA1(B) ; J83-B-4131
(ucs-set-char #x5585 ?$(I:1(B) ; C03-I-3A31
(ucs-set-char #x5586 ?$(CtJ(B) ; KS0-C-744A
(ucs-set-char #x5586 ?$(D5h(B) ; J90-D-3568
(ucs-set-char #x5586 ?$(I:8(B) ; C03-I-3A38
(ucs-set-char #x5587 ?$(CTz(B) ; KS0-C-547A
(ucs-set-char #x5587 ?$(G^H(B) ; C01-G-5E48
(ucs-set-char #x5587 ?$@SI(B) ; J78-@-5349
(ucs-set-char #x5587 ?$A@.(B) ; GB0-A-402E
(ucs-set-char #x5587 ?$BSI(B) ; J83-B-5349
(ucs-set-char #x5588 ?$(D5i(B) ; J90-D-3569
(ucs-set-char #x5588 ?$(H:R(B) ; C02-H-3A52
(ucs-set-char #x5588 ?$A`.(B) ; GB0-A-602E
(ucs-set-char #x5589 ?$(C}*(B) ; KS0-C-7D2A
(ucs-set-char #x5589 ?$(G^U(B) ; C01-G-5E55
(ucs-set-char #x5589 ?$@9"(B) ; J78-@-3922
(ucs-set-char #x5589 ?$A:m(B) ; GB0-A-3A6D
(ucs-set-char #x5589 ?$B9"(B) ; J83-B-3922
(ucs-set-char #x558A ?$(Cyb(B) ; KS0-C-7962
(ucs-set-char #x558A ?$(G^A(B) ; C01-G-5E41
(ucs-set-char #x558A ?$@S?(B) ; J78-@-533F
(ucs-set-char #x558A ?$A:0(B) ; GB0-A-3A30
(ucs-set-char #x558A ?$BS?(B) ; J83-B-533F
(ucs-set-char #x558B ?$(G^I(B) ; C01-G-5E49
(ucs-set-char #x558B ?$@C}(B) ; J78-@-437D
(ucs-set-char #x558B ?$A`)(B) ; GB0-A-6029
(ucs-set-char #x558B ?$BC}(B) ; J83-B-437D
(ucs-set-char #x558C ?$(H:Z(B) ; C02-H-3A5A
(ucs-set-char #x558D ?$(HA|(B) ; C02-H-417C
(ucs-set-char #x558E ?$(D5j(B) ; J90-D-356A
(ucs-set-char #x558E ?$(H:_(B) ; C02-H-3A5F
(ucs-set-char #x558F ?$(D5k(B) ; J90-D-356B
(ucs-set-char #x558F ?$(H:S(B) ; C02-H-3A53
(ucs-set-char #x558F ?$A_v(B) ; GB0-A-5F76
(ucs-set-char #x5590 ?$(J6\(B) ; C04-J-365C
(ucs-set-char #x5591 ?$(D5l(B) ; J90-D-356C
(ucs-set-char #x5591 ?$(H:J(B) ; C02-H-3A4A
(ucs-set-char #x5591 ?$A`3(B) ; GB0-A-6033
(ucs-set-char #x5592 ?$(D5m(B) ; J90-D-356D
(ucs-set-char #x5592 ?$(H:W(B) ; C02-H-3A57
(ucs-set-char #x5593 ?$(D5n(B) ; J90-D-356E
(ucs-set-char #x5593 ?$(H:Q(B) ; C02-H-3A51
(ucs-set-char #x5594 ?$(D5o(B) ; J90-D-356F
(ucs-set-char #x5594 ?$(G^G(B) ; C01-G-5E47
(ucs-set-char #x5594 ?$A`8(B) ; GB0-A-6038
(ucs-set-char #x5595 ?$(H:](B) ; C02-H-3A5D
(ucs-set-char #x5596 ?$(I:.(B) ; C03-I-3A2E
(ucs-set-char #x5597 ?$(D5p(B) ; J90-D-3570
(ucs-set-char #x5597 ?$(I:*(B) ; C03-I-3A2A
(ucs-set-char #x5598 ?$(Ct7(B) ; KS0-C-7437
(ucs-set-char #x5598 ?$(G^C(B) ; C01-G-5E43
(ucs-set-char #x5598 ?$@SC(B) ; J78-@-5343
(ucs-set-char #x5598 ?$A4-(B) ; GB0-A-342D
(ucs-set-char #x5598 ?$BSC(B) ; J83-B-5343
(ucs-set-char #x5599 ?$(C}B(B) ; KS0-C-7D42
(ucs-set-char #x5599 ?$(G^W(B) ; C01-G-5E57
(ucs-set-char #x5599 ?$@S<(B) ; J78-@-533C
(ucs-set-char #x5599 ?$A`9(B) ; GB0-A-6039
(ucs-set-char #x5599 ?$BS<(B) ; J83-B-533C
(ucs-set-char #x559A ?$(C|0(B) ; KS0-C-7C30
(ucs-set-char #x559A ?$(G^P(B) ; C01-G-5E50
(ucs-set-char #x559A ?$@4-(B) ; J78-@-342D
(ucs-set-char #x559A ?$B4-(B) ; J83-B-342D
(ucs-set-char #x559B ?$(I:3(B) ; C03-I-3A33
(ucs-set-char #x559C ?$(C}l(B) ; KS0-C-7D6C
(ucs-set-char #x559C ?$(G^E(B) ; C01-G-5E45
(ucs-set-char #x559C ?$@4n(B) ; J78-@-346E
(ucs-set-char #x559C ?$AO2(B) ; GB0-A-4F32
(ucs-set-char #x559C ?$B4n(B) ; J83-B-346E
(ucs-set-char #x559D ?$(CJb(B) ; KS0-C-4A62
(ucs-set-char #x559D ?$(G^B(B) ; C01-G-5E42
(ucs-set-char #x559D ?$@3e(B) ; J78-@-3365
(ucs-set-char #x559D ?$A:H(B) ; GB0-A-3A48
(ucs-set-char #x559D ?$B3e(B) ; J83-B-3365
(ucs-set-char #x559E ?$(I:@(B) ; C03-I-3A40
(ucs-set-char #x559E ?$@SD(B) ; J78-@-5344
(ucs-set-char #x559E ?$BSD(B) ; J83-B-5344
(ucs-set-char #x559F ?$(G^M(B) ; C01-G-5E4D
(ucs-set-char #x559F ?$@S@(B) ; J78-@-5340
(ucs-set-char #x559F ?$A`0(B) ; GB0-A-6030
(ucs-set-char #x559F ?$BS@(B) ; J83-B-5340
(ucs-set-char #x55A0 ?$(I:4(B) ; C03-I-3A34
(ucs-set-char #x55A1 ?$(H:^(B) ; C02-H-3A5E
(ucs-set-char #x55A2 ?$(H:P(B) ; C02-H-3A50
(ucs-set-char #x55A3 ?$(D5q(B) ; J90-D-3571
(ucs-set-char #x55A3 ?$(H:V(B) ; C02-H-3A56
(ucs-set-char #x55A4 ?$(D5r(B) ; J90-D-3572
(ucs-set-char #x55A4 ?$(H:X(B) ; C02-H-3A58
(ucs-set-char #x55A5 ?$(H:L(B) ; C02-H-3A4C
(ucs-set-char #x55A6 ?$(H:[(B) ; C02-H-3A5B
(ucs-set-char #x55A7 ?$(C}=(B) ; KS0-C-7D3D
(ucs-set-char #x55A7 ?$(G^?(B) ; C01-G-5E3F
(ucs-set-char #x55A7 ?$@7v(B) ; J78-@-3776
(ucs-set-char #x55A7 ?$APz(B) ; GB0-A-507A
(ucs-set-char #x55A7 ?$B7v(B) ; J83-B-3776
(ucs-set-char #x55A8 ?$(H:K(B) ; C02-H-3A4B
(ucs-set-char #x55A8 ?$@SJ(B) ; J78-@-534A
(ucs-set-char #x55A8 ?$BSJ(B) ; J83-B-534A
(ucs-set-char #x55A9 ?$(Cjg(B) ; KS0-C-6A67
(ucs-set-char #x55A9 ?$(I:B(B) ; C03-I-3A42
(ucs-set-char #x55A9 ?$@SH(B) ; J78-@-5348
(ucs-set-char #x55A9 ?$BSH(B) ; J83-B-5348
(ucs-set-char #x55AA ?$(C_C(B) ; KS0-C-5F43
(ucs-set-char #x55AA ?$(G^F(B) ; C01-G-5E46
(ucs-set-char #x55AA ?$@AS(B) ; J78-@-4153
(ucs-set-char #x55AA ?$BAS(B) ; J83-B-4153
(ucs-set-char #x55AB ?$(CQR(B) ; KS0-C-5152
(ucs-set-char #x55AB ?$(G^V(B) ; C01-G-5E56
(ucs-set-char #x55AB ?$(LG1(B) ; C06-L-4731
(ucs-set-char #x55AB ?$@5J(B) ; J78-@-354A
(ucs-set-char #x55AB ?$B5J(B) ; J83-B-354A
(ucs-set-char #x55AC ?$(CNb(B) ; KS0-C-4E62
(ucs-set-char #x55AC ?$(G^R(B) ; C01-G-5E52
(ucs-set-char #x55AC ?$@6,(B) ; J78-@-362C
(ucs-set-char #x55AC ?$B6,(B) ; J83-B-362C
(ucs-set-char #x55AD ?$(D5s(B) ; J90-D-3573
(ucs-set-char #x55AD ?$(H:M(B) ; C02-H-3A4D
(ucs-set-char #x55AE ?$(CS$(B) ; KS0-C-5324
(ucs-set-char #x55AE ?$(G^L(B) ; C01-G-5E4C
(ucs-set-char #x55AE ?$@SE(B) ; J78-@-5345
(ucs-set-char #x55AE ?$BSE(B) ; J83-B-5345
(ucs-set-char #x55AF ?$(I:;(B) ; C03-I-3A3B
(ucs-set-char #x55B0 ?$@6t(B) ; J78-@-3674
(ucs-set-char #x55B0 ?$B6t(B) ; J83-B-3674
(ucs-set-char #x55B1 ?$(G^S(B) ; C01-G-5E53
(ucs-set-char #x55B1 ?$A`,(B) ; GB0-A-602C
(ucs-set-char #x55B2 ?$(D5t(B) ; J90-D-3574
(ucs-set-char #x55B2 ?$(G^O(B) ; C01-G-5E4F
(ucs-set-char #x55B3 ?$(G^K(B) ; C01-G-5E4B
(ucs-set-char #x55B3 ?$AT{(B) ; GB0-A-547B
(ucs-set-char #x55B4 ?$(I:/(B) ; C03-I-3A2F
(ucs-set-char #x55B5 ?$(H:T(B) ; C02-H-3A54
(ucs-set-char #x55B5 ?$A_w(B) ; GB0-A-5F77
(ucs-set-char #x55B6 ?$(LG)(B) ; C06-L-4729
(ucs-set-char #x55B6 ?$@1D(B) ; J78-@-3144
(ucs-set-char #x55B6 ?$B1D(B) ; J83-B-3144
(ucs-set-char #x55B7 ?$AEg(B) ; GB0-A-4567
(ucs-set-char #x55B9 ?$A`-(B) ; GB0-A-602D
(ucs-set-char #x55BB ?$(G^Q(B) ; C01-G-5E51
(ucs-set-char #x55BB ?$ASw(B) ; GB0-A-5377
(ucs-set-char #x55BD ?$A`6(B) ; GB0-A-6036
(ucs-set-char #x55BE ?$A`7(B) ; GB0-A-6037
(ucs-set-char #x55BF ?$(D5u(B) ; J90-D-3575
(ucs-set-char #x55BF ?$(HAz(B) ; C02-H-417A
(ucs-set-char #x55C0 ?$(HAv(B) ; C02-H-4176
(ucs-set-char #x55C1 ?$(D5v(B) ; J90-D-3576
(ucs-set-char #x55C1 ?$(I@Q(B) ; C03-I-4051
(ucs-set-char #x55C2 ?$(HB'(B) ; C02-H-4227
(ucs-set-char #x55C3 ?$(D5w(B) ; J90-D-3577
(ucs-set-char #x55C3 ?$(HAo(B) ; C02-H-416F
(ucs-set-char #x55C4 ?$(HAx(B) ; C02-H-4178
(ucs-set-char #x55C4 ?$@SN(B) ; J78-@-534E
(ucs-set-char #x55C4 ?$A`D(B) ; GB0-A-6044
(ucs-set-char #x55C4 ?$BSN(B) ; J83-B-534E
(ucs-set-char #x55C5 ?$(C}+(B) ; KS0-C-7D2B
(ucs-set-char #x55C5 ?$(GcL(B) ; C01-G-634C
(ucs-set-char #x55C5 ?$@SL(B) ; J78-@-534C
(ucs-set-char #x55C5 ?$APa(B) ; GB0-A-5061
(ucs-set-char #x55C5 ?$BSL(B) ; J83-B-534C
(ucs-set-char #x55C6 ?$(D5x(B) ; J90-D-3578
(ucs-set-char #x55C6 ?$(GcM(B) ; C01-G-634D
(ucs-set-char #x55C7 ?$(C_`(B) ; KS0-C-5F60
(ucs-set-char #x55C7 ?$(GcE(B) ; C01-G-6345
(ucs-set-char #x55C7 ?$@T'(B) ; J78-@-5427
(ucs-set-char #x55C7 ?$BT'(B) ; J83-B-5427
(ucs-set-char #x55C8 ?$(HB#(B) ; C02-H-4223
(ucs-set-char #x55C9 ?$(D5y(B) ; J90-D-3579
(ucs-set-char #x55C9 ?$(GcO(B) ; C01-G-634F
(ucs-set-char #x55C9 ?$A`<(B) ; GB0-A-603C
(ucs-set-char #x55CA ?$(HAt(B) ; C02-H-4174
(ucs-set-char #x55CB ?$(D5z(B) ; J90-D-357A
(ucs-set-char #x55CB ?$(HAs(B) ; C02-H-4173
(ucs-set-char #x55CC ?$(D5{(B) ; J90-D-357B
(ucs-set-char #x55CC ?$(HAq(B) ; C02-H-4171
(ucs-set-char #x55CC ?$A`I(B) ; GB0-A-6049
(ucs-set-char #x55CD ?$(HB%(B) ; C02-H-4225
(ucs-set-char #x55CD ?$A`J(B) ; GB0-A-604A
(ucs-set-char #x55CE ?$(D5|(B) ; J90-D-357C
(ucs-set-char #x55CE ?$(GcC(B) ; C01-G-6343
(ucs-set-char #x55CF ?$(HA}(B) ; C02-H-417D
(ucs-set-char #x55D0 ?$(HAr(B) ; C02-H-4172
(ucs-set-char #x55D1 ?$(D5}(B) ; J90-D-357D
(ucs-set-char #x55D1 ?$(GcF(B) ; C01-G-6346
(ucs-set-char #x55D1 ?$A`>(B) ; GB0-A-603E
(ucs-set-char #x55D2 ?$(D5~(B) ; J90-D-357E
(ucs-set-char #x55D2 ?$(HA{(B) ; C02-H-417B
(ucs-set-char #x55D2 ?$A`*(B) ; GB0-A-602A
(ucs-set-char #x55D3 ?$(D6!(B) ; J90-D-3621
(ucs-set-char #x55D3 ?$(GcA(B) ; C01-G-6341
(ucs-set-char #x55D3 ?$AI$(B) ; GB0-A-4924
(ucs-set-char #x55D4 ?$(CrG(B) ; KS0-C-7247
(ucs-set-char #x55D4 ?$(HAw(B) ; C02-H-4177
(ucs-set-char #x55D4 ?$@SQ(B) ; J78-@-5351
(ucs-set-char #x55D4 ?$A`A(B) ; GB0-A-6041
(ucs-set-char #x55D4 ?$BSQ(B) ; J83-B-5351
(ucs-set-char #x55D5 ?$(HA~(B) ; C02-H-417E
(ucs-set-char #x55D6 ?$(HB"(B) ; C02-H-4222
(ucs-set-char #x55D6 ?$A`2(B) ; GB0-A-6032
(ucs-set-char #x55D7 ?$(D6"(B) ; J90-D-3622
(ucs-set-char #x55D7 ?$(I@N(B) ; C03-I-404E
(ucs-set-char #x55D8 ?$(D6#(B) ; J90-D-3623
(ucs-set-char #x55D8 ?$(J<K(B) ; C04-J-3C4B
(ucs-set-char #x55D9 ?$(HB&(B) ; C02-H-4226
(ucs-set-char #x55DA ?$(Cgp(B) ; KS0-C-6770
(ucs-set-char #x55DA ?$(GcJ(B) ; C01-G-634A
(ucs-set-char #x55DA ?$@SK(B) ; J78-@-534B
(ucs-set-char #x55DA ?$BSK(B) ; J83-B-534B
(ucs-set-char #x55DB ?$(D6$(B) ; J90-D-3624
(ucs-set-char #x55DB ?$(HAp(B) ; C02-H-4170
(ucs-set-char #x55DC ?$(CPn(B) ; KS0-C-506E
(ucs-set-char #x55DC ?$(GcD(B) ; C01-G-6344
(ucs-set-char #x55DC ?$@SO(B) ; J78-@-534F
(ucs-set-char #x55DC ?$AJH(B) ; GB0-A-4A48
(ucs-set-char #x55DC ?$BSO(B) ; J83-B-534F
(ucs-set-char #x55DD ?$(HAu(B) ; C02-H-4175
(ucs-set-char #x55DD ?$A`C(B) ; GB0-A-6043
(ucs-set-char #x55DE ?$(D6%(B) ; J90-D-3625
(ucs-set-char #x55DE ?$(I:+(B) ; C03-I-3A2B
(ucs-set-char #x55DF ?$(Cs*(B) ; KS0-C-732A
(ucs-set-char #x55DF ?$(Gc?(B) ; C01-G-633F
(ucs-set-char #x55DF ?$@SM(B) ; J78-@-534D
(ucs-set-char #x55DF ?$A`5(B) ; GB0-A-6035
(ucs-set-char #x55DF ?$BSM(B) ; J83-B-534D
(ucs-set-char #x55E0 ?$(LQC(B) ; C06-L-5143
(ucs-set-char #x55E1 ?$(GcK(B) ; C01-G-634B
(ucs-set-char #x55E1 ?$ANK(B) ; GB0-A-4E4B
(ucs-set-char #x55E2 ?$(D6&(B) ; J90-D-3626
(ucs-set-char #x55E2 ?$(HB!(B) ; C02-H-4221
(ucs-set-char #x55E3 ?$(C^K(B) ; KS0-C-5E4B
(ucs-set-char #x55E3 ?$(GcG(B) ; C01-G-6347
(ucs-set-char #x55E3 ?$@;L(B) ; J78-@-3B4C
(ucs-set-char #x55E3 ?$AKC(B) ; GB0-A-4B43
(ucs-set-char #x55E3 ?$B;L(B) ; J83-B-3B4C
(ucs-set-char #x55E4 ?$(Cv8(B) ; KS0-C-7638
(ucs-set-char #x55E4 ?$(GcH(B) ; C01-G-6348
(ucs-set-char #x55E4 ?$@SP(B) ; J78-@-5350
(ucs-set-char #x55E4 ?$A`M(B) ; GB0-A-604D
(ucs-set-char #x55E4 ?$BSP(B) ; J83-B-5350
(ucs-set-char #x55E5 ?$(GcN(B) ; C01-G-634E
(ucs-set-char #x55E5 ?$A`F(B) ; GB0-A-6046
(ucs-set-char #x55E6 ?$(GcB(B) ; C01-G-6342
(ucs-set-char #x55E6 ?$A`B(B) ; GB0-A-6042
(ucs-set-char #x55E7 ?$(G#!(B) ; C01-G-2321
(ucs-set-char #x55E8 ?$(Gc@(B) ; C01-G-6340
(ucs-set-char #x55E8 ?$A`K(B) ; GB0-A-604B
(ucs-set-char #x55E9 ?$(D6'(B) ; J90-D-3627
(ucs-set-char #x55E9 ?$(HAy(B) ; C02-H-4179
(ucs-set-char #x55EA ?$(I@L(B) ; C03-I-404C
(ucs-set-char #x55EA ?$A`:(B) ; GB0-A-603A
(ucs-set-char #x55EB ?$A`?(B) ; GB0-A-603F
(ucs-set-char #x55EC ?$A`@(B) ; GB0-A-6040
(ucs-set-char #x55EF ?$(GcI(B) ; C01-G-6349
(ucs-set-char #x55EF ?$A`E(B) ; GB0-A-6045
(ucs-set-char #x55F2 ?$(HB$(B) ; C02-H-4224
(ucs-set-char #x55F2 ?$A`G(B) ; GB0-A-6047
(ucs-set-char #x55F3 ?$A`H(B) ; GB0-A-6048
(ucs-set-char #x55F5 ?$A`L(B) ; GB0-A-604C
(ucs-set-char #x55F6 ?$(D6((B) ; J90-D-3628
(ucs-set-char #x55F6 ?$(Gh5(B) ; C01-G-6835
(ucs-set-char #x55F7 ?$(Gh0(B) ; C01-G-6830
(ucs-set-char #x55F7 ?$@SS(B) ; J78-@-5353
(ucs-set-char #x55F7 ?$A`;(B) ; GB0-A-603B
(ucs-set-char #x55F7 ?$BSS(B) ; J83-B-5353
(ucs-set-char #x55F8 ?$(IF.(B) ; C03-I-462E
(ucs-set-char #x55F9 ?$(HI<(B) ; C02-H-493C
(ucs-set-char #x55F9 ?$@SX(B) ; J78-@-5358
(ucs-set-char #x55F9 ?$BSX(B) ; J83-B-5358
(ucs-set-char #x55FA ?$(HI8(B) ; C02-H-4938
(ucs-set-char #x55FB ?$(IF((B) ; C03-I-4628
(ucs-set-char #x55FC ?$(HI2(B) ; C02-H-4932
(ucs-set-char #x55FD ?$(Cau(B) ; KS0-C-6175
(ucs-set-char #x55FD ?$(Gh*(B) ; C01-G-682A
(ucs-set-char #x55FD ?$@SV(B) ; J78-@-5356
(ucs-set-char #x55FD ?$AKT(B) ; GB0-A-4B54
(ucs-set-char #x55FD ?$BSV(B) ; J83-B-5356
(ucs-set-char #x55FE ?$(Cq3(B) ; KS0-C-7133
(ucs-set-char #x55FE ?$(Gh&(B) ; C01-G-6826
(ucs-set-char #x55FE ?$@SU(B) ; J78-@-5355
(ucs-set-char #x55FE ?$A`U(B) ; GB0-A-6055
(ucs-set-char #x55FE ?$BSU(B) ; J83-B-5355
(ucs-set-char #x55FF ?$(D6)(B) ; J90-D-3629
(ucs-set-char #x55FF ?$(HI;(B) ; C02-H-493B
(ucs-set-char #x5600 ?$(Gh'(B) ; C01-G-6827
(ucs-set-char #x5600 ?$A`V(B) ; GB0-A-6056
(ucs-set-char #x5601 ?$(HI5(B) ; C02-H-4935
(ucs-set-char #x5601 ?$A`R(B) ; GB0-A-6052
(ucs-set-char #x5602 ?$(HI7(B) ; C02-H-4937
(ucs-set-char #x5603 ?$(IF)(B) ; C03-I-4629
(ucs-set-char #x5604 ?$(HI:(B) ; C02-H-493A
(ucs-set-char #x5605 ?$(D6*(B) ; J90-D-362A
(ucs-set-char #x5605 ?$(IF6(B) ; C03-I-4636
(ucs-set-char #x5606 ?$(Cw#(B) ; KS0-C-7723
(ucs-set-char #x5606 ?$(Gh,(B) ; C01-G-682C
(ucs-set-char #x5606 ?$(LQ6(B) ; C06-L-5136
(ucs-set-char #x5606 ?$@C2(B) ; J78-@-4332
(ucs-set-char #x5606 ?$BC2(B) ; J83-B-4332
(ucs-set-char #x5607 ?$(IF,(B) ; C03-I-462C
(ucs-set-char #x5608 ?$(D6+(B) ; J90-D-362B
(ucs-set-char #x5608 ?$(Gh3(B) ; C01-G-6833
(ucs-set-char #x5608 ?$A`P(B) ; GB0-A-6050
(ucs-set-char #x5609 ?$(CJ)(B) ; KS0-C-4A29
(ucs-set-char #x5609 ?$(Gh-(B) ; C01-G-682D
(ucs-set-char #x5609 ?$@2E(B) ; J78-@-3245
(ucs-set-char #x5609 ?$A<N(B) ; GB0-A-3C4E
(ucs-set-char #x5609 ?$B2E(B) ; J83-B-3245
(ucs-set-char #x560A ?$(D6,(B) ; J90-D-362C
(ucs-set-char #x560A ?$(JBW(B) ; C04-J-4257
(ucs-set-char #x560B ?$(IF*(B) ; C03-I-462A
(ucs-set-char #x560C ?$(HI0(B) ; C02-H-4930
(ucs-set-char #x560C ?$A`Q(B) ; GB0-A-6051
(ucs-set-char #x560D ?$(D6-(B) ; J90-D-362D
(ucs-set-char #x560D ?$(Gh.(B) ; C01-G-682E
(ucs-set-char #x560E ?$(D6.(B) ; J90-D-362E
(ucs-set-char #x560E ?$(Gh/(B) ; C01-G-682F
(ucs-set-char #x560E ?$A8B(B) ; GB0-A-3842
(ucs-set-char #x560F ?$(D6/(B) ; J90-D-362F
(ucs-set-char #x560F ?$(HI3(B) ; C02-H-4933
(ucs-set-char #x560F ?$AXE(B) ; GB0-A-5845
(ucs-set-char #x5610 ?$(D60(B) ; J90-D-3630
(ucs-set-char #x5610 ?$(Gh4(B) ; C01-G-6834
(ucs-set-char #x5611 ?$(D61(B) ; J90-D-3631
(ucs-set-char #x5611 ?$(IF4(B) ; C03-I-4634
(ucs-set-char #x5612 ?$(D62(B) ; J90-D-3632
(ucs-set-char #x5612 ?$(HI1(B) ; C02-H-4931
(ucs-set-char #x5613 ?$(HI6(B) ; C02-H-4936
(ucs-set-char #x5614 ?$(CO%(B) ; KS0-C-4F25
(ucs-set-char #x5614 ?$(Gh+(B) ; C01-G-682B
(ucs-set-char #x5614 ?$@SR(B) ; J78-@-5352
(ucs-set-char #x5614 ?$BSR(B) ; J83-B-5352
(ucs-set-char #x5615 ?$(HI/(B) ; C02-H-492F
(ucs-set-char #x5616 ?$(Gh1(B) ; C01-G-6831
(ucs-set-char #x5616 ?$@ST(B) ; J78-@-5354
(ucs-set-char #x5616 ?$BST(B) ; J83-B-5354
(ucs-set-char #x5617 ?$(C_D(B) ; KS0-C-5F44
(ucs-set-char #x5617 ?$(Gh)(B) ; C01-G-6829
(ucs-set-char #x5617 ?$@>((B) ; J78-@-3E28
(ucs-set-char #x5617 ?$B>((B) ; J83-B-3E28
(ucs-set-char #x5618 ?$(IF3(B) ; C03-I-4633
(ucs-set-char #x5618 ?$@13(B) ; J78-@-3133
(ucs-set-char #x5618 ?$APj(B) ; GB0-A-506A
(ucs-set-char #x5618 ?$B13(B) ; J83-B-3133
(ucs-set-char #x5619 ?$(D63(B) ; J90-D-3633
(ucs-set-char #x5619 ?$(JBK(B) ; C04-J-424B
(ucs-set-char #x561B ?$(Gh((B) ; C01-G-6828
(ucs-set-char #x561B ?$@SW(B) ; J78-@-5357
(ucs-set-char #x561B ?$ABo(B) ; GB0-A-426F
(ucs-set-char #x561B ?$BSW(B) ; J83-B-5357
(ucs-set-char #x561C ?$(HI4(B) ; C02-H-4934
(ucs-set-char #x561D ?$(HI9(B) ; C02-H-4939
(ucs-set-char #x561E ?$(IF1(B) ; C03-I-4631
(ucs-set-char #x561E ?$A`O(B) ; GB0-A-604F
(ucs-set-char #x561F ?$(Gh2(B) ; C01-G-6832
(ucs-set-char #x561F ?$A`=(B) ; GB0-A-603D
(ucs-set-char #x5623 ?$A`T(B) ; GB0-A-6054
(ucs-set-char #x5624 ?$A`S(B) ; GB0-A-6053
(ucs-set-char #x5626 ?$(IFP(B) ; C03-I-4650
(ucs-set-char #x5627 ?$(HI.(B) ; C02-H-492E
(ucs-set-char #x5627 ?$A`W(B) ; GB0-A-6057
(ucs-set-char #x5628 ?$(IF0(B) ; C03-I-4630
(ucs-set-char #x5629 ?$(Gl7(B) ; C01-G-6C37
(ucs-set-char #x5629 ?$@2^(B) ; J78-@-325E
(ucs-set-char #x5629 ?$B2^(B) ; J83-B-325E
(ucs-set-char #x562A ?$(HOn(B) ; C02-H-4F6E
(ucs-set-char #x562B ?$(IKA(B) ; C03-I-4B41
(ucs-set-char #x562C ?$(D64(B) ; J90-D-3634
(ucs-set-char #x562C ?$(HOk(B) ; C02-H-4F6B
(ucs-set-char #x562C ?$A`\(B) ; GB0-A-605C
(ucs-set-char #x562D ?$(IK8(B) ; C03-I-4B38
(ucs-set-char #x562D ?$A`X(B) ; GB0-A-6058
(ucs-set-char #x562E ?$(Gl1(B) ; C01-G-6C31
(ucs-set-char #x562F ?$(Ca0(B) ; KS0-C-6130
(ucs-set-char #x562F ?$(Gl=(B) ; C01-G-6C3D
(ucs-set-char #x562F ?$@Sb(B) ; J78-@-5362
(ucs-set-char #x562F ?$BSb(B) ; J83-B-5362
(ucs-set-char #x5630 ?$(D65(B) ; J90-D-3635
(ucs-set-char #x5630 ?$(Gl>(B) ; C01-G-6C3E
(ucs-set-char #x5631 ?$(IK=(B) ; C03-I-4B3D
(ucs-set-char #x5631 ?$@>|(B) ; J78-@-3E7C
(ucs-set-char #x5631 ?$AVv(B) ; GB0-A-5676
(ucs-set-char #x5631 ?$B>|(B) ; J83-B-3E7C
(ucs-set-char #x5632 ?$(Cp?(B) ; KS0-C-703F
(ucs-set-char #x5632 ?$(Gl4(B) ; C01-G-6C34
(ucs-set-char #x5632 ?$@S^(B) ; J78-@-535E
(ucs-set-char #x5632 ?$A30(B) ; GB0-A-3330
(ucs-set-char #x5632 ?$BS^(B) ; J83-B-535E
(ucs-set-char #x5633 ?$(D66(B) ; J90-D-3636
(ucs-set-char #x5633 ?$(HOi(B) ; C02-H-4F69
(ucs-set-char #x5634 ?$(Cv$(B) ; KS0-C-7624
(ucs-set-char #x5634 ?$(Gl6(B) ; C01-G-6C36
(ucs-set-char #x5634 ?$@S\(B) ; J78-@-535C
(ucs-set-char #x5634 ?$AWl(B) ; GB0-A-576C
(ucs-set-char #x5634 ?$BS\(B) ; J83-B-535C
(ucs-set-char #x5635 ?$(D67(B) ; J90-D-3637
(ucs-set-char #x5635 ?$(HOa(B) ; C02-H-4F61
(ucs-set-char #x5636 ?$(Cc6(B) ; KS0-C-6336
(ucs-set-char #x5636 ?$(Gl<(B) ; C01-G-6C3C
(ucs-set-char #x5636 ?$@S](B) ; J78-@-535D
(ucs-set-char #x5636 ?$AK;(B) ; GB0-A-4B3B
(ucs-set-char #x5636 ?$BS](B) ; J83-B-535D
(ucs-set-char #x5637 ?$(D68(B) ; J90-D-3638
(ucs-set-char #x5637 ?$(IKD(B) ; C03-I-4B44
(ucs-set-char #x5638 ?$(HOm(B) ; C02-H-4F6D
(ucs-set-char #x5638 ?$@S_(B) ; J78-@-535F
(ucs-set-char #x5638 ?$BS_(B) ; J83-B-535F
(ucs-set-char #x5639 ?$(D69(B) ; J90-D-3639
(ucs-set-char #x5639 ?$(Gl3(B) ; C01-G-6C33
(ucs-set-char #x5639 ?$A`Z(B) ; GB0-A-605A
(ucs-set-char #x563A ?$(HOo(B) ; C02-H-4F6F
(ucs-set-char #x563B ?$(D6:(B) ; J90-D-363A
(ucs-set-char #x563B ?$(Gl2(B) ; C01-G-6C32
(ucs-set-char #x563B ?$AN{(B) ; GB0-A-4E7B
(ucs-set-char #x563C ?$(D6;(B) ; J90-D-363B
(ucs-set-char #x563C ?$(JI1(B) ; C04-J-4931
(ucs-set-char #x563D ?$(D6<(B) ; J90-D-363C
(ucs-set-char #x563D ?$(HOj(B) ; C02-H-4F6A
(ucs-set-char #x563E ?$(HOl(B) ; C02-H-4F6C
(ucs-set-char #x563F ?$(D6=(B) ; J90-D-363D
(ucs-set-char #x563F ?$(Gl5(B) ; C01-G-6C35
(ucs-set-char #x563F ?$A:Y(B) ; GB0-A-3A59
(ucs-set-char #x5640 ?$(D6>(B) ; J90-D-363E
(ucs-set-char #x5640 ?$(HOh(B) ; C02-H-4F68
(ucs-set-char #x5641 ?$(D6?(B) ; J90-D-363F
(ucs-set-char #x5641 ?$(HOb(B) ; C02-H-4F62
(ucs-set-char #x5642 ?$(HO_(B) ; C02-H-4F5F
(ucs-set-char #x5642 ?$@1=(B) ; J78-@-313D
(ucs-set-char #x5642 ?$B1=(B) ; J83-B-313D
(ucs-set-char #x5643 ?$(D6@(B) ; J90-D-3640
(ucs-set-char #x5643 ?$(JI.(B) ; C04-J-492E
(ucs-set-char #x5644 ?$(D6A(B) ; J90-D-3641
(ucs-set-char #x5644 ?$(IK>(B) ; C03-I-4B3E
(ucs-set-char #x5645 ?$(H:O(B) ; C02-H-3A4F
(ucs-set-char #x5646 ?$(D6B(B) ; J90-D-3642
(ucs-set-char #x5646 ?$(HOe(B) ; C02-H-4F65
(ucs-set-char #x5647 ?$(IK7(B) ; C03-I-4B37
(ucs-set-char #x5648 ?$(HO^(B) ; C02-H-4F5E
(ucs-set-char #x5649 ?$(D6C(B) ; J90-D-3643
(ucs-set-char #x5649 ?$(HOd(B) ; C02-H-4F64
(ucs-set-char #x564A ?$(HOc(B) ; C02-H-4F63
(ucs-set-char #x564B ?$(D6D(B) ; J90-D-3644
(ucs-set-char #x564B ?$(IK;(B) ; C03-I-4B3B
(ucs-set-char #x564C ?$(HO`(B) ; C02-H-4F60
(ucs-set-char #x564C ?$@A9(B) ; J78-@-4139
(ucs-set-char #x564C ?$A`a(B) ; GB0-A-6061
(ucs-set-char #x564C ?$BA9(B) ; J83-B-4139
(ucs-set-char #x564D ?$(D6E(B) ; J90-D-3645
(ucs-set-char #x564D ?$(IKC(B) ; C03-I-4B43
(ucs-set-char #x564D ?$A`](B) ; GB0-A-605D
(ucs-set-char #x564E ?$(Gl9(B) ; C01-G-6C39
(ucs-set-char #x564E ?$@SY(B) ; J78-@-5359
(ucs-set-char #x564E ?$AR-(B) ; GB0-A-522D
(ucs-set-char #x564E ?$BSY(B) ; J83-B-5359
(ucs-set-char #x564F ?$(D6F(B) ; J90-D-3646
(ucs-set-char #x564F ?$(IKE(B) ; C03-I-4B45
(ucs-set-char #x5650 ?$(IK@(B) ; C03-I-4B40
(ucs-set-char #x5650 ?$@SZ(B) ; J78-@-535A
(ucs-set-char #x5650 ?$BSZ(B) ; J83-B-535A
(ucs-set-char #x5651 ?$(IF5(B) ; C03-I-4635
(ucs-set-char #x5652 ?$(IK<(B) ; C03-I-4B3C
(ucs-set-char #x5653 ?$(CzF(B) ; KS0-C-7A46
(ucs-set-char #x5653 ?$(Gl8(B) ; C01-G-6C38
(ucs-set-char #x5654 ?$(D6G(B) ; J90-D-3647
(ucs-set-char #x5654 ?$(IK9(B) ; C03-I-4B39
(ucs-set-char #x5654 ?$A`b(B) ; GB0-A-6062
(ucs-set-char #x5655 ?$(M!c(B) ; C07-M-2163
(ucs-set-char #x5656 ?$(IK?(B) ; C03-I-4B3F
(ucs-set-char #x5657 ?$(Gl:(B) ; C01-G-6C3A
(ucs-set-char #x5657 ?$A`[(B) ; GB0-A-605B
(ucs-set-char #x5658 ?$(HOf(B) ; C02-H-4F66
(ucs-set-char #x5658 ?$A`Y(B) ; GB0-A-6059
(ucs-set-char #x5659 ?$(Gp;(B) ; C01-G-703B
(ucs-set-char #x5659 ?$A`_(B) ; GB0-A-605F
(ucs-set-char #x565A ?$(HOg(B) ; C02-H-4F67
(ucs-set-char #x565B ?$B3z(B) ; J83-B-337A
(ucs-set-char #x565C ?$A``(B) ; GB0-A-6060
(ucs-set-char #x565E ?$(D6H(B) ; J90-D-3648
(ucs-set-char #x565E ?$(HVO(B) ; C02-H-564F
(ucs-set-char #x565F ?$(IP?(B) ; C03-I-503F
(ucs-set-char #x5660 ?$(D6I(B) ; J90-D-3649
(ucs-set-char #x5660 ?$(HVH(B) ; C02-H-5648
(ucs-set-char #x5661 ?$(D6J(B) ; J90-D-364A
(ucs-set-char #x5661 ?$(IP@(B) ; C03-I-5040
(ucs-set-char #x5662 ?$(D6K(B) ; J90-D-364B
(ucs-set-char #x5662 ?$(GpG(B) ; C01-G-7047
(ucs-set-char #x5662 ?$A`^(B) ; GB0-A-605E
(ucs-set-char #x5663 ?$(D6L(B) ; J90-D-364C
(ucs-set-char #x5663 ?$(HVL(B) ; C02-H-564C
(ucs-set-char #x5664 ?$(Gp?(B) ; C01-G-703F
(ucs-set-char #x5664 ?$@Sa(B) ; J78-@-5361
(ucs-set-char #x5664 ?$A`d(B) ; GB0-A-6064
(ucs-set-char #x5664 ?$BSa(B) ; J83-B-5361
(ucs-set-char #x5665 ?$(GpC(B) ; C01-G-7043
(ucs-set-char #x5666 ?$(D6M(B) ; J90-D-364D
(ucs-set-char #x5666 ?$(HVK(B) ; C02-H-564B
(ucs-set-char #x5667 ?$(IP;(B) ; C03-I-503B
(ucs-set-char #x5668 ?$(CPo(B) ; KS0-C-506F
(ucs-set-char #x5668 ?$(GpB(B) ; C01-G-7042
(ucs-set-char #x5668 ?$(JI2(B) ; C04-J-4932
(ucs-set-char #x5668 ?$@4o(B) ; J78-@-346F
(ucs-set-char #x5668 ?$AFw(B) ; GB0-A-4677
(ucs-set-char #x5668 ?$B4o(B) ; J83-B-346F
(ucs-set-char #x5669 ?$(D6N(B) ; J90-D-364E
(ucs-set-char #x5669 ?$(Gp>(B) ; C01-G-703E
(ucs-set-char #x5669 ?$AX,(B) ; GB0-A-582C
(ucs-set-char #x566A ?$(GpA(B) ; C01-G-7041
(ucs-set-char #x566A ?$@Sd(B) ; J78-@-5364
(ucs-set-char #x566A ?$ATk(B) ; GB0-A-546B
(ucs-set-char #x566A ?$BSd(B) ; J83-B-5364
(ucs-set-char #x566B ?$(C}m(B) ; KS0-C-7D6D
(ucs-set-char #x566B ?$(Gp<(B) ; C01-G-703C
(ucs-set-char #x566B ?$@S`(B) ; J78-@-5360
(ucs-set-char #x566B ?$A`f(B) ; GB0-A-6066
(ucs-set-char #x566B ?$BS`(B) ; J83-B-5360
(ucs-set-char #x566C ?$(GpF(B) ; C01-G-7046
(ucs-set-char #x566C ?$@Sc(B) ; J78-@-5363
(ucs-set-char #x566C ?$AJI(B) ; GB0-A-4A49
(ucs-set-char #x566C ?$BSc(B) ; J83-B-5363
(ucs-set-char #x566D ?$(D6O(B) ; J90-D-364F
(ucs-set-char #x566D ?$(HVM(B) ; C02-H-564D
(ucs-set-char #x566E ?$(HVI(B) ; C02-H-5649
(ucs-set-char #x566F ?$(D6P(B) ; J90-D-3650
(ucs-set-char #x566F ?$(GpE(B) ; C01-G-7045
(ucs-set-char #x5670 ?$(HVG(B) ; C02-H-5647
(ucs-set-char #x5671 ?$(D6Q(B) ; J90-D-3651
(ucs-set-char #x5671 ?$(GpD(B) ; C01-G-7044
(ucs-set-char #x5671 ?$A`e(B) ; GB0-A-6065
(ucs-set-char #x5672 ?$(D6R(B) ; J90-D-3652
(ucs-set-char #x5672 ?$(HVN(B) ; C02-H-564E
(ucs-set-char #x5673 ?$(HVJ(B) ; C02-H-564A
(ucs-set-char #x5674 ?$(C]D(B) ; KS0-C-5D44
(ucs-set-char #x5674 ?$(Gl;(B) ; C01-G-6C3B
(ucs-set-char #x5674 ?$@J.(B) ; J78-@-4A2E
(ucs-set-char #x5674 ?$BJ.(B) ; J83-B-4A2E
(ucs-set-char #x5675 ?$(D6S(B) ; J90-D-3653
(ucs-set-char #x5675 ?$(JOq(B) ; C04-J-4F71
(ucs-set-char #x5676 ?$(GpH(B) ; C01-G-7048
(ucs-set-char #x5676 ?$A8A(B) ; GB0-A-3841
(ucs-set-char #x5677 ?$(HVP(B) ; C02-H-5650
(ucs-set-char #x5678 ?$(Gp@(B) ; C01-G-7040
(ucs-set-char #x5678 ?$@FU(B) ; J78-@-4655
(ucs-set-char #x5678 ?$BFU(B) ; J83-B-4655
(ucs-set-char #x5679 ?$(Gp=(B) ; C01-G-703D
(ucs-set-char #x567A ?$@H8(B) ; J78-@-4838
(ucs-set-char #x567A ?$BH8(B) ; J83-B-4838
(ucs-set-char #x567B ?$(IP=(B) ; C03-I-503D
(ucs-set-char #x567B ?$A`g(B) ; GB0-A-6067
(ucs-set-char #x567C ?$A`h(B) ; GB0-A-6068
(ucs-set-char #x567D ?$(ITH(B) ; C03-I-5448
(ucs-set-char #x567E ?$(H\R(B) ; C02-H-5C52
(ucs-set-char #x567F ?$(H\T(B) ; C02-H-5C54
(ucs-set-char #x5680 ?$(GsF(B) ; C01-G-7346
(ucs-set-char #x5680 ?$@Sf(B) ; J78-@-5366
(ucs-set-char #x5680 ?$BSf(B) ; J83-B-5366
(ucs-set-char #x5681 ?$(H\U(B) ; C02-H-5C55
(ucs-set-char #x5682 ?$(H\S(B) ; C02-H-5C53
(ucs-set-char #x5683 ?$(H\Q(B) ; C02-H-5C51
(ucs-set-char #x5684 ?$(D6T(B) ; J90-D-3654
(ucs-set-char #x5684 ?$(H\P(B) ; C02-H-5C50
(ucs-set-char #x5685 ?$(D6U(B) ; J90-D-3655
(ucs-set-char #x5685 ?$(GsH(B) ; C01-G-7348
(ucs-set-char #x5685 ?$A`i(B) ; GB0-A-6069
(ucs-set-char #x5686 ?$(C|w(B) ; KS0-C-7C77
(ucs-set-char #x5686 ?$(H\O(B) ; C02-H-5C4F
(ucs-set-char #x5686 ?$@Se(B) ; J78-@-5365
(ucs-set-char #x5686 ?$A`c(B) ; GB0-A-6063
(ucs-set-char #x5686 ?$BSe(B) ; J83-B-5365
(ucs-set-char #x5687 ?$(GsI(B) ; C01-G-7349
(ucs-set-char #x5687 ?$@3E(B) ; J78-@-3345
(ucs-set-char #x5687 ?$B3E(B) ; J83-B-3345
(ucs-set-char #x5688 ?$(D6V(B) ; J90-D-3656
(ucs-set-char #x5688 ?$(JUt(B) ; C04-J-5574
(ucs-set-char #x5689 ?$(ITI(B) ; C03-I-5449
(ucs-set-char #x568A ?$(ITG(B) ; C03-I-5447
(ucs-set-char #x568A ?$@Sg(B) ; J78-@-5367
(ucs-set-char #x568A ?$BSg(B) ; J83-B-5367
(ucs-set-char #x568B ?$(D6W(B) ; J90-D-3657
(ucs-set-char #x568B ?$(JUx(B) ; C04-J-5578
(ucs-set-char #x568C ?$(D6X(B) ; J90-D-3658
(ucs-set-char #x568C ?$(H\M(B) ; C02-H-5C4D
(ucs-set-char #x568D ?$(H\N(B) ; C02-H-5C4E
(ucs-set-char #x568E ?$(GsE(B) ; C01-G-7345
(ucs-set-char #x568E ?$A:?(B) ; GB0-A-3A3F
(ucs-set-char #x568F ?$(GsJ(B) ; C01-G-734A
(ucs-set-char #x568F ?$@Sj(B) ; J78-@-536A
(ucs-set-char #x568F ?$ALg(B) ; GB0-A-4C67
(ucs-set-char #x568F ?$BSj(B) ; J83-B-536A
(ucs-set-char #x5690 ?$(GsG(B) ; C01-G-7347
(ucs-set-char #x5693 ?$(H\L(B) ; C02-H-5C4C
(ucs-set-char #x5693 ?$A`j(B) ; GB0-A-606A
(ucs-set-char #x5694 ?$(IW[(B) ; C03-I-575B
(ucs-set-char #x5694 ?$@Si(B) ; J78-@-5369
(ucs-set-char #x5694 ?$BSi(B) ; J83-B-5369
(ucs-set-char #x5695 ?$(D6Y(B) ; J90-D-3659
(ucs-set-char #x5695 ?$(Gv<(B) ; C01-G-763C
(ucs-set-char #x5696 ?$(IWZ(B) ; C03-I-575A
(ucs-set-char #x5697 ?$(HaH(B) ; C02-H-6148
(ucs-set-char #x5698 ?$(HaF(B) ; C02-H-6146
(ucs-set-char #x5699 ?$(D6Z(B) ; J90-D-365A
(ucs-set-char #x5699 ?$(HaK(B) ; C02-H-614B
(ucs-set-char #x5699 ?$@3z(B) ; J78-@-337A
(ucs-set-char #x569A ?$(D6[(B) ; J90-D-365B
(ucs-set-char #x569A ?$(HaI(B) ; C02-H-6149
(ucs-set-char #x569B ?$(IWX(B) ; C03-I-5758
(ucs-set-char #x569C ?$(HaG(B) ; C02-H-6147
(ucs-set-char #x569D ?$(D6\(B) ; J90-D-365C
(ucs-set-char #x569D ?$(HaJ(B) ; C02-H-614A
(ucs-set-char #x569E ?$(D6](B) ; J90-D-365D
(ucs-set-char #x569E ?$(IWY(B) ; C03-I-5759
(ucs-set-char #x569F ?$(D6^(B) ; J90-D-365E
(ucs-set-char #x569F ?$(IWW(B) ; C03-I-5757
(ucs-set-char #x56A0 ?$(IW\(B) ; C03-I-575C
(ucs-set-char #x56A0 ?$@Sh(B) ; J78-@-5368
(ucs-set-char #x56A0 ?$BSh(B) ; J83-B-5368
(ucs-set-char #x56A2 ?$BG9(B) ; J83-B-4739
(ucs-set-char #x56A3 ?$AOy(B) ; GB0-A-4F79
(ucs-set-char #x56A5 ?$(Cf?(B) ; KS0-C-663F
(ucs-set-char #x56A5 ?$(Gx,(B) ; C01-G-782C
(ucs-set-char #x56A5 ?$@Sk(B) ; J78-@-536B
(ucs-set-char #x56A5 ?$BSk(B) ; J83-B-536B
(ucs-set-char #x56A6 ?$(D6_(B) ; J90-D-365F
(ucs-set-char #x56A6 ?$(He>(B) ; C02-H-653E
(ucs-set-char #x56A7 ?$(D6`(B) ; J90-D-3660
(ucs-set-char #x56A7 ?$(He?(B) ; C02-H-653F
(ucs-set-char #x56A8 ?$(D6a(B) ; J90-D-3661
(ucs-set-char #x56A8 ?$(Gx-(B) ; C01-G-782D
(ucs-set-char #x56A9 ?$(D6b(B) ; J90-D-3662
(ucs-set-char #x56A9 ?$(J_M(B) ; C04-J-5F4D
(ucs-set-char #x56AA ?$(He@(B) ; C02-H-6540
(ucs-set-char #x56AB ?$(D6c(B) ; J90-D-3663
(ucs-set-char #x56AB ?$(He<(B) ; C02-H-653C
(ucs-set-char #x56AC ?$(C^-(B) ; KS0-C-5E2D
(ucs-set-char #x56AC ?$(D6d(B) ; J90-D-3664
(ucs-set-char #x56AC ?$(HeA(B) ; C02-H-6541
(ucs-set-char #x56AD ?$(D6e(B) ; J90-D-3665
(ucs-set-char #x56AD ?$(He=(B) ; C02-H-653D
(ucs-set-char #x56AE ?$(Cz?(B) ; KS0-C-7A3F
(ucs-set-char #x56AE ?$(Gv=(B) ; C01-G-763D
(ucs-set-char #x56AE ?$@Sl(B) ; J78-@-536C
(ucs-set-char #x56AE ?$BSl(B) ; J83-B-536C
(ucs-set-char #x56AF ?$(IZ-(B) ; C03-I-5A2D
(ucs-set-char #x56AF ?$A`k(B) ; GB0-A-606B
(ucs-set-char #x56B1 ?$(D6f(B) ; J90-D-3666
(ucs-set-char #x56B1 ?$(Jc1(B) ; C04-J-6331
(ucs-set-char #x56B2 ?$(Hhk(B) ; C02-H-686B
(ucs-set-char #x56B3 ?$(D6g(B) ; J90-D-3667
(ucs-set-char #x56B3 ?$(Hhm(B) ; C02-H-686D
(ucs-set-char #x56B4 ?$(Ceq(B) ; KS0-C-6571
(ucs-set-char #x56B4 ?$(Gyd(B) ; C01-G-7964
(ucs-set-char #x56B4 ?$@Sn(B) ; J78-@-536E
(ucs-set-char #x56B4 ?$BSn(B) ; J83-B-536E
(ucs-set-char #x56B5 ?$(Hhl(B) ; C02-H-686C
(ucs-set-char #x56B6 ?$(Gyc(B) ; C01-G-7963
(ucs-set-char #x56B6 ?$@Sm(B) ; J78-@-536D
(ucs-set-char #x56B6 ?$BSm(B) ; J83-B-536D
(ucs-set-char #x56B7 ?$(D6h(B) ; J90-D-3668
(ucs-set-char #x56B7 ?$(Gyb(B) ; C01-G-7962
(ucs-set-char #x56B7 ?$AHB(B) ; GB0-A-4842
(ucs-set-char #x56BB ?$(I^&(B) ; C03-I-5E26
(ucs-set-char #x56BC ?$(CmD(B) ; KS0-C-6D44
(ucs-set-char #x56BC ?$(Gye(B) ; C01-G-7965
(ucs-set-char #x56BC ?$@Sp(B) ; J78-@-5370
(ucs-set-char #x56BC ?$A=@(B) ; GB0-A-3D40
(ucs-set-char #x56BC ?$BSp(B) ; J83-B-5370
(ucs-set-char #x56BD ?$(HkS(B) ; C02-H-6B53
(ucs-set-char #x56BE ?$(D6i(B) ; J90-D-3669
(ucs-set-char #x56BE ?$(HkT(B) ; C02-H-6B54
(ucs-set-char #x56BF ?$(Jf4(B) ; C04-J-6634
(ucs-set-char #x56C0 ?$(Gze(B) ; C01-G-7A65
(ucs-set-char #x56C0 ?$@Ss(B) ; J78-@-5373
(ucs-set-char #x56C0 ?$BSs(B) ; J83-B-5373
(ucs-set-char #x56C1 ?$(Gzd(B) ; C01-G-7A64
(ucs-set-char #x56C1 ?$@Sq(B) ; J78-@-5371
(ucs-set-char #x56C1 ?$BSq(B) ; J83-B-5371
(ucs-set-char #x56C2 ?$(Gzf(B) ; C01-G-7A66
(ucs-set-char #x56C2 ?$@So(B) ; J78-@-536F
(ucs-set-char #x56C2 ?$BSo(B) ; J83-B-536F
(ucs-set-char #x56C3 ?$(HkR(B) ; C02-H-6B52
(ucs-set-char #x56C3 ?$@Sr(B) ; J78-@-5372
(ucs-set-char #x56C3 ?$BSr(B) ; J83-B-5372
(ucs-set-char #x56C5 ?$(D6j(B) ; J90-D-366A
(ucs-set-char #x56C5 ?$(HmF(B) ; C02-H-6D46
(ucs-set-char #x56C6 ?$(HmE(B) ; C02-H-6D45
(ucs-set-char #x56C7 ?$(I_@(B) ; C03-I-5F40
(ucs-set-char #x56C8 ?$(G{Y(B) ; C01-G-7B59
(ucs-set-char #x56C8 ?$@St(B) ; J78-@-5374
(ucs-set-char #x56C8 ?$BSt(B) ; J83-B-5374
(ucs-set-char #x56C9 ?$(D6k(B) ; J90-D-366B
(ucs-set-char #x56C9 ?$(G{[(B) ; C01-G-7B5B
(ucs-set-char #x56CA ?$(CR%(B) ; KS0-C-5225
(ucs-set-char #x56CA ?$(D6l(B) ; J90-D-366C
(ucs-set-char #x56CA ?$(G{Z(B) ; C01-G-7B5A
(ucs-set-char #x56CA ?$@G9(B) ; J78-@-4739
(ucs-set-char #x56CA ?$ADR(B) ; GB0-A-4452
(ucs-set-char #x56CB ?$(D6m(B) ; J90-D-366D
(ucs-set-char #x56CB ?$(HmG(B) ; C02-H-6D47
(ucs-set-char #x56CC ?$(D6p(B) ; J90-D-3670
(ucs-set-char #x56CC ?$(G|4(B) ; C01-G-7C34
(ucs-set-char #x56CD ?$(C}n(B) ; KS0-C-7D6E
(ucs-set-char #x56CD ?$(D6q(B) ; J90-D-3671
(ucs-set-char #x56CD ?$(Hp4(B) ; C02-H-7034
(ucs-set-char #x56CE ?$@Su(B) ; J78-@-5375
(ucs-set-char #x56CE ?$BSu(B) ; J83-B-5375
(ucs-set-char #x56CF ?$(D6n(B) ; J90-D-366E
(ucs-set-char #x56CF ?$(JjD(B) ; C04-J-6A44
(ucs-set-char #x56D0 ?$(D6o(B) ; J90-D-366F
(ucs-set-char #x56D0 ?$(JjC(B) ; C04-J-6A43
(ucs-set-char #x56D1 ?$(Cu6(B) ; KS0-C-7536
(ucs-set-char #x56D1 ?$(G|](B) ; C01-G-7C5D
(ucs-set-char #x56D1 ?$@Sv(B) ; J78-@-5376
(ucs-set-char #x56D1 ?$BSv(B) ; J83-B-5376
(ucs-set-char #x56D2 ?$(I`q(B) ; C03-I-6071
(ucs-set-char #x56D3 ?$(Hp3(B) ; C02-H-7033
(ucs-set-char #x56D3 ?$@Sw(B) ; J78-@-5377
(ucs-set-char #x56D3 ?$BSw(B) ; J83-B-5377
(ucs-set-char #x56D4 ?$(Hp|(B) ; C02-H-707C
(ucs-set-char #x56D4 ?$A`l(B) ; GB0-A-606C

(ucs-set-char #x56D7 ?$A`m(B) ; GB0-A-606D
(ucs-set-char #x56D7 ?$(H!*(B) ; C02-H-212A
(ucs-set-char #x56D7 ?$@Sx(B) ; J78-@-5378
(ucs-set-char #x56D7 ?$BSx(B) ; J83-B-5378

(ucs-set-char #x56D8 ?$(I!w(B) ; C03-I-2177
(ucs-set-char #x56D8 ?$@QE(B) ; J78-@-5145
(ucs-set-char #x56D8 ?$BQE(B) ; J83-B-5145
(ucs-set-char #x56D9 ?$(D6r(B) ; J90-D-3672
(ucs-set-char #x56D9 ?$(J!o(B) ; C04-J-216F
(ucs-set-char #x56DA ?$(Cav(B) ; KS0-C-6176
(ucs-set-char #x56DA ?$(GF?(B) ; C01-G-463F
(ucs-set-char #x56DA ?$@<|(B) ; J78-@-3C7C
(ucs-set-char #x56DA ?$AGt(B) ; GB0-A-4774
(ucs-set-char #x56DA ?$B<|(B) ; J83-B-3C7C
(ucs-set-char #x56DB ?$(C^L(B) ; KS0-C-5E4C
(ucs-set-char #x56DB ?$(GF>(B) ; C01-G-463E
(ucs-set-char #x56DB ?$@;M(B) ; J78-@-3B4D
(ucs-set-char #x56DB ?$AKD(B) ; GB0-A-4B44
(ucs-set-char #x56DB ?$B;M(B) ; J83-B-3B4D
(ucs-set-char #x56DC ?$(D6s(B) ; J90-D-3673
(ucs-set-char #x56DC ?$(J!m(B) ; C04-J-216D
(ucs-set-char #x56DD ?$(D6t(B) ; J90-D-3674
(ucs-set-char #x56DD ?$(GG`(B) ; C01-G-4760
(ucs-set-char #x56DD ?$A`n(B) ; GB0-A-606E
(ucs-set-char #x56DE ?$(C|^(B) ; KS0-C-7C5E
(ucs-set-char #x56DE ?$(GG_(B) ; C01-G-475F
(ucs-set-char #x56DE ?$@2s(B) ; J78-@-3273
(ucs-set-char #x56DE ?$A;X(B) ; GB0-A-3B58
(ucs-set-char #x56DE ?$B2s(B) ; J83-B-3273
(ucs-set-char #x56DF ?$(D6u(B) ; J90-D-3675
(ucs-set-char #x56DF ?$(H"'(B) ; C02-H-2227
(ucs-set-char #x56DF ?$AX6(B) ; GB0-A-5836
(ucs-set-char #x56E0 ?$(ClW(B) ; KS0-C-6C57
(ucs-set-char #x56E0 ?$(GG^(B) ; C01-G-475E
(ucs-set-char #x56E0 ?$@0x(B) ; J78-@-3078
(ucs-set-char #x56E0 ?$ARr(B) ; GB0-A-5272
(ucs-set-char #x56E0 ?$B0x(B) ; J83-B-3078
(ucs-set-char #x56E1 ?$(D6v(B) ; J90-D-3676
(ucs-set-char #x56E1 ?$(H"&(B) ; C02-H-2226
(ucs-set-char #x56E1 ?$A`o(B) ; GB0-A-606F
(ucs-set-char #x56E2 ?$AME(B) ; GB0-A-4D45
(ucs-set-char #x56E3 ?$(I#>(B) ; C03-I-233E
(ucs-set-char #x56E3 ?$@CD(B) ; J78-@-4344
(ucs-set-char #x56E3 ?$BCD(B) ; J83-B-4344
(ucs-set-char #x56E4 ?$(D6w(B) ; J90-D-3677
(ucs-set-char #x56E4 ?$(GI[(B) ; C01-G-495B
(ucs-set-char #x56E4 ?$A6Z(B) ; GB0-A-365A
(ucs-set-char #x56E5 ?$(D6x(B) ; J90-D-3678
(ucs-set-char #x56E5 ?$(H#I(B) ; C02-H-2349
(ucs-set-char #x56E6 ?$(D6y(B) ; J90-D-3679
(ucs-set-char #x56E6 ?$(I%,(B) ; C03-I-252C
(ucs-set-char #x56E7 ?$(D6z(B) ; J90-D-367A
(ucs-set-char #x56E7 ?$(H#H(B) ; C02-H-2348
(ucs-set-char #x56E8 ?$(D6{(B) ; J90-D-367B
(ucs-set-char #x56E9 ?$(I%&(B) ; C03-I-2526
(ucs-set-char #x56EA ?$(GIY(B) ; C01-G-4959
(ucs-set-char #x56EB ?$(D6}(B) ; J90-D-367D
(ucs-set-char #x56EB ?$(GI\(B) ; C01-G-495C
(ucs-set-char #x56EB ?$A`q(B) ; GB0-A-6071
(ucs-set-char #x56EC ?$(I%+(B) ; C03-I-252B
(ucs-set-char #x56ED ?$(D6~(B) ; J90-D-367E
(ucs-set-char #x56ED ?$(I%*(B) ; C03-I-252A
(ucs-set-char #x56ED ?$AT0(B) ; GB0-A-5430
(ucs-set-char #x56EE ?$(H#G(B) ; C02-H-2347
(ucs-set-char #x56EE ?$@Sy(B) ; J78-@-5379
(ucs-set-char #x56EE ?$BSy(B) ; J83-B-5379
(ucs-set-char #x56EF ?$(I%)(B) ; C03-I-2529
(ucs-set-char #x56F0 ?$(CM](B) ; KS0-C-4D5D
(ucs-set-char #x56F0 ?$(GIZ(B) ; C01-G-495A
(ucs-set-char #x56F0 ?$@:$(B) ; J78-@-3A24
(ucs-set-char #x56F0 ?$A@'(B) ; GB0-A-4027
(ucs-set-char #x56F0 ?$B:$(B) ; J83-B-3A24
(ucs-set-char #x56F1 ?$(D6|(B) ; J90-D-367C
(ucs-set-char #x56F1 ?$(I%H(B) ; C03-I-2548
(ucs-set-char #x56F1 ?$A4Q(B) ; GB0-A-3451
(ucs-set-char #x56F2 ?$(I%'(B) ; C03-I-2527
(ucs-set-char #x56F2 ?$@0O(B) ; J78-@-304F
(ucs-set-char #x56F2 ?$B0O(B) ; J83-B-304F
(ucs-set-char #x56F3 ?$(I%((B) ; C03-I-2528
(ucs-set-char #x56F3 ?$@?^(B) ; J78-@-3F5E
(ucs-set-char #x56F3 ?$B?^(B) ; J83-B-3F5E
(ucs-set-char #x56F4 ?$AN'(B) ; GB0-A-4E27
(ucs-set-char #x56F5 ?$A`p(B) ; GB0-A-6070
(ucs-set-char #x56F6 ?$(D7!(B) ; J90-D-3721
(ucs-set-char #x56F6 ?$(I("(B) ; C03-I-2822
(ucs-set-char #x56F7 ?$(D7"(B) ; J90-D-3722
(ucs-set-char #x56F7 ?$(H%p(B) ; C02-H-2570
(ucs-set-char #x56F8 ?$(I'}(B) ; C03-I-277D
(ucs-set-char #x56F9 ?$(CV7(B) ; KS0-C-5637
(ucs-set-char #x56F9 ?$(H%q(B) ; C02-H-2571
(ucs-set-char #x56F9 ?$@Sz(B) ; J78-@-537A
(ucs-set-char #x56F9 ?$A`r(B) ; GB0-A-6072
(ucs-set-char #x56F9 ?$BSz(B) ; J83-B-537A
(ucs-set-char #x56FA ?$(CM3(B) ; KS0-C-4D33
(ucs-set-char #x56FA ?$(GLV(B) ; C01-G-4C56
(ucs-set-char #x56FA ?$@8G(B) ; J78-@-3847
(ucs-set-char #x56FA ?$A9L(B) ; GB0-A-394C
(ucs-set-char #x56FA ?$B8G(B) ; J83-B-3847
(ucs-set-char #x56FB ?$(I'|(B) ; C03-I-277C
(ucs-set-char #x56FC ?$(I(!(B) ; C03-I-2821
(ucs-set-char #x56FD ?$(I'{(B) ; C03-I-277B
(ucs-set-char #x56FD ?$@9q(B) ; J78-@-3971
(ucs-set-char #x56FD ?$A9z(B) ; GB0-A-397A
(ucs-set-char #x56FD ?$B9q(B) ; J83-B-3971
(ucs-set-char #x56FE ?$AM<(B) ; GB0-A-4D3C
(ucs-set-char #x56FF ?$(GPL(B) ; C01-G-504C
(ucs-set-char #x56FF ?$@S|(B) ; J78-@-537C
(ucs-set-char #x56FF ?$A`s(B) ; GB0-A-6073
(ucs-set-char #x56FF ?$BS|(B) ; J83-B-537C
(ucs-set-char #x5700 ?$(I+e(B) ; C03-I-2B65
(ucs-set-char #x5700 ?$@S{(B) ; J78-@-537B
(ucs-set-char #x5700 ?$BS{(B) ; J83-B-537B
(ucs-set-char #x5701 ?$(D7#(B) ; J90-D-3723
(ucs-set-char #x5701 ?$(H.J(B) ; C02-H-2E4A
(ucs-set-char #x5702 ?$(D7$(B) ; J90-D-3724
(ucs-set-char #x5702 ?$(H.K(B) ; C02-H-2E4B
(ucs-set-char #x5703 ?$(CxU(B) ; KS0-C-7855
(ucs-set-char #x5703 ?$(GTg(B) ; C01-G-5467
(ucs-set-char #x5703 ?$@J`(B) ; J78-@-4A60
(ucs-set-char #x5703 ?$AFT(B) ; GB0-A-4654
(ucs-set-char #x5703 ?$BJ`(B) ; J83-B-4A60
(ucs-set-char #x5704 ?$(CeX(B) ; KS0-C-6558
(ucs-set-char #x5704 ?$(GTh(B) ; C01-G-5468
(ucs-set-char #x5704 ?$@S}(B) ; J78-@-537D
(ucs-set-char #x5704 ?$A`t(B) ; GB0-A-6074
(ucs-set-char #x5704 ?$BS}(B) ; J83-B-537D
(ucs-set-char #x5705 ?$(I0'(B) ; C03-I-3027
(ucs-set-char #x5706 ?$AT2(B) ; GB0-A-5432
(ucs-set-char #x5707 ?$(D7%(B) ; J90-D-3725
(ucs-set-char #x5707 ?$(H4/(B) ; C02-H-342F
(ucs-set-char #x5708 ?$(COj(B) ; KS0-C-4F6A
(ucs-set-char #x5708 ?$(GYN(B) ; C01-G-594E
(ucs-set-char #x5708 ?$@T!(B) ; J78-@-5421
(ucs-set-char #x5708 ?$AH&(B) ; GB0-A-4826
(ucs-set-char #x5708 ?$BT!(B) ; J83-B-5421
(ucs-set-char #x5709 ?$(GYP(B) ; C01-G-5950
(ucs-set-char #x5709 ?$@S~(B) ; J78-@-537E
(ucs-set-char #x5709 ?$A`v(B) ; GB0-A-6076
(ucs-set-char #x5709 ?$BS~(B) ; J83-B-537E
(ucs-set-char #x570A ?$(D7&(B) ; J90-D-3726
(ucs-set-char #x570A ?$(H4.(B) ; C02-H-342E
(ucs-set-char #x570A ?$A`u(B) ; GB0-A-6075
(ucs-set-char #x570B ?$(COP(B) ; KS0-C-4F50
(ucs-set-char #x570B ?$(GYO(B) ; C01-G-594F
(ucs-set-char #x570B ?$@T"(B) ; J78-@-5422
(ucs-set-char #x570B ?$BT"(B) ; J83-B-5422
(ucs-set-char #x570C ?$(D7'(B) ; J90-D-3727
(ucs-set-char #x570C ?$(H:`(B) ; C02-H-3A60
(ucs-set-char #x570D ?$(CjL(B) ; KS0-C-6A4C
(ucs-set-char #x570D ?$(G^X(B) ; C01-G-5E58
(ucs-set-char #x570D ?$@T#(B) ; J78-@-5423
(ucs-set-char #x570D ?$BT#(B) ; J83-B-5423
(ucs-set-char #x570E ?$(I:D(B) ; C03-I-3A44
(ucs-set-char #x570F ?$(I:C(B) ; C03-I-3A43
(ucs-set-char #x570F ?$@7w(B) ; J78-@-3777
(ucs-set-char #x570F ?$B7w(B) ; J83-B-3777
(ucs-set-char #x5710 ?$(J6h(B) ; C04-J-3668
(ucs-set-char #x5711 ?$(D7((B) ; J90-D-3728
(ucs-set-char #x5711 ?$(J<R(B) ; C04-J-3C52
(ucs-set-char #x5712 ?$(Cj.(B) ; KS0-C-6A2E
(ucs-set-char #x5712 ?$(GcP(B) ; C01-G-6350
(ucs-set-char #x5712 ?$@1`(B) ; J78-@-3160
(ucs-set-char #x5712 ?$B1`(B) ; J83-B-3160
(ucs-set-char #x5713 ?$(Cj-(B) ; KS0-C-6A2D
(ucs-set-char #x5713 ?$(GcQ(B) ; C01-G-6351
(ucs-set-char #x5713 ?$@T$(B) ; J78-@-5424
(ucs-set-char #x5713 ?$BT$(B) ; J83-B-5424
(ucs-set-char #x5714 ?$(HB((B) ; C02-H-4228
(ucs-set-char #x5715 ?$(D7)(B) ; J90-D-3729
(ucs-set-char #x5715 ?$(I@R(B) ; C03-I-4052
(ucs-set-char #x5716 ?$(CSq(B) ; KS0-C-5371
(ucs-set-char #x5716 ?$(Gh7(B) ; C01-G-6837
(ucs-set-char #x5716 ?$(L[[(B) ; C06-L-5B5B
(ucs-set-char #x5716 ?$@T&(B) ; J78-@-5426
(ucs-set-char #x5716 ?$BT&(B) ; J83-B-5426
(ucs-set-char #x5717 ?$(IF7(B) ; C03-I-4637
(ucs-set-char #x5718 ?$(CS%(B) ; KS0-C-5325
(ucs-set-char #x5718 ?$(Gh6(B) ; C01-G-6836
(ucs-set-char #x5718 ?$@T%(B) ; J78-@-5425
(ucs-set-char #x5718 ?$BT%(B) ; J83-B-5425
(ucs-set-char #x571A ?$(D7*(B) ; J90-D-372A
(ucs-set-char #x571A ?$(HOp(B) ; C02-H-4F70
(ucs-set-char #x571B ?$(D7+(B) ; J90-D-372B
(ucs-set-char #x571B ?$(HVR(B) ; C02-H-5652
(ucs-set-char #x571C ?$(HVQ(B) ; C02-H-5651
(ucs-set-char #x571C ?$@T((B) ; J78-@-5428
(ucs-set-char #x571C ?$A`w(B) ; GB0-A-6077
(ucs-set-char #x571C ?$BT((B) ; J83-B-5428
(ucs-set-char #x571D ?$(D7,(B) ; J90-D-372C
(ucs-set-char #x571D ?$(I_A(B) ; C03-I-5F41
(ucs-set-char #x571E ?$(HqZ(B) ; C02-H-715A

(ucs-set-char #x571F ?$AMA(B) ; GB0-A-4D41
(ucs-set-char #x571F ?$(CwO(B) ; KS0-C-774F
(ucs-set-char #x571F ?$(GDH(B) ; C01-G-4448
(ucs-set-char #x571F ?$@EZ(B) ; J78-@-455A
(ucs-set-char #x571F ?$BEZ(B) ; J83-B-455A

(ucs-set-char #x5720 ?$(D7-(B) ; J90-D-372D
(ucs-set-char #x5720 ?$(H!9(B) ; C02-H-2139
(ucs-set-char #x5721 ?$(I!a(B) ; C03-I-2161
(ucs-set-char #x5722 ?$(D7.(B) ; J90-D-372E
(ucs-set-char #x5722 ?$(H!O(B) ; C02-H-214F
(ucs-set-char #x5723 ?$(D7/(B) ; J90-D-372F
(ucs-set-char #x5723 ?$(H!P(B) ; C02-H-2150
(ucs-set-char #x5723 ?$AJ%(B) ; GB0-A-4A25
(ucs-set-char #x5724 ?$(D70(B) ; J90-D-3730
(ucs-set-char #x5724 ?$(I"4(B) ; C03-I-2234
(ucs-set-char #x5725 ?$(D71(B) ; J90-D-3731
(ucs-set-char #x5725 ?$(J!p(B) ; C04-J-2170
(ucs-set-char #x5726 ?$@T)(B) ; J78-@-5429
(ucs-set-char #x5726 ?$BT)(B) ; J83-B-5429
(ucs-set-char #x5727 ?$(J!q(B) ; C04-J-2171
(ucs-set-char #x5727 ?$@05(B) ; J78-@-3035
(ucs-set-char #x5727 ?$B05(B) ; J83-B-3035
(ucs-set-char #x5728 ?$(Cn$(B) ; KS0-C-6E24
(ucs-set-char #x5728 ?$(GGc(B) ; C01-G-4763
(ucs-set-char #x5728 ?$@:_(B) ; J78-@-3A5F
(ucs-set-char #x5728 ?$ATZ(B) ; GB0-A-545A
(ucs-set-char #x5728 ?$B:_(B) ; J83-B-3A5F
(ucs-set-char #x5729 ?$(D72(B) ; J90-D-3732
(ucs-set-char #x5729 ?$(GGg(B) ; C01-G-4767
(ucs-set-char #x5729 ?$A[W(B) ; GB0-A-5B57
(ucs-set-char #x572A ?$(D73(B) ; J90-D-3733
(ucs-set-char #x572A ?$(H")(B) ; C02-H-2229
(ucs-set-char #x572A ?$A[Y(B) ; GB0-A-5B59
(ucs-set-char #x572B ?$(J"Q(B) ; C04-J-2251
(ucs-set-char #x572C ?$(D74(B) ; J90-D-3734
(ucs-set-char #x572C ?$(GGe(B) ; C01-G-4765
(ucs-set-char #x572C ?$A[X(B) ; GB0-A-5B58
(ucs-set-char #x572D ?$(CP$(B) ; KS0-C-5024
(ucs-set-char #x572D ?$(GGd(B) ; C01-G-4764
(ucs-set-char #x572D ?$@7=(B) ; J78-@-373D
(ucs-set-char #x572D ?$A9g(B) ; GB0-A-3967
(ucs-set-char #x572D ?$B7=(B) ; J83-B-373D
(ucs-set-char #x572E ?$(D75(B) ; J90-D-3735
(ucs-set-char #x572E ?$(H"((B) ; C02-H-2228
(ucs-set-char #x572E ?$A[\(B) ; GB0-A-5B5C
(ucs-set-char #x572F ?$(D76(B) ; J90-D-3736
(ucs-set-char #x572F ?$(GGf(B) ; C01-G-4766
(ucs-set-char #x572F ?$A[](B) ; GB0-A-5B5D
(ucs-set-char #x5730 ?$(Cr"(B) ; KS0-C-7222
(ucs-set-char #x5730 ?$(GGb(B) ; C01-G-4762
(ucs-set-char #x5730 ?$@CO(B) ; J78-@-434F
(ucs-set-char #x5730 ?$A5X(B) ; GB0-A-3558
(ucs-set-char #x5730 ?$BCO(B) ; J83-B-434F
(ucs-set-char #x5731 ?$(I#A(B) ; C03-I-2341
(ucs-set-char #x5732 ?$(I#B(B) ; C03-I-2342
(ucs-set-char #x5733 ?$(D77(B) ; J90-D-3737
(ucs-set-char #x5733 ?$(GGa(B) ; C01-G-4761
(ucs-set-char #x5733 ?$A[Z(B) ; GB0-A-5B5A
(ucs-set-char #x5734 ?$(D78(B) ; J90-D-3738
(ucs-set-char #x5734 ?$(H"*(B) ; C02-H-222A
(ucs-set-char #x5735 ?$(I#?(B) ; C03-I-233F
(ucs-set-char #x5736 ?$(I#@(B) ; C03-I-2340
(ucs-set-char #x5737 ?$@T*(B) ; J78-@-542A
(ucs-set-char #x5737 ?$BT*(B) ; J83-B-542A
(ucs-set-char #x5738 ?$@T+(B) ; J78-@-542B
(ucs-set-char #x5738 ?$BT+(B) ; J83-B-542B
(ucs-set-char #x5739 ?$A[[(B) ; GB0-A-5B5B
(ucs-set-char #x573A ?$A3!(B) ; GB0-A-3321
(ucs-set-char #x573B ?$(CPp(B) ; KS0-C-5070
(ucs-set-char #x573B ?$(GIf(B) ; C01-G-4966
(ucs-set-char #x573B ?$@T-(B) ; J78-@-542D
(ucs-set-char #x573B ?$A[_(B) ; GB0-A-5B5F
(ucs-set-char #x573B ?$BT-(B) ; J83-B-542D
(ucs-set-char #x573C ?$(I%1(B) ; C03-I-2531
(ucs-set-char #x573D ?$(D79(B) ; J90-D-3739
(ucs-set-char #x573D ?$(I%>(B) ; C03-I-253E
(ucs-set-char #x573E ?$(D7:(B) ; J90-D-373A
(ucs-set-char #x573E ?$(GIc(B) ; C01-G-4963
(ucs-set-char #x573E ?$A;x(B) ; GB0-A-3B78
(ucs-set-char #x573F ?$(D7;(B) ; J90-D-373B
(ucs-set-char #x573F ?$(I%0(B) ; C03-I-2530
(ucs-set-char #x5740 ?$(Cr#(B) ; KS0-C-7223
(ucs-set-char #x5740 ?$(GI_(B) ; C01-G-495F
(ucs-set-char #x5740 ?$@T.(B) ; J78-@-542E
(ucs-set-char #x5740 ?$AV7(B) ; GB0-A-5637
(ucs-set-char #x5740 ?$BT.(B) ; J83-B-542E
(ucs-set-char #x5741 ?$(H#J(B) ; C02-H-234A
(ucs-set-char #x5742 ?$(Cwx(B) ; KS0-C-7778
(ucs-set-char #x5742 ?$(I%@(B) ; C03-I-2540
(ucs-set-char #x5742 ?$@:d(B) ; J78-@-3A64
(ucs-set-char #x5742 ?$A[`(B) ; GB0-A-5B60
(ucs-set-char #x5742 ?$B:d(B) ; J83-B-3A64
(ucs-set-char #x5743 ?$(I%6(B) ; C03-I-2536
(ucs-set-char #x5744 ?$(I%/(B) ; C03-I-252F
(ucs-set-char #x5745 ?$(D7<(B) ; J90-D-373C
(ucs-set-char #x5745 ?$(H#K(B) ; C02-H-234B
(ucs-set-char #x5746 ?$(D7=(B) ; J90-D-373D
(ucs-set-char #x5746 ?$(I%<(B) ; C03-I-253C
(ucs-set-char #x5747 ?$(CP3(B) ; KS0-C-5033
(ucs-set-char #x5747 ?$(GIa(B) ; C01-G-4961
(ucs-set-char #x5747 ?$@6Q(B) ; J78-@-3651
(ucs-set-char #x5747 ?$A>y(B) ; GB0-A-3E79
(ucs-set-char #x5747 ?$B6Q(B) ; J83-B-3651
(ucs-set-char #x5748 ?$(I%-(B) ; C03-I-252D
(ucs-set-char #x5749 ?$(H#M(B) ; C02-H-234D
(ucs-set-char #x574A ?$(C[)(B) ; KS0-C-5B29
(ucs-set-char #x574A ?$(GI](B) ; C01-G-495D
(ucs-set-char #x574A ?$@K7(B) ; J78-@-4B37
(ucs-set-char #x574A ?$A7;(B) ; GB0-A-373B
(ucs-set-char #x574A ?$BK7(B) ; J83-B-4B37
(ucs-set-char #x574B ?$(H#N(B) ; C02-H-234E
(ucs-set-char #x574C ?$(D7>(B) ; J90-D-373E
(ucs-set-char #x574C ?$(H#L(B) ; C02-H-234C
(ucs-set-char #x574C ?$A[P(B) ; GB0-A-5B50
(ucs-set-char #x574D ?$(CS;(B) ; KS0-C-533B
(ucs-set-char #x574D ?$(D7?(B) ; J90-D-373F
(ucs-set-char #x574D ?$(GI`(B) ; C01-G-4960
(ucs-set-char #x574D ?$AL.(B) ; GB0-A-4C2E
(ucs-set-char #x574E ?$(CJl(B) ; KS0-C-4A6C
(ucs-set-char #x574E ?$(GIb(B) ; C01-G-4962
(ucs-set-char #x574E ?$@T,(B) ; J78-@-542C
(ucs-set-char #x574E ?$A?2(B) ; GB0-A-3F32
(ucs-set-char #x574E ?$BT,(B) ; J83-B-542C
(ucs-set-char #x574F ?$(GIe(B) ; C01-G-4965
(ucs-set-char #x574F ?$@T/(B) ; J78-@-542F
(ucs-set-char #x574F ?$A;5(B) ; GB0-A-3B35
(ucs-set-char #x574F ?$BT/(B) ; J83-B-542F
(ucs-set-char #x5750 ?$(Cq&(B) ; KS0-C-7126
(ucs-set-char #x5750 ?$(GId(B) ; C01-G-4964
(ucs-set-char #x5750 ?$@:A(B) ; J78-@-3A41
(ucs-set-char #x5750 ?$AWx(B) ; GB0-A-5778
(ucs-set-char #x5750 ?$B:A(B) ; J83-B-3A41
(ucs-set-char #x5751 ?$(CKU(B) ; KS0-C-4B55
(ucs-set-char #x5751 ?$(GI^(B) ; C01-G-495E
(ucs-set-char #x5751 ?$@9#(B) ; J78-@-3923
(ucs-set-char #x5751 ?$A?S(B) ; GB0-A-3F53
(ucs-set-char #x5751 ?$B9#(B) ; J83-B-3923
(ucs-set-char #x5752 ?$(D7@(B) ; J90-D-3740
(ucs-set-char #x5752 ?$(H#O(B) ; C02-H-234F
(ucs-set-char #x5753 ?$(I%2(B) ; C03-I-2532
(ucs-set-char #x5754 ?$(I%A(B) ; C03-I-2541
(ucs-set-char #x5755 ?$(I%B(B) ; C03-I-2542
(ucs-set-char #x5756 ?$(I%3(B) ; C03-I-2533
(ucs-set-char #x5757 ?$(I%8(B) ; C03-I-2538
(ucs-set-char #x5757 ?$A?i(B) ; GB0-A-3F69
(ucs-set-char #x5758 ?$(I%7(B) ; C03-I-2537
(ucs-set-char #x5759 ?$(J#a(B) ; C04-J-2361
(ucs-set-char #x575A ?$(L&g(B) ; C06-L-2667
(ucs-set-char #x575A ?$A<a(B) ; GB0-A-3C61
(ucs-set-char #x575B ?$AL3(B) ; GB0-A-4C33
(ucs-set-char #x575C ?$A[^(B) ; GB0-A-5B5E
(ucs-set-char #x575D ?$A0S(B) ; GB0-A-3053
(ucs-set-char #x575E ?$ANk(B) ; GB0-A-4E6B
(ucs-set-char #x575F ?$(I%5(B) ; C03-I-2535
(ucs-set-char #x575F ?$A7X(B) ; GB0-A-3758
(ucs-set-char #x5760 ?$AW9(B) ; GB0-A-5739
(ucs-set-char #x5761 ?$(Cwg(B) ; KS0-C-7767
(ucs-set-char #x5761 ?$(GL[(B) ; C01-G-4C5B
(ucs-set-char #x5761 ?$@T3(B) ; J78-@-5433
(ucs-set-char #x5761 ?$AFB(B) ; GB0-A-4642
(ucs-set-char #x5761 ?$BT3(B) ; J83-B-5433
(ucs-set-char #x5762 ?$(D7A(B) ; J90-D-3741
(ucs-set-char #x5762 ?$(H%~(B) ; C02-H-257E
(ucs-set-char #x5763 ?$(I(%(B) ; C03-I-2825
(ucs-set-char #x5764 ?$(CM^(B) ; KS0-C-4D5E
(ucs-set-char #x5764 ?$(GL](B) ; C01-G-4C5D
(ucs-set-char #x5764 ?$@:%(B) ; J78-@-3A25
(ucs-set-char #x5764 ?$A@$(B) ; GB0-A-4024
(ucs-set-char #x5764 ?$B:%(B) ; J83-B-3A25
(ucs-set-char #x5765 ?$(D7B(B) ; J90-D-3742
(ucs-set-char #x5765 ?$(I(#(B) ; C03-I-2823
(ucs-set-char #x5766 ?$(Cw$(B) ; KS0-C-7724
(ucs-set-char #x5766 ?$(GL\(B) ; C01-G-4C5C
(ucs-set-char #x5766 ?$@C3(B) ; J78-@-4333
(ucs-set-char #x5766 ?$AL9(B) ; GB0-A-4C39
(ucs-set-char #x5766 ?$BC3(B) ; J83-B-4333
(ucs-set-char #x5767 ?$(D7C(B) ; J90-D-3743
(ucs-set-char #x5767 ?$(I(&(B) ; C03-I-2826
(ucs-set-char #x5768 ?$(D7D(B) ; J90-D-3744
(ucs-set-char #x5768 ?$(H&!(B) ; C02-H-2621
(ucs-set-char #x5768 ?$A[g(B) ; GB0-A-5B67
(ucs-set-char #x5769 ?$(GLZ(B) ; C01-G-4C5A
(ucs-set-char #x5769 ?$@T0(B) ; J78-@-5430
(ucs-set-char #x5769 ?$A[a(B) ; GB0-A-5B61
(ucs-set-char #x5769 ?$BT0(B) ; J83-B-5430
(ucs-set-char #x576A ?$(Cx@(B) ; KS0-C-7840
(ucs-set-char #x576A ?$(GLY(B) ; C01-G-4C59
(ucs-set-char #x576A ?$@DZ(B) ; J78-@-445A
(ucs-set-char #x576A ?$AF:(B) ; GB0-A-463A
(ucs-set-char #x576A ?$BDZ(B) ; J83-B-445A
(ucs-set-char #x576B ?$(D7E(B) ; J90-D-3745
(ucs-set-char #x576B ?$(H%u(B) ; C02-H-2575
(ucs-set-char #x576B ?$A[c(B) ; GB0-A-5B63
(ucs-set-char #x576C ?$(J%i(B) ; C04-J-2569
(ucs-set-char #x576D ?$(D7F(B) ; J90-D-3746
(ucs-set-char #x576D ?$(H%t(B) ; C02-H-2574
(ucs-set-char #x576D ?$A[h(B) ; GB0-A-5B68
(ucs-set-char #x576E ?$(CS](B) ; KS0-C-535D
(ucs-set-char #x576E ?$(D7G(B) ; J90-D-3747
(ucs-set-char #x576E ?$(I(((B) ; C03-I-2828
(ucs-set-char #x576F ?$(D7H(B) ; J90-D-3748
(ucs-set-char #x576F ?$(H%r(B) ; C02-H-2572
(ucs-set-char #x576F ?$AEw(B) ; GB0-A-4577
(ucs-set-char #x5770 ?$(CLP(B) ; KS0-C-4C50
(ucs-set-char #x5770 ?$(D7I(B) ; J90-D-3749
(ucs-set-char #x5770 ?$(H%w(B) ; C02-H-2577
(ucs-set-char #x5771 ?$(D7J(B) ; J90-D-374A
(ucs-set-char #x5771 ?$(H%v(B) ; C02-H-2576
(ucs-set-char #x5772 ?$(H%s(B) ; C02-H-2573
(ucs-set-char #x5773 ?$(D7K(B) ; J90-D-374B
(ucs-set-char #x5773 ?$(H%|(B) ; C02-H-257C
(ucs-set-char #x5773 ?$A[j(B) ; GB0-A-5B6A
(ucs-set-char #x5774 ?$(D7L(B) ; J90-D-374C
(ucs-set-char #x5774 ?$(H%}(B) ; C02-H-257D
(ucs-set-char #x5775 ?$(CO&(B) ; KS0-C-4F26
(ucs-set-char #x5775 ?$(D7M(B) ; J90-D-374D
(ucs-set-char #x5775 ?$(H%z(B) ; C02-H-257A
(ucs-set-char #x5776 ?$(H%x(B) ; C02-H-2578
(ucs-set-char #x5776 ?$A[i(B) ; GB0-A-5B69
(ucs-set-char #x5777 ?$(D7N(B) ; J90-D-374E
(ucs-set-char #x5777 ?$(GLX(B) ; C01-G-4C58
(ucs-set-char #x5777 ?$A?@(B) ; GB0-A-3F40
(ucs-set-char #x5778 ?$(I()(B) ; C03-I-2829
(ucs-set-char #x5779 ?$(D7O(B) ; J90-D-374F
(ucs-set-char #x5779 ?$(J%f(B) ; C04-J-2566
(ucs-set-char #x577A ?$(D7P(B) ; J90-D-3750
(ucs-set-char #x577A ?$(J%h(B) ; C04-J-2568
(ucs-set-char #x577B ?$(D7Q(B) ; J90-D-3751
(ucs-set-char #x577B ?$(H%{(B) ; C02-H-257B
(ucs-set-char #x577B ?$A[f(B) ; GB0-A-5B66
(ucs-set-char #x577C ?$(Cvs(B) ; KS0-C-7673
(ucs-set-char #x577C ?$(D7R(B) ; J90-D-3752
(ucs-set-char #x577C ?$(GL^(B) ; C01-G-4C5E
(ucs-set-char #x577C ?$A[e(B) ; GB0-A-5B65
(ucs-set-char #x577D ?$(H&"(B) ; C02-H-2622
(ucs-set-char #x577E ?$(D7S(B) ; J90-D-3753
(ucs-set-char #x577E ?$(J%e(B) ; C04-J-2565
(ucs-set-char #x577F ?$(I(*(B) ; C03-I-282A
(ucs-set-char #x577F ?$@T4(B) ; J78-@-5434
(ucs-set-char #x577F ?$BT4(B) ; J83-B-5434
(ucs-set-char #x5780 ?$(H%y(B) ; C02-H-2579
(ucs-set-char #x5781 ?$(D7T(B) ; J90-D-3754
(ucs-set-char #x5781 ?$(I($(B) ; C03-I-2824
(ucs-set-char #x5782 ?$(Caw(B) ; KS0-C-6177
(ucs-set-char #x5782 ?$(GPM(B) ; C01-G-504D
(ucs-set-char #x5782 ?$@?b(B) ; J78-@-3F62
(ucs-set-char #x5782 ?$A49(B) ; GB0-A-3439
(ucs-set-char #x5782 ?$B?b(B) ; J83-B-3F62
(ucs-set-char #x5783 ?$(D7U(B) ; J90-D-3755
(ucs-set-char #x5783 ?$(GLW(B) ; C01-G-4C57
(ucs-set-char #x5783 ?$A@,(B) ; GB0-A-402C
(ucs-set-char #x5784 ?$AB"(B) ; GB0-A-4222
(ucs-set-char #x5785 ?$A[b(B) ; GB0-A-5B62
(ucs-set-char #x5786 ?$A[d(B) ; GB0-A-5B64
(ucs-set-char #x5787 ?$(J%n(B) ; C04-J-256E
(ucs-set-char #x5788 ?$(CS\(B) ; KS0-C-535C
(ucs-set-char #x5788 ?$@T2(B) ; J78-@-5432
(ucs-set-char #x5788 ?$BT2(B) ; J83-B-5432
(ucs-set-char #x5789 ?$@T5(B) ; J78-@-5435
(ucs-set-char #x5789 ?$BT5(B) ; J83-B-5435
(ucs-set-char #x578B ?$(Cz~(B) ; KS0-C-7A7E
(ucs-set-char #x578B ?$(GPN(B) ; C01-G-504E
(ucs-set-char #x578B ?$(I4p(B) ; C03-I-3470
(ucs-set-char #x578B ?$@7?(B) ; J78-@-373F
(ucs-set-char #x578B ?$APM(B) ; GB0-A-504D
(ucs-set-char #x578B ?$B7?(B) ; J83-B-373F
(ucs-set-char #x578C ?$(D7V(B) ; J90-D-3756
(ucs-set-char #x578C ?$(H)U(B) ; C02-H-2955
(ucs-set-char #x578C ?$A[m(B) ; GB0-A-5B6D
(ucs-set-char #x578D ?$(I+i(B) ; C03-I-2B69
(ucs-set-char #x578E ?$(I+h(B) ; C03-I-2B68
(ucs-set-char #x578F ?$(H)[(B) ; C02-H-295B
(ucs-set-char #x5790 ?$(I+l(B) ; C03-I-2B6C
(ucs-set-char #x5791 ?$(I+g(B) ; C03-I-2B67
(ucs-set-char #x5792 ?$(I+j(B) ; C03-I-2B6A
(ucs-set-char #x5792 ?$A@](B) ; GB0-A-405D
(ucs-set-char #x5793 ?$(Cz'(B) ; KS0-C-7A27
(ucs-set-char #x5793 ?$(GPT(B) ; C01-G-5054
(ucs-set-char #x5793 ?$@T6(B) ; J78-@-5436
(ucs-set-char #x5793 ?$A[r(B) ; GB0-A-5B72
(ucs-set-char #x5793 ?$BT6(B) ; J83-B-5436
(ucs-set-char #x5794 ?$(D7W(B) ; J90-D-3757
(ucs-set-char #x5794 ?$(H)Y(B) ; C02-H-2959
(ucs-set-char #x5795 ?$(D7`(B) ; J90-D-3760
(ucs-set-char #x5795 ?$(H)_(B) ; C02-H-295F
(ucs-set-char #x5796 ?$(I+q(B) ; C03-I-2B71
(ucs-set-char #x5797 ?$(D7X(B) ; J90-D-3758
(ucs-set-char #x5797 ?$(H)V(B) ; C02-H-2956
(ucs-set-char #x5798 ?$(H)Z(B) ; C02-H-295A
(ucs-set-char #x5799 ?$(D7Y(B) ; J90-D-3759
(ucs-set-char #x5799 ?$(H)\(B) ; C02-H-295C
(ucs-set-char #x579A ?$(D7Z(B) ; J90-D-375A
(ucs-set-char #x579A ?$(H)^(B) ; C02-H-295E
(ucs-set-char #x579B ?$(H)X(B) ; C02-H-2958
(ucs-set-char #x579B ?$A6b(B) ; GB0-A-3662
(ucs-set-char #x579C ?$(D7[(B) ; J90-D-375B
(ucs-set-char #x579C ?$(I+p(B) ; C03-I-2B70
(ucs-set-char #x579D ?$(D7\(B) ; J90-D-375C
(ucs-set-char #x579D ?$(H)W(B) ; C02-H-2957
(ucs-set-char #x579E ?$(D7](B) ; J90-D-375D
(ucs-set-char #x579E ?$(H)R(B) ; C02-H-2952
(ucs-set-char #x579F ?$(D7^(B) ; J90-D-375E
(ucs-set-char #x579F ?$(H)S(B) ; C02-H-2953
(ucs-set-char #x57A0 ?$(CkY(B) ; KS0-C-6B59
(ucs-set-char #x57A0 ?$(GPO(B) ; C01-G-504F
(ucs-set-char #x57A0 ?$@T7(B) ; J78-@-5437
(ucs-set-char #x57A0 ?$A[s(B) ; GB0-A-5B73
(ucs-set-char #x57A0 ?$BT7(B) ; J83-B-5437
(ucs-set-char #x57A1 ?$(D7_(B) ; J90-D-375F
(ucs-set-char #x57A1 ?$(I+k(B) ; C03-I-2B6B
(ucs-set-char #x57A1 ?$A[R(B) ; GB0-A-5B52
(ucs-set-char #x57A2 ?$(CO'(B) ; KS0-C-4F27
(ucs-set-char #x57A2 ?$(GPQ(B) ; C01-G-5051
(ucs-set-char #x57A2 ?$@9$(B) ; J78-@-3924
(ucs-set-char #x57A2 ?$A98(B) ; GB0-A-3938
(ucs-set-char #x57A2 ?$B9$(B) ; J83-B-3924
(ucs-set-char #x57A3 ?$(Cj/(B) ; KS0-C-6A2F
(ucs-set-char #x57A3 ?$(GPP(B) ; C01-G-5050
(ucs-set-char #x57A3 ?$@3@(B) ; J78-@-3340
(ucs-set-char #x57A3 ?$AT+(B) ; GB0-A-542B
(ucs-set-char #x57A3 ?$B3@(B) ; J83-B-3340
(ucs-set-char #x57A4 ?$(H)T(B) ; C02-H-2954
(ucs-set-char #x57A4 ?$@T9(B) ; J78-@-5439
(ucs-set-char #x57A4 ?$A[l(B) ; GB0-A-5B6C
(ucs-set-char #x57A4 ?$BT9(B) ; J83-B-5439
(ucs-set-char #x57A5 ?$(H)](B) ; C02-H-295D
(ucs-set-char #x57A6 ?$(I+m(B) ; C03-I-2B6D
(ucs-set-char #x57A6 ?$A?Q(B) ; GB0-A-3F51
(ucs-set-char #x57A7 ?$(D7a(B) ; J90-D-3761
(ucs-set-char #x57A7 ?$(I+r(B) ; C03-I-2B72
(ucs-set-char #x57A7 ?$A[p(B) ; GB0-A-5B70
(ucs-set-char #x57A8 ?$(D7b(B) ; J90-D-3762
(ucs-set-char #x57A8 ?$(I+n(B) ; C03-I-2B6E
(ucs-set-char #x57A9 ?$(D7c(B) ; J90-D-3763
(ucs-set-char #x57A9 ?$(J(`(B) ; C04-J-2860
(ucs-set-char #x57A9 ?$A[Q(B) ; GB0-A-5B51
(ucs-set-char #x57AA ?$@T:(B) ; J78-@-543A
(ucs-set-char #x57AA ?$BT:(B) ; J83-B-543A
(ucs-set-char #x57AB ?$A5f(B) ; GB0-A-3566
(ucs-set-char #x57AC ?$(D7d(B) ; J90-D-3764
(ucs-set-char #x57AC ?$(I+f(B) ; C03-I-2B66
(ucs-set-char #x57AD ?$A[k(B) ; GB0-A-5B6B
(ucs-set-char #x57AE ?$(GPS(B) ; C01-G-5053
(ucs-set-char #x57AE ?$A?e(B) ; GB0-A-3F65
(ucs-set-char #x57B0 ?$@T;(B) ; J78-@-543B
(ucs-set-char #x57B0 ?$BT;(B) ; J83-B-543B
(ucs-set-char #x57B2 ?$A[n(B) ; GB0-A-5B6E
(ucs-set-char #x57B3 ?$@T8(B) ; J78-@-5438
(ucs-set-char #x57B3 ?$BT8(B) ; J83-B-5438
(ucs-set-char #x57B4 ?$(J(^(B) ; C04-J-285E
(ucs-set-char #x57B4 ?$A[q(B) ; GB0-A-5B71
(ucs-set-char #x57B5 ?$(H)Q(B) ; C02-H-2951
(ucs-set-char #x57B6 ?$(H.U(B) ; C02-H-2E55
(ucs-set-char #x57B7 ?$(I0*(B) ; C03-I-302A
(ucs-set-char #x57B8 ?$(D7e(B) ; J90-D-3765
(ucs-set-char #x57B8 ?$(H.T(B) ; C02-H-2E54
(ucs-set-char #x57B8 ?$A[y(B) ; GB0-A-5B79
(ucs-set-char #x57B9 ?$(H.Y(B) ; C02-H-2E59
(ucs-set-char #x57BA ?$(H.P(B) ; C02-H-2E50
(ucs-set-char #x57BB ?$(I00(B) ; C03-I-3030
(ucs-set-char #x57BC ?$(H.S(B) ; C02-H-2E53
(ucs-set-char #x57BD ?$(D7f(B) ; J90-D-3766
(ucs-set-char #x57BD ?$(H.R(B) ; C02-H-2E52
(ucs-set-char #x57BE ?$(I0/(B) ; C03-I-302F
(ucs-set-char #x57BF ?$(H.V(B) ; C02-H-2E56
(ucs-set-char #x57C0 ?$(I08(B) ; C03-I-3038
(ucs-set-char #x57C0 ?$@T1(B) ; J78-@-5431
(ucs-set-char #x57C0 ?$BT1(B) ; J83-B-5431
(ucs-set-char #x57C1 ?$(H.Z(B) ; C02-H-2E5A
(ucs-set-char #x57C2 ?$(GTi(B) ; C01-G-5469
(ucs-set-char #x57C2 ?$A9!(B) ; GB0-A-3921
(ucs-set-char #x57C3 ?$(Cdo(B) ; KS0-C-646F
(ucs-set-char #x57C3 ?$(GTl(B) ; C01-G-546C
(ucs-set-char #x57C3 ?$@T<(B) ; J78-@-543C
(ucs-set-char #x57C3 ?$A0#(B) ; GB0-A-3023
(ucs-set-char #x57C3 ?$BT<(B) ; J83-B-543C
(ucs-set-char #x57C4 ?$(I04(B) ; C03-I-3034
(ucs-set-char #x57C5 ?$(I05(B) ; C03-I-3035
(ucs-set-char #x57C6 ?$(H.Q(B) ; C02-H-2E51
(ucs-set-char #x57C6 ?$@T=(B) ; J78-@-543D
(ucs-set-char #x57C6 ?$BT=(B) ; J83-B-543D
(ucs-set-char #x57C7 ?$(Ci9(B) ; KS0-C-6939
(ucs-set-char #x57C7 ?$(D7g(B) ; J90-D-3767
(ucs-set-char #x57C7 ?$(H.W(B) ; C02-H-2E57
(ucs-set-char #x57C8 ?$(CqX(B) ; KS0-C-7158
(ucs-set-char #x57C8 ?$(D7h(B) ; J90-D-3768
(ucs-set-char #x57C8 ?$(I03(B) ; C03-I-3033
(ucs-set-char #x57C9 ?$(I0((B) ; C03-I-3028
(ucs-set-char #x57CA ?$(I07(B) ; C03-I-3037
(ucs-set-char #x57CB ?$(CXX(B) ; KS0-C-5858
(ucs-set-char #x57CB ?$(GTk(B) ; C01-G-546B
(ucs-set-char #x57CB ?$@Kd(B) ; J78-@-4B64
(ucs-set-char #x57CB ?$ABq(B) ; GB0-A-4271
(ucs-set-char #x57CB ?$BKd(B) ; J83-B-4B64
(ucs-set-char #x57CC ?$(D7i(B) ; J90-D-3769
(ucs-set-char #x57CC ?$(H.L(B) ; C02-H-2E4C
(ucs-set-char #x57CD ?$(I0+(B) ; C03-I-302B
(ucs-set-char #x57CE ?$(C`r(B) ; KS0-C-6072
(ucs-set-char #x57CE ?$(GPR(B) ; C01-G-5052
(ucs-set-char #x57CE ?$(L65(B) ; C06-L-3635
(ucs-set-char #x57CE ?$@>k(B) ; J78-@-3E6B
(ucs-set-char #x57CE ?$A3G(B) ; GB0-A-3347
(ucs-set-char #x57CE ?$B>k(B) ; J83-B-3E6B
(ucs-set-char #x57CF ?$(D7j(B) ; J90-D-376A
(ucs-set-char #x57CF ?$(H4=(B) ; C02-H-343D
(ucs-set-char #x57CF ?$A[o(B) ; GB0-A-5B6F
(ucs-set-char #x57D0 ?$(H.X(B) ; C02-H-2E58
(ucs-set-char #x57D1 ?$(I06(B) ; C03-I-3036
(ucs-set-char #x57D2 ?$(H.O(B) ; C02-H-2E4F
(ucs-set-char #x57D2 ?$@T?(B) ; J78-@-543F
(ucs-set-char #x57D2 ?$A[x(B) ; GB0-A-5B78
(ucs-set-char #x57D2 ?$BT?(B) ; J83-B-543F
(ucs-set-char #x57D3 ?$(J,3(B) ; C04-J-2C33
(ucs-set-char #x57D3 ?$@T@(B) ; J78-@-5440
(ucs-set-char #x57D3 ?$BT@(B) ; J83-B-5440
(ucs-set-char #x57D4 ?$(GTj(B) ; C01-G-546A
(ucs-set-char #x57D4 ?$@T>(B) ; J78-@-543E
(ucs-set-char #x57D4 ?$AFR(B) ; GB0-A-4652
(ucs-set-char #x57D4 ?$BT>(B) ; J83-B-543E
(ucs-set-char #x57D5 ?$(D7k(B) ; J90-D-376B
(ucs-set-char #x57D5 ?$(H.N(B) ; C02-H-2E4E
(ucs-set-char #x57D5 ?$A[t(B) ; GB0-A-5B74
(ucs-set-char #x57D6 ?$@TB(B) ; J78-@-5442
(ucs-set-char #x57D6 ?$BTB(B) ; J83-B-5442
(ucs-set-char #x57D8 ?$A[u(B) ; GB0-A-5B75
(ucs-set-char #x57D9 ?$A[w(B) ; GB0-A-5B77
(ucs-set-char #x57DA ?$A[v(B) ; GB0-A-5B76
(ucs-set-char #x57DB ?$(I02(B) ; C03-I-3032
(ucs-set-char #x57DC ?$(H44(B) ; C02-H-3434
(ucs-set-char #x57DC ?$@G8(B) ; J78-@-4738
(ucs-set-char #x57DC ?$BG8(B) ; J83-B-4738
(ucs-set-char #x57DD ?$(D7l(B) ; J90-D-376C
(ucs-set-char #x57DD ?$(I4n(B) ; C03-I-346E
(ucs-set-char #x57DD ?$A[~(B) ; GB0-A-5B7E
(ucs-set-char #x57DE ?$(D7m(B) ; J90-D-376D
(ucs-set-char #x57DE ?$(I4q(B) ; C03-I-3471
(ucs-set-char #x57DF ?$(Cf4(B) ; KS0-C-6634
(ucs-set-char #x57DF ?$(GYQ(B) ; C01-G-5951
(ucs-set-char #x57DF ?$@0h(B) ; J78-@-3068
(ucs-set-char #x57DF ?$ASr(B) ; GB0-A-5372
(ucs-set-char #x57DF ?$B0h(B) ; J83-B-3068
(ucs-set-char #x57E0 ?$(C\|(B) ; KS0-C-5C7C
(ucs-set-char #x57E0 ?$(GYU(B) ; C01-G-5955
(ucs-set-char #x57E0 ?$@IV(B) ; J78-@-4956
(ucs-set-char #x57E0 ?$A2:(B) ; GB0-A-323A
(ucs-set-char #x57E0 ?$BIV(B) ; J83-B-4956
(ucs-set-char #x57E1 ?$(D7~(B) ; J90-D-377E
(ucs-set-char #x57E1 ?$(H4D(B) ; C02-H-3444
(ucs-set-char #x57E2 ?$(H42(B) ; C02-H-3432
(ucs-set-char #x57E3 ?$(H4@(B) ; C02-H-3440
(ucs-set-char #x57E3 ?$@TC(B) ; J78-@-5443
(ucs-set-char #x57E3 ?$BTC(B) ; J83-B-5443
(ucs-set-char #x57E4 ?$(D7n(B) ; J90-D-376E
(ucs-set-char #x57E4 ?$(GYV(B) ; C01-G-5956
(ucs-set-char #x57E4 ?$A[}(B) ; GB0-A-5B7D
(ucs-set-char #x57E5 ?$(H4B(B) ; C02-H-3442
(ucs-set-char #x57E6 ?$(D7o(B) ; J90-D-376F
(ucs-set-char #x57E6 ?$(I4r(B) ; C03-I-3472
(ucs-set-char #x57E7 ?$(D7p(B) ; J90-D-3770
(ucs-set-char #x57E7 ?$(H4H(B) ; C02-H-3448
(ucs-set-char #x57E8 ?$(I4t(B) ; C03-I-3474
(ucs-set-char #x57E9 ?$(D7q(B) ; J90-D-3771
(ucs-set-char #x57E9 ?$(H4L(B) ; C02-H-344C
(ucs-set-char #x57EA ?$(I4i(B) ; C03-I-3469
(ucs-set-char #x57EB ?$(J0{(B) ; C04-J-307B
(ucs-set-char #x57EC ?$(H4C(B) ; C02-H-3443
(ucs-set-char #x57ED ?$(D7r(B) ; J90-D-3772
(ucs-set-char #x57ED ?$(H47(B) ; C02-H-3437
(ucs-set-char #x57ED ?$A\$(B) ; GB0-A-5C24
(ucs-set-char #x57EE ?$(H4?(B) ; C02-H-343F
(ucs-set-char #x57EF ?$(I4k(B) ; C03-I-346B
(ucs-set-char #x57EF ?$A[{(B) ; GB0-A-5B7B
(ucs-set-char #x57F0 ?$(Csq(B) ; KS0-C-7371
(ucs-set-char #x57F0 ?$(D7s(B) ; J90-D-3773
(ucs-set-char #x57F0 ?$(H4M(B) ; C02-H-344D
(ucs-set-char #x57F1 ?$(H4K(B) ; C02-H-344B
(ucs-set-char #x57F2 ?$(H4A(B) ; C02-H-3441
(ucs-set-char #x57F3 ?$(H4<(B) ; C02-H-343C
(ucs-set-char #x57F4 ?$(CcP(B) ; KS0-C-6350
(ucs-set-char #x57F4 ?$(H45(B) ; C02-H-3435
(ucs-set-char #x57F4 ?$@>}(B) ; J78-@-3E7D
(ucs-set-char #x57F4 ?$A[z(B) ; GB0-A-5B7A
(ucs-set-char #x57F4 ?$B>}(B) ; J83-B-3E7D
(ucs-set-char #x57F5 ?$(D7t(B) ; J90-D-3774
(ucs-set-char #x57F5 ?$(H:h(B) ; C02-H-3A68
(ucs-set-char #x57F6 ?$(D7u(B) ; J90-D-3775
(ucs-set-char #x57F6 ?$(H43(B) ; C02-H-3433
(ucs-set-char #x57F7 ?$(Cr{(B) ; KS0-C-727B
(ucs-set-char #x57F7 ?$(GYZ(B) ; C01-G-595A
(ucs-set-char #x57F7 ?$@<9(B) ; J78-@-3C39
(ucs-set-char #x57F7 ?$B<9(B) ; J83-B-3C39
(ucs-set-char #x57F8 ?$(D7v(B) ; J90-D-3776
(ucs-set-char #x57F8 ?$(H4:(B) ; C02-H-343A
(ucs-set-char #x57F8 ?$A[|(B) ; GB0-A-5B7C
(ucs-set-char #x57F9 ?$(C[F(B) ; KS0-C-5B46
(ucs-set-char #x57F9 ?$(GY[(B) ; C01-G-595B
(ucs-set-char #x57F9 ?$@G](B) ; J78-@-475D
(ucs-set-char #x57F9 ?$AE`(B) ; GB0-A-4560
(ucs-set-char #x57F9 ?$BG](B) ; J83-B-475D
(ucs-set-char #x57FA ?$(CPq(B) ; KS0-C-5071
(ucs-set-char #x57FA ?$(GYW(B) ; C01-G-5957
(ucs-set-char #x57FA ?$@4p(B) ; J78-@-3470
(ucs-set-char #x57FA ?$A;y(B) ; GB0-A-3B79
(ucs-set-char #x57FA ?$B4p(B) ; J83-B-3470
(ucs-set-char #x57FB ?$(H40(B) ; C02-H-3430
(ucs-set-char #x57FC ?$(CPr(B) ; KS0-C-5072
(ucs-set-char #x57FC ?$(H4F(B) ; C02-H-3446
(ucs-set-char #x57FC ?$@:k(B) ; J78-@-3A6B
(ucs-set-char #x57FC ?$B:k(B) ; J83-B-3A6B
(ucs-set-char #x57FD ?$(D7w(B) ; J90-D-3777
(ucs-set-char #x57FD ?$(H48(B) ; C02-H-3438
(ucs-set-char #x57FD ?$A\#(B) ; GB0-A-5C23
(ucs-set-char #x57FE ?$(D7x(B) ; J90-D-3778
(ucs-set-char #x57FE ?$(I4o(B) ; C03-I-346F
(ucs-set-char #x57FF ?$(D7y(B) ; J90-D-3779
(ucs-set-char #x57FF ?$(I4u(B) ; C03-I-3475
(ucs-set-char #x5800 ?$(CO\(B) ; KS0-C-4F5C
(ucs-set-char #x5800 ?$(H46(B) ; C02-H-3436
(ucs-set-char #x5800 ?$@KY(B) ; J78-@-4B59
(ucs-set-char #x5800 ?$A\%(B) ; GB0-A-5C25
(ucs-set-char #x5800 ?$BKY(B) ; J83-B-4B59
(ucs-set-char #x5801 ?$(H4I(B) ; C02-H-3449
(ucs-set-char #x5802 ?$(CSQ(B) ; KS0-C-5351
(ucs-set-char #x5802 ?$(GYX(B) ; C01-G-5958
(ucs-set-char #x5802 ?$@F2(B) ; J78-@-4632
(ucs-set-char #x5802 ?$ALC(B) ; GB0-A-4C43
(ucs-set-char #x5802 ?$BF2(B) ; J83-B-4632
(ucs-set-char #x5803 ?$(D7z(B) ; J90-D-377A
(ucs-set-char #x5803 ?$(I4v(B) ; C03-I-3476
(ucs-set-char #x5804 ?$(D7{(B) ; J90-D-377B
(ucs-set-char #x5804 ?$(H4O(B) ; C02-H-344F
(ucs-set-char #x5805 ?$(CL1(B) ; KS0-C-4C31
(ucs-set-char #x5805 ?$(GYR(B) ; C01-G-5952
(ucs-set-char #x5805 ?$@7x(B) ; J78-@-3778
(ucs-set-char #x5805 ?$B7x(B) ; J83-B-3778
(ucs-set-char #x5806 ?$(CwX(B) ; KS0-C-7758
(ucs-set-char #x5806 ?$(GYT(B) ; C01-G-5954
(ucs-set-char #x5806 ?$@BO(B) ; J78-@-424F
(ucs-set-char #x5806 ?$A6Q(B) ; GB0-A-3651
(ucs-set-char #x5806 ?$BBO(B) ; J83-B-424F
(ucs-set-char #x5807 ?$(H4>(B) ; C02-H-343E
(ucs-set-char #x5807 ?$A]@(B) ; GB0-A-5D40
(ucs-set-char #x5808 ?$(CK((B) ; KS0-C-4B28
(ucs-set-char #x5808 ?$(D7|(B) ; J90-D-377C
(ucs-set-char #x5808 ?$(H49(B) ; C02-H-3439
(ucs-set-char #x5809 ?$(Ck<(B) ; KS0-C-6B3C
(ucs-set-char #x5809 ?$(D7}(B) ; J90-D-377D
(ucs-set-char #x5809 ?$(GTm(B) ; C01-G-546D
(ucs-set-char #x580A ?$(Cd>(B) ; KS0-C-643E
(ucs-set-char #x580A ?$(GYS(B) ; C01-G-5953
(ucs-set-char #x580A ?$@TA(B) ; J78-@-5441
(ucs-set-char #x580A ?$BTA(B) ; J83-B-5441
(ucs-set-char #x580B ?$(H4;(B) ; C02-H-343B
(ucs-set-char #x580B ?$@TD(B) ; J78-@-5444
(ucs-set-char #x580B ?$A\!(B) ; GB0-A-5C21
(ucs-set-char #x580B ?$BTD(B) ; J83-B-5444
(ucs-set-char #x580C ?$(D8!(B) ; J90-D-3821
(ucs-set-char #x580C ?$(H4J(B) ; C02-H-344A
(ucs-set-char #x580D ?$(D8"(B) ; J90-D-3822
(ucs-set-char #x580D ?$(H4N(B) ; C02-H-344E
(ucs-set-char #x580D ?$A\"(B) ; GB0-A-5C22
(ucs-set-char #x580E ?$(H4E(B) ; C02-H-3445
(ucs-set-char #x5810 ?$(H4G(B) ; C02-H-3447
(ucs-set-char #x5811 ?$AG5(B) ; GB0-A-4735
(ucs-set-char #x5814 ?$(H41(B) ; C02-H-3431
(ucs-set-char #x5815 ?$@BD(B) ; J78-@-4244
(ucs-set-char #x5815 ?$A6i(B) ; GB0-A-3669
(ucs-set-char #x5815 ?$BBD(B) ; J83-B-4244
(ucs-set-char #x5817 ?$(J6i(B) ; C04-J-3669
(ucs-set-char #x5818 ?$(I:J(B) ; C03-I-3A4A
(ucs-set-char #x5819 ?$(H:c(B) ; C02-H-3A63
(ucs-set-char #x5819 ?$@TE(B) ; J78-@-5445
(ucs-set-char #x5819 ?$A\'(B) ; GB0-A-5C27
(ucs-set-char #x5819 ?$BTE(B) ; J83-B-5445
(ucs-set-char #x581A ?$(I:E(B) ; C03-I-3A45
(ucs-set-char #x581B ?$(D8#(B) ; J90-D-3823
(ucs-set-char #x581B ?$(H:l(B) ; C02-H-3A6C
(ucs-set-char #x581C ?$(H:k(B) ; C02-H-3A6B
(ucs-set-char #x581D ?$(G^`(B) ; C01-G-5E60
(ucs-set-char #x581D ?$@TF(B) ; J78-@-5446
(ucs-set-char #x581D ?$BTF(B) ; J83-B-5446
(ucs-set-char #x581E ?$(Ct\(B) ; KS0-C-745C
(ucs-set-char #x581E ?$(D8$(B) ; J90-D-3824
(ucs-set-char #x581E ?$(H:d(B) ; C02-H-3A64
(ucs-set-char #x581E ?$A\&(B) ; GB0-A-5C26
(ucs-set-char #x581F ?$(D8%(B) ; J90-D-3825
(ucs-set-char #x581F ?$(I:G(B) ; C03-I-3A47
(ucs-set-char #x5820 ?$(D8&(B) ; J90-D-3826
(ucs-set-char #x5820 ?$(G^a(B) ; C01-G-5E61
(ucs-set-char #x5820 ?$A\)(B) ; GB0-A-5C29
(ucs-set-char #x5821 ?$(C\B(B) ; KS0-C-5C42
(ucs-set-char #x5821 ?$(G^_(B) ; C01-G-5E5F
(ucs-set-char #x5821 ?$@TH(B) ; J78-@-5448
(ucs-set-char #x5821 ?$A1$(B) ; GB0-A-3124
(ucs-set-char #x5821 ?$BTH(B) ; J83-B-5448
(ucs-set-char #x5822 ?$(I:P(B) ; C03-I-3A50
(ucs-set-char #x5823 ?$(H:f(B) ; C02-H-3A66
(ucs-set-char #x5824 ?$(Cp'(B) ; KS0-C-7027
(ucs-set-char #x5824 ?$(G^\(B) ; C01-G-5E5C
(ucs-set-char #x5824 ?$@Di(B) ; J78-@-4469
(ucs-set-char #x5824 ?$A5L(B) ; GB0-A-354C
(ucs-set-char #x5824 ?$BDi(B) ; J83-B-4469
(ucs-set-char #x5825 ?$(H:j(B) ; C02-H-3A6A
(ucs-set-char #x5826 ?$(D8'(B) ; J90-D-3827
(ucs-set-char #x5826 ?$(I:L(B) ; C03-I-3A4C
(ucs-set-char #x5827 ?$(Cf@(B) ; KS0-C-6640
(ucs-set-char #x5827 ?$(D8((B) ; J90-D-3828
(ucs-set-char #x5827 ?$(H:e(B) ; C02-H-3A65
(ucs-set-char #x5828 ?$(H:g(B) ; C02-H-3A67
(ucs-set-char #x5829 ?$(H:a(B) ; C02-H-3A61
(ucs-set-char #x582A ?$(CJm(B) ; KS0-C-4A6D
(ucs-set-char #x582A ?$(G^Z(B) ; C01-G-5E5A
(ucs-set-char #x582A ?$@4.(B) ; J78-@-342E
(ucs-set-char #x582A ?$A?0(B) ; GB0-A-3F30
(ucs-set-char #x582A ?$B4.(B) ; J83-B-342E
(ucs-set-char #x582B ?$(J6o(B) ; C04-J-366F
(ucs-set-char #x582C ?$(H:t(B) ; C02-H-3A74
(ucs-set-char #x582D ?$(D8)(B) ; J90-D-3829
(ucs-set-char #x582D ?$(H:s(B) ; C02-H-3A73
(ucs-set-char #x582E ?$(H:p(B) ; C02-H-3A70
(ucs-set-char #x582F ?$(Chk(B) ; KS0-C-686B
(ucs-set-char #x582F ?$(G^Y(B) ; C01-G-5E59
(ucs-set-char #x582F ?$@6F(B) ; J78-@-3646
(ucs-set-char #x582F ?$Bt!(B) ; J83-B-7421
(ucs-set-char #x5830 ?$(Ceh(B) ; KS0-C-6568
(ucs-set-char #x5830 ?$(G^](B) ; C01-G-5E5D
(ucs-set-char #x5830 ?$@1a(B) ; J78-@-3161
(ucs-set-char #x5830 ?$AQ_(B) ; GB0-A-515F
(ucs-set-char #x5830 ?$B1a(B) ; J83-B-3161
(ucs-set-char #x5831 ?$(C\C(B) ; KS0-C-5C43
(ucs-set-char #x5831 ?$(G^^(B) ; C01-G-5E5E
(ucs-set-char #x5831 ?$@Js(B) ; J78-@-4A73
(ucs-set-char #x5831 ?$BJs(B) ; J83-B-4A73
(ucs-set-char #x5832 ?$(D8*(B) ; J90-D-382A
(ucs-set-char #x5832 ?$(H.M(B) ; C02-H-2E4D
(ucs-set-char #x5832 ?$(J6v(B) ; C04-J-3676
(ucs-set-char #x5833 ?$(H:m(B) ; C02-H-3A6D
(ucs-set-char #x5834 ?$(Cm^(B) ; KS0-C-6D5E
(ucs-set-char #x5834 ?$(G^[(B) ; C01-G-5E5B
(ucs-set-char #x5834 ?$@>l(B) ; J78-@-3E6C
(ucs-set-char #x5834 ?$B>l(B) ; J83-B-3E6C
(ucs-set-char #x5835 ?$(CSr(B) ; KS0-C-5372
(ucs-set-char #x5835 ?$(GYY(B) ; C01-G-5959
(ucs-set-char #x5835 ?$@EH(B) ; J78-@-4548
(ucs-set-char #x5835 ?$A6B(B) ; GB0-A-3642
(ucs-set-char #x5835 ?$BEH(B) ; J83-B-4548
(ucs-set-char #x5836 ?$(H:o(B) ; C02-H-3A6F
(ucs-set-char #x5837 ?$(H:b(B) ; C02-H-3A62
(ucs-set-char #x5838 ?$(H:r(B) ; C02-H-3A72
(ucs-set-char #x5839 ?$(D8+(B) ; J90-D-382B
(ucs-set-char #x5839 ?$(H:q(B) ; C02-H-3A71
(ucs-set-char #x583A ?$(CLw(B) ; KS0-C-4C77
(ucs-set-char #x583A ?$(I:N(B) ; C03-I-3A4E
(ucs-set-char #x583A ?$@:f(B) ; J78-@-3A66
(ucs-set-char #x583A ?$B:f(B) ; J83-B-3A66
(ucs-set-char #x583B ?$(H:u(B) ; C02-H-3A75
(ucs-set-char #x583C ?$(I:I(B) ; C03-I-3A49
(ucs-set-char #x583D ?$(HB6(B) ; C02-H-4236
(ucs-set-char #x583D ?$@TN(B) ; J78-@-544E
(ucs-set-char #x583D ?$BTN(B) ; J83-B-544E
(ucs-set-char #x583E ?$(I:K(B) ; C03-I-3A4B
(ucs-set-char #x583F ?$(D8,(B) ; J90-D-382C
(ucs-set-char #x583F ?$(H:n(B) ; C02-H-3A6E
(ucs-set-char #x5840 ?$@J=(B) ; J78-@-4A3D
(ucs-set-char #x5840 ?$BJ=(B) ; J83-B-4A3D
(ucs-set-char #x5841 ?$@N](B) ; J78-@-4E5D
(ucs-set-char #x5841 ?$BN](B) ; J83-B-4E5D
(ucs-set-char #x5843 ?$(J<W(B) ; C04-J-3C57
(ucs-set-char #x5844 ?$(J6m(B) ; C04-J-366D
(ucs-set-char #x5844 ?$A\((B) ; GB0-A-5C28
(ucs-set-char #x5845 ?$(J6q(B) ; C04-J-3671
(ucs-set-char #x5848 ?$(H:i(B) ; C02-H-3A69
(ucs-set-char #x5849 ?$(D8-(B) ; J90-D-382D
(ucs-set-char #x5849 ?$(HB.(B) ; C02-H-422E
(ucs-set-char #x584A ?$(CNT(B) ; KS0-C-4E54
(ucs-set-char #x584A ?$(Gc[(B) ; C01-G-635B
(ucs-set-char #x584A ?$@2t(B) ; J78-@-3274
(ucs-set-char #x584A ?$B2t(B) ; J83-B-3274
(ucs-set-char #x584B ?$(Cg+(B) ; KS0-C-672B
(ucs-set-char #x584B ?$(Gc^(B) ; C01-G-635E
(ucs-set-char #x584B ?$@TJ(B) ; J78-@-544A
(ucs-set-char #x584B ?$BTJ(B) ; J83-B-544A
(ucs-set-char #x584C ?$(D8.(B) ; J90-D-382E
(ucs-set-char #x584C ?$(GcY(B) ; C01-G-6359
(ucs-set-char #x584C ?$AKz(B) ; GB0-A-4B7A
(ucs-set-char #x584D ?$(D8/(B) ; J90-D-382F
(ucs-set-char #x584D ?$(HB-(B) ; C02-H-422D
(ucs-set-char #x584D ?$Aks(B) ; GB0-A-6B73
(ucs-set-char #x584E ?$(HB1(B) ; C02-H-4231
(ucs-set-char #x584F ?$(CKC(B) ; KS0-C-4B43
(ucs-set-char #x584F ?$(D80(B) ; J90-D-3830
(ucs-set-char #x584F ?$(HB,(B) ; C02-H-422C
(ucs-set-char #x5850 ?$(D81(B) ; J90-D-3831
(ucs-set-char #x5850 ?$(I@W(B) ; C03-I-4057
(ucs-set-char #x5851 ?$(Ca1(B) ; KS0-C-6131
(ucs-set-char #x5851 ?$(GcS(B) ; C01-G-6353
(ucs-set-char #x5851 ?$@A:(B) ; J78-@-413A
(ucs-set-char #x5851 ?$AK\(B) ; GB0-A-4B5C
(ucs-set-char #x5851 ?$BA:(B) ; J83-B-413A
(ucs-set-char #x5852 ?$(Gc](B) ; C01-G-635D
(ucs-set-char #x5852 ?$@TM(B) ; J78-@-544D
(ucs-set-char #x5852 ?$BTM(B) ; J83-B-544D
(ucs-set-char #x5853 ?$(HB)(B) ; C02-H-4229
(ucs-set-char #x5854 ?$(Cw2(B) ; KS0-C-7732
(ucs-set-char #x5854 ?$(GcW(B) ; C01-G-6357
(ucs-set-char #x5854 ?$@Ec(B) ; J78-@-4563
(ucs-set-char #x5854 ?$AK~(B) ; GB0-A-4B7E
(ucs-set-char #x5854 ?$BEc(B) ; J83-B-4563
(ucs-set-char #x5855 ?$(D82(B) ; J90-D-3832
(ucs-set-char #x5855 ?$(HB0(B) ; C02-H-4230
(ucs-set-char #x5856 ?$(I@[(B) ; C03-I-405B
(ucs-set-char #x5857 ?$(CSs(B) ; KS0-C-5373
(ucs-set-char #x5857 ?$(GcU(B) ; C01-G-6355
(ucs-set-char #x5857 ?$@EI(B) ; J78-@-4549
(ucs-set-char #x5857 ?$BEI(B) ; J83-B-4549
(ucs-set-char #x5858 ?$(CSR(B) ; KS0-C-5352
(ucs-set-char #x5858 ?$(GcT(B) ; C01-G-6354
(ucs-set-char #x5858 ?$@Ed(B) ; J78-@-4564
(ucs-set-char #x5858 ?$ALA(B) ; GB0-A-4C41
(ucs-set-char #x5858 ?$BEd(B) ; J83-B-4564
(ucs-set-char #x5859 ?$(HB3(B) ; C02-H-4233
(ucs-set-char #x5859 ?$@H9(B) ; J78-@-4839
(ucs-set-char #x5859 ?$BH9(B) ; J83-B-4839
(ucs-set-char #x585A ?$(Cu@(B) ; KS0-C-7540
(ucs-set-char #x585A ?$(GcV(B) ; C01-G-6356
(ucs-set-char #x585A ?$@DM(B) ; J78-@-444D
(ucs-set-char #x585A ?$BDM(B) ; J83-B-444D
(ucs-set-char #x585B ?$(HB5(B) ; C02-H-4235
(ucs-set-char #x585C ?$(I@V(B) ; C03-I-4056
(ucs-set-char #x585D ?$(HB2(B) ; C02-H-4232
(ucs-set-char #x585E ?$(C_](B) ; KS0-C-5F5D
(ucs-set-char #x585E ?$(GcR(B) ; C01-G-6352
(ucs-set-char #x585E ?$@:I(B) ; J78-@-3A49
(ucs-set-char #x585E ?$AH{(B) ; GB0-A-487B
(ucs-set-char #x585E ?$B:I(B) ; J83-B-3A49
(ucs-set-char #x585F ?$(D83(B) ; J90-D-3833
(ucs-set-char #x585F ?$(I@^(B) ; C03-I-405E
(ucs-set-char #x5860 ?$(I@\(B) ; C03-I-405C
(ucs-set-char #x5861 ?$(Cns(B) ; KS0-C-6E73
(ucs-set-char #x5861 ?$(D84(B) ; J90-D-3834
(ucs-set-char #x5861 ?$(I@X(B) ; C03-I-4058
(ucs-set-char #x5861 ?$@E6(B) ; J78-@-4536
(ucs-set-char #x5862 ?$(Cgq(B) ; KS0-C-6771
(ucs-set-char #x5862 ?$(Gc\(B) ; C01-G-635C
(ucs-set-char #x5862 ?$@TI(B) ; J78-@-5449
(ucs-set-char #x5862 ?$BTI(B) ; J83-B-5449
(ucs-set-char #x5863 ?$(HB7(B) ; C02-H-4237
(ucs-set-char #x5864 ?$(C}4(B) ; KS0-C-7D34
(ucs-set-char #x5864 ?$(D85(B) ; J90-D-3835
(ucs-set-char #x5864 ?$(HB+(B) ; C02-H-422B
(ucs-set-char #x5865 ?$(HB4(B) ; C02-H-4234
(ucs-set-char #x5865 ?$A\*(B) ; GB0-A-5C2A
(ucs-set-char #x5866 ?$(I@](B) ; C03-I-405D
(ucs-set-char #x5867 ?$(D86(B) ; J90-D-3836
(ucs-set-char #x5867 ?$(J<S(B) ; C04-J-3C53
(ucs-set-char #x5868 ?$(D87(B) ; J90-D-3837
(ucs-set-char #x5868 ?$(HB*(B) ; C02-H-422A
(ucs-set-char #x5869 ?$(I@Z(B) ; C03-I-405A
(ucs-set-char #x5869 ?$@1v(B) ; J78-@-3176
(ucs-set-char #x5869 ?$B1v(B) ; J83-B-3176
(ucs-set-char #x586A ?$(I@Y(B) ; C03-I-4059
(ucs-set-char #x586B ?$(GcX(B) ; C01-G-6358
(ucs-set-char #x586B ?$ALn(B) ; GB0-A-4C6E
(ucs-set-char #x586B ?$BE6(B) ; J83-B-4536
(ucs-set-char #x586C ?$(I@T(B) ; C03-I-4054
(ucs-set-char #x586C ?$A\+(B) ; GB0-A-5C2B
(ucs-set-char #x586D ?$(GcZ(B) ; C01-G-635A
(ucs-set-char #x586F ?$(HB/(B) ; C02-H-422F
(ucs-set-char #x5870 ?$@TK(B) ; J78-@-544B
(ucs-set-char #x5870 ?$BTK(B) ; J83-B-544B
(ucs-set-char #x5871 ?$(HB8(B) ; C02-H-4238
(ucs-set-char #x5872 ?$(IFC(B) ; C03-I-4643
(ucs-set-char #x5872 ?$@TG(B) ; J78-@-5447
(ucs-set-char #x5872 ?$BTG(B) ; J83-B-5447
(ucs-set-char #x5873 ?$(IF>(B) ; C03-I-463E
(ucs-set-char #x5874 ?$(HID(B) ; C02-H-4944
(ucs-set-char #x5875 ?$(CrH(B) ; KS0-C-7248
(ucs-set-char #x5875 ?$(Gh8(B) ; C01-G-6838
(ucs-set-char #x5875 ?$@?P(B) ; J78-@-3F50
(ucs-set-char #x5875 ?$B?P(B) ; J83-B-3F50
(ucs-set-char #x5876 ?$(HIJ(B) ; C02-H-494A
(ucs-set-char #x5877 ?$(IFB(B) ; C03-I-4642
(ucs-set-char #x5878 ?$(D88(B) ; J90-D-3838
(ucs-set-char #x5878 ?$(IF<(B) ; C03-I-463C
(ucs-set-char #x5879 ?$(CsR(B) ; KS0-C-7352
(ucs-set-char #x5879 ?$(Gh=(B) ; C01-G-683D
(ucs-set-char #x5879 ?$@TO(B) ; J78-@-544F
(ucs-set-char #x5879 ?$BTO(B) ; J83-B-544F
(ucs-set-char #x587A ?$(HIF(B) ; C02-H-4946
(ucs-set-char #x587B ?$(HIM(B) ; C02-H-494D
(ucs-set-char #x587C ?$(Cnt(B) ; KS0-C-6E74
(ucs-set-char #x587C ?$(D89(B) ; J90-D-3839
(ucs-set-char #x587C ?$(HI>(B) ; C02-H-493E
(ucs-set-char #x587D ?$(Gh?(B) ; C01-G-683F
(ucs-set-char #x587E ?$(CbS(B) ; KS0-C-6253
(ucs-set-char #x587E ?$(Gh9(B) ; C01-G-6839
(ucs-set-char #x587E ?$@=N(B) ; J78-@-3D4E
(ucs-set-char #x587E ?$A[S(B) ; GB0-A-5B53
(ucs-set-char #x587E ?$B=N(B) ; J83-B-3D4E
(ucs-set-char #x587F ?$(D8:(B) ; J90-D-383A
(ucs-set-char #x587F ?$(HIC(B) ; C02-H-4943
(ucs-set-char #x5880 ?$(D8;(B) ; J90-D-383B
(ucs-set-char #x5880 ?$(Gl?(B) ; C01-G-6C3F
(ucs-set-char #x5880 ?$A\/(B) ; GB0-A-5C2F
(ucs-set-char #x5881 ?$(D8<(B) ; J90-D-383C
(ucs-set-char #x5881 ?$(HIB(B) ; C02-H-4942
(ucs-set-char #x5881 ?$A\,(B) ; GB0-A-5C2C
(ucs-set-char #x5882 ?$(HIK(B) ; C02-H-494B
(ucs-set-char #x5883 ?$(CLQ(B) ; KS0-C-4C51
(ucs-set-char #x5883 ?$(Gh:(B) ; C01-G-683A
(ucs-set-char #x5883 ?$@6-(B) ; J78-@-362D
(ucs-set-char #x5883 ?$A>3(B) ; GB0-A-3E33
(ucs-set-char #x5883 ?$B6-(B) ; J83-B-362D
(ucs-set-char #x5884 ?$(IF=(B) ; C03-I-463D
(ucs-set-char #x5885 ?$(C_j(B) ; KS0-C-5F6A
(ucs-set-char #x5885 ?$(Gh>(B) ; C01-G-683E
(ucs-set-char #x5885 ?$@TP(B) ; J78-@-5450
(ucs-set-char #x5885 ?$AJ{(B) ; GB0-A-4A7B
(ucs-set-char #x5885 ?$BTP(B) ; J83-B-5450
(ucs-set-char #x5886 ?$(HIA(B) ; C02-H-4941
(ucs-set-char #x5887 ?$(D8=(B) ; J90-D-383D
(ucs-set-char #x5887 ?$(HIG(B) ; C02-H-4947
(ucs-set-char #x5888 ?$(D8>(B) ; J90-D-383E
(ucs-set-char #x5888 ?$(HIL(B) ; C02-H-494C
(ucs-set-char #x5889 ?$(Ci:(B) ; KS0-C-693A
(ucs-set-char #x5889 ?$(D8?(B) ; J90-D-383F
(ucs-set-char #x5889 ?$(HI=(B) ; C02-H-493D
(ucs-set-char #x5889 ?$A\-(B) ; GB0-A-5C2D
(ucs-set-char #x588A ?$(D8@(B) ; J90-D-3840
(ucs-set-char #x588A ?$(Gh<(B) ; C01-G-683C
(ucs-set-char #x588B ?$(HIE(B) ; C02-H-4945
(ucs-set-char #x588C ?$(D8A(B) ; J90-D-3841
(ucs-set-char #x588C ?$(IF:(B) ; C03-I-463A
(ucs-set-char #x588D ?$(D8B(B) ; J90-D-3842
(ucs-set-char #x588D ?$(IFE(B) ; C03-I-4645
(ucs-set-char #x588E ?$(HII(B) ; C02-H-4949
(ucs-set-char #x588F ?$(D8C(B) ; J90-D-3843
(ucs-set-char #x588F ?$(HIO(B) ; C02-H-494F
(ucs-set-char #x5890 ?$(D8D(B) ; J90-D-3844
(ucs-set-char #x5890 ?$(HI?(B) ; C02-H-493F
(ucs-set-char #x5891 ?$(HIH(B) ; C02-H-4948
(ucs-set-char #x5892 ?$(IF8(B) ; C03-I-4638
(ucs-set-char #x5892 ?$AIJ(B) ; GB0-A-494A
(ucs-set-char #x5893 ?$(CYW(B) ; KS0-C-5957
(ucs-set-char #x5893 ?$(Gh;(B) ; C01-G-683B
(ucs-set-char #x5893 ?$@Jh(B) ; J78-@-4A68
(ucs-set-char #x5893 ?$AD9(B) ; GB0-A-4439
(ucs-set-char #x5893 ?$BJh(B) ; J83-B-4A68
(ucs-set-char #x5894 ?$(D8E(B) ; J90-D-3845
(ucs-set-char #x5894 ?$(HIN(B) ; C02-H-494E
(ucs-set-char #x5895 ?$(IFA(B) ; C03-I-4641
(ucs-set-char #x5896 ?$(D8F(B) ; J90-D-3846
(ucs-set-char #x5896 ?$(IFD(B) ; C03-I-4644
(ucs-set-char #x5897 ?$(IF@(B) ; C03-I-4640
(ucs-set-char #x5897 ?$@A}(B) ; J78-@-417D
(ucs-set-char #x5897 ?$BA}(B) ; J83-B-417D
(ucs-set-char #x5898 ?$(HI@(B) ; C02-H-4940
(ucs-set-char #x5899 ?$AG=(B) ; GB0-A-473D
(ucs-set-char #x589A ?$(JBY(B) ; C04-J-4259
(ucs-set-char #x589A ?$A\.(B) ; GB0-A-5C2E
(ucs-set-char #x589C ?$(CuM(B) ; KS0-C-754D
(ucs-set-char #x589C ?$(GlC(B) ; C01-G-6C43
(ucs-set-char #x589C ?$@DF(B) ; J78-@-4446
(ucs-set-char #x589C ?$BDF(B) ; J83-B-4446
(ucs-set-char #x589D ?$(D8G(B) ; J90-D-3847
(ucs-set-char #x589D ?$(HOr(B) ; C02-H-4F72
(ucs-set-char #x589E ?$(Cqr(B) ; KS0-C-7172
(ucs-set-char #x589E ?$(GlA(B) ; C01-G-6C41
(ucs-set-char #x589E ?$ATv(B) ; GB0-A-5476
(ucs-set-char #x589F ?$(CzG(B) ; KS0-C-7A47
(ucs-set-char #x589F ?$(Gl@(B) ; C01-G-6C40
(ucs-set-char #x589F ?$@TR(B) ; J78-@-5452
(ucs-set-char #x589F ?$APf(B) ; GB0-A-5066
(ucs-set-char #x589F ?$BTR(B) ; J83-B-5452
(ucs-set-char #x58A0 ?$(D8H(B) ; J90-D-3848
(ucs-set-char #x58A0 ?$(HOt(B) ; C02-H-4F74
(ucs-set-char #x58A1 ?$(D8I(B) ; J90-D-3849
(ucs-set-char #x58A1 ?$(HOy(B) ; C02-H-4F79
(ucs-set-char #x58A2 ?$(D8J(B) ; J90-D-384A
(ucs-set-char #x58A2 ?$(IKF(B) ; C03-I-4B46
(ucs-set-char #x58A3 ?$(HOu(B) ; C02-H-4F75
(ucs-set-char #x58A4 ?$(IKP(B) ; C03-I-4B50
(ucs-set-char #x58A5 ?$(HOx(B) ; C02-H-4F78
(ucs-set-char #x58A6 ?$(D8K(B) ; J90-D-384B
(ucs-set-char #x58A6 ?$(GlF(B) ; C01-G-6C46
(ucs-set-char #x58A7 ?$(IKQ(B) ; C03-I-4B51
(ucs-set-char #x58A8 ?$(CYx(B) ; KS0-C-5978
(ucs-set-char #x58A8 ?$(Gp.(B) ; C01-G-702E
(ucs-set-char #x58A8 ?$@KO(B) ; J78-@-4B4F
(ucs-set-char #x58A8 ?$AD+(B) ; GB0-A-442B
(ucs-set-char #x58A8 ?$BKO(B) ; J83-B-4B4F
(ucs-set-char #x58A9 ?$(CTB(B) ; KS0-C-5442
(ucs-set-char #x58A9 ?$(D8L(B) ; J90-D-384C
(ucs-set-char #x58A9 ?$(GlE(B) ; C01-G-6C45
(ucs-set-char #x58A9 ?$A6U(B) ; GB0-A-3655
(ucs-set-char #x58AA ?$(IKK(B) ; C03-I-4B4B
(ucs-set-char #x58AB ?$(HOq(B) ; C02-H-4F71
(ucs-set-char #x58AB ?$@TS(B) ; J78-@-5453
(ucs-set-char #x58AB ?$BTS(B) ; J83-B-5453
(ucs-set-char #x58AC ?$(HOw(B) ; C02-H-4F77
(ucs-set-char #x58AD ?$(IF?(B) ; C03-I-463F
(ucs-set-char #x58AE ?$(Cve(B) ; KS0-C-7665
(ucs-set-char #x58AE ?$(GlD(B) ; C01-G-6C44
(ucs-set-char #x58AE ?$@TX(B) ; J78-@-5458
(ucs-set-char #x58AE ?$BTX(B) ; J83-B-5458
(ucs-set-char #x58AF ?$(HOv(B) ; C02-H-4F76
(ucs-set-char #x58B0 ?$(IKM(B) ; C03-I-4B4D
(ucs-set-char #x58B1 ?$(D8M(B) ; J90-D-384D
(ucs-set-char #x58B1 ?$(HOs(B) ; C02-H-4F73
(ucs-set-char #x58B2 ?$(D8N(B) ; J90-D-384E
(ucs-set-char #x58B2 ?$(IKI(B) ; C03-I-4B49
(ucs-set-char #x58B3 ?$(C]E(B) ; KS0-C-5D45
(ucs-set-char #x58B3 ?$(GlB(B) ; C01-G-6C42
(ucs-set-char #x58B3 ?$@J/(B) ; J78-@-4A2F
(ucs-set-char #x58B3 ?$BJ/(B) ; J83-B-4A2F
(ucs-set-char #x58B4 ?$(IKO(B) ; C03-I-4B4F
(ucs-set-char #x58B5 ?$(IKL(B) ; C03-I-4B4C
(ucs-set-char #x58B7 ?$(IKG(B) ; C03-I-4B47
(ucs-set-char #x58B8 ?$@TW(B) ; J78-@-5457
(ucs-set-char #x58B8 ?$BTW(B) ; J83-B-5457
(ucs-set-char #x58B9 ?$@TQ(B) ; J78-@-5451
(ucs-set-char #x58B9 ?$BTQ(B) ; J83-B-5451
(ucs-set-char #x58BA ?$(Cgr(B) ; KS0-C-6772
(ucs-set-char #x58BA ?$(HVW(B) ; C02-H-5657
(ucs-set-char #x58BA ?$@TT(B) ; J78-@-5454
(ucs-set-char #x58BA ?$BTT(B) ; J83-B-5454
(ucs-set-char #x58BB ?$(Cm_(B) ; KS0-C-6D5F
(ucs-set-char #x58BB ?$(IPJ(B) ; C03-I-504A
(ucs-set-char #x58BB ?$@TV(B) ; J78-@-5456
(ucs-set-char #x58BB ?$BTV(B) ; J83-B-5456
(ucs-set-char #x58BC ?$(D8P(B) ; J90-D-3850
(ucs-set-char #x58BC ?$(HVY(B) ; C02-H-5659
(ucs-set-char #x58BC ?$A[T(B) ; GB0-A-5B54
(ucs-set-char #x58BD ?$(HVT(B) ; C02-H-5654
(ucs-set-char #x58BE ?$(CJK(B) ; KS0-C-4A4B
(ucs-set-char #x58BE ?$(GpJ(B) ; C01-G-704A
(ucs-set-char #x58BE ?$@:&(B) ; J78-@-3A26
(ucs-set-char #x58BE ?$B:&(B) ; J83-B-3A26
(ucs-set-char #x58BF ?$(HVV(B) ; C02-H-5656
(ucs-set-char #x58C0 ?$(IPK(B) ; C03-I-504B
(ucs-set-char #x58C1 ?$(C[z(B) ; KS0-C-5B7A
(ucs-set-char #x58C1 ?$(GpI(B) ; C01-G-7049
(ucs-set-char #x58C1 ?$@JI(B) ; J78-@-4A49
(ucs-set-char #x58C1 ?$A1Z(B) ; GB0-A-315A
(ucs-set-char #x58C1 ?$BJI(B) ; J83-B-4A49
(ucs-set-char #x58C2 ?$(D8Q(B) ; J90-D-3851
(ucs-set-char #x58C2 ?$(HVX(B) ; C02-H-5658
(ucs-set-char #x58C3 ?$(IPH(B) ; C03-I-5048
(ucs-set-char #x58C4 ?$(D8O(B) ; J90-D-384F
(ucs-set-char #x58C4 ?$(IPL(B) ; C03-I-504C
(ucs-set-char #x58C4 ?$(M!x(B) ; C07-M-2178
(ucs-set-char #x58C5 ?$(Ch5(B) ; KS0-C-6835
(ucs-set-char #x58C5 ?$(GpL(B) ; C01-G-704C
(ucs-set-char #x58C5 ?$@TY(B) ; J78-@-5459
(ucs-set-char #x58C5 ?$A[U(B) ; GB0-A-5B55
(ucs-set-char #x58C5 ?$BTY(B) ; J83-B-5459
(ucs-set-char #x58C6 ?$(HVZ(B) ; C02-H-565A
(ucs-set-char #x58C7 ?$(CS&(B) ; KS0-C-5326
(ucs-set-char #x58C7 ?$(GpK(B) ; C01-G-704B
(ucs-set-char #x58C7 ?$@CE(B) ; J78-@-4345
(ucs-set-char #x58C7 ?$BCE(B) ; J83-B-4345
(ucs-set-char #x58C8 ?$(D8R(B) ; J90-D-3852
(ucs-set-char #x58C8 ?$(HVS(B) ; C02-H-5653
(ucs-set-char #x58C9 ?$(HVU(B) ; C02-H-5655
(ucs-set-char #x58CA ?$(IPI(B) ; C03-I-5049
(ucs-set-char #x58CA ?$@2u(B) ; J78-@-3275
(ucs-set-char #x58CA ?$B2u(B) ; J83-B-3275
(ucs-set-char #x58CC ?$@>m(B) ; J78-@-3E6D
(ucs-set-char #x58CC ?$B>m(B) ; J83-B-3E6D
(ucs-set-char #x58CD ?$(D8S(B) ; J90-D-3853
(ucs-set-char #x58CD ?$(ITK(B) ; C03-I-544B
(ucs-set-char #x58CE ?$(C}5(B) ; KS0-C-7D35
(ucs-set-char #x58CE ?$(D8T(B) ; J90-D-3854
(ucs-set-char #x58CE ?$(GsN(B) ; C01-G-734E
(ucs-set-char #x58CF ?$(H\X(B) ; C02-H-5C58
(ucs-set-char #x58D0 ?$(D8U(B) ; J90-D-3855
(ucs-set-char #x58D0 ?$(ITL(B) ; C03-I-544C
(ucs-set-char #x58D1 ?$(CyI(B) ; KS0-C-7949
(ucs-set-char #x58D1 ?$(GsM(B) ; C01-G-734D
(ucs-set-char #x58D1 ?$@T[(B) ; J78-@-545B
(ucs-set-char #x58D1 ?$A[V(B) ; GB0-A-5B56
(ucs-set-char #x58D1 ?$BT[(B) ; J83-B-545B
(ucs-set-char #x58D2 ?$(D8V(B) ; J90-D-3856
(ucs-set-char #x58D2 ?$(H\Y(B) ; C02-H-5C59
(ucs-set-char #x58D3 ?$(Cdb(B) ; KS0-C-6462
(ucs-set-char #x58D3 ?$(GsL(B) ; C01-G-734C
(ucs-set-char #x58D3 ?$@TZ(B) ; J78-@-545A
(ucs-set-char #x58D3 ?$BTZ(B) ; J83-B-545A
(ucs-set-char #x58D4 ?$(D8W(B) ; J90-D-3857
(ucs-set-char #x58D4 ?$(H\W(B) ; C02-H-5C57
(ucs-set-char #x58D5 ?$(C{=(B) ; KS0-C-7B3D
(ucs-set-char #x58D5 ?$(GsK(B) ; C01-G-734B
(ucs-set-char #x58D5 ?$@9h(B) ; J78-@-3968
(ucs-set-char #x58D5 ?$A:>(B) ; GB0-A-3A3E
(ucs-set-char #x58D5 ?$B9h(B) ; J83-B-3968
(ucs-set-char #x58D6 ?$(D8X(B) ; J90-D-3858
(ucs-set-char #x58D6 ?$(H\V(B) ; C02-H-5C56
(ucs-set-char #x58D7 ?$@T\(B) ; J78-@-545C
(ucs-set-char #x58D7 ?$BT\(B) ; J83-B-545C
(ucs-set-char #x58D8 ?$(CW$(B) ; KS0-C-5724
(ucs-set-char #x58D8 ?$(Gv?(B) ; C01-G-763F
(ucs-set-char #x58D8 ?$@T^(B) ; J78-@-545E
(ucs-set-char #x58D8 ?$BT^(B) ; J83-B-545E
(ucs-set-char #x58D9 ?$(CNE(B) ; KS0-C-4E45
(ucs-set-char #x58D9 ?$(Gv>(B) ; C01-G-763E
(ucs-set-char #x58D9 ?$@T](B) ; J78-@-545D
(ucs-set-char #x58D9 ?$BT](B) ; J83-B-545D
(ucs-set-char #x58DA ?$(D8Y(B) ; J90-D-3859
(ucs-set-char #x58DA ?$(HeB(B) ; C02-H-6542
(ucs-set-char #x58DB ?$(HeD(B) ; C02-H-6544
(ucs-set-char #x58DC ?$(IZ/(B) ; C03-I-5A2F
(ucs-set-char #x58DC ?$@T`(B) ; J78-@-5460
(ucs-set-char #x58DC ?$BT`(B) ; J83-B-5460
(ucs-set-char #x58DD ?$(D8Z(B) ; J90-D-385A
(ucs-set-char #x58DD ?$(HeC(B) ; C02-H-6543
(ucs-set-char #x58DE ?$(CNU(B) ; KS0-C-4E55
(ucs-set-char #x58DE ?$(Gx.(B) ; C01-G-782E
(ucs-set-char #x58DE ?$@TU(B) ; J78-@-5455
(ucs-set-char #x58DE ?$BTU(B) ; J83-B-5455
(ucs-set-char #x58DF ?$(CVf(B) ; KS0-C-5666
(ucs-set-char #x58DF ?$(Gx/(B) ; C01-G-782F
(ucs-set-char #x58DF ?$@Tb(B) ; J78-@-5462
(ucs-set-char #x58DF ?$BTb(B) ; J83-B-5462
(ucs-set-char #x58E0 ?$(IZ.(B) ; C03-I-5A2E
(ucs-set-char #x58E1 ?$(D8[(B) ; J90-D-385B
(ucs-set-char #x58E1 ?$(MFE(B) ; C07-M-4645
(ucs-set-char #x58E2 ?$(D8\(B) ; J90-D-385C
(ucs-set-char #x58E2 ?$(Gx0(B) ; C01-G-7830
(ucs-set-char #x58E3 ?$(Hhn(B) ; C02-H-686E
(ucs-set-char #x58E4 ?$(Ce=(B) ; KS0-C-653D
(ucs-set-char #x58E4 ?$(Gyf(B) ; C01-G-7966
(ucs-set-char #x58E4 ?$@Ta(B) ; J78-@-5461
(ucs-set-char #x58E4 ?$AH@(B) ; GB0-A-4840
(ucs-set-char #x58E4 ?$BTa(B) ; J83-B-5461
(ucs-set-char #x58E5 ?$@T_(B) ; J78-@-545F
(ucs-set-char #x58E5 ?$BT_(B) ; J83-B-545F
(ucs-set-char #x58E6 ?$(I^((B) ; C03-I-5E28
(ucs-set-char #x58E7 ?$(Ho"(B) ; C02-H-6F22
(ucs-set-char #x58E8 ?$(Ho!(B) ; C02-H-6F21
(ucs-set-char #x58E9 ?$(D8](B) ; J90-D-385D
(ucs-set-char #x58E9 ?$(G|^(B) ; C01-G-7C5E

(ucs-set-char #x58EB ?$AJ?(B) ; GB0-A-4A3F
(ucs-set-char #x58EB ?$(C^M(B) ; KS0-C-5E4D
(ucs-set-char #x58EB ?$(GDI(B) ; C01-G-4449
(ucs-set-char #x58EB ?$@;N(B) ; J78-@-3B4E
(ucs-set-char #x58EB ?$B;N(B) ; J83-B-3B4E

(ucs-set-char #x58EC ?$(Cls(B) ; KS0-C-6C73
(ucs-set-char #x58EC ?$(GE1(B) ; C01-G-4531
(ucs-set-char #x58EC ?$@?Q(B) ; J78-@-3F51
(ucs-set-char #x58EC ?$AHI(B) ; GB0-A-4849
(ucs-set-char #x58EC ?$B?Q(B) ; J83-B-3F51
(ucs-set-char #x58EE ?$(I#C(B) ; C03-I-2343
(ucs-set-char #x58EE ?$@AT(B) ; J78-@-4154
(ucs-set-char #x58EE ?$AW3(B) ; GB0-A-5733
(ucs-set-char #x58EE ?$BAT(B) ; J83-B-4154
(ucs-set-char #x58EF ?$(Cm`(B) ; KS0-C-6D60
(ucs-set-char #x58EF ?$(GIg(B) ; C01-G-4967
(ucs-set-char #x58EF ?$@Tc(B) ; J78-@-5463
(ucs-set-char #x58EF ?$BTc(B) ; J83-B-5463
(ucs-set-char #x58F0 ?$(I%E(B) ; C03-I-2545
(ucs-set-char #x58F0 ?$@@<(B) ; J78-@-403C
(ucs-set-char #x58F0 ?$AIy(B) ; GB0-A-4979
(ucs-set-char #x58F0 ?$B@<(B) ; J83-B-403C
(ucs-set-char #x58F1 ?$(I%C(B) ; C03-I-2543
(ucs-set-char #x58F1 ?$@0m(B) ; J78-@-306D
(ucs-set-char #x58F1 ?$B0m(B) ; J83-B-306D
(ucs-set-char #x58F2 ?$(I%D(B) ; C03-I-2544
(ucs-set-char #x58F2 ?$@Gd(B) ; J78-@-4764
(ucs-set-char #x58F2 ?$BGd(B) ; J83-B-4764
(ucs-set-char #x58F3 ?$(D8^(B) ; J90-D-385E
(ucs-set-char #x58F3 ?$(I(-(B) ; C03-I-282D
(ucs-set-char #x58F3 ?$A?G(B) ; GB0-A-3F47
(ucs-set-char #x58F4 ?$(H)`(B) ; C02-H-2960
(ucs-set-char #x58F5 ?$(I+w(B) ; C03-I-2B77
(ucs-set-char #x58F6 ?$A:x(B) ; GB0-A-3A78
(ucs-set-char #x58F7 ?$(I4w(B) ; C03-I-3477
(ucs-set-char #x58F7 ?$@Td(B) ; J78-@-5464
(ucs-set-char #x58F7 ?$BD[(B) ; J83-B-445B
(ucs-set-char #x58F9 ?$(Cll(B) ; KS0-C-6C6C
(ucs-set-char #x58F9 ?$(G^b(B) ; C01-G-5E62
(ucs-set-char #x58F9 ?$@Te(B) ; J78-@-5465
(ucs-set-char #x58F9 ?$AR<(B) ; GB0-A-523C
(ucs-set-char #x58F9 ?$BTe(B) ; J83-B-5465
(ucs-set-char #x58FA ?$(C{>(B) ; KS0-C-7B3E
(ucs-set-char #x58FA ?$(G^c(B) ; C01-G-5E63
(ucs-set-char #x58FA ?$@D[(B) ; J78-@-445B
(ucs-set-char #x58FA ?$BTd(B) ; J83-B-5464
(ucs-set-char #x58FB ?$(C_k(B) ; KS0-C-5F6B
(ucs-set-char #x58FB ?$(I:R(B) ; C03-I-3A52
(ucs-set-char #x58FB ?$@Tf(B) ; J78-@-5466
(ucs-set-char #x58FB ?$BTf(B) ; J83-B-5466
(ucs-set-char #x58FC ?$(HB9(B) ; C02-H-4239
(ucs-set-char #x58FC ?$@Tg(B) ; J78-@-5467
(ucs-set-char #x58FC ?$BTg(B) ; J83-B-5467
(ucs-set-char #x58FD ?$(Cax(B) ; KS0-C-6178
(ucs-set-char #x58FD ?$(Gh@(B) ; C01-G-6840
(ucs-set-char #x58FD ?$@Th(B) ; J78-@-5468
(ucs-set-char #x58FD ?$BTh(B) ; J83-B-5468
(ucs-set-char #x58FE ?$(HIP(B) ; C02-H-4950
(ucs-set-char #x58FF ?$(HOz(B) ; C02-H-4F7A
(ucs-set-char #x5900 ?$(L\/(B) ; C06-L-5C2F
(ucs-set-char #x5901 ?$(IPM(B) ; C03-I-504D
(ucs-set-char #x5902 ?$(I!9(B) ; C03-I-2139
(ucs-set-char #x5902 ?$@Ti(B) ; J78-@-5469
(ucs-set-char #x5902 ?$Ab:(B) ; GB0-A-623A
(ucs-set-char #x5902 ?$BTi(B) ; J83-B-5469
(ucs-set-char #x5903 ?$(H!:(B) ; C02-H-213A
(ucs-set-char #x5904 ?$(I"5(B) ; C03-I-2235
(ucs-set-char #x5904 ?$A4&(B) ; GB0-A-3426
(ucs-set-char #x5905 ?$(D8_(B) ; J90-D-385F
(ucs-set-char #x5905 ?$(I#D(B) ; C03-I-2344
(ucs-set-char #x5906 ?$(D8`(B) ; J90-D-3860
(ucs-set-char #x5906 ?$(H#P(B) ; C02-H-2350
(ucs-set-char #x5907 ?$A18(B) ; GB0-A-3138
(ucs-set-char #x5908 ?$(I+z(B) ; C03-I-2B7A
(ucs-set-char #x5909 ?$(I+y(B) ; C03-I-2B79
(ucs-set-char #x5909 ?$@JQ(B) ; J78-@-4A51
(ucs-set-char #x5909 ?$BJQ(B) ; J83-B-4A51

(ucs-set-char #x590A ?$(I!:(B) ; C03-I-213A
(ucs-set-char #x590A ?$@Tj(B) ; J78-@-546A
(ucs-set-char #x590A ?$BTj(B) ; J83-B-546A

(ucs-set-char #x590B ?$(D8a(B) ; J90-D-3861
(ucs-set-char #x590B ?$(I%F(B) ; C03-I-2546
(ucs-set-char #x590C ?$(D8b(B) ; J90-D-3862
(ucs-set-char #x590C ?$(H&#(B) ; C02-H-2623
(ucs-set-char #x590D ?$(H)a(B) ; C02-H-2961
(ucs-set-char #x590D ?$A84(B) ; GB0-A-3834
(ucs-set-char #x590E ?$(H.[(B) ; C02-H-2E5B
(ucs-set-char #x590F ?$(Cy>(B) ; KS0-C-793E
(ucs-set-char #x590F ?$(GTn(B) ; C01-G-546E
(ucs-set-char #x590F ?$@2F(B) ; J78-@-3246
(ucs-set-char #x590F ?$AOD(B) ; GB0-A-4F44
(ucs-set-char #x590F ?$B2F(B) ; J83-B-3246
(ucs-set-char #x5910 ?$(IFF(B) ; C03-I-4646
(ucs-set-char #x5910 ?$@Tk(B) ; J78-@-546B
(ucs-set-char #x5910 ?$BTk(B) ; J83-B-546B
(ucs-set-char #x5912 ?$(D8c(B) ; J90-D-3863
(ucs-set-char #x5912 ?$(HeE(B) ; C02-H-6545
(ucs-set-char #x5913 ?$(D8d(B) ; J90-D-3864
(ucs-set-char #x5913 ?$(J_R(B) ; C04-J-5F52
(ucs-set-char #x5914 ?$(CPs(B) ; KS0-C-5073
(ucs-set-char #x5914 ?$(D8e(B) ; J90-D-3865
(ucs-set-char #x5914 ?$(Gzg(B) ; C01-G-7A67
(ucs-set-char #x5914 ?$AYg(B) ; GB0-A-5967

(ucs-set-char #x5915 ?$AO&(B) ; GB0-A-4F26
(ucs-set-char #x5915 ?$(C`*(B) ; KS0-C-602A
(ucs-set-char #x5915 ?$(GDJ(B) ; C01-G-444A
(ucs-set-char #x5915 ?$@M<(B) ; J78-@-4D3C
(ucs-set-char #x5915 ?$BM<(B) ; J83-B-4D3C

(ucs-set-char #x5916 ?$(Chb(B) ; KS0-C-6862
(ucs-set-char #x5916 ?$(GF@(B) ; C01-G-4640
(ucs-set-char #x5916 ?$@30(B) ; J78-@-3330
(ucs-set-char #x5916 ?$AMb(B) ; GB0-A-4D62
(ucs-set-char #x5916 ?$B30(B) ; J83-B-3330
(ucs-set-char #x5917 ?$(H!Q(B) ; C02-H-2151
(ucs-set-char #x5918 ?$(I"6(B) ; C03-I-2236
(ucs-set-char #x5918 ?$@RI(B) ; J78-@-5249
(ucs-set-char #x5918 ?$BRI(B) ; J83-B-5249
(ucs-set-char #x5919 ?$(CbT(B) ; KS0-C-6254
(ucs-set-char #x5919 ?$(GGh(B) ; C01-G-4768
(ucs-set-char #x5919 ?$@=H(B) ; J78-@-3D48
(ucs-set-char #x5919 ?$AYm(B) ; GB0-A-596D
(ucs-set-char #x5919 ?$B=H(B) ; J83-B-3D48
(ucs-set-char #x591A ?$(CR}(B) ; KS0-C-527D
(ucs-set-char #x591A ?$(GGi(B) ; C01-G-4769
(ucs-set-char #x591A ?$@B?(B) ; J78-@-423F
(ucs-set-char #x591A ?$A6`(B) ; GB0-A-3660
(ucs-set-char #x591A ?$BB?(B) ; J83-B-423F
(ucs-set-char #x591B ?$(J"R(B) ; C04-J-2252
(ucs-set-char #x591B ?$@Tl(B) ; J78-@-546C
(ucs-set-char #x591B ?$BTl(B) ; J83-B-546C
(ucs-set-char #x591C ?$(Ce((B) ; KS0-C-6528
(ucs-set-char #x591C ?$(GL_(B) ; C01-G-4C5F
(ucs-set-char #x591C ?$@Lk(B) ; J78-@-4C6B
(ucs-set-char #x591C ?$AR9(B) ; GB0-A-5239
(ucs-set-char #x591C ?$BLk(B) ; J83-B-4C6B
(ucs-set-char #x591D ?$(D8g(B) ; J90-D-3867
(ucs-set-char #x591D ?$(J%p(B) ; C04-J-2570
(ucs-set-char #x591F ?$(I4y(B) ; C03-I-3479
(ucs-set-char #x591F ?$A9;(B) ; GB0-A-393B
(ucs-set-char #x5920 ?$(GY\(B) ; C01-G-595C
(ucs-set-char #x5921 ?$(D8h(B) ; J90-D-3868
(ucs-set-char #x5921 ?$(K7=(B) ; C05-K-373D
(ucs-set-char #x5922 ?$(CYS(B) ; KS0-C-5953
(ucs-set-char #x5922 ?$(GhB(B) ; C01-G-6842
(ucs-set-char #x5922 ?$(LQ^(B) ; C06-L-515E
(ucs-set-char #x5922 ?$@L4(B) ; J78-@-4C34
(ucs-set-char #x5922 ?$BL4(B) ; J83-B-4C34
(ucs-set-char #x5923 ?$(D8i(B) ; J90-D-3869
(ucs-set-char #x5923 ?$(I@_(B) ; C03-I-405F
(ucs-set-char #x5924 ?$(D8j(B) ; J90-D-386A
(ucs-set-char #x5924 ?$(GhC(B) ; C01-G-6843
(ucs-set-char #x5924 ?$Ab9(B) ; GB0-A-6239
(ucs-set-char #x5925 ?$(GhA(B) ; C01-G-6841
(ucs-set-char #x5925 ?$@Tn(B) ; J78-@-546E
(ucs-set-char #x5925 ?$Ab7(B) ; GB0-A-6237
(ucs-set-char #x5925 ?$BTn(B) ; J83-B-546E
(ucs-set-char #x5926 ?$(IKS(B) ; C03-I-4B53

(ucs-set-char #x5927 ?$A4s(B) ; GB0-A-3473
(ucs-set-char #x5927 ?$(CS^(B) ; KS0-C-535E
(ucs-set-char #x5927 ?$(GDK(B) ; C01-G-444B
(ucs-set-char #x5927 ?$@Bg(B) ; J78-@-4267
(ucs-set-char #x5927 ?$BBg(B) ; J83-B-4267

(ucs-set-char #x5928 ?$(D8k(B) ; J90-D-386B
(ucs-set-char #x5928 ?$(J!I(B) ; C04-J-2149
(ucs-set-char #x5929 ?$(Ct8(B) ; KS0-C-7438
(ucs-set-char #x5929 ?$(GE2(B) ; C01-G-4532
(ucs-set-char #x5929 ?$@E7(B) ; J78-@-4537
(ucs-set-char #x5929 ?$ALl(B) ; GB0-A-4C6C
(ucs-set-char #x5929 ?$BE7(B) ; J83-B-4537
(ucs-set-char #x592A ?$(Cw<(B) ; KS0-C-773C
(ucs-set-char #x592A ?$(GE4(B) ; C01-G-4534
(ucs-set-char #x592A ?$@B@(B) ; J78-@-4240
(ucs-set-char #x592A ?$AL+(B) ; GB0-A-4C2B
(ucs-set-char #x592A ?$BB@(B) ; J83-B-4240
(ucs-set-char #x592B ?$(C\}(B) ; KS0-C-5C7D
(ucs-set-char #x592B ?$(GE3(B) ; C01-G-4533
(ucs-set-char #x592B ?$@IW(B) ; J78-@-4957
(ucs-set-char #x592B ?$A7r(B) ; GB0-A-3772
(ucs-set-char #x592B ?$BIW(B) ; J83-B-4957
(ucs-set-char #x592C ?$(H!;(B) ; C02-H-213B
(ucs-set-char #x592C ?$@To(B) ; J78-@-546F
(ucs-set-char #x592C ?$BTo(B) ; J83-B-546F
(ucs-set-char #x592D ?$(Chl(B) ; KS0-C-686C
(ucs-set-char #x592D ?$(GE5(B) ; C01-G-4535
(ucs-set-char #x592D ?$@Tp(B) ; J78-@-5470
(ucs-set-char #x592D ?$AX2(B) ; GB0-A-5832
(ucs-set-char #x592D ?$BTp(B) ; J83-B-5470
(ucs-set-char #x592E ?$(Cdg(B) ; KS0-C-6467
(ucs-set-char #x592E ?$(GFA(B) ; C01-G-4641
(ucs-set-char #x592E ?$@1{(B) ; J78-@-317B
(ucs-set-char #x592E ?$AQk(B) ; GB0-A-516B
(ucs-set-char #x592E ?$B1{(B) ; J83-B-317B
(ucs-set-char #x592F ?$(D8l(B) ; J90-D-386C
(ucs-set-char #x592F ?$(H!R(B) ; C02-H-2152
(ucs-set-char #x592F ?$A:;(B) ; GB0-A-3A3B
(ucs-set-char #x5930 ?$(D8m(B) ; J90-D-386D
(ucs-set-char #x5930 ?$(I"8(B) ; C03-I-2238
(ucs-set-char #x5931 ?$(Ccw(B) ; KS0-C-6377
(ucs-set-char #x5931 ?$(GFB(B) ; C01-G-4642
(ucs-set-char #x5931 ?$@<:(B) ; J78-@-3C3A
(ucs-set-char #x5931 ?$AJ'(B) ; GB0-A-4A27
(ucs-set-char #x5931 ?$B<:(B) ; J83-B-3C3A
(ucs-set-char #x5932 ?$(I"7(B) ; C03-I-2237
(ucs-set-char #x5932 ?$@Tq(B) ; J78-@-5471
(ucs-set-char #x5932 ?$BTq(B) ; J83-B-5471
(ucs-set-char #x5933 ?$(D8n(B) ; J90-D-386E
(ucs-set-char #x5933 ?$(J!r(B) ; C04-J-2172
(ucs-set-char #x5934 ?$(I"9(B) ; C03-I-2239
(ucs-set-char #x5934 ?$AM7(B) ; GB0-A-4D37
(ucs-set-char #x5935 ?$(D8o(B) ; J90-D-386F
(ucs-set-char #x5935 ?$(J"S(B) ; C04-J-2253
(ucs-set-char #x5936 ?$(D8p(B) ; J90-D-3870
(ucs-set-char #x5936 ?$(I#G(B) ; C03-I-2347
(ucs-set-char #x5937 ?$(Cl((B) ; KS0-C-6C28
(ucs-set-char #x5937 ?$(GGj(B) ; C01-G-476A
(ucs-set-char #x5937 ?$@0P(B) ; J78-@-3050
(ucs-set-char #x5937 ?$ARD(B) ; GB0-A-5244
(ucs-set-char #x5937 ?$B0P(B) ; J83-B-3050
(ucs-set-char #x5938 ?$(GGk(B) ; C01-G-476B
(ucs-set-char #x5938 ?$@Tr(B) ; J78-@-5472
(ucs-set-char #x5938 ?$A?d(B) ; GB0-A-3F64
(ucs-set-char #x5938 ?$BTr(B) ; J83-B-5472
(ucs-set-char #x5939 ?$A<P(B) ; GB0-A-3C50
(ucs-set-char #x593A ?$A6a(B) ; GB0-A-3661
(ucs-set-char #x593C ?$(H"+(B) ; C02-H-222B
(ucs-set-char #x593C ?$A^E(B) ; GB0-A-5E45
(ucs-set-char #x593D ?$(I%I(B) ; C03-I-2549
(ucs-set-char #x593E ?$(Czq(B) ; KS0-C-7A71
(ucs-set-char #x593E ?$(GIh(B) ; C01-G-4968
(ucs-set-char #x593E ?$@Ts(B) ; J78-@-5473
(ucs-set-char #x593E ?$BTs(B) ; J83-B-5473
(ucs-set-char #x593F ?$(D8q(B) ; J90-D-3871
(ucs-set-char #x593F ?$(J#b(B) ; C04-J-2362
(ucs-set-char #x5940 ?$(H#Q(B) ; C02-H-2351
(ucs-set-char #x5941 ?$A^F(B) ; GB0-A-5E46
(ucs-set-char #x5942 ?$A[<(B) ; GB0-A-5B3C
(ucs-set-char #x5943 ?$(D8r(B) ; J90-D-3872
(ucs-set-char #x5943 ?$(J%u(B) ; C04-J-2575
(ucs-set-char #x5944 ?$(Cer(B) ; KS0-C-6572
(ucs-set-char #x5944 ?$(GLc(B) ; C01-G-4C63
(ucs-set-char #x5944 ?$@1b(B) ; J78-@-3162
(ucs-set-char #x5944 ?$AQY(B) ; GB0-A-5159
(ucs-set-char #x5944 ?$B1b(B) ; J83-B-3162
(ucs-set-char #x5945 ?$(H&$(B) ; C02-H-2624
(ucs-set-char #x5946 ?$(D8s(B) ; J90-D-3873
(ucs-set-char #x5946 ?$(J%r(B) ; C04-J-2572
(ucs-set-char #x5947 ?$(CPt(B) ; KS0-C-5074
(ucs-set-char #x5947 ?$(GLa(B) ; C01-G-4C61
(ucs-set-char #x5947 ?$@4q(B) ; J78-@-3471
(ucs-set-char #x5947 ?$AFf(B) ; GB0-A-4666
(ucs-set-char #x5947 ?$B4q(B) ; J83-B-3471
(ucs-set-char #x5948 ?$(CR/(B) ; KS0-C-522F
(ucs-set-char #x5948 ?$(GLb(B) ; C01-G-4C62
(ucs-set-char #x5948 ?$@F`(B) ; J78-@-4660
(ucs-set-char #x5948 ?$ADN(B) ; GB0-A-444E
(ucs-set-char #x5948 ?$BF`(B) ; J83-B-4660
(ucs-set-char #x5949 ?$(C\e(B) ; KS0-C-5C65
(ucs-set-char #x5949 ?$(GL`(B) ; C01-G-4C60
(ucs-set-char #x5949 ?$@Jt(B) ; J78-@-4A74
(ucs-set-char #x5949 ?$A7n(B) ; GB0-A-376E
(ucs-set-char #x5949 ?$BJt(B) ; J83-B-4A74
(ucs-set-char #x594A ?$(H.\(B) ; C02-H-2E5C
(ucs-set-char #x594B ?$(I(.(B) ; C03-I-282E
(ucs-set-char #x594B ?$A7\(B) ; GB0-A-375C
(ucs-set-char #x594C ?$(I(/(B) ; C03-I-282F
(ucs-set-char #x594E ?$(CP%(B) ; KS0-C-5025
(ucs-set-char #x594E ?$(GPX(B) ; C01-G-5058
(ucs-set-char #x594E ?$@Tw(B) ; J78-@-5477
(ucs-set-char #x594E ?$A?|(B) ; GB0-A-3F7C
(ucs-set-char #x594E ?$BTw(B) ; J83-B-5477
(ucs-set-char #x594F ?$(Cq4(B) ; KS0-C-7134
(ucs-set-char #x594F ?$(GPW(B) ; C01-G-5057
(ucs-set-char #x594F ?$@AU(B) ; J78-@-4155
(ucs-set-char #x594F ?$AW`(B) ; GB0-A-5760
(ucs-set-char #x594F ?$BAU(B) ; J83-B-4155
(ucs-set-char #x5950 ?$(C|1(B) ; KS0-C-7C31
(ucs-set-char #x5950 ?$(GPY(B) ; C01-G-5059
(ucs-set-char #x5950 ?$@Tv(B) ; J78-@-5476
(ucs-set-char #x5950 ?$BTv(B) ; J83-B-5476
(ucs-set-char #x5951 ?$(CLx(B) ; KS0-C-4C78
(ucs-set-char #x5951 ?$(GPV(B) ; C01-G-5056
(ucs-set-char #x5951 ?$@7@(B) ; J78-@-3740
(ucs-set-char #x5951 ?$AFu(B) ; GB0-A-4675
(ucs-set-char #x5951 ?$B7@(B) ; J83-B-3740
(ucs-set-char #x5952 ?$(D8t(B) ; J90-D-3874
(ucs-set-char #x5952 ?$(I+|(B) ; C03-I-2B7C
(ucs-set-char #x5953 ?$(D8u(B) ; J90-D-3875
(ucs-set-char #x5953 ?$(H)b(B) ; C02-H-2962
(ucs-set-char #x5954 ?$(C]F(B) ; KS0-C-5D46
(ucs-set-char #x5954 ?$(GLd(B) ; C01-G-4C64
(ucs-set-char #x5954 ?$@K[(B) ; J78-@-4B5B
(ucs-set-char #x5954 ?$A1<(B) ; GB0-A-313C
(ucs-set-char #x5954 ?$BK[(B) ; J83-B-4B5B
(ucs-set-char #x5955 ?$(CzQ(B) ; KS0-C-7A51
(ucs-set-char #x5955 ?$(GPU(B) ; C01-G-5055
(ucs-set-char #x5955 ?$@Tu(B) ; J78-@-5475
(ucs-set-char #x5955 ?$A^H(B) ; GB0-A-5E48
(ucs-set-char #x5955 ?$BTu(B) ; J83-B-5475
(ucs-set-char #x5956 ?$A=1(B) ; GB0-A-3D31
(ucs-set-char #x5957 ?$(Cw_(B) ; KS0-C-775F
(ucs-set-char #x5957 ?$(GTo(B) ; C01-G-546F
(ucs-set-char #x5957 ?$@Ee(B) ; J78-@-4565
(ucs-set-char #x5957 ?$ALW(B) ; GB0-A-4C57
(ucs-set-char #x5957 ?$BEe(B) ; J83-B-4565
(ucs-set-char #x5958 ?$(GTp(B) ; C01-G-5470
(ucs-set-char #x5958 ?$@Ty(B) ; J78-@-5479
(ucs-set-char #x5958 ?$A^J(B) ; GB0-A-5E4A
(ucs-set-char #x5958 ?$BTy(B) ; J83-B-5479
(ucs-set-char #x5959 ?$(D8v(B) ; J90-D-3876
(ucs-set-char #x5959 ?$(J,8(B) ; C04-J-2C38
(ucs-set-char #x595A ?$(Cz((B) ; KS0-C-7A28
(ucs-set-char #x595A ?$(GTq(B) ; C01-G-5471
(ucs-set-char #x595A ?$@Tx(B) ; J78-@-5478
(ucs-set-char #x595A ?$A^I(B) ; GB0-A-5E49
(ucs-set-char #x595A ?$BTx(B) ; J83-B-5478
(ucs-set-char #x595B ?$(D8w(B) ; J90-D-3877
(ucs-set-char #x595B ?$(I4{(B) ; C03-I-347B
(ucs-set-char #x595C ?$(H4P(B) ; C02-H-3450
(ucs-set-char #x595D ?$(D8x(B) ; J90-D-3878
(ucs-set-char #x595D ?$(I4|(B) ; C03-I-347C
(ucs-set-char #x595E ?$(D8y(B) ; J90-D-3879
(ucs-set-char #x595E ?$(I4}(B) ; C03-I-347D
(ucs-set-char #x595F ?$(D8z(B) ; J90-D-387A
(ucs-set-char #x595F ?$(J1&(B) ; C04-J-3126
(ucs-set-char #x5960 ?$(Cnu(B) ; KS0-C-6E75
(ucs-set-char #x5960 ?$(G^d(B) ; C01-G-5E64
(ucs-set-char #x5960 ?$@T{(B) ; J78-@-547B
(ucs-set-char #x5960 ?$A5l(B) ; GB0-A-356C
(ucs-set-char #x5960 ?$BT{(B) ; J83-B-547B
(ucs-set-char #x5961 ?$(D8{(B) ; J90-D-387B
(ucs-set-char #x5961 ?$(H:v(B) ; C02-H-3A76
(ucs-set-char #x5962 ?$(C^N(B) ; KS0-C-5E4E
(ucs-set-char #x5962 ?$(GY](B) ; C01-G-595D
(ucs-set-char #x5962 ?$(LGV(B) ; C06-L-4756
(ucs-set-char #x5962 ?$@Tz(B) ; J78-@-547A
(ucs-set-char #x5962 ?$AI](B) ; GB0-A-495D
(ucs-set-char #x5962 ?$BTz(B) ; J83-B-547A
(ucs-set-char #x5963 ?$(D8|(B) ; J90-D-387C
(ucs-set-char #x5963 ?$(I:S(B) ; C03-I-3A53
(ucs-set-char #x5964 ?$(I:T(B) ; C03-I-3A54
(ucs-set-char #x5965 ?$(J6y(B) ; C04-J-3679
(ucs-set-char #x5965 ?$@1|(B) ; J78-@-317C
(ucs-set-char #x5965 ?$A0B(B) ; GB0-A-3042
(ucs-set-char #x5965 ?$B1|(B) ; J83-B-317C
(ucs-set-char #x5966 ?$(I@`(B) ; C03-I-4060
(ucs-set-char #x5967 ?$(Cgs(B) ; KS0-C-6773
(ucs-set-char #x5967 ?$(Gc_(B) ; C01-G-635F
(ucs-set-char #x5967 ?$@T|(B) ; J78-@-547C
(ucs-set-char #x5967 ?$BT|(B) ; J83-B-547C
(ucs-set-char #x5968 ?$(I@a(B) ; C03-I-4061
(ucs-set-char #x5968 ?$@>)(B) ; J78-@-3E29
(ucs-set-char #x5968 ?$B>)(B) ; J83-B-3E29
(ucs-set-char #x5969 ?$(GhE(B) ; C01-G-6845
(ucs-set-char #x5969 ?$@T~(B) ; J78-@-547E
(ucs-set-char #x5969 ?$BT~(B) ; J83-B-547E
(ucs-set-char #x596A ?$(Cw,(B) ; KS0-C-772C
(ucs-set-char #x596A ?$(GhD(B) ; C01-G-6844
(ucs-set-char #x596A ?$@C%(B) ; J78-@-4325
(ucs-set-char #x596A ?$BC%(B) ; J83-B-4325
(ucs-set-char #x596B ?$(CkD(B) ; KS0-C-6B44
(ucs-set-char #x596B ?$(D8}(B) ; J90-D-387D
(ucs-set-char #x596B ?$(HIQ(B) ; C02-H-4951
(ucs-set-char #x596C ?$(Cma(B) ; KS0-C-6D61
(ucs-set-char #x596C ?$(IFH(B) ; C03-I-4648
(ucs-set-char #x596C ?$@T}(B) ; J78-@-547D
(ucs-set-char #x596C ?$BT}(B) ; J83-B-547D
(ucs-set-char #x596D ?$(C`+(B) ; KS0-C-602B
(ucs-set-char #x596D ?$(D8~(B) ; J90-D-387E
(ucs-set-char #x596D ?$(GlG(B) ; C01-G-6C47
(ucs-set-char #x596E ?$(C]G(B) ; KS0-C-5D47
(ucs-set-char #x596E ?$(GpM(B) ; C01-G-704D
(ucs-set-char #x596E ?$@J3(B) ; J78-@-4A33
(ucs-set-char #x596E ?$BJ3(B) ; J83-B-4A33
(ucs-set-char #x596F ?$(D9!(B) ; J90-D-3921
(ucs-set-char #x596F ?$(JO{(B) ; C04-J-4F7B
(ucs-set-char #x5970 ?$(HaL(B) ; C02-H-614C
(ucs-set-char #x5971 ?$(HmH(B) ; C02-H-6D48
(ucs-set-char #x5972 ?$(D9"(B) ; J90-D-3922
(ucs-set-char #x5972 ?$(Ho#(B) ; C02-H-6F23

(ucs-set-char #x5973 ?$AE.(B) ; GB0-A-452E
(ucs-set-char #x5973 ?$(CR3(B) ; KS0-C-5233
(ucs-set-char #x5973 ?$(GDL(B) ; C01-G-444C
(ucs-set-char #x5973 ?$@=w(B) ; J78-@-3D77
(ucs-set-char #x5973 ?$B=w(B) ; J83-B-3D77

(ucs-set-char #x5974 ?$(CR?(B) ; KS0-C-523F
(ucs-set-char #x5974 ?$(GFC(B) ; C01-G-4643
(ucs-set-char #x5974 ?$@E[(B) ; J78-@-455B
(ucs-set-char #x5974 ?$AE+(B) ; GB0-A-452B
(ucs-set-char #x5974 ?$BE[(B) ; J83-B-455B
(ucs-set-char #x5975 ?$(D9#(B) ; J90-D-3923
(ucs-set-char #x5975 ?$(I";(B) ; C03-I-223B
(ucs-set-char #x5976 ?$(D9$(B) ; J90-D-3924
(ucs-set-char #x5976 ?$(GFD(B) ; C01-G-4644
(ucs-set-char #x5976 ?$ADL(B) ; GB0-A-444C
(ucs-set-char #x5977 ?$(H"1(B) ; C02-H-2231
(ucs-set-char #x5978 ?$(CJL(B) ; KS0-C-4A4C
(ucs-set-char #x5978 ?$(GGm(B) ; C01-G-476D
(ucs-set-char #x5978 ?$@U!(B) ; J78-@-5521
(ucs-set-char #x5978 ?$A<i(B) ; GB0-A-3C69
(ucs-set-char #x5978 ?$BU!(B) ; J83-B-5521
(ucs-set-char #x5979 ?$(D9%(B) ; J90-D-3925
(ucs-set-char #x5979 ?$(GGp(B) ; C01-G-4770
(ucs-set-char #x5979 ?$AK}(B) ; GB0-A-4B7D
(ucs-set-char #x597A ?$(I#K(B) ; C03-I-234B
(ucs-set-char #x597B ?$(D9&(B) ; J90-D-3926
(ucs-set-char #x597B ?$(H"/(B) ; C02-H-222F
(ucs-set-char #x597C ?$(D9'(B) ; J90-D-3927
(ucs-set-char #x597C ?$(H"-(B) ; C02-H-222D
(ucs-set-char #x597D ?$(C{?(B) ; KS0-C-7B3F
(ucs-set-char #x597D ?$(GGo(B) ; C01-G-476F
(ucs-set-char #x597D ?$@9%(B) ; J78-@-3925
(ucs-set-char #x597D ?$A:C(B) ; GB0-A-3A43
(ucs-set-char #x597D ?$B9%(B) ; J83-B-3925
(ucs-set-char #x597E ?$(H"0(B) ; C02-H-2230
(ucs-set-char #x597F ?$(H"2(B) ; C02-H-2232
(ucs-set-char #x5980 ?$(H",(B) ; C02-H-222C
(ucs-set-char #x5981 ?$(GGr(B) ; C01-G-4772
(ucs-set-char #x5981 ?$@U"(B) ; J78-@-5522
(ucs-set-char #x5981 ?$Aey(B) ; GB0-A-6579
(ucs-set-char #x5981 ?$BU"(B) ; J83-B-5522
(ucs-set-char #x5982 ?$(Ce}(B) ; KS0-C-657D
(ucs-set-char #x5982 ?$(GGq(B) ; C01-G-4771
(ucs-set-char #x5982 ?$@G!(B) ; J78-@-4721
(ucs-set-char #x5982 ?$AHg(B) ; GB0-A-4867
(ucs-set-char #x5982 ?$BG!(B) ; J83-B-4721
(ucs-set-char #x5983 ?$(C]e(B) ; KS0-C-5D65
(ucs-set-char #x5983 ?$(GGn(B) ; C01-G-476E
(ucs-set-char #x5983 ?$@H^(B) ; J78-@-485E
(ucs-set-char #x5983 ?$Aez(B) ; GB0-A-657A
(ucs-set-char #x5983 ?$BH^(B) ; J83-B-485E
(ucs-set-char #x5984 ?$(CXM(B) ; KS0-C-584D
(ucs-set-char #x5984 ?$(GGl(B) ; C01-G-476C
(ucs-set-char #x5984 ?$@LQ(B) ; J78-@-4C51
(ucs-set-char #x5984 ?$AM}(B) ; GB0-A-4D7D
(ucs-set-char #x5984 ?$BLQ(B) ; J83-B-4C51
(ucs-set-char #x5985 ?$(H".(B) ; C02-H-222E
(ucs-set-char #x5986 ?$(I#M(B) ; C03-I-234D
(ucs-set-char #x5986 ?$AW1(B) ; GB0-A-5731
(ucs-set-char #x5987 ?$A8>(B) ; GB0-A-383E
(ucs-set-char #x5988 ?$ABh(B) ; GB0-A-4268
(ucs-set-char #x5989 ?$(I%U(B) ; C03-I-2555
(ucs-set-char #x598A ?$(Clt(B) ; KS0-C-6C74
(ucs-set-char #x598A ?$(GIs(B) ; C01-G-4973
(ucs-set-char #x598A ?$@G%(B) ; J78-@-4725
(ucs-set-char #x598A ?$AHQ(B) ; GB0-A-4851
(ucs-set-char #x598A ?$BG%(B) ; J83-B-4725
(ucs-set-char #x598B ?$(D9((B) ; J90-D-3928
(ucs-set-char #x598B ?$(J#g(B) ; C04-J-2367
(ucs-set-char #x598C ?$(D9)(B) ; J90-D-3929
(ucs-set-char #x598C ?$(I%L(B) ; C03-I-254C
(ucs-set-char #x598D ?$(GIp(B) ; C01-G-4970
(ucs-set-char #x598D ?$@U+(B) ; J78-@-552B
(ucs-set-char #x598D ?$Ae{(B) ; GB0-A-657B
(ucs-set-char #x598D ?$BU+(B) ; J83-B-552B
(ucs-set-char #x598E ?$(D9*(B) ; J90-D-392A
(ucs-set-char #x598E ?$(H#V(B) ; C02-H-2356
(ucs-set-char #x598F ?$(H#Y(B) ; C02-H-2359
(ucs-set-char #x5990 ?$(H#X(B) ; C02-H-2358
(ucs-set-char #x5991 ?$(J#i(B) ; C04-J-2369
(ucs-set-char #x5992 ?$(D9+(B) ; J90-D-392B
(ucs-set-char #x5992 ?$(GIj(B) ; C01-G-496A
(ucs-set-char #x5992 ?$A6J(B) ; GB0-A-364A
(ucs-set-char #x5993 ?$(CPu(B) ; KS0-C-5075
(ucs-set-char #x5993 ?$(GIr(B) ; C01-G-4972
(ucs-set-char #x5993 ?$@58(B) ; J78-@-3538
(ucs-set-char #x5993 ?$A<K(B) ; GB0-A-3C4B
(ucs-set-char #x5993 ?$B58(B) ; J83-B-3538
(ucs-set-char #x5994 ?$(I%K(B) ; C03-I-254B
(ucs-set-char #x5995 ?$(D9,(B) ; J90-D-392C
(ucs-set-char #x5995 ?$(J#j(B) ; C04-J-236A
(ucs-set-char #x5996 ?$(Chm(B) ; KS0-C-686D
(ucs-set-char #x5996 ?$(GIo(B) ; C01-G-496F
(ucs-set-char #x5996 ?$@ME(B) ; J78-@-4D45
(ucs-set-char #x5996 ?$AQ}(B) ; GB0-A-517D
(ucs-set-char #x5996 ?$BME(B) ; J83-B-4D45
(ucs-set-char #x5997 ?$(CPR(B) ; KS0-C-5052
(ucs-set-char #x5997 ?$(D9-(B) ; J90-D-392D
(ucs-set-char #x5997 ?$(H#U(B) ; C02-H-2355
(ucs-set-char #x5997 ?$Af!(B) ; GB0-A-6621
(ucs-set-char #x5998 ?$(H#S(B) ; C02-H-2353
(ucs-set-char #x5999 ?$(CYX(B) ; KS0-C-5958
(ucs-set-char #x5999 ?$(GIn(B) ; C01-G-496E
(ucs-set-char #x5999 ?$@L/(B) ; J78-@-4C2F
(ucs-set-char #x5999 ?$ACn(B) ; GB0-A-436E
(ucs-set-char #x5999 ?$BL/(B) ; J83-B-4C2F
(ucs-set-char #x599A ?$(I%V(B) ; C03-I-2556
(ucs-set-char #x599B ?$(I%S(B) ; C03-I-2553
(ucs-set-char #x599B ?$@V,(B) ; J78-@-562C
(ucs-set-char #x599B ?$BV,(B) ; J83-B-562C
(ucs-set-char #x599C ?$(I%N(B) ; C03-I-254E
(ucs-set-char #x599D ?$(GIi(B) ; C01-G-4969
(ucs-set-char #x599D ?$@U#(B) ; J78-@-5523
(ucs-set-char #x599D ?$BU#(B) ; J83-B-5523
(ucs-set-char #x599E ?$(GIl(B) ; C01-G-496C
(ucs-set-char #x599E ?$Af$(B) ; GB0-A-6624
(ucs-set-char #x599F ?$(D9.(B) ; J90-D-392E
(ucs-set-char #x599F ?$(I%Q(B) ; C03-I-2551
(ucs-set-char #x59A0 ?$(H#T(B) ; C02-H-2354
(ucs-set-char #x59A1 ?$(H#[(B) ; C02-H-235B
(ucs-set-char #x59A2 ?$(H#W(B) ; C02-H-2357
(ucs-set-char #x59A3 ?$(GIm(B) ; C01-G-496D
(ucs-set-char #x59A3 ?$@U&(B) ; J78-@-5526
(ucs-set-char #x59A3 ?$Ae~(B) ; GB0-A-657E
(ucs-set-char #x59A3 ?$BU&(B) ; J83-B-5526
(ucs-set-char #x59A4 ?$(D9/(B) ; J90-D-392F
(ucs-set-char #x59A4 ?$(GIq(B) ; C01-G-4971
(ucs-set-char #x59A4 ?$Af%(B) ; GB0-A-6625
(ucs-set-char #x59A5 ?$(Cvf(B) ; KS0-C-7666
(ucs-set-char #x59A5 ?$(GIt(B) ; C01-G-4974
(ucs-set-char #x59A5 ?$@BE(B) ; J78-@-4245
(ucs-set-char #x59A5 ?$AMW(B) ; GB0-A-4D57
(ucs-set-char #x59A5 ?$BBE(B) ; J83-B-4245
(ucs-set-char #x59A6 ?$(H#R(B) ; C02-H-2352
(ucs-set-char #x59A7 ?$(D90(B) ; J90-D-3930
(ucs-set-char #x59A7 ?$(H#Z(B) ; C02-H-235A
(ucs-set-char #x59A8 ?$(C[*(B) ; KS0-C-5B2A
(ucs-set-char #x59A8 ?$(GIk(B) ; C01-G-496B
(ucs-set-char #x59A8 ?$@K8(B) ; J78-@-4B38
(ucs-set-char #x59A8 ?$A7A(B) ; GB0-A-3741
(ucs-set-char #x59A8 ?$BK8(B) ; J83-B-4B38
(ucs-set-char #x59A9 ?$Ae|(B) ; GB0-A-657C
(ucs-set-char #x59AA ?$Ae}(B) ; GB0-A-657D
(ucs-set-char #x59AB ?$Af#(B) ; GB0-A-6623
(ucs-set-char #x59AC ?$(Cw`(B) ; KS0-C-7760
(ucs-set-char #x59AC ?$(I(A(B) ; C03-I-2841
(ucs-set-char #x59AC ?$@EJ(B) ; J78-@-454A
(ucs-set-char #x59AC ?$BEJ(B) ; J83-B-454A
(ucs-set-char #x59AD ?$(D91(B) ; J90-D-3931
(ucs-set-char #x59AD ?$(I(3(B) ; C03-I-2833
(ucs-set-char #x59AE ?$(D92(B) ; J90-D-3932
(ucs-set-char #x59AE ?$(GLi(B) ; C01-G-4C69
(ucs-set-char #x59AE ?$AD](B) ; GB0-A-445D
(ucs-set-char #x59AF ?$(D93(B) ; J90-D-3933
(ucs-set-char #x59AF ?$(GLq(B) ; C01-G-4C71
(ucs-set-char #x59AF ?$Af((B) ; GB0-A-6628
(ucs-set-char #x59B0 ?$(D94(B) ; J90-D-3934
(ucs-set-char #x59B0 ?$(I(8(B) ; C03-I-2838
(ucs-set-char #x59B1 ?$(H&0(B) ; C02-H-2630
(ucs-set-char #x59B2 ?$(H&)(B) ; C02-H-2629
(ucs-set-char #x59B2 ?$@U'(B) ; J78-@-5527
(ucs-set-char #x59B2 ?$Af'(B) ; GB0-A-6627
(ucs-set-char #x59B2 ?$BU'(B) ; J83-B-5527
(ucs-set-char #x59B3 ?$(D95(B) ; J90-D-3935
(ucs-set-char #x59B3 ?$(GLr(B) ; C01-G-4C72
(ucs-set-char #x59B4 ?$(H&4(B) ; C02-H-2634
(ucs-set-char #x59B5 ?$(H&%(B) ; C02-H-2625
(ucs-set-char #x59B6 ?$(H&,(B) ; C02-H-262C
(ucs-set-char #x59B7 ?$(D96(B) ; J90-D-3936
(ucs-set-char #x59B7 ?$(I(E(B) ; C03-I-2845
(ucs-set-char #x59B8 ?$(I(@(B) ; C03-I-2840
(ucs-set-char #x59B9 ?$(CXY(B) ; KS0-C-5859
(ucs-set-char #x59B9 ?$(GLh(B) ; C01-G-4C68
(ucs-set-char #x59B9 ?$@Ke(B) ; J78-@-4B65
(ucs-set-char #x59B9 ?$ACC(B) ; GB0-A-4343
(ucs-set-char #x59B9 ?$BKe(B) ; J83-B-4B65
(ucs-set-char #x59BA ?$(D97(B) ; J90-D-3937
(ucs-set-char #x59BA ?$(H&&(B) ; C02-H-2626
(ucs-set-char #x59BB ?$(Ct#(B) ; KS0-C-7423
(ucs-set-char #x59BB ?$(GLf(B) ; C01-G-4C66
(ucs-set-char #x59BB ?$@:J(B) ; J78-@-3A4A
(ucs-set-char #x59BB ?$AF^(B) ; GB0-A-465E
(ucs-set-char #x59BB ?$B:J(B) ; J83-B-3A4A
(ucs-set-char #x59BC ?$(D98(B) ; J90-D-3938
(ucs-set-char #x59BC ?$(H&-(B) ; C02-H-262D
(ucs-set-char #x59BD ?$(H&1(B) ; C02-H-2631
(ucs-set-char #x59BE ?$(Ct](B) ; KS0-C-745D
(ucs-set-char #x59BE ?$(GLe(B) ; C01-G-4C65
(ucs-set-char #x59BE ?$@>*(B) ; J78-@-3E2A
(ucs-set-char #x59BE ?$Af*(B) ; GB0-A-662A
(ucs-set-char #x59BE ?$B>*(B) ; J83-B-3E2A
(ucs-set-char #x59BF ?$(I(=(B) ; C03-I-283D
(ucs-set-char #x59C0 ?$(H&2(B) ; C02-H-2632
(ucs-set-char #x59C1 ?$(D99(B) ; J90-D-3939
(ucs-set-char #x59C1 ?$(H&+(B) ; C02-H-262B
(ucs-set-char #x59C2 ?$(I(7(B) ; C03-I-2837
(ucs-set-char #x59C3 ?$(CoQ(B) ; KS0-C-6F51
(ucs-set-char #x59C3 ?$(D9:(B) ; J90-D-393A
(ucs-set-char #x59C3 ?$(H&.(B) ; C02-H-262E
(ucs-set-char #x59C4 ?$(D9;(B) ; J90-D-393B
(ucs-set-char #x59C4 ?$(I(5(B) ; C03-I-2835
(ucs-set-char #x59C5 ?$(GLt(B) ; C01-G-4C74
(ucs-set-char #x59C6 ?$(CY5(B) ; KS0-C-5935
(ucs-set-char #x59C6 ?$(GLk(B) ; C01-G-4C6B
(ucs-set-char #x59C6 ?$@U((B) ; J78-@-5528
(ucs-set-char #x59C6 ?$AD7(B) ; GB0-A-4437
(ucs-set-char #x59C6 ?$BU((B) ; J83-B-5528
(ucs-set-char #x59C7 ?$(H&5(B) ; C02-H-2635
(ucs-set-char #x59C8 ?$(D9<(B) ; J90-D-393C
(ucs-set-char #x59C8 ?$(H&3(B) ; C02-H-2633
(ucs-set-char #x59C9 ?$(Cm+(B) ; KS0-C-6D2B
(ucs-set-char #x59C9 ?$(I(?(B) ; C03-I-283F
(ucs-set-char #x59C9 ?$@;P(B) ; J78-@-3B50
(ucs-set-char #x59C9 ?$B;P(B) ; J83-B-3B50
(ucs-set-char #x59CA ?$(D9=(B) ; J90-D-393D
(ucs-set-char #x59CA ?$(GLp(B) ; C01-G-4C70
(ucs-set-char #x59CA ?$Af"(B) ; GB0-A-6622
(ucs-set-char #x59CB ?$(Cc7(B) ; KS0-C-6337
(ucs-set-char #x59CB ?$(GLn(B) ; C01-G-4C6E
(ucs-set-char #x59CB ?$@;O(B) ; J78-@-3B4F
(ucs-set-char #x59CB ?$AJ<(B) ; GB0-A-4A3C
(ucs-set-char #x59CB ?$B;O(B) ; J83-B-3B4F
(ucs-set-char #x59CC ?$(H&*(B) ; C02-H-262A
(ucs-set-char #x59CD ?$(D9>(B) ; J90-D-393E
(ucs-set-char #x59CD ?$(GLm(B) ; C01-G-4C6D
(ucs-set-char #x59CE ?$(H&((B) ; C02-H-2628
(ucs-set-char #x59CF ?$(H&'(B) ; C02-H-2627
(ucs-set-char #x59D0 ?$(Cn;(B) ; KS0-C-6E3B
(ucs-set-char #x59D0 ?$(GLl(B) ; C01-G-4C6C
(ucs-set-char #x59D0 ?$@09(B) ; J78-@-3039
(ucs-set-char #x59D0 ?$A=c(B) ; GB0-A-3D63
(ucs-set-char #x59D0 ?$B09(B) ; J83-B-3039
(ucs-set-char #x59D1 ?$(CM4(B) ; KS0-C-4D34
(ucs-set-char #x59D1 ?$(GLj(B) ; C01-G-4C6A
(ucs-set-char #x59D1 ?$@8H(B) ; J78-@-3848
(ucs-set-char #x59D1 ?$A9C(B) ; GB0-A-3943
(ucs-set-char #x59D1 ?$B8H(B) ; J83-B-3848
(ucs-set-char #x59D2 ?$(D9?(B) ; J90-D-393F
(ucs-set-char #x59D2 ?$(GLs(B) ; C01-G-4C73
(ucs-set-char #x59D2 ?$Af&(B) ; GB0-A-6626
(ucs-set-char #x59D3 ?$(C`s(B) ; KS0-C-6073
(ucs-set-char #x59D3 ?$(GLo(B) ; C01-G-4C6F
(ucs-set-char #x59D3 ?$@@+(B) ; J78-@-402B
(ucs-set-char #x59D3 ?$APU(B) ; GB0-A-5055
(ucs-set-char #x59D3 ?$B@+(B) ; J83-B-402B
(ucs-set-char #x59D4 ?$(CjM(B) ; KS0-C-6A4D
(ucs-set-char #x59D4 ?$(GLg(B) ; C01-G-4C67
(ucs-set-char #x59D4 ?$@0Q(B) ; J78-@-3051
(ucs-set-char #x59D4 ?$AN/(B) ; GB0-A-4E2F
(ucs-set-char #x59D4 ?$B0Q(B) ; J83-B-3051
(ucs-set-char #x59D5 ?$(I,&(B) ; C03-I-2C26
(ucs-set-char #x59D6 ?$(H&/(B) ; C02-H-262F
(ucs-set-char #x59D7 ?$(I(F(B) ; C03-I-2846
(ucs-set-char #x59D7 ?$Af)(B) ; GB0-A-6629
(ucs-set-char #x59D8 ?$(GP[(B) ; C01-G-505B
(ucs-set-char #x59D8 ?$Af0(B) ; GB0-A-6630
(ucs-set-char #x59D9 ?$(Clu(B) ; KS0-C-6C75
(ucs-set-char #x59D9 ?$(I,-(B) ; C03-I-2C2D
(ucs-set-char #x59D9 ?$@U,(B) ; J78-@-552C
(ucs-set-char #x59D9 ?$BU,(B) ; J83-B-552C
(ucs-set-char #x59DA ?$(Chn(B) ; KS0-C-686E
(ucs-set-char #x59DA ?$(GPb(B) ; C01-G-5062
(ucs-set-char #x59DA ?$@U-(B) ; J78-@-552D
(ucs-set-char #x59DA ?$AR&(B) ; GB0-A-5226
(ucs-set-char #x59DA ?$BU-(B) ; J83-B-552D
(ucs-set-char #x59DB ?$(H)p(B) ; C02-H-2970
(ucs-set-char #x59DC ?$(CK)(B) ; KS0-C-4B29
(ucs-set-char #x59DC ?$(GPZ(B) ; C01-G-505A
(ucs-set-char #x59DC ?$@U*(B) ; J78-@-552A
(ucs-set-char #x59DC ?$A=*(B) ; GB0-A-3D2A
(ucs-set-char #x59DC ?$BU*(B) ; J83-B-552A
(ucs-set-char #x59DD ?$(Cq/(B) ; KS0-C-712F
(ucs-set-char #x59DD ?$(D9@(B) ; J90-D-3940
(ucs-set-char #x59DD ?$(H)h(B) ; C02-H-2968
(ucs-set-char #x59DD ?$Af-(B) ; GB0-A-662D
(ucs-set-char #x59DE ?$(D9A(B) ; J90-D-3941
(ucs-set-char #x59DE ?$(H)d(B) ; C02-H-2964
(ucs-set-char #x59DF ?$(D9B(B) ; J90-D-3942
(ucs-set-char #x59DF ?$(I,!(B) ; C03-I-2C21
(ucs-set-char #x59E0 ?$(H)t(B) ; C02-H-2974
(ucs-set-char #x59E1 ?$(H)c(B) ; C02-H-2963
(ucs-set-char #x59E2 ?$(I,,(B) ; C03-I-2C2C
(ucs-set-char #x59E3 ?$(D9C(B) ; J90-D-3943
(ucs-set-char #x59E3 ?$(GP](B) ; C01-G-505D
(ucs-set-char #x59E3 ?$Af/(B) ; GB0-A-662F
(ucs-set-char #x59E4 ?$(D9D(B) ; J90-D-3944
(ucs-set-char #x59E4 ?$(H)m(B) ; C02-H-296D
(ucs-set-char #x59E5 ?$(GP`(B) ; C01-G-5060
(ucs-set-char #x59E5 ?$@18(B) ; J78-@-3138
(ucs-set-char #x59E5 ?$A@Q(B) ; GB0-A-4051
(ucs-set-char #x59E5 ?$B18(B) ; J83-B-3138
(ucs-set-char #x59E6 ?$(CJM(B) ; KS0-C-4A4D
(ucs-set-char #x59E6 ?$(GPc(B) ; C01-G-5063
(ucs-set-char #x59E6 ?$@4/(B) ; J78-@-342F
(ucs-set-char #x59E6 ?$B4/(B) ; J83-B-342F
(ucs-set-char #x59E7 ?$(D9E(B) ; J90-D-3945
(ucs-set-char #x59E7 ?$(I,.(B) ; C03-I-2C2E
(ucs-set-char #x59E8 ?$(Cl)(B) ; KS0-C-6C29
(ucs-set-char #x59E8 ?$(GP^(B) ; C01-G-505E
(ucs-set-char #x59E8 ?$@U)(B) ; J78-@-5529
(ucs-set-char #x59E8 ?$ARL(B) ; GB0-A-524C
(ucs-set-char #x59E8 ?$BU)(B) ; J83-B-5529
(ucs-set-char #x59E9 ?$(H)q(B) ; C02-H-2971
(ucs-set-char #x59EA ?$(Crk(B) ; KS0-C-726B
(ucs-set-char #x59EA ?$(GPa(B) ; C01-G-5061
(ucs-set-char #x59EA ?$@LE(B) ; J78-@-4C45
(ucs-set-char #x59EA ?$BLE(B) ; J83-B-4C45
(ucs-set-char #x59EB ?$(I,#(B) ; C03-I-2C23
(ucs-set-char #x59EB ?$@I1(B) ; J78-@-4931
(ucs-set-char #x59EB ?$BI1(B) ; J83-B-4931
(ucs-set-char #x59EC ?$(C}o(B) ; KS0-C-7D6F
(ucs-set-char #x59EC ?$(GTx(B) ; C01-G-5478
(ucs-set-char #x59EC ?$A<'(B) ; GB0-A-3C27
(ucs-set-char #x59ED ?$(H)w(B) ; C02-H-2977
(ucs-set-char #x59EE ?$(Cys(B) ; KS0-C-7973
(ucs-set-char #x59EE ?$(D9F(B) ; J90-D-3946
(ucs-set-char #x59EE ?$(H)e(B) ; C02-H-2965
(ucs-set-char #x59EF ?$(D9G(B) ; J90-D-3947
(ucs-set-char #x59EF ?$(I,$(B) ; C03-I-2C24
(ucs-set-char #x59F0 ?$(I,%(B) ; C03-I-2C25
(ucs-set-char #x59F1 ?$(D9H(B) ; J90-D-3948
(ucs-set-char #x59F1 ?$(H)g(B) ; C02-H-2967
(ucs-set-char #x59F2 ?$(D9I(B) ; J90-D-3949
(ucs-set-char #x59F2 ?$(H)n(B) ; C02-H-296E
(ucs-set-char #x59F3 ?$(H)r(B) ; C02-H-2972
(ucs-set-char #x59F4 ?$(D9J(B) ; J90-D-394A
(ucs-set-char #x59F4 ?$(H)v(B) ; C02-H-2976
(ucs-set-char #x59F5 ?$(H)s(B) ; C02-H-2973
(ucs-set-char #x59F6 ?$(H)l(B) ; C02-H-296C
(ucs-set-char #x59F6 ?$@0((B) ; J78-@-3028
(ucs-set-char #x59F6 ?$B0((B) ; J83-B-3028
(ucs-set-char #x59F7 ?$(D9K(B) ; J90-D-394B
(ucs-set-char #x59F7 ?$(H)o(B) ; C02-H-296F
(ucs-set-char #x59F8 ?$(CfA(B) ; KS0-C-6641
(ucs-set-char #x59F8 ?$(I,+(B) ; C03-I-2C2B
(ucs-set-char #x59F9 ?$(I,)(B) ; C03-I-2C29
(ucs-set-char #x59F9 ?$Af1(B) ; GB0-A-6631
(ucs-set-char #x59FA ?$(H)i(B) ; C02-H-2969
(ucs-set-char #x59FB ?$(ClX(B) ; KS0-C-6C58
(ucs-set-char #x59FB ?$(GPe(B) ; C01-G-5065
(ucs-set-char #x59FB ?$@0y(B) ; J78-@-3079
(ucs-set-char #x59FB ?$ARv(B) ; GB0-A-5276
(ucs-set-char #x59FB ?$B0y(B) ; J83-B-3079
(ucs-set-char #x59FC ?$(H)k(B) ; C02-H-296B
(ucs-set-char #x59FD ?$(H)j(B) ; C02-H-296A
(ucs-set-char #x59FE ?$(H)u(B) ; C02-H-2975
(ucs-set-char #x59FF ?$(Cm,(B) ; KS0-C-6D2C
(ucs-set-char #x59FF ?$(GP\(B) ; C01-G-505C
(ucs-set-char #x59FF ?$@;Q(B) ; J78-@-3B51
(ucs-set-char #x59FF ?$AWK(B) ; GB0-A-574B
(ucs-set-char #x59FF ?$B;Q(B) ; J83-B-3B51
(ucs-set-char #x5A00 ?$(D9L(B) ; J90-D-394C
(ucs-set-char #x5A00 ?$(H)f(B) ; C02-H-2966
(ucs-set-char #x5A01 ?$(CjN(B) ; KS0-C-6A4E
(ucs-set-char #x5A01 ?$(GPd(B) ; C01-G-5064
(ucs-set-char #x5A01 ?$@0R(B) ; J78-@-3052
(ucs-set-char #x5A01 ?$AM~(B) ; GB0-A-4D7E
(ucs-set-char #x5A01 ?$B0R(B) ; J83-B-3052
(ucs-set-char #x5A02 ?$(I,*(B) ; C03-I-2C2A
(ucs-set-char #x5A03 ?$(Ch_(B) ; KS0-C-685F
(ucs-set-char #x5A03 ?$(GP_(B) ; C01-G-505F
(ucs-set-char #x5A03 ?$@0#(B) ; J78-@-3023
(ucs-set-char #x5A03 ?$AM^(B) ; GB0-A-4D5E
(ucs-set-char #x5A03 ?$B0#(B) ; J83-B-3023
(ucs-set-char #x5A04 ?$(D9M(B) ; J90-D-394D
(ucs-set-char #x5A04 ?$(I,((B) ; C03-I-2C28
(ucs-set-char #x5A04 ?$AB&(B) ; GB0-A-4226
(ucs-set-char #x5A05 ?$Af+(B) ; GB0-A-662B
(ucs-set-char #x5A06 ?$Af,(B) ; GB0-A-662C
(ucs-set-char #x5A07 ?$A=?(B) ; GB0-A-3D3F
(ucs-set-char #x5A08 ?$Af.(B) ; GB0-A-662E
(ucs-set-char #x5A09 ?$(GT~(B) ; C01-G-547E
(ucs-set-char #x5A09 ?$@U2(B) ; J78-@-5532
(ucs-set-char #x5A09 ?$Af3(B) ; GB0-A-6633
(ucs-set-char #x5A09 ?$BU2(B) ; J83-B-5532
(ucs-set-char #x5A0A ?$(H.d(B) ; C02-H-2E64
(ucs-set-char #x5A0B ?$(I0@(B) ; C03-I-3040
(ucs-set-char #x5A0C ?$(D9N(B) ; J90-D-394E
(ucs-set-char #x5A0C ?$(GT}(B) ; C01-G-547D
(ucs-set-char #x5A0C ?$Af2(B) ; GB0-A-6632
(ucs-set-char #x5A0D ?$(D9O(B) ; J90-D-394F
(ucs-set-char #x5A0D ?$(I,'(B) ; C03-I-2C27
(ucs-set-char #x5A0E ?$(D9P(B) ; J90-D-3950
(ucs-set-char #x5A0E ?$(J,@(B) ; C04-J-2C40
(ucs-set-char #x5A0F ?$(H.b(B) ; C02-H-2E62
(ucs-set-char #x5A10 ?$(J,>(B) ; C04-J-2C3E
(ucs-set-char #x5A11 ?$(C^O(B) ; KS0-C-5E4F
(ucs-set-char #x5A11 ?$(GTr(B) ; C01-G-5472
(ucs-set-char #x5A11 ?$@U0(B) ; J78-@-5530
(ucs-set-char #x5A11 ?$Af6(B) ; GB0-A-6636
(ucs-set-char #x5A11 ?$BU0(B) ; J83-B-5530
(ucs-set-char #x5A12 ?$(D9Q(B) ; J90-D-3951
(ucs-set-char #x5A12 ?$(I0O(B) ; C03-I-304F
(ucs-set-char #x5A13 ?$(D9R(B) ; J90-D-3952
(ucs-set-char #x5A13 ?$(GTw(B) ; C01-G-5477
(ucs-set-char #x5A13 ?$Af8(B) ; GB0-A-6638
(ucs-set-char #x5A14 ?$(I0J(B) ; C03-I-304A
(ucs-set-char #x5A15 ?$(H.a(B) ; C02-H-2E61
(ucs-set-char #x5A16 ?$(H.^(B) ; C02-H-2E5E
(ucs-set-char #x5A17 ?$(H.c(B) ; C02-H-2E63
(ucs-set-char #x5A18 ?$(CR&(B) ; KS0-C-5226
(ucs-set-char #x5A18 ?$(GTs(B) ; C01-G-5473
(ucs-set-char #x5A18 ?$@L<(B) ; J78-@-4C3C
(ucs-set-char #x5A18 ?$ADo(B) ; GB0-A-446F
(ucs-set-char #x5A18 ?$BL<(B) ; J83-B-4C3C
(ucs-set-char #x5A19 ?$(H.](B) ; C02-H-2E5D
(ucs-set-char #x5A1A ?$(I0N(B) ; C03-I-304E
(ucs-set-char #x5A1A ?$@U3(B) ; J78-@-5533
(ucs-set-char #x5A1A ?$BU3(B) ; J83-B-5533
(ucs-set-char #x5A1B ?$(Cgt(B) ; KS0-C-6774
(ucs-set-char #x5A1B ?$(GTv(B) ; C01-G-5476
(ucs-set-char #x5A1C ?$(CQV(B) ; KS0-C-5156
(ucs-set-char #x5A1C ?$(GTt(B) ; C01-G-5474
(ucs-set-char #x5A1C ?$@U1(B) ; J78-@-5531
(ucs-set-char #x5A1C ?$ADH(B) ; GB0-A-4448
(ucs-set-char #x5A1C ?$BU1(B) ; J83-B-5531
(ucs-set-char #x5A1D ?$(I0>(B) ; C03-I-303E
(ucs-set-char #x5A1E ?$(D9S(B) ; J90-D-3953
(ucs-set-char #x5A1E ?$(H.e(B) ; C02-H-2E65
(ucs-set-char #x5A1F ?$(CfB(B) ; KS0-C-6642
(ucs-set-char #x5A1F ?$(GTu(B) ; C01-G-5475
(ucs-set-char #x5A1F ?$@U/(B) ; J78-@-552F
(ucs-set-char #x5A1F ?$A>j(B) ; GB0-A-3E6A
(ucs-set-char #x5A1F ?$BU/(B) ; J83-B-552F
(ucs-set-char #x5A20 ?$(Ccc(B) ; KS0-C-6363
(ucs-set-char #x5A20 ?$(GTy(B) ; C01-G-5479
(ucs-set-char #x5A20 ?$@?1(B) ; J78-@-3F31
(ucs-set-char #x5A20 ?$AIo(B) ; GB0-A-496F
(ucs-set-char #x5A20 ?$B?1(B) ; J83-B-3F31
(ucs-set-char #x5A21 ?$(I0;(B) ; C03-I-303B
(ucs-set-char #x5A22 ?$(I0E(B) ; C03-I-3045
(ucs-set-char #x5A23 ?$(D9T(B) ; J90-D-3954
(ucs-set-char #x5A23 ?$(GTz(B) ; C01-G-547A
(ucs-set-char #x5A23 ?$Af7(B) ; GB0-A-6637
(ucs-set-char #x5A24 ?$(D9U(B) ; J90-D-3955
(ucs-set-char #x5A24 ?$(I0H(B) ; C03-I-3048
(ucs-set-char #x5A25 ?$(Cd0(B) ; KS0-C-6430
(ucs-set-char #x5A25 ?$(GT|(B) ; C01-G-547C
(ucs-set-char #x5A25 ?$@U.(B) ; J78-@-552E
(ucs-set-char #x5A25 ?$A6p(B) ; GB0-A-3670
(ucs-set-char #x5A25 ?$BU.(B) ; J83-B-552E
(ucs-set-char #x5A26 ?$(I0R(B) ; C03-I-3052
(ucs-set-char #x5A27 ?$(D9V(B) ; J90-D-3956
(ucs-set-char #x5A27 ?$(J,9(B) ; C04-J-2C39
(ucs-set-char #x5A28 ?$(D9W(B) ; J90-D-3957
(ucs-set-char #x5A28 ?$(J,=(B) ; C04-J-2C3D
(ucs-set-char #x5A29 ?$(CX4(B) ; KS0-C-5834
(ucs-set-char #x5A29 ?$(GT{(B) ; C01-G-547B
(ucs-set-char #x5A29 ?$@JZ(B) ; J78-@-4A5A
(ucs-set-char #x5A29 ?$ACd(B) ; GB0-A-4364
(ucs-set-char #x5A29 ?$BJZ(B) ; J83-B-4A5A
(ucs-set-char #x5A2A ?$(D9X(B) ; J90-D-3958
(ucs-set-char #x5A2A ?$(I0<(B) ; C03-I-303C
(ucs-set-char #x5A2B ?$(I5"(B) ; C03-I-3522
(ucs-set-char #x5A2C ?$(I58(B) ; C03-I-3538
(ucs-set-char #x5A2D ?$(D9Y(B) ; J90-D-3959
(ucs-set-char #x5A2D ?$(H._(B) ; C02-H-2E5F
(ucs-set-char #x5A2E ?$(H.`(B) ; C02-H-2E60
(ucs-set-char #x5A2F ?$(I0M(B) ; C03-I-304D
(ucs-set-char #x5A2F ?$@8d(B) ; J78-@-3864
(ucs-set-char #x5A2F ?$B8d(B) ; J83-B-3864
(ucs-set-char #x5A30 ?$(D9Z(B) ; J90-D-395A
(ucs-set-char #x5A30 ?$(L6W(B) ; C06-L-3657
(ucs-set-char #x5A31 ?$(I0K(B) ; C03-I-304B
(ucs-set-char #x5A31 ?$ASi(B) ; GB0-A-5369
(ucs-set-char #x5A32 ?$Af4(B) ; GB0-A-6634
(ucs-set-char #x5A33 ?$(H.f(B) ; C02-H-2E66
(ucs-set-char #x5A34 ?$Af5(B) ; GB0-A-6635
(ucs-set-char #x5A35 ?$(H4W(B) ; C02-H-3457
(ucs-set-char #x5A35 ?$@U7(B) ; J78-@-5537
(ucs-set-char #x5A35 ?$BU7(B) ; J83-B-5537
(ucs-set-char #x5A36 ?$(Cv%(B) ; KS0-C-7625
(ucs-set-char #x5A36 ?$(GY^(B) ; C01-G-595E
(ucs-set-char #x5A36 ?$@U8(B) ; J78-@-5538
(ucs-set-char #x5A36 ?$AH"(B) ; GB0-A-4822
(ucs-set-char #x5A36 ?$BU8(B) ; J83-B-5538
(ucs-set-char #x5A37 ?$(H;&(B) ; C02-H-3B26
(ucs-set-char #x5A38 ?$(H4V(B) ; C02-H-3456
(ucs-set-char #x5A39 ?$(H4i(B) ; C02-H-3469
(ucs-set-char #x5A3A ?$(I5((B) ; C03-I-3528
(ucs-set-char #x5A3B ?$(I5$(B) ; C03-I-3524
(ucs-set-char #x5A3C ?$(Cs^(B) ; KS0-C-735E
(ucs-set-char #x5A3C ?$(GYd(B) ; C01-G-5964
(ucs-set-char #x5A3C ?$@>+(B) ; J78-@-3E2B
(ucs-set-char #x5A3C ?$Af=(B) ; GB0-A-663D
(ucs-set-char #x5A3C ?$B>+(B) ; J83-B-3E2B
(ucs-set-char #x5A3D ?$(I51(B) ; C03-I-3531
(ucs-set-char #x5A3E ?$(H4g(B) ; C02-H-3467
(ucs-set-char #x5A3F ?$(I53(B) ; C03-I-3533
(ucs-set-char #x5A40 ?$(GYc(B) ; C01-G-5963
(ucs-set-char #x5A40 ?$@U4(B) ; J78-@-5534
(ucs-set-char #x5A40 ?$Af9(B) ; GB0-A-6639
(ucs-set-char #x5A40 ?$BU4(B) ; J83-B-5534
(ucs-set-char #x5A41 ?$(CW%(B) ; KS0-C-5725
(ucs-set-char #x5A41 ?$(GY_(B) ; C01-G-595F
(ucs-set-char #x5A41 ?$@O,(B) ; J78-@-4F2C
(ucs-set-char #x5A41 ?$BO,(B) ; J83-B-4F2C
(ucs-set-char #x5A42 ?$(H4p(B) ; C02-H-3470
(ucs-set-char #x5A43 ?$(H4`(B) ; C02-H-3460
(ucs-set-char #x5A44 ?$(D9[(B) ; J90-D-395B
(ucs-set-char #x5A44 ?$(H4c(B) ; C02-H-3463
(ucs-set-char #x5A45 ?$(D9\(B) ; J90-D-395C
(ucs-set-char #x5A45 ?$(I5.(B) ; C03-I-352E
(ucs-set-char #x5A46 ?$(Cwh(B) ; KS0-C-7768
(ucs-set-char #x5A46 ?$(GYg(B) ; C01-G-5967
(ucs-set-char #x5A46 ?$@GL(B) ; J78-@-474C
(ucs-set-char #x5A46 ?$AFE(B) ; GB0-A-4645
(ucs-set-char #x5A46 ?$BGL(B) ; J83-B-474C
(ucs-set-char #x5A47 ?$(D9](B) ; J90-D-395D
(ucs-set-char #x5A47 ?$(H4m(B) ; C02-H-346D
(ucs-set-char #x5A48 ?$(D9^(B) ; J90-D-395E
(ucs-set-char #x5A48 ?$(H4e(B) ; C02-H-3465
(ucs-set-char #x5A49 ?$(ChF(B) ; KS0-C-6846
(ucs-set-char #x5A49 ?$(GY`(B) ; C01-G-5960
(ucs-set-char #x5A49 ?$@U6(B) ; J78-@-5536
(ucs-set-char #x5A49 ?$AMq(B) ; GB0-A-4D71
(ucs-set-char #x5A49 ?$BU6(B) ; J83-B-5536
(ucs-set-char #x5A4A ?$(GYh(B) ; C01-G-5968
(ucs-set-char #x5A4A ?$Af;(B) ; GB0-A-663B
(ucs-set-char #x5A4B ?$(I5*(B) ; C03-I-352A
(ucs-set-char #x5A4C ?$(D9_(B) ; J90-D-395F
(ucs-set-char #x5A4C ?$(H4j(B) ; C02-H-346A
(ucs-set-char #x5A4D ?$(H4h(B) ; C02-H-3468
(ucs-set-char #x5A4E ?$(I5/(B) ; C03-I-352F
(ucs-set-char #x5A4F ?$(I5;(B) ; C03-I-353B
(ucs-set-char #x5A50 ?$(D9`(B) ; J90-D-3960
(ucs-set-char #x5A50 ?$(H4Y(B) ; C02-H-3459
(ucs-set-char #x5A51 ?$(H4n(B) ; C02-H-346E
(ucs-set-char #x5A52 ?$(H4b(B) ; C02-H-3462
(ucs-set-char #x5A53 ?$(H4](B) ; C02-H-345D
(ucs-set-char #x5A54 ?$(I5:(B) ; C03-I-353A
(ucs-set-char #x5A55 ?$(D9a(B) ; J90-D-3961
(ucs-set-char #x5A55 ?$(H4S(B) ; C02-H-3453
(ucs-set-char #x5A55 ?$Af<(B) ; GB0-A-663C
(ucs-set-char #x5A56 ?$(H4o(B) ; C02-H-346F
(ucs-set-char #x5A57 ?$(H4_(B) ; C02-H-345F
(ucs-set-char #x5A58 ?$(H4R(B) ; C02-H-3452
(ucs-set-char #x5A59 ?$(I59(B) ; C03-I-3539
(ucs-set-char #x5A5A ?$(C{f(B) ; KS0-C-7B66
(ucs-set-char #x5A5A ?$(GYf(B) ; C01-G-5966
(ucs-set-char #x5A5A ?$@:'(B) ; J78-@-3A27
(ucs-set-char #x5A5A ?$A;i(B) ; GB0-A-3B69
(ucs-set-char #x5A5A ?$B:'(B) ; J83-B-3A27
(ucs-set-char #x5A5B ?$(H4d(B) ; C02-H-3464
(ucs-set-char #x5A5C ?$(H4q(B) ; C02-H-3471
(ucs-set-char #x5A5D ?$(H4a(B) ; C02-H-3461
(ucs-set-char #x5A5E ?$(D9b(B) ; J90-D-3962
(ucs-set-char #x5A5E ?$(H4U(B) ; C02-H-3455
(ucs-set-char #x5A5F ?$(H4Z(B) ; C02-H-345A
(ucs-set-char #x5A60 ?$(H4Q(B) ; C02-H-3451
(ucs-set-char #x5A61 ?$(I5'(B) ; C03-I-3527
(ucs-set-char #x5A62 ?$(C]f(B) ; KS0-C-5D66
(ucs-set-char #x5A62 ?$(GYe(B) ; C01-G-5965
(ucs-set-char #x5A62 ?$@U9(B) ; J78-@-5539
(ucs-set-char #x5A62 ?$Af>(B) ; GB0-A-663E
(ucs-set-char #x5A62 ?$BU9(B) ; J83-B-5539
(ucs-set-char #x5A63 ?$(D9c(B) ; J90-D-3963
(ucs-set-char #x5A63 ?$(I5<(B) ; C03-I-353C
(ucs-set-char #x5A64 ?$(H4^(B) ; C02-H-345E
(ucs-set-char #x5A65 ?$(D9d(B) ; J90-D-3964
(ucs-set-char #x5A65 ?$(H4[(B) ; C02-H-345B
(ucs-set-char #x5A66 ?$(C\~(B) ; KS0-C-5C7E
(ucs-set-char #x5A66 ?$(GYa(B) ; C01-G-5961
(ucs-set-char #x5A66 ?$(L>P(B) ; C06-L-3E50
(ucs-set-char #x5A66 ?$@IX(B) ; J78-@-4958
(ucs-set-char #x5A66 ?$BIX(B) ; J83-B-4958
(ucs-set-char #x5A67 ?$(D9e(B) ; J90-D-3965
(ucs-set-char #x5A67 ?$(H4T(B) ; C02-H-3454
(ucs-set-char #x5A67 ?$Af:(B) ; GB0-A-663A
(ucs-set-char #x5A68 ?$(I50(B) ; C03-I-3530
(ucs-set-char #x5A69 ?$(H4l(B) ; C02-H-346C
(ucs-set-char #x5A6A ?$(GYb(B) ; C01-G-5962
(ucs-set-char #x5A6A ?$@U:(B) ; J78-@-553A
(ucs-set-char #x5A6A ?$A@7(B) ; GB0-A-4037
(ucs-set-char #x5A6A ?$BU:(B) ; J83-B-553A
(ucs-set-char #x5A6B ?$(I5+(B) ; C03-I-352B
(ucs-set-char #x5A6C ?$(H4\(B) ; C02-H-345C
(ucs-set-char #x5A6C ?$@U5(B) ; J78-@-5535
(ucs-set-char #x5A6C ?$BU5(B) ; J83-B-5535
(ucs-set-char #x5A6D ?$(D9f(B) ; J90-D-3966
(ucs-set-char #x5A6D ?$(H4X(B) ; C02-H-3458
(ucs-set-char #x5A6E ?$(I5)(B) ; C03-I-3529
(ucs-set-char #x5A6F ?$(I54(B) ; C03-I-3534
(ucs-set-char #x5A70 ?$(H4k(B) ; C02-H-346B
(ucs-set-char #x5A71 ?$(I52(B) ; C03-I-3532
(ucs-set-char #x5A73 ?$(I57(B) ; C03-I-3537
(ucs-set-char #x5A74 ?$AS$(B) ; GB0-A-5324
(ucs-set-char #x5A75 ?$(I55(B) ; C03-I-3535
(ucs-set-char #x5A75 ?$Af?(B) ; GB0-A-663F
(ucs-set-char #x5A76 ?$AIt(B) ; GB0-A-4974
(ucs-set-char #x5A77 ?$(D9g(B) ; J90-D-3967
(ucs-set-char #x5A77 ?$(G^e(B) ; C01-G-5E65
(ucs-set-char #x5A77 ?$AfC(B) ; GB0-A-6643
(ucs-set-char #x5A78 ?$(H:}(B) ; C02-H-3A7D
(ucs-set-char #x5A79 ?$(I:u(B) ; C03-I-3A75
(ucs-set-char #x5A7A ?$(D9h(B) ; J90-D-3968
(ucs-set-char #x5A7A ?$(H:z(B) ; C02-H-3A7A
(ucs-set-char #x5A7A ?$AfD(B) ; GB0-A-6644
(ucs-set-char #x5A7B ?$(D9i(B) ; J90-D-3969
(ucs-set-char #x5A7B ?$(H;-(B) ; C02-H-3B2D
(ucs-set-char #x5A7C ?$(H;!(B) ; C02-H-3B21
(ucs-set-char #x5A7D ?$(H;.(B) ; C02-H-3B2E
(ucs-set-char #x5A7E ?$(D9j(B) ; J90-D-396A
(ucs-set-char #x5A7E ?$(I:|(B) ; C03-I-3A7C
(ucs-set-char #x5A7F ?$(G^g(B) ; C01-G-5E67
(ucs-set-char #x5A7F ?$@L;(B) ; J78-@-4C3B
(ucs-set-char #x5A7F ?$APv(B) ; GB0-A-5076
(ucs-set-char #x5A7F ?$BL;(B) ; J83-B-4C3B
(ucs-set-char #x5A80 ?$(I:c(B) ; C03-I-3A63
(ucs-set-char #x5A81 ?$(I:a(B) ; C03-I-3A61
(ucs-set-char #x5A82 ?$(I:X(B) ; C03-I-3A58
(ucs-set-char #x5A83 ?$(H;*(B) ; C02-H-3B2A
(ucs-set-char #x5A84 ?$(H;'(B) ; C02-H-3B27
(ucs-set-char #x5A85 ?$(I:[(B) ; C03-I-3A5B
(ucs-set-char #x5A86 ?$(I:w(B) ; C03-I-3A77
(ucs-set-char #x5A87 ?$(I:r(B) ; C03-I-3A72
(ucs-set-char #x5A88 ?$(I:Y(B) ; C03-I-3A59
(ucs-set-char #x5A89 ?$(I:`(B) ; C03-I-3A60
(ucs-set-char #x5A8A ?$(H;((B) ; C02-H-3B28
(ucs-set-char #x5A8B ?$(D9k(B) ; J90-D-396B
(ucs-set-char #x5A8B ?$(H;+(B) ; C02-H-3B2B
(ucs-set-char #x5A8C ?$(H;/(B) ; C02-H-3B2F
(ucs-set-char #x5A8D ?$(I:{(B) ; C03-I-3A7B
(ucs-set-char #x5A8E ?$(H4f(B) ; C02-H-3466
(ucs-set-char #x5A8F ?$(H;1(B) ; C02-H-3B31
(ucs-set-char #x5A90 ?$(D9l(B) ; J90-D-396C
(ucs-set-char #x5A90 ?$(HBM(B) ; C02-H-424D
(ucs-set-char #x5A91 ?$(I:f(B) ; C03-I-3A66
(ucs-set-char #x5A92 ?$(CXZ(B) ; KS0-C-585A
(ucs-set-char #x5A92 ?$(G^h(B) ; C01-G-5E68
(ucs-set-char #x5A92 ?$@G^(B) ; J78-@-475E
(ucs-set-char #x5A92 ?$AC=(B) ; GB0-A-433D
(ucs-set-char #x5A92 ?$BG^(B) ; J83-B-475E
(ucs-set-char #x5A93 ?$(D9m(B) ; J90-D-396D
(ucs-set-char #x5A93 ?$(H;2(B) ; C02-H-3B32
(ucs-set-char #x5A94 ?$(H:x(B) ; C02-H-3A78
(ucs-set-char #x5A95 ?$(H;$(B) ; C02-H-3B24
(ucs-set-char #x5A96 ?$(D9n(B) ; J90-D-396E
(ucs-set-char #x5A96 ?$(I:b(B) ; C03-I-3A62
(ucs-set-char #x5A97 ?$(H;)(B) ; C02-H-3B29
(ucs-set-char #x5A98 ?$(I:\(B) ; C03-I-3A5C
(ucs-set-char #x5A99 ?$(D9o(B) ; J90-D-396F
(ucs-set-char #x5A99 ?$(I:^(B) ; C03-I-3A5E
(ucs-set-char #x5A9A ?$(CZ,(B) ; KS0-C-5A2C
(ucs-set-char #x5A9A ?$(G^f(B) ; C01-G-5E66
(ucs-set-char #x5A9A ?$@U;(B) ; J78-@-553B
(ucs-set-char #x5A9A ?$ACD(B) ; GB0-A-4344
(ucs-set-char #x5A9A ?$BU;(B) ; J83-B-553B
(ucs-set-char #x5A9B ?$(Cj0(B) ; KS0-C-6A30
(ucs-set-char #x5A9B ?$(G^i(B) ; C01-G-5E69
(ucs-set-char #x5A9B ?$@I2(B) ; J78-@-4932
(ucs-set-char #x5A9B ?$AfB(B) ; GB0-A-6642
(ucs-set-char #x5A9B ?$BI2(B) ; J83-B-4932
(ucs-set-char #x5A9C ?$(D9p(B) ; J90-D-3970
(ucs-set-char #x5A9C ?$(H;0(B) ; C02-H-3B30
(ucs-set-char #x5A9D ?$(H;3(B) ; C02-H-3B33
(ucs-set-char #x5A9E ?$(D9q(B) ; J90-D-3971
(ucs-set-char #x5A9E ?$(H:|(B) ; C02-H-3A7C
(ucs-set-char #x5A9F ?$(D9r(B) ; J90-D-3972
(ucs-set-char #x5A9F ?$(H:y(B) ; C02-H-3A79
(ucs-set-char #x5AA0 ?$(D9s(B) ; J90-D-3973
(ucs-set-char #x5AA0 ?$(I:s(B) ; C03-I-3A73
(ucs-set-char #x5AA1 ?$(I:Z(B) ; C03-I-3A5A
(ucs-set-char #x5AA2 ?$(D9t(B) ; J90-D-3974
(ucs-set-char #x5AA2 ?$(H:{(B) ; C02-H-3A7B
(ucs-set-char #x5AA3 ?$(I:W(B) ; C03-I-3A57
(ucs-set-char #x5AA4 ?$(Cc8(B) ; KS0-C-6338
(ucs-set-char #x5AA4 ?$(I:z(B) ; C03-I-3A7A
(ucs-set-char #x5AA5 ?$(H;"(B) ; C02-H-3B22
(ucs-set-char #x5AA6 ?$(H:~(B) ; C02-H-3A7E
(ucs-set-char #x5AA7 ?$(D9u(B) ; J90-D-3975
(ucs-set-char #x5AA7 ?$(G^j(B) ; C01-G-5E6A
(ucs-set-char #x5AA8 ?$(I:V(B) ; C03-I-3A56
(ucs-set-char #x5AA9 ?$(H;,(B) ; C02-H-3B2C
(ucs-set-char #x5AAA ?$(I:y(B) ; C03-I-3A79
(ucs-set-char #x5AAA ?$AfA(B) ; GB0-A-6641
(ucs-set-char #x5AAB ?$(I:x(B) ; C03-I-3A78
(ucs-set-char #x5AAC ?$(D9v(B) ; J90-D-3976
(ucs-set-char #x5AAC ?$(H;#(B) ; C02-H-3B23
(ucs-set-char #x5AAE ?$(H;%(B) ; C02-H-3B25
(ucs-set-char #x5AAF ?$(H:w(B) ; C02-H-3A77
(ucs-set-char #x5AB0 ?$(HBA(B) ; C02-H-4241
(ucs-set-char #x5AB1 ?$(D9w(B) ; J90-D-3977
(ucs-set-char #x5AB1 ?$(HB?(B) ; C02-H-423F
(ucs-set-char #x5AB2 ?$(D9x(B) ; J90-D-3978
(ucs-set-char #x5AB2 ?$(Gch(B) ; C01-G-6368
(ucs-set-char #x5AB2 ?$AfG(B) ; GB0-A-6647
(ucs-set-char #x5AB3 ?$(D9y(B) ; J90-D-3979
(ucs-set-char #x5AB3 ?$(Gcf(B) ; C01-G-6366
(ucs-set-char #x5AB3 ?$AO1(B) ; GB0-A-4F31
(ucs-set-char #x5AB4 ?$(HBI(B) ; C02-H-4249
(ucs-set-char #x5AB5 ?$(D9z(B) ; J90-D-397A
(ucs-set-char #x5AB5 ?$(HB@(B) ; C02-H-4240
(ucs-set-char #x5AB5 ?$Akt(B) ; GB0-A-6B74
(ucs-set-char #x5AB6 ?$(HBJ(B) ; C02-H-424A
(ucs-set-char #x5AB7 ?$(HBF(B) ; C02-H-4246
(ucs-set-char #x5AB8 ?$(D9{(B) ; J90-D-397B
(ucs-set-char #x5AB8 ?$(HB>(B) ; C02-H-423E
(ucs-set-char #x5AB8 ?$AfJ(B) ; GB0-A-664A
(ucs-set-char #x5AB9 ?$(HBL(B) ; C02-H-424C
(ucs-set-char #x5ABA ?$(D9|(B) ; J90-D-397C
(ucs-set-char #x5ABA ?$(HB=(B) ; C02-H-423D
(ucs-set-char #x5ABB ?$(D9}(B) ; J90-D-397D
(ucs-set-char #x5ABB ?$(HBD(B) ; C02-H-4244
(ucs-set-char #x5ABC ?$(Gce(B) ; C01-G-6365
(ucs-set-char #x5ABC ?$@U<(B) ; J78-@-553C
(ucs-set-char #x5ABC ?$BU<(B) ; J83-B-553C
(ucs-set-char #x5ABD ?$(Gcd(B) ; C01-G-6364
(ucs-set-char #x5ABD ?$@U@(B) ; J78-@-5540
(ucs-set-char #x5ABD ?$BU@(B) ; J83-B-5540
(ucs-set-char #x5ABE ?$(Gcc(B) ; C01-G-6363
(ucs-set-char #x5ABE ?$@U=(B) ; J78-@-553D
(ucs-set-char #x5ABE ?$AfE(B) ; GB0-A-6645
(ucs-set-char #x5ABE ?$BU=(B) ; J83-B-553D
(ucs-set-char #x5ABF ?$(D9~(B) ; J90-D-397E
(ucs-set-char #x5ABF ?$(HBB(B) ; C02-H-4242
(ucs-set-char #x5AC0 ?$(HBG(B) ; C02-H-4247
(ucs-set-char #x5AC1 ?$(CJ*(B) ; KS0-C-4A2A
(ucs-set-char #x5AC1 ?$(Gc`(B) ; C01-G-6360
(ucs-set-char #x5AC1 ?$@2G(B) ; J78-@-3247
(ucs-set-char #x5AC1 ?$A<^(B) ; GB0-A-3C5E
(ucs-set-char #x5AC1 ?$B2G(B) ; J83-B-3247
(ucs-set-char #x5AC2 ?$(Cay(B) ; KS0-C-6179
(ucs-set-char #x5AC2 ?$(Gcg(B) ; C01-G-6367
(ucs-set-char #x5AC2 ?$@U?(B) ; J78-@-553F
(ucs-set-char #x5AC2 ?$AI)(B) ; GB0-A-4929
(ucs-set-char #x5AC2 ?$BU?(B) ; J83-B-553F
(ucs-set-char #x5AC3 ?$(I@g(B) ; C03-I-4067
(ucs-set-char #x5AC4 ?$(Cj1(B) ; KS0-C-6A31
(ucs-set-char #x5AC4 ?$(D:!(B) ; J90-D-3A21
(ucs-set-char #x5AC4 ?$(HB;(B) ; C02-H-423B
(ucs-set-char #x5AC5 ?$(I@f(B) ; C03-I-4066
(ucs-set-char #x5AC6 ?$(D:"(B) ; J90-D-3A22
(ucs-set-char #x5AC6 ?$(HBE(B) ; C02-H-4245
(ucs-set-char #x5AC7 ?$(HB:(B) ; C02-H-423A
(ucs-set-char #x5AC8 ?$(D:#(B) ; J90-D-3A23
(ucs-set-char #x5AC8 ?$(HBC(B) ; C02-H-4243
(ucs-set-char #x5AC9 ?$(Crl(B) ; KS0-C-726C
(ucs-set-char #x5AC9 ?$(Gca(B) ; C01-G-6361
(ucs-set-char #x5AC9 ?$@<;(B) ; J78-@-3C3B
(ucs-set-char #x5AC9 ?$A<5(B) ; GB0-A-3C35
(ucs-set-char #x5AC9 ?$B<;(B) ; J83-B-3C3B
(ucs-set-char #x5ACA ?$(HBH(B) ; C02-H-4248
(ucs-set-char #x5ACB ?$(HB<(B) ; C02-H-423C
(ucs-set-char #x5ACB ?$@U>(B) ; J78-@-553E
(ucs-set-char #x5ACB ?$BU>(B) ; J83-B-553E
(ucs-set-char #x5ACC ?$(Czn(B) ; KS0-C-7A6E
(ucs-set-char #x5ACC ?$(Gcb(B) ; C01-G-6362
(ucs-set-char #x5ACC ?$@7y(B) ; J78-@-3779
(ucs-set-char #x5ACC ?$AOS(B) ; GB0-A-4F53
(ucs-set-char #x5ACC ?$B7y(B) ; J83-B-3779
(ucs-set-char #x5ACD ?$(HBK(B) ; C02-H-424B
(ucs-set-char #x5ACE ?$(I@d(B) ; C03-I-4064
(ucs-set-char #x5ACF ?$(D:$(B) ; J90-D-3A24
(ucs-set-char #x5ACF ?$(I:k(B) ; C03-I-3A6B
(ucs-set-char #x5AD0 ?$(I@j(B) ; C03-I-406A
(ucs-set-char #x5AD0 ?$@UL(B) ; J78-@-554C
(ucs-set-char #x5AD0 ?$BUL(B) ; J83-B-554C
(ucs-set-char #x5AD2 ?$AfH(B) ; GB0-A-6648
(ucs-set-char #x5AD4 ?$AfI(B) ; GB0-A-6649
(ucs-set-char #x5AD5 ?$(HIU(B) ; C02-H-4955
(ucs-set-char #x5AD6 ?$(GhJ(B) ; C01-G-684A
(ucs-set-char #x5AD6 ?$@UE(B) ; J78-@-5545
(ucs-set-char #x5AD6 ?$AfN(B) ; GB0-A-664E
(ucs-set-char #x5AD6 ?$BUE(B) ; J83-B-5545
(ucs-set-char #x5AD7 ?$(GhI(B) ; C01-G-6849
(ucs-set-char #x5AD7 ?$@UB(B) ; J78-@-5542
(ucs-set-char #x5AD7 ?$BUB(B) ; J83-B-5542
(ucs-set-char #x5AD8 ?$(GhK(B) ; C01-G-684B
(ucs-set-char #x5AD8 ?$AfP(B) ; GB0-A-6650
(ucs-set-char #x5AD9 ?$(HIa(B) ; C02-H-4961
(ucs-set-char #x5ADA ?$(D:%(B) ; J90-D-3A25
(ucs-set-char #x5ADA ?$(HIW(B) ; C02-H-4957
(ucs-set-char #x5ADB ?$(HI](B) ; C02-H-495D
(ucs-set-char #x5ADC ?$(D:&(B) ; J90-D-3A26
(ucs-set-char #x5ADC ?$(HIR(B) ; C02-H-4952
(ucs-set-char #x5ADC ?$AfQ(B) ; GB0-A-6651
(ucs-set-char #x5ADD ?$(HI`(B) ; C02-H-4960
(ucs-set-char #x5ADE ?$(HI_(B) ; C02-H-495F
(ucs-set-char #x5ADF ?$(HIc(B) ; C02-H-4963
(ucs-set-char #x5AE0 ?$(D:'(B) ; J90-D-3A27
(ucs-set-char #x5AE0 ?$(HI\(B) ; C02-H-495C
(ucs-set-char #x5AE0 ?$AfK(B) ; GB0-A-664B
(ucs-set-char #x5AE1 ?$(CnU(B) ; KS0-C-6E55
(ucs-set-char #x5AE1 ?$(GhF(B) ; C01-G-6846
(ucs-set-char #x5AE1 ?$@Cd(B) ; J78-@-4364
(ucs-set-char #x5AE1 ?$A5U(B) ; GB0-A-3555
(ucs-set-char #x5AE1 ?$BCd(B) ; J83-B-4364
(ucs-set-char #x5AE2 ?$(HI[(B) ; C02-H-495B
(ucs-set-char #x5AE3 ?$(GhL(B) ; C01-G-684C
(ucs-set-char #x5AE3 ?$@UA(B) ; J78-@-5541
(ucs-set-char #x5AE3 ?$AfL(B) ; GB0-A-664C
(ucs-set-char #x5AE3 ?$BUA(B) ; J83-B-5541
(ucs-set-char #x5AE4 ?$(IFL(B) ; C03-I-464C
(ucs-set-char #x5AE5 ?$(D:((B) ; J90-D-3A28
(ucs-set-char #x5AE5 ?$(HIT(B) ; C02-H-4954
(ucs-set-char #x5AE6 ?$(Cyt(B) ; KS0-C-7974
(ucs-set-char #x5AE6 ?$(GhG(B) ; C01-G-6847
(ucs-set-char #x5AE6 ?$@UC(B) ; J78-@-5543
(ucs-set-char #x5AE6 ?$AfO(B) ; GB0-A-664F
(ucs-set-char #x5AE6 ?$BUC(B) ; J83-B-5543
(ucs-set-char #x5AE7 ?$(IFJ(B) ; C03-I-464A
(ucs-set-char #x5AE8 ?$(HIb(B) ; C02-H-4962
(ucs-set-char #x5AE9 ?$(CRl(B) ; KS0-C-526C
(ucs-set-char #x5AE9 ?$(GhH(B) ; C01-G-6848
(ucs-set-char #x5AE9 ?$@UD(B) ; J78-@-5544
(ucs-set-char #x5AE9 ?$AD[(B) ; GB0-A-445B
(ucs-set-char #x5AE9 ?$BUD(B) ; J83-B-5544
(ucs-set-char #x5AEA ?$(D:)(B) ; J90-D-3A29
(ucs-set-char #x5AEA ?$(HIV(B) ; C02-H-4956
(ucs-set-char #x5AEB ?$(HIY(B) ; C02-H-4959
(ucs-set-char #x5AEB ?$AfF(B) ; GB0-A-6646
(ucs-set-char #x5AEC ?$(HI^(B) ; C02-H-495E
(ucs-set-char #x5AED ?$(HIX(B) ; C02-H-4958
(ucs-set-char #x5AEE ?$(D:*(B) ; J90-D-3A2A
(ucs-set-char #x5AEE ?$(HIS(B) ; C02-H-4953
(ucs-set-char #x5AEF ?$(IFO(B) ; C03-I-464F
(ucs-set-char #x5AF0 ?$(IFS(B) ; C03-I-4653
(ucs-set-char #x5AF1 ?$AfM(B) ; GB0-A-664D
(ucs-set-char #x5AF3 ?$(HIZ(B) ; C02-H-495A
(ucs-set-char #x5AF4 ?$(HO|(B) ; C02-H-4F7C
(ucs-set-char #x5AF5 ?$(D:+(B) ; J90-D-3A2B
(ucs-set-char #x5AF5 ?$(GlK(B) ; C01-G-6C4B
(ucs-set-char #x5AF6 ?$(D:,(B) ; J90-D-3A2C
(ucs-set-char #x5AF6 ?$(HP!(B) ; C02-H-5021
(ucs-set-char #x5AF7 ?$(HO~(B) ; C02-H-4F7E
(ucs-set-char #x5AF8 ?$(HP#(B) ; C02-H-5023
(ucs-set-char #x5AF9 ?$(HP%(B) ; C02-H-5025
(ucs-set-char #x5AFA ?$(IK\(B) ; C03-I-4B5C
(ucs-set-char #x5AFA ?$@UF(B) ; J78-@-5546
(ucs-set-char #x5AFA ?$BUF(B) ; J83-B-5546
(ucs-set-char #x5AFB ?$(GlI(B) ; C01-G-6C49
(ucs-set-char #x5AFB ?$@UG(B) ; J78-@-5547
(ucs-set-char #x5AFB ?$BUG(B) ; J83-B-5547
(ucs-set-char #x5AFC ?$(IKX(B) ; C03-I-4B58
(ucs-set-char #x5AFD ?$(D:-(B) ; J90-D-3A2D
(ucs-set-char #x5AFD ?$(HO}(B) ; C02-H-4F7D
(ucs-set-char #x5AFE ?$(IKT(B) ; C03-I-4B54
(ucs-set-char #x5AFF ?$(HO{(B) ; C02-H-4F7B
(ucs-set-char #x5B00 ?$(D:.(B) ; J90-D-3A2E
(ucs-set-char #x5B00 ?$(IK^(B) ; C03-I-4B5E
(ucs-set-char #x5B01 ?$(D:/(B) ; J90-D-3A2F
(ucs-set-char #x5B01 ?$(HP&(B) ; C02-H-5026
(ucs-set-char #x5B02 ?$(HP$(B) ; C02-H-5024
(ucs-set-char #x5B03 ?$(HP"(B) ; C02-H-5022
(ucs-set-char #x5B04 ?$(IKV(B) ; C03-I-4B56
(ucs-set-char #x5B05 ?$(C{{(B) ; KS0-C-7B7B
(ucs-set-char #x5B05 ?$(HP((B) ; C02-H-5028
(ucs-set-char #x5B06 ?$(IKZ(B) ; C03-I-4B5A
(ucs-set-char #x5B07 ?$(HP'(B) ; C02-H-5027
(ucs-set-char #x5B08 ?$(D:0(B) ; J90-D-3A30
(ucs-set-char #x5B08 ?$(GlM(B) ; C01-G-6C4D
(ucs-set-char #x5B09 ?$(C}p(B) ; KS0-C-7D70
(ucs-set-char #x5B09 ?$(GlH(B) ; C01-G-6C48
(ucs-set-char #x5B09 ?$@4r(B) ; J78-@-3472
(ucs-set-char #x5B09 ?$AfR(B) ; GB0-A-6652
(ucs-set-char #x5B09 ?$B4r(B) ; J83-B-3472
(ucs-set-char #x5B0A ?$(IK[(B) ; C03-I-4B5B
(ucs-set-char #x5B0B ?$(C`=(B) ; KS0-C-603D
(ucs-set-char #x5B0B ?$(GlJ(B) ; C01-G-6C4A
(ucs-set-char #x5B0B ?$@UI(B) ; J78-@-5549
(ucs-set-char #x5B0B ?$BUI(B) ; J83-B-5549
(ucs-set-char #x5B0C ?$(CNc(B) ; KS0-C-4E63
(ucs-set-char #x5B0C ?$(GlL(B) ; C01-G-6C4C
(ucs-set-char #x5B0C ?$@UH(B) ; J78-@-5548
(ucs-set-char #x5B0C ?$BUH(B) ; J83-B-5548
(ucs-set-char #x5B0D ?$(IK](B) ; C03-I-4B5D
(ucs-set-char #x5B0E ?$(IK_(B) ; C03-I-4B5F
(ucs-set-char #x5B0F ?$(HP)(B) ; C02-H-5029
(ucs-set-char #x5B10 ?$(HVa(B) ; C02-H-5661
(ucs-set-char #x5B11 ?$(IPP(B) ; C03-I-5050
(ucs-set-char #x5B12 ?$(IPS(B) ; C03-I-5053
(ucs-set-char #x5B13 ?$(HV`(B) ; C02-H-5660
(ucs-set-char #x5B14 ?$(HV_(B) ; C02-H-565F
(ucs-set-char #x5B15 ?$(IPQ(B) ; C03-I-5051
(ucs-set-char #x5B16 ?$(CxF(B) ; KS0-C-7846
(ucs-set-char #x5B16 ?$(HVb(B) ; C02-H-5662
(ucs-set-char #x5B16 ?$@UJ(B) ; J78-@-554A
(ucs-set-char #x5B16 ?$AfT(B) ; GB0-A-6654
(ucs-set-char #x5B16 ?$BUJ(B) ; J83-B-554A
(ucs-set-char #x5B17 ?$(D:1(B) ; J90-D-3A31
(ucs-set-char #x5B17 ?$(HV[(B) ; C02-H-565B
(ucs-set-char #x5B17 ?$AfS(B) ; GB0-A-6653
(ucs-set-char #x5B18 ?$(IPO(B) ; C03-I-504F
(ucs-set-char #x5B19 ?$(D:3(B) ; J90-D-3A33
(ucs-set-char #x5B19 ?$(HV\(B) ; C02-H-565C
(ucs-set-char #x5B1A ?$(HVd(B) ; C02-H-5664
(ucs-set-char #x5B1B ?$(D:4(B) ; J90-D-3A34
(ucs-set-char #x5B1B ?$(HV](B) ; C02-H-565D
(ucs-set-char #x5B1C ?$(IPT(B) ; C03-I-5054
(ucs-set-char #x5B1D ?$(D:5(B) ; J90-D-3A35
(ucs-set-char #x5B1D ?$(GpN(B) ; C01-G-704E
(ucs-set-char #x5B1E ?$(HVf(B) ; C02-H-5666
(ucs-set-char #x5B1F ?$(IPN(B) ; C03-I-504E
(ucs-set-char #x5B20 ?$(HVe(B) ; C02-H-5665
(ucs-set-char #x5B21 ?$(D:6(B) ; J90-D-3A36
(ucs-set-char #x5B21 ?$(HV^(B) ; C02-H-565E
(ucs-set-char #x5B22 ?$(IPV(B) ; C03-I-5056
(ucs-set-char #x5B22 ?$@>n(B) ; J78-@-3E6E
(ucs-set-char #x5B22 ?$B>n(B) ; J83-B-3E6E
(ucs-set-char #x5B23 ?$(H\](B) ; C02-H-5C5D
(ucs-set-char #x5B24 ?$(GsQ(B) ; C01-G-7351
(ucs-set-char #x5B25 ?$(D:7(B) ; J90-D-3A37
(ucs-set-char #x5B25 ?$(H\[(B) ; C02-H-5C5B
(ucs-set-char #x5B26 ?$(H\`(B) ; C02-H-5C60
(ucs-set-char #x5B27 ?$(H\_(B) ; C02-H-5C5F
(ucs-set-char #x5B28 ?$(HVc(B) ; C02-H-5663
(ucs-set-char #x5B29 ?$(ITP(B) ; C03-I-5450
(ucs-set-char #x5B2A ?$(C^.(B) ; KS0-C-5E2E
(ucs-set-char #x5B2A ?$(GsP(B) ; C01-G-7350
(ucs-set-char #x5B2A ?$@UM(B) ; J78-@-554D
(ucs-set-char #x5B2A ?$BUM(B) ; J83-B-554D
(ucs-set-char #x5B2B ?$(ITN(B) ; C03-I-544E
(ucs-set-char #x5B2C ?$(H\^(B) ; C02-H-5C5E
(ucs-set-char #x5B2C ?$@D\(B) ; J78-@-445C
(ucs-set-char #x5B2C ?$BD\(B) ; J83-B-445C
(ucs-set-char #x5B2D ?$(D:8(B) ; J90-D-3A38
(ucs-set-char #x5B2D ?$(H\Z(B) ; C02-H-5C5A
(ucs-set-char #x5B2E ?$(H\b(B) ; C02-H-5C62
(ucs-set-char #x5B2F ?$(H\a(B) ; C02-H-5C61
(ucs-set-char #x5B30 ?$(GsO(B) ; C01-G-734F
(ucs-set-char #x5B30 ?$@1E(B) ; J78-@-3145
(ucs-set-char #x5B30 ?$B1E(B) ; J83-B-3145
(ucs-set-char #x5B31 ?$(ITR(B) ; C03-I-5452
(ucs-set-char #x5B32 ?$(H\\(B) ; C02-H-5C5C
(ucs-set-char #x5B32 ?$@UK(B) ; J78-@-554B
(ucs-set-char #x5B32 ?$AfU(B) ; GB0-A-6655
(ucs-set-char #x5B32 ?$BUK(B) ; J83-B-554B
(ucs-set-char #x5B33 ?$(ITO(B) ; C03-I-544F
(ucs-set-char #x5B34 ?$(D:2(B) ; J90-D-3A32
(ucs-set-char #x5B34 ?$(GpO(B) ; C01-G-704F
(ucs-set-char #x5B34 ?$AYx(B) ; GB0-A-5978
(ucs-set-char #x5B35 ?$(ITQ(B) ; C03-I-5451
(ucs-set-char #x5B36 ?$@UN(B) ; J78-@-554E
(ucs-set-char #x5B36 ?$BUN(B) ; J83-B-554E
(ucs-set-char #x5B37 ?$(ITS(B) ; C03-I-5453
(ucs-set-char #x5B37 ?$AfV(B) ; GB0-A-6656
(ucs-set-char #x5B38 ?$(D:9(B) ; J90-D-3A39
(ucs-set-char #x5B38 ?$(Gv@(B) ; C01-G-7640
(ucs-set-char #x5B39 ?$(IZ1(B) ; C03-I-5A31
(ucs-set-char #x5B3A ?$(IWa(B) ; C03-I-5761
(ucs-set-char #x5B3B ?$(IW^(B) ; C03-I-575E
(ucs-set-char #x5B3C ?$(HaM(B) ; C02-H-614D
(ucs-set-char #x5B3D ?$(HeF(B) ; C02-H-6546
(ucs-set-char #x5B3E ?$(HeG(B) ; C02-H-6547
(ucs-set-char #x5B3E ?$(IZ3(B) ; C03-I-5A33
(ucs-set-char #x5B3E ?$@UO(B) ; J78-@-554F
(ucs-set-char #x5B3E ?$BUO(B) ; J83-B-554F
(ucs-set-char #x5B3F ?$(HeH(B) ; C02-H-6548
(ucs-set-char #x5B40 ?$(C_E(B) ; KS0-C-5F45
(ucs-set-char #x5B40 ?$(Gyg(B) ; C01-G-7967
(ucs-set-char #x5B40 ?$@UR(B) ; J78-@-5552
(ucs-set-char #x5B40 ?$AfW(B) ; GB0-A-6657
(ucs-set-char #x5B40 ?$BUR(B) ; J83-B-5552
(ucs-set-char #x5B41 ?$(D::(B) ; J90-D-3A3A
(ucs-set-char #x5B41 ?$(Jc4(B) ; C04-J-6334
(ucs-set-char #x5B42 ?$(I\6(B) ; C03-I-5C36
(ucs-set-char #x5B43 ?$(Ce>(B) ; KS0-C-653E
(ucs-set-char #x5B43 ?$(Gyh(B) ; C01-G-7968
(ucs-set-char #x5B43 ?$@UP(B) ; J78-@-5550
(ucs-set-char #x5B43 ?$BUP(B) ; J83-B-5550
(ucs-set-char #x5B44 ?$(I\9(B) ; C03-I-5C39
(ucs-set-char #x5B45 ?$(Hho(B) ; C02-H-686F
(ucs-set-char #x5B45 ?$@UQ(B) ; J78-@-5551
(ucs-set-char #x5B45 ?$BUQ(B) ; J83-B-5551
(ucs-set-char #x5B46 ?$(I\:(B) ; C03-I-5C3A
(ucs-set-char #x5B47 ?$(HkV(B) ; C02-H-6B56
(ucs-set-char #x5B48 ?$(HkU(B) ; C02-H-6B55
(ucs-set-char #x5B49 ?$(I^)(B) ; C03-I-5E29
(ucs-set-char #x5B4A ?$(I_B(B) ; C03-I-5F42
(ucs-set-char #x5B4B ?$(D:;(B) ; J90-D-3A3B
(ucs-set-char #x5B4B ?$(HmI(B) ; C02-H-6D49
(ucs-set-char #x5B4C ?$(D:<(B) ; J90-D-3A3C
(ucs-set-char #x5B4C ?$(HmJ(B) ; C02-H-6D4A
(ucs-set-char #x5B4D ?$(Ho$(B) ; C02-H-6F24
(ucs-set-char #x5B4E ?$(Hp5(B) ; C02-H-7035
(ucs-set-char #x5B4F ?$(I`s(B) ; C03-I-6073

(ucs-set-char #x5B50 ?$AWS(B) ; GB0-A-5753
(ucs-set-char #x5B50 ?$(Cm-(B) ; KS0-C-6D2D
(ucs-set-char #x5B50 ?$(GDM(B) ; C01-G-444D
(ucs-set-char #x5B50 ?$@;R(B) ; J78-@-3B52
(ucs-set-char #x5B50 ?$B;R(B) ; J83-B-3B52

(ucs-set-char #x5B51 ?$(Czj(B) ; KS0-C-7A6A
(ucs-set-char #x5B51 ?$(GDN(B) ; C01-G-444E
(ucs-set-char #x5B51 ?$@US(B) ; J78-@-5553
(ucs-set-char #x5B51 ?$Af](B) ; GB0-A-665D
(ucs-set-char #x5B51 ?$BUS(B) ; J83-B-5553
(ucs-set-char #x5B52 ?$(D:=(B) ; J90-D-3A3D
(ucs-set-char #x5B52 ?$(J!2(B) ; C04-J-2132
(ucs-set-char #x5B53 ?$(GDO(B) ; C01-G-444F
(ucs-set-char #x5B53 ?$Af^(B) ; GB0-A-665E
(ucs-set-char #x5B54 ?$(CMn(B) ; KS0-C-4D6E
(ucs-set-char #x5B54 ?$(GE6(B) ; C01-G-4536
(ucs-set-char #x5B54 ?$@9&(B) ; J78-@-3926
(ucs-set-char #x5B54 ?$A?W(B) ; GB0-A-3F57
(ucs-set-char #x5B54 ?$B9&(B) ; J83-B-3926
(ucs-set-char #x5B55 ?$(Cm&(B) ; KS0-C-6D26
(ucs-set-char #x5B55 ?$(GFE(B) ; C01-G-4645
(ucs-set-char #x5B55 ?$@UT(B) ; J78-@-5554
(ucs-set-char #x5B55 ?$ATP(B) ; GB0-A-5450
(ucs-set-char #x5B55 ?$BUT(B) ; J83-B-5554
(ucs-set-char #x5B56 ?$(D:>(B) ; J90-D-3A3E
(ucs-set-char #x5B56 ?$(H"3(B) ; C02-H-2233
(ucs-set-char #x5B57 ?$(Cm.(B) ; KS0-C-6D2E
(ucs-set-char #x5B57 ?$(GGs(B) ; C01-G-4773
(ucs-set-char #x5B57 ?$@;z(B) ; J78-@-3B7A
(ucs-set-char #x5B57 ?$AWV(B) ; GB0-A-5756
(ucs-set-char #x5B57 ?$B;z(B) ; J83-B-3B7A
(ucs-set-char #x5B58 ?$(Cpm(B) ; KS0-C-706D
(ucs-set-char #x5B58 ?$(GGt(B) ; C01-G-4774
(ucs-set-char #x5B58 ?$@B8(B) ; J78-@-4238
(ucs-set-char #x5B58 ?$A4f(B) ; GB0-A-3466
(ucs-set-char #x5B58 ?$BB8(B) ; J83-B-4238
(ucs-set-char #x5B59 ?$AKo(B) ; GB0-A-4B6F
(ucs-set-char #x5B5A ?$(C]!(B) ; KS0-C-5D21
(ucs-set-char #x5B5A ?$(GIw(B) ; C01-G-4977
(ucs-set-char #x5B5A ?$@UU(B) ; J78-@-5555
(ucs-set-char #x5B5A ?$AfZ(B) ; GB0-A-665A
(ucs-set-char #x5B5A ?$BUU(B) ; J83-B-5555
(ucs-set-char #x5B5B ?$(GIx(B) ; C01-G-4978
(ucs-set-char #x5B5B ?$@UV(B) ; J78-@-5556
(ucs-set-char #x5B5B ?$AXC(B) ; GB0-A-5843
(ucs-set-char #x5B5B ?$BUV(B) ; J83-B-5556
(ucs-set-char #x5B5C ?$(Cm/(B) ; KS0-C-6D2F
(ucs-set-char #x5B5C ?$(GIv(B) ; C01-G-4976
(ucs-set-char #x5B5C ?$@;Z(B) ; J78-@-3B5A
(ucs-set-char #x5B5C ?$AWN(B) ; GB0-A-574E
(ucs-set-char #x5B5C ?$B;Z(B) ; J83-B-3B5A
(ucs-set-char #x5B5D ?$(C|x(B) ; KS0-C-7C78
(ucs-set-char #x5B5D ?$(GIu(B) ; C01-G-4975
(ucs-set-char #x5B5D ?$@9'(B) ; J78-@-3927
(ucs-set-char #x5B5D ?$AP"(B) ; GB0-A-5022
(ucs-set-char #x5B5D ?$B9'(B) ; J83-B-3927
(ucs-set-char #x5B5E ?$(D:?(B) ; J90-D-3A3F
(ucs-set-char #x5B5F ?$(CXk(B) ; KS0-C-586B
(ucs-set-char #x5B5F ?$(GLu(B) ; C01-G-4C75
(ucs-set-char #x5B5F ?$@LR(B) ; J78-@-4C52
(ucs-set-char #x5B5F ?$ACO(B) ; GB0-A-434F
(ucs-set-char #x5B5F ?$BLR(B) ; J83-B-4C52
(ucs-set-char #x5B60 ?$(I(H(B) ; C03-I-2848
(ucs-set-char #x5B61 ?$(J&"(B) ; C04-J-2622
(ucs-set-char #x5B62 ?$(H&6(B) ; C02-H-2636
(ucs-set-char #x5B62 ?$Af_(B) ; GB0-A-665F
(ucs-set-char #x5B63 ?$(CLy(B) ; KS0-C-4C79
(ucs-set-char #x5B63 ?$(GLw(B) ; C01-G-4C77
(ucs-set-char #x5B63 ?$@5((B) ; J78-@-3528
(ucs-set-char #x5B63 ?$A<>(B) ; GB0-A-3C3E
(ucs-set-char #x5B63 ?$B5((B) ; J83-B-3528
(ucs-set-char #x5B64 ?$(CM5(B) ; KS0-C-4D35
(ucs-set-char #x5B64 ?$(GLv(B) ; C01-G-4C76
(ucs-set-char #x5B64 ?$@8I(B) ; J78-@-3849
(ucs-set-char #x5B64 ?$A9B(B) ; GB0-A-3942
(ucs-set-char #x5B64 ?$B8I(B) ; J83-B-3849
(ucs-set-char #x5B65 ?$(H&7(B) ; C02-H-2637
(ucs-set-char #x5B65 ?$@UW(B) ; J78-@-5557
(ucs-set-char #x5B65 ?$Af[(B) ; GB0-A-665B
(ucs-set-char #x5B65 ?$BUW(B) ; J83-B-5557
(ucs-set-char #x5B66 ?$(J&#(B) ; C04-J-2623
(ucs-set-char #x5B66 ?$@3X(B) ; J78-@-3358
(ucs-set-char #x5B66 ?$AQ'(B) ; GB0-A-5127
(ucs-set-char #x5B66 ?$B3X(B) ; J83-B-3358
(ucs-set-char #x5B68 ?$(D:@(B) ; J90-D-3A40
(ucs-set-char #x5B68 ?$(J(n(B) ; C04-J-286E
(ucs-set-char #x5B69 ?$(Cz)(B) ; KS0-C-7A29
(ucs-set-char #x5B69 ?$(GPf(B) ; C01-G-5066
(ucs-set-char #x5B69 ?$@UX(B) ; J78-@-5558
(ucs-set-char #x5B69 ?$A:"(B) ; GB0-A-3A22
(ucs-set-char #x5B69 ?$BUX(B) ; J83-B-5558
(ucs-set-char #x5B6A ?$(I,/(B) ; C03-I-2C2F
(ucs-set-char #x5B6A ?$ABO(B) ; GB0-A-424F
(ucs-set-char #x5B6B ?$(Ca](B) ; KS0-C-615D
(ucs-set-char #x5B6B ?$(GU!(B) ; C01-G-5521
(ucs-set-char #x5B6B ?$@B9(B) ; J78-@-4239
(ucs-set-char #x5B6B ?$BB9(B) ; J83-B-4239
(ucs-set-char #x5B6C ?$(H.g(B) ; C02-H-2E67
(ucs-set-char #x5B6C ?$AX+(B) ; GB0-A-582B
(ucs-set-char #x5B6E ?$(D:A(B) ; J90-D-3A41
(ucs-set-char #x5B6E ?$(H4s(B) ; C02-H-3473
(ucs-set-char #x5B6F ?$(D:B(B) ; J90-D-3A42
(ucs-set-char #x5B6F ?$(J1,(B) ; C04-J-312C
(ucs-set-char #x5B70 ?$(CbU(B) ; KS0-C-6255
(ucs-set-char #x5B70 ?$(GYi(B) ; C01-G-5969
(ucs-set-char #x5B70 ?$@UY(B) ; J78-@-5559
(ucs-set-char #x5B70 ?$AJk(B) ; GB0-A-4A6B
(ucs-set-char #x5B70 ?$BUY(B) ; J83-B-5559
(ucs-set-char #x5B71 ?$(CmO(B) ; KS0-C-6D4F
(ucs-set-char #x5B71 ?$(G^l(B) ; C01-G-5E6C
(ucs-set-char #x5B71 ?$@V#(B) ; J78-@-5623
(ucs-set-char #x5B71 ?$Aen(B) ; GB0-A-656E
(ucs-set-char #x5B71 ?$BV#(B) ; J83-B-5623
(ucs-set-char #x5B72 ?$(H4r(B) ; C02-H-3472
(ucs-set-char #x5B73 ?$(G^k(B) ; C01-G-5E6B
(ucs-set-char #x5B73 ?$@UZ(B) ; J78-@-555A
(ucs-set-char #x5B73 ?$Af\(B) ; GB0-A-665C
(ucs-set-char #x5B73 ?$BUZ(B) ; J83-B-555A
(ucs-set-char #x5B74 ?$(I@q(B) ; C03-I-4071
(ucs-set-char #x5B75 ?$(C]"(B) ; KS0-C-5D22
(ucs-set-char #x5B75 ?$(GhM(B) ; C01-G-684D
(ucs-set-char #x5B75 ?$@U[(B) ; J78-@-555B
(ucs-set-char #x5B75 ?$A7u(B) ; GB0-A-3775
(ucs-set-char #x5B75 ?$BU[(B) ; J83-B-555B
(ucs-set-char #x5B76 ?$(I@r(B) ; C03-I-4072
(ucs-set-char #x5B77 ?$(HId(B) ; C02-H-4964
(ucs-set-char #x5B78 ?$(CyJ(B) ; KS0-C-794A
(ucs-set-char #x5B78 ?$(GpP(B) ; C01-G-7050
(ucs-set-char #x5B78 ?$@U\(B) ; J78-@-555C
(ucs-set-char #x5B78 ?$BU\(B) ; J83-B-555C
(ucs-set-char #x5B79 ?$(IPW(B) ; C03-I-5057
(ucs-set-char #x5B7A ?$(Cjh(B) ; KS0-C-6A68
(ucs-set-char #x5B7A ?$(GsR(B) ; C01-G-7352
(ucs-set-char #x5B7A ?$@U^(B) ; J78-@-555E
(ucs-set-char #x5B7A ?$AHf(B) ; GB0-A-4866
(ucs-set-char #x5B7A ?$BU^(B) ; J83-B-555E
(ucs-set-char #x5B7B ?$(H\c(B) ; C02-H-5C63
(ucs-set-char #x5B7C ?$(Cem(B) ; KS0-C-656D
(ucs-set-char #x5B7C ?$(D:C(B) ; J90-D-3A43
(ucs-set-char #x5B7C ?$(IZ4(B) ; C03-I-5A34
(ucs-set-char #x5B7D ?$(D:D(B) ; J90-D-3A44
(ucs-set-char #x5B7D ?$(Gyi(B) ; C01-G-7969
(ucs-set-char #x5B7D ?$ADu(B) ; GB0-A-4475
(ucs-set-char #x5B7E ?$(D:E(B) ; J90-D-3A45
(ucs-set-char #x5B7E ?$(I\;(B) ; C03-I-5C3B
(ucs-set-char #x5B7F ?$(D:F(B) ; J90-D-3A46
(ucs-set-char #x5B7F ?$(G{\(B) ; C01-G-7B5C

(ucs-set-char #x5B80 ?$Ae2(B) ; GB0-A-6532
(ucs-set-char #x5B80 ?$(I!;(B) ; C03-I-213B
(ucs-set-char #x5B80 ?$@U_(B) ; J78-@-555F
(ucs-set-char #x5B80 ?$BU_(B) ; J83-B-555F

(ucs-set-char #x5B81 ?$(D:G(B) ; J90-D-3A47
(ucs-set-char #x5B81 ?$(H!S(B) ; C02-H-2153
(ucs-set-char #x5B81 ?$AD~(B) ; GB0-A-447E
(ucs-set-char #x5B82 ?$(I"=(B) ; C03-I-223D
(ucs-set-char #x5B83 ?$(GFF(B) ; C01-G-4646
(ucs-set-char #x5B83 ?$@U`(B) ; J78-@-5560
(ucs-set-char #x5B83 ?$AK|(B) ; GB0-A-4B7C
(ucs-set-char #x5B83 ?$BU`(B) ; J83-B-5560
(ucs-set-char #x5B84 ?$(D:H(B) ; J90-D-3A48
(ucs-set-char #x5B84 ?$(H!T(B) ; C02-H-2154
(ucs-set-char #x5B84 ?$Ae3(B) ; GB0-A-6533
(ucs-set-char #x5B85 ?$(CSk(B) ; KS0-C-536B
(ucs-set-char #x5B85 ?$(GGw(B) ; C01-G-4777
(ucs-set-char #x5B85 ?$@Bp(B) ; J78-@-4270
(ucs-set-char #x5B85 ?$AU,(B) ; GB0-A-552C
(ucs-set-char #x5B85 ?$BBp(B) ; J83-B-4270
(ucs-set-char #x5B86 ?$(D:I(B) ; J90-D-3A49
(ucs-set-char #x5B86 ?$(I#P(B) ; C03-I-2350
(ucs-set-char #x5B87 ?$(CiT(B) ; KS0-C-6954
(ucs-set-char #x5B87 ?$(GGu(B) ; C01-G-4775
(ucs-set-char #x5B87 ?$@1'(B) ; J78-@-3127
(ucs-set-char #x5B87 ?$ASn(B) ; GB0-A-536E
(ucs-set-char #x5B87 ?$B1'(B) ; J83-B-3127
(ucs-set-char #x5B88 ?$(Caz(B) ; KS0-C-617A
(ucs-set-char #x5B88 ?$(GGv(B) ; C01-G-4776
(ucs-set-char #x5B88 ?$@<i(B) ; J78-@-3C69
(ucs-set-char #x5B88 ?$AJX(B) ; GB0-A-4A58
(ucs-set-char #x5B88 ?$B<i(B) ; J83-B-3C69
(ucs-set-char #x5B89 ?$(CdL(B) ; KS0-C-644C
(ucs-set-char #x5B89 ?$(GGx(B) ; C01-G-4778
(ucs-set-char #x5B89 ?$@0B(B) ; J78-@-3042
(ucs-set-char #x5B89 ?$A02(B) ; GB0-A-3032
(ucs-set-char #x5B89 ?$B0B(B) ; J83-B-3042
(ucs-set-char #x5B8A ?$(D:J(B) ; J90-D-3A4A
(ucs-set-char #x5B8A ?$(J#o(B) ; C04-J-236F
(ucs-set-char #x5B8B ?$(Cad(B) ; KS0-C-6164
(ucs-set-char #x5B8B ?$(GIz(B) ; C01-G-497A
(ucs-set-char #x5B8B ?$@AW(B) ; J78-@-4157
(ucs-set-char #x5B8B ?$AKN(B) ; GB0-A-4B4E
(ucs-set-char #x5B8B ?$BAW(B) ; J83-B-4157
(ucs-set-char #x5B8C ?$(ChG(B) ; KS0-C-6847
(ucs-set-char #x5B8C ?$(GIy(B) ; C01-G-4979
(ucs-set-char #x5B8C ?$@40(B) ; J78-@-3430
(ucs-set-char #x5B8C ?$AMj(B) ; GB0-A-4D6A
(ucs-set-char #x5B8C ?$B40(B) ; J83-B-3430
(ucs-set-char #x5B8D ?$(I%Z(B) ; C03-I-255A
(ucs-set-char #x5B8D ?$@<5(B) ; J78-@-3C35
(ucs-set-char #x5B8D ?$B<5(B) ; J83-B-3C35
(ucs-set-char #x5B8E ?$(D:K(B) ; J90-D-3A4B
(ucs-set-char #x5B8E ?$(H#\(B) ; C02-H-235C
(ucs-set-char #x5B8F ?$(CN[(B) ; KS0-C-4E5B
(ucs-set-char #x5B8F ?$(GI{(B) ; C01-G-497B
(ucs-set-char #x5B8F ?$@9((B) ; J78-@-3928
(ucs-set-char #x5B8F ?$A:j(B) ; GB0-A-3A6A
(ucs-set-char #x5B8F ?$B9((B) ; J83-B-3928
(ucs-set-char #x5B90 ?$(D:L(B) ; J90-D-3A4C
(ucs-set-char #x5B90 ?$(J"[(B) ; C04-J-225B
(ucs-set-char #x5B91 ?$(D:M(B) ; J90-D-3A4D
(ucs-set-char #x5B92 ?$(H#](B) ; C02-H-235D
(ucs-set-char #x5B93 ?$(C\U(B) ; KS0-C-5C55
(ucs-set-char #x5B93 ?$(D:N(B) ; J90-D-3A4E
(ucs-set-char #x5B93 ?$(H&8(B) ; C02-H-2638
(ucs-set-char #x5B93 ?$Ae5(B) ; GB0-A-6535
(ucs-set-char #x5B94 ?$(D:O(B) ; J90-D-3A4F
(ucs-set-char #x5B94 ?$(I(L(B) ; C03-I-284C
(ucs-set-char #x5B95 ?$(Cw5(B) ; KS0-C-7735
(ucs-set-char #x5B95 ?$(H&9(B) ; C02-H-2639
(ucs-set-char #x5B95 ?$@Ef(B) ; J78-@-4566
(ucs-set-char #x5B95 ?$Ae4(B) ; GB0-A-6534
(ucs-set-char #x5B95 ?$BEf(B) ; J83-B-4566
(ucs-set-char #x5B96 ?$(C|s(B) ; KS0-C-7C73
(ucs-set-char #x5B96 ?$(D:P(B) ; J90-D-3A50
(ucs-set-char #x5B96 ?$(I(J(B) ; C03-I-284A
(ucs-set-char #x5B97 ?$(Cps(B) ; KS0-C-7073
(ucs-set-char #x5B97 ?$(GLx(B) ; C01-G-4C78
(ucs-set-char #x5B97 ?$@=!(B) ; J78-@-3D21
(ucs-set-char #x5B97 ?$AWZ(B) ; GB0-A-575A
(ucs-set-char #x5B97 ?$B=!(B) ; J83-B-3D21
(ucs-set-char #x5B98 ?$(CN/(B) ; KS0-C-4E2F
(ucs-set-char #x5B98 ?$(GLz(B) ; C01-G-4C7A
(ucs-set-char #x5B98 ?$@41(B) ; J78-@-3431
(ucs-set-char #x5B98 ?$A9Y(B) ; GB0-A-3959
(ucs-set-char #x5B98 ?$B41(B) ; J83-B-3431
(ucs-set-char #x5B99 ?$(Cq5(B) ; KS0-C-7135
(ucs-set-char #x5B99 ?$(GL|(B) ; C01-G-4C7C
(ucs-set-char #x5B99 ?$@Ch(B) ; J78-@-4368
(ucs-set-char #x5B99 ?$AVf(B) ; GB0-A-5666
(ucs-set-char #x5B99 ?$BCh(B) ; J83-B-4368
(ucs-set-char #x5B9A ?$(CoR(B) ; KS0-C-6F52
(ucs-set-char #x5B9A ?$(GLy(B) ; C01-G-4C79
(ucs-set-char #x5B9A ?$@Dj(B) ; J78-@-446A
(ucs-set-char #x5B9A ?$A6((B) ; GB0-A-3628
(ucs-set-char #x5B9A ?$BDj(B) ; J83-B-446A
(ucs-set-char #x5B9B ?$(ChH(B) ; KS0-C-6848
(ucs-set-char #x5B9B ?$(GL}(B) ; C01-G-4C7D
(ucs-set-char #x5B9B ?$@08(B) ; J78-@-3038
(ucs-set-char #x5B9B ?$AMp(B) ; GB0-A-4D70
(ucs-set-char #x5B9B ?$B08(B) ; J83-B-3038
(ucs-set-char #x5B9C ?$(Ckq(B) ; KS0-C-6B71
(ucs-set-char #x5B9C ?$(GL{(B) ; C01-G-4C7B
(ucs-set-char #x5B9C ?$@59(B) ; J78-@-3539
(ucs-set-char #x5B9C ?$ARK(B) ; GB0-A-524B
(ucs-set-char #x5B9C ?$B59(B) ; J83-B-3539
(ucs-set-char #x5B9D ?$(I(N(B) ; C03-I-284E
(ucs-set-char #x5B9D ?$@Ju(B) ; J78-@-4A75
(ucs-set-char #x5B9D ?$A1&(B) ; GB0-A-3126
(ucs-set-char #x5B9D ?$BJu(B) ; J83-B-4A75
(ucs-set-char #x5B9E ?$(I(K(B) ; C03-I-284B
(ucs-set-char #x5B9E ?$AJ5(B) ; GB0-A-4A35
(ucs-set-char #x5B9F ?$(I(M(B) ; C03-I-284D
(ucs-set-char #x5B9F ?$@<B(B) ; J78-@-3C42
(ucs-set-char #x5B9F ?$B<B(B) ; J83-B-3C42
(ucs-set-char #x5BA0 ?$A3h(B) ; GB0-A-3368
(ucs-set-char #x5BA1 ?$AIs(B) ; GB0-A-4973
(ucs-set-char #x5BA2 ?$(CKT(B) ; KS0-C-4B54
(ucs-set-char #x5BA2 ?$(GPj(B) ; C01-G-506A
(ucs-set-char #x5BA2 ?$@5R(B) ; J78-@-3552
(ucs-set-char #x5BA2 ?$A?M(B) ; GB0-A-3F4D
(ucs-set-char #x5BA2 ?$B5R(B) ; J83-B-3552
(ucs-set-char #x5BA3 ?$(C`>(B) ; KS0-C-603E
(ucs-set-char #x5BA3 ?$(GPg(B) ; C01-G-5067
(ucs-set-char #x5BA3 ?$@@k(B) ; J78-@-406B
(ucs-set-char #x5BA3 ?$AP{(B) ; GB0-A-507B
(ucs-set-char #x5BA3 ?$B@k(B) ; J83-B-406B
(ucs-set-char #x5BA4 ?$(Ccx(B) ; KS0-C-6378
(ucs-set-char #x5BA4 ?$(GPi(B) ; C01-G-5069
(ucs-set-char #x5BA4 ?$@<<(B) ; J78-@-3C3C
(ucs-set-char #x5BA4 ?$AJR(B) ; GB0-A-4A52
(ucs-set-char #x5BA4 ?$B<<(B) ; J83-B-3C3C
(ucs-set-char #x5BA5 ?$(Cji(B) ; KS0-C-6A69
(ucs-set-char #x5BA5 ?$(GPk(B) ; C01-G-506B
(ucs-set-char #x5BA5 ?$@M((B) ; J78-@-4D28
(ucs-set-char #x5BA5 ?$Ae6(B) ; GB0-A-6536
(ucs-set-char #x5BA5 ?$BM((B) ; J83-B-4D28
(ucs-set-char #x5BA6 ?$(C|2(B) ; KS0-C-7C32
(ucs-set-char #x5BA6 ?$(GPh(B) ; C01-G-5068
(ucs-set-char #x5BA6 ?$@Ua(B) ; J78-@-5561
(ucs-set-char #x5BA6 ?$A;B(B) ; GB0-A-3B42
(ucs-set-char #x5BA6 ?$BUa(B) ; J83-B-5561
(ucs-set-char #x5BA7 ?$(H.h(B) ; C02-H-2E68
(ucs-set-char #x5BA8 ?$(D:Q(B) ; J90-D-3A51
(ucs-set-char #x5BA8 ?$(H)x(B) ; C02-H-2978
(ucs-set-char #x5BA9 ?$(D:R(B) ; J90-D-3A52
(ucs-set-char #x5BAA ?$AO\(B) ; GB0-A-4F5C
(ucs-set-char #x5BAB ?$(I,2(B) ; C03-I-2C32
(ucs-set-char #x5BAB ?$A9,(B) ; GB0-A-392C
(ucs-set-char #x5BAC ?$(C`t(B) ; KS0-C-6074
(ucs-set-char #x5BAC ?$(D:S(B) ; J90-D-3A53
(ucs-set-char #x5BAC ?$(H.j(B) ; C02-H-2E6A
(ucs-set-char #x5BAD ?$(D:T(B) ; J90-D-3A54
(ucs-set-char #x5BAD ?$(H.i(B) ; C02-H-2E69
(ucs-set-char #x5BAE ?$(CO`(B) ; KS0-C-4F60
(ucs-set-char #x5BAE ?$(GU'(B) ; C01-G-5527
(ucs-set-char #x5BAE ?$@5\(B) ; J78-@-355C
(ucs-set-char #x5BAE ?$B5\(B) ; J83-B-355C
(ucs-set-char #x5BAF ?$(D:U(B) ; J90-D-3A55
(ucs-set-char #x5BAF ?$(J,F(B) ; C04-J-2C46
(ucs-set-char #x5BB0 ?$(Cn%(B) ; KS0-C-6E25
(ucs-set-char #x5BB0 ?$(GU#(B) ; C01-G-5523
(ucs-set-char #x5BB0 ?$@:K(B) ; J78-@-3A4B
(ucs-set-char #x5BB0 ?$ATW(B) ; GB0-A-5457
(ucs-set-char #x5BB0 ?$B:K(B) ; J83-B-3A4B
(ucs-set-char #x5BB1 ?$(D:V(B) ; J90-D-3A56
(ucs-set-char #x5BB1 ?$(J,I(B) ; C04-J-2C49
(ucs-set-char #x5BB2 ?$(D:W(B) ; J90-D-3A57
(ucs-set-char #x5BB2 ?$(L6f(B) ; C06-L-3666
(ucs-set-char #x5BB3 ?$(Cz*(B) ; KS0-C-7A2A
(ucs-set-char #x5BB3 ?$(GU$(B) ; C01-G-5524
(ucs-set-char #x5BB3 ?$@32(B) ; J78-@-3332
(ucs-set-char #x5BB3 ?$A:&(B) ; GB0-A-3A26
(ucs-set-char #x5BB3 ?$B32(B) ; J83-B-3332
(ucs-set-char #x5BB4 ?$(CfC(B) ; KS0-C-6643
(ucs-set-char #x5BB4 ?$(GU&(B) ; C01-G-5526
(ucs-set-char #x5BB4 ?$@1c(B) ; J78-@-3163
(ucs-set-char #x5BB4 ?$AQg(B) ; GB0-A-5167
(ucs-set-char #x5BB4 ?$B1c(B) ; J83-B-3163
(ucs-set-char #x5BB5 ?$(Ca2(B) ; KS0-C-6132
(ucs-set-char #x5BB5 ?$(GU((B) ; C01-G-5528
(ucs-set-char #x5BB5 ?$@>,(B) ; J78-@-3E2C
(ucs-set-char #x5BB5 ?$AO|(B) ; GB0-A-4F7C
(ucs-set-char #x5BB5 ?$B>,(B) ; J83-B-3E2C
(ucs-set-char #x5BB6 ?$(CJ+(B) ; KS0-C-4A2B
(ucs-set-char #x5BB6 ?$(GU%(B) ; C01-G-5525
(ucs-set-char #x5BB6 ?$@2H(B) ; J78-@-3248
(ucs-set-char #x5BB6 ?$A<R(B) ; GB0-A-3C52
(ucs-set-char #x5BB6 ?$B2H(B) ; J83-B-3248
(ucs-set-char #x5BB7 ?$(D:X(B) ; J90-D-3A58
(ucs-set-char #x5BB7 ?$(I0W(B) ; C03-I-3057
(ucs-set-char #x5BB8 ?$(Ccd(B) ; KS0-C-6364
(ucs-set-char #x5BB8 ?$(GU*(B) ; C01-G-552A
(ucs-set-char #x5BB8 ?$@Ub(B) ; J78-@-5562
(ucs-set-char #x5BB8 ?$Ae7(B) ; GB0-A-6537
(ucs-set-char #x5BB8 ?$BUb(B) ; J83-B-5562
(ucs-set-char #x5BB9 ?$(Ci;(B) ; KS0-C-693B
(ucs-set-char #x5BB9 ?$(GU)(B) ; C01-G-5529
(ucs-set-char #x5BB9 ?$@MF(B) ; J78-@-4D46
(ucs-set-char #x5BB9 ?$AH](B) ; GB0-A-485D
(ucs-set-char #x5BB9 ?$BMF(B) ; J83-B-4D46
(ucs-set-char #x5BBA ?$(D:Y(B) ; J90-D-3A59
(ucs-set-char #x5BBA ?$(J,H(B) ; C04-J-2C48
(ucs-set-char #x5BBB ?$(I0V(B) ; C03-I-3056
(ucs-set-char #x5BBC ?$(D:Z(B) ; J90-D-3A5A
(ucs-set-char #x5BBC ?$(I0U(B) ; C03-I-3055
(ucs-set-char #x5BBD ?$A?m(B) ; GB0-A-3F6D
(ucs-set-char #x5BBE ?$A1v(B) ; GB0-A-3176
(ucs-set-char #x5BBF ?$(CbV(B) ; KS0-C-6256
(ucs-set-char #x5BBF ?$(GYn(B) ; C01-G-596E
(ucs-set-char #x5BBF ?$@=I(B) ; J78-@-3D49
(ucs-set-char #x5BBF ?$AK^(B) ; GB0-A-4B5E
(ucs-set-char #x5BBF ?$B=I(B) ; J83-B-3D49
(ucs-set-char #x5BC0 ?$(Csr(B) ; KS0-C-7372
(ucs-set-char #x5BC0 ?$(D:[(B) ; J90-D-3A5B
(ucs-set-char #x5BC0 ?$(H4u(B) ; C02-H-3475
(ucs-set-char #x5BC1 ?$(D:\(B) ; J90-D-3A5C
(ucs-set-char #x5BC1 ?$(H4t(B) ; C02-H-3474
(ucs-set-char #x5BC2 ?$(CnV(B) ; KS0-C-6E56
(ucs-set-char #x5BC2 ?$(GYm(B) ; C01-G-596D
(ucs-set-char #x5BC2 ?$@<d(B) ; J78-@-3C64
(ucs-set-char #x5BC2 ?$A<E(B) ; GB0-A-3C45
(ucs-set-char #x5BC2 ?$B<d(B) ; J83-B-3C64
(ucs-set-char #x5BC3 ?$(Cj2(B) ; KS0-C-6A32
(ucs-set-char #x5BC3 ?$(I5A(B) ; C03-I-3541
(ucs-set-char #x5BC3 ?$@Uc(B) ; J78-@-5563
(ucs-set-char #x5BC3 ?$BUc(B) ; J83-B-5563
(ucs-set-char #x5BC4 ?$(CPv(B) ; KS0-C-5076
(ucs-set-char #x5BC4 ?$(GYl(B) ; C01-G-596C
(ucs-set-char #x5BC4 ?$@4s(B) ; J78-@-3473
(ucs-set-char #x5BC4 ?$A<D(B) ; GB0-A-3C44
(ucs-set-char #x5BC4 ?$B4s(B) ; J83-B-3473
(ucs-set-char #x5BC5 ?$(ClY(B) ; KS0-C-6C59
(ucs-set-char #x5BC5 ?$(GYk(B) ; C01-G-596B
(ucs-set-char #x5BC5 ?$@FR(B) ; J78-@-4652
(ucs-set-char #x5BC5 ?$ARz(B) ; GB0-A-527A
(ucs-set-char #x5BC5 ?$BFR(B) ; J83-B-4652
(ucs-set-char #x5BC6 ?$(CZK(B) ; KS0-C-5A4B
(ucs-set-char #x5BC6 ?$(GYo(B) ; C01-G-596F
(ucs-set-char #x5BC6 ?$@L)(B) ; J78-@-4C29
(ucs-set-char #x5BC6 ?$AC\(B) ; GB0-A-435C
(ucs-set-char #x5BC6 ?$BL)(B) ; J83-B-4C29
(ucs-set-char #x5BC7 ?$(CO((B) ; KS0-C-4F28
(ucs-set-char #x5BC7 ?$(GYj(B) ; C01-G-596A
(ucs-set-char #x5BC7 ?$@Ud(B) ; J78-@-5564
(ucs-set-char #x5BC7 ?$A?\(B) ; GB0-A-3F5C
(ucs-set-char #x5BC7 ?$BUd(B) ; J83-B-5564
(ucs-set-char #x5BC8 ?$(I5?(B) ; C03-I-353F
(ucs-set-char #x5BC9 ?$@Ue(B) ; J78-@-5565
(ucs-set-char #x5BC9 ?$BUe(B) ; J83-B-5565
(ucs-set-char #x5BCA ?$(H;9(B) ; C02-H-3B39
(ucs-set-char #x5BCB ?$(H;6(B) ; C02-H-3B36
(ucs-set-char #x5BCC ?$(C]#(B) ; KS0-C-5D23
(ucs-set-char #x5BCC ?$(G^n(B) ; C01-G-5E6E
(ucs-set-char #x5BCC ?$@IY(B) ; J78-@-4959
(ucs-set-char #x5BCC ?$A8;(B) ; GB0-A-383B
(ucs-set-char #x5BCC ?$BIY(B) ; J83-B-4959
(ucs-set-char #x5BCD ?$(D:](B) ; J90-D-3A5D
(ucs-set-char #x5BCD ?$(H;5(B) ; C02-H-3B35
(ucs-set-char #x5BCE ?$(H;:(B) ; C02-H-3B3A
(ucs-set-char #x5BCF ?$(D:^(B) ; J90-D-3A5E
(ucs-set-char #x5BCF ?$(J7$(B) ; C04-J-3724
(ucs-set-char #x5BD0 ?$(CX[(B) ; KS0-C-585B
(ucs-set-char #x5BD0 ?$(G^p(B) ; C01-G-5E70
(ucs-set-char #x5BD0 ?$@Ug(B) ; J78-@-5567
(ucs-set-char #x5BD0 ?$ACB(B) ; GB0-A-4342
(ucs-set-char #x5BD0 ?$BUg(B) ; J83-B-5567
(ucs-set-char #x5BD1 ?$(H;8(B) ; C02-H-3B38
(ucs-set-char #x5BD2 ?$(CyN(B) ; KS0-C-794E
(ucs-set-char #x5BD2 ?$(G^m(B) ; C01-G-5E6D
(ucs-set-char #x5BD2 ?$@4((B) ; J78-@-3428
(ucs-set-char #x5BD2 ?$A:.(B) ; GB0-A-3A2E
(ucs-set-char #x5BD2 ?$B4((B) ; J83-B-3428
(ucs-set-char #x5BD3 ?$(CiU(B) ; KS0-C-6955
(ucs-set-char #x5BD3 ?$(G^o(B) ; C01-G-5E6F
(ucs-set-char #x5BD3 ?$@6w(B) ; J78-@-3677
(ucs-set-char #x5BD3 ?$AT"(B) ; GB0-A-5422
(ucs-set-char #x5BD3 ?$B6w(B) ; J83-B-3677
(ucs-set-char #x5BD4 ?$(CcQ(B) ; KS0-C-6351
(ucs-set-char #x5BD4 ?$(H;7(B) ; C02-H-3B37
(ucs-set-char #x5BD4 ?$@Uf(B) ; J78-@-5566
(ucs-set-char #x5BD4 ?$BUf(B) ; J83-B-5566
(ucs-set-char #x5BD5 ?$(I:~(B) ; C03-I-3A7E
(ucs-set-char #x5BD6 ?$(D:_(B) ; J90-D-3A5F
(ucs-set-char #x5BD6 ?$(HBN(B) ; C02-H-424E
(ucs-set-char #x5BD7 ?$(CR<(B) ; KS0-C-523C
(ucs-set-char #x5BD7 ?$(D:`(B) ; J90-D-3A60
(ucs-set-char #x5BD7 ?$(I@t(B) ; C03-I-4074
(ucs-set-char #x5BD8 ?$(D:a(B) ; J90-D-3A61
(ucs-set-char #x5BD8 ?$(HBO(B) ; C02-H-424F
(ucs-set-char #x5BD9 ?$(D:b(B) ; J90-D-3A62
(ucs-set-char #x5BD9 ?$(HBP(B) ; C02-H-4250
(ucs-set-char #x5BDA ?$(D:c(B) ; J90-D-3A63
(ucs-set-char #x5BDA ?$(I@u(B) ; C03-I-4075
(ucs-set-char #x5BDB ?$(I@v(B) ; C03-I-4076
(ucs-set-char #x5BDB ?$@42(B) ; J78-@-3432
(ucs-set-char #x5BDB ?$B42(B) ; J83-B-3432
(ucs-set-char #x5BDC ?$(I@s(B) ; C03-I-4073
(ucs-set-char #x5BDD ?$(J<n(B) ; C04-J-3C6E
(ucs-set-char #x5BDD ?$@?2(B) ; J78-@-3F32
(ucs-set-char #x5BDD ?$AG^(B) ; GB0-A-475E
(ucs-set-char #x5BDD ?$B?2(B) ; J83-B-3F32
(ucs-set-char #x5BDE ?$(CX,(B) ; KS0-C-582C
(ucs-set-char #x5BDE ?$(GhN(B) ; C01-G-684E
(ucs-set-char #x5BDE ?$@Uk(B) ; J78-@-556B
(ucs-set-char #x5BDE ?$AD/(B) ; GB0-A-442F
(ucs-set-char #x5BDE ?$BUk(B) ; J83-B-556B
(ucs-set-char #x5BDF ?$(CsL(B) ; KS0-C-734C
(ucs-set-char #x5BDF ?$(GhV(B) ; C01-G-6856
(ucs-set-char #x5BDF ?$@;!(B) ; J78-@-3B21
(ucs-set-char #x5BDF ?$A2l(B) ; GB0-A-326C
(ucs-set-char #x5BDF ?$B;!(B) ; J83-B-3B21
(ucs-set-char #x5BE0 ?$(D:d(B) ; J90-D-3A64
(ucs-set-char #x5BE0 ?$(HIe(B) ; C02-H-4965
(ucs-set-char #x5BE1 ?$(CM{(B) ; KS0-C-4D7B
(ucs-set-char #x5BE1 ?$(GhP(B) ; C01-G-6850
(ucs-set-char #x5BE1 ?$@2I(B) ; J78-@-3249
(ucs-set-char #x5BE1 ?$A9Q(B) ; GB0-A-3951
(ucs-set-char #x5BE1 ?$B2I(B) ; J83-B-3249
(ucs-set-char #x5BE2 ?$(CvV(B) ; KS0-C-7656
(ucs-set-char #x5BE2 ?$(GhT(B) ; C01-G-6854
(ucs-set-char #x5BE2 ?$@Uj(B) ; J78-@-556A
(ucs-set-char #x5BE2 ?$BUj(B) ; J83-B-556A
(ucs-set-char #x5BE3 ?$(HIf(B) ; C02-H-4966
(ucs-set-char #x5BE4 ?$(Cgu(B) ; KS0-C-6775
(ucs-set-char #x5BE4 ?$(GhU(B) ; C01-G-6855
(ucs-set-char #x5BE4 ?$@Uh(B) ; J78-@-5568
(ucs-set-char #x5BE4 ?$Ae;(B) ; GB0-A-653B
(ucs-set-char #x5BE4 ?$BUh(B) ; J83-B-5568
(ucs-set-char #x5BE5 ?$(Cho(B) ; KS0-C-686F
(ucs-set-char #x5BE5 ?$(GhQ(B) ; C01-G-6851
(ucs-set-char #x5BE5 ?$@Ul(B) ; J78-@-556C
(ucs-set-char #x5BE5 ?$AAH(B) ; GB0-A-4148
(ucs-set-char #x5BE5 ?$BUl(B) ; J83-B-556C
(ucs-set-char #x5BE6 ?$(Ccy(B) ; KS0-C-6379
(ucs-set-char #x5BE6 ?$(GhR(B) ; C01-G-6852
(ucs-set-char #x5BE6 ?$@Ui(B) ; J78-@-5569
(ucs-set-char #x5BE6 ?$BUi(B) ; J83-B-5569
(ucs-set-char #x5BE7 ?$(CR;(B) ; KS0-C-523B
(ucs-set-char #x5BE7 ?$(GhO(B) ; C01-G-684F
(ucs-set-char #x5BE7 ?$@G+(B) ; J78-@-472B
(ucs-set-char #x5BE7 ?$BG+(B) ; J83-B-472B
(ucs-set-char #x5BE8 ?$(Css(B) ; KS0-C-7373
(ucs-set-char #x5BE8 ?$(GhS(B) ; C01-G-6853
(ucs-set-char #x5BE8 ?$@\M(B) ; J78-@-5C4D
(ucs-set-char #x5BE8 ?$AU/(B) ; GB0-A-552F
(ucs-set-char #x5BE8 ?$B\M(B) ; J83-B-5C4D
(ucs-set-char #x5BE9 ?$(Cc{(B) ; KS0-C-637B
(ucs-set-char #x5BE9 ?$(GlP(B) ; C01-G-6C50
(ucs-set-char #x5BE9 ?$@?3(B) ; J78-@-3F33
(ucs-set-char #x5BE9 ?$B?3(B) ; J83-B-3F33
(ucs-set-char #x5BEA ?$(H;4(B) ; C02-H-3B34
(ucs-set-char #x5BEB ?$(C^P(B) ; KS0-C-5E50
(ucs-set-char #x5BEB ?$(GlQ(B) ; C01-G-6C51
(ucs-set-char #x5BEB ?$@Um(B) ; J78-@-556D
(ucs-set-char #x5BEB ?$BUm(B) ; J83-B-556D
(ucs-set-char #x5BEC ?$(CN0(B) ; KS0-C-4E30
(ucs-set-char #x5BEC ?$(GlO(B) ; C01-G-6C4F
(ucs-set-char #x5BED ?$(JID(B) ; C04-J-4944
(ucs-set-char #x5BEE ?$(CVw(B) ; KS0-C-5677
(ucs-set-char #x5BEE ?$(GlN(B) ; C01-G-6C4E
(ucs-set-char #x5BEE ?$@N@(B) ; J78-@-4E40
(ucs-set-char #x5BEE ?$Ae<(B) ; GB0-A-653C
(ucs-set-char #x5BEE ?$BN@(B) ; J83-B-4E40
(ucs-set-char #x5BEF ?$(CqY(B) ; KS0-C-7159
(ucs-set-char #x5BEF ?$(D:e(B) ; J90-D-3A65
(ucs-set-char #x5BEF ?$(HVg(B) ; C02-H-5667
(ucs-set-char #x5BF0 ?$(GpQ(B) ; C01-G-7051
(ucs-set-char #x5BF0 ?$@Un(B) ; J78-@-556E
(ucs-set-char #x5BF0 ?$Ae>(B) ; GB0-A-653E
(ucs-set-char #x5BF0 ?$BUn(B) ; J83-B-556E
(ucs-set-char #x5BF1 ?$(D:f(B) ; J90-D-3A66
(ucs-set-char #x5BF1 ?$(H\d(B) ; C02-H-5C64
(ucs-set-char #x5BF2 ?$(H\e(B) ; C02-H-5C65
(ucs-set-char #x5BF3 ?$(IZ5(B) ; C03-I-5A35
(ucs-set-char #x5BF3 ?$(IZ6(B) ; C03-I-5A36
(ucs-set-char #x5BF3 ?$@Up(B) ; J78-@-5570
(ucs-set-char #x5BF3 ?$BUp(B) ; J83-B-5570
(ucs-set-char #x5BF4 ?$(D:g(B) ; J90-D-3A67
(ucs-set-char #x5BF4 ?$(J_U(B) ; C04-J-5F55
(ucs-set-char #x5BF5 ?$(CuA(B) ; KS0-C-7541
(ucs-set-char #x5BF5 ?$(Gx1(B) ; C01-G-7831
(ucs-set-char #x5BF5 ?$@C~(B) ; J78-@-437E
(ucs-set-char #x5BF5 ?$BC~(B) ; J83-B-437E
(ucs-set-char #x5BF6 ?$(C\D(B) ; KS0-C-5C44
(ucs-set-char #x5BF6 ?$(Gyj(B) ; C01-G-796A
(ucs-set-char #x5BF6 ?$@Uo(B) ; J78-@-556F
(ucs-set-char #x5BF6 ?$BUo(B) ; J83-B-556F
(ucs-set-char #x5BF7 ?$(I^*(B) ; C03-I-5E2A

(ucs-set-char #x5BF8 ?$A4g(B) ; GB0-A-3467
(ucs-set-char #x5BF8 ?$(Cu;(B) ; KS0-C-753B
(ucs-set-char #x5BF8 ?$(GDP(B) ; C01-G-4450
(ucs-set-char #x5BF8 ?$@@#(B) ; J78-@-4023
(ucs-set-char #x5BF8 ?$B@#(B) ; J83-B-4023

(ucs-set-char #x5BF9 ?$(I">(B) ; C03-I-223E
(ucs-set-char #x5BF9 ?$A6T(B) ; GB0-A-3654
(ucs-set-char #x5BFA ?$(C^Q(B) ; KS0-C-5E51
(ucs-set-char #x5BFA ?$(GGy(B) ; C01-G-4779
(ucs-set-char #x5BFA ?$@;{(B) ; J78-@-3B7B
(ucs-set-char #x5BFA ?$AKB(B) ; GB0-A-4B42
(ucs-set-char #x5BFA ?$B;{(B) ; J83-B-3B7B
(ucs-set-char #x5BFB ?$AQ0(B) ; GB0-A-5130
(ucs-set-char #x5BFC ?$A5<(B) ; GB0-A-353C
(ucs-set-char #x5BFD ?$(D:h(B) ; J90-D-3A68
(ucs-set-char #x5BFD ?$(I%^(B) ; C03-I-255E
(ucs-set-char #x5BFE ?$(I%\(B) ; C03-I-255C
(ucs-set-char #x5BFE ?$@BP(B) ; J78-@-4250
(ucs-set-char #x5BFE ?$BBP(B) ; J83-B-4250
(ucs-set-char #x5BFF ?$(I%](B) ; C03-I-255D
(ucs-set-char #x5BFF ?$(L'!(B) ; C06-L-2721
(ucs-set-char #x5BFF ?$@<w(B) ; J78-@-3C77
(ucs-set-char #x5BFF ?$AJY(B) ; GB0-A-4A59
(ucs-set-char #x5BFF ?$B<w(B) ; J83-B-3C77
(ucs-set-char #x5C00 ?$(I(P(B) ; C03-I-2850
(ucs-set-char #x5C01 ?$(C\f(B) ; KS0-C-5C66
(ucs-set-char #x5C01 ?$(GPl(B) ; C01-G-506C
(ucs-set-char #x5C01 ?$@Iu(B) ; J78-@-4975
(ucs-set-char #x5C01 ?$A7b(B) ; GB0-A-3762
(ucs-set-char #x5C01 ?$BIu(B) ; J83-B-4975
(ucs-set-char #x5C02 ?$@@l(B) ; J78-@-406C
(ucs-set-char #x5C02 ?$B@l(B) ; J83-B-406C
(ucs-set-char #x5C03 ?$(H.k(B) ; C02-H-2E6B
(ucs-set-char #x5C04 ?$(C^R(B) ; KS0-C-5E52
(ucs-set-char #x5C04 ?$(GU+(B) ; C01-G-552B
(ucs-set-char #x5C04 ?$@<M(B) ; J78-@-3C4D
(ucs-set-char #x5C04 ?$AId(B) ; GB0-A-4964
(ucs-set-char #x5C04 ?$B<M(B) ; J83-B-3C4D
(ucs-set-char #x5C05 ?$(I0X(B) ; C03-I-3058
(ucs-set-char #x5C05 ?$@Uq(B) ; J78-@-5571
(ucs-set-char #x5C05 ?$BUq(B) ; J83-B-5571
(ucs-set-char #x5C06 ?$(I0Y(B) ; C03-I-3059
(ucs-set-char #x5C06 ?$@>-(B) ; J78-@-3E2D
(ucs-set-char #x5C06 ?$A=+(B) ; GB0-A-3D2B
(ucs-set-char #x5C06 ?$B>-(B) ; J83-B-3E2D
(ucs-set-char #x5C07 ?$(Cmb(B) ; KS0-C-6D62
(ucs-set-char #x5C07 ?$(GYr(B) ; C01-G-5972
(ucs-set-char #x5C07 ?$@Ur(B) ; J78-@-5572
(ucs-set-char #x5C07 ?$BUr(B) ; J83-B-5572
(ucs-set-char #x5C08 ?$(Cnv(B) ; KS0-C-6E76
(ucs-set-char #x5C08 ?$(GYq(B) ; C01-G-5971
(ucs-set-char #x5C08 ?$@Us(B) ; J78-@-5573
(ucs-set-char #x5C08 ?$BUs(B) ; J83-B-5573
(ucs-set-char #x5C09 ?$(CjO(B) ; KS0-C-6A4F
(ucs-set-char #x5C09 ?$(GYp(B) ; C01-G-5970
(ucs-set-char #x5C09 ?$@0S(B) ; J78-@-3053
(ucs-set-char #x5C09 ?$AN>(B) ; GB0-A-4E3E
(ucs-set-char #x5C09 ?$B0S(B) ; J83-B-3053
(ucs-set-char #x5C0A ?$(Cpn(B) ; KS0-C-706E
(ucs-set-char #x5C0A ?$(G^q(B) ; C01-G-5E71
(ucs-set-char #x5C0A ?$@B:(B) ; J78-@-423A
(ucs-set-char #x5C0A ?$AWp(B) ; GB0-A-5770
(ucs-set-char #x5C0A ?$BB:(B) ; J83-B-423A
(ucs-set-char #x5C0B ?$(Cc|(B) ; KS0-C-637C
(ucs-set-char #x5C0B ?$(G^r(B) ; C01-G-5E72
(ucs-set-char #x5C0B ?$@?R(B) ; J78-@-3F52
(ucs-set-char #x5C0B ?$B?R(B) ; J83-B-3F52
(ucs-set-char #x5C0C ?$(D:i(B) ; J90-D-3A69
(ucs-set-char #x5C0C ?$(H;;(B) ; C02-H-3B3B
(ucs-set-char #x5C0D ?$(CS_(B) ; KS0-C-535F
(ucs-set-char #x5C0D ?$(GhW(B) ; C01-G-6857
(ucs-set-char #x5C0D ?$@Ut(B) ; J78-@-5574
(ucs-set-char #x5C0D ?$BUt(B) ; J83-B-5574
(ucs-set-char #x5C0E ?$(CSt(B) ; KS0-C-5374
(ucs-set-char #x5C0E ?$(GpR(B) ; C01-G-7052
(ucs-set-char #x5C0E ?$@F3(B) ; J78-@-4633
(ucs-set-char #x5C0E ?$BF3(B) ; J83-B-4633

(ucs-set-char #x5C0F ?$AP!(B) ; GB0-A-5021
(ucs-set-char #x5C0F ?$(Ca3(B) ; KS0-C-6133
(ucs-set-char #x5C0F ?$(GDQ(B) ; C01-G-4451
(ucs-set-char #x5C0F ?$@>.(B) ; J78-@-3E2E
(ucs-set-char #x5C0F ?$B>.(B) ; J83-B-3E2E

(ucs-set-char #x5C10 ?$(H!<(B) ; C02-H-213C
(ucs-set-char #x5C11 ?$(Ca4(B) ; KS0-C-6134
(ucs-set-char #x5C11 ?$(GE7(B) ; C01-G-4537
(ucs-set-char #x5C11 ?$@>/(B) ; J78-@-3E2F
(ucs-set-char #x5C11 ?$AIY(B) ; GB0-A-4959
(ucs-set-char #x5C11 ?$B>/(B) ; J83-B-3E2F
(ucs-set-char #x5C12 ?$(H!U(B) ; C02-H-2155
(ucs-set-char #x5C13 ?$(J!s(B) ; C04-J-2173
(ucs-set-char #x5C13 ?$@Uu(B) ; J78-@-5575
(ucs-set-char #x5C13 ?$BUu(B) ; J83-B-5575
(ucs-set-char #x5C14 ?$(I"?(B) ; C03-I-223F
(ucs-set-char #x5C14 ?$A6{(B) ; GB0-A-367B
(ucs-set-char #x5C15 ?$(H"4(B) ; C02-H-2234
(ucs-set-char #x5C15 ?$AfX(B) ; GB0-A-6658
(ucs-set-char #x5C16 ?$(CtS(B) ; KS0-C-7453
(ucs-set-char #x5C16 ?$(GGz(B) ; C01-G-477A
(ucs-set-char #x5C16 ?$@@m(B) ; J78-@-406D
(ucs-set-char #x5C16 ?$A<b(B) ; GB0-A-3C62
(ucs-set-char #x5C16 ?$B@m(B) ; J83-B-406D
(ucs-set-char #x5C17 ?$(D:j(B) ; J90-D-3A6A
(ucs-set-char #x5C17 ?$(J"\(B) ; C04-J-225C
(ucs-set-char #x5C18 ?$(I#R(B) ; C03-I-2352
(ucs-set-char #x5C18 ?$A3>(B) ; GB0-A-333E
(ucs-set-char #x5C19 ?$(C_F(B) ; KS0-C-5F46
(ucs-set-char #x5C19 ?$(I(Q(B) ; C03-I-2851
(ucs-set-char #x5C1A ?$(GL~(B) ; C01-G-4C7E
(ucs-set-char #x5C1A ?$@>0(B) ; J78-@-3E30
(ucs-set-char #x5C1A ?$AIP(B) ; GB0-A-4950
(ucs-set-char #x5C1A ?$B>0(B) ; J83-B-3E30
(ucs-set-char #x5C1B ?$(I,4(B) ; C03-I-2C34
(ucs-set-char #x5C1C ?$AfY(B) ; GB0-A-6659
(ucs-set-char #x5C1D ?$A3"(B) ; GB0-A-3322
(ucs-set-char #x5C1E ?$(D:k(B) ; J90-D-3A6B
(ucs-set-char #x5C1E ?$(I;$(B) ; C03-I-3B24
(ucs-set-char #x5C1F ?$(D:l(B) ; J90-D-3A6C
(ucs-set-char #x5C1F ?$(HBQ(B) ; C02-H-4251
(ucs-set-char #x5C20 ?$(I@x(B) ; C03-I-4078
(ucs-set-char #x5C20 ?$@Uv(B) ; J78-@-5576
(ucs-set-char #x5C20 ?$BUv(B) ; J83-B-5576

(ucs-set-char #x5C22 ?$A^L(B) ; GB0-A-5E4C
(ucs-set-char #x5C22 ?$(J!4(B) ; C04-J-2134
(ucs-set-char #x5C22 ?$(GDR(B) ; C01-G-4452
(ucs-set-char #x5C22 ?$@Uw(B) ; J78-@-5577
(ucs-set-char #x5C22 ?$BUw(B) ; J83-B-5577

(ucs-set-char #x5C23 ?$(D:m(B) ; J90-D-3A6D
(ucs-set-char #x5C23 ?$(J!K(B) ; C04-J-214B
(ucs-set-char #x5C24 ?$(CiV(B) ; KS0-C-6956
(ucs-set-char #x5C24 ?$(GE8(B) ; C01-G-4538
(ucs-set-char #x5C24 ?$@L`(B) ; J78-@-4C60
(ucs-set-char #x5C24 ?$ASH(B) ; GB0-A-5348
(ucs-set-char #x5C24 ?$BL`(B) ; J83-B-4C60
(ucs-set-char #x5C25 ?$(H"5(B) ; C02-H-2235
(ucs-set-char #x5C25 ?$A^M(B) ; GB0-A-5E4D
(ucs-set-char #x5C26 ?$(D:n(B) ; J90-D-3A6E
(ucs-set-char #x5C27 ?$AR"(B) ; GB0-A-5222
(ucs-set-char #x5C28 ?$(C[+(B) ; KS0-C-5B2B
(ucs-set-char #x5C28 ?$(H#^(B) ; C02-H-235E
(ucs-set-char #x5C28 ?$@Ux(B) ; J78-@-5578
(ucs-set-char #x5C28 ?$BUx(B) ; J83-B-5578
(ucs-set-char #x5C29 ?$(D:o(B) ; J90-D-3A6F
(ucs-set-char #x5C29 ?$(J&)(B) ; C04-J-2629
(ucs-set-char #x5C2A ?$(H#_(B) ; C02-H-235F
(ucs-set-char #x5C2B ?$(D:p(B) ; J90-D-3A70
(ucs-set-char #x5C2B ?$(I%_(B) ; C03-I-255F
(ucs-set-char #x5C2C ?$(D:q(B) ; J90-D-3A71
(ucs-set-char #x5C2C ?$(GI|(B) ; C01-G-497C
(ucs-set-char #x5C2C ?$A^N(B) ; GB0-A-5E4E
(ucs-set-char #x5C2D ?$B6F(B) ; J83-B-3646
(ucs-set-char #x5C2E ?$(D:r(B) ; J90-D-3A72
(ucs-set-char #x5C2E ?$(K(r(B) ; C05-K-2872
(ucs-set-char #x5C2F ?$(I,5(B) ; C03-I-2C35
(ucs-set-char #x5C30 ?$(D:s(B) ; J90-D-3A73
(ucs-set-char #x5C30 ?$(H;<(B) ; C02-H-3B3C
(ucs-set-char #x5C31 ?$(Cv&(B) ; KS0-C-7626
(ucs-set-char #x5C31 ?$(G^s(B) ; C01-G-5E73
(ucs-set-char #x5C31 ?$@="(B) ; J78-@-3D22
(ucs-set-char #x5C31 ?$A>M(B) ; GB0-A-3E4D
(ucs-set-char #x5C31 ?$B="(B) ; J83-B-3D22
(ucs-set-char #x5C32 ?$(D:t(B) ; J90-D-3A74
(ucs-set-char #x5C32 ?$(JBz(B) ; C04-J-427A
(ucs-set-char #x5C33 ?$(HBR(B) ; C02-H-4252
(ucs-set-char #x5C34 ?$A^O(B) ; GB0-A-5E4F
(ucs-set-char #x5C35 ?$(D:u(B) ; J90-D-3A75
(ucs-set-char #x5C35 ?$(JII(B) ; C04-J-4949
(ucs-set-char #x5C36 ?$(D:v(B) ; J90-D-3A76
(ucs-set-char #x5C36 ?$(ITT(B) ; C03-I-5454
(ucs-set-char #x5C37 ?$(GsS(B) ; C01-G-7353

(ucs-set-char #x5C38 ?$AJ,(B) ; GB0-A-4A2C
(ucs-set-char #x5C38 ?$(Cc9(B) ; KS0-C-6339
(ucs-set-char #x5C38 ?$(GDS(B) ; C01-G-4453
(ucs-set-char #x5C38 ?$@Uy(B) ; J78-@-5579
(ucs-set-char #x5C38 ?$BUy(B) ; J83-B-5579

(ucs-set-char #x5C39 ?$(CkE(B) ; KS0-C-6B45
(ucs-set-char #x5C39 ?$(GDg(B) ; C01-G-4467
(ucs-set-char #x5C39 ?$@Uz(B) ; J78-@-557A
(ucs-set-char #x5C39 ?$AR|(B) ; GB0-A-527C
(ucs-set-char #x5C39 ?$BUz(B) ; J83-B-557A
(ucs-set-char #x5C3A ?$(Ct)(B) ; KS0-C-7429
(ucs-set-char #x5C3A ?$(GE9(B) ; C01-G-4539
(ucs-set-char #x5C3A ?$@<\(B) ; J78-@-3C5C
(ucs-set-char #x5C3A ?$A3_(B) ; GB0-A-335F
(ucs-set-char #x5C3A ?$B<\(B) ; J83-B-3C5C
(ucs-set-char #x5C3B ?$(CM6(B) ; KS0-C-4D36
(ucs-set-char #x5C3B ?$(H!V(B) ; C02-H-2156
(ucs-set-char #x5C3B ?$@?,(B) ; J78-@-3F2C
(ucs-set-char #x5C3B ?$Aej(B) ; GB0-A-656A
(ucs-set-char #x5C3B ?$B?,(B) ; J83-B-3F2C
(ucs-set-char #x5C3C ?$(CRy(B) ; KS0-C-5279
(ucs-set-char #x5C3C ?$(GFG(B) ; C01-G-4647
(ucs-set-char #x5C3C ?$@Ft(B) ; J78-@-4674
(ucs-set-char #x5C3C ?$ADa(B) ; GB0-A-4461
(ucs-set-char #x5C3C ?$BFt(B) ; J83-B-4674
(ucs-set-char #x5C3D ?$(I#T(B) ; C03-I-2354
(ucs-set-char #x5C3D ?$@?T(B) ; J78-@-3F54
(ucs-set-char #x5C3D ?$A>!(B) ; GB0-A-3E21
(ucs-set-char #x5C3D ?$B?T(B) ; J83-B-3F54
(ucs-set-char #x5C3E ?$(CZ-(B) ; KS0-C-5A2D
(ucs-set-char #x5C3E ?$(GJ"(B) ; C01-G-4A22
(ucs-set-char #x5C3E ?$@Hx(B) ; J78-@-4878
(ucs-set-char #x5C3E ?$AN2(B) ; GB0-A-4E32
(ucs-set-char #x5C3E ?$BHx(B) ; J83-B-4878
(ucs-set-char #x5C3F ?$(CRc(B) ; KS0-C-5263
(ucs-set-char #x5C3F ?$(GJ!(B) ; C01-G-4A21
(ucs-set-char #x5C3F ?$@G"(B) ; J78-@-4722
(ucs-set-char #x5C3F ?$ADr(B) ; GB0-A-4472
(ucs-set-char #x5C3F ?$BG"(B) ; J83-B-4722
(ucs-set-char #x5C40 ?$(COQ(B) ; KS0-C-4F51
(ucs-set-char #x5C40 ?$(GI}(B) ; C01-G-497D
(ucs-set-char #x5C40 ?$@6I(B) ; J78-@-3649
(ucs-set-char #x5C40 ?$A>V(B) ; GB0-A-3E56
(ucs-set-char #x5C40 ?$B6I(B) ; J83-B-3649
(ucs-set-char #x5C41 ?$(GI~(B) ; C01-G-497E
(ucs-set-char #x5C41 ?$@U{(B) ; J78-@-557B
(ucs-set-char #x5C41 ?$AF((B) ; GB0-A-4628
(ucs-set-char #x5C41 ?$BU{(B) ; J83-B-557B
(ucs-set-char #x5C42 ?$A2c(B) ; GB0-A-3263
(ucs-set-char #x5C44 ?$(H&:(B) ; C02-H-263A
(ucs-set-char #x5C45 ?$(CK\(B) ; KS0-C-4B5C
(ucs-set-char #x5C45 ?$(GM"(B) ; C01-G-4D22
(ucs-set-char #x5C45 ?$@5o(B) ; J78-@-356F
(ucs-set-char #x5C45 ?$A>S(B) ; GB0-A-3E53
(ucs-set-char #x5C45 ?$B5o(B) ; J83-B-356F
(ucs-set-char #x5C46 ?$(CLz(B) ; KS0-C-4C7A
(ucs-set-char #x5C46 ?$(GM#(B) ; C01-G-4D23
(ucs-set-char #x5C46 ?$@U|(B) ; J78-@-557C
(ucs-set-char #x5C46 ?$BU|(B) ; J83-B-557C
(ucs-set-char #x5C47 ?$(H&;(B) ; C02-H-263B
(ucs-set-char #x5C48 ?$(CO](B) ; KS0-C-4F5D
(ucs-set-char #x5C48 ?$(GM!(B) ; C01-G-4D21
(ucs-set-char #x5C48 ?$@6~(B) ; J78-@-367E
(ucs-set-char #x5C48 ?$AG|(B) ; GB0-A-477C
(ucs-set-char #x5C48 ?$B6~(B) ; J83-B-367E
(ucs-set-char #x5C49 ?$(I(T(B) ; C03-I-2854
(ucs-set-char #x5C49 ?$ALk(B) ; GB0-A-4C6B
(ucs-set-char #x5C4A ?$(I(U(B) ; C03-I-2855
(ucs-set-char #x5C4A ?$@FO(B) ; J78-@-464F
(ucs-set-char #x5C4A ?$A=l(B) ; GB0-A-3D6C
(ucs-set-char #x5C4A ?$BFO(B) ; J83-B-464F
(ucs-set-char #x5C4B ?$(Ch)(B) ; KS0-C-6829
(ucs-set-char #x5C4B ?$(GPp(B) ; C01-G-5070
(ucs-set-char #x5C4B ?$@20(B) ; J78-@-3230
(ucs-set-char #x5C4B ?$AN](B) ; GB0-A-4E5D
(ucs-set-char #x5C4B ?$B20(B) ; J83-B-3230
(ucs-set-char #x5C4C ?$(H)y(B) ; C02-H-2979
(ucs-set-char #x5C4D ?$(Cc;(B) ; KS0-C-633B
(ucs-set-char #x5C4D ?$(GPo(B) ; C01-G-506F
(ucs-set-char #x5C4D ?$@;S(B) ; J78-@-3B53
(ucs-set-char #x5C4D ?$B;S(B) ; J83-B-3B53
(ucs-set-char #x5C4E ?$(Cc:(B) ; KS0-C-633A
(ucs-set-char #x5C4E ?$(GPm(B) ; C01-G-506D
(ucs-set-char #x5C4E ?$@U}(B) ; J78-@-557D
(ucs-set-char #x5C4E ?$AJ:(B) ; GB0-A-4A3A
(ucs-set-char #x5C4E ?$BU}(B) ; J83-B-557D
(ucs-set-char #x5C4F ?$(GPn(B) ; C01-G-506E
(ucs-set-char #x5C4F ?$AFA(B) ; GB0-A-4641
(ucs-set-char #x5C4F ?$BV"(B) ; J83-B-5622
(ucs-set-char #x5C50 ?$(GU.(B) ; C01-G-552E
(ucs-set-char #x5C50 ?$@V!(B) ; J78-@-5621
(ucs-set-char #x5C50 ?$Ael(B) ; GB0-A-656C
(ucs-set-char #x5C50 ?$BV!(B) ; J83-B-5621
(ucs-set-char #x5C51 ?$(C`Z(B) ; KS0-C-605A
(ucs-set-char #x5C51 ?$(GU,(B) ; C01-G-552C
(ucs-set-char #x5C51 ?$@6}(B) ; J78-@-367D
(ucs-set-char #x5C51 ?$AP<(B) ; GB0-A-503C
(ucs-set-char #x5C51 ?$B6}(B) ; J83-B-367D
(ucs-set-char #x5C52 ?$(I0Z(B) ; C03-I-305A
(ucs-set-char #x5C53 ?$(I0[(B) ; C03-I-305B
(ucs-set-char #x5C53 ?$@U~(B) ; J78-@-557E
(ucs-set-char #x5C53 ?$BU~(B) ; J83-B-557E
(ucs-set-char #x5C54 ?$(H.m(B) ; C02-H-2E6D
(ucs-set-char #x5C55 ?$(Cnw(B) ; KS0-C-6E77
(ucs-set-char #x5C55 ?$(GU-(B) ; C01-G-552D
(ucs-set-char #x5C55 ?$@E8(B) ; J78-@-4538
(ucs-set-char #x5C55 ?$AU9(B) ; GB0-A-5539
(ucs-set-char #x5C55 ?$BE8(B) ; J83-B-4538
(ucs-set-char #x5C56 ?$(H.l(B) ; C02-H-2E6C
(ucs-set-char #x5C58 ?$(GU"(B) ; C01-G-5522
(ucs-set-char #x5C59 ?$(D:w(B) ; J90-D-3A77
(ucs-set-char #x5C59 ?$(H4v(B) ; C02-H-3476
(ucs-set-char #x5C59 ?$Aem(B) ; GB0-A-656D
(ucs-set-char #x5C5A ?$(D:x(B) ; J90-D-3A78
(ucs-set-char #x5C5A ?$(J15(B) ; C04-J-3135
(ucs-set-char #x5C5B ?$(C\3(B) ; KS0-C-5C33
(ucs-set-char #x5C5B ?$(I5C(B) ; C03-I-3543
(ucs-set-char #x5C5B ?$@V"(B) ; J78-@-5622
(ucs-set-char #x5C5C ?$(D:y(B) ; J90-D-3A79
(ucs-set-char #x5C5C ?$(GYt(B) ; C01-G-5974
(ucs-set-char #x5C5D ?$(GYu(B) ; C01-G-5975
(ucs-set-char #x5C5E ?$(I;&(B) ; C03-I-3B26
(ucs-set-char #x5C5E ?$@B0(B) ; J78-@-4230
(ucs-set-char #x5C5E ?$AJt(B) ; GB0-A-4A74
(ucs-set-char #x5C5E ?$BB0(B) ; J83-B-4230
(ucs-set-char #x5C5F ?$(I;%(B) ; C03-I-3B25
(ucs-set-char #x5C60 ?$(CSu(B) ; KS0-C-5375
(ucs-set-char #x5C60 ?$(GYs(B) ; C01-G-5973
(ucs-set-char #x5C60 ?$(LG{(B) ; C06-L-477B
(ucs-set-char #x5C60 ?$@EK(B) ; J78-@-454B
(ucs-set-char #x5C60 ?$AM@(B) ; GB0-A-4D40
(ucs-set-char #x5C60 ?$BEK(B) ; J83-B-454B
(ucs-set-char #x5C61 ?$(I5D(B) ; C03-I-3544
(ucs-set-char #x5C61 ?$ABE(B) ; GB0-A-4245
(ucs-set-char #x5C61 ?$B<H(B) ; J83-B-3C48
(ucs-set-char #x5C62 ?$(CW&(B) ; KS0-C-5726
(ucs-set-char #x5C62 ?$(D:z(B) ; J90-D-3A7A
(ucs-set-char #x5C62 ?$(GhX(B) ; C01-G-6858
(ucs-set-char #x5C62 ?$@<H(B) ; J78-@-3C48
(ucs-set-char #x5C63 ?$(D:{(B) ; J90-D-3A7B
(ucs-set-char #x5C63 ?$(HIg(B) ; C02-H-4967
(ucs-set-char #x5C63 ?$Aeo(B) ; GB0-A-656F
(ucs-set-char #x5C64 ?$(Cv5(B) ; KS0-C-7635
(ucs-set-char #x5C64 ?$(GlR(B) ; C01-G-6C52
(ucs-set-char #x5C64 ?$@AX(B) ; J78-@-4158
(ucs-set-char #x5C64 ?$BAX(B) ; J83-B-4158
(ucs-set-char #x5C65 ?$(CW[(B) ; KS0-C-575B
(ucs-set-char #x5C65 ?$(GlS(B) ; C01-G-6C53
(ucs-set-char #x5C65 ?$@Mz(B) ; J78-@-4D7A
(ucs-set-char #x5C65 ?$ABD(B) ; GB0-A-4244
(ucs-set-char #x5C65 ?$BMz(B) ; J83-B-4D7A
(ucs-set-char #x5C66 ?$Aep(B) ; GB0-A-6570
(ucs-set-char #x5C67 ?$(D:|(B) ; J90-D-3A7C
(ucs-set-char #x5C67 ?$(HP*(B) ; C02-H-502A
(ucs-set-char #x5C68 ?$(D:}(B) ; J90-D-3A7D
(ucs-set-char #x5C68 ?$(GsT(B) ; C01-G-7354
(ucs-set-char #x5C69 ?$(D:~(B) ; J90-D-3A7E
(ucs-set-char #x5C69 ?$(HaN(B) ; C02-H-614E
(ucs-set-char #x5C6A ?$(HaO(B) ; C02-H-614F
(ucs-set-char #x5C6B ?$(IZ8(B) ; C03-I-5A38
(ucs-set-char #x5C6C ?$(CaU(B) ; KS0-C-6155
(ucs-set-char #x5C6C ?$(Gzh(B) ; C01-G-7A68
(ucs-set-char #x5C6C ?$@V$(B) ; J78-@-5624
(ucs-set-char #x5C6C ?$BV$(B) ; J83-B-5624
(ucs-set-char #x5C6D ?$(D;!(B) ; J90-D-3B21
(ucs-set-char #x5C6D ?$(Hp6(B) ; C02-H-7036

(ucs-set-char #x5C6E ?$Aex(B) ; GB0-A-6578
(ucs-set-char #x5C6E ?$(H!+(B) ; C02-H-212B
(ucs-set-char #x5C6E ?$(J!5(B) ; C04-J-2135
(ucs-set-char #x5C6E ?$@V%(B) ; J78-@-5625
(ucs-set-char #x5C6E ?$BV%(B) ; J83-B-5625

(ucs-set-char #x5C6F ?$(CTj(B) ; KS0-C-546A
(ucs-set-char #x5C6F ?$(GE:(B) ; C01-G-453A
(ucs-set-char #x5C6F ?$@FV(B) ; J78-@-4656
(ucs-set-char #x5C6F ?$AMM(B) ; GB0-A-4D4D
(ucs-set-char #x5C6F ?$BFV(B) ; J83-B-4656
(ucs-set-char #x5C70 ?$(D;"(B) ; J90-D-3B22
(ucs-set-char #x5C70 ?$(J"_(B) ; C04-J-225F

(ucs-set-char #x5C71 ?$AI=(B) ; GB0-A-493D
(ucs-set-char #x5C71 ?$(C_#(B) ; KS0-C-5F23
(ucs-set-char #x5C71 ?$(GDT(B) ; C01-G-4454
(ucs-set-char #x5C71 ?$@;3(B) ; J78-@-3B33
(ucs-set-char #x5C71 ?$B;3(B) ; J83-B-3B33

(ucs-set-char #x5C73 ?$(H!X(B) ; C02-H-2158
(ucs-set-char #x5C74 ?$(D;#(B) ; J90-D-3B23
(ucs-set-char #x5C74 ?$(H!W(B) ; C02-H-2157
(ucs-set-char #x5C75 ?$(D;$(B) ; J90-D-3B24
(ucs-set-char #x5C75 ?$(J!v(B) ; C04-J-2176
(ucs-set-char #x5C76 ?$@V'(B) ; J78-@-5627
(ucs-set-char #x5C76 ?$BV'(B) ; J83-B-5627
(ucs-set-char #x5C78 ?$(I#U(B) ; C03-I-2355
(ucs-set-char #x5C79 ?$(C}_(B) ; KS0-C-7D5F
(ucs-set-char #x5C79 ?$(GG{(B) ; C01-G-477B
(ucs-set-char #x5C79 ?$@V((B) ; J78-@-5628
(ucs-set-char #x5C79 ?$ARY(B) ; GB0-A-5259
(ucs-set-char #x5C79 ?$BV((B) ; J83-B-5628
(ucs-set-char #x5C7A ?$(D;%(B) ; J90-D-3B25
(ucs-set-char #x5C7A ?$(H"7(B) ; C02-H-2237
(ucs-set-char #x5C7A ?$Aa((B) ; GB0-A-6128
(ucs-set-char #x5C7B ?$(D;&(B) ; J90-D-3B26
(ucs-set-char #x5C7B ?$(H"8(B) ; C02-H-2238
(ucs-set-char #x5C7C ?$(D;'(B) ; J90-D-3B27
(ucs-set-char #x5C7C ?$(H"6(B) ; C02-H-2236
(ucs-set-char #x5C7D ?$(D;((B) ; J90-D-3B28
(ucs-set-char #x5C7D ?$(J"`(B) ; C04-J-2260
(ucs-set-char #x5C7E ?$(H"9(B) ; C02-H-2239
(ucs-set-char #x5C7F ?$ASl(B) ; GB0-A-536C
(ucs-set-char #x5C80 ?$(I#Z(B) ; C03-I-235A
(ucs-set-char #x5C81 ?$AKj(B) ; GB0-A-4B6A
(ucs-set-char #x5C82 ?$AFq(B) ; GB0-A-4671
(ucs-set-char #x5C84 ?$(I%a(B) ; C03-I-2561
(ucs-set-char #x5C85 ?$(I%f(B) ; C03-I-2566
(ucs-set-char #x5C86 ?$(H#g(B) ; C02-H-2367
(ucs-set-char #x5C87 ?$(D;)(B) ; J90-D-3B29
(ucs-set-char #x5C87 ?$(J#z(B) ; C04-J-237A
(ucs-set-char #x5C88 ?$(D;*(B) ; J90-D-3B2A
(ucs-set-char #x5C88 ?$(H#b(B) ; C02-H-2362
(ucs-set-char #x5C88 ?$Aa,(B) ; GB0-A-612C
(ucs-set-char #x5C89 ?$(H#d(B) ; C02-H-2364
(ucs-set-char #x5C8A ?$(D;+(B) ; J90-D-3B2B
(ucs-set-char #x5C8A ?$(H#f(B) ; C02-H-2366
(ucs-set-char #x5C8B ?$(H#c(B) ; C02-H-2363
(ucs-set-char #x5C8C ?$(GJ&(B) ; C01-G-4A26
(ucs-set-char #x5C8C ?$@V)(B) ; J78-@-5629
(ucs-set-char #x5C8C ?$Aa'(B) ; GB0-A-6127
(ucs-set-char #x5C8C ?$BV)(B) ; J83-B-5629
(ucs-set-char #x5C8D ?$(H#`(B) ; C02-H-2360
(ucs-set-char #x5C8D ?$(I,@(B) ; C03-I-2C40
(ucs-set-char #x5C8D ?$Aa)(B) ; GB0-A-6129
(ucs-set-char #x5C8E ?$(I%b(B) ; C03-I-2562
(ucs-set-char #x5C8F ?$(D;,(B) ; J90-D-3B2C
(ucs-set-char #x5C8F ?$(H#a(B) ; C02-H-2361
(ucs-set-char #x5C90 ?$(CPw(B) ; KS0-C-5077
(ucs-set-char #x5C90 ?$(GJ#(B) ; C01-G-4A23
(ucs-set-char #x5C90 ?$@4t(B) ; J78-@-3474
(ucs-set-char #x5C90 ?$Aa*(B) ; GB0-A-612A
(ucs-set-char #x5C90 ?$B4t(B) ; J83-B-3474
(ucs-set-char #x5C91 ?$(CmT(B) ; KS0-C-6D54
(ucs-set-char #x5C91 ?$(GJ$(B) ; C01-G-4A24
(ucs-set-char #x5C91 ?$@V*(B) ; J78-@-562A
(ucs-set-char #x5C91 ?$Aa/(B) ; GB0-A-612F
(ucs-set-char #x5C91 ?$BV*(B) ; J83-B-562A
(ucs-set-char #x5C92 ?$(D;-(B) ; J90-D-3B2D
(ucs-set-char #x5C92 ?$(H#e(B) ; C02-H-2365
(ucs-set-char #x5C93 ?$(H#h(B) ; C02-H-2368
(ucs-set-char #x5C94 ?$(GJ%(B) ; C01-G-4A25
(ucs-set-char #x5C94 ?$@V+(B) ; J78-@-562B
(ucs-set-char #x5C94 ?$A2m(B) ; GB0-A-326D
(ucs-set-char #x5C94 ?$BV+(B) ; J83-B-562B
(ucs-set-char #x5C95 ?$(H#i(B) ; C02-H-2369
(ucs-set-char #x5C96 ?$Aa+(B) ; GB0-A-612B
(ucs-set-char #x5C97 ?$A8Z(B) ; GB0-A-385A
(ucs-set-char #x5C98 ?$Aa-(B) ; GB0-A-612D
(ucs-set-char #x5C99 ?$Aa.(B) ; GB0-A-612E
(ucs-set-char #x5C9A ?$Aa0(B) ; GB0-A-6130
(ucs-set-char #x5C9B ?$A5:(B) ; GB0-A-353A
(ucs-set-char #x5C9C ?$(I%c(B) ; C03-I-2563
(ucs-set-char #x5C9C ?$Aa1(B) ; GB0-A-6131
(ucs-set-char #x5C9D ?$(D;.(B) ; J90-D-3B2E
(ucs-set-char #x5C9D ?$(H&I(B) ; C02-H-2649
(ucs-set-char #x5C9E ?$(I(](B) ; C03-I-285D
(ucs-set-char #x5C9F ?$(D;/(B) ; J90-D-3B2F
(ucs-set-char #x5C9F ?$(H&C(B) ; C02-H-2643
(ucs-set-char #x5CA0 ?$(D;0(B) ; J90-D-3B30
(ucs-set-char #x5CA0 ?$(H&>(B) ; C02-H-263E
(ucs-set-char #x5CA1 ?$(CK*(B) ; KS0-C-4B2A
(ucs-set-char #x5CA1 ?$(GM%(B) ; C01-G-4D25
(ucs-set-char #x5CA1 ?$@2,(B) ; J78-@-322C
(ucs-set-char #x5CA1 ?$B2,(B) ; J83-B-322C
(ucs-set-char #x5CA2 ?$(D;1(B) ; J90-D-3B31
(ucs-set-char #x5CA2 ?$(H&F(B) ; C02-H-2646
(ucs-set-char #x5CA2 ?$Aa3(B) ; GB0-A-6133
(ucs-set-char #x5CA3 ?$(D;2(B) ; J90-D-3B32
(ucs-set-char #x5CA3 ?$(H&D(B) ; C02-H-2644
(ucs-set-char #x5CA3 ?$Aa8(B) ; GB0-A-6138
(ucs-set-char #x5CA4 ?$(H&=(B) ; C02-H-263D
(ucs-set-char #x5CA5 ?$(H&J(B) ; C02-H-264A
(ucs-set-char #x5CA6 ?$(D;3(B) ; J90-D-3B33
(ucs-set-char #x5CA6 ?$(H&M(B) ; C02-H-264D
(ucs-set-char #x5CA7 ?$(H&H(B) ; C02-H-2648
(ucs-set-char #x5CA8 ?$(H&A(B) ; C02-H-2641
(ucs-set-char #x5CA8 ?$@A;(B) ; J78-@-413B
(ucs-set-char #x5CA8 ?$BA;(B) ; J83-B-413B
(ucs-set-char #x5CA9 ?$(Cd[(B) ; KS0-C-645B
(ucs-set-char #x5CA9 ?$(GM'(B) ; C01-G-4D27
(ucs-set-char #x5CA9 ?$@4d(B) ; J78-@-3464
(ucs-set-char #x5CA9 ?$AQR(B) ; GB0-A-5152
(ucs-set-char #x5CA9 ?$B4d(B) ; J83-B-3464
(ucs-set-char #x5CAA ?$(D;4(B) ; J90-D-3B34
(ucs-set-char #x5CAA ?$(H&G(B) ; C02-H-2647
(ucs-set-char #x5CAB ?$(Ca{(B) ; KS0-C-617B
(ucs-set-char #x5CAB ?$(GM((B) ; C01-G-4D28
(ucs-set-char #x5CAB ?$@V-(B) ; J78-@-562D
(ucs-set-char #x5CAB ?$Aa6(B) ; GB0-A-6136
(ucs-set-char #x5CAB ?$BV-(B) ; J83-B-562D
(ucs-set-char #x5CAC ?$(CK"(B) ; KS0-C-4B22
(ucs-set-char #x5CAC ?$(H&B(B) ; C02-H-2642
(ucs-set-char #x5CAC ?$@L((B) ; J78-@-4C28
(ucs-set-char #x5CAC ?$Aa5(B) ; GB0-A-6135
(ucs-set-char #x5CAC ?$BL((B) ; J83-B-4C28
(ucs-set-char #x5CAD ?$(H&E(B) ; C02-H-2645
(ucs-set-char #x5CAD ?$AAk(B) ; GB0-A-416B
(ucs-set-char #x5CAE ?$(H&<(B) ; C02-H-263C
(ucs-set-char #x5CAF ?$(H&@(B) ; C02-H-2640
(ucs-set-char #x5CB0 ?$(H&L(B) ; C02-H-264C
(ucs-set-char #x5CB1 ?$(CS`(B) ; KS0-C-5360
(ucs-set-char #x5CB1 ?$(GM)(B) ; C01-G-4D29
(ucs-set-char #x5CB1 ?$@BR(B) ; J78-@-4252
(ucs-set-char #x5CB1 ?$Aa7(B) ; GB0-A-6137
(ucs-set-char #x5CB1 ?$BBR(B) ; J83-B-4252
(ucs-set-char #x5CB2 ?$(D;5(B) ; J90-D-3B35
(ucs-set-char #x5CB2 ?$(J&/(B) ; C04-J-262F
(ucs-set-char #x5CB3 ?$(Cd?(B) ; KS0-C-643F
(ucs-set-char #x5CB3 ?$(GM*(B) ; C01-G-4D2A
(ucs-set-char #x5CB3 ?$@3Y(B) ; J78-@-3359
(ucs-set-char #x5CB3 ?$AT@(B) ; GB0-A-5440
(ucs-set-char #x5CB3 ?$B3Y(B) ; J83-B-3359
(ucs-set-char #x5CB4 ?$(D;6(B) ; J90-D-3B36
(ucs-set-char #x5CB4 ?$(I(^(B) ; C03-I-285E
(ucs-set-char #x5CB5 ?$(C{@(B) ; KS0-C-7B40
(ucs-set-char #x5CB5 ?$(D;7(B) ; J90-D-3B37
(ucs-set-char #x5CB5 ?$(H&?(B) ; C02-H-263F
(ucs-set-char #x5CB5 ?$Aa2(B) ; GB0-A-6132
(ucs-set-char #x5CB6 ?$(H&K(B) ; C02-H-264B
(ucs-set-char #x5CB6 ?$@V/(B) ; J78-@-562F
(ucs-set-char #x5CB6 ?$BV/(B) ; J83-B-562F
(ucs-set-char #x5CB7 ?$(CZ>(B) ; KS0-C-5A3E
(ucs-set-char #x5CB7 ?$(GM$(B) ; C01-G-4D24
(ucs-set-char #x5CB7 ?$@V1(B) ; J78-@-5631
(ucs-set-char #x5CB7 ?$Aa:(B) ; GB0-A-613A
(ucs-set-char #x5CB7 ?$BV1(B) ; J83-B-5631
(ucs-set-char #x5CB8 ?$(CdM(B) ; KS0-C-644D
(ucs-set-char #x5CB8 ?$(GM&(B) ; C01-G-4D26
(ucs-set-char #x5CB8 ?$@4_(B) ; J78-@-345F
(ucs-set-char #x5CB8 ?$A06(B) ; GB0-A-3036
(ucs-set-char #x5CB8 ?$B4_(B) ; J83-B-345F
(ucs-set-char #x5CB9 ?$(I(\(B) ; C03-I-285C
(ucs-set-char #x5CBA ?$(CV9(B) ; KS0-C-5639
(ucs-set-char #x5CBA ?$(D;8(B) ; J90-D-3B38
(ucs-set-char #x5CBA ?$(I(_(B) ; C03-I-285F
(ucs-set-char #x5CBB ?$(I(W(B) ; C03-I-2857
(ucs-set-char #x5CBB ?$@V.(B) ; J78-@-562E
(ucs-set-char #x5CBB ?$BV.(B) ; J83-B-562E
(ucs-set-char #x5CBC ?$@V0(B) ; J78-@-5630
(ucs-set-char #x5CBC ?$BV0(B) ; J83-B-5630
(ucs-set-char #x5CBD ?$Aa4(B) ; GB0-A-6134
(ucs-set-char #x5CBE ?$(Co@(B) ; KS0-C-6F40
(ucs-set-char #x5CBE ?$@V3(B) ; J78-@-5633
(ucs-set-char #x5CBE ?$BV3(B) ; J83-B-5633
(ucs-set-char #x5CBF ?$A?y(B) ; GB0-A-3F79
(ucs-set-char #x5CC0 ?$(Ca|(B) ; KS0-C-617C
(ucs-set-char #x5CC0 ?$(J&4(B) ; C04-J-2634
(ucs-set-char #x5CC1 ?$(I(X(B) ; C03-I-2858
(ucs-set-char #x5CC1 ?$Aa9(B) ; GB0-A-6139
(ucs-set-char #x5CC4 ?$Aa;(B) ; GB0-A-613B
(ucs-set-char #x5CC5 ?$@V2(B) ; J78-@-5632
(ucs-set-char #x5CC5 ?$BV2(B) ; J83-B-5632
(ucs-set-char #x5CC6 ?$(H*,(B) ; C02-H-2A2C
(ucs-set-char #x5CC7 ?$(H*%(B) ; C02-H-2A25
(ucs-set-char #x5CC7 ?$@V4(B) ; J78-@-5634
(ucs-set-char #x5CC7 ?$BV4(B) ; J83-B-5634
(ucs-set-char #x5CC8 ?$(H*+(B) ; C02-H-2A2B
(ucs-set-char #x5CC9 ?$(D;9(B) ; J90-D-3B39
(ucs-set-char #x5CC9 ?$(H*$(B) ; C02-H-2A24
(ucs-set-char #x5CCA ?$(H*&(B) ; C02-H-2A26
(ucs-set-char #x5CCB ?$(D;:(B) ; J90-D-3B3A
(ucs-set-char #x5CCB ?$(H)~(B) ; C02-H-297E
(ucs-set-char #x5CCB ?$Aa>(B) ; GB0-A-613E
(ucs-set-char #x5CCC ?$(H)|(B) ; C02-H-297C
(ucs-set-char #x5CCD ?$(I,?(B) ; C03-I-2C3F
(ucs-set-char #x5CCE ?$(H*-(B) ; C02-H-2A2D
(ucs-set-char #x5CCF ?$(H**(B) ; C02-H-2A2A
(ucs-set-char #x5CD0 ?$(H)z(B) ; C02-H-297A
(ucs-set-char #x5CD1 ?$(I,;(B) ; C03-I-2C3B
(ucs-set-char #x5CD2 ?$(D;;(B) ; J90-D-3B3B
(ucs-set-char #x5CD2 ?$(GPr(B) ; C01-G-5072
(ucs-set-char #x5CD2 ?$Aa<(B) ; GB0-A-613C
(ucs-set-char #x5CD3 ?$(H*((B) ; C02-H-2A28
(ucs-set-char #x5CD4 ?$(H*)(B) ; C02-H-2A29
(ucs-set-char #x5CD5 ?$(J(}(B) ; C04-J-287D
(ucs-set-char #x5CD6 ?$(H*'(B) ; C02-H-2A27
(ucs-set-char #x5CD7 ?$(D;=(B) ; J90-D-3B3D
(ucs-set-char #x5CD7 ?$(H)}(B) ; C02-H-297D
(ucs-set-char #x5CD8 ?$(H){(B) ; C02-H-297B
(ucs-set-char #x5CD9 ?$(Cv9(B) ; KS0-C-7639
(ucs-set-char #x5CD9 ?$(GPq(B) ; C01-G-5071
(ucs-set-char #x5CD9 ?$@V5(B) ; J78-@-5635
(ucs-set-char #x5CD9 ?$AVE(B) ; GB0-A-5645
(ucs-set-char #x5CD9 ?$BV5(B) ; J83-B-5635
(ucs-set-char #x5CDA ?$(H*#(B) ; C02-H-2A23
(ucs-set-char #x5CDB ?$(H*!(B) ; C02-H-2A21
(ucs-set-char #x5CDC ?$(I,<(B) ; C03-I-2C3C
(ucs-set-char #x5CDD ?$(D;<(B) ; J90-D-3B3C
(ucs-set-char #x5CDD ?$(I,B(B) ; C03-I-2C42
(ucs-set-char #x5CDE ?$(H*"(B) ; C02-H-2A22
(ucs-set-char #x5CDF ?$(H*.(B) ; C02-H-2A2E
(ucs-set-char #x5CE0 ?$(C_G(B) ; KS0-C-5F47
(ucs-set-char #x5CE0 ?$@F=(B) ; J78-@-463D
(ucs-set-char #x5CE0 ?$BF=(B) ; J83-B-463D
(ucs-set-char #x5CE1 ?$(I,>(B) ; C03-I-2C3E
(ucs-set-char #x5CE1 ?$@6.(B) ; J78-@-362E
(ucs-set-char #x5CE1 ?$AO?(B) ; GB0-A-4F3F
(ucs-set-char #x5CE1 ?$B6.(B) ; J83-B-362E
(ucs-set-char #x5CE2 ?$(I,A(B) ; C03-I-2C41
(ucs-set-char #x5CE4 ?$Aa=(B) ; GB0-A-613D
(ucs-set-char #x5CE5 ?$(I,C(B) ; C03-I-2C43
(ucs-set-char #x5CE5 ?$Aa?(B) ; GB0-A-613F
(ucs-set-char #x5CE6 ?$(I,=(B) ; C03-I-2C3D
(ucs-set-char #x5CE6 ?$ABM(B) ; GB0-A-424D
(ucs-set-char #x5CE8 ?$(Cd1(B) ; KS0-C-6431
(ucs-set-char #x5CE8 ?$(GU3(B) ; C01-G-5533
(ucs-set-char #x5CE8 ?$@2e(B) ; J78-@-3265
(ucs-set-char #x5CE8 ?$A6k(B) ; GB0-A-366B
(ucs-set-char #x5CE8 ?$B2e(B) ; J83-B-3265
(ucs-set-char #x5CE9 ?$(I0c(B) ; C03-I-3063
(ucs-set-char #x5CE9 ?$@V6(B) ; J78-@-5636
(ucs-set-char #x5CE9 ?$BV6(B) ; J83-B-5636
(ucs-set-char #x5CEA ?$(GU2(B) ; C01-G-5532
(ucs-set-char #x5CEA ?$@V;(B) ; J78-@-563B
(ucs-set-char #x5CEA ?$ASx(B) ; GB0-A-5378
(ucs-set-char #x5CEA ?$BV;(B) ; J83-B-563B
(ucs-set-char #x5CEB ?$(I0_(B) ; C03-I-305F
(ucs-set-char #x5CEC ?$(H.n(B) ; C02-H-2E6E
(ucs-set-char #x5CED ?$(GU/(B) ; C01-G-552F
(ucs-set-char #x5CED ?$@V9(B) ; J78-@-5639
(ucs-set-char #x5CED ?$AGM(B) ; GB0-A-474D
(ucs-set-char #x5CED ?$BV9(B) ; J83-B-5639
(ucs-set-char #x5CEE ?$(D;>(B) ; J90-D-3B3E
(ucs-set-char #x5CEE ?$(H.p(B) ; C02-H-2E70
(ucs-set-char #x5CEF ?$(C\g(B) ; KS0-C-5C67
(ucs-set-char #x5CEF ?$(I0d(B) ; C03-I-3064
(ucs-set-char #x5CEF ?$@Jw(B) ; J78-@-4A77
(ucs-set-char #x5CEF ?$BJw(B) ; J83-B-4A77
(ucs-set-char #x5CF0 ?$(C\h(B) ; KS0-C-5C68
(ucs-set-char #x5CF0 ?$(GU4(B) ; C01-G-5534
(ucs-set-char #x5CF0 ?$@Jv(B) ; J78-@-4A76
(ucs-set-char #x5CF0 ?$A7e(B) ; GB0-A-3765
(ucs-set-char #x5CF0 ?$BJv(B) ; J83-B-4A76
(ucs-set-char #x5CF1 ?$(D;?(B) ; J90-D-3B3F
(ucs-set-char #x5CF1 ?$(H.q(B) ; C02-H-2E71
(ucs-set-char #x5CF2 ?$(D;@(B) ; J90-D-3B40
(ucs-set-char #x5CF2 ?$(J,`(B) ; C04-J-2C60
(ucs-set-char #x5CF3 ?$(I0a(B) ; C03-I-3061
(ucs-set-char #x5CF4 ?$(CzV(B) ; KS0-C-7A56
(ucs-set-char #x5CF4 ?$(D;A(B) ; J90-D-3B41
(ucs-set-char #x5CF4 ?$(GU7(B) ; C01-G-5537
(ucs-set-char #x5CF5 ?$(I0b(B) ; C03-I-3062
(ucs-set-char #x5CF6 ?$(CSv(B) ; KS0-C-5376
(ucs-set-char #x5CF6 ?$(GU5(B) ; C01-G-5535
(ucs-set-char #x5CF6 ?$@Eg(B) ; J78-@-4567
(ucs-set-char #x5CF6 ?$BEg(B) ; J83-B-4567
(ucs-set-char #x5CF7 ?$(H.r(B) ; C02-H-2E72
(ucs-set-char #x5CF8 ?$(H*/(B) ; C02-H-2A2F
(ucs-set-char #x5CF9 ?$(H.t(B) ; C02-H-2E74
(ucs-set-char #x5CFA ?$(I0^(B) ; C03-I-305E
(ucs-set-char #x5CFA ?$@V8(B) ; J78-@-5638
(ucs-set-char #x5CFA ?$BV8(B) ; J83-B-5638
(ucs-set-char #x5CFB ?$(CqZ(B) ; KS0-C-715A
(ucs-set-char #x5CFB ?$(GU1(B) ; C01-G-5531
(ucs-set-char #x5CFB ?$@=T(B) ; J78-@-3D54
(ucs-set-char #x5CFB ?$A>~(B) ; GB0-A-3E7E
(ucs-set-char #x5CFB ?$B=T(B) ; J83-B-3D54
(ucs-set-char #x5CFC ?$(J,\(B) ; C04-J-2C5C
(ucs-set-char #x5CFD ?$(Czr(B) ; KS0-C-7A72
(ucs-set-char #x5CFD ?$(GU0(B) ; C01-G-5530
(ucs-set-char #x5CFD ?$@V7(B) ; J78-@-5637
(ucs-set-char #x5CFD ?$BV7(B) ; J83-B-5637
(ucs-set-char #x5CFE ?$(J,a(B) ; C04-J-2C61
(ucs-set-char #x5CFF ?$(H.o(B) ; C02-H-2E6F
(ucs-set-char #x5D00 ?$(H.s(B) ; C02-H-2E73
(ucs-set-char #x5D01 ?$(D;B(B) ; J90-D-3B42
(ucs-set-char #x5D01 ?$(GU6(B) ; C01-G-5536
(ucs-set-char #x5D02 ?$Aa@(B) ; GB0-A-6140
(ucs-set-char #x5D03 ?$AaA(B) ; GB0-A-6141
(ucs-set-char #x5D06 ?$(D;C(B) ; J90-D-3B43
(ucs-set-char #x5D06 ?$(GYw(B) ; C01-G-5977
(ucs-set-char #x5D06 ?$AaG(B) ; GB0-A-6147
(ucs-set-char #x5D07 ?$(Cb}(B) ; KS0-C-627D
(ucs-set-char #x5D07 ?$(GYv(B) ; C01-G-5976
(ucs-set-char #x5D07 ?$@?r(B) ; J78-@-3F72
(ucs-set-char #x5D07 ?$A3g(B) ; GB0-A-3367
(ucs-set-char #x5D07 ?$B?r(B) ; J83-B-3F72
(ucs-set-char #x5D08 ?$(I5K(B) ; C03-I-354B
(ucs-set-char #x5D09 ?$(I5H(B) ; C03-I-3548
(ucs-set-char #x5D0A ?$(I5G(B) ; C03-I-3547
(ucs-set-char #x5D0B ?$(H4x(B) ; C02-H-3478
(ucs-set-char #x5D0B ?$@V<(B) ; J78-@-563C
(ucs-set-char #x5D0B ?$BV<(B) ; J83-B-563C
(ucs-set-char #x5D0C ?$(H4|(B) ; C02-H-347C
(ucs-set-char #x5D0D ?$(CUO(B) ; KS0-C-554F
(ucs-set-char #x5D0D ?$(D;D(B) ; J90-D-3B44
(ucs-set-char #x5D0D ?$(H4~(B) ; C02-H-347E
(ucs-set-char #x5D0E ?$(CPx(B) ; KS0-C-5078
(ucs-set-char #x5D0E ?$(GYx(B) ; C01-G-5978
(ucs-set-char #x5D0E ?$@:j(B) ; J78-@-3A6A
(ucs-set-char #x5D0E ?$AFi(B) ; GB0-A-4669
(ucs-set-char #x5D0E ?$B:j(B) ; J83-B-3A6A
(ucs-set-char #x5D0F ?$(H5#(B) ; C02-H-3523
(ucs-set-char #x5D10 ?$(I5Q(B) ; C03-I-3551
(ucs-set-char #x5D11 ?$(CM_(B) ; KS0-C-4D5F
(ucs-set-char #x5D11 ?$(GY|(B) ; C01-G-597C
(ucs-set-char #x5D11 ?$@VB(B) ; J78-@-5642
(ucs-set-char #x5D11 ?$BVB(B) ; J83-B-5642
(ucs-set-char #x5D12 ?$(D;E(B) ; J90-D-3B45
(ucs-set-char #x5D12 ?$(H5%(B) ; C02-H-3525
(ucs-set-char #x5D13 ?$(I5R(B) ; C03-I-3552
(ucs-set-char #x5D14 ?$(CuK(B) ; KS0-C-754B
(ucs-set-char #x5D14 ?$(GY~(B) ; C01-G-597E
(ucs-set-char #x5D14 ?$@VC(B) ; J78-@-5643
(ucs-set-char #x5D14 ?$A4^(B) ; GB0-A-345E
(ucs-set-char #x5D14 ?$BVC(B) ; J83-B-5643
(ucs-set-char #x5D15 ?$(I5O(B) ; C03-I-354F
(ucs-set-char #x5D15 ?$@V=(B) ; J78-@-563D
(ucs-set-char #x5D15 ?$BV=(B) ; J83-B-563D
(ucs-set-char #x5D16 ?$(Cdp(B) ; KS0-C-6470
(ucs-set-char #x5D16 ?$(GYz(B) ; C01-G-597A
(ucs-set-char #x5D16 ?$@33(B) ; J78-@-3333
(ucs-set-char #x5D16 ?$AQB(B) ; GB0-A-5142
(ucs-set-char #x5D16 ?$B33(B) ; J83-B-3333
(ucs-set-char #x5D17 ?$(CK+(B) ; KS0-C-4B2B
(ucs-set-char #x5D17 ?$(GZ$(B) ; C01-G-5A24
(ucs-set-char #x5D17 ?$@V>(B) ; J78-@-563E
(ucs-set-char #x5D17 ?$BV>(B) ; J83-B-563E
(ucs-set-char #x5D18 ?$(I5U(B) ; C03-I-3555
(ucs-set-char #x5D18 ?$@VG(B) ; J78-@-5647
(ucs-set-char #x5D18 ?$BVG(B) ; J83-B-5647
(ucs-set-char #x5D19 ?$(CWD(B) ; KS0-C-5744
(ucs-set-char #x5D19 ?$(GZ!(B) ; C01-G-5A21
(ucs-set-char #x5D19 ?$@VF(B) ; J78-@-5646
(ucs-set-char #x5D19 ?$BVF(B) ; J83-B-5646
(ucs-set-char #x5D1A ?$(H4z(B) ; C02-H-347A
(ucs-set-char #x5D1A ?$@VE(B) ; J78-@-5645
(ucs-set-char #x5D1A ?$BVE(B) ; J83-B-5645
(ucs-set-char #x5D1B ?$(GYy(B) ; C01-G-5979
(ucs-set-char #x5D1B ?$@VA(B) ; J78-@-5641
(ucs-set-char #x5D1B ?$AaH(B) ; GB0-A-6148
(ucs-set-char #x5D1B ?$BVA(B) ; J83-B-5641
(ucs-set-char #x5D1C ?$(I;+(B) ; C03-I-3B2B
(ucs-set-char #x5D1D ?$(H4y(B) ; C02-H-3479
(ucs-set-char #x5D1E ?$(H4w(B) ; C02-H-3477
(ucs-set-char #x5D1E ?$AaF(B) ; GB0-A-6146
(ucs-set-char #x5D1F ?$(H5'(B) ; C02-H-3527
(ucs-set-char #x5D1F ?$@V@(B) ; J78-@-5640
(ucs-set-char #x5D1F ?$BV@(B) ; J83-B-5640
(ucs-set-char #x5D20 ?$(H4{(B) ; C02-H-347B
(ucs-set-char #x5D21 ?$(I5F(B) ; C03-I-3546
(ucs-set-char #x5D22 ?$(GY{(B) ; C01-G-597B
(ucs-set-char #x5D22 ?$@VD(B) ; J78-@-5644
(ucs-set-char #x5D22 ?$BVD(B) ; J83-B-5644
(ucs-set-char #x5D23 ?$(D;G(B) ; J90-D-3B47
(ucs-set-char #x5D23 ?$(H5&(B) ; C02-H-3526
(ucs-set-char #x5D24 ?$(D;H(B) ; J90-D-3B48
(ucs-set-char #x5D24 ?$(GZ"(B) ; C01-G-5A22
(ucs-set-char #x5D24 ?$AaE(B) ; GB0-A-6145
(ucs-set-char #x5D25 ?$(H5"(B) ; C02-H-3522
(ucs-set-char #x5D26 ?$(D;I(B) ; J90-D-3B49
(ucs-set-char #x5D26 ?$(H5!(B) ; C02-H-3521
(ucs-set-char #x5D26 ?$AaC(B) ; GB0-A-6143
(ucs-set-char #x5D27 ?$(Cb~(B) ; KS0-C-627E
(ucs-set-char #x5D27 ?$(D;J(B) ; J90-D-3B4A
(ucs-set-char #x5D27 ?$(GZ#(B) ; C01-G-5A23
(ucs-set-char #x5D27 ?$AaB(B) ; GB0-A-6142
(ucs-set-char #x5D28 ?$(H4}(B) ; C02-H-347D
(ucs-set-char #x5D29 ?$(C]Z(B) ; KS0-C-5D5A
(ucs-set-char #x5D29 ?$(GY}(B) ; C01-G-597D
(ucs-set-char #x5D29 ?$@Jx(B) ; J78-@-4A78
(ucs-set-char #x5D29 ?$A1@(B) ; GB0-A-3140
(ucs-set-char #x5D29 ?$BJx(B) ; J83-B-4A78
(ucs-set-char #x5D2A ?$(I5N(B) ; C03-I-354E
(ucs-set-char #x5D2B ?$(D;F(B) ; J90-D-3B46
(ucs-set-char #x5D2B ?$(L>v(B) ; C06-L-3E76
(ucs-set-char #x5D2C ?$(I5J(B) ; C03-I-354A
(ucs-set-char #x5D2D ?$AU8(B) ; GB0-A-5538
(ucs-set-char #x5D2E ?$(H5((B) ; C02-H-3528
(ucs-set-char #x5D2E ?$AaD(B) ; GB0-A-6144
(ucs-set-char #x5D2F ?$(I5T(B) ; C03-I-3554
(ucs-set-char #x5D30 ?$(H5$(B) ; C02-H-3524
(ucs-set-char #x5D31 ?$(D;K(B) ; J90-D-3B4B
(ucs-set-char #x5D31 ?$(H;K(B) ; C02-H-3B4B
(ucs-set-char #x5D32 ?$(H;R(B) ; C02-H-3B52
(ucs-set-char #x5D33 ?$(H;G(B) ; C02-H-3B47
(ucs-set-char #x5D34 ?$(D;L(B) ; J90-D-3B4C
(ucs-set-char #x5D34 ?$(G^v(B) ; C01-G-5E76
(ucs-set-char #x5D34 ?$AaK(B) ; GB0-A-614B
(ucs-set-char #x5D35 ?$(H;C(B) ; C02-H-3B43
(ucs-set-char #x5D36 ?$(H;S(B) ; C02-H-3B53
(ucs-set-char #x5D37 ?$(H;=(B) ; C02-H-3B3D
(ucs-set-char #x5D38 ?$(H;P(B) ; C02-H-3B50
(ucs-set-char #x5D39 ?$(D;M(B) ; J90-D-3B4D
(ucs-set-char #x5D39 ?$(H;N(B) ; C02-H-3B4E
(ucs-set-char #x5D3A ?$(H;H(B) ; C02-H-3B48
(ucs-set-char #x5D3B ?$(I;6(B) ; C03-I-3B36
(ucs-set-char #x5D3C ?$(H;Q(B) ; C02-H-3B51
(ucs-set-char #x5D3D ?$(D;N(B) ; J90-D-3B4E
(ucs-set-char #x5D3D ?$(H;J(B) ; C02-H-3B4A
(ucs-set-char #x5D3D ?$AaL(B) ; GB0-A-614C
(ucs-set-char #x5D3E ?$(I;((B) ; C03-I-3B28
(ucs-set-char #x5D3E ?$AaJ(B) ; GB0-A-614A
(ucs-set-char #x5D3F ?$(D;O(B) ; J90-D-3B4F
(ucs-set-char #x5D3F ?$(H;B(B) ; C02-H-3B42
(ucs-set-char #x5D40 ?$(H;T(B) ; C02-H-3B54
(ucs-set-char #x5D41 ?$(H;@(B) ; C02-H-3B40
(ucs-set-char #x5D42 ?$(D;P(B) ; J90-D-3B50
(ucs-set-char #x5D42 ?$(H;M(B) ; C02-H-3B4D
(ucs-set-char #x5D43 ?$(D;Q(B) ; J90-D-3B51
(ucs-set-char #x5D43 ?$(H;>(B) ; C02-H-3B3E
(ucs-set-char #x5D43 ?$(LH+(B) ; C06-L-482B
(ucs-set-char #x5D44 ?$(I;'(B) ; C03-I-3B27
(ucs-set-char #x5D45 ?$(H;U(B) ; C02-H-3B55
(ucs-set-char #x5D46 ?$(D;R(B) ; J90-D-3B52
(ucs-set-char #x5D46 ?$(I;7(B) ; C03-I-3B37
(ucs-set-char #x5D47 ?$(G^w(B) ; C01-G-5E77
(ucs-set-char #x5D47 ?$Aoz(B) ; GB0-A-6F7A
(ucs-set-char #x5D48 ?$(D;S(B) ; J90-D-3B53
(ucs-set-char #x5D48 ?$(I;*(B) ; C03-I-3B2A
(ucs-set-char #x5D49 ?$(H;O(B) ; C02-H-3B4F
(ucs-set-char #x5D4A ?$(D;W(B) ; J90-D-3B57
(ucs-set-char #x5D4A ?$(HBU(B) ; C02-H-4255
(ucs-set-char #x5D4A ?$AaS(B) ; GB0-A-6153
(ucs-set-char #x5D4B ?$(CZ.(B) ; KS0-C-5A2E
(ucs-set-char #x5D4B ?$(H;A(B) ; C02-H-3B41
(ucs-set-char #x5D4B ?$@VK(B) ; J78-@-564B
(ucs-set-char #x5D4B ?$AaR(B) ; GB0-A-6152
(ucs-set-char #x5D4B ?$BVK(B) ; J83-B-564B
(ucs-set-char #x5D4C ?$(CJn(B) ; KS0-C-4A6E
(ucs-set-char #x5D4C ?$(G^t(B) ; C01-G-5E74
(ucs-set-char #x5D4C ?$@VH(B) ; J78-@-5648
(ucs-set-char #x5D4C ?$AG6(B) ; GB0-A-4736
(ucs-set-char #x5D4C ?$BVH(B) ; J83-B-5648
(ucs-set-char #x5D4D ?$(I;.(B) ; C03-I-3B2E
(ucs-set-char #x5D4E ?$(H;E(B) ; C02-H-3B45
(ucs-set-char #x5D4E ?$@VJ(B) ; J78-@-564A
(ucs-set-char #x5D4E ?$BVJ(B) ; J83-B-564A
(ucs-set-char #x5D4F ?$(I;4(B) ; C03-I-3B34
(ucs-set-char #x5D50 ?$(CU9(B) ; KS0-C-5539
(ucs-set-char #x5D50 ?$(G^u(B) ; C01-G-5E75
(ucs-set-char #x5D50 ?$@Mr(B) ; J78-@-4D72
(ucs-set-char #x5D50 ?$BMr(B) ; J83-B-4D72
(ucs-set-char #x5D51 ?$(D;U(B) ; J90-D-3B55
(ucs-set-char #x5D51 ?$(H;D(B) ; C02-H-3B44
(ucs-set-char #x5D52 ?$(H;I(B) ; C02-H-3B49
(ucs-set-char #x5D52 ?$@VI(B) ; J78-@-5649
(ucs-set-char #x5D52 ?$BVI(B) ; J83-B-5649
(ucs-set-char #x5D53 ?$(I;3(B) ; C03-I-3B33
(ucs-set-char #x5D54 ?$(J75(B) ; C04-J-3735
(ucs-set-char #x5D55 ?$(D;T(B) ; J90-D-3B54
(ucs-set-char #x5D55 ?$(H;F(B) ; C02-H-3B46
(ucs-set-char #x5D56 ?$(J7/(B) ; C04-J-372F
(ucs-set-char #x5D57 ?$(I;1(B) ; C03-I-3B31
(ucs-set-char #x5D58 ?$AaI(B) ; GB0-A-6149
(ucs-set-char #x5D59 ?$(D;V(B) ; J90-D-3B56
(ucs-set-char #x5D59 ?$(H;L(B) ; C02-H-3B4C
(ucs-set-char #x5D5B ?$(I;-(B) ; C03-I-3B2D
(ucs-set-char #x5D5B ?$AaN(B) ; GB0-A-614E
(ucs-set-char #x5D5C ?$@V?(B) ; J78-@-563F
(ucs-set-char #x5D5C ?$BV?(B) ; J83-B-563F
(ucs-set-char #x5D5D ?$AaP(B) ; GB0-A-6150
(ucs-set-char #x5D5E ?$(HBY(B) ; C02-H-4259
(ucs-set-char #x5D5F ?$(D;X(B) ; J90-D-3B58
(ucs-set-char #x5D5F ?$(J<y(B) ; C04-J-3C79
(ucs-set-char #x5D60 ?$(D;Y(B) ; J90-D-3B59
(ucs-set-char #x5D60 ?$(IA!(B) ; C03-I-4121
(ucs-set-char #x5D61 ?$(D;Z(B) ; J90-D-3B5A
(ucs-set-char #x5D61 ?$(J<{(B) ; C04-J-3C7B
(ucs-set-char #x5D62 ?$(D;[(B) ; J90-D-3B5B
(ucs-set-char #x5D62 ?$(HB\(B) ; C02-H-425C
(ucs-set-char #x5D63 ?$(HBT(B) ; C02-H-4254
(ucs-set-char #x5D64 ?$(D;\(B) ; J90-D-3B5C
(ucs-set-char #x5D64 ?$(I@|(B) ; C03-I-407C
(ucs-set-char #x5D65 ?$(HBV(B) ; C02-H-4256
(ucs-set-char #x5D66 ?$(I@z(B) ; C03-I-407A
(ucs-set-char #x5D67 ?$(HB[(B) ; C02-H-425B
(ucs-set-char #x5D68 ?$(HBZ(B) ; C02-H-425A
(ucs-set-char #x5D69 ?$(Cc!(B) ; KS0-C-6321
(ucs-set-char #x5D69 ?$(Gci(B) ; C01-G-6369
(ucs-set-char #x5D69 ?$@?s(B) ; J78-@-3F73
(ucs-set-char #x5D69 ?$AaT(B) ; GB0-A-6154
(ucs-set-char #x5D69 ?$B?s(B) ; J83-B-3F73
(ucs-set-char #x5D6A ?$(D;](B) ; J90-D-3B5D
(ucs-set-char #x5D6A ?$(J<u(B) ; C04-J-3C75
(ucs-set-char #x5D6B ?$(H;?(B) ; C02-H-3B3F
(ucs-set-char #x5D6B ?$AaQ(B) ; GB0-A-6151
(ucs-set-char #x5D6C ?$(Chc(B) ; KS0-C-6863
(ucs-set-char #x5D6C ?$(HBX(B) ; C02-H-4258
(ucs-set-char #x5D6C ?$@VL(B) ; J78-@-564C
(ucs-set-char #x5D6C ?$AaM(B) ; GB0-A-614D
(ucs-set-char #x5D6C ?$BVL(B) ; J83-B-564C
(ucs-set-char #x5D6D ?$(D;^(B) ; J90-D-3B5E
(ucs-set-char #x5D6D ?$(I@y(B) ; C03-I-4079
(ucs-set-char #x5D6E ?$(I@}(B) ; C03-I-407D
(ucs-set-char #x5D6F ?$(Cs+(B) ; KS0-C-732B
(ucs-set-char #x5D6F ?$(Gcj(B) ; C01-G-636A
(ucs-set-char #x5D6F ?$@:7(B) ; J78-@-3A37
(ucs-set-char #x5D6F ?$AaO(B) ; GB0-A-614F
(ucs-set-char #x5D6F ?$B:7(B) ; J83-B-3A37
(ucs-set-char #x5D70 ?$(D;_(B) ; J90-D-3B5F
(ucs-set-char #x5D70 ?$(J<t(B) ; C04-J-3C74
(ucs-set-char #x5D71 ?$(HBS(B) ; C02-H-4253
(ucs-set-char #x5D72 ?$(HBW(B) ; C02-H-4257
(ucs-set-char #x5D73 ?$(J<|(B) ; C04-J-3C7C
(ucs-set-char #x5D73 ?$@VM(B) ; J78-@-564D
(ucs-set-char #x5D73 ?$BVM(B) ; J83-B-564D
(ucs-set-char #x5D74 ?$(J<x(B) ; C04-J-3C78
(ucs-set-char #x5D74 ?$AaU(B) ; GB0-A-6155
(ucs-set-char #x5D76 ?$@VN(B) ; J78-@-564E
(ucs-set-char #x5D76 ?$BVN(B) ; J83-B-564E
(ucs-set-char #x5D77 ?$(HIn(B) ; C02-H-496E
(ucs-set-char #x5D78 ?$(IF\(B) ; C03-I-465C
(ucs-set-char #x5D79 ?$(D;`(B) ; J90-D-3B60
(ucs-set-char #x5D79 ?$(HIu(B) ; C02-H-4975
(ucs-set-char #x5D7A ?$(D;a(B) ; J90-D-3B61
(ucs-set-char #x5D7A ?$(HIl(B) ; C02-H-496C
(ucs-set-char #x5D7B ?$(IFT(B) ; C03-I-4654
(ucs-set-char #x5D7C ?$(HIs(B) ; C02-H-4973
(ucs-set-char #x5D7D ?$(HIj(B) ; C02-H-496A
(ucs-set-char #x5D7E ?$(D;b(B) ; J90-D-3B62
(ucs-set-char #x5D7E ?$(HIr(B) ; C02-H-4972
(ucs-set-char #x5D7F ?$(D;c(B) ; J90-D-3B63
(ucs-set-char #x5D7F ?$(HIv(B) ; C02-H-4976
(ucs-set-char #x5D80 ?$(HIi(B) ; C02-H-4969
(ucs-set-char #x5D81 ?$(D;d(B) ; J90-D-3B64
(ucs-set-char #x5D81 ?$(HIm(B) ; C02-H-496D
(ucs-set-char #x5D82 ?$(HIh(B) ; C02-H-4968
(ucs-set-char #x5D82 ?$@VQ(B) ; J78-@-5651
(ucs-set-char #x5D82 ?$AaV(B) ; GB0-A-6156
(ucs-set-char #x5D82 ?$BVQ(B) ; J83-B-5651
(ucs-set-char #x5D83 ?$(D;e(B) ; J90-D-3B65
(ucs-set-char #x5D83 ?$(IFV(B) ; C03-I-4656
(ucs-set-char #x5D84 ?$(GhY(B) ; C01-G-6859
(ucs-set-char #x5D84 ?$@VP(B) ; J78-@-5650
(ucs-set-char #x5D84 ?$BVP(B) ; J83-B-5650
(ucs-set-char #x5D85 ?$(JC,(B) ; C04-J-432C
(ucs-set-char #x5D86 ?$(HIk(B) ; C02-H-496B
(ucs-set-char #x5D87 ?$(CO)(B) ; KS0-C-4F29
(ucs-set-char #x5D87 ?$(GhZ(B) ; C01-G-685A
(ucs-set-char #x5D87 ?$@VO(B) ; J78-@-564F
(ucs-set-char #x5D87 ?$BVO(B) ; J83-B-564F
(ucs-set-char #x5D88 ?$(D;f(B) ; J90-D-3B66
(ucs-set-char #x5D88 ?$(HIq(B) ; C02-H-4971
(ucs-set-char #x5D89 ?$(HIp(B) ; C02-H-4970
(ucs-set-char #x5D8A ?$(D;g(B) ; J90-D-3B67
(ucs-set-char #x5D8A ?$(HIo(B) ; C02-H-496F
(ucs-set-char #x5D8B ?$(CSw(B) ; KS0-C-5377
(ucs-set-char #x5D8B ?$(IFY(B) ; C03-I-4659
(ucs-set-char #x5D8B ?$@Eh(B) ; J78-@-4568
(ucs-set-char #x5D8B ?$BEh(B) ; J83-B-4568
(ucs-set-char #x5D8C ?$(IFZ(B) ; C03-I-465A
(ucs-set-char #x5D8C ?$@V:(B) ; J78-@-563A
(ucs-set-char #x5D8C ?$BV:(B) ; J83-B-563A
(ucs-set-char #x5D8D ?$(HIt(B) ; C02-H-4974
(ucs-set-char #x5D8F ?$(IKe(B) ; C03-I-4B65
(ucs-set-char #x5D90 ?$(IKf(B) ; C03-I-4B66
(ucs-set-char #x5D90 ?$@VW(B) ; J78-@-5657
(ucs-set-char #x5D90 ?$BVW(B) ; J83-B-5657
(ucs-set-char #x5D91 ?$(IKc(B) ; C03-I-4B63
(ucs-set-char #x5D92 ?$(D;h(B) ; J90-D-3B68
(ucs-set-char #x5D92 ?$(HP.(B) ; C02-H-502E
(ucs-set-char #x5D93 ?$(D;i(B) ; J90-D-3B69
(ucs-set-char #x5D93 ?$(HP0(B) ; C02-H-5030
(ucs-set-char #x5D94 ?$(D;j(B) ; J90-D-3B6A
(ucs-set-char #x5D94 ?$(GlU(B) ; C01-G-6C55
(ucs-set-char #x5D95 ?$(D;k(B) ; J90-D-3B6B
(ucs-set-char #x5D95 ?$(HP1(B) ; C02-H-5031
(ucs-set-char #x5D96 ?$(IKk(B) ; C03-I-4B6B
(ucs-set-char #x5D97 ?$(HP,(B) ; C02-H-502C
(ucs-set-char #x5D98 ?$(IKg(B) ; C03-I-4B67
(ucs-set-char #x5D99 ?$(D;l(B) ; J90-D-3B6C
(ucs-set-char #x5D99 ?$(HP+(B) ; C02-H-502B
(ucs-set-char #x5D99 ?$AaW(B) ; GB0-A-6157
(ucs-set-char #x5D9A ?$(HP5(B) ; C02-H-5035
(ucs-set-char #x5D9B ?$(D;m(B) ; J90-D-3B6D
(ucs-set-char #x5D9B ?$(IKi(B) ; C03-I-4B69
(ucs-set-char #x5D9C ?$(HP3(B) ; C02-H-5033
(ucs-set-char #x5D9D ?$(CTq(B) ; KS0-C-5471
(ucs-set-char #x5D9D ?$(GlT(B) ; C01-G-6C54
(ucs-set-char #x5D9D ?$@VS(B) ; J78-@-5653
(ucs-set-char #x5D9D ?$AaX(B) ; GB0-A-6158
(ucs-set-char #x5D9D ?$BVS(B) ; J83-B-5653
(ucs-set-char #x5D9E ?$(HP6(B) ; C02-H-5036
(ucs-set-char #x5D9F ?$(D;n(B) ; J90-D-3B6E
(ucs-set-char #x5D9F ?$(HP-(B) ; C02-H-502D
(ucs-set-char #x5DA0 ?$(CNd(B) ; KS0-C-4E64
(ucs-set-char #x5DA0 ?$(D;o(B) ; J90-D-3B6F
(ucs-set-char #x5DA0 ?$(HP2(B) ; C02-H-5032
(ucs-set-char #x5DA1 ?$(HP4(B) ; C02-H-5034
(ucs-set-char #x5DA2 ?$(Chr(B) ; KS0-C-6872
(ucs-set-char #x5DA2 ?$(HP/(B) ; C02-H-502F
(ucs-set-char #x5DA2 ?$@VR(B) ; J78-@-5652
(ucs-set-char #x5DA2 ?$BVR(B) ; J83-B-5652
(ucs-set-char #x5DA3 ?$(IKj(B) ; C03-I-4B6A
(ucs-set-char #x5DA4 ?$(IKh(B) ; C03-I-4B68
(ucs-set-char #x5DA6 ?$(IPX(B) ; C03-I-5058
(ucs-set-char #x5DA7 ?$(D;p(B) ; J90-D-3B70
(ucs-set-char #x5DA7 ?$(HVk(B) ; C02-H-566B
(ucs-set-char #x5DA8 ?$(HVp(B) ; C02-H-5670
(ucs-set-char #x5DA9 ?$(HVj(B) ; C02-H-566A
(ucs-set-char #x5DAA ?$(Ceu(B) ; KS0-C-6575
(ucs-set-char #x5DAA ?$(HVo(B) ; C02-H-566F
(ucs-set-char #x5DAB ?$(D;q(B) ; J90-D-3B71
(ucs-set-char #x5DAB ?$(IP[(B) ; C03-I-505B
(ucs-set-char #x5DAC ?$(HVh(B) ; C02-H-5668
(ucs-set-char #x5DAC ?$@VT(B) ; J78-@-5654
(ucs-set-char #x5DAC ?$BVT(B) ; J83-B-5654
(ucs-set-char #x5DAD ?$(HVr(B) ; C02-H-5672
(ucs-set-char #x5DAE ?$(HVn(B) ; C02-H-566E
(ucs-set-char #x5DAE ?$@VU(B) ; J78-@-5655
(ucs-set-char #x5DAE ?$BVU(B) ; J83-B-5655
(ucs-set-char #x5DAF ?$(HVs(B) ; C02-H-5673
(ucs-set-char #x5DB0 ?$(D;r(B) ; J90-D-3B72
(ucs-set-char #x5DB0 ?$(HVm(B) ; C02-H-566D
(ucs-set-char #x5DB1 ?$(HVi(B) ; C02-H-5669
(ucs-set-char #x5DB2 ?$(Dft(B) ; J90-D-6674
(ucs-set-char #x5DB2 ?$(HVq(B) ; C02-H-5671
(ucs-set-char #x5DB3 ?$(IPZ(B) ; C03-I-505A
(ucs-set-char #x5DB4 ?$(D;s(B) ; J90-D-3B73
(ucs-set-char #x5DB4 ?$(HVt(B) ; C02-H-5674
(ucs-set-char #x5DB5 ?$(HVl(B) ; C02-H-566C
(ucs-set-char #x5DB7 ?$(H\f(B) ; C02-H-5C66
(ucs-set-char #x5DB7 ?$@VX(B) ; J78-@-5658
(ucs-set-char #x5DB7 ?$AaZ(B) ; GB0-A-615A
(ucs-set-char #x5DB7 ?$BVX(B) ; J83-B-5658
(ucs-set-char #x5DB8 ?$(Cg.(B) ; KS0-C-672E
(ucs-set-char #x5DB8 ?$(D;t(B) ; J90-D-3B74
(ucs-set-char #x5DB8 ?$(GsX(B) ; C01-G-7358
(ucs-set-char #x5DB9 ?$(D;u(B) ; J90-D-3B75
(ucs-set-char #x5DB9 ?$(ITW(B) ; C03-I-5457
(ucs-set-char #x5DBA ?$(CV:(B) ; KS0-C-563A
(ucs-set-char #x5DBA ?$(GsV(B) ; C01-G-7356
(ucs-set-char #x5DBA ?$@Nf(B) ; J78-@-4E66
(ucs-set-char #x5DBA ?$BNf(B) ; J83-B-4E66
(ucs-set-char #x5DBB ?$(ITY(B) ; C03-I-5459
(ucs-set-char #x5DBC ?$(C_l(B) ; KS0-C-5F6C
(ucs-set-char #x5DBC ?$(GsU(B) ; C01-G-7355
(ucs-set-char #x5DBC ?$@VY(B) ; J78-@-5659
(ucs-set-char #x5DBC ?$BVY(B) ; J83-B-5659
(ucs-set-char #x5DBD ?$(Cd@(B) ; KS0-C-6440
(ucs-set-char #x5DBD ?$(GsW(B) ; C01-G-7357
(ucs-set-char #x5DBD ?$@VV(B) ; J78-@-5656
(ucs-set-char #x5DBD ?$BVV(B) ; J83-B-5656
(ucs-set-char #x5DBE ?$(ITU(B) ; C03-I-5455
(ucs-set-char #x5DC0 ?$(HaP(B) ; C02-H-6150
(ucs-set-char #x5DC1 ?$(IWb(B) ; C03-I-5762
(ucs-set-char #x5DC2 ?$(Hd>(B) ; C02-H-643E
(ucs-set-char #x5DC3 ?$(D;v(B) ; J90-D-3B76
(ucs-set-char #x5DC3 ?$(HeI(B) ; C02-H-6549
(ucs-set-char #x5DC4 ?$(IZ9(B) ; C03-I-5A39
(ucs-set-char #x5DC5 ?$Aa[(B) ; GB0-A-615B
(ucs-set-char #x5DC6 ?$(Hhp(B) ; C02-H-6870
(ucs-set-char #x5DC7 ?$(D;w(B) ; J90-D-3B77
(ucs-set-char #x5DC7 ?$(Hhq(B) ; C02-H-6871
(ucs-set-char #x5DC8 ?$(I\=(B) ; C03-I-5C3D
(ucs-set-char #x5DC9 ?$(Gyk(B) ; C01-G-796B
(ucs-set-char #x5DC9 ?$@VZ(B) ; J78-@-565A
(ucs-set-char #x5DC9 ?$BVZ(B) ; J83-B-565A
(ucs-set-char #x5DCA ?$(I\<(B) ; C03-I-5C3C
(ucs-set-char #x5DCB ?$(D;x(B) ; J90-D-3B78
(ucs-set-char #x5DCB ?$(HkW(B) ; C02-H-6B57
(ucs-set-char #x5DCC ?$(I\>(B) ; C03-I-5C3E
(ucs-set-char #x5DCC ?$@4`(B) ; J78-@-3460
(ucs-set-char #x5DCC ?$B4`(B) ; J83-B-3460
(ucs-set-char #x5DCD ?$(Chd(B) ; KS0-C-6864
(ucs-set-char #x5DCD ?$(Gzi(B) ; C01-G-7A69
(ucs-set-char #x5DCD ?$@V[(B) ; J78-@-565B
(ucs-set-char #x5DCD ?$AN!(B) ; GB0-A-4E21
(ucs-set-char #x5DCD ?$BV[(B) ; J83-B-565B
(ucs-set-char #x5DCE ?$(D;z(B) ; J90-D-3B7A
(ucs-set-char #x5DCE ?$(Jf;(B) ; C04-J-663B
(ucs-set-char #x5DCF ?$(HkX(B) ; C02-H-6B58
(ucs-set-char #x5DD0 ?$(D;y(B) ; J90-D-3B79
(ucs-set-char #x5DD0 ?$(I^-(B) ; C03-I-5E2D
(ucs-set-char #x5DD1 ?$(HmL(B) ; C02-H-6D4C
(ucs-set-char #x5DD2 ?$(CX5(B) ; KS0-C-5835
(ucs-set-char #x5DD2 ?$(G{^(B) ; C01-G-7B5E
(ucs-set-char #x5DD2 ?$@V](B) ; J78-@-565D
(ucs-set-char #x5DD2 ?$BV](B) ; J83-B-565D
(ucs-set-char #x5DD3 ?$(I_C(B) ; C03-I-5F43
(ucs-set-char #x5DD3 ?$@V\(B) ; J78-@-565C
(ucs-set-char #x5DD3 ?$BV\(B) ; J83-B-565C
(ucs-set-char #x5DD4 ?$(G{](B) ; C01-G-7B5D
(ucs-set-char #x5DD5 ?$(HmK(B) ; C02-H-6D4B
(ucs-set-char #x5DD6 ?$(Cd\(B) ; KS0-C-645C
(ucs-set-char #x5DD6 ?$(G|5(B) ; C01-G-7C35
(ucs-set-char #x5DD6 ?$@V^(B) ; J78-@-565E
(ucs-set-char #x5DD6 ?$BV^(B) ; J83-B-565E
(ucs-set-char #x5DD7 ?$(I`0(B) ; C03-I-6030
(ucs-set-char #x5DD8 ?$(D;{(B) ; J90-D-3B7B
(ucs-set-char #x5DD8 ?$(Ho%(B) ; C02-H-6F25
(ucs-set-char #x5DD9 ?$(D;|(B) ; J90-D-3B7C
(ucs-set-char #x5DD9 ?$(Jkh(B) ; C04-J-6B68
(ucs-set-char #x5DDA ?$(JjF(B) ; C04-J-6A46

(ucs-set-char #x5DDB ?$Ag](B) ; GB0-A-675D
(ucs-set-char #x5DDB ?$(I!<(B) ; C03-I-213C
(ucs-set-char #x5DDB ?$@V_(B) ; J78-@-565F
(ucs-set-char #x5DDB ?$BV_(B) ; J83-B-565F

(ucs-set-char #x5DDC ?$(J!,(B) ; C04-J-212C

(ucs-set-char #x5DDD ?$(Ct9(B) ; KS0-C-7439
(ucs-set-char #x5DDD ?$(GDU(B) ; C01-G-4455
(ucs-set-char #x5DDD ?$@@n(B) ; J78-@-406E
(ucs-set-char #x5DDD ?$A4((B) ; GB0-A-3428
(ucs-set-char #x5DDD ?$B@n(B) ; J83-B-406E
(ucs-set-char #x5DDE ?$(Cq6(B) ; KS0-C-7136
(ucs-set-char #x5DDE ?$(GG|(B) ; C01-G-477C
(ucs-set-char #x5DDE ?$@=#(B) ; J78-@-3D23
(ucs-set-char #x5DDE ?$AV](B) ; GB0-A-565D
(ucs-set-char #x5DDE ?$B=#(B) ; J83-B-3D23
(ucs-set-char #x5DDF ?$(H":(B) ; C02-H-223A
(ucs-set-char #x5DE0 ?$(D;}(B) ; J90-D-3B7D
(ucs-set-char #x5DE0 ?$(H#j(B) ; C02-H-236A
(ucs-set-char #x5DE1 ?$(Cb^(B) ; KS0-C-625E
(ucs-set-char #x5DE1 ?$(GKV(B) ; C01-G-4B56
(ucs-set-char #x5DE1 ?$(L'6(B) ; C06-L-2736
(ucs-set-char #x5DE1 ?$@=d(B) ; J78-@-3D64
(ucs-set-char #x5DE1 ?$AQ2(B) ; GB0-A-5132
(ucs-set-char #x5DE1 ?$B=d(B) ; J83-B-3D64
(ucs-set-char #x5DE2 ?$(Ca5(B) ; KS0-C-6135
(ucs-set-char #x5DE2 ?$(GZ%(B) ; C01-G-5A25
(ucs-set-char #x5DE2 ?$A32(B) ; GB0-A-3332
(ucs-set-char #x5DE3 ?$(I5W(B) ; C03-I-3557
(ucs-set-char #x5DE3 ?$@Ac(B) ; J78-@-4163
(ucs-set-char #x5DE3 ?$BAc(B) ; J83-B-4163
(ucs-set-char #x5DE4 ?$(D;~(B) ; J90-D-3B7E
(ucs-set-char #x5DE4 ?$(IKl(B) ; C03-I-4B6C

(ucs-set-char #x5DE5 ?$A9$(B) ; GB0-A-3924
(ucs-set-char #x5DE5 ?$(CMo(B) ; KS0-C-4D6F
(ucs-set-char #x5DE5 ?$(GDV(B) ; C01-G-4456
(ucs-set-char #x5DE5 ?$@9)(B) ; J78-@-3929
(ucs-set-char #x5DE5 ?$B9)(B) ; J83-B-3929

(ucs-set-char #x5DE6 ?$(Cq'(B) ; KS0-C-7127
(ucs-set-char #x5DE6 ?$(GFJ(B) ; C01-G-464A
(ucs-set-char #x5DE6 ?$@:8(B) ; J78-@-3A38
(ucs-set-char #x5DE6 ?$AWs(B) ; GB0-A-5773
(ucs-set-char #x5DE6 ?$B:8(B) ; J83-B-3A38
(ucs-set-char #x5DE7 ?$(CNe(B) ; KS0-C-4E65
(ucs-set-char #x5DE7 ?$(GFI(B) ; C01-G-4649
(ucs-set-char #x5DE7 ?$@9*(B) ; J78-@-392A
(ucs-set-char #x5DE7 ?$AGI(B) ; GB0-A-4749
(ucs-set-char #x5DE7 ?$B9*(B) ; J83-B-392A
(ucs-set-char #x5DE8 ?$(CK](B) ; KS0-C-4B5D
(ucs-set-char #x5DE8 ?$(GFH(B) ; C01-G-4648
(ucs-set-char #x5DE8 ?$@5p(B) ; J78-@-3570
(ucs-set-char #x5DE8 ?$A>^(B) ; GB0-A-3E5E
(ucs-set-char #x5DE8 ?$B5p(B) ; J83-B-3570
(ucs-set-char #x5DE9 ?$(D<!(B) ; J90-D-3C21
(ucs-set-char #x5DE9 ?$(J"c(B) ; C04-J-2263
(ucs-set-char #x5DE9 ?$A9.(B) ; GB0-A-392E
(ucs-set-char #x5DEB ?$(CYc(B) ; KS0-C-5963
(ucs-set-char #x5DEB ?$(GJ'(B) ; C01-G-4A27
(ucs-set-char #x5DEB ?$@V`(B) ; J78-@-5660
(ucs-set-char #x5DEB ?$ANW(B) ; GB0-A-4E57
(ucs-set-char #x5DEB ?$BV`(B) ; J83-B-5660
(ucs-set-char #x5DEE ?$(Cs,(B) ; KS0-C-732C
(ucs-set-char #x5DEE ?$(GU8(B) ; C01-G-5538
(ucs-set-char #x5DEE ?$@:9(B) ; J78-@-3A39
(ucs-set-char #x5DEE ?$A2n(B) ; GB0-A-326E
(ucs-set-char #x5DEE ?$B:9(B) ; J83-B-3A39
(ucs-set-char #x5DEF ?$A[O(B) ; GB0-A-5B4F
(ucs-set-char #x5DF0 ?$(HB](B) ; C02-H-425D

(ucs-set-char #x5DF1 ?$A<:(B) ; GB0-A-3C3A
(ucs-set-char #x5DF1 ?$(CPy(B) ; KS0-C-5079
(ucs-set-char #x5DF1 ?$(GDW(B) ; C01-G-4457
(ucs-set-char #x5DF1 ?$@8J(B) ; J78-@-384A
(ucs-set-char #x5DF1 ?$B8J(B) ; J83-B-384A

(ucs-set-char #x5DF2 ?$(Cl+(B) ; KS0-C-6C2B
(ucs-set-char #x5DF2 ?$(GDX(B) ; C01-G-4458
(ucs-set-char #x5DF2 ?$@Va(B) ; J78-@-5661
(ucs-set-char #x5DF2 ?$ARQ(B) ; GB0-A-5251
(ucs-set-char #x5DF2 ?$BVa(B) ; J83-B-5661
(ucs-set-char #x5DF3 ?$(C^S(B) ; KS0-C-5E53
(ucs-set-char #x5DF3 ?$(GDY(B) ; C01-G-4459
(ucs-set-char #x5DF3 ?$@L&(B) ; J78-@-4C26
(ucs-set-char #x5DF3 ?$AKH(B) ; GB0-A-4B48
(ucs-set-char #x5DF3 ?$BL&(B) ; J83-B-4C26
(ucs-set-char #x5DF4 ?$(Cwi(B) ; KS0-C-7769
(ucs-set-char #x5DF4 ?$(GE;(B) ; C01-G-453B
(ucs-set-char #x5DF4 ?$@GC(B) ; J78-@-4743
(ucs-set-char #x5DF4 ?$A0M(B) ; GB0-A-304D
(ucs-set-char #x5DF4 ?$BGC(B) ; J83-B-4743
(ucs-set-char #x5DF5 ?$(I%g(B) ; C03-I-2567
(ucs-set-char #x5DF5 ?$@Vb(B) ; J78-@-5662
(ucs-set-char #x5DF5 ?$BVb(B) ; J83-B-5662
(ucs-set-char #x5DF6 ?$(I(`(B) ; C03-I-2860
(ucs-set-char #x5DF7 ?$(Cyu(B) ; KS0-C-7975
(ucs-set-char #x5DF7 ?$(GPs(B) ; C01-G-5073
(ucs-set-char #x5DF7 ?$@9+(B) ; J78-@-392B
(ucs-set-char #x5DF7 ?$AOo(B) ; GB0-A-4F6F
(ucs-set-char #x5DF7 ?$B9+(B) ; J83-B-392B
(ucs-set-char #x5DF8 ?$(D<"(B) ; J90-D-3C22
(ucs-set-char #x5DF8 ?$(J,d(B) ; C04-J-2C64
(ucs-set-char #x5DF9 ?$(D<#(B) ; J90-D-3C23
(ucs-set-char #x5DF9 ?$(H*0(B) ; C02-H-2A30
(ucs-set-char #x5DFA ?$(I,E(B) ; C03-I-2C45
(ucs-set-char #x5DFB ?$(I,D(B) ; C03-I-2C44
(ucs-set-char #x5DFB ?$@4,(B) ; J78-@-342C
(ucs-set-char #x5DFB ?$B4,(B) ; J83-B-342C
(ucs-set-char #x5DFD ?$(Ca^(B) ; KS0-C-615E
(ucs-set-char #x5DFD ?$(G^x(B) ; C01-G-5E78
(ucs-set-char #x5DFD ?$(LH7(B) ; C06-L-4837
(ucs-set-char #x5DFD ?$@C'(B) ; J78-@-4327
(ucs-set-char #x5DFD ?$AYc(B) ; GB0-A-5963
(ucs-set-char #x5DFD ?$BC'(B) ; J83-B-4327
(ucs-set-char #x5DFE ?$(CKn(B) ; KS0-C-4B6E
(ucs-set-char #x5DFE ?$(GDZ(B) ; C01-G-445A
(ucs-set-char #x5DFE ?$@6R(B) ; J78-@-3652
(ucs-set-char #x5DFE ?$A=m(B) ; GB0-A-3D6D
(ucs-set-char #x5DFE ?$B6R(B) ; J83-B-3652
(ucs-set-char #x5DFF ?$(H!=(B) ; C02-H-213D
(ucs-set-char #x5E00 ?$(D<$(B) ; J90-D-3C24
(ucs-set-char #x5E00 ?$(I!c(B) ; C03-I-2163
(ucs-set-char #x5E01 ?$(J!L(B) ; C04-J-214C
(ucs-set-char #x5E01 ?$A1R(B) ; GB0-A-3152
(ucs-set-char #x5E02 ?$(Cc<(B) ; KS0-C-633C
(ucs-set-char #x5E02 ?$(GFK(B) ; C01-G-464B
(ucs-set-char #x5E02 ?$@;T(B) ; J78-@-3B54
(ucs-set-char #x5E02 ?$AJP(B) ; GB0-A-4A50
(ucs-set-char #x5E02 ?$B;T(B) ; J83-B-3B54
(ucs-set-char #x5E03 ?$(CxV(B) ; KS0-C-7856
(ucs-set-char #x5E03 ?$(GFL(B) ; C01-G-464C
(ucs-set-char #x5E03 ?$@I[(B) ; J78-@-495B
(ucs-set-char #x5E03 ?$A2<(B) ; GB0-A-323C
(ucs-set-char #x5E03 ?$BI[(B) ; J83-B-495B
(ucs-set-char #x5E04 ?$(H!Y(B) ; C02-H-2159
(ucs-set-char #x5E05 ?$AK'(B) ; GB0-A-4B27
(ucs-set-char #x5E06 ?$(C[n(B) ; KS0-C-5B6E
(ucs-set-char #x5E06 ?$(GG}(B) ; C01-G-477D
(ucs-set-char #x5E06 ?$@HA(B) ; J78-@-4841
(ucs-set-char #x5E06 ?$A7+(B) ; GB0-A-372B
(ucs-set-char #x5E06 ?$BHA(B) ; J83-B-4841
(ucs-set-char #x5E07 ?$(D<%(B) ; J90-D-3C25
(ucs-set-char #x5E07 ?$(K"\(B) ; C05-K-225C
(ucs-set-char #x5E08 ?$(I#\(B) ; C03-I-235C
(ucs-set-char #x5E08 ?$AJ&(B) ; GB0-A-4A26
(ucs-set-char #x5E09 ?$(I%h(B) ; C03-I-2568
(ucs-set-char #x5E0A ?$(H#k(B) ; C02-H-236B
(ucs-set-char #x5E0B ?$(I%k(B) ; C03-I-256B
(ucs-set-char #x5E0B ?$@Vc(B) ; J78-@-5663
(ucs-set-char #x5E0B ?$BVc(B) ; J83-B-5663
(ucs-set-char #x5E0C ?$(C}q(B) ; KS0-C-7D71
(ucs-set-char #x5E0C ?$(GJ((B) ; C01-G-4A28
(ucs-set-char #x5E0C ?$@4u(B) ; J78-@-3475
(ucs-set-char #x5E0C ?$AO#(B) ; GB0-A-4F23
(ucs-set-char #x5E0C ?$B4u(B) ; J83-B-3475
(ucs-set-char #x5E0D ?$(D<&(B) ; J90-D-3C26
(ucs-set-char #x5E0D ?$(J$#(B) ; C04-J-2423
(ucs-set-char #x5E0E ?$(H#l(B) ; C02-H-236C
(ucs-set-char #x5E0F ?$A`x(B) ; GB0-A-6078
(ucs-set-char #x5E10 ?$AUJ(B) ; GB0-A-554A
(ucs-set-char #x5E11 ?$(Cw6(B) ; KS0-C-7736
(ucs-set-char #x5E11 ?$(GM0(B) ; C01-G-4D30
(ucs-set-char #x5E11 ?$@Vf(B) ; J78-@-5666
(ucs-set-char #x5E11 ?$A`{(B) ; GB0-A-607B
(ucs-set-char #x5E11 ?$BVf(B) ; J83-B-5666
(ucs-set-char #x5E12 ?$(D<'(B) ; J90-D-3C27
(ucs-set-char #x5E12 ?$(I(b(B) ; C03-I-2862
(ucs-set-char #x5E13 ?$(I(a(B) ; C03-I-2861
(ucs-set-char #x5E14 ?$(D<((B) ; J90-D-3C28
(ucs-set-char #x5E14 ?$(H&O(B) ; C02-H-264F
(ucs-set-char #x5E14 ?$A`z(B) ; GB0-A-607A
(ucs-set-char #x5E15 ?$(D<)(B) ; J90-D-3C29
(ucs-set-char #x5E15 ?$(GM.(B) ; C01-G-4D2E
(ucs-set-char #x5E15 ?$AEA(B) ; GB0-A-4541
(ucs-set-char #x5E16 ?$(Ct^(B) ; KS0-C-745E
(ucs-set-char #x5E16 ?$(GM-(B) ; C01-G-4D2D
(ucs-set-char #x5E16 ?$@D!(B) ; J78-@-4421
(ucs-set-char #x5E16 ?$AL{(B) ; GB0-A-4C7B
(ucs-set-char #x5E16 ?$BD!(B) ; J83-B-4421
(ucs-set-char #x5E17 ?$(H&N(B) ; C02-H-264E
(ucs-set-char #x5E18 ?$(D<*(B) ; J90-D-3C2A
(ucs-set-char #x5E18 ?$(GM+(B) ; C01-G-4D2B
(ucs-set-char #x5E18 ?$AA1(B) ; GB0-A-4131
(ucs-set-char #x5E19 ?$(Crm(B) ; KS0-C-726D
(ucs-set-char #x5E19 ?$(H&P(B) ; C02-H-2650
(ucs-set-char #x5E19 ?$@Ve(B) ; J78-@-5665
(ucs-set-char #x5E19 ?$A`y(B) ; GB0-A-6079
(ucs-set-char #x5E19 ?$BVe(B) ; J83-B-5665
(ucs-set-char #x5E1A ?$(GM,(B) ; C01-G-4D2C
(ucs-set-char #x5E1A ?$@Vd(B) ; J78-@-5664
(ucs-set-char #x5E1A ?$AVc(B) ; GB0-A-5663
(ucs-set-char #x5E1A ?$BVd(B) ; J83-B-5664
(ucs-set-char #x5E1B ?$(C[Y(B) ; KS0-C-5B59
(ucs-set-char #x5E1B ?$(GM/(B) ; C01-G-4D2F
(ucs-set-char #x5E1B ?$@Vg(B) ; J78-@-5667
(ucs-set-char #x5E1B ?$A2/(B) ; GB0-A-322F
(ucs-set-char #x5E1B ?$BVg(B) ; J83-B-5667
(ucs-set-char #x5E1C ?$AVD(B) ; GB0-A-5644
(ucs-set-char #x5E1D ?$(Cp((B) ; KS0-C-7028
(ucs-set-char #x5E1D ?$(GPt(B) ; C01-G-5074
(ucs-set-char #x5E1D ?$@Dk(B) ; J78-@-446B
(ucs-set-char #x5E1D ?$A5[(B) ; GB0-A-355B
(ucs-set-char #x5E1D ?$BDk(B) ; J83-B-446B
(ucs-set-char #x5E1E ?$(I,F(B) ; C03-I-2C46
(ucs-set-char #x5E1F ?$(D<+(B) ; J90-D-3C2B
(ucs-set-char #x5E1F ?$(GPv(B) ; C01-G-5076
(ucs-set-char #x5E20 ?$(D<,(B) ; J90-D-3C2C
(ucs-set-char #x5E20 ?$(H*4(B) ; C02-H-2A34
(ucs-set-char #x5E21 ?$(H*1(B) ; C02-H-2A31
(ucs-set-char #x5E22 ?$(H*2(B) ; C02-H-2A32
(ucs-set-char #x5E23 ?$(H*3(B) ; C02-H-2A33
(ucs-set-char #x5E24 ?$(H*5(B) ; C02-H-2A35
(ucs-set-char #x5E25 ?$(Ca}(B) ; KS0-C-617D
(ucs-set-char #x5E25 ?$(GPu(B) ; C01-G-5075
(ucs-set-char #x5E25 ?$@?c(B) ; J78-@-3F63
(ucs-set-char #x5E25 ?$B?c(B) ; J83-B-3F63
(ucs-set-char #x5E26 ?$A4x(B) ; GB0-A-3478
(ucs-set-char #x5E27 ?$AV!(B) ; GB0-A-5621
(ucs-set-char #x5E28 ?$(D<.(B) ; J90-D-3C2E
(ucs-set-char #x5E28 ?$(H.v(B) ; C02-H-2E76
(ucs-set-char #x5E29 ?$(H.u(B) ; C02-H-2E75
(ucs-set-char #x5E2A ?$(I0f(B) ; C03-I-3066
(ucs-set-char #x5E2B ?$(C^T(B) ; KS0-C-5E54
(ucs-set-char #x5E2B ?$(GU:(B) ; C01-G-553A
(ucs-set-char #x5E2B ?$@;U(B) ; J78-@-3B55
(ucs-set-char #x5E2B ?$B;U(B) ; J83-B-3B55
(ucs-set-char #x5E2C ?$(I0i(B) ; C03-I-3069
(ucs-set-char #x5E2D ?$(C`,(B) ; KS0-C-602C
(ucs-set-char #x5E2D ?$(GU9(B) ; C01-G-5539
(ucs-set-char #x5E2D ?$@@J(B) ; J78-@-404A
(ucs-set-char #x5E2D ?$AO/(B) ; GB0-A-4F2F
(ucs-set-char #x5E2D ?$B@J(B) ; J83-B-404A
(ucs-set-char #x5E2E ?$(D<-(B) ; J90-D-3C2D
(ucs-set-char #x5E2E ?$(I0h(B) ; C03-I-3068
(ucs-set-char #x5E2E ?$A0o(B) ; GB0-A-306F
(ucs-set-char #x5E2F ?$(I0j(B) ; C03-I-306A
(ucs-set-char #x5E2F ?$@BS(B) ; J78-@-4253
(ucs-set-char #x5E2F ?$BBS(B) ; J83-B-4253
(ucs-set-char #x5E30 ?$(I0g(B) ; C03-I-3067
(ucs-set-char #x5E30 ?$@5"(B) ; J78-@-3522
(ucs-set-char #x5E30 ?$B5"(B) ; J83-B-3522
(ucs-set-char #x5E31 ?$A`|(B) ; GB0-A-607C
(ucs-set-char #x5E32 ?$(D</(B) ; J90-D-3C2F
(ucs-set-char #x5E32 ?$(I5[(B) ; C03-I-355B
(ucs-set-char #x5E33 ?$(Cmc(B) ; KS0-C-6D63
(ucs-set-char #x5E33 ?$(GZ((B) ; C01-G-5A28
(ucs-set-char #x5E33 ?$@D"(B) ; J78-@-4422
(ucs-set-char #x5E33 ?$BD"(B) ; J83-B-4422
(ucs-set-char #x5E34 ?$(H5*(B) ; C02-H-352A
(ucs-set-char #x5E35 ?$(D<0(B) ; J90-D-3C30
(ucs-set-char #x5E35 ?$(I5Y(B) ; C03-I-3559
(ucs-set-char #x5E36 ?$(CSa(B) ; KS0-C-5361
(ucs-set-char #x5E36 ?$(GZ'(B) ; C01-G-5A27
(ucs-set-char #x5E36 ?$@Vh(B) ; J78-@-5668
(ucs-set-char #x5E36 ?$BVh(B) ; J83-B-5668
(ucs-set-char #x5E37 ?$(GZ)(B) ; C01-G-5A29
(ucs-set-char #x5E37 ?$@Vi(B) ; J78-@-5669
(ucs-set-char #x5E37 ?$Aa!(B) ; GB0-A-6121
(ucs-set-char #x5E37 ?$BVi(B) ; J83-B-5669
(ucs-set-char #x5E38 ?$(C_H(B) ; KS0-C-5F48
(ucs-set-char #x5E38 ?$(GZ&(B) ; C01-G-5A26
(ucs-set-char #x5E38 ?$@>o(B) ; J78-@-3E6F
(ucs-set-char #x5E38 ?$A3#(B) ; GB0-A-3323
(ucs-set-char #x5E38 ?$B>o(B) ; J83-B-3E6F
(ucs-set-char #x5E39 ?$(I5X(B) ; C03-I-3558
(ucs-set-char #x5E3A ?$(I5Z(B) ; C03-I-355A
(ucs-set-char #x5E3B ?$A`}(B) ; GB0-A-607D
(ucs-set-char #x5E3C ?$A`~(B) ; GB0-A-607E
(ucs-set-char #x5E3D ?$(CY6(B) ; KS0-C-5936
(ucs-set-char #x5E3D ?$(G^z(B) ; C01-G-5E7A
(ucs-set-char #x5E3D ?$(LH<(B) ; C06-L-483C
(ucs-set-char #x5E3D ?$@K9(B) ; J78-@-4B39
(ucs-set-char #x5E3D ?$AC1(B) ; GB0-A-4331
(ucs-set-char #x5E3D ?$BK9(B) ; J83-B-4B39
(ucs-set-char #x5E3E ?$(D<1(B) ; J90-D-3C31
(ucs-set-char #x5E3E ?$(H5)(B) ; C02-H-3529
(ucs-set-char #x5E3F ?$(C},(B) ; KS0-C-7D2C
(ucs-set-char #x5E3F ?$(K7|(B) ; C05-K-377C
(ucs-set-char #x5E40 ?$(CoS(B) ; KS0-C-6F53
(ucs-set-char #x5E40 ?$(G^{(B) ; C01-G-5E7B
(ucs-set-char #x5E40 ?$@Vl(B) ; J78-@-566C
(ucs-set-char #x5E40 ?$BVl(B) ; J83-B-566C
(ucs-set-char #x5E41 ?$(H;W(B) ; C02-H-3B57
(ucs-set-char #x5E42 ?$(I9y(B) ; C03-I-3979
(ucs-set-char #x5E42 ?$AC](B) ; GB0-A-435D
(ucs-set-char #x5E43 ?$(G^|(B) ; C01-G-5E7C
(ucs-set-char #x5E43 ?$@Vk(B) ; J78-@-566B
(ucs-set-char #x5E43 ?$BVk(B) ; J83-B-566B
(ucs-set-char #x5E44 ?$(CdA(B) ; KS0-C-6441
(ucs-set-char #x5E44 ?$(H;V(B) ; C02-H-3B56
(ucs-set-char #x5E44 ?$@Vj(B) ; J78-@-566A
(ucs-set-char #x5E44 ?$Aa"(B) ; GB0-A-6122
(ucs-set-char #x5E44 ?$BVj(B) ; J83-B-566A
(ucs-set-char #x5E45 ?$(Cxk(B) ; KS0-C-786B
(ucs-set-char #x5E45 ?$(G^y(B) ; C01-G-5E79
(ucs-set-char #x5E45 ?$@I}(B) ; J78-@-497D
(ucs-set-char #x5E45 ?$A7y(B) ; GB0-A-3779
(ucs-set-char #x5E45 ?$BI}(B) ; J83-B-497D
(ucs-set-char #x5E46 ?$(I;:(B) ; C03-I-3B3A
(ucs-set-char #x5E47 ?$(C[,(B) ; KS0-C-5B2C
(ucs-set-char #x5E47 ?$(I;;(B) ; C03-I-3B3B
(ucs-set-char #x5E47 ?$@Vs(B) ; J78-@-5673
(ucs-set-char #x5E47 ?$BVs(B) ; J83-B-5673
(ucs-set-char #x5E48 ?$(I;=(B) ; C03-I-3B3D
(ucs-set-char #x5E49 ?$(D<4(B) ; J90-D-3C34
(ucs-set-char #x5E4A ?$(HB`(B) ; C02-H-4260
(ucs-set-char #x5E4B ?$(D<2(B) ; J90-D-3C32
(ucs-set-char #x5E4B ?$(HBb(B) ; C02-H-4262
(ucs-set-char #x5E4C ?$(C|F(B) ; KS0-C-7C46
(ucs-set-char #x5E4C ?$(Gck(B) ; C01-G-636B
(ucs-set-char #x5E4C ?$@KZ(B) ; J78-@-4B5A
(ucs-set-char #x5E4C ?$A;O(B) ; GB0-A-3B4F
(ucs-set-char #x5E4C ?$BKZ(B) ; J83-B-4B5A
(ucs-set-char #x5E4D ?$(HBa(B) ; C02-H-4261
(ucs-set-char #x5E4E ?$(HB_(B) ; C02-H-425F
(ucs-set-char #x5E4E ?$@Vm(B) ; J78-@-566D
(ucs-set-char #x5E4E ?$BVm(B) ; J83-B-566D
(ucs-set-char #x5E4F ?$(HB^(B) ; C02-H-425E
(ucs-set-char #x5E50 ?$(D<3(B) ; J90-D-3C33
(ucs-set-char #x5E50 ?$(J=*(B) ; C04-J-3D2A
(ucs-set-char #x5E51 ?$(D<5(B) ; J90-D-3C35
(ucs-set-char #x5E51 ?$(JC5(B) ; C04-J-4335
(ucs-set-char #x5E52 ?$(IF](B) ; C03-I-465D
(ucs-set-char #x5E53 ?$(HIy(B) ; C02-H-4979
(ucs-set-char #x5E54 ?$(Gh_(B) ; C01-G-685F
(ucs-set-char #x5E54 ?$@Vo(B) ; J78-@-566F
(ucs-set-char #x5E54 ?$Aa#(B) ; GB0-A-6123
(ucs-set-char #x5E54 ?$BVo(B) ; J83-B-566F
(ucs-set-char #x5E55 ?$(CX-(B) ; KS0-C-582D
(ucs-set-char #x5E55 ?$(Gh](B) ; C01-G-685D
(ucs-set-char #x5E55 ?$@Kk(B) ; J78-@-4B6B
(ucs-set-char #x5E55 ?$AD;(B) ; GB0-A-443B
(ucs-set-char #x5E55 ?$BKk(B) ; J83-B-4B6B
(ucs-set-char #x5E56 ?$(D<6(B) ; J90-D-3C36
(ucs-set-char #x5E56 ?$(JC0(B) ; C04-J-4330
(ucs-set-char #x5E57 ?$(Gh^(B) ; C01-G-685E
(ucs-set-char #x5E57 ?$@Vn(B) ; J78-@-566E
(ucs-set-char #x5E57 ?$BVn(B) ; J83-B-566E
(ucs-set-char #x5E58 ?$(D<7(B) ; J90-D-3C37
(ucs-set-char #x5E58 ?$(HIw(B) ; C02-H-4977
(ucs-set-char #x5E59 ?$(HIx(B) ; C02-H-4978
(ucs-set-char #x5E5A ?$(IKm(B) ; C03-I-4B6D
(ucs-set-char #x5E5B ?$(D<8(B) ; J90-D-3C38
(ucs-set-char #x5E5B ?$(Gh[(B) ; C01-G-685B
(ucs-set-char #x5E5B ?$Aa$(B) ; GB0-A-6124
(ucs-set-char #x5E5C ?$(D<9(B) ; J90-D-3C39
(ucs-set-char #x5E5C ?$(HP:(B) ; C02-H-503A
(ucs-set-char #x5E5D ?$(HP8(B) ; C02-H-5038
(ucs-set-char #x5E5E ?$(D<:(B) ; J90-D-3C3A
(ucs-set-char #x5E5E ?$(IKp(B) ; C03-I-4B70
(ucs-set-char #x5E5E ?$Aa%(B) ; GB0-A-6125
(ucs-set-char #x5E5F ?$(Cv:(B) ; KS0-C-763A
(ucs-set-char #x5E5F ?$(GlW(B) ; C01-G-6C57
(ucs-set-char #x5E5F ?$@Vp(B) ; J78-@-5670
(ucs-set-char #x5E5F ?$BVp(B) ; J83-B-5670
(ucs-set-char #x5E60 ?$(HP9(B) ; C02-H-5039
(ucs-set-char #x5E61 ?$(C[_(B) ; KS0-C-5B5F
(ucs-set-char #x5E61 ?$(GlX(B) ; C01-G-6C58
(ucs-set-char #x5E61 ?$@H((B) ; J78-@-4828
(ucs-set-char #x5E61 ?$Aa&(B) ; GB0-A-6126
(ucs-set-char #x5E61 ?$BH((B) ; J83-B-4828
(ucs-set-char #x5E62 ?$(CSS(B) ; KS0-C-5353
(ucs-set-char #x5E62 ?$(GlV(B) ; C01-G-6C56
(ucs-set-char #x5E62 ?$@Vq(B) ; J78-@-5671
(ucs-set-char #x5E62 ?$A41(B) ; GB0-A-3431
(ucs-set-char #x5E62 ?$BVq(B) ; J83-B-5671
(ucs-set-char #x5E63 ?$(CxG(B) ; KS0-C-7847
(ucs-set-char #x5E63 ?$(Gh\(B) ; C01-G-685C
(ucs-set-char #x5E63 ?$@J>(B) ; J78-@-4A3E
(ucs-set-char #x5E63 ?$BJ>(B) ; J83-B-4A3E
(ucs-set-char #x5E64 ?$@Vr(B) ; J78-@-5672
(ucs-set-char #x5E64 ?$BVr(B) ; J83-B-5672
(ucs-set-char #x5E66 ?$(HVw(B) ; C02-H-5677
(ucs-set-char #x5E67 ?$(HVu(B) ; C02-H-5675
(ucs-set-char #x5E68 ?$(D<;(B) ; J90-D-3C3B
(ucs-set-char #x5E68 ?$(HVv(B) ; C02-H-5676
(ucs-set-char #x5E69 ?$(HP7(B) ; C02-H-5037
(ucs-set-char #x5E6A ?$(D<<(B) ; J90-D-3C3C
(ucs-set-char #x5E6A ?$(H\h(B) ; C02-H-5C68
(ucs-set-char #x5E6B ?$(D<=(B) ; J90-D-3C3D
(ucs-set-char #x5E6B ?$(GsY(B) ; C01-G-7359
(ucs-set-char #x5E6C ?$(D<>(B) ; J90-D-3C3E
(ucs-set-char #x5E6C ?$(H\g(B) ; C02-H-5C67
(ucs-set-char #x5E6D ?$(D<?(B) ; J90-D-3C3F
(ucs-set-char #x5E6D ?$(HaQ(B) ; C02-H-6151
(ucs-set-char #x5E6E ?$(D<@(B) ; J90-D-3C40
(ucs-set-char #x5E6E ?$(HaR(B) ; C02-H-6152
(ucs-set-char #x5E6F ?$(HVx(B) ; C02-H-5678
(ucs-set-char #x5E70 ?$(D<A(B) ; J90-D-3C41
(ucs-set-char #x5E70 ?$(HeJ(B) ; C02-H-654A
(ucs-set-char #x5E71 ?$(Jc9(B) ; C04-J-6339
(ucs-set-char #x5E72 ?$(CJN(B) ; KS0-C-4A4E
(ucs-set-char #x5E72 ?$(GD[(B) ; C01-G-445B
(ucs-set-char #x5E72 ?$@43(B) ; J78-@-3433
(ucs-set-char #x5E72 ?$A8I(B) ; GB0-A-3849
(ucs-set-char #x5E72 ?$B43(B) ; J83-B-3433
(ucs-set-char #x5E73 ?$(CxA(B) ; KS0-C-7841
(ucs-set-char #x5E73 ?$(GFM(B) ; C01-G-464D
(ucs-set-char #x5E73 ?$@J?(B) ; J78-@-4A3F
(ucs-set-char #x5E73 ?$AF=(B) ; GB0-A-463D
(ucs-set-char #x5E73 ?$BJ?(B) ; J83-B-4A3F
(ucs-set-char #x5E74 ?$(CR4(B) ; KS0-C-5234
(ucs-set-char #x5E74 ?$(GH!(B) ; C01-G-4821
(ucs-set-char #x5E74 ?$@G/(B) ; J78-@-472F
(ucs-set-char #x5E74 ?$ADj(B) ; GB0-A-446A
(ucs-set-char #x5E74 ?$BG/(B) ; J83-B-472F
(ucs-set-char #x5E75 ?$(H";(B) ; C02-H-223B
(ucs-set-char #x5E75 ?$@Vt(B) ; J78-@-5674
(ucs-set-char #x5E75 ?$BVt(B) ; J83-B-5674
(ucs-set-char #x5E76 ?$(GG~(B) ; C01-G-477E
(ucs-set-char #x5E76 ?$@Vu(B) ; J78-@-5675
(ucs-set-char #x5E76 ?$A2"(B) ; GB0-A-3222
(ucs-set-char #x5E76 ?$BVu(B) ; J83-B-5675
(ucs-set-char #x5E77 ?$(C\4(B) ; KS0-C-5C34
(ucs-set-char #x5E77 ?$(I(c(B) ; C03-I-2863
(ucs-set-char #x5E78 ?$(Cz9(B) ; KS0-C-7A39
(ucs-set-char #x5E78 ?$(GM1(B) ; C01-G-4D31
(ucs-set-char #x5E78 ?$@9,(B) ; J78-@-392C
(ucs-set-char #x5E78 ?$APR(B) ; GB0-A-5052
(ucs-set-char #x5E78 ?$B9,(B) ; J83-B-392C
(ucs-set-char #x5E79 ?$(CJO(B) ; KS0-C-4A4F
(ucs-set-char #x5E79 ?$(Gcl(B) ; C01-G-636C
(ucs-set-char #x5E79 ?$@44(B) ; J78-@-3434
(ucs-set-char #x5E79 ?$B44(B) ; J83-B-3434
(ucs-set-char #x5E7A ?$(I!=(B) ; C03-I-213D
(ucs-set-char #x5E7A ?$@Vv(B) ; J78-@-5676
(ucs-set-char #x5E7A ?$Ag[(B) ; GB0-A-675B
(ucs-set-char #x5E7A ?$BVv(B) ; J83-B-5676
(ucs-set-char #x5E7B ?$(C|3(B) ; KS0-C-7C33
(ucs-set-char #x5E7B ?$(GE<(B) ; C01-G-453C
(ucs-set-char #x5E7B ?$@88(B) ; J78-@-3838
(ucs-set-char #x5E7B ?$A;C(B) ; GB0-A-3B43
(ucs-set-char #x5E7B ?$B88(B) ; J83-B-3838
(ucs-set-char #x5E7C ?$(Cjj(B) ; KS0-C-6A6A
(ucs-set-char #x5E7C ?$(GFN(B) ; C01-G-464E
(ucs-set-char #x5E7C ?$@MD(B) ; J78-@-4D44
(ucs-set-char #x5E7C ?$ASW(B) ; GB0-A-5357
(ucs-set-char #x5E7C ?$BMD(B) ; J83-B-4D44
(ucs-set-char #x5E7D ?$(Cjk(B) ; KS0-C-6A6B
(ucs-set-char #x5E7D ?$(GPw(B) ; C01-G-5077
(ucs-set-char #x5E7D ?$@M)(B) ; J78-@-4D29
(ucs-set-char #x5E7D ?$ASD(B) ; GB0-A-5344
(ucs-set-char #x5E7D ?$BM)(B) ; J83-B-4D29
(ucs-set-char #x5E7E ?$(CPz(B) ; KS0-C-507A
(ucs-set-char #x5E7E ?$(G^}(B) ; C01-G-5E7D
(ucs-set-char #x5E7E ?$@4v(B) ; J78-@-3476
(ucs-set-char #x5E7E ?$B4v(B) ; J83-B-3476
(ucs-set-char #x5E7F ?$(I!>(B) ; C03-I-213E
(ucs-set-char #x5E7F ?$@Vx(B) ; J78-@-5678
(ucs-set-char #x5E7F ?$A9c(B) ; GB0-A-3963
(ucs-set-char #x5E7F ?$BVx(B) ; J83-B-5678
(ucs-set-char #x5E80 ?$(D<B(B) ; J90-D-3C42
(ucs-set-char #x5E80 ?$(H!Z(B) ; C02-H-215A
(ucs-set-char #x5E80 ?$AbO(B) ; GB0-A-624F
(ucs-set-char #x5E81 ?$(I"G(B) ; C03-I-2247
(ucs-set-char #x5E81 ?$@D#(B) ; J78-@-4423
(ucs-set-char #x5E81 ?$BD#(B) ; J83-B-4423
(ucs-set-char #x5E82 ?$(H![(B) ; C02-H-215B
(ucs-set-char #x5E83 ?$(I"H(B) ; C03-I-2248
(ucs-set-char #x5E83 ?$@9-(B) ; J78-@-392D
(ucs-set-char #x5E83 ?$B9-(B) ; J83-B-392D
(ucs-set-char #x5E84 ?$(Cmd(B) ; KS0-C-6D64
(ucs-set-char #x5E84 ?$(H"<(B) ; C02-H-223C
(ucs-set-char #x5E84 ?$@>1(B) ; J78-@-3E31
(ucs-set-char #x5E84 ?$AW/(B) ; GB0-A-572F
(ucs-set-char #x5E84 ?$B>1(B) ; J83-B-3E31
(ucs-set-char #x5E86 ?$AGl(B) ; GB0-A-476C
(ucs-set-char #x5E87 ?$(C]g(B) ; KS0-C-5D67
(ucs-set-char #x5E87 ?$(GJ*(B) ; C01-G-4A2A
(ucs-set-char #x5E87 ?$@H_(B) ; J78-@-485F
(ucs-set-char #x5E87 ?$A1S(B) ; GB0-A-3153
(ucs-set-char #x5E87 ?$BH_(B) ; J83-B-485F
(ucs-set-char #x5E88 ?$(H#p(B) ; C02-H-2370
(ucs-set-char #x5E89 ?$(H#n(B) ; C02-H-236E
(ucs-set-char #x5E8A ?$(C_I(B) ; KS0-C-5F49
(ucs-set-char #x5E8A ?$(GJ+(B) ; C01-G-4A2B
(ucs-set-char #x5E8A ?$@>2(B) ; J78-@-3E32
(ucs-set-char #x5E8A ?$A42(B) ; GB0-A-3432
(ucs-set-char #x5E8A ?$B>2(B) ; J83-B-3E32
(ucs-set-char #x5E8B ?$(D<C(B) ; J90-D-3C43
(ucs-set-char #x5E8B ?$(H#m(B) ; C02-H-236D
(ucs-set-char #x5E8B ?$AbQ(B) ; GB0-A-6251
(ucs-set-char #x5E8C ?$(H#o(B) ; C02-H-236F
(ucs-set-char #x5E8D ?$(H#q(B) ; C02-H-2371
(ucs-set-char #x5E8E ?$(D<D(B) ; J90-D-3C44
(ucs-set-char #x5E8E ?$(J$((B) ; C04-J-2428
(ucs-set-char #x5E8F ?$(C_m(B) ; KS0-C-5F6D
(ucs-set-char #x5E8F ?$(GJ)(B) ; C01-G-4A29
(ucs-set-char #x5E8F ?$@=x(B) ; J78-@-3D78
(ucs-set-char #x5E8F ?$APr(B) ; GB0-A-5072
(ucs-set-char #x5E8F ?$B=x(B) ; J83-B-3D78
(ucs-set-char #x5E90 ?$(I%n(B) ; C03-I-256E
(ucs-set-char #x5E90 ?$AB.(B) ; GB0-A-422E
(ucs-set-char #x5E91 ?$AbP(B) ; GB0-A-6250
(ucs-set-char #x5E92 ?$(I%m(B) ; C03-I-256D
(ucs-set-char #x5E93 ?$A?b(B) ; GB0-A-3F62
(ucs-set-char #x5E94 ?$(L'C(B) ; C06-L-2743
(ucs-set-char #x5E94 ?$AS&(B) ; GB0-A-5326
(ucs-set-char #x5E95 ?$(Cn<(B) ; KS0-C-6E3C
(ucs-set-char #x5E95 ?$(GM5(B) ; C01-G-4D35
(ucs-set-char #x5E95 ?$@Dl(B) ; J78-@-446C
(ucs-set-char #x5E95 ?$A5W(B) ; GB0-A-3557
(ucs-set-char #x5E95 ?$BDl(B) ; J83-B-446C
(ucs-set-char #x5E96 ?$(GM6(B) ; C01-G-4D36
(ucs-set-char #x5E96 ?$@Jy(B) ; J78-@-4A79
(ucs-set-char #x5E96 ?$AbR(B) ; GB0-A-6252
(ucs-set-char #x5E96 ?$BJy(B) ; J83-B-4A79
(ucs-set-char #x5E97 ?$(CoA(B) ; KS0-C-6F41
(ucs-set-char #x5E97 ?$(GM3(B) ; C01-G-4D33
(ucs-set-char #x5E97 ?$@E9(B) ; J78-@-4539
(ucs-set-char #x5E97 ?$A5j(B) ; GB0-A-356A
(ucs-set-char #x5E97 ?$BE9(B) ; J83-B-4539
(ucs-set-char #x5E98 ?$(I(e(B) ; C03-I-2865
(ucs-set-char #x5E99 ?$(I(g(B) ; C03-I-2867
(ucs-set-char #x5E99 ?$ACm(B) ; GB0-A-436D
(ucs-set-char #x5E9A ?$(CLR(B) ; KS0-C-4C52
(ucs-set-char #x5E9A ?$(GM2(B) ; C01-G-4D32
(ucs-set-char #x5E9A ?$@9.(B) ; J78-@-392E
(ucs-set-char #x5E9A ?$A8}(B) ; GB0-A-387D
(ucs-set-char #x5E9A ?$B9.(B) ; J83-B-392E
(ucs-set-char #x5E9B ?$(H*9(B) ; C02-H-2A39
(ucs-set-char #x5E9C ?$(C]$(B) ; KS0-C-5D24
(ucs-set-char #x5E9C ?$(GM4(B) ; C01-G-4D34
(ucs-set-char #x5E9C ?$@I\(B) ; J78-@-495C
(ucs-set-char #x5E9C ?$A8.(B) ; GB0-A-382E
(ucs-set-char #x5E9C ?$BI\(B) ; J83-B-495C
(ucs-set-char #x5E9D ?$(I(h(B) ; C03-I-2868
(ucs-set-char #x5E9E ?$AES(B) ; GB0-A-4553
(ucs-set-char #x5E9F ?$(J&9(B) ; C04-J-2639
(ucs-set-char #x5E9F ?$A7O(B) ; GB0-A-374F
(ucs-set-char #x5EA0 ?$(C_J(B) ; KS0-C-5F4A
(ucs-set-char #x5EA0 ?$(GPx(B) ; C01-G-5078
(ucs-set-char #x5EA0 ?$@Vy(B) ; J78-@-5679
(ucs-set-char #x5EA0 ?$AbT(B) ; GB0-A-6254
(ucs-set-char #x5EA0 ?$BVy(B) ; J83-B-5679
(ucs-set-char #x5EA1 ?$(I,H(B) ; C03-I-2C48
(ucs-set-char #x5EA2 ?$(D<E(B) ; J90-D-3C45
(ucs-set-char #x5EA2 ?$(H*8(B) ; C02-H-2A38
(ucs-set-char #x5EA3 ?$(H*:(B) ; C02-H-2A3A
(ucs-set-char #x5EA4 ?$(D<F(B) ; J90-D-3C46
(ucs-set-char #x5EA4 ?$(H*7(B) ; C02-H-2A37
(ucs-set-char #x5EA5 ?$(D<G(B) ; J90-D-3C47
(ucs-set-char #x5EA5 ?$(H*;(B) ; C02-H-2A3B
(ucs-set-char #x5EA5 ?$AbS(B) ; GB0-A-6253
(ucs-set-char #x5EA6 ?$(CSx(B) ; KS0-C-5378
(ucs-set-char #x5EA6 ?$(GPy(B) ; C01-G-5079
(ucs-set-char #x5EA6 ?$@EY(B) ; J78-@-4559
(ucs-set-char #x5EA6 ?$A6H(B) ; GB0-A-3648
(ucs-set-char #x5EA6 ?$BEY(B) ; J83-B-4559
(ucs-set-char #x5EA7 ?$(Cq((B) ; KS0-C-7128
(ucs-set-char #x5EA7 ?$(GU=(B) ; C01-G-553D
(ucs-set-char #x5EA7 ?$@:B(B) ; J78-@-3A42
(ucs-set-char #x5EA7 ?$AWy(B) ; GB0-A-5779
(ucs-set-char #x5EA7 ?$B:B(B) ; J83-B-3A42
(ucs-set-char #x5EA8 ?$(D<H(B) ; J90-D-3C48
(ucs-set-char #x5EA8 ?$(H.w(B) ; C02-H-2E77
(ucs-set-char #x5EA9 ?$(I0l(B) ; C03-I-306C
(ucs-set-char #x5EAA ?$(D<I(B) ; J90-D-3C49
(ucs-set-char #x5EAA ?$(H.y(B) ; C02-H-2E79
(ucs-set-char #x5EAB ?$(CM7(B) ; KS0-C-4D37
(ucs-set-char #x5EAB ?$(GU;(B) ; C01-G-553B
(ucs-set-char #x5EAB ?$@8K(B) ; J78-@-384B
(ucs-set-char #x5EAB ?$B8K(B) ; J83-B-384B
(ucs-set-char #x5EAC ?$(D<J(B) ; J90-D-3C4A
(ucs-set-char #x5EAC ?$(H.z(B) ; C02-H-2E7A
(ucs-set-char #x5EAD ?$(CoT(B) ; KS0-C-6F54
(ucs-set-char #x5EAD ?$(GU<(B) ; C01-G-553C
(ucs-set-char #x5EAD ?$@Dm(B) ; J78-@-446D
(ucs-set-char #x5EAD ?$AM%(B) ; GB0-A-4D25
(ucs-set-char #x5EAD ?$BDm(B) ; J83-B-446D
(ucs-set-char #x5EAE ?$(H.x(B) ; C02-H-2E78
(ucs-set-char #x5EAF ?$(I0k(B) ; C03-I-306B
(ucs-set-char #x5EB0 ?$(H*6(B) ; C02-H-2A36
(ucs-set-char #x5EB1 ?$(D<K(B) ; J90-D-3C4B
(ucs-set-char #x5EB1 ?$(H5+(B) ; C02-H-352B
(ucs-set-char #x5EB2 ?$(H5.(B) ; C02-H-352E
(ucs-set-char #x5EB3 ?$(D<L(B) ; J90-D-3C4C
(ucs-set-char #x5EB3 ?$(H5/(B) ; C02-H-352F
(ucs-set-char #x5EB3 ?$AbX(B) ; GB0-A-6258
(ucs-set-char #x5EB4 ?$(H5,(B) ; C02-H-352C
(ucs-set-char #x5EB5 ?$(Cd](B) ; KS0-C-645D
(ucs-set-char #x5EB5 ?$(GZ-(B) ; C01-G-5A2D
(ucs-set-char #x5EB5 ?$@0C(B) ; J78-@-3043
(ucs-set-char #x5EB5 ?$AbV(B) ; GB0-A-6256
(ucs-set-char #x5EB5 ?$B0C(B) ; J83-B-3043
(ucs-set-char #x5EB6 ?$(C_n(B) ; KS0-C-5F6E
(ucs-set-char #x5EB6 ?$(GZ,(B) ; C01-G-5A2C
(ucs-set-char #x5EB6 ?$@=n(B) ; J78-@-3D6E
(ucs-set-char #x5EB6 ?$AJ|(B) ; GB0-A-4A7C
(ucs-set-char #x5EB6 ?$B=n(B) ; J83-B-3D6E
(ucs-set-char #x5EB7 ?$(CK,(B) ; KS0-C-4B2C
(ucs-set-char #x5EB7 ?$(GZ*(B) ; C01-G-5A2A
(ucs-set-char #x5EB7 ?$@9/(B) ; J78-@-392F
(ucs-set-char #x5EB7 ?$A?5(B) ; GB0-A-3F35
(ucs-set-char #x5EB7 ?$B9/(B) ; J83-B-392F
(ucs-set-char #x5EB8 ?$(Ci<(B) ; KS0-C-693C
(ucs-set-char #x5EB8 ?$(GZ+(B) ; C01-G-5A2B
(ucs-set-char #x5EB8 ?$@MG(B) ; J78-@-4D47
(ucs-set-char #x5EB8 ?$AS9(B) ; GB0-A-5339
(ucs-set-char #x5EB8 ?$BMG(B) ; J83-B-4D47
(ucs-set-char #x5EB9 ?$(H5-(B) ; C02-H-352D
(ucs-set-char #x5EB9 ?$AbU(B) ; GB0-A-6255
(ucs-set-char #x5EBA ?$(I5a(B) ; C03-I-3561
(ucs-set-char #x5EBB ?$(I5`(B) ; C03-I-3560
(ucs-set-char #x5EBD ?$(D<M(B) ; J90-D-3C4D
(ucs-set-char #x5EBD ?$(I;?(B) ; C03-I-3B3F
(ucs-set-char #x5EBE ?$(Cjl(B) ; KS0-C-6A6C
(ucs-set-char #x5EBE ?$(D<N(B) ; J90-D-3C4E
(ucs-set-char #x5EBE ?$(GZ.(B) ; C01-G-5A2E
(ucs-set-char #x5EBE ?$AbW(B) ; GB0-A-6257
(ucs-set-char #x5EBF ?$(D<O(B) ; J90-D-3C4F
(ucs-set-char #x5EBF ?$(I;@(B) ; C03-I-3B40
(ucs-set-char #x5EC0 ?$(I;>(B) ; C03-I-3B3E
(ucs-set-char #x5EC1 ?$(G_!(B) ; C01-G-5F21
(ucs-set-char #x5EC1 ?$@Vz(B) ; J78-@-567A
(ucs-set-char #x5EC1 ?$BVz(B) ; J83-B-567A
(ucs-set-char #x5EC2 ?$(C_K(B) ; KS0-C-5F4B
(ucs-set-char #x5EC2 ?$(G_"(B) ; C01-G-5F22
(ucs-set-char #x5EC2 ?$@V{(B) ; J78-@-567B
(ucs-set-char #x5EC2 ?$BV{(B) ; J83-B-567B
(ucs-set-char #x5EC3 ?$(LHE(B) ; C06-L-4845
(ucs-set-char #x5EC3 ?$@GQ(B) ; J78-@-4751
(ucs-set-char #x5EC3 ?$BGQ(B) ; J83-B-4751
(ucs-set-char #x5EC4 ?$(G_#(B) ; C01-G-5F23
(ucs-set-char #x5EC5 ?$(HBc(B) ; C02-H-4263
(ucs-set-char #x5EC6 ?$(D<P(B) ; J90-D-3C50
(ucs-set-char #x5EC6 ?$(HBe(B) ; C02-H-4265
(ucs-set-char #x5EC7 ?$(HBg(B) ; C02-H-4267
(ucs-set-char #x5EC8 ?$(Cy?(B) ; KS0-C-793F
(ucs-set-char #x5EC8 ?$(Gcn(B) ; C01-G-636E
(ucs-set-char #x5EC8 ?$@V|(B) ; J78-@-567C
(ucs-set-char #x5EC8 ?$BV|(B) ; J83-B-567C
(ucs-set-char #x5EC9 ?$(CV/(B) ; KS0-C-562F
(ucs-set-char #x5EC9 ?$(Gcm(B) ; C01-G-636D
(ucs-set-char #x5EC9 ?$@Nw(B) ; J78-@-4E77
(ucs-set-char #x5EC9 ?$AA.(B) ; GB0-A-412E
(ucs-set-char #x5EC9 ?$BNw(B) ; J83-B-4E77
(ucs-set-char #x5ECA ?$(CUF(B) ; KS0-C-5546
(ucs-set-char #x5ECA ?$(G^~(B) ; C01-G-5E7E
(ucs-set-char #x5ECA ?$(LR@(B) ; C06-L-5240
(ucs-set-char #x5ECA ?$@O-(B) ; J78-@-4F2D
(ucs-set-char #x5ECA ?$A@H(B) ; GB0-A-4048
(ucs-set-char #x5ECA ?$BO-(B) ; J83-B-4F2D
(ucs-set-char #x5ECB ?$(D<R(B) ; J90-D-3C52
(ucs-set-char #x5ECB ?$(HBf(B) ; C02-H-4266
(ucs-set-char #x5ECC ?$(D<Q(B) ; J90-D-3C51
(ucs-set-char #x5ECC ?$(HBd(B) ; C02-H-4264
(ucs-set-char #x5ECE ?$(D<S(B) ; J90-D-3C53
(ucs-set-char #x5ECE ?$(HI}(B) ; C02-H-497D
(ucs-set-char #x5ECF ?$(IFa(B) ; C03-I-4661
(ucs-set-char #x5ECF ?$@V~(B) ; J78-@-567E
(ucs-set-char #x5ECF ?$BV~(B) ; J83-B-567E
(ucs-set-char #x5ED0 ?$(CO*(B) ; KS0-C-4F2A
(ucs-set-char #x5ED0 ?$(IF`(B) ; C03-I-4660
(ucs-set-char #x5ED0 ?$@V}(B) ; J78-@-567D
(ucs-set-char #x5ED0 ?$BV}(B) ; J83-B-567D
(ucs-set-char #x5ED1 ?$(D<T(B) ; J90-D-3C54
(ucs-set-char #x5ED1 ?$(HI{(B) ; C02-H-497B
(ucs-set-char #x5ED1 ?$Ab[(B) ; GB0-A-625B
(ucs-set-char #x5ED2 ?$(D<U(B) ; J90-D-3C55
(ucs-set-char #x5ED2 ?$(HJ#(B) ; C02-H-4A23
(ucs-set-char #x5ED2 ?$AbZ(B) ; GB0-A-625A
(ucs-set-char #x5ED3 ?$(CN)(B) ; KS0-C-4E29
(ucs-set-char #x5ED3 ?$(Gh`(B) ; C01-G-6860
(ucs-set-char #x5ED3 ?$@3G(B) ; J78-@-3347
(ucs-set-char #x5ED3 ?$A@*(B) ; GB0-A-402A
(ucs-set-char #x5ED3 ?$B3G(B) ; J83-B-3347
(ucs-set-char #x5ED4 ?$(D<V(B) ; J90-D-3C56
(ucs-set-char #x5ED4 ?$(HJ$(B) ; C02-H-4A24
(ucs-set-char #x5ED5 ?$(D<W(B) ; J90-D-3C57
(ucs-set-char #x5ED5 ?$(HJ!(B) ; C02-H-4A21
(ucs-set-char #x5ED6 ?$(CVx(B) ; KS0-C-5678
(ucs-set-char #x5ED6 ?$(Gha(B) ; C01-G-6861
(ucs-set-char #x5ED6 ?$@W!(B) ; J78-@-5721
(ucs-set-char #x5ED6 ?$AAN(B) ; GB0-A-414E
(ucs-set-char #x5ED6 ?$BW!(B) ; J83-B-5721
(ucs-set-char #x5ED7 ?$(HI|(B) ; C02-H-497C
(ucs-set-char #x5ED8 ?$(HIz(B) ; C02-H-497A
(ucs-set-char #x5ED9 ?$(HJ"(B) ; C02-H-4A22
(ucs-set-char #x5EDA ?$(Cq7(B) ; KS0-C-7137
(ucs-set-char #x5EDA ?$(GlZ(B) ; C01-G-6C5A
(ucs-set-char #x5EDA ?$@W$(B) ; J78-@-5724
(ucs-set-char #x5EDA ?$BW$(B) ; J83-B-5724
(ucs-set-char #x5EDB ?$(Cnx(B) ; KS0-C-6E78
(ucs-set-char #x5EDB ?$(HP<(B) ; C02-H-503C
(ucs-set-char #x5EDB ?$@W%(B) ; J78-@-5725
(ucs-set-char #x5EDB ?$Ab\(B) ; GB0-A-625C
(ucs-set-char #x5EDB ?$BW%(B) ; J83-B-5725
(ucs-set-char #x5EDC ?$(D<X(B) ; J90-D-3C58
(ucs-set-char #x5EDC ?$(HI~(B) ; C02-H-497E
(ucs-set-char #x5EDD ?$(Gl\(B) ; C01-G-6C5C
(ucs-set-char #x5EDD ?$@W#(B) ; J78-@-5723
(ucs-set-char #x5EDD ?$BW#(B) ; J83-B-5723
(ucs-set-char #x5EDE ?$(D<Y(B) ; J90-D-3C59
(ucs-set-char #x5EDE ?$(HP=(B) ; C02-H-503D
(ucs-set-char #x5EDF ?$(CYY(B) ; KS0-C-5959
(ucs-set-char #x5EDF ?$(Gl[(B) ; C01-G-6C5B
(ucs-set-char #x5EDF ?$@I@(B) ; J78-@-4940
(ucs-set-char #x5EDF ?$BI@(B) ; J83-B-4940
(ucs-set-char #x5EE0 ?$(Cs_(B) ; KS0-C-735F
(ucs-set-char #x5EE0 ?$(Gl^(B) ; C01-G-6C5E
(ucs-set-char #x5EE0 ?$@>3(B) ; J78-@-3E33
(ucs-set-char #x5EE0 ?$B>3(B) ; J83-B-3E33
(ucs-set-char #x5EE1 ?$(HP>(B) ; C02-H-503E
(ucs-set-char #x5EE1 ?$@W'(B) ; J78-@-5727
(ucs-set-char #x5EE1 ?$BW'(B) ; J83-B-5727
(ucs-set-char #x5EE2 ?$(CxH(B) ; KS0-C-7848
(ucs-set-char #x5EE2 ?$(GlY(B) ; C01-G-6C59
(ucs-set-char #x5EE2 ?$@W&(B) ; J78-@-5726
(ucs-set-char #x5EE2 ?$BW&(B) ; J83-B-5726
(ucs-set-char #x5EE3 ?$(CNF(B) ; KS0-C-4E46
(ucs-set-char #x5EE3 ?$(Gl](B) ; C01-G-6C5D
(ucs-set-char #x5EE3 ?$@W"(B) ; J78-@-5722
(ucs-set-char #x5EE3 ?$BW"(B) ; J83-B-5722
(ucs-set-char #x5EE5 ?$(D<Z(B) ; J90-D-3C5A
(ucs-set-char #x5EE5 ?$(HV}(B) ; C02-H-567D
(ucs-set-char #x5EE6 ?$(HV{(B) ; C02-H-567B
(ucs-set-char #x5EE7 ?$(HVz(B) ; C02-H-567A
(ucs-set-char #x5EE8 ?$(HV|(B) ; C02-H-567C
(ucs-set-char #x5EE8 ?$@W((B) ; J78-@-5728
(ucs-set-char #x5EE8 ?$Ab](B) ; GB0-A-625D
(ucs-set-char #x5EE8 ?$BW((B) ; J83-B-5728
(ucs-set-char #x5EE9 ?$(HVy(B) ; C02-H-5679
(ucs-set-char #x5EE9 ?$@W)(B) ; J78-@-5729
(ucs-set-char #x5EE9 ?$BW)(B) ; J83-B-5729
(ucs-set-char #x5EEA ?$(IP\(B) ; C03-I-505C
(ucs-set-char #x5EEA ?$Ab^(B) ; GB0-A-625E
(ucs-set-char #x5EEB ?$(D<[(B) ; J90-D-3C5B
(ucs-set-char #x5EEB ?$(J[!(B) ; C04-J-5B21
(ucs-set-char #x5EEC ?$(CUf(B) ; KS0-C-5566
(ucs-set-char #x5EEC ?$(Gx3(B) ; C01-G-7833
(ucs-set-char #x5EEC ?$@W*(B) ; J78-@-572A
(ucs-set-char #x5EEC ?$BW*(B) ; J83-B-572A
(ucs-set-char #x5EEE ?$(Hhr(B) ; C02-H-6872
(ucs-set-char #x5EEF ?$(Hhs(B) ; C02-H-6873
(ucs-set-char #x5EF0 ?$(I\?(B) ; C03-I-5C3F
(ucs-set-char #x5EF0 ?$@W-(B) ; J78-@-572D
(ucs-set-char #x5EF0 ?$BW-(B) ; J83-B-572D
(ucs-set-char #x5EF1 ?$(HkY(B) ; C02-H-6B59
(ucs-set-char #x5EF1 ?$@W+(B) ; J78-@-572B
(ucs-set-char #x5EF1 ?$BW+(B) ; J83-B-572B
(ucs-set-char #x5EF2 ?$(HmM(B) ; C02-H-6D4D
(ucs-set-char #x5EF3 ?$(Ctf(B) ; KS0-C-7466
(ucs-set-char #x5EF3 ?$(G}"(B) ; C01-G-7D22
(ucs-set-char #x5EF3 ?$@W,(B) ; J78-@-572C
(ucs-set-char #x5EF3 ?$BW,(B) ; J83-B-572C
(ucs-set-char #x5EF4 ?$(I!?(B) ; C03-I-213F
(ucs-set-char #x5EF4 ?$@W.(B) ; J78-@-572E
(ucs-set-char #x5EF4 ?$A[H(B) ; GB0-A-5B48
(ucs-set-char #x5EF4 ?$BW.(B) ; J83-B-572E
(ucs-set-char #x5EF5 ?$(I#a(B) ; C03-I-2361
(ucs-set-char #x5EF6 ?$(CfE(B) ; KS0-C-6645
(ucs-set-char #x5EF6 ?$(GM7(B) ; C01-G-4D37
(ucs-set-char #x5EF6 ?$@1d(B) ; J78-@-3164
(ucs-set-char #x5EF6 ?$AQS(B) ; GB0-A-5153
(ucs-set-char #x5EF6 ?$B1d(B) ; J83-B-3164
(ucs-set-char #x5EF7 ?$(CoU(B) ; KS0-C-6F55
(ucs-set-char #x5EF7 ?$(GJ,(B) ; C01-G-4A2C
(ucs-set-char #x5EF7 ?$@Dn(B) ; J78-@-446E
(ucs-set-char #x5EF7 ?$AM"(B) ; GB0-A-4D22
(ucs-set-char #x5EF7 ?$BDn(B) ; J83-B-446E
(ucs-set-char #x5EF8 ?$(I(i(B) ; C03-I-2869
(ucs-set-char #x5EF8 ?$@W/(B) ; J78-@-572F
(ucs-set-char #x5EF8 ?$BW/(B) ; J83-B-572F
(ucs-set-char #x5EF9 ?$(I(k(B) ; C03-I-286B
(ucs-set-char #x5EFA ?$(CKo(B) ; KS0-C-4B6F
(ucs-set-char #x5EFA ?$(GPz(B) ; C01-G-507A
(ucs-set-char #x5EFA ?$@7z(B) ; J78-@-377A
(ucs-set-char #x5EFA ?$A=((B) ; GB0-A-3D28
(ucs-set-char #x5EFA ?$B7z(B) ; J83-B-377A
(ucs-set-char #x5EFB ?$(C|_(B) ; KS0-C-7C5F
(ucs-set-char #x5EFB ?$(I,L(B) ; C03-I-2C4C
(ucs-set-char #x5EFB ?$@2v(B) ; J78-@-3276
(ucs-set-char #x5EFB ?$B2v(B) ; J83-B-3276
(ucs-set-char #x5EFC ?$(I,K(B) ; C03-I-2C4B
(ucs-set-char #x5EFC ?$@G6(B) ; J78-@-4736
(ucs-set-char #x5EFC ?$BG6(B) ; J83-B-4736
(ucs-set-char #x5EFD ?$(I0n(B) ; C03-I-306E
(ucs-set-char #x5EFE ?$(GD\(B) ; C01-G-445C
(ucs-set-char #x5EFE ?$@W0(B) ; J78-@-5730
(ucs-set-char #x5EFE ?$A^C(B) ; GB0-A-5E43
(ucs-set-char #x5EFE ?$BW0(B) ; J83-B-5730
(ucs-set-char #x5EFF ?$(GE=(B) ; C01-G-453D
(ucs-set-char #x5EFF ?$@F{(B) ; J78-@-467B
(ucs-set-char #x5EFF ?$AX%(B) ; GB0-A-5825
(ucs-set-char #x5EFF ?$BF{(B) ; J83-B-467B
(ucs-set-char #x5F00 ?$(J!M(B) ; C04-J-214D
(ucs-set-char #x5F00 ?$A?*(B) ; GB0-A-3F2A
(ucs-set-char #x5F01 ?$(C\'(B) ; KS0-C-5C27
(ucs-set-char #x5F01 ?$(GFO(B) ; C01-G-464F
(ucs-set-char #x5F01 ?$@J[(B) ; J78-@-4A5B
(ucs-set-char #x5F01 ?$A[M(B) ; GB0-A-5B4D
(ucs-set-char #x5F01 ?$BJ[(B) ; J83-B-4A5B
(ucs-set-char #x5F02 ?$(D<\(B) ; J90-D-3C5C
(ucs-set-char #x5F02 ?$(H"=(B) ; C02-H-223D
(ucs-set-char #x5F02 ?$ARl(B) ; GB0-A-526C
(ucs-set-char #x5F03 ?$(I%o(B) ; C03-I-256F
(ucs-set-char #x5F03 ?$@W1(B) ; J78-@-5731
(ucs-set-char #x5F03 ?$AFz(B) ; GB0-A-467A
(ucs-set-char #x5F03 ?$BW1(B) ; J83-B-5731
(ucs-set-char #x5F04 ?$(CVg(B) ; KS0-C-5667
(ucs-set-char #x5F04 ?$(GJ-(B) ; C01-G-4A2D
(ucs-set-char #x5F04 ?$@O.(B) ; J78-@-4F2E
(ucs-set-char #x5F04 ?$AE*(B) ; GB0-A-452A
(ucs-set-char #x5F04 ?$BO.(B) ; J83-B-4F2E
(ucs-set-char #x5F05 ?$(H#r(B) ; C02-H-2372
(ucs-set-char #x5F06 ?$(D<](B) ; J90-D-3C5D
(ucs-set-char #x5F06 ?$(I(m(B) ; C03-I-286D
(ucs-set-char #x5F07 ?$(D<^(B) ; J90-D-3C5E
(ucs-set-char #x5F07 ?$(H*<(B) ; C02-H-2A3C
(ucs-set-char #x5F08 ?$(D<_(B) ; J90-D-3C5F
(ucs-set-char #x5F08 ?$(GP{(B) ; C01-G-507B
(ucs-set-char #x5F08 ?$A^D(B) ; GB0-A-5E44
(ucs-set-char #x5F09 ?$@W2(B) ; J78-@-5732
(ucs-set-char #x5F09 ?$BW2(B) ; J83-B-5732
(ucs-set-char #x5F0A ?$(CxI(B) ; KS0-C-7849
(ucs-set-char #x5F0A ?$(Ghb(B) ; C01-G-6862
(ucs-set-char #x5F0A ?$@J@(B) ; J78-@-4A40
(ucs-set-char #x5F0A ?$A1W(B) ; GB0-A-3157
(ucs-set-char #x5F0A ?$BJ@(B) ; J83-B-4A40
(ucs-set-char #x5F0B ?$(GD](B) ; C01-G-445D
(ucs-set-char #x5F0B ?$@W5(B) ; J78-@-5735
(ucs-set-char #x5F0B ?$A_.(B) ; GB0-A-5F2E
(ucs-set-char #x5F0B ?$BW5(B) ; J83-B-5735
(ucs-set-char #x5F0C ?$(I!d(B) ; C03-I-2164
(ucs-set-char #x5F0C ?$@P!(B) ; J78-@-5021
(ucs-set-char #x5F0C ?$BP!(B) ; J83-B-5021
(ucs-set-char #x5F0D ?$(I"I(B) ; C03-I-2249
(ucs-set-char #x5F0D ?$@P1(B) ; J78-@-5031
(ucs-set-char #x5F0D ?$BP1(B) ; J83-B-5031
(ucs-set-char #x5F0E ?$(D<`(B) ; J90-D-3C60
(ucs-set-char #x5F0E ?$(I#b(B) ; C03-I-2362
(ucs-set-char #x5F0F ?$(CcR(B) ; KS0-C-6352
(ucs-set-char #x5F0F ?$(GH"(B) ; C01-G-4822
(ucs-set-char #x5F0F ?$@<0(B) ; J78-@-3C30
(ucs-set-char #x5F0F ?$AJ=(B) ; GB0-A-4A3D
(ucs-set-char #x5F0F ?$B<0(B) ; J83-B-3C30
(ucs-set-char #x5F10 ?$@Fu(B) ; J78-@-4675
(ucs-set-char #x5F10 ?$BFu(B) ; J83-B-4675
(ucs-set-char #x5F11 ?$(Cc=(B) ; KS0-C-633D
(ucs-set-char #x5F11 ?$(I;B(B) ; C03-I-3B42
(ucs-set-char #x5F11 ?$@W6(B) ; J78-@-5736
(ucs-set-char #x5F11 ?$A_1(B) ; GB0-A-5F31
(ucs-set-char #x5F11 ?$BW6(B) ; J83-B-5736
(ucs-set-char #x5F12 ?$(Gco(B) ; C01-G-636F
(ucs-set-char #x5F13 ?$(COa(B) ; KS0-C-4F61
(ucs-set-char #x5F13 ?$(GD^(B) ; C01-G-445E
(ucs-set-char #x5F13 ?$@5](B) ; J78-@-355D
(ucs-set-char #x5F13 ?$A9-(B) ; GB0-A-392D
(ucs-set-char #x5F13 ?$B5](B) ; J83-B-355D
(ucs-set-char #x5F14 ?$(Cp@(B) ; KS0-C-7040
(ucs-set-char #x5F14 ?$(GE>(B) ; C01-G-453E
(ucs-set-char #x5F14 ?$@D$(B) ; J78-@-4424
(ucs-set-char #x5F14 ?$BD$(B) ; J83-B-4424
(ucs-set-char #x5F15 ?$(ClZ(B) ; KS0-C-6C5A
(ucs-set-char #x5F15 ?$(GE?(B) ; C01-G-453F
(ucs-set-char #x5F15 ?$@0z(B) ; J78-@-307A
(ucs-set-char #x5F15 ?$AR}(B) ; GB0-A-527D
(ucs-set-char #x5F15 ?$B0z(B) ; J83-B-307A
(ucs-set-char #x5F16 ?$@W7(B) ; J78-@-5737
(ucs-set-char #x5F16 ?$BW7(B) ; J83-B-5737
(ucs-set-char #x5F17 ?$(C]W(B) ; KS0-C-5D57
(ucs-set-char #x5F17 ?$(GFQ(B) ; C01-G-4651
(ucs-set-char #x5F17 ?$@J&(B) ; J78-@-4A26
(ucs-set-char #x5F17 ?$A8%(B) ; GB0-A-3825
(ucs-set-char #x5F17 ?$BJ&(B) ; J83-B-4A26
(ucs-set-char #x5F18 ?$(C{p(B) ; KS0-C-7B70
(ucs-set-char #x5F18 ?$(GFP(B) ; C01-G-4650
(ucs-set-char #x5F18 ?$@90(B) ; J78-@-3930
(ucs-set-char #x5F18 ?$A:k(B) ; GB0-A-3A6B
(ucs-set-char #x5F18 ?$B90(B) ; J83-B-3930
(ucs-set-char #x5F19 ?$(D<a(B) ; J90-D-3C61
(ucs-set-char #x5F19 ?$(J"k(B) ; C04-J-226B
(ucs-set-char #x5F1A ?$(H">(B) ; C02-H-223E
(ucs-set-char #x5F1B ?$(Cl,(B) ; KS0-C-6C2C
(ucs-set-char #x5F1B ?$(GH#(B) ; C01-G-4823
(ucs-set-char #x5F1B ?$@CP(B) ; J78-@-4350
(ucs-set-char #x5F1B ?$A3Z(B) ; GB0-A-335A
(ucs-set-char #x5F1B ?$BCP(B) ; J83-B-4350
(ucs-set-char #x5F1C ?$(D<b(B) ; J90-D-3C62
(ucs-set-char #x5F1C ?$(J"l(B) ; C04-J-226C
(ucs-set-char #x5F1D ?$(D<c(B) ; J90-D-3C63
(ucs-set-char #x5F1D ?$(H#s(B) ; C02-H-2373
(ucs-set-char #x5F1E ?$(I%q(B) ; C03-I-2571
(ucs-set-char #x5F1F ?$(Cp)(B) ; KS0-C-7029
(ucs-set-char #x5F1F ?$(GJ.(B) ; C01-G-4A2E
(ucs-set-char #x5F1F ?$@Do(B) ; J78-@-446F
(ucs-set-char #x5F1F ?$A5\(B) ; GB0-A-355C
(ucs-set-char #x5F1F ?$BDo(B) ; J83-B-446F
(ucs-set-char #x5F20 ?$AUE(B) ; GB0-A-5545
(ucs-set-char #x5F21 ?$(D<d(B) ; J90-D-3C64
(ucs-set-char #x5F21 ?$(I(n(B) ; C03-I-286E
(ucs-set-char #x5F22 ?$(D<e(B) ; J90-D-3C65
(ucs-set-char #x5F22 ?$(H&R(B) ; C02-H-2652
(ucs-set-char #x5F23 ?$(D<f(B) ; J90-D-3C66
(ucs-set-char #x5F23 ?$(H&S(B) ; C02-H-2653
(ucs-set-char #x5F24 ?$(D<g(B) ; J90-D-3C67
(ucs-set-char #x5F24 ?$(H&T(B) ; C02-H-2654
(ucs-set-char #x5F25 ?$(I(p(B) ; C03-I-2870
(ucs-set-char #x5F25 ?$@Lo(B) ; J78-@-4C6F
(ucs-set-char #x5F25 ?$ACV(B) ; GB0-A-4356
(ucs-set-char #x5F25 ?$BLo(B) ; J83-B-4C6F
(ucs-set-char #x5F26 ?$(CzW(B) ; KS0-C-7A57
(ucs-set-char #x5F26 ?$(GM8(B) ; C01-G-4D38
(ucs-set-char #x5F26 ?$@89(B) ; J78-@-3839
(ucs-set-char #x5F26 ?$AOR(B) ; GB0-A-4F52
(ucs-set-char #x5F26 ?$B89(B) ; J83-B-3839
(ucs-set-char #x5F27 ?$(C{A(B) ; KS0-C-7B41
(ucs-set-char #x5F27 ?$(GM9(B) ; C01-G-4D39
(ucs-set-char #x5F27 ?$@8L(B) ; J78-@-384C
(ucs-set-char #x5F27 ?$A;!(B) ; GB0-A-3B21
(ucs-set-char #x5F27 ?$B8L(B) ; J83-B-384C
(ucs-set-char #x5F28 ?$(D<h(B) ; J90-D-3C68
(ucs-set-char #x5F28 ?$(H&Q(B) ; C02-H-2651
(ucs-set-char #x5F29 ?$(CR@(B) ; KS0-C-5240
(ucs-set-char #x5F29 ?$(GM:(B) ; C01-G-4D3A
(ucs-set-char #x5F29 ?$@W8(B) ; J78-@-5738
(ucs-set-char #x5F29 ?$Aes(B) ; GB0-A-6573
(ucs-set-char #x5F29 ?$BW8(B) ; J83-B-5738
(ucs-set-char #x5F2A ?$Aer(B) ; GB0-A-6572
(ucs-set-char #x5F2B ?$(D<i(B) ; J90-D-3C69
(ucs-set-char #x5F2B ?$(J),(B) ; C04-J-292C
(ucs-set-char #x5F2C ?$(D<j(B) ; J90-D-3C6A
(ucs-set-char #x5F2C ?$(J,p(B) ; C04-J-2C70
(ucs-set-char #x5F2D ?$(GP|(B) ; C01-G-507C
(ucs-set-char #x5F2D ?$@W9(B) ; J78-@-5739
(ucs-set-char #x5F2D ?$Aet(B) ; GB0-A-6574
(ucs-set-char #x5F2D ?$BW9(B) ; J83-B-5739
(ucs-set-char #x5F2E ?$(D<k(B) ; J90-D-3C6B
(ucs-set-char #x5F2E ?$(H*=(B) ; C02-H-2A3D
(ucs-set-char #x5F2F ?$(I,M(B) ; C03-I-2C4D
(ucs-set-char #x5F2F ?$@W?(B) ; J78-@-573F
(ucs-set-char #x5F2F ?$AMd(B) ; GB0-A-4D64
(ucs-set-char #x5F2F ?$BW?(B) ; J83-B-573F
(ucs-set-char #x5F30 ?$(D<l(B) ; J90-D-3C6C
(ucs-set-char #x5F30 ?$(H.|(B) ; C02-H-2E7C
(ucs-set-char #x5F31 ?$(Ce0(B) ; KS0-C-6530
(ucs-set-char #x5F31 ?$(GU>(B) ; C01-G-553E
(ucs-set-char #x5F31 ?$@<e(B) ; J78-@-3C65
(ucs-set-char #x5F31 ?$AHu(B) ; GB0-A-4875
(ucs-set-char #x5F31 ?$B<e(B) ; J83-B-3C65
(ucs-set-char #x5F32 ?$(I0o(B) ; C03-I-306F
(ucs-set-char #x5F33 ?$(H.{(B) ; C02-H-2E7B
(ucs-set-char #x5F34 ?$(D<m(B) ; J90-D-3C6D
(ucs-set-char #x5F34 ?$(I5b(B) ; C03-I-3562
(ucs-set-char #x5F35 ?$(Cme(B) ; KS0-C-6D65
(ucs-set-char #x5F35 ?$(GZ/(B) ; C01-G-5A2F
(ucs-set-char #x5F35 ?$@D%(B) ; J78-@-4425
(ucs-set-char #x5F35 ?$BD%(B) ; J83-B-4425
(ucs-set-char #x5F36 ?$(D<n(B) ; J90-D-3C6E
(ucs-set-char #x5F36 ?$(H50(B) ; C02-H-3530
(ucs-set-char #x5F37 ?$(GZ0(B) ; C01-G-5A30
(ucs-set-char #x5F37 ?$@6/(B) ; J78-@-362F
(ucs-set-char #x5F37 ?$B6/(B) ; J83-B-362F
(ucs-set-char #x5F38 ?$(H51(B) ; C02-H-3531
(ucs-set-char #x5F38 ?$@W:(B) ; J78-@-573A
(ucs-set-char #x5F38 ?$BW:(B) ; J83-B-573A
(ucs-set-char #x5F39 ?$(I5c(B) ; C03-I-3563
(ucs-set-char #x5F39 ?$A5/(B) ; GB0-A-352F
(ucs-set-char #x5F3A ?$(CK-(B) ; KS0-C-4B2D
(ucs-set-char #x5F3A ?$(I;G(B) ; C03-I-3B47
(ucs-set-char #x5F3A ?$AG?(B) ; GB0-A-473F
(ucs-set-char #x5F3B ?$(D<o(B) ; J90-D-3C6F
(ucs-set-char #x5F3B ?$(I;E(B) ; C03-I-3B45
(ucs-set-char #x5F3C ?$(Cy0(B) ; KS0-C-7930
(ucs-set-char #x5F3C ?$(G_$(B) ; C01-G-5F24
(ucs-set-char #x5F3C ?$@I+(B) ; J78-@-492B
(ucs-set-char #x5F3C ?$Aev(B) ; GB0-A-6576
(ucs-set-char #x5F3C ?$BI+(B) ; J83-B-492B
(ucs-set-char #x5F3D ?$(D<p(B) ; J90-D-3C70
(ucs-set-char #x5F3D ?$(J7E(B) ; C04-J-3745
(ucs-set-char #x5F3E ?$(I;D(B) ; C03-I-3B44
(ucs-set-char #x5F3E ?$@CF(B) ; J78-@-4346
(ucs-set-char #x5F3E ?$BCF(B) ; J83-B-4346
(ucs-set-char #x5F3F ?$(D<q(B) ; J90-D-3C71
(ucs-set-char #x5F3F ?$(J=0(B) ; C04-J-3D30
(ucs-set-char #x5F40 ?$(D<r(B) ; J90-D-3C72
(ucs-set-char #x5F40 ?$(HBh(B) ; C02-H-4268
(ucs-set-char #x5F40 ?$Al0(B) ; GB0-A-6C30
(ucs-set-char #x5F41 ?$@W;(B) ; J78-@-573B
(ucs-set-char #x5F41 ?$BW;(B) ; J83-B-573B
(ucs-set-char #x5F42 ?$(IA"(B) ; C03-I-4122
(ucs-set-char #x5F43 ?$(HJ&(B) ; C02-H-4A26
(ucs-set-char #x5F44 ?$(D<s(B) ; J90-D-3C73
(ucs-set-char #x5F44 ?$(HJ%(B) ; C02-H-4A25
(ucs-set-char #x5F45 ?$(D<t(B) ; J90-D-3C74
(ucs-set-char #x5F46 ?$(Ghc(B) ; C01-G-6863
(ucs-set-char #x5F47 ?$(D<u(B) ; J90-D-3C75
(ucs-set-char #x5F47 ?$(JI^(B) ; C04-J-495E
(ucs-set-char #x5F48 ?$(Cw%(B) ; KS0-C-7725
(ucs-set-char #x5F48 ?$(Gl_(B) ; C01-G-6C5F
(ucs-set-char #x5F48 ?$@W<(B) ; J78-@-573C
(ucs-set-char #x5F48 ?$BW<(B) ; J83-B-573C
(ucs-set-char #x5F49 ?$(HP?(B) ; C02-H-503F
(ucs-set-char #x5F4A ?$(CK.(B) ; KS0-C-4B2E
(ucs-set-char #x5F4A ?$(GpS(B) ; C01-G-7053
(ucs-set-char #x5F4A ?$@60(B) ; J78-@-3630
(ucs-set-char #x5F4A ?$B60(B) ; J83-B-3630
(ucs-set-char #x5F4B ?$(HV~(B) ; C02-H-567E
(ucs-set-char #x5F4C ?$(CZ/(B) ; KS0-C-5A2F
(ucs-set-char #x5F4C ?$(GsZ(B) ; C01-G-735A
(ucs-set-char #x5F4C ?$@W=(B) ; J78-@-573D
(ucs-set-char #x5F4C ?$BW=(B) ; J83-B-573D
(ucs-set-char #x5F4D ?$(D<v(B) ; J90-D-3C76
(ucs-set-char #x5F4D ?$(IWc(B) ; C03-I-5763
(ucs-set-char #x5F4E ?$(CX6(B) ; KS0-C-5836
(ucs-set-char #x5F4E ?$(G{_(B) ; C01-G-7B5F
(ucs-set-char #x5F4E ?$@W>(B) ; J78-@-573E
(ucs-set-char #x5F4E ?$BW>(B) ; J83-B-573E
(ucs-set-char #x5F4F ?$(Ho'(B) ; C02-H-6F27
(ucs-set-char #x5F50 ?$(D<w(B) ; J90-D-3C77
(ucs-set-char #x5F50 ?$(I!@(B) ; C03-I-2140
(ucs-set-char #x5F50 ?$Aef(B) ; GB0-A-6566
(ucs-set-char #x5F51 ?$(I!A(B) ; C03-I-2141
(ucs-set-char #x5F51 ?$@W@(B) ; J78-@-5740
(ucs-set-char #x5F51 ?$BW@(B) ; J83-B-5740
(ucs-set-char #x5F52 ?$(I"J(B) ; C03-I-224A
(ucs-set-char #x5F52 ?$A9i(B) ; GB0-A-3969
(ucs-set-char #x5F53 ?$(I#Q(B) ; C03-I-2351
(ucs-set-char #x5F53 ?$@Ev(B) ; J78-@-4576
(ucs-set-char #x5F53 ?$A51(B) ; GB0-A-3531
(ucs-set-char #x5F53 ?$BEv(B) ; J83-B-4576
(ucs-set-char #x5F54 ?$(D<x(B) ; J90-D-3C78
(ucs-set-char #x5F54 ?$(H&U(B) ; C02-H-2655
(ucs-set-char #x5F55 ?$(I(q(B) ; C03-I-2871
(ucs-set-char #x5F55 ?$AB<(B) ; GB0-A-423C
(ucs-set-char #x5F56 ?$(CS'(B) ; KS0-C-5327
(ucs-set-char #x5F56 ?$(H*>(B) ; C02-H-2A3E
(ucs-set-char #x5F56 ?$@WA(B) ; J78-@-5741
(ucs-set-char #x5F56 ?$Aeh(B) ; GB0-A-6568
(ucs-set-char #x5F56 ?$BWA(B) ; J83-B-5741
(ucs-set-char #x5F57 ?$(C{2(B) ; KS0-C-7B32
(ucs-set-char #x5F57 ?$(GZ1(B) ; C01-G-5A31
(ucs-set-char #x5F57 ?$@WB(B) ; J78-@-5742
(ucs-set-char #x5F57 ?$Aeg(B) ; GB0-A-6567
(ucs-set-char #x5F57 ?$BWB(B) ; J83-B-5742
(ucs-set-char #x5F58 ?$(D<y(B) ; J90-D-3C79
(ucs-set-char #x5F58 ?$(H;X(B) ; C02-H-3B58
(ucs-set-char #x5F58 ?$Aei(B) ; GB0-A-6569
(ucs-set-char #x5F59 ?$(C}D(B) ; KS0-C-7D44
(ucs-set-char #x5F59 ?$(Gcp(B) ; C01-G-6370
(ucs-set-char #x5F59 ?$@WC(B) ; J78-@-5743
(ucs-set-char #x5F59 ?$BWC(B) ; J83-B-5743
(ucs-set-char #x5F5A ?$(IA#(B) ; C03-I-4123
(ucs-set-char #x5F5B ?$(Cl-(B) ; KS0-C-6C2D
(ucs-set-char #x5F5B ?$(D<z(B) ; J90-D-3C7A
(ucs-set-char #x5F5B ?$(IP^(B) ; C03-I-505E
(ucs-set-char #x5F5C ?$@W4(B) ; J78-@-5734
(ucs-set-char #x5F5C ?$BW4(B) ; J83-B-5734
(ucs-set-char #x5F5D ?$(IWd(B) ; C03-I-5764
(ucs-set-char #x5F5D ?$@W3(B) ; J78-@-5733
(ucs-set-char #x5F5D ?$ARM(B) ; GB0-A-524D
(ucs-set-char #x5F5D ?$BW3(B) ; J83-B-5733
(ucs-set-char #x5F5E ?$(GvA(B) ; C01-G-7641
(ucs-set-char #x5F60 ?$(D<{(B) ; J90-D-3C7B
(ucs-set-char #x5F60 ?$(Iad(B) ; C03-I-6164
(ucs-set-char #x5F61 ?$(I!B(B) ; C03-I-2142
(ucs-set-char #x5F61 ?$@WD(B) ; J78-@-5744
(ucs-set-char #x5F61 ?$Aaj(B) ; GB0-A-616A
(ucs-set-char #x5F61 ?$BWD(B) ; J83-B-5744
(ucs-set-char #x5F62 ?$(C{!(B) ; KS0-C-7B21
(ucs-set-char #x5F62 ?$(GJ0(B) ; C01-G-4A30
(ucs-set-char #x5F62 ?$@7A(B) ; J78-@-3741
(ucs-set-char #x5F62 ?$APN(B) ; GB0-A-504E
(ucs-set-char #x5F62 ?$B7A(B) ; J83-B-3741
(ucs-set-char #x5F63 ?$(D<|(B) ; J90-D-3C7C
(ucs-set-char #x5F63 ?$(I%r(B) ; C03-I-2572
(ucs-set-char #x5F64 ?$(D<}(B) ; J90-D-3C7D
(ucs-set-char #x5F64 ?$(GJ/(B) ; C01-G-4A2F
(ucs-set-char #x5F64 ?$AM.(B) ; GB0-A-4D2E
(ucs-set-char #x5F65 ?$(GP}(B) ; C01-G-507D
(ucs-set-char #x5F66 ?$(Cei(B) ; KS0-C-6569
(ucs-set-char #x5F66 ?$(I,P(B) ; C03-I-2C50
(ucs-set-char #x5F66 ?$@I'(B) ; J78-@-4927
(ucs-set-char #x5F66 ?$AQe(B) ; GB0-A-5165
(ucs-set-char #x5F66 ?$BI'(B) ; J83-B-4927
(ucs-set-char #x5F67 ?$(Cin(B) ; KS0-C-696E
(ucs-set-char #x5F67 ?$(D<~(B) ; J90-D-3C7E
(ucs-set-char #x5F67 ?$(H.}(B) ; C02-H-2E7D
(ucs-set-char #x5F69 ?$(Cst(B) ; KS0-C-7374
(ucs-set-char #x5F69 ?$(GZ3(B) ; C01-G-5A33
(ucs-set-char #x5F69 ?$@:L(B) ; J78-@-3A4C
(ucs-set-char #x5F69 ?$A2J(B) ; GB0-A-324A
(ucs-set-char #x5F69 ?$B:L(B) ; J83-B-3A4C
(ucs-set-char #x5F6A ?$(Cxs(B) ; KS0-C-7873
(ucs-set-char #x5F6A ?$(G])(B) ; C01-G-5D29
(ucs-set-char #x5F6A ?$@I7(B) ; J78-@-4937
(ucs-set-char #x5F6A ?$A1k(B) ; GB0-A-316B
(ucs-set-char #x5F6A ?$BI7(B) ; J83-B-4937
(ucs-set-char #x5F6B ?$(CpA(B) ; KS0-C-7041
(ucs-set-char #x5F6B ?$(GZ4(B) ; C01-G-5A34
(ucs-set-char #x5F6B ?$@D&(B) ; J78-@-4426
(ucs-set-char #x5F6B ?$BD&(B) ; J83-B-4426
(ucs-set-char #x5F6C ?$(C^/(B) ; KS0-C-5E2F
(ucs-set-char #x5F6C ?$(GZ2(B) ; C01-G-5A32
(ucs-set-char #x5F6C ?$@IK(B) ; J78-@-494B
(ucs-set-char #x5F6C ?$A1r(B) ; GB0-A-3172
(ucs-set-char #x5F6C ?$BIK(B) ; J83-B-494B
(ucs-set-char #x5F6D ?$(Cx0(B) ; KS0-C-7830
(ucs-set-char #x5F6D ?$(G_%(B) ; C01-G-5F25
(ucs-set-char #x5F6D ?$@WE(B) ; J78-@-5745
(ucs-set-char #x5F6D ?$AEm(B) ; GB0-A-456D
(ucs-set-char #x5F6D ?$BWE(B) ; J83-B-5745
(ucs-set-char #x5F6E ?$(IA$(B) ; C03-I-4124
(ucs-set-char #x5F6F ?$(D=!(B) ; J90-D-3D21
(ucs-set-char #x5F6F ?$(HJ'(B) ; C02-H-4A27
(ucs-set-char #x5F70 ?$(Cs`(B) ; KS0-C-7360
(ucs-set-char #x5F70 ?$(Ghd(B) ; C01-G-6864
(ucs-set-char #x5F70 ?$@>4(B) ; J78-@-3E34
(ucs-set-char #x5F70 ?$AUC(B) ; GB0-A-5543
(ucs-set-char #x5F70 ?$B>4(B) ; J83-B-3E34
(ucs-set-char #x5F71 ?$(Cg/(B) ; KS0-C-672F
(ucs-set-char #x5F71 ?$(Gl`(B) ; C01-G-6C60
(ucs-set-char #x5F71 ?$@1F(B) ; J78-@-3146
(ucs-set-char #x5F71 ?$AS0(B) ; GB0-A-5330
(ucs-set-char #x5F71 ?$B1F(B) ; J83-B-3146
(ucs-set-char #x5F72 ?$(D="(B) ; J90-D-3D22
(ucs-set-char #x5F72 ?$(I_E(B) ; C03-I-5F45
(ucs-set-char #x5F73 ?$(H!,(B) ; C02-H-212C
(ucs-set-char #x5F73 ?$@WF(B) ; J78-@-5746
(ucs-set-char #x5F73 ?$Aa\(B) ; GB0-A-615C
(ucs-set-char #x5F73 ?$BWF(B) ; J83-B-5746
(ucs-set-char #x5F74 ?$(D=#(B) ; J90-D-3D23
(ucs-set-char #x5F74 ?$(H"?(B) ; C02-H-223F
(ucs-set-char #x5F75 ?$(D=$(B) ; J90-D-3D24
(ucs-set-char #x5F75 ?$(J"m(B) ; C04-J-226D
(ucs-set-char #x5F76 ?$(H#u(B) ; C02-H-2375
(ucs-set-char #x5F77 ?$(C[-(B) ; KS0-C-5B2D
(ucs-set-char #x5F77 ?$(GJ1(B) ; C01-G-4A31
(ucs-set-char #x5F77 ?$@WG(B) ; J78-@-5747
(ucs-set-char #x5F77 ?$Aa](B) ; GB0-A-615D
(ucs-set-char #x5F77 ?$BWG(B) ; J83-B-5747
(ucs-set-char #x5F78 ?$(D=%(B) ; J90-D-3D25
(ucs-set-char #x5F78 ?$(H#t(B) ; C02-H-2374
(ucs-set-char #x5F79 ?$(Cf5(B) ; KS0-C-6635
(ucs-set-char #x5F79 ?$(GJ2(B) ; C01-G-4A32
(ucs-set-char #x5F79 ?$@Lr(B) ; J78-@-4C72
(ucs-set-char #x5F79 ?$AR[(B) ; GB0-A-525B
(ucs-set-char #x5F79 ?$BLr(B) ; J83-B-4C72
(ucs-set-char #x5F7A ?$(D=&(B) ; J90-D-3D26
(ucs-set-char #x5F7A ?$(J$,(B) ; C04-J-242C
(ucs-set-char #x5F7B ?$A39(B) ; GB0-A-3339
(ucs-set-char #x5F7C ?$(Cy((B) ; KS0-C-7928
(ucs-set-char #x5F7C ?$(GM>(B) ; C01-G-4D3E
(ucs-set-char #x5F7C ?$@H`(B) ; J78-@-4860
(ucs-set-char #x5F7C ?$A1K(B) ; GB0-A-314B
(ucs-set-char #x5F7C ?$BH`(B) ; J83-B-4860
(ucs-set-char #x5F7D ?$(D='(B) ; J90-D-3D27
(ucs-set-char #x5F7D ?$(H&X(B) ; C02-H-2658
(ucs-set-char #x5F7E ?$(D=((B) ; J90-D-3D28
(ucs-set-char #x5F7E ?$(H&W(B) ; C02-H-2657
(ucs-set-char #x5F7F ?$(C]X(B) ; KS0-C-5D58
(ucs-set-char #x5F7F ?$(GM=(B) ; C01-G-4D3D
(ucs-set-char #x5F7F ?$@WJ(B) ; J78-@-574A
(ucs-set-char #x5F7F ?$BWJ(B) ; J83-B-574A
(ucs-set-char #x5F80 ?$(ChY(B) ; KS0-C-6859
(ucs-set-char #x5F80 ?$(GM;(B) ; C01-G-4D3B
(ucs-set-char #x5F80 ?$@1}(B) ; J78-@-317D
(ucs-set-char #x5F80 ?$AMy(B) ; GB0-A-4D79
(ucs-set-char #x5F80 ?$B1}(B) ; J83-B-317D
(ucs-set-char #x5F81 ?$(CoV(B) ; KS0-C-6F56
(ucs-set-char #x5F81 ?$(GM<(B) ; C01-G-4D3C
(ucs-set-char #x5F81 ?$@@,(B) ; J78-@-402C
(ucs-set-char #x5F81 ?$AUw(B) ; GB0-A-5577
(ucs-set-char #x5F81 ?$B@,(B) ; J83-B-402C
(ucs-set-char #x5F82 ?$(H&V(B) ; C02-H-2656
(ucs-set-char #x5F82 ?$@WI(B) ; J78-@-5749
(ucs-set-char #x5F82 ?$Aa^(B) ; GB0-A-615E
(ucs-set-char #x5F82 ?$BWI(B) ; J83-B-5749
(ucs-set-char #x5F83 ?$(I(v(B) ; C03-I-2876
(ucs-set-char #x5F83 ?$@WH(B) ; J78-@-5748
(ucs-set-char #x5F83 ?$BWH(B) ; J83-B-5748
(ucs-set-char #x5F84 ?$(I(u(B) ; C03-I-2875
(ucs-set-char #x5F84 ?$@7B(B) ; J78-@-3742
(ucs-set-char #x5F84 ?$A>6(B) ; GB0-A-3E36
(ucs-set-char #x5F84 ?$B7B(B) ; J83-B-3742
(ucs-set-char #x5F85 ?$(CSb(B) ; KS0-C-5362
(ucs-set-char #x5F85 ?$(GQ!(B) ; C01-G-5121
(ucs-set-char #x5F85 ?$@BT(B) ; J78-@-4254
(ucs-set-char #x5F85 ?$A4}(B) ; GB0-A-347D
(ucs-set-char #x5F85 ?$BBT(B) ; J83-B-4254
(ucs-set-char #x5F86 ?$(H*?(B) ; C02-H-2A3F
(ucs-set-char #x5F87 ?$(Cb_(B) ; KS0-C-625F
(ucs-set-char #x5F87 ?$(GQ$(B) ; C01-G-5124
(ucs-set-char #x5F87 ?$@WN(B) ; J78-@-574E
(ucs-set-char #x5F87 ?$Aa_(B) ; GB0-A-615F
(ucs-set-char #x5F87 ?$BWN(B) ; J83-B-574E
(ucs-set-char #x5F88 ?$(GP~(B) ; C01-G-507E
(ucs-set-char #x5F88 ?$@WL(B) ; J78-@-574C
(ucs-set-char #x5F88 ?$A:\(B) ; GB0-A-3A5C
(ucs-set-char #x5F88 ?$BWL(B) ; J83-B-574C
(ucs-set-char #x5F89 ?$(D=)(B) ; J90-D-3D29
(ucs-set-char #x5F89 ?$(GQ&(B) ; C01-G-5126
(ucs-set-char #x5F89 ?$Aa`(B) ; GB0-A-6160
(ucs-set-char #x5F8A ?$(C|`(B) ; KS0-C-7C60
(ucs-set-char #x5F8A ?$(GQ"(B) ; C01-G-5122
(ucs-set-char #x5F8A ?$@WK(B) ; J78-@-574B
(ucs-set-char #x5F8A ?$A;2(B) ; GB0-A-3B32
(ucs-set-char #x5F8A ?$BWK(B) ; J83-B-574B
(ucs-set-char #x5F8B ?$(CWH(B) ; KS0-C-5748
(ucs-set-char #x5F8B ?$(GQ#(B) ; C01-G-5123
(ucs-set-char #x5F8B ?$@N'(B) ; J78-@-4E27
(ucs-set-char #x5F8B ?$ABI(B) ; GB0-A-4249
(ucs-set-char #x5F8B ?$BN'(B) ; J83-B-4E27
(ucs-set-char #x5F8C ?$(C}-(B) ; KS0-C-7D2D
(ucs-set-char #x5F8C ?$(GQ%(B) ; C01-G-5125
(ucs-set-char #x5F8C ?$@8e(B) ; J78-@-3865
(ucs-set-char #x5F8C ?$Aaa(B) ; GB0-A-6161
(ucs-set-char #x5F8C ?$B8e(B) ; J83-B-3865
(ucs-set-char #x5F8D ?$(D=*(B) ; J90-D-3D2A
(ucs-set-char #x5F8D ?$(J)1(B) ; C04-J-2931
(ucs-set-char #x5F8E ?$(I0p(B) ; C03-I-3070
(ucs-set-char #x5F8F ?$(D=+(B) ; J90-D-3D2B
(ucs-set-char #x5F8F ?$(I0r(B) ; C03-I-3072
(ucs-set-char #x5F90 ?$(C_o(B) ; KS0-C-5F6F
(ucs-set-char #x5F90 ?$(GUA(B) ; C01-G-5541
(ucs-set-char #x5F90 ?$@=y(B) ; J78-@-3D79
(ucs-set-char #x5F90 ?$APl(B) ; GB0-A-506C
(ucs-set-char #x5F90 ?$B=y(B) ; J83-B-3D79
(ucs-set-char #x5F91 ?$(CLS(B) ; KS0-C-4C53
(ucs-set-char #x5F91 ?$(GU@(B) ; C01-G-5540
(ucs-set-char #x5F91 ?$@WM(B) ; J78-@-574D
(ucs-set-char #x5F91 ?$BWM(B) ; J83-B-574D
(ucs-set-char #x5F92 ?$(CSy(B) ; KS0-C-5379
(ucs-set-char #x5F92 ?$(GU?(B) ; C01-G-553F
(ucs-set-char #x5F92 ?$@EL(B) ; J78-@-454C
(ucs-set-char #x5F92 ?$AM=(B) ; GB0-A-4D3D
(ucs-set-char #x5F92 ?$BEL(B) ; J83-B-454C
(ucs-set-char #x5F93 ?$(I0q(B) ; C03-I-3071
(ucs-set-char #x5F93 ?$@=>(B) ; J78-@-3D3E
(ucs-set-char #x5F93 ?$B=>(B) ; J83-B-3D3E
(ucs-set-char #x5F95 ?$Aab(B) ; GB0-A-6162
(ucs-set-char #x5F96 ?$(D=,(B) ; J90-D-3D2C
(ucs-set-char #x5F96 ?$(H53(B) ; C02-H-3533
(ucs-set-char #x5F97 ?$(CTp(B) ; KS0-C-5470
(ucs-set-char #x5F97 ?$(GZ5(B) ; C01-G-5A35
(ucs-set-char #x5F97 ?$@F@(B) ; J78-@-4640
(ucs-set-char #x5F97 ?$A5C(B) ; GB0-A-3543
(ucs-set-char #x5F97 ?$BF@(B) ; J83-B-4640
(ucs-set-char #x5F98 ?$(C[G(B) ; KS0-C-5B47
(ucs-set-char #x5F98 ?$(GZ8(B) ; C01-G-5A38
(ucs-set-char #x5F98 ?$@WQ(B) ; J78-@-5751
(ucs-set-char #x5F98 ?$AEG(B) ; GB0-A-4547
(ucs-set-char #x5F98 ?$BWQ(B) ; J83-B-5751
(ucs-set-char #x5F99 ?$(C^U(B) ; KS0-C-5E55
(ucs-set-char #x5F99 ?$(GZ6(B) ; C01-G-5A36
(ucs-set-char #x5F99 ?$@WP(B) ; J78-@-5750
(ucs-set-char #x5F99 ?$Aac(B) ; GB0-A-6163
(ucs-set-char #x5F99 ?$BWP(B) ; J83-B-5750
(ucs-set-char #x5F9B ?$(H52(B) ; C02-H-3532
(ucs-set-char #x5F9C ?$(D=-(B) ; J90-D-3D2D
(ucs-set-char #x5F9C ?$(GZ;(B) ; C01-G-5A3B
(ucs-set-char #x5F9C ?$Aad(B) ; GB0-A-6164
(ucs-set-char #x5F9D ?$(D=.(B) ; J90-D-3D2E
(ucs-set-char #x5F9D ?$(J1S(B) ; C04-J-3153
(ucs-set-char #x5F9E ?$(Cpt(B) ; KS0-C-7074
(ucs-set-char #x5F9E ?$(GZ7(B) ; C01-G-5A37
(ucs-set-char #x5F9E ?$@WO(B) ; J78-@-574F
(ucs-set-char #x5F9E ?$BWO(B) ; J83-B-574F
(ucs-set-char #x5F9F ?$(H54(B) ; C02-H-3534
(ucs-set-char #x5FA0 ?$(CUP(B) ; KS0-C-5550
(ucs-set-char #x5FA0 ?$(GZ:(B) ; C01-G-5A3A
(ucs-set-char #x5FA0 ?$@WR(B) ; J78-@-5752
(ucs-set-char #x5FA0 ?$BWR(B) ; J83-B-5752
(ucs-set-char #x5FA1 ?$(CeY(B) ; KS0-C-6559
(ucs-set-char #x5FA1 ?$(GZ9(B) ; C01-G-5A39
(ucs-set-char #x5FA1 ?$@8f(B) ; J78-@-3866
(ucs-set-char #x5FA1 ?$ASy(B) ; GB0-A-5379
(ucs-set-char #x5FA1 ?$B8f(B) ; J83-B-3866
(ucs-set-char #x5FA2 ?$(D=/(B) ; J90-D-3D2F
(ucs-set-char #x5FA2 ?$(J1R(B) ; C04-J-3152
(ucs-set-char #x5FA3 ?$(J1W(B) ; C04-J-3157
(ucs-set-char #x5FA4 ?$(D=2(B) ; J90-D-3D32
(ucs-set-char #x5FA4 ?$(J7J(B) ; C04-J-374A
(ucs-set-char #x5FA5 ?$(H;Z(B) ; C02-H-3B5A
(ucs-set-char #x5FA6 ?$(H;Y(B) ; C02-H-3B59
(ucs-set-char #x5FA7 ?$(D=0(B) ; J90-D-3D30
(ucs-set-char #x5FA7 ?$(I;K(B) ; C03-I-3B4B
(ucs-set-char #x5FA8 ?$(C|G(B) ; KS0-C-7C47
(ucs-set-char #x5FA8 ?$(G_((B) ; C01-G-5F28
(ucs-set-char #x5FA8 ?$@WS(B) ; J78-@-5753
(ucs-set-char #x5FA8 ?$Aae(B) ; GB0-A-6165
(ucs-set-char #x5FA8 ?$BWS(B) ; J83-B-5753
(ucs-set-char #x5FA9 ?$(C\V(B) ; KS0-C-5C56
(ucs-set-char #x5FA9 ?$(G_&(B) ; C01-G-5F26
(ucs-set-char #x5FA9 ?$@I|(B) ; J78-@-497C
(ucs-set-char #x5FA9 ?$BI|(B) ; J83-B-497C
(ucs-set-char #x5FAA ?$(Cb`(B) ; KS0-C-6260
(ucs-set-char #x5FAA ?$(G_'(B) ; C01-G-5F27
(ucs-set-char #x5FAA ?$@=[(B) ; J78-@-3D5B
(ucs-set-char #x5FAA ?$AQ-(B) ; GB0-A-512D
(ucs-set-char #x5FAA ?$B=[(B) ; J83-B-3D5B
(ucs-set-char #x5FAB ?$(D=1(B) ; J90-D-3D31
(ucs-set-char #x5FAB ?$(H;[(B) ; C02-H-3B5B
(ucs-set-char #x5FAC ?$(D=3(B) ; J90-D-3D33
(ucs-set-char #x5FAC ?$(Gcq(B) ; C01-G-6371
(ucs-set-char #x5FAD ?$(HBj(B) ; C02-H-426A
(ucs-set-char #x5FAD ?$@WT(B) ; J78-@-5754
(ucs-set-char #x5FAD ?$Aaf(B) ; GB0-A-6166
(ucs-set-char #x5FAD ?$BWT(B) ; J83-B-5754
(ucs-set-char #x5FAE ?$(CZ0(B) ; KS0-C-5A30
(ucs-set-char #x5FAE ?$(Gcr(B) ; C01-G-6372
(ucs-set-char #x5FAE ?$@Hy(B) ; J78-@-4879
(ucs-set-char #x5FAE ?$AN"(B) ; GB0-A-4E22
(ucs-set-char #x5FAE ?$BHy(B) ; J83-B-4879
(ucs-set-char #x5FAF ?$(D=4(B) ; J90-D-3D34
(ucs-set-char #x5FAF ?$(HBi(B) ; C02-H-4269
(ucs-set-char #x5FB0 ?$(D=5(B) ; J90-D-3D35
(ucs-set-char #x5FB0 ?$(J=4(B) ; C04-J-3D34
(ucs-set-char #x5FB1 ?$(D=6(B) ; J90-D-3D36
(ucs-set-char #x5FB1 ?$(JC?(B) ; C04-J-433F
(ucs-set-char #x5FB2 ?$(HP@(B) ; C02-H-5040
(ucs-set-char #x5FB3 ?$(IFc(B) ; C03-I-4663
(ucs-set-char #x5FB3 ?$@FA(B) ; J78-@-4641
(ucs-set-char #x5FB3 ?$BFA(B) ; J83-B-4641
(ucs-set-char #x5FB4 ?$(IFd(B) ; C03-I-4664
(ucs-set-char #x5FB4 ?$@D'(B) ; J78-@-4427
(ucs-set-char #x5FB4 ?$BD'(B) ; J83-B-4427
(ucs-set-char #x5FB5 ?$(Cs#(B) ; KS0-C-7323
(ucs-set-char #x5FB5 ?$(Glb(B) ; C01-G-6C62
(ucs-set-char #x5FB5 ?$Aag(B) ; GB0-A-6167
(ucs-set-char #x5FB6 ?$(HJ((B) ; C02-H-4A28
(ucs-set-char #x5FB7 ?$(CSl(B) ; KS0-C-536C
(ucs-set-char #x5FB7 ?$(Gla(B) ; C01-G-6C61
(ucs-set-char #x5FB7 ?$A5B(B) ; GB0-A-3542
(ucs-set-char #x5FB8 ?$(D=7(B) ; J90-D-3D37
(ucs-set-char #x5FB8 ?$(IKr(B) ; C03-I-4B72
(ucs-set-char #x5FB9 ?$(CtK(B) ; KS0-C-744B
(ucs-set-char #x5FB9 ?$(Ghe(B) ; C01-G-6865
(ucs-set-char #x5FB9 ?$@E0(B) ; J78-@-4530
(ucs-set-char #x5FB9 ?$BE0(B) ; J83-B-4530
(ucs-set-char #x5FBB ?$(HW"(B) ; C02-H-5722
(ucs-set-char #x5FBC ?$(HW!(B) ; C02-H-5721
(ucs-set-char #x5FBC ?$@WU(B) ; J78-@-5755
(ucs-set-char #x5FBC ?$Aah(B) ; GB0-A-6168
(ucs-set-char #x5FBC ?$BWU(B) ; J83-B-5755
(ucs-set-char #x5FBD ?$(C}E(B) ; KS0-C-7D45
(ucs-set-char #x5FBD ?$(Gs[(B) ; C01-G-735B
(ucs-set-char #x5FBD ?$@5+(B) ; J78-@-352B
(ucs-set-char #x5FBD ?$A;U(B) ; GB0-A-3B55
(ucs-set-char #x5FBD ?$B5+(B) ; J83-B-352B
(ucs-set-char #x5FBE ?$(H\i(B) ; C02-H-5C69
(ucs-set-char #x5FBF ?$(HeK(B) ; C02-H-654B
(ucs-set-char #x5FC0 ?$(Hht(B) ; C02-H-6874
(ucs-set-char #x5FC1 ?$(Hhu(B) ; C02-H-6875
(ucs-set-char #x5FC2 ?$(I^/(B) ; C03-I-5E2F
(ucs-set-char #x5FC3 ?$(Cc}(B) ; KS0-C-637D
(ucs-set-char #x5FC3 ?$(GE@(B) ; C01-G-4540
(ucs-set-char #x5FC3 ?$@?4(B) ; J78-@-3F34
(ucs-set-char #x5FC3 ?$APD(B) ; GB0-A-5044
(ucs-set-char #x5FC3 ?$B?4(B) ; J83-B-3F34
(ucs-set-char #x5FC4 ?$(D=8(B) ; J90-D-3D38
(ucs-set-char #x5FC4 ?$(J!6(B) ; C04-J-2136
(ucs-set-char #x5FC4 ?$Ab`(B) ; GB0-A-6260
(ucs-set-char #x5FC5 ?$(Cy1(B) ; KS0-C-7931
(ucs-set-char #x5FC5 ?$(GFR(B) ; C01-G-4652
(ucs-set-char #x5FC5 ?$@I,(B) ; J78-@-492C
(ucs-set-char #x5FC5 ?$A1X(B) ; GB0-A-3158
(ucs-set-char #x5FC5 ?$BI,(B) ; J83-B-492C
(ucs-set-char #x5FC6 ?$ARd(B) ; GB0-A-5264
(ucs-set-char #x5FC7 ?$(D=9(B) ; J90-D-3D39
(ucs-set-char #x5FC7 ?$(I"M(B) ; C03-I-224D
(ucs-set-char #x5FC8 ?$(D=:(B) ; J90-D-3D3A
(ucs-set-char #x5FC8 ?$(J"q(B) ; C04-J-2271
(ucs-set-char #x5FC9 ?$(D=;(B) ; J90-D-3D3B
(ucs-set-char #x5FC9 ?$(H!\(B) ; C02-H-215C
(ucs-set-char #x5FC9 ?$Aba(B) ; GB0-A-6261
(ucs-set-char #x5FCA ?$(I"L(B) ; C03-I-224C
(ucs-set-char #x5FCB ?$(D=<(B) ; J90-D-3D3C
(ucs-set-char #x5FCB ?$(K"f(B) ; C05-K-2266
(ucs-set-char #x5FCC ?$(CP{(B) ; KS0-C-507B
(ucs-set-char #x5FCC ?$(GJ4(B) ; C01-G-4A34
(ucs-set-char #x5FCC ?$@4w(B) ; J78-@-3477
(ucs-set-char #x5FCC ?$A<I(B) ; GB0-A-3C49
(ucs-set-char #x5FCC ?$B4w(B) ; J83-B-3477
(ucs-set-char #x5FCD ?$(Cl[(B) ; KS0-C-6C5B
(ucs-set-char #x5FCD ?$(GJ6(B) ; C01-G-4A36
(ucs-set-char #x5FCD ?$(L'_(B) ; C06-L-275F
(ucs-set-char #x5FCD ?$@G&(B) ; J78-@-4726
(ucs-set-char #x5FCD ?$AHL(B) ; GB0-A-484C
(ucs-set-char #x5FCD ?$BG&(B) ; J83-B-4726
(ucs-set-char #x5FCE ?$(I%x(B) ; C03-I-2578
(ucs-set-char #x5FCF ?$(H"B(B) ; C02-H-2242
(ucs-set-char #x5FCF ?$Abc(B) ; GB0-A-6263
(ucs-set-char #x5FD0 ?$(D==(B) ; J90-D-3D3D
(ucs-set-char #x5FD0 ?$(H#x(B) ; C02-H-2378
(ucs-set-char #x5FD0 ?$Al~(B) ; GB0-A-6C7E
(ucs-set-char #x5FD1 ?$(D=>(B) ; J90-D-3D3E
(ucs-set-char #x5FD1 ?$(H#w(B) ; C02-H-2377
(ucs-set-char #x5FD1 ?$Al}(B) ; GB0-A-6C7D
(ucs-set-char #x5FD2 ?$(D=?(B) ; J90-D-3D3F
(ucs-set-char #x5FD2 ?$(H#v(B) ; C02-H-2376
(ucs-set-char #x5FD2 ?$A_/(B) ; GB0-A-5F2F
(ucs-set-char #x5FD3 ?$(D=@(B) ; J90-D-3D40
(ucs-set-char #x5FD3 ?$(I#f(B) ; C03-I-2366
(ucs-set-char #x5FD4 ?$(D=A(B) ; J90-D-3D41
(ucs-set-char #x5FD4 ?$(H"A(B) ; C02-H-2241
(ucs-set-char #x5FD5 ?$(H"@(B) ; C02-H-2240
(ucs-set-char #x5FD6 ?$(Cu<(B) ; KS0-C-753C
(ucs-set-char #x5FD6 ?$(GH%(B) ; C01-G-4825
(ucs-set-char #x5FD6 ?$@WV(B) ; J78-@-5756
(ucs-set-char #x5FD6 ?$Abb(B) ; GB0-A-6262
(ucs-set-char #x5FD6 ?$BWV(B) ; J83-B-5756
(ucs-set-char #x5FD7 ?$(Cr$(B) ; KS0-C-7224
(ucs-set-char #x5FD7 ?$(GJ5(B) ; C01-G-4A35
(ucs-set-char #x5FD7 ?$@;V(B) ; J78-@-3B56
(ucs-set-char #x5FD7 ?$AV>(B) ; GB0-A-563E
(ucs-set-char #x5FD7 ?$B;V(B) ; J83-B-3B56
(ucs-set-char #x5FD8 ?$(CXN(B) ; KS0-C-584E
(ucs-set-char #x5FD8 ?$(GJ3(B) ; C01-G-4A33
(ucs-set-char #x5FD8 ?$@K:(B) ; J78-@-4B3A
(ucs-set-char #x5FD8 ?$AM|(B) ; GB0-A-4D7C
(ucs-set-char #x5FD8 ?$BK:(B) ; J83-B-4B3A
(ucs-set-char #x5FD9 ?$(CXO(B) ; KS0-C-584F
(ucs-set-char #x5FD9 ?$(GH$(B) ; C01-G-4824
(ucs-set-char #x5FD9 ?$@K;(B) ; J78-@-4B3B
(ucs-set-char #x5FD9 ?$AC&(B) ; GB0-A-4326
(ucs-set-char #x5FD9 ?$BK;(B) ; J83-B-4B3B
(ucs-set-char #x5FDA ?$(I#g(B) ; C03-I-2367
(ucs-set-char #x5FDB ?$(I#i(B) ; C03-I-2369
(ucs-set-char #x5FDC ?$(I%w(B) ; C03-I-2577
(ucs-set-char #x5FDC ?$@1~(B) ; J78-@-317E
(ucs-set-char #x5FDC ?$B1~(B) ; J83-B-317E
(ucs-set-char #x5FDD ?$(GM?(B) ; C01-G-4D3F
(ucs-set-char #x5FDD ?$@W[(B) ; J78-@-575B
(ucs-set-char #x5FDD ?$AcC(B) ; GB0-A-6343
(ucs-set-char #x5FDD ?$BW[(B) ; J83-B-575B
(ucs-set-char #x5FDE ?$(D=B(B) ; J90-D-3D42
(ucs-set-char #x5FDE ?$(H&Y(B) ; C02-H-2659
(ucs-set-char #x5FDF ?$(I%{(B) ; C03-I-257B
(ucs-set-char #x5FE0 ?$(Cuw(B) ; KS0-C-7577
(ucs-set-char #x5FE0 ?$(GM@(B) ; C01-G-4D40
(ucs-set-char #x5FE0 ?$@Ci(B) ; J78-@-4369
(ucs-set-char #x5FE0 ?$AVR(B) ; GB0-A-5652
(ucs-set-char #x5FE0 ?$BCi(B) ; J83-B-4369
(ucs-set-char #x5FE1 ?$(D=C(B) ; J90-D-3D43
(ucs-set-char #x5FE1 ?$(H#}(B) ; C02-H-237D
(ucs-set-char #x5FE1 ?$Abg(B) ; GB0-A-6267
(ucs-set-char #x5FE2 ?$(D=D(B) ; J90-D-3D44
(ucs-set-char #x5FE2 ?$(J&P(B) ; C04-J-2650
(ucs-set-char #x5FE3 ?$(H$!(B) ; C02-H-2421
(ucs-set-char #x5FE4 ?$(H#~(B) ; C02-H-237E
(ucs-set-char #x5FE4 ?$@WX(B) ; J78-@-5758
(ucs-set-char #x5FE4 ?$Abh(B) ; GB0-A-6268
(ucs-set-char #x5FE4 ?$BWX(B) ; J83-B-5758
(ucs-set-char #x5FE5 ?$(H&Z(B) ; C02-H-265A
(ucs-set-char #x5FE6 ?$(I%v(B) ; C03-I-2576
(ucs-set-char #x5FE7 ?$(I%t(B) ; C03-I-2574
(ucs-set-char #x5FE7 ?$ASG(B) ; GB0-A-5347
(ucs-set-char #x5FE8 ?$(D=E(B) ; J90-D-3D45
(ucs-set-char #x5FE8 ?$(H#z(B) ; C02-H-237A
(ucs-set-char #x5FE9 ?$(D=F(B) ; J90-D-3D46
(ucs-set-char #x5FE9 ?$(I(~(B) ; C03-I-287E
(ucs-set-char #x5FEA ?$(D=G(B) ; J90-D-3D47
(ucs-set-char #x5FEA ?$(GJ:(B) ; C01-G-4A3A
(ucs-set-char #x5FEA ?$Abl(B) ; GB0-A-626C
(ucs-set-char #x5FEB ?$(Cva(B) ; KS0-C-7661
(ucs-set-char #x5FEB ?$(GJ8(B) ; C01-G-4A38
(ucs-set-char #x5FEB ?$@2w(B) ; J78-@-3277
(ucs-set-char #x5FEB ?$A?l(B) ; GB0-A-3F6C
(ucs-set-char #x5FEB ?$B2w(B) ; J83-B-3277
(ucs-set-char #x5FEC ?$(D=H(B) ; J90-D-3D48
(ucs-set-char #x5FEC ?$(I%|(B) ; C03-I-257C
(ucs-set-char #x5FED ?$(D=I(B) ; J90-D-3D49
(ucs-set-char #x5FED ?$(H#y(B) ; C02-H-2379
(ucs-set-char #x5FED ?$Abm(B) ; GB0-A-626D
(ucs-set-char #x5FEE ?$(D=J(B) ; J90-D-3D4A
(ucs-set-char #x5FEE ?$(H#{(B) ; C02-H-237B
(ucs-set-char #x5FEE ?$Abe(B) ; GB0-A-6265
(ucs-set-char #x5FEF ?$(D=K(B) ; J90-D-3D4B
(ucs-set-char #x5FEF ?$(H$#(B) ; C02-H-2423
(ucs-set-char #x5FF0 ?$(I&"(B) ; C03-I-2622
(ucs-set-char #x5FF0 ?$@X-(B) ; J78-@-582D
(ucs-set-char #x5FF0 ?$BX-(B) ; J83-B-582D
(ucs-set-char #x5FF1 ?$(GJ7(B) ; C01-G-4A37
(ucs-set-char #x5FF1 ?$@WZ(B) ; J78-@-575A
(ucs-set-char #x5FF1 ?$A3@(B) ; GB0-A-3340
(ucs-set-char #x5FF1 ?$BWZ(B) ; J83-B-575A
(ucs-set-char #x5FF2 ?$(D=L(B) ; J90-D-3D4C
(ucs-set-char #x5FF2 ?$(I&!(B) ; C03-I-2621
(ucs-set-char #x5FF3 ?$(D=M(B) ; J90-D-3D4D
(ucs-set-char #x5FF3 ?$(H#|(B) ; C02-H-237C
(ucs-set-char #x5FF4 ?$(H$'(B) ; C02-H-2427
(ucs-set-char #x5FF5 ?$(CR7(B) ; KS0-C-5237
(ucs-set-char #x5FF5 ?$(GMB(B) ; C01-G-4D42
(ucs-set-char #x5FF5 ?$@G0(B) ; J78-@-4730
(ucs-set-char #x5FF5 ?$ADn(B) ; GB0-A-446E
(ucs-set-char #x5FF5 ?$BG0(B) ; J83-B-4730
(ucs-set-char #x5FF6 ?$(D=N(B) ; J90-D-3D4E
(ucs-set-char #x5FF6 ?$(I%}(B) ; C03-I-257D
(ucs-set-char #x5FF7 ?$(H$$(B) ; C02-H-2424
(ucs-set-char #x5FF8 ?$(GJ9(B) ; C01-G-4A39
(ucs-set-char #x5FF8 ?$@WY(B) ; J78-@-5759
(ucs-set-char #x5FF8 ?$Abn(B) ; GB0-A-626E
(ucs-set-char #x5FF8 ?$BWY(B) ; J83-B-5759
(ucs-set-char #x5FF9 ?$(I&#(B) ; C03-I-2623
(ucs-set-char #x5FFA ?$(D=O(B) ; J90-D-3D4F
(ucs-set-char #x5FFA ?$(H$"(B) ; C02-H-2422
(ucs-set-char #x5FFB ?$(H$%(B) ; C02-H-2425
(ucs-set-char #x5FFB ?$@WW(B) ; J78-@-5757
(ucs-set-char #x5FFB ?$APC(B) ; GB0-A-5043
(ucs-set-char #x5FFB ?$BWW(B) ; J83-B-5757
(ucs-set-char #x5FFC ?$(D=P(B) ; J90-D-3D50
(ucs-set-char #x5FFC ?$(I%z(B) ; C03-I-257A
(ucs-set-char #x5FFD ?$(C{l(B) ; KS0-C-7B6C
(ucs-set-char #x5FFD ?$(GMA(B) ; C01-G-4D41
(ucs-set-char #x5FFD ?$@9z(B) ; J78-@-397A
(ucs-set-char #x5FFD ?$A:v(B) ; GB0-A-3A76
(ucs-set-char #x5FFD ?$B9z(B) ; J83-B-397A
(ucs-set-char #x5FFE ?$(I%u(B) ; C03-I-2575
(ucs-set-char #x5FFE ?$Abi(B) ; GB0-A-6269
(ucs-set-char #x5FFF ?$(C]H(B) ; KS0-C-5D48
(ucs-set-char #x5FFF ?$(GMC(B) ; C01-G-4D43
(ucs-set-char #x5FFF ?$@W](B) ; J78-@-575D
(ucs-set-char #x5FFF ?$A7^(B) ; GB0-A-375E
(ucs-set-char #x5FFF ?$BW](B) ; J83-B-575D
(ucs-set-char #x6000 ?$(H$&(B) ; C02-H-2426
(ucs-set-char #x6000 ?$A;3(B) ; GB0-A-3B33
(ucs-set-char #x6001 ?$AL,(B) ; GB0-A-4C2C
(ucs-set-char #x6002 ?$AKK(B) ; GB0-A-4B4B
(ucs-set-char #x6003 ?$Abd(B) ; GB0-A-6264
(ucs-set-char #x6004 ?$Abf(B) ; GB0-A-6266
(ucs-set-char #x6005 ?$Abj(B) ; GB0-A-626A
(ucs-set-char #x6006 ?$Abk(B) ; GB0-A-626B
(ucs-set-char #x6007 ?$(D=Q(B) ; J90-D-3D51
(ucs-set-char #x6007 ?$(I(x(B) ; C03-I-2878
(ucs-set-char #x6008 ?$(I)"(B) ; C03-I-2922
(ucs-set-char #x6009 ?$(H&n(B) ; C02-H-266E
(ucs-set-char #x600A ?$(D=R(B) ; J90-D-3D52
(ucs-set-char #x600A ?$(H&a(B) ; C02-H-2661
(ucs-set-char #x600A ?$Abw(B) ; GB0-A-6277
(ucs-set-char #x600B ?$(H&_(B) ; C02-H-265F
(ucs-set-char #x600C ?$(H&m(B) ; C02-H-266D
(ucs-set-char #x600D ?$(D=S(B) ; J90-D-3D53
(ucs-set-char #x600D ?$(H&h(B) ; C02-H-2668
(ucs-set-char #x600D ?$Abt(B) ; GB0-A-6274
(ucs-set-char #x600E ?$(GQ+(B) ; C01-G-512B
(ucs-set-char #x600E ?$@Wc(B) ; J78-@-5763
(ucs-set-char #x600E ?$ATu(B) ; GB0-A-5475
(ucs-set-char #x600E ?$BWc(B) ; J83-B-5763
(ucs-set-char #x600F ?$(Cdh(B) ; KS0-C-6468
(ucs-set-char #x600F ?$(GMD(B) ; C01-G-4D44
(ucs-set-char #x600F ?$@Wi(B) ; J78-@-5769
(ucs-set-char #x600F ?$Abs(B) ; GB0-A-6273
(ucs-set-char #x600F ?$BWi(B) ; J83-B-5769
(ucs-set-char #x6010 ?$(H&i(B) ; C02-H-2669
(ucs-set-char #x6010 ?$@Wa(B) ; J78-@-5761
(ucs-set-char #x6010 ?$BWa(B) ; J83-B-5761
(ucs-set-char #x6011 ?$(H&l(B) ; C02-H-266C
(ucs-set-char #x6012 ?$(CRA(B) ; KS0-C-5241
(ucs-set-char #x6012 ?$(GQ'(B) ; C01-G-5127
(ucs-set-char #x6012 ?$@E\(B) ; J78-@-455C
(ucs-set-char #x6012 ?$AE-(B) ; GB0-A-452D
(ucs-set-char #x6012 ?$BE\(B) ; J83-B-455C
(ucs-set-char #x6013 ?$(D=T(B) ; J90-D-3D54
(ucs-set-char #x6013 ?$(H&k(B) ; C02-H-266B
(ucs-set-char #x6014 ?$(D=U(B) ; J90-D-3D55
(ucs-set-char #x6014 ?$(GME(B) ; C01-G-4D45
(ucs-set-char #x6014 ?$AUz(B) ; GB0-A-557A
(ucs-set-char #x6015 ?$(GMJ(B) ; C01-G-4D4A
(ucs-set-char #x6015 ?$@Wf(B) ; J78-@-5766
(ucs-set-char #x6015 ?$AEB(B) ; GB0-A-4542
(ucs-set-char #x6015 ?$BWf(B) ; J83-B-5766
(ucs-set-char #x6016 ?$(CxW(B) ; KS0-C-7857
(ucs-set-char #x6016 ?$(GMH(B) ; C01-G-4D48
(ucs-set-char #x6016 ?$@I](B) ; J78-@-495D
(ucs-set-char #x6016 ?$A2@(B) ; GB0-A-3240
(ucs-set-char #x6016 ?$BI](B) ; J83-B-495D
(ucs-set-char #x6017 ?$(D=V(B) ; J90-D-3D56
(ucs-set-char #x6017 ?$(H&b(B) ; C02-H-2662
(ucs-set-char #x6018 ?$(D=W(B) ; J90-D-3D57
(ucs-set-char #x6018 ?$(J)6(B) ; C04-J-2936
(ucs-set-char #x6019 ?$(H&](B) ; C02-H-265D
(ucs-set-char #x6019 ?$@W`(B) ; J78-@-5760
(ucs-set-char #x6019 ?$Abo(B) ; GB0-A-626F
(ucs-set-char #x6019 ?$BW`(B) ; J83-B-5760
(ucs-set-char #x601A ?$(D=X(B) ; J90-D-3D58
(ucs-set-char #x601A ?$(H&d(B) ; C02-H-2664
(ucs-set-char #x601B ?$(GMO(B) ; C01-G-4D4F
(ucs-set-char #x601B ?$@We(B) ; J78-@-5765
(ucs-set-char #x601B ?$Abr(B) ; GB0-A-6272
(ucs-set-char #x601B ?$BWe(B) ; J83-B-5765
(ucs-set-char #x601C ?$(CV;(B) ; KS0-C-563B
(ucs-set-char #x601C ?$(H&o(B) ; C02-H-266F
(ucs-set-char #x601C ?$@Ng(B) ; J78-@-4E67
(ucs-set-char #x601C ?$AA/(B) ; GB0-A-412F
(ucs-set-char #x601C ?$BNg(B) ; J83-B-4E67
(ucs-set-char #x601D ?$(C^V(B) ; KS0-C-5E56
(ucs-set-char #x601D ?$(GQ((B) ; C01-G-5128
(ucs-set-char #x601D ?$@;W(B) ; J78-@-3B57
(ucs-set-char #x601D ?$AK<(B) ; GB0-A-4B3C
(ucs-set-char #x601D ?$B;W(B) ; J83-B-3B57
(ucs-set-char #x601E ?$(H&e(B) ; C02-H-2665
(ucs-set-char #x601F ?$(D=Y(B) ; J90-D-3D59
(ucs-set-char #x601F ?$(J&O(B) ; C04-J-264F
(ucs-set-char #x6020 ?$(Cw=(B) ; KS0-C-773D
(ucs-set-char #x6020 ?$(GQ)(B) ; C01-G-5129
(ucs-set-char #x6020 ?$@BU(B) ; J78-@-4255
(ucs-set-char #x6020 ?$A5!(B) ; GB0-A-3521
(ucs-set-char #x6020 ?$BBU(B) ; J83-B-4255
(ucs-set-char #x6021 ?$(Cl.(B) ; KS0-C-6C2E
(ucs-set-char #x6021 ?$(GMK(B) ; C01-G-4D4B
(ucs-set-char #x6021 ?$@W^(B) ; J78-@-575E
(ucs-set-char #x6021 ?$Aby(B) ; GB0-A-6279
(ucs-set-char #x6021 ?$BW^(B) ; J83-B-575E
(ucs-set-char #x6022 ?$(H&g(B) ; C02-H-2667
(ucs-set-char #x6023 ?$(I,Z(B) ; C03-I-2C5A
(ucs-set-char #x6024 ?$(D=Z(B) ; J90-D-3D5A
(ucs-set-char #x6024 ?$(H*N(B) ; C02-H-2A4E
(ucs-set-char #x6025 ?$(CPa(B) ; KS0-C-5061
(ucs-set-char #x6025 ?$(GQ*(B) ; C01-G-512A
(ucs-set-char #x6025 ?$@5^(B) ; J78-@-355E
(ucs-set-char #x6025 ?$A<1(B) ; GB0-A-3C31
(ucs-set-char #x6025 ?$B5^(B) ; J83-B-355E
(ucs-set-char #x6026 ?$(H&\(B) ; C02-H-265C
(ucs-set-char #x6026 ?$@Wh(B) ; J78-@-5768
(ucs-set-char #x6026 ?$Abq(B) ; GB0-A-6271
(ucs-set-char #x6026 ?$BWh(B) ; J83-B-5768
(ucs-set-char #x6027 ?$(C`u(B) ; KS0-C-6075
(ucs-set-char #x6027 ?$(GML(B) ; C01-G-4D4C
(ucs-set-char #x6027 ?$@@-(B) ; J78-@-402D
(ucs-set-char #x6027 ?$APT(B) ; GB0-A-5054
(ucs-set-char #x6027 ?$B@-(B) ; J83-B-402D
(ucs-set-char #x6028 ?$(Cj3(B) ; KS0-C-6A33
(ucs-set-char #x6028 ?$(GQ,(B) ; C01-G-512C
(ucs-set-char #x6028 ?$@1e(B) ; J78-@-3165
(ucs-set-char #x6028 ?$AT9(B) ; GB0-A-5439
(ucs-set-char #x6028 ?$B1e(B) ; J83-B-3165
(ucs-set-char #x6029 ?$(GMM(B) ; C01-G-4D4D
(ucs-set-char #x6029 ?$@Wb(B) ; J78-@-5762
(ucs-set-char #x6029 ?$Abu(B) ; GB0-A-6275
(ucs-set-char #x6029 ?$BWb(B) ; J83-B-5762
(ucs-set-char #x602A ?$(CNV(B) ; KS0-C-4E56
(ucs-set-char #x602A ?$(GMI(B) ; C01-G-4D49
(ucs-set-char #x602A ?$@2x(B) ; J78-@-3278
(ucs-set-char #x602A ?$A9V(B) ; GB0-A-3956
(ucs-set-char #x602A ?$B2x(B) ; J83-B-3278
(ucs-set-char #x602B ?$(GMN(B) ; C01-G-4D4E
(ucs-set-char #x602B ?$@Wg(B) ; J78-@-5767
(ucs-set-char #x602B ?$Abv(B) ; GB0-A-6276
(ucs-set-char #x602B ?$BWg(B) ; J83-B-5767
(ucs-set-char #x602C ?$(H&f(B) ; C02-H-2666
(ucs-set-char #x602D ?$(D=[(B) ; J90-D-3D5B
(ucs-set-char #x602D ?$(H&[(B) ; C02-H-265B
(ucs-set-char #x602E ?$(H&j(B) ; C02-H-266A
(ucs-set-char #x602F ?$(CL%(B) ; KS0-C-4C25
(ucs-set-char #x602F ?$(GMF(B) ; C01-G-4D46
(ucs-set-char #x602F ?$@61(B) ; J78-@-3631
(ucs-set-char #x602F ?$AGS(B) ; GB0-A-4753
(ucs-set-char #x602F ?$B61(B) ; J83-B-3631
(ucs-set-char #x6030 ?$(I(w(B) ; C03-I-2877
(ucs-set-char #x6031 ?$(I,[(B) ; C03-I-2C5B
(ucs-set-char #x6031 ?$@Wd(B) ; J78-@-5764
(ucs-set-char #x6031 ?$BWd(B) ; J83-B-5764
(ucs-set-char #x6032 ?$(H&^(B) ; C02-H-265E
(ucs-set-char #x6033 ?$(D=\(B) ; J90-D-3D5C
(ucs-set-char #x6033 ?$(H&c(B) ; C02-H-2663
(ucs-set-char #x6034 ?$(H&`(B) ; C02-H-2660
(ucs-set-char #x6035 ?$(D=](B) ; J90-D-3D5D
(ucs-set-char #x6035 ?$(GMG(B) ; C01-G-4D47
(ucs-set-char #x6035 ?$Abp(B) ; GB0-A-6270
(ucs-set-char #x6036 ?$(I(z(B) ; C03-I-287A
(ucs-set-char #x6037 ?$(H*@(B) ; C02-H-2A40
(ucs-set-char #x6039 ?$(H*A(B) ; C02-H-2A41
(ucs-set-char #x603A ?$@Wj(B) ; J78-@-576A
(ucs-set-char #x603A ?$BWj(B) ; J83-B-576A
(ucs-set-char #x603B ?$AW\(B) ; GB0-A-575C
(ucs-set-char #x603C ?$Am!(B) ; GB0-A-6D21
(ucs-set-char #x603D ?$(I)!(B) ; C03-I-2921
(ucs-set-char #x603F ?$Abx(B) ; GB0-A-6278
(ucs-set-char #x6040 ?$(D=^(B) ; J90-D-3D5E
(ucs-set-char #x6040 ?$(H*K(B) ; C02-H-2A4B
(ucs-set-char #x6041 ?$(Clv(B) ; KS0-C-6C76
(ucs-set-char #x6041 ?$(H/#(B) ; C02-H-2F23
(ucs-set-char #x6041 ?$@Wl(B) ; J78-@-576C
(ucs-set-char #x6041 ?$Am%(B) ; GB0-A-6D25
(ucs-set-char #x6041 ?$BWl(B) ; J83-B-576C
(ucs-set-char #x6042 ?$(Cba(B) ; KS0-C-6261
(ucs-set-char #x6042 ?$(H*L(B) ; C02-H-2A4C
(ucs-set-char #x6042 ?$@Wv(B) ; J78-@-5776
(ucs-set-char #x6042 ?$Ab~(B) ; GB0-A-627E
(ucs-set-char #x6042 ?$BWv(B) ; J83-B-5776
(ucs-set-char #x6043 ?$(Cc>(B) ; KS0-C-633E
(ucs-set-char #x6043 ?$(GQ2(B) ; C01-G-5132
(ucs-set-char #x6043 ?$@Wt(B) ; J78-@-5774
(ucs-set-char #x6043 ?$AJQ(B) ; GB0-A-4A51
(ucs-set-char #x6043 ?$BWt(B) ; J83-B-5774
(ucs-set-char #x6044 ?$(H*O(B) ; C02-H-2A4F
(ucs-set-char #x6045 ?$(H*E(B) ; C02-H-2A45
(ucs-set-char #x6046 ?$(GQ1(B) ; C01-G-5131
(ucs-set-char #x6046 ?$@Wq(B) ; J78-@-5771
(ucs-set-char #x6046 ?$BWq(B) ; J83-B-5771
(ucs-set-char #x6047 ?$(D=_(B) ; J90-D-3D5F
(ucs-set-char #x6047 ?$(H*G(B) ; C02-H-2A47
(ucs-set-char #x6048 ?$(D=`(B) ; J90-D-3D60
(ucs-set-char #x6048 ?$(J)?(B) ; C04-J-293F
(ucs-set-char #x6049 ?$(D=a(B) ; J90-D-3D61
(ucs-set-char #x6049 ?$(H*H(B) ; C02-H-2A48
(ucs-set-char #x604A ?$(I,`(B) ; C03-I-2C60
(ucs-set-char #x604A ?$@Wp(B) ; J78-@-5770
(ucs-set-char #x604A ?$BWp(B) ; J83-B-5770
(ucs-set-char #x604B ?$(I0y(B) ; C03-I-3079
(ucs-set-char #x604B ?$@Nx(B) ; J78-@-4E78
(ucs-set-char #x604B ?$AA5(B) ; GB0-A-4135
(ucs-set-char #x604B ?$BNx(B) ; J83-B-4E78
(ucs-set-char #x604C ?$(D=b(B) ; J90-D-3D62
(ucs-set-char #x604C ?$(H*J(B) ; C02-H-2A4A
(ucs-set-char #x604D ?$(C|H(B) ; KS0-C-7C48
(ucs-set-char #x604D ?$(GQ-(B) ; C01-G-512D
(ucs-set-char #x604D ?$@Wr(B) ; J78-@-5772
(ucs-set-char #x604D ?$A;P(B) ; GB0-A-3B50
(ucs-set-char #x604D ?$BWr(B) ; J83-B-5772
(ucs-set-char #x604E ?$(I,V(B) ; C03-I-2C56
(ucs-set-char #x604F ?$(I0s(B) ; C03-I-3073
(ucs-set-char #x6050 ?$(CMp(B) ; KS0-C-4D70
(ucs-set-char #x6050 ?$(GUE(B) ; C01-G-5545
(ucs-set-char #x6050 ?$@62(B) ; J78-@-3632
(ucs-set-char #x6050 ?$A?V(B) ; GB0-A-3F56
(ucs-set-char #x6050 ?$B62(B) ; J83-B-3632
(ucs-set-char #x6051 ?$(D=c(B) ; J90-D-3D63
(ucs-set-char #x6051 ?$(I,W(B) ; C03-I-2C57
(ucs-set-char #x6052 ?$(Cyv(B) ; KS0-C-7976
(ucs-set-char #x6052 ?$(I,](B) ; C03-I-2C5D
(ucs-set-char #x6052 ?$@91(B) ; J78-@-3931
(ucs-set-char #x6052 ?$A:c(B) ; GB0-A-3A63
(ucs-set-char #x6052 ?$B91(B) ; J83-B-3931
(ucs-set-char #x6053 ?$(H*F(B) ; C02-H-2A46
(ucs-set-char #x6054 ?$(D=d(B) ; J90-D-3D64
(ucs-set-char #x6054 ?$(H*B(B) ; C02-H-2A42
(ucs-set-char #x6055 ?$(C_p(B) ; KS0-C-5F70
(ucs-set-char #x6055 ?$(GUF(B) ; C01-G-5546
(ucs-set-char #x6055 ?$@=z(B) ; J78-@-3D7A
(ucs-set-char #x6055 ?$AK!(B) ; GB0-A-4B21
(ucs-set-char #x6055 ?$B=z(B) ; J83-B-3D7A
(ucs-set-char #x6056 ?$(D=e(B) ; J90-D-3D65
(ucs-set-char #x6056 ?$(I0~(B) ; C03-I-307E
(ucs-set-char #x6057 ?$(D=f(B) ; J90-D-3D66
(ucs-set-char #x6057 ?$(J)>(B) ; C04-J-293E
(ucs-set-char #x6058 ?$(H*P(B) ; C02-H-2A50
(ucs-set-char #x6059 ?$(Ce?(B) ; KS0-C-653F
(ucs-set-char #x6059 ?$(GUB(B) ; C01-G-5542
(ucs-set-char #x6059 ?$@Wy(B) ; J78-@-5779
(ucs-set-char #x6059 ?$Am&(B) ; GB0-A-6D26
(ucs-set-char #x6059 ?$BWy(B) ; J83-B-5779
(ucs-set-char #x605A ?$(H/!(B) ; C02-H-2F21
(ucs-set-char #x605A ?$@Wk(B) ; J78-@-576B
(ucs-set-char #x605A ?$Am#(B) ; GB0-A-6D23
(ucs-set-char #x605A ?$BWk(B) ; J83-B-576B
(ucs-set-char #x605B ?$(H*I(B) ; C02-H-2A49
(ucs-set-char #x605C ?$(I,T(B) ; C03-I-2C54
(ucs-set-char #x605D ?$(CN?(B) ; KS0-C-4E3F
(ucs-set-char #x605D ?$(D=g(B) ; J90-D-3D67
(ucs-set-char #x605D ?$(H.~(B) ; C02-H-2E7E
(ucs-set-char #x605D ?$Am"(B) ; GB0-A-6D22
(ucs-set-char #x605E ?$(H*D(B) ; C02-H-2A44
(ucs-set-char #x605F ?$(H*M(B) ; C02-H-2A4D
(ucs-set-char #x605F ?$@Wo(B) ; J78-@-576F
(ucs-set-char #x605F ?$BWo(B) ; J83-B-576F
(ucs-set-char #x6060 ?$(I,_(B) ; C03-I-2C5F
(ucs-set-char #x6060 ?$@W_(B) ; J78-@-575F
(ucs-set-char #x6060 ?$BW_(B) ; J83-B-575F
(ucs-set-char #x6061 ?$(D=h(B) ; J90-D-3D68
(ucs-set-char #x6061 ?$(I,a(B) ; C03-I-2C61
(ucs-set-char #x6062 ?$(C|a(B) ; KS0-C-7C61
(ucs-set-char #x6062 ?$(GQ0(B) ; C01-G-5130
(ucs-set-char #x6062 ?$@2z(B) ; J78-@-327A
(ucs-set-char #x6062 ?$A;V(B) ; GB0-A-3B56
(ucs-set-char #x6062 ?$B2z(B) ; J83-B-327A
(ucs-set-char #x6063 ?$(Cm0(B) ; KS0-C-6D30
(ucs-set-char #x6063 ?$(GUC(B) ; C01-G-5543
(ucs-set-char #x6063 ?$@Ws(B) ; J78-@-5773
(ucs-set-char #x6063 ?$Am'(B) ; GB0-A-6D27
(ucs-set-char #x6063 ?$BWs(B) ; J83-B-5773
(ucs-set-char #x6064 ?$(C}Q(B) ; KS0-C-7D51
(ucs-set-char #x6064 ?$(GQ6(B) ; C01-G-5136
(ucs-set-char #x6064 ?$@Wu(B) ; J78-@-5775
(ucs-set-char #x6064 ?$APt(B) ; GB0-A-5074
(ucs-set-char #x6064 ?$BWu(B) ; J83-B-5775
(ucs-set-char #x6065 ?$(Cv;(B) ; KS0-C-763B
(ucs-set-char #x6065 ?$(GUD(B) ; C01-G-5544
(ucs-set-char #x6065 ?$@CQ(B) ; J78-@-4351
(ucs-set-char #x6065 ?$BCQ(B) ; J83-B-4351
(ucs-set-char #x6066 ?$(H*Q(B) ; C02-H-2A51
(ucs-set-char #x6067 ?$(D=i(B) ; J90-D-3D69
(ucs-set-char #x6067 ?$(H/"(B) ; C02-H-2F22
(ucs-set-char #x6067 ?$Am$(B) ; GB0-A-6D24
(ucs-set-char #x6068 ?$(CyO(B) ; KS0-C-794F
(ucs-set-char #x6068 ?$(GQ/(B) ; C01-G-512F
(ucs-set-char #x6068 ?$@:((B) ; J78-@-3A28
(ucs-set-char #x6068 ?$A:^(B) ; GB0-A-3A5E
(ucs-set-char #x6068 ?$B:((B) ; J83-B-3A28
(ucs-set-char #x6069 ?$(CkZ(B) ; KS0-C-6B5A
(ucs-set-char #x6069 ?$(GUH(B) ; C01-G-5548
(ucs-set-char #x6069 ?$@28(B) ; J78-@-3238
(ucs-set-char #x6069 ?$A6w(B) ; GB0-A-3677
(ucs-set-char #x6069 ?$B28(B) ; J83-B-3238
(ucs-set-char #x606A ?$(CJA(B) ; KS0-C-4A41
(ucs-set-char #x606A ?$(GQ5(B) ; C01-G-5135
(ucs-set-char #x606A ?$@Wm(B) ; J78-@-576D
(ucs-set-char #x606A ?$Ac!(B) ; GB0-A-6321
(ucs-set-char #x606A ?$BWm(B) ; J83-B-576D
(ucs-set-char #x606B ?$(GQ4(B) ; C01-G-5134
(ucs-set-char #x606B ?$@Wx(B) ; J78-@-5778
(ucs-set-char #x606B ?$A62(B) ; GB0-A-3632
(ucs-set-char #x606B ?$BWx(B) ; J83-B-5778
(ucs-set-char #x606C ?$(CR8(B) ; KS0-C-5238
(ucs-set-char #x606C ?$(GQ3(B) ; C01-G-5133
(ucs-set-char #x606C ?$@Ww(B) ; J78-@-5777
(ucs-set-char #x606C ?$ALq(B) ; GB0-A-4C71
(ucs-set-char #x606C ?$BWw(B) ; J83-B-5777
(ucs-set-char #x606D ?$(CMq(B) ; KS0-C-4D71
(ucs-set-char #x606D ?$(GUG(B) ; C01-G-5547
(ucs-set-char #x606D ?$@63(B) ; J78-@-3633
(ucs-set-char #x606D ?$A9'(B) ; GB0-A-3927
(ucs-set-char #x606D ?$B63(B) ; J83-B-3633
(ucs-set-char #x606E ?$(H*R(B) ; C02-H-2A52
(ucs-set-char #x606F ?$(CcS(B) ; KS0-C-6353
(ucs-set-char #x606F ?$(GUI(B) ; C01-G-5549
(ucs-set-char #x606F ?$@B)(B) ; J78-@-4229
(ucs-set-char #x606F ?$AO"(B) ; GB0-A-4F22
(ucs-set-char #x606F ?$BB)(B) ; J83-B-4229
(ucs-set-char #x6070 ?$(C}f(B) ; KS0-C-7D66
(ucs-set-char #x6070 ?$(GQ.(B) ; C01-G-512E
(ucs-set-char #x6070 ?$@3f(B) ; J78-@-3366
(ucs-set-char #x6070 ?$AG!(B) ; GB0-A-4721
(ucs-set-char #x6070 ?$B3f(B) ; J83-B-3366
(ucs-set-char #x6071 ?$(D=j(B) ; J90-D-3D6A
(ucs-set-char #x6071 ?$(J)K(B) ; C04-J-294B
(ucs-set-char #x6072 ?$(H*C(B) ; C02-H-2A43
(ucs-set-char #x6073 ?$(I0z(B) ; C03-I-307A
(ucs-set-char #x6073 ?$A?R(B) ; GB0-A-3F52
(ucs-set-char #x6074 ?$(I0x(B) ; C03-I-3078
(ucs-set-char #x6075 ?$(I0{(B) ; C03-I-307B
(ucs-set-char #x6075 ?$@7C(B) ; J78-@-3743
(ucs-set-char #x6075 ?$B7C(B) ; J83-B-3743
(ucs-set-char #x6076 ?$A6q(B) ; GB0-A-3671
(ucs-set-char #x6077 ?$@Wn(B) ; J78-@-576E
(ucs-set-char #x6077 ?$BWn(B) ; J83-B-576E
(ucs-set-char #x6078 ?$Abz(B) ; GB0-A-627A
(ucs-set-char #x6079 ?$Ab{(B) ; GB0-A-627B
(ucs-set-char #x607A ?$Ab}(B) ; GB0-A-627D
(ucs-set-char #x607B ?$Ab|(B) ; GB0-A-627C
(ucs-set-char #x607C ?$(I,\(B) ; C03-I-2C5C
(ucs-set-char #x607C ?$ADU(B) ; GB0-A-4455
(ucs-set-char #x607D ?$Ac"(B) ; GB0-A-6322
(ucs-set-char #x607E ?$(D=k(B) ; J90-D-3D6B
(ucs-set-char #x607E ?$(I0v(B) ; C03-I-3076
(ucs-set-char #x607F ?$(D=l(B) ; J90-D-3D6C
(ucs-set-char #x607F ?$(GZ<(B) ; C01-G-5A3C
(ucs-set-char #x607F ?$ASA(B) ; GB0-A-5341
(ucs-set-char #x6080 ?$(H/&(B) ; C02-H-2F26
(ucs-set-char #x6081 ?$(H/((B) ; C02-H-2F28
(ucs-set-char #x6081 ?$@Wz(B) ; J78-@-577A
(ucs-set-char #x6081 ?$BWz(B) ; J83-B-577A
(ucs-set-char #x6082 ?$(D=m(B) ; J90-D-3D6D
(ucs-set-char #x6082 ?$(J-%(B) ; C04-J-2D25
(ucs-set-char #x6083 ?$(H/*(B) ; C02-H-2F2A
(ucs-set-char #x6083 ?$@W}(B) ; J78-@-577D
(ucs-set-char #x6083 ?$Ac'(B) ; GB0-A-6327
(ucs-set-char #x6083 ?$BW}(B) ; J83-B-577D
(ucs-set-char #x6084 ?$(GUJ(B) ; C01-G-554A
(ucs-set-char #x6084 ?$@X!(B) ; J78-@-5821
(ucs-set-char #x6084 ?$AGD(B) ; GB0-A-4744
(ucs-set-char #x6084 ?$BX!(B) ; J83-B-5821
(ucs-set-char #x6085 ?$(Cfm(B) ; KS0-C-666D
(ucs-set-char #x6085 ?$(GUP(B) ; C01-G-5550
(ucs-set-char #x6086 ?$(D=n(B) ; J90-D-3D6E
(ucs-set-char #x6086 ?$(H57(B) ; C02-H-3537
(ucs-set-char #x6087 ?$(H/.(B) ; C02-H-2F2E
(ucs-set-char #x6088 ?$(D=o(B) ; J90-D-3D6F
(ucs-set-char #x6088 ?$(H/%(B) ; C02-H-2F25
(ucs-set-char #x6089 ?$(Ccz(B) ; KS0-C-637A
(ucs-set-char #x6089 ?$(GZ>(B) ; C01-G-5A3E
(ucs-set-char #x6089 ?$@<=(B) ; J78-@-3C3D
(ucs-set-char #x6089 ?$AO$(B) ; GB0-A-4F24
(ucs-set-char #x6089 ?$B<=(B) ; J83-B-3C3D
(ucs-set-char #x608A ?$(D=p(B) ; J90-D-3D70
(ucs-set-char #x608A ?$(H55(B) ; C02-H-3535
(ucs-set-char #x608B ?$(I1"(B) ; C03-I-3122
(ucs-set-char #x608B ?$@X'(B) ; J78-@-5827
(ucs-set-char #x608B ?$BX'(B) ; J83-B-5827
(ucs-set-char #x608C ?$(Cp*(B) ; KS0-C-702A
(ucs-set-char #x608C ?$(GUO(B) ; C01-G-554F
(ucs-set-char #x608C ?$@Dp(B) ; J78-@-4470
(ucs-set-char #x608C ?$Ac)(B) ; GB0-A-6329
(ucs-set-char #x608C ?$BDp(B) ; J83-B-4470
(ucs-set-char #x608D ?$(CyP(B) ; KS0-C-7950
(ucs-set-char #x608D ?$(GUM(B) ; C01-G-554D
(ucs-set-char #x608D ?$@W{(B) ; J78-@-577B
(ucs-set-char #x608D ?$A:7(B) ; GB0-A-3A37
(ucs-set-char #x608D ?$BW{(B) ; J83-B-577B
(ucs-set-char #x608E ?$(D=q(B) ; J90-D-3D71
(ucs-set-char #x608E ?$(H/0(B) ; C02-H-2F30
(ucs-set-char #x608F ?$(J--(B) ; C04-J-2D2D
(ucs-set-char #x6090 ?$(H56(B) ; C02-H-3536
(ucs-set-char #x6091 ?$(D=r(B) ; J90-D-3D72
(ucs-set-char #x6091 ?$(J-,(B) ; C04-J-2D2C
(ucs-set-char #x6092 ?$(H/'(B) ; C02-H-2F27
(ucs-set-char #x6092 ?$@X%(B) ; J78-@-5825
(ucs-set-char #x6092 ?$Ac((B) ; GB0-A-6328
(ucs-set-char #x6092 ?$BX%(B) ; J83-B-5825
(ucs-set-char #x6093 ?$(D=s(B) ; J90-D-3D73
(ucs-set-char #x6093 ?$(I1%(B) ; C03-I-3125
(ucs-set-char #x6094 ?$(C|b(B) ; KS0-C-7C62
(ucs-set-char #x6094 ?$(GUN(B) ; C01-G-554E
(ucs-set-char #x6094 ?$(J)J(B) ; C04-J-294A
(ucs-set-char #x6094 ?$@2y(B) ; J78-@-3279
(ucs-set-char #x6094 ?$A;Z(B) ; GB0-A-3B5A
(ucs-set-char #x6094 ?$B2y(B) ; J83-B-3279
(ucs-set-char #x6095 ?$(D=t(B) ; J90-D-3D74
(ucs-set-char #x6095 ?$(H/+(B) ; C02-H-2F2B
(ucs-set-char #x6096 ?$(Cx'(B) ; KS0-C-7827
(ucs-set-char #x6096 ?$(GUQ(B) ; C01-G-5551
(ucs-set-char #x6096 ?$@X#(B) ; J78-@-5823
(ucs-set-char #x6096 ?$Ac#(B) ; GB0-A-6323
(ucs-set-char #x6096 ?$BX#(B) ; J83-B-5823
(ucs-set-char #x6097 ?$(H/-(B) ; C02-H-2F2D
(ucs-set-char #x6097 ?$@X$(B) ; J78-@-5824
(ucs-set-char #x6097 ?$BX$(B) ; J83-B-5824
(ucs-set-char #x6098 ?$(D=u(B) ; J90-D-3D75
(ucs-set-char #x6098 ?$(I5h(B) ; C03-I-3568
(ucs-set-char #x6099 ?$(I0t(B) ; C03-I-3074
(ucs-set-char #x609A ?$(Cae(B) ; KS0-C-6165
(ucs-set-char #x609A ?$(GUL(B) ; C01-G-554C
(ucs-set-char #x609A ?$@W~(B) ; J78-@-577E
(ucs-set-char #x609A ?$Ac$(B) ; GB0-A-6324
(ucs-set-char #x609A ?$BW~(B) ; J83-B-577E
(ucs-set-char #x609B ?$(Cny(B) ; KS0-C-6E79
(ucs-set-char #x609B ?$(H/,(B) ; C02-H-2F2C
(ucs-set-char #x609B ?$@X"(B) ; J78-@-5822
(ucs-set-char #x609B ?$Ac*(B) ; GB0-A-632A
(ucs-set-char #x609B ?$BX"(B) ; J83-B-5822
(ucs-set-char #x609C ?$(H//(B) ; C02-H-2F2F
(ucs-set-char #x609D ?$(D=v(B) ; J90-D-3D76
(ucs-set-char #x609D ?$(H/)(B) ; C02-H-2F29
(ucs-set-char #x609D ?$Ac&(B) ; GB0-A-6326
(ucs-set-char #x609E ?$(D=w(B) ; J90-D-3D77
(ucs-set-char #x609E ?$(I1'(B) ; C03-I-3127
(ucs-set-char #x609F ?$(Cgv(B) ; KS0-C-6776
(ucs-set-char #x609F ?$(GUK(B) ; C01-G-554B
(ucs-set-char #x609F ?$@8g(B) ; J78-@-3867
(ucs-set-char #x609F ?$ANr(B) ; GB0-A-4E72
(ucs-set-char #x609F ?$B8g(B) ; J83-B-3867
(ucs-set-char #x60A0 ?$(Cjm(B) ; KS0-C-6A6D
(ucs-set-char #x60A0 ?$(GZ?(B) ; C01-G-5A3F
(ucs-set-char #x60A0 ?$@M*(B) ; J78-@-4D2A
(ucs-set-char #x60A0 ?$ASF(B) ; GB0-A-5346
(ucs-set-char #x60A0 ?$BM*(B) ; J83-B-4D2A
(ucs-set-char #x60A1 ?$(I5q(B) ; C03-I-3571
(ucs-set-char #x60A2 ?$(D=x(B) ; J90-D-3D78
(ucs-set-char #x60A2 ?$(H/$(B) ; C02-H-2F24
(ucs-set-char #x60A3 ?$(C|4(B) ; KS0-C-7C34
(ucs-set-char #x60A3 ?$(GZ=(B) ; C01-G-5A3D
(ucs-set-char #x60A3 ?$@45(B) ; J78-@-3435
(ucs-set-char #x60A3 ?$A;<(B) ; GB0-A-3B3C
(ucs-set-char #x60A3 ?$B45(B) ; J83-B-3435
(ucs-set-char #x60A4 ?$(CuB(B) ; KS0-C-7542
(ucs-set-char #x60A4 ?$(D=y(B) ; J90-D-3D79
(ucs-set-char #x60A4 ?$(I5r(B) ; C03-I-3572
(ucs-set-char #x60A5 ?$(D=z(B) ; J90-D-3D7A
(ucs-set-char #x60A5 ?$(J1k(B) ; C04-J-316B
(ucs-set-char #x60A6 ?$(I1#(B) ; C03-I-3123
(ucs-set-char #x60A6 ?$@1Y(B) ; J78-@-3159
(ucs-set-char #x60A6 ?$ATC(B) ; GB0-A-5443
(ucs-set-char #x60A6 ?$B1Y(B) ; J83-B-3159
(ucs-set-char #x60A7 ?$(CW\(B) ; KS0-C-575C
(ucs-set-char #x60A7 ?$(I1((B) ; C03-I-3128
(ucs-set-char #x60A7 ?$@X&(B) ; J78-@-5826
(ucs-set-char #x60A7 ?$BX&(B) ; J83-B-5826
(ucs-set-char #x60A8 ?$(D={(B) ; J90-D-3D7B
(ucs-set-char #x60A8 ?$(GZ@(B) ; C01-G-5A40
(ucs-set-char #x60A8 ?$ADz(B) ; GB0-A-447A
(ucs-set-char #x60A9 ?$(I1!(B) ; C03-I-3121
(ucs-set-char #x60A9 ?$@G:(B) ; J78-@-473A
(ucs-set-char #x60A9 ?$BG:(B) ; J83-B-473A
(ucs-set-char #x60AA ?$(I5o(B) ; C03-I-356F
(ucs-set-char #x60AA ?$@0-(B) ; J78-@-302D
(ucs-set-char #x60AA ?$B0-(B) ; J83-B-302D
(ucs-set-char #x60AB ?$Am((B) ; GB0-A-6D28
(ucs-set-char #x60AC ?$AP|(B) ; GB0-A-507C
(ucs-set-char #x60AD ?$Ac%(B) ; GB0-A-6325
(ucs-set-char #x60AE ?$(I1&(B) ; C03-I-3126
(ucs-set-char #x60AF ?$ACu(B) ; GB0-A-4375
(ucs-set-char #x60B0 ?$(Cpu(B) ; KS0-C-7075
(ucs-set-char #x60B0 ?$(D=|(B) ; J90-D-3D7C
(ucs-set-char #x60B0 ?$(H59(B) ; C02-H-3539
(ucs-set-char #x60B1 ?$(D=}(B) ; J90-D-3D7D
(ucs-set-char #x60B1 ?$(H5B(B) ; C02-H-3542
(ucs-set-char #x60B1 ?$Ac-(B) ; GB0-A-632D
(ucs-set-char #x60B2 ?$(C]h(B) ; KS0-C-5D68
(ucs-set-char #x60B2 ?$(G_+(B) ; C01-G-5F2B
(ucs-set-char #x60B2 ?$@Ha(B) ; J78-@-4861
(ucs-set-char #x60B2 ?$A1/(B) ; GB0-A-312F
(ucs-set-char #x60B2 ?$BHa(B) ; J83-B-4861
(ucs-set-char #x60B3 ?$(CSm(B) ; KS0-C-536D
(ucs-set-char #x60B3 ?$(I;T(B) ; C03-I-3B54
(ucs-set-char #x60B3 ?$@W\(B) ; J78-@-575C
(ucs-set-char #x60B3 ?$BW\(B) ; J83-B-575C
(ucs-set-char #x60B4 ?$(Cu|(B) ; KS0-C-757C
(ucs-set-char #x60B4 ?$(GZB(B) ; C01-G-5A42
(ucs-set-char #x60B4 ?$@X,(B) ; J78-@-582C
(ucs-set-char #x60B4 ?$Ac2(B) ; GB0-A-6332
(ucs-set-char #x60B4 ?$BX,(B) ; J83-B-582C
(ucs-set-char #x60B5 ?$(GZG(B) ; C01-G-5A47
(ucs-set-char #x60B5 ?$@X0(B) ; J78-@-5830
(ucs-set-char #x60B5 ?$BX0(B) ; J83-B-5830
(ucs-set-char #x60B6 ?$(CZ?(B) ; KS0-C-5A3F
(ucs-set-char #x60B6 ?$(G_,(B) ; C01-G-5F2C
(ucs-set-char #x60B6 ?$@Le(B) ; J78-@-4C65
(ucs-set-char #x60B6 ?$BLe(B) ; J83-B-4C65
(ucs-set-char #x60B7 ?$(D=~(B) ; J90-D-3D7E
(ucs-set-char #x60B7 ?$(H5D(B) ; C02-H-3544
(ucs-set-char #x60B8 ?$(CL{(B) ; KS0-C-4C7B
(ucs-set-char #x60B8 ?$(GZN(B) ; C01-G-5A4E
(ucs-set-char #x60B8 ?$@X)(B) ; J78-@-5829
(ucs-set-char #x60B8 ?$A<B(B) ; GB0-A-3C42
(ucs-set-char #x60B8 ?$BX)(B) ; J83-B-5829
(ucs-set-char #x60B9 ?$(H;](B) ; C02-H-3B5D
(ucs-set-char #x60BA ?$(H5:(B) ; C02-H-353A
(ucs-set-char #x60BB ?$(D>!(B) ; J90-D-3E21
(ucs-set-char #x60BB ?$(GZF(B) ; C01-G-5A46
(ucs-set-char #x60BB ?$Ac,(B) ; GB0-A-632C
(ucs-set-char #x60BC ?$(CSz(B) ; KS0-C-537A
(ucs-set-char #x60BC ?$(GZI(B) ; C01-G-5A49
(ucs-set-char #x60BC ?$@Ei(B) ; J78-@-4569
(ucs-set-char #x60BC ?$A5?(B) ; GB0-A-353F
(ucs-set-char #x60BC ?$BEi(B) ; J83-B-4569
(ucs-set-char #x60BD ?$(Ct$(B) ; KS0-C-7424
(ucs-set-char #x60BD ?$(GZD(B) ; C01-G-5A44
(ucs-set-char #x60BD ?$@X.(B) ; J78-@-582E
(ucs-set-char #x60BD ?$BX.(B) ; J83-B-582E
(ucs-set-char #x60BE ?$(D>"(B) ; J90-D-3E22
(ucs-set-char #x60BE ?$(H58(B) ; C02-H-3538
(ucs-set-char #x60BF ?$(H5F(B) ; C02-H-3546
(ucs-set-char #x60C0 ?$(H5I(B) ; C02-H-3549
(ucs-set-char #x60C1 ?$(H;l(B) ; C02-H-3B6C
(ucs-set-char #x60C2 ?$(D>#(B) ; J90-D-3E23
(ucs-set-char #x60C2 ?$(J1h(B) ; C04-J-3168
(ucs-set-char #x60C3 ?$(H5G(B) ; C02-H-3547
(ucs-set-char #x60C4 ?$(D>$(B) ; J90-D-3E24
(ucs-set-char #x60C4 ?$(H;a(B) ; C02-H-3B61
(ucs-set-char #x60C5 ?$(CoW(B) ; KS0-C-6F57
(ucs-set-char #x60C5 ?$(GZE(B) ; C01-G-5A45
(ucs-set-char #x60C5 ?$@>p(B) ; J78-@-3E70
(ucs-set-char #x60C5 ?$AGi(B) ; GB0-A-4769
(ucs-set-char #x60C5 ?$B>p(B) ; J83-B-3E70
(ucs-set-char #x60C6 ?$(GZL(B) ; C01-G-5A4C
(ucs-set-char #x60C6 ?$@X/(B) ; J78-@-582F
(ucs-set-char #x60C6 ?$Ac0(B) ; GB0-A-6330
(ucs-set-char #x60C6 ?$BX/(B) ; J83-B-582F
(ucs-set-char #x60C7 ?$(CTC(B) ; KS0-C-5443
(ucs-set-char #x60C7 ?$(GZP(B) ; C01-G-5A50
(ucs-set-char #x60C7 ?$@FW(B) ; J78-@-4657
(ucs-set-char #x60C7 ?$BFW(B) ; J83-B-4657
(ucs-set-char #x60C8 ?$(D>%(B) ; J90-D-3E25
(ucs-set-char #x60C8 ?$(H5A(B) ; C02-H-3541
(ucs-set-char #x60C9 ?$(D>&(B) ; J90-D-3E26
(ucs-set-char #x60C9 ?$(H;\(B) ; C02-H-3B5C
(ucs-set-char #x60CA ?$(D>'(B) ; J90-D-3E27
(ucs-set-char #x60CA ?$(H5E(B) ; C02-H-3545
(ucs-set-char #x60CA ?$A>*(B) ; GB0-A-3E2A
(ucs-set-char #x60CB ?$(D>((B) ; J90-D-3E28
(ucs-set-char #x60CB ?$(GZA(B) ; C01-G-5A41
(ucs-set-char #x60CB ?$AMo(B) ; GB0-A-4D6F
(ucs-set-char #x60CC ?$(H;^(B) ; C02-H-3B5E
(ucs-set-char #x60CD ?$(H5H(B) ; C02-H-3548
(ucs-set-char #x60CE ?$(D>)(B) ; J90-D-3E29
(ucs-set-char #x60CE ?$(H;`(B) ; C02-H-3B60
(ucs-set-char #x60CF ?$(D>*(B) ; J90-D-3E2A
(ucs-set-char #x60CF ?$(H5=(B) ; C02-H-353D
(ucs-set-char #x60D0 ?$(I5j(B) ; C03-I-356A
(ucs-set-char #x60D1 ?$(C{c(B) ; KS0-C-7B63
(ucs-set-char #x60D1 ?$(G_)(B) ; C01-G-5F29
(ucs-set-char #x60D1 ?$@OG(B) ; J78-@-4F47
(ucs-set-char #x60D1 ?$A;s(B) ; GB0-A-3B73
(ucs-set-char #x60D1 ?$BOG(B) ; J83-B-4F47
(ucs-set-char #x60D2 ?$(I;V(B) ; C03-I-3B56
(ucs-set-char #x60D3 ?$(H5;(B) ; C02-H-353B
(ucs-set-char #x60D3 ?$@X+(B) ; J78-@-582B
(ucs-set-char #x60D3 ?$BX+(B) ; J83-B-582B
(ucs-set-char #x60D4 ?$(D>+(B) ; J90-D-3E2B
(ucs-set-char #x60D4 ?$(H5<(B) ; C02-H-353C
(ucs-set-char #x60D5 ?$(D>,(B) ; J90-D-3E2C
(ucs-set-char #x60D5 ?$(GZK(B) ; C01-G-5A4B
(ucs-set-char #x60D5 ?$ALh(B) ; GB0-A-4C68
(ucs-set-char #x60D6 ?$(I;U(B) ; C03-I-3B55
(ucs-set-char #x60D7 ?$(I5n(B) ; C03-I-356E
(ucs-set-char #x60D8 ?$(GZJ(B) ; C01-G-5A4A
(ucs-set-char #x60D8 ?$@X1(B) ; J78-@-5831
(ucs-set-char #x60D8 ?$Ac/(B) ; GB0-A-632F
(ucs-set-char #x60D8 ?$BX1(B) ; J83-B-5831
(ucs-set-char #x60D9 ?$(D>-(B) ; J90-D-3E2D
(ucs-set-char #x60D9 ?$(H5?(B) ; C02-H-353F
(ucs-set-char #x60DA ?$(C{m(B) ; KS0-C-7B6D
(ucs-set-char #x60DA ?$(GZO(B) ; C01-G-5A4F
(ucs-set-char #x60DA ?$@9{(B) ; J78-@-397B
(ucs-set-char #x60DA ?$Ac1(B) ; GB0-A-6331
(ucs-set-char #x60DA ?$B9{(B) ; J83-B-397B
(ucs-set-char #x60DB ?$(D>.(B) ; J90-D-3E2E
(ucs-set-char #x60DB ?$(H5C(B) ; C02-H-3543
(ucs-set-char #x60DC ?$(C`-(B) ; KS0-C-602D
(ucs-set-char #x60DC ?$(GZH(B) ; C01-G-5A48
(ucs-set-char #x60DC ?$@@K(B) ; J78-@-404B
(ucs-set-char #x60DC ?$AO'(B) ; GB0-A-4F27
(ucs-set-char #x60DC ?$B@K(B) ; J83-B-404B
(ucs-set-char #x60DD ?$(D>/(B) ; J90-D-3E2F
(ucs-set-char #x60DD ?$(H5@(B) ; C02-H-3540
(ucs-set-char #x60DD ?$Ac.(B) ; GB0-A-632E
(ucs-set-char #x60DE ?$(D>0(B) ; J90-D-3E30
(ucs-set-char #x60DE ?$(I5y(B) ; C03-I-3579
(ucs-set-char #x60DF ?$(Cjn(B) ; KS0-C-6A6E
(ucs-set-char #x60DF ?$(GZM(B) ; C01-G-5A4D
(ucs-set-char #x60DF ?$@0T(B) ; J78-@-3054
(ucs-set-char #x60DF ?$AN)(B) ; GB0-A-4E29
(ucs-set-char #x60DF ?$B0T(B) ; J83-B-3054
(ucs-set-char #x60E0 ?$(C{3(B) ; KS0-C-7B33
(ucs-set-char #x60E0 ?$(G_-(B) ; C01-G-5F2D
(ucs-set-char #x60E0 ?$@X*(B) ; J78-@-582A
(ucs-set-char #x60E0 ?$A;](B) ; GB0-A-3B5D
(ucs-set-char #x60E0 ?$BX*(B) ; J83-B-582A
(ucs-set-char #x60E1 ?$(CdB(B) ; KS0-C-6442
(ucs-set-char #x60E1 ?$(G_*(B) ; C01-G-5F2A
(ucs-set-char #x60E1 ?$@X((B) ; J78-@-5828
(ucs-set-char #x60E1 ?$BX((B) ; J83-B-5828
(ucs-set-char #x60E2 ?$(D>1(B) ; J90-D-3E31
(ucs-set-char #x60E2 ?$(H;_(B) ; C02-H-3B5F
(ucs-set-char #x60E3 ?$(I;X(B) ; C03-I-3B58
(ucs-set-char #x60E3 ?$@AZ(B) ; J78-@-415A
(ucs-set-char #x60E3 ?$BAZ(B) ; J83-B-415A
(ucs-set-char #x60E4 ?$(H5>(B) ; C02-H-353E
(ucs-set-char #x60E5 ?$(D>2(B) ; J90-D-3E32
(ucs-set-char #x60E5 ?$(I;Y(B) ; C03-I-3B59
(ucs-set-char #x60E6 ?$(GZC(B) ; C01-G-5A43
(ucs-set-char #x60E6 ?$A5k(B) ; GB0-A-356B
(ucs-set-char #x60E7 ?$(I5v(B) ; C03-I-3576
(ucs-set-char #x60E7 ?$@W|(B) ; J78-@-577C
(ucs-set-char #x60E7 ?$A>e(B) ; GB0-A-3E65
(ucs-set-char #x60E7 ?$BW|(B) ; J83-B-577C
(ucs-set-char #x60E8 ?$@;4(B) ; J78-@-3B34
(ucs-set-char #x60E8 ?$A2R(B) ; GB0-A-3252
(ucs-set-char #x60E8 ?$B;4(B) ; J83-B-3B34
(ucs-set-char #x60E9 ?$(I;Z(B) ; C03-I-3B5A
(ucs-set-char #x60E9 ?$A3M(B) ; GB0-A-334D
(ucs-set-char #x60EA ?$(I;M(B) ; C03-I-3B4D
(ucs-set-char #x60EB ?$A19(B) ; GB0-A-3139
(ucs-set-char #x60EC ?$Ac+(B) ; GB0-A-632B
(ucs-set-char #x60ED ?$A2Q(B) ; GB0-A-3251
(ucs-set-char #x60EE ?$(I5t(B) ; C03-I-3574
(ucs-set-char #x60EE ?$A5,(B) ; GB0-A-352C
(ucs-set-char #x60EF ?$A9_(B) ; GB0-A-395F
(ucs-set-char #x60F0 ?$(Cvg(B) ; KS0-C-7667
(ucs-set-char #x60F0 ?$(G_2(B) ; C01-G-5F32
(ucs-set-char #x60F0 ?$@BF(B) ; J78-@-4246
(ucs-set-char #x60F0 ?$A6h(B) ; GB0-A-3668
(ucs-set-char #x60F0 ?$BBF(B) ; J83-B-4246
(ucs-set-char #x60F1 ?$(CR](B) ; KS0-C-525D
(ucs-set-char #x60F1 ?$(G_6(B) ; C01-G-5F36
(ucs-set-char #x60F1 ?$@X=(B) ; J78-@-583D
(ucs-set-char #x60F1 ?$BX=(B) ; J83-B-583D
(ucs-set-char #x60F2 ?$(D>3(B) ; J90-D-3E33
(ucs-set-char #x60F2 ?$(H;c(B) ; C02-H-3B63
(ucs-set-char #x60F3 ?$(C_L(B) ; KS0-C-5F4C
(ucs-set-char #x60F3 ?$(Gcw(B) ; C01-G-6377
(ucs-set-char #x60F3 ?$@A[(B) ; J78-@-415B
(ucs-set-char #x60F3 ?$AOk(B) ; GB0-A-4F6B
(ucs-set-char #x60F3 ?$BA[(B) ; J83-B-415B
(ucs-set-char #x60F4 ?$(G_4(B) ; C01-G-5F34
(ucs-set-char #x60F4 ?$@X8(B) ; J78-@-5838
(ucs-set-char #x60F4 ?$Ac7(B) ; GB0-A-6337
(ucs-set-char #x60F4 ?$BX8(B) ; J83-B-5838
(ucs-set-char #x60F5 ?$(D>4(B) ; J90-D-3E34
(ucs-set-char #x60F5 ?$(H;g(B) ; C02-H-3B67
(ucs-set-char #x60F6 ?$(C|I(B) ; KS0-C-7C49
(ucs-set-char #x60F6 ?$(G_8(B) ; C01-G-5F38
(ucs-set-char #x60F6 ?$@X5(B) ; J78-@-5835
(ucs-set-char #x60F6 ?$A;L(B) ; GB0-A-3B4C
(ucs-set-char #x60F6 ?$BX5(B) ; J83-B-5835
(ucs-set-char #x60F7 ?$(HBk(B) ; C02-H-426B
(ucs-set-char #x60F7 ?$@X6(B) ; J78-@-5836
(ucs-set-char #x60F7 ?$BX6(B) ; J83-B-5836
(ucs-set-char #x60F8 ?$(D>5(B) ; J90-D-3E35
(ucs-set-char #x60F8 ?$(H;i(B) ; C02-H-3B69
(ucs-set-char #x60F9 ?$(Ce)(B) ; KS0-C-6529
(ucs-set-char #x60F9 ?$(Gcy(B) ; C01-G-6379
(ucs-set-char #x60F9 ?$@<f(B) ; J78-@-3C66
(ucs-set-char #x60F9 ?$AHG(B) ; GB0-A-4847
(ucs-set-char #x60F9 ?$B<f(B) ; J83-B-3C66
(ucs-set-char #x60FA ?$(C`v(B) ; KS0-C-6076
(ucs-set-char #x60FA ?$(G_0(B) ; C01-G-5F30
(ucs-set-char #x60FA ?$@X9(B) ; J78-@-5839
(ucs-set-char #x60FA ?$APJ(B) ; GB0-A-504A
(ucs-set-char #x60FA ?$BX9(B) ; J83-B-5839
(ucs-set-char #x60FB ?$(Cv3(B) ; KS0-C-7633
(ucs-set-char #x60FB ?$(G_3(B) ; C01-G-5F33
(ucs-set-char #x60FB ?$@X<(B) ; J78-@-583C
(ucs-set-char #x60FB ?$BX<(B) ; J83-B-583C
(ucs-set-char #x60FC ?$(D>6(B) ; J90-D-3E36
(ucs-set-char #x60FC ?$(H;j(B) ; C02-H-3B6A
(ucs-set-char #x60FD ?$(D>7(B) ; J90-D-3E37
(ucs-set-char #x60FD ?$(I;^(B) ; C03-I-3B5E
(ucs-set-char #x60FE ?$(H;k(B) ; C02-H-3B6B
(ucs-set-char #x60FF ?$(H;q(B) ; C02-H-3B71
(ucs-set-char #x6100 ?$(G_:(B) ; C01-G-5F3A
(ucs-set-char #x6100 ?$@X7(B) ; J78-@-5837
(ucs-set-char #x6100 ?$Ac8(B) ; GB0-A-6338
(ucs-set-char #x6100 ?$BX7(B) ; J83-B-5837
(ucs-set-char #x6101 ?$(Ca~(B) ; KS0-C-617E
(ucs-set-char #x6101 ?$(Gcz(B) ; C01-G-637A
(ucs-set-char #x6101 ?$@=%(B) ; J78-@-3D25
(ucs-set-char #x6101 ?$A3n(B) ; GB0-A-336E
(ucs-set-char #x6101 ?$B=%(B) ; J83-B-3D25
(ucs-set-char #x6102 ?$(D>8(B) ; J90-D-3E38
(ucs-set-char #x6102 ?$(J==(B) ; C04-J-3D3D
(ucs-set-char #x6103 ?$(H;m(B) ; C02-H-3B6D
(ucs-set-char #x6103 ?$@X:(B) ; J78-@-583A
(ucs-set-char #x6103 ?$BX:(B) ; J83-B-583A
(ucs-set-char #x6104 ?$(H;r(B) ; C02-H-3B72
(ucs-set-char #x6105 ?$(H;f(B) ; C02-H-3B66
(ucs-set-char #x6106 ?$(CKp(B) ; KS0-C-4B70
(ucs-set-char #x6106 ?$(Gd&(B) ; C01-G-6426
(ucs-set-char #x6106 ?$@X4(B) ; J78-@-5834
(ucs-set-char #x6106 ?$Am)(B) ; GB0-A-6D29
(ucs-set-char #x6106 ?$BX4(B) ; J83-B-5834
(ucs-set-char #x6107 ?$(D>9(B) ; J90-D-3E39
(ucs-set-char #x6107 ?$(I;O(B) ; C03-I-3B4F
(ucs-set-char #x6108 ?$(Cjo(B) ; KS0-C-6A6F
(ucs-set-char #x6108 ?$(Gc{(B) ; C01-G-637B
(ucs-set-char #x6108 ?$@L|(B) ; J78-@-4C7C
(ucs-set-char #x6108 ?$ASz(B) ; GB0-A-537A
(ucs-set-char #x6108 ?$BL|(B) ; J83-B-4C7C
(ucs-set-char #x6109 ?$(Cjp(B) ; KS0-C-6A70
(ucs-set-char #x6109 ?$(G_9(B) ; C01-G-5F39
(ucs-set-char #x6109 ?$@L{(B) ; J78-@-4C7B
(ucs-set-char #x6109 ?$ASd(B) ; GB0-A-5364
(ucs-set-char #x6109 ?$BL{(B) ; J83-B-4C7B
(ucs-set-char #x610A ?$(D>:(B) ; J90-D-3E3A
(ucs-set-char #x610A ?$(H;d(B) ; C02-H-3B64
(ucs-set-char #x610B ?$(H;s(B) ; C02-H-3B73
(ucs-set-char #x610C ?$(D>;(B) ; J90-D-3E3B
(ucs-set-char #x610C ?$(I;Q(B) ; C03-I-3B51
(ucs-set-char #x610D ?$(CZ@(B) ; KS0-C-5A40
(ucs-set-char #x610D ?$(Gd%(B) ; C01-G-6425
(ucs-set-char #x610D ?$@X>(B) ; J78-@-583E
(ucs-set-char #x610D ?$Am*(B) ; GB0-A-6D2A
(ucs-set-char #x610D ?$BX>(B) ; J83-B-583E
(ucs-set-char #x610E ?$(Cx4(B) ; KS0-C-7834
(ucs-set-char #x610E ?$(G_7(B) ; C01-G-5F37
(ucs-set-char #x610E ?$@X?(B) ; J78-@-583F
(ucs-set-char #x610E ?$Ac9(B) ; GB0-A-6339
(ucs-set-char #x610E ?$BX?(B) ; J83-B-583F
(ucs-set-char #x610F ?$(Ckr(B) ; KS0-C-6B72
(ucs-set-char #x610F ?$(Gct(B) ; C01-G-6374
(ucs-set-char #x610F ?$@0U(B) ; J78-@-3055
(ucs-set-char #x610F ?$ARb(B) ; GB0-A-5262
(ucs-set-char #x610F ?$B0U(B) ; J83-B-3055
(ucs-set-char #x6110 ?$(D><(B) ; J90-D-3E3C
(ucs-set-char #x6110 ?$(H;p(B) ; C02-H-3B70
(ucs-set-char #x6111 ?$(D>=(B) ; J90-D-3E3D
(ucs-set-char #x6111 ?$(I;](B) ; C03-I-3B5D
(ucs-set-char #x6112 ?$(D>>(B) ; J90-D-3E3E
(ucs-set-char #x6112 ?$(G_;(B) ; C01-G-5F3B
(ucs-set-char #x6113 ?$(D>?(B) ; J90-D-3E3F
(ucs-set-char #x6113 ?$(H;h(B) ; C02-H-3B68
(ucs-set-char #x6114 ?$(D>@(B) ; J90-D-3E40
(ucs-set-char #x6114 ?$(H;b(B) ; C02-H-3B62
(ucs-set-char #x6115 ?$(CdC(B) ; KS0-C-6443
(ucs-set-char #x6115 ?$(G_1(B) ; C01-G-5F31
(ucs-set-char #x6115 ?$@X3(B) ; J78-@-5833
(ucs-set-char #x6115 ?$Ac5(B) ; GB0-A-6335
(ucs-set-char #x6115 ?$BX3(B) ; J83-B-5833
(ucs-set-char #x6116 ?$(D>A(B) ; J90-D-3E41
(ucs-set-char #x6116 ?$(H;e(B) ; C02-H-3B65
(ucs-set-char #x6117 ?$(D>B(B) ; J90-D-3E42
(ucs-set-char #x6117 ?$(K?0(B) ; C05-K-3F30
(ucs-set-char #x6118 ?$(H;n(B) ; C02-H-3B6E
(ucs-set-char #x6119 ?$(D>C(B) ; J90-D-3E43
(ucs-set-char #x6119 ?$(IA+(B) ; C03-I-412B
(ucs-set-char #x611A ?$(CiW(B) ; KS0-C-6957
(ucs-set-char #x611A ?$(Gcs(B) ; C01-G-6373
(ucs-set-char #x611A ?$@6r(B) ; J78-@-3672
(ucs-set-char #x611A ?$AS^(B) ; GB0-A-535E
(ucs-set-char #x611A ?$B6r(B) ; J83-B-3672
(ucs-set-char #x611B ?$(Cdq(B) ; KS0-C-6471
(ucs-set-char #x611B ?$(Gcx(B) ; C01-G-6378
(ucs-set-char #x611B ?$@0&(B) ; J78-@-3026
(ucs-set-char #x611B ?$B0&(B) ; J83-B-3026
(ucs-set-char #x611C ?$(D>D(B) ; J90-D-3E44
(ucs-set-char #x611C ?$(G_.(B) ; C01-G-5F2E
(ucs-set-char #x611D ?$(H;o(B) ; C02-H-3B6F
(ucs-set-char #x611E ?$(D>E(B) ; J90-D-3E45
(ucs-set-char #x611E ?$(I;a(B) ; C03-I-3B61
(ucs-set-char #x611F ?$(CJo(B) ; KS0-C-4A6F
(ucs-set-char #x611F ?$(Gcv(B) ; C01-G-6376
(ucs-set-char #x611F ?$@46(B) ; J78-@-3436
(ucs-set-char #x611F ?$A8P(B) ; GB0-A-3850
(ucs-set-char #x611F ?$B46(B) ; J83-B-3436
(ucs-set-char #x6120 ?$(I;b(B) ; C03-I-3B62
(ucs-set-char #x6120 ?$Ac3(B) ; GB0-A-6333
(ucs-set-char #x6121 ?$(I;c(B) ; C03-I-3B63
(ucs-set-char #x6121 ?$@X;(B) ; J78-@-583B
(ucs-set-char #x6121 ?$BX;(B) ; J83-B-583B
(ucs-set-char #x6122 ?$(D>F(B) ; J90-D-3E46
(ucs-set-char #x6122 ?$(I;P(B) ; C03-I-3B50
(ucs-set-char #x6123 ?$(G_/(B) ; C01-G-5F2F
(ucs-set-char #x6123 ?$Ac6(B) ; GB0-A-6336
(ucs-set-char #x6124 ?$A7_(B) ; GB0-A-375F
(ucs-set-char #x6126 ?$Ac4(B) ; GB0-A-6334
(ucs-set-char #x6127 ?$(CNW(B) ; KS0-C-4E57
(ucs-set-char #x6127 ?$(Gd$(B) ; C01-G-6424
(ucs-set-char #x6127 ?$@XC(B) ; J78-@-5843
(ucs-set-char #x6127 ?$A@"(B) ; GB0-A-4022
(ucs-set-char #x6127 ?$BXC(B) ; J83-B-5843
(ucs-set-char #x6128 ?$(HJ*(B) ; C02-H-4A2A
(ucs-set-char #x6128 ?$@XB(B) ; J78-@-5842
(ucs-set-char #x6128 ?$BXB(B) ; J83-B-5842
(ucs-set-char #x6129 ?$(HBv(B) ; C02-H-4276
(ucs-set-char #x612A ?$(D>G(B) ; J90-D-3E47
(ucs-set-char #x612A ?$(IA)(B) ; C03-I-4129
(ucs-set-char #x612B ?$(D>H(B) ; J90-D-3E48
(ucs-set-char #x612B ?$(HBn(B) ; C02-H-426E
(ucs-set-char #x612B ?$Ac:(B) ; GB0-A-633A
(ucs-set-char #x612C ?$(HJ)(B) ; C02-H-4A29
(ucs-set-char #x612C ?$@XG(B) ; J78-@-5847
(ucs-set-char #x612C ?$BXG(B) ; J83-B-5847
(ucs-set-char #x612D ?$(J=9(B) ; C04-J-3D39
(ucs-set-char #x612E ?$(HBr(B) ; C02-H-4272
(ucs-set-char #x612F ?$(HBt(B) ; C02-H-4274
(ucs-set-char #x6130 ?$(C|J(B) ; KS0-C-7C4A
(ucs-set-char #x6130 ?$(D>I(B) ; J90-D-3E49
(ucs-set-char #x6130 ?$(IA'(B) ; C03-I-4127
(ucs-set-char #x6131 ?$(D>J(B) ; J90-D-3E4A
(ucs-set-char #x6131 ?$(IA,(B) ; C03-I-412C
(ucs-set-char #x6132 ?$(HBq(B) ; C02-H-4271
(ucs-set-char #x6133 ?$(IFo(B) ; C03-I-466F
(ucs-set-char #x6134 ?$(Csa(B) ; KS0-C-7361
(ucs-set-char #x6134 ?$(Gd#(B) ; C01-G-6423
(ucs-set-char #x6134 ?$@XH(B) ; J78-@-5848
(ucs-set-char #x6134 ?$BXH(B) ; J83-B-5848
(ucs-set-char #x6135 ?$(D>K(B) ; J90-D-3E4B
(ucs-set-char #x6135 ?$(J=8(B) ; C04-J-3D38
(ucs-set-char #x6136 ?$(D>L(B) ; J90-D-3E4C
(ucs-set-char #x6136 ?$(HBp(B) ; C02-H-4270
(ucs-set-char #x6137 ?$(CKD(B) ; KS0-C-4B44
(ucs-set-char #x6137 ?$(D>M(B) ; J90-D-3E4D
(ucs-set-char #x6137 ?$(Gd'(B) ; C01-G-6427
(ucs-set-char #x6138 ?$(IFn(B) ; C03-I-466E
(ucs-set-char #x6139 ?$(D>N(B) ; J90-D-3E4E
(ucs-set-char #x6139 ?$(LRd(B) ; C06-L-5264
(ucs-set-char #x613A ?$(IA((B) ; C03-I-4128
(ucs-set-char #x613B ?$(HJ9(B) ; C02-H-4A39
(ucs-set-char #x613C ?$(Cce(B) ; KS0-C-6365
(ucs-set-char #x613C ?$(IFl(B) ; C03-I-466C
(ucs-set-char #x613C ?$@XF(B) ; J78-@-5846
(ucs-set-char #x613C ?$BXF(B) ; J83-B-5846
(ucs-set-char #x613D ?$(IA.(B) ; C03-I-412E
(ucs-set-char #x613D ?$@XI(B) ; J78-@-5849
(ucs-set-char #x613D ?$BXI(B) ; J83-B-5849
(ucs-set-char #x613E ?$(CKE(B) ; KS0-C-4B45
(ucs-set-char #x613E ?$(Gd"(B) ; C01-G-6422
(ucs-set-char #x613E ?$@XA(B) ; J78-@-5841
(ucs-set-char #x613E ?$BXA(B) ; J83-B-5841
(ucs-set-char #x613F ?$(Cj4(B) ; KS0-C-6A34
(ucs-set-char #x613F ?$(Ghg(B) ; C01-G-6867
(ucs-set-char #x613F ?$@XE(B) ; J78-@-5845
(ucs-set-char #x613F ?$AT8(B) ; GB0-A-5438
(ucs-set-char #x613F ?$BXE(B) ; J83-B-5845
(ucs-set-char #x6140 ?$(HBw(B) ; C02-H-4277
(ucs-set-char #x6141 ?$(D>O(B) ; J90-D-3E4F
(ucs-set-char #x6141 ?$(HJ+(B) ; C02-H-4A2B
(ucs-set-char #x6142 ?$(Ci=(B) ; KS0-C-693D
(ucs-set-char #x6142 ?$(IFm(B) ; C03-I-466D
(ucs-set-char #x6142 ?$@XJ(B) ; J78-@-584A
(ucs-set-char #x6142 ?$BXJ(B) ; J83-B-584A
(ucs-set-char #x6143 ?$(IA*(B) ; C03-I-412A
(ucs-set-char #x6144 ?$(CWI(B) ; KS0-C-5749
(ucs-set-char #x6144 ?$(Gc~(B) ; C01-G-637E
(ucs-set-char #x6144 ?$@XK(B) ; J78-@-584B
(ucs-set-char #x6144 ?$BXK(B) ; J83-B-584B
(ucs-set-char #x6145 ?$(D>P(B) ; J90-D-3E50
(ucs-set-char #x6145 ?$(HBo(B) ; C02-H-426F
(ucs-set-char #x6146 ?$(D>Q(B) ; J90-D-3E51
(ucs-set-char #x6146 ?$(HBs(B) ; C02-H-4273
(ucs-set-char #x6147 ?$(Ck[(B) ; KS0-C-6B5B
(ucs-set-char #x6147 ?$(Ghf(B) ; C01-G-6866
(ucs-set-char #x6147 ?$@X@(B) ; J78-@-5840
(ucs-set-char #x6147 ?$BX@(B) ; J83-B-5840
(ucs-set-char #x6148 ?$(Cm1(B) ; KS0-C-6D31
(ucs-set-char #x6148 ?$(Gcu(B) ; C01-G-6375
(ucs-set-char #x6148 ?$@;|(B) ; J78-@-3B7C
(ucs-set-char #x6148 ?$A4H(B) ; GB0-A-3448
(ucs-set-char #x6148 ?$B;|(B) ; J83-B-3B7C
(ucs-set-char #x6149 ?$(D>R(B) ; J90-D-3E52
(ucs-set-char #x6149 ?$(HBl(B) ; C02-H-426C
(ucs-set-char #x614A ?$(CLC(B) ; KS0-C-4C43
(ucs-set-char #x614A ?$(HBm(B) ; C02-H-426D
(ucs-set-char #x614A ?$@XD(B) ; J78-@-5844
(ucs-set-char #x614A ?$Ac;(B) ; GB0-A-633B
(ucs-set-char #x614A ?$BXD(B) ; J83-B-5844
(ucs-set-char #x614B ?$(Cw>(B) ; KS0-C-773E
(ucs-set-char #x614B ?$(Ghh(B) ; C01-G-6868
(ucs-set-char #x614B ?$@BV(B) ; J78-@-4256
(ucs-set-char #x614B ?$BBV(B) ; J83-B-4256
(ucs-set-char #x614C ?$(C|K(B) ; KS0-C-7C4B
(ucs-set-char #x614C ?$(Gc}(B) ; C01-G-637D
(ucs-set-char #x614C ?$@92(B) ; J78-@-3932
(ucs-set-char #x614C ?$A;E(B) ; GB0-A-3B45
(ucs-set-char #x614C ?$B92(B) ; J83-B-3932
(ucs-set-char #x614D ?$(Gd!(B) ; C01-G-6421
(ucs-set-char #x614D ?$@X2(B) ; J78-@-5832
(ucs-set-char #x614D ?$BX2(B) ; J83-B-5832
(ucs-set-char #x614E ?$(Gc|(B) ; C01-G-637C
(ucs-set-char #x614E ?$(LRf(B) ; C06-L-5266
(ucs-set-char #x614E ?$@?5(B) ; J78-@-3F35
(ucs-set-char #x614E ?$AIw(B) ; GB0-A-4977
(ucs-set-char #x614E ?$B?5(B) ; J83-B-3F35
(ucs-set-char #x614F ?$(HBu(B) ; C02-H-4275
(ucs-set-char #x6151 ?$AIe(B) ; GB0-A-4965
(ucs-set-char #x6152 ?$(HJ/(B) ; C02-H-4A2F
(ucs-set-char #x6153 ?$(Cxt(B) ; KS0-C-7874
(ucs-set-char #x6153 ?$(HJ0(B) ; C02-H-4A30
(ucs-set-char #x6153 ?$@XX(B) ; J78-@-5858
(ucs-set-char #x6153 ?$BXX(B) ; J83-B-5858
(ucs-set-char #x6154 ?$(HJ5(B) ; C02-H-4A35
(ucs-set-char #x6155 ?$(CY7(B) ; KS0-C-5937
(ucs-set-char #x6155 ?$(Glg(B) ; C01-G-6C67
(ucs-set-char #x6155 ?$@Ji(B) ; J78-@-4A69
(ucs-set-char #x6155 ?$AD=(B) ; GB0-A-443D
(ucs-set-char #x6155 ?$BJi(B) ; J83-B-4A69
(ucs-set-char #x6156 ?$(HJ<(B) ; C02-H-4A3C
(ucs-set-char #x6157 ?$(IKs(B) ; C03-I-4B73
(ucs-set-char #x6158 ?$(CsS(B) ; KS0-C-7353
(ucs-set-char #x6158 ?$(Ghn(B) ; C01-G-686E
(ucs-set-char #x6158 ?$@XN(B) ; J78-@-584E
(ucs-set-char #x6158 ?$BXN(B) ; J83-B-584E
(ucs-set-char #x6159 ?$(CsT(B) ; KS0-C-7354
(ucs-set-char #x6159 ?$(IK~(B) ; C03-I-4B7E
(ucs-set-char #x6159 ?$@XO(B) ; J78-@-584F
(ucs-set-char #x6159 ?$BXO(B) ; J83-B-584F
(ucs-set-char #x615A ?$(Ghm(B) ; C01-G-686D
(ucs-set-char #x615A ?$@XP(B) ; J78-@-5850
(ucs-set-char #x615A ?$BXP(B) ; J83-B-5850
(ucs-set-char #x615B ?$(HJ7(B) ; C02-H-4A37
(ucs-set-char #x615C ?$(IKt(B) ; C03-I-4B74
(ucs-set-char #x615D ?$(Cwd(B) ; KS0-C-7764
(ucs-set-char #x615D ?$(Glf(B) ; C01-G-6C66
(ucs-set-char #x615D ?$@XW(B) ; J78-@-5857
(ucs-set-char #x615D ?$Am+(B) ; GB0-A-6D2B
(ucs-set-char #x615D ?$BXW(B) ; J83-B-5857
(ucs-set-char #x615E ?$(D>S(B) ; J90-D-3E53
(ucs-set-char #x615E ?$(HJ,(B) ; C02-H-4A2C
(ucs-set-char #x615F ?$(CwQ(B) ; KS0-C-7751
(ucs-set-char #x615F ?$(Ghl(B) ; C01-G-686C
(ucs-set-char #x615F ?$@XV(B) ; J78-@-5856
(ucs-set-char #x615F ?$BXV(B) ; J83-B-5856
(ucs-set-char #x6160 ?$(D>T(B) ; J90-D-3E54
(ucs-set-char #x6160 ?$(IFq(B) ; C03-I-4671
(ucs-set-char #x6161 ?$(HJ;(B) ; C02-H-4A3B
(ucs-set-char #x6162 ?$(CX7(B) ; KS0-C-5837
(ucs-set-char #x6162 ?$(Ghj(B) ; C01-G-686A
(ucs-set-char #x6162 ?$@K}(B) ; J78-@-4B7D
(ucs-set-char #x6162 ?$AB}(B) ; GB0-A-427D
(ucs-set-char #x6162 ?$BK}(B) ; J83-B-4B7D
(ucs-set-char #x6163 ?$(CN1(B) ; KS0-C-4E31
(ucs-set-char #x6163 ?$(Ghk(B) ; C01-G-686B
(ucs-set-char #x6163 ?$@47(B) ; J78-@-3437
(ucs-set-char #x6163 ?$B47(B) ; J83-B-3437
(ucs-set-char #x6164 ?$(CJB(B) ; KS0-C-4A42
(ucs-set-char #x6164 ?$(IK|(B) ; C03-I-4B7C
(ucs-set-char #x6165 ?$(HJ8(B) ; C02-H-4A38
(ucs-set-char #x6165 ?$@XT(B) ; J78-@-5854
(ucs-set-char #x6165 ?$BXT(B) ; J83-B-5854
(ucs-set-char #x6166 ?$(HPQ(B) ; C02-H-5051
(ucs-set-char #x6167 ?$(C{4(B) ; KS0-C-7B34
(ucs-set-char #x6167 ?$(Gld(B) ; C01-G-6C64
(ucs-set-char #x6167 ?$@7E(B) ; J78-@-3745
(ucs-set-char #x6167 ?$A;[(B) ; GB0-A-3B5B
(ucs-set-char #x6167 ?$B7E(B) ; J83-B-3745
(ucs-set-char #x6168 ?$(CKF(B) ; KS0-C-4B46
(ucs-set-char #x6168 ?$(G_5(B) ; C01-G-5F35
(ucs-set-char #x6168 ?$@34(B) ; J78-@-3334
(ucs-set-char #x6168 ?$A?.(B) ; GB0-A-3F2E
(ucs-set-char #x6168 ?$B34(B) ; J83-B-3334
(ucs-set-char #x6169 ?$(IFr(B) ; C03-I-4672
(ucs-set-char #x616A ?$(HJ:(B) ; C02-H-4A3A
(ucs-set-char #x616B ?$(Cpv(B) ; KS0-C-7076
(ucs-set-char #x616B ?$(Glk(B) ; C01-G-6C6B
(ucs-set-char #x616B ?$@XQ(B) ; J78-@-5851
(ucs-set-char #x616B ?$BXQ(B) ; J83-B-5851
(ucs-set-char #x616C ?$(D>U(B) ; J90-D-3E55
(ucs-set-char #x616C ?$(HJ2(B) ; C02-H-4A32
(ucs-set-char #x616D ?$(JIo(B) ; C04-J-496F
(ucs-set-char #x616E ?$(CUg(B) ; KS0-C-5567
(ucs-set-char #x616E ?$(Gle(B) ; C01-G-6C65
(ucs-set-char #x616E ?$@N8(B) ; J78-@-4E38
(ucs-set-char #x616E ?$BN8(B) ; J83-B-4E38
(ucs-set-char #x616F ?$(IFj(B) ; C03-I-466A
(ucs-set-char #x616F ?$@XS(B) ; J78-@-5853
(ucs-set-char #x616F ?$BXS(B) ; J83-B-5853
(ucs-set-char #x6170 ?$(CjP(B) ; KS0-C-6A50
(ucs-set-char #x6170 ?$(Glj(B) ; C01-G-6C6A
(ucs-set-char #x6170 ?$@0V(B) ; J78-@-3056
(ucs-set-char #x6170 ?$AN?(B) ; GB0-A-4E3F
(ucs-set-char #x6170 ?$B0V(B) ; J83-B-3056
(ucs-set-char #x6171 ?$(HJ-(B) ; C02-H-4A2D
(ucs-set-char #x6171 ?$@XU(B) ; J78-@-5855
(ucs-set-char #x6171 ?$BXU(B) ; J83-B-5855
(ucs-set-char #x6172 ?$(D>V(B) ; J90-D-3E56
(ucs-set-char #x6172 ?$(HJ1(B) ; C02-H-4A31
(ucs-set-char #x6173 ?$(HJ.(B) ; C02-H-4A2E
(ucs-set-char #x6173 ?$@XL(B) ; J78-@-584C
(ucs-set-char #x6173 ?$BXL(B) ; J83-B-584C
(ucs-set-char #x6174 ?$(HJ4(B) ; C02-H-4A34
(ucs-set-char #x6174 ?$@XR(B) ; J78-@-5852
(ucs-set-char #x6174 ?$BXR(B) ; J83-B-5852
(ucs-set-char #x6175 ?$(Gho(B) ; C01-G-686F
(ucs-set-char #x6175 ?$@XY(B) ; J78-@-5859
(ucs-set-char #x6175 ?$Ac<(B) ; GB0-A-633C
(ucs-set-char #x6175 ?$BXY(B) ; J83-B-5859
(ucs-set-char #x6176 ?$(CLT(B) ; KS0-C-4C54
(ucs-set-char #x6176 ?$(Glc(B) ; C01-G-6C63
(ucs-set-char #x6176 ?$@7D(B) ; J78-@-3744
(ucs-set-char #x6176 ?$B7D(B) ; J83-B-3744
(ucs-set-char #x6177 ?$(CK/(B) ; KS0-C-4B2F
(ucs-set-char #x6177 ?$(Ghi(B) ; C01-G-6869
(ucs-set-char #x6177 ?$@XM(B) ; J78-@-584D
(ucs-set-char #x6177 ?$A?6(B) ; GB0-A-3F36
(ucs-set-char #x6177 ?$BXM(B) ; J83-B-584D
(ucs-set-char #x6178 ?$(D>W(B) ; J90-D-3E57
(ucs-set-char #x6178 ?$(IL!(B) ; C03-I-4C21
(ucs-set-char #x6179 ?$(HPC(B) ; C02-H-5043
(ucs-set-char #x617A ?$(HJ6(B) ; C02-H-4A36
(ucs-set-char #x617B ?$(D>X(B) ; J90-D-3E58
(ucs-set-char #x617B ?$(IFh(B) ; C03-I-4668
(ucs-set-char #x617C ?$(D>Y(B) ; J90-D-3E59
(ucs-set-char #x617C ?$(Gli(B) ; C01-G-6C69
(ucs-set-char #x617D ?$(Ct*(B) ; KS0-C-742A
(ucs-set-char #x617D ?$(IFs(B) ; C03-I-4673
(ucs-set-char #x617E ?$(Ci/(B) ; KS0-C-692F
(ucs-set-char #x617E ?$(Gll(B) ; C01-G-6C6C
(ucs-set-char #x617E ?$@M](B) ; J78-@-4D5D
(ucs-set-char #x617E ?$BM](B) ; J83-B-4D5D
(ucs-set-char #x617F ?$(D>Z(B) ; J90-D-3E5A
(ucs-set-char #x617F ?$(M"q(B) ; C07-M-2271
(ucs-set-char #x6180 ?$(D>[(B) ; J90-D-3E5B
(ucs-set-char #x6180 ?$(HJ3(B) ; C02-H-4A33
(ucs-set-char #x6181 ?$(CuC(B) ; KS0-C-7543
(ucs-set-char #x6181 ?$(D>\(B) ; J90-D-3E5C
(ucs-set-char #x6181 ?$(IFk(B) ; C03-I-466B
(ucs-set-char #x6182 ?$(CiX(B) ; KS0-C-6958
(ucs-set-char #x6182 ?$(Glh(B) ; C01-G-6C68
(ucs-set-char #x6182 ?$@M+(B) ; J78-@-4D2B
(ucs-set-char #x6182 ?$BM+(B) ; J83-B-4D2B
(ucs-set-char #x6183 ?$(D>](B) ; J90-D-3E5D
(ucs-set-char #x6183 ?$(HPB(B) ; C02-H-5042
(ucs-set-char #x6184 ?$(D>^(B) ; J90-D-3E5E
(ucs-set-char #x6184 ?$(KM*(B) ; C05-K-4D2A
(ucs-set-char #x6185 ?$(IL#(B) ; C03-I-4C23
(ucs-set-char #x6186 ?$(IFt(B) ; C03-I-4674
(ucs-set-char #x6187 ?$(IL$(B) ; C03-I-4C24
(ucs-set-char #x6187 ?$@X\(B) ; J78-@-585C
(ucs-set-char #x6187 ?$BX\(B) ; J83-B-585C
(ucs-set-char #x6188 ?$(IKw(B) ; C03-I-4B77
(ucs-set-char #x6189 ?$(HPG(B) ; C02-H-5047
(ucs-set-char #x618A ?$(C]i(B) ; KS0-C-5D69
(ucs-set-char #x618A ?$(GpW(B) ; C01-G-7057
(ucs-set-char #x618A ?$@X`(B) ; J78-@-5860
(ucs-set-char #x618A ?$BX`(B) ; J83-B-5860
(ucs-set-char #x618B ?$(D>_(B) ; J90-D-3E5F
(ucs-set-char #x618B ?$(HPA(B) ; C02-H-5041
(ucs-set-char #x618B ?$A1o(B) ; GB0-A-316F
(ucs-set-char #x618C ?$(HW.(B) ; C02-H-572E
(ucs-set-char #x618D ?$(D>`(B) ; J90-D-3E60
(ucs-set-char #x618D ?$(HPP(B) ; C02-H-5050
(ucs-set-char #x618E ?$(Cqs(B) ; KS0-C-7173
(ucs-set-char #x618E ?$(Glp(B) ; C01-G-6C70
(ucs-set-char #x618E ?$(JCQ(B) ; C04-J-4351
(ucs-set-char #x618E ?$@A~(B) ; J78-@-417E
(ucs-set-char #x618E ?$ATw(B) ; GB0-A-5477
(ucs-set-char #x618E ?$BA~(B) ; J83-B-417E
(ucs-set-char #x618F ?$(IKz(B) ; C03-I-4B7A
(ucs-set-char #x6190 ?$(CU{(B) ; KS0-C-557B
(ucs-set-char #x6190 ?$(Gln(B) ; C01-G-6C6E
(ucs-set-char #x6190 ?$@Ny(B) ; J78-@-4E79
(ucs-set-char #x6190 ?$BNy(B) ; J83-B-4E79
(ucs-set-char #x6191 ?$(C^;(B) ; KS0-C-5E3B
(ucs-set-char #x6191 ?$(GpU(B) ; C01-G-7055
(ucs-set-char #x6191 ?$@Xa(B) ; J78-@-5861
(ucs-set-char #x6191 ?$BXa(B) ; J83-B-5861
(ucs-set-char #x6192 ?$(D>a(B) ; J90-D-3E61
(ucs-set-char #x6192 ?$(HPM(B) ; C02-H-504D
(ucs-set-char #x6193 ?$(D>b(B) ; J90-D-3E62
(ucs-set-char #x6193 ?$(HPI(B) ; C02-H-5049
(ucs-set-char #x6194 ?$(Ct{(B) ; KS0-C-747B
(ucs-set-char #x6194 ?$(Glt(B) ; C01-G-6C74
(ucs-set-char #x6194 ?$@X^(B) ; J78-@-585E
(ucs-set-char #x6194 ?$Ac>(B) ; GB0-A-633E
(ucs-set-char #x6194 ?$BX^(B) ; J83-B-585E
(ucs-set-char #x6195 ?$(IKv(B) ; C03-I-4B76
(ucs-set-char #x6196 ?$(HW%(B) ; C02-H-5725
(ucs-set-char #x6196 ?$@X[(B) ; J78-@-585B
(ucs-set-char #x6196 ?$BX[(B) ; J83-B-585B
(ucs-set-char #x6197 ?$(D>c(B) ; J90-D-3E63
(ucs-set-char #x6197 ?$(IPh(B) ; C03-I-5068
(ucs-set-char #x6198 ?$(C}s(B) ; KS0-C-7D73
(ucs-set-char #x6198 ?$(D>d(B) ; J90-D-3E64
(ucs-set-char #x6198 ?$(IL((B) ; C03-I-4C28
(ucs-set-char #x6199 ?$(C}r(B) ; KS0-C-7D72
(ucs-set-char #x6199 ?$(IPg(B) ; C03-I-5067
(ucs-set-char #x6199 ?$@XZ(B) ; J78-@-585A
(ucs-set-char #x6199 ?$BXZ(B) ; J83-B-585A
(ucs-set-char #x619A ?$(Cw&(B) ; KS0-C-7726
(ucs-set-char #x619A ?$(Glr(B) ; C01-G-6C72
(ucs-set-char #x619A ?$@X_(B) ; J78-@-585F
(ucs-set-char #x619A ?$BX_(B) ; J83-B-585F
(ucs-set-char #x619B ?$(HPH(B) ; C02-H-5048
(ucs-set-char #x619C ?$(D>e(B) ; J90-D-3E65
(ucs-set-char #x619C ?$(IL)(B) ; C03-I-4C29
(ucs-set-char #x619D ?$(D>f(B) ; J90-D-3E66
(ucs-set-char #x619D ?$(HW#(B) ; C02-H-5723
(ucs-set-char #x619D ?$Am-(B) ; GB0-A-6D2D
(ucs-set-char #x619E ?$(IL%(B) ; C03-I-4C25
(ucs-set-char #x619F ?$(D>g(B) ; J90-D-3E67
(ucs-set-char #x619F ?$(HPL(B) ; C02-H-504C
(ucs-set-char #x61A0 ?$(D>h(B) ; J90-D-3E68
(ucs-set-char #x61A0 ?$(JP;(B) ; C04-J-503B
(ucs-set-char #x61A1 ?$(HPO(B) ; C02-H-504F
(ucs-set-char #x61A2 ?$(HPF(B) ; C02-H-5046
(ucs-set-char #x61A3 ?$(IKy(B) ; C03-I-4B79
(ucs-set-char #x61A4 ?$(C]I(B) ; KS0-C-5D49
(ucs-set-char #x61A4 ?$(Gls(B) ; C01-G-6C73
(ucs-set-char #x61A4 ?$@J0(B) ; J78-@-4A30
(ucs-set-char #x61A4 ?$BJ0(B) ; J83-B-4A30
(ucs-set-char #x61A5 ?$(D>i(B) ; J90-D-3E69
(ucs-set-char #x61A5 ?$(JP7(B) ; C04-J-5037
(ucs-set-char #x61A6 ?$(IKu(B) ; C03-I-4B75
(ucs-set-char #x61A7 ?$(CTS(B) ; KS0-C-5453
(ucs-set-char #x61A7 ?$(Glm(B) ; C01-G-6C6D
(ucs-set-char #x61A7 ?$@F4(B) ; J78-@-4634
(ucs-set-char #x61A7 ?$Ac?(B) ; GB0-A-633F
(ucs-set-char #x61A7 ?$BF4(B) ; J83-B-4634
(ucs-set-char #x61A8 ?$(D>j(B) ; J90-D-3E6A
(ucs-set-char #x61A8 ?$(HW$(B) ; C02-H-5724
(ucs-set-char #x61A8 ?$A:)(B) ; GB0-A-3A29
(ucs-set-char #x61A9 ?$(CL((B) ; KS0-C-4C28
(ucs-set-char #x61A9 ?$(GpV(B) ; C01-G-7056
(ucs-set-char #x61A9 ?$@7F(B) ; J78-@-3746
(ucs-set-char #x61A9 ?$Am,(B) ; GB0-A-6D2C
(ucs-set-char #x61A9 ?$B7F(B) ; J83-B-3746
(ucs-set-char #x61AA ?$(D>k(B) ; J90-D-3E6B
(ucs-set-char #x61AA ?$(HPN(B) ; C02-H-504E
(ucs-set-char #x61AB ?$(CZA(B) ; KS0-C-5A41
(ucs-set-char #x61AB ?$(Glo(B) ; C01-G-6C6F
(ucs-set-char #x61AB ?$@Xb(B) ; J78-@-5862
(ucs-set-char #x61AB ?$BXb(B) ; J83-B-5862
(ucs-set-char #x61AC ?$(CLU(B) ; KS0-C-4C55
(ucs-set-char #x61AC ?$(Glq(B) ; C01-G-6C71
(ucs-set-char #x61AC ?$@X](B) ; J78-@-585D
(ucs-set-char #x61AC ?$Ac=(B) ; GB0-A-633D
(ucs-set-char #x61AC ?$BX](B) ; J83-B-585D
(ucs-set-char #x61AD ?$(D>l(B) ; J90-D-3E6C
(ucs-set-char #x61AD ?$(HPK(B) ; C02-H-504B
(ucs-set-char #x61AE ?$(CYd(B) ; KS0-C-5964
(ucs-set-char #x61AE ?$(Glu(B) ; C01-G-6C75
(ucs-set-char #x61AE ?$@Xc(B) ; J78-@-5863
(ucs-set-char #x61AE ?$BXc(B) ; J83-B-5863
(ucs-set-char #x61AF ?$(HPJ(B) ; C02-H-504A
(ucs-set-char #x61B0 ?$(HPE(B) ; C02-H-5045
(ucs-set-char #x61B1 ?$(HPD(B) ; C02-H-5044
(ucs-set-char #x61B2 ?$(CzJ(B) ; KS0-C-7A4A
(ucs-set-char #x61B2 ?$(GpT(B) ; C01-G-7054
(ucs-set-char #x61B2 ?$@7{(B) ; J78-@-377B
(ucs-set-char #x61B2 ?$B7{(B) ; J83-B-377B
(ucs-set-char #x61B3 ?$(HPR(B) ; C02-H-5052
(ucs-set-char #x61B4 ?$(HW'(B) ; C02-H-5727
(ucs-set-char #x61B5 ?$(H\k(B) ; C02-H-5C6B
(ucs-set-char #x61B6 ?$(Cec(B) ; KS0-C-6563
(ucs-set-char #x61B6 ?$(GpY(B) ; C01-G-7059
(ucs-set-char #x61B6 ?$@21(B) ; J78-@-3231
(ucs-set-char #x61B6 ?$B21(B) ; J83-B-3231
(ucs-set-char #x61B7 ?$(IPa(B) ; C03-I-5061
(ucs-set-char #x61B7 ?$Ac@(B) ; GB0-A-6340
(ucs-set-char #x61B8 ?$(D>m(B) ; J90-D-3E6D
(ucs-set-char #x61B8 ?$(HW-(B) ; C02-H-572D
(ucs-set-char #x61B9 ?$(D>n(B) ; J90-D-3E6E
(ucs-set-char #x61B9 ?$(IPc(B) ; C03-I-5063
(ucs-set-char #x61BA ?$(CS<(B) ; KS0-C-533C
(ucs-set-char #x61BA ?$(HW+(B) ; C02-H-572B
(ucs-set-char #x61BA ?$@Xk(B) ; J78-@-586B
(ucs-set-char #x61BA ?$BXk(B) ; J83-B-586B
(ucs-set-char #x61BB ?$(IPj(B) ; C03-I-506A
(ucs-set-char #x61BC ?$(D>o(B) ; J90-D-3E6F
(ucs-set-char #x61BC ?$(H\l(B) ; C02-H-5C6C
(ucs-set-char #x61BD ?$(IPd(B) ; C03-I-5064
(ucs-set-char #x61BE ?$(CJp(B) ; KS0-C-4A70
(ucs-set-char #x61BE ?$(GpZ(B) ; C01-G-705A
(ucs-set-char #x61BE ?$@48(B) ; J78-@-3438
(ucs-set-char #x61BE ?$A:6(B) ; GB0-A-3A36
(ucs-set-char #x61BE ?$B48(B) ; J83-B-3438
(ucs-set-char #x61BF ?$(HW,(B) ; C02-H-572C
(ucs-set-char #x61C0 ?$(D>p(B) ; J90-D-3E70
(ucs-set-char #x61C0 ?$(IPf(B) ; C03-I-5066
(ucs-set-char #x61C1 ?$(D>q(B) ; J90-D-3E71
(ucs-set-char #x61C1 ?$(HW)(B) ; C02-H-5729
(ucs-set-char #x61C2 ?$(D>r(B) ; J90-D-3E72
(ucs-set-char #x61C2 ?$(Gs](B) ; C01-G-735D
(ucs-set-char #x61C2 ?$A6.(B) ; GB0-A-362E
(ucs-set-char #x61C3 ?$(CPD(B) ; KS0-C-5044
(ucs-set-char #x61C3 ?$(H\j(B) ; C02-H-5C6A
(ucs-set-char #x61C3 ?$@Xi(B) ; J78-@-5869
(ucs-set-char #x61C3 ?$BXi(B) ; J83-B-5869
(ucs-set-char #x61C4 ?$(IPl(B) ; C03-I-506C
(ucs-set-char #x61C5 ?$(HW&(B) ; C02-H-5726
(ucs-set-char #x61C6 ?$(HW((B) ; C02-H-5728
(ucs-set-char #x61C6 ?$@Xj(B) ; J78-@-586A
(ucs-set-char #x61C6 ?$BXj(B) ; J83-B-586A
(ucs-set-char #x61C7 ?$(CJP(B) ; KS0-C-4A50
(ucs-set-char #x61C7 ?$(Gs^(B) ; C01-G-735E
(ucs-set-char #x61C7 ?$@:)(B) ; J78-@-3A29
(ucs-set-char #x61C7 ?$B:)(B) ; J83-B-3A29
(ucs-set-char #x61C8 ?$(Cz+(B) ; KS0-C-7A2B
(ucs-set-char #x61C8 ?$(Gp\(B) ; C01-G-705C
(ucs-set-char #x61C8 ?$@Xh(B) ; J78-@-5868
(ucs-set-char #x61C8 ?$AP8(B) ; GB0-A-5038
(ucs-set-char #x61C8 ?$BXh(B) ; J83-B-5868
(ucs-set-char #x61C9 ?$(Ckk(B) ; KS0-C-6B6B
(ucs-set-char #x61C9 ?$(Gs\(B) ; C01-G-735C
(ucs-set-char #x61C9 ?$@Xf(B) ; J78-@-5866
(ucs-set-char #x61C9 ?$BXf(B) ; J83-B-5866
(ucs-set-char #x61CA ?$(Cgx(B) ; KS0-C-6778
(ucs-set-char #x61CA ?$(Gp[(B) ; C01-G-705B
(ucs-set-char #x61CA ?$@Xe(B) ; J78-@-5865
(ucs-set-char #x61CA ?$A0C(B) ; GB0-A-3043
(ucs-set-char #x61CA ?$BXe(B) ; J83-B-5865
(ucs-set-char #x61CB ?$(CYe(B) ; KS0-C-5965
(ucs-set-char #x61CB ?$(Gs`(B) ; C01-G-7360
(ucs-set-char #x61CB ?$@Xl(B) ; J78-@-586C
(ucs-set-char #x61CB ?$Am.(B) ; GB0-A-6D2E
(ucs-set-char #x61CB ?$BXl(B) ; J83-B-586C
(ucs-set-char #x61CC ?$(HW*(B) ; C02-H-572A
(ucs-set-char #x61CC ?$@Xd(B) ; J78-@-5864
(ucs-set-char #x61CC ?$BXd(B) ; J83-B-5864
(ucs-set-char #x61CD ?$(GpX(B) ; C01-G-7058
(ucs-set-char #x61CD ?$@Xn(B) ; J78-@-586E
(ucs-set-char #x61CD ?$BXn(B) ; J83-B-586E
(ucs-set-char #x61CE ?$(D>s(B) ; J90-D-3E73
(ucs-set-char #x61CE ?$(IPb(B) ; C03-I-5062
(ucs-set-char #x61CF ?$(D>t(B) ; J90-D-3E74
(ucs-set-char #x61CF ?$(IPe(B) ; C03-I-5065
(ucs-set-char #x61D0 ?$(IPk(B) ; C03-I-506B
(ucs-set-char #x61D0 ?$@2{(B) ; J78-@-327B
(ucs-set-char #x61D0 ?$B2{(B) ; J83-B-327B
(ucs-set-char #x61D1 ?$Am/(B) ; GB0-A-6D2F
(ucs-set-char #x61D2 ?$A@A(B) ; GB0-A-4041
(ucs-set-char #x61D4 ?$AcA(B) ; GB0-A-6341
(ucs-set-char #x61D5 ?$(D>u(B) ; J90-D-3E75
(ucs-set-char #x61D5 ?$(J[+(B) ; C04-J-5B2B
(ucs-set-char #x61D6 ?$(Ha[(B) ; C02-H-615B
(ucs-set-char #x61D7 ?$(JV3(B) ; C04-J-5633
(ucs-set-char #x61D8 ?$(HaS(B) ; C02-H-6153
(ucs-set-char #x61D9 ?$(ITa(B) ; C03-I-5461
(ucs-set-char #x61DA ?$(IT_(B) ; C03-I-545F
(ucs-set-char #x61DB ?$(IT\(B) ; C03-I-545C
(ucs-set-char #x61DC ?$(D>v(B) ; J90-D-3E76
(ucs-set-char #x61DC ?$(IT^(B) ; C03-I-545E
(ucs-set-char #x61DD ?$(D>w(B) ; J90-D-3E77
(ucs-set-char #x61DD ?$(IT](B) ; C03-I-545D
(ucs-set-char #x61DE ?$(D>x(B) ; J90-D-3E78
(ucs-set-char #x61DE ?$(H\r(B) ; C02-H-5C72
(ucs-set-char #x61DF ?$(D>y(B) ; J90-D-3E79
(ucs-set-char #x61DF ?$(HaT(B) ; C02-H-6154
(ucs-set-char #x61E0 ?$(H\n(B) ; C02-H-5C6E
(ucs-set-char #x61E1 ?$(D>z(B) ; J90-D-3E7A
(ucs-set-char #x61E1 ?$(JV2(B) ; C04-J-5632
(ucs-set-char #x61E2 ?$(D>{(B) ; J90-D-3E7B
(ucs-set-char #x61E2 ?$(IT[(B) ; C03-I-545B
(ucs-set-char #x61E3 ?$(GvB(B) ; C01-G-7642
(ucs-set-char #x61E3 ?$@Xp(B) ; J78-@-5870
(ucs-set-char #x61E3 ?$BXp(B) ; J83-B-5870
(ucs-set-char #x61E4 ?$(H\p(B) ; C02-H-5C70
(ucs-set-char #x61E5 ?$(D>~(B) ; J90-D-3E7E
(ucs-set-char #x61E5 ?$(H\o(B) ; C02-H-5C6F
(ucs-set-char #x61E6 ?$(CQW(B) ; KS0-C-5157
(ucs-set-char #x61E6 ?$(Gs_(B) ; C01-G-735F
(ucs-set-char #x61E6 ?$@Xo(B) ; J78-@-586F
(ucs-set-char #x61E6 ?$AE3(B) ; GB0-A-4533
(ucs-set-char #x61E6 ?$BXo(B) ; J83-B-586F
(ucs-set-char #x61E7 ?$(D>|(B) ; J90-D-3E7C
(ucs-set-char #x61E7 ?$(H\m(B) ; C02-H-5C6D
(ucs-set-char #x61E8 ?$(H\q(B) ; C02-H-5C71
(ucs-set-char #x61E9 ?$(D>}(B) ; J90-D-3E7D
(ucs-set-char #x61E9 ?$(Ha\(B) ; C02-H-615C
(ucs-set-char #x61EA ?$(HaX(B) ; C02-H-6158
(ucs-set-char #x61EB ?$(HaZ(B) ; C02-H-615A
(ucs-set-char #x61EC ?$(D?!(B) ; J90-D-3F21
(ucs-set-char #x61EC ?$(J_`(B) ; C04-J-5F60
(ucs-set-char #x61ED ?$(D?"(B) ; J90-D-3F22
(ucs-set-char #x61ED ?$(HaU(B) ; C02-H-6155
(ucs-set-char #x61EE ?$(HaV(B) ; C02-H-6156
(ucs-set-char #x61EF ?$(D?#(B) ; J90-D-3F23
(ucs-set-char #x61EF ?$(J_a(B) ; C04-J-5F61
(ucs-set-char #x61F0 ?$(HaY(B) ; C02-H-6159
(ucs-set-char #x61F1 ?$(HaW(B) ; C02-H-6157
(ucs-set-char #x61F2 ?$(Cs$(B) ; KS0-C-7324
(ucs-set-char #x61F2 ?$(Gx4(B) ; C01-G-7834
(ucs-set-char #x61F2 ?$@D((B) ; J78-@-4428
(ucs-set-char #x61F2 ?$BD((B) ; J83-B-4428
(ucs-set-char #x61F3 ?$(IWe(B) ; C03-I-5765
(ucs-set-char #x61F4 ?$@Xs(B) ; J78-@-5873
(ucs-set-char #x61F4 ?$BXs(B) ; J83-B-5873
(ucs-set-char #x61F5 ?$(Gx7(B) ; C01-G-7837
(ucs-set-char #x61F5 ?$AcB(B) ; GB0-A-6342
(ucs-set-char #x61F6 ?$(CT{(B) ; KS0-C-547B
(ucs-set-char #x61F6 ?$(Gx6(B) ; C01-G-7836
(ucs-set-char #x61F6 ?$@Xq(B) ; J78-@-5871
(ucs-set-char #x61F6 ?$BXq(B) ; J83-B-5871
(ucs-set-char #x61F7 ?$(C|c(B) ; KS0-C-7C63
(ucs-set-char #x61F7 ?$(Gx5(B) ; C01-G-7835
(ucs-set-char #x61F7 ?$@Xg(B) ; J78-@-5867
(ucs-set-char #x61F7 ?$BXg(B) ; J83-B-5867
(ucs-set-char #x61F8 ?$(CzX(B) ; KS0-C-7A58
(ucs-set-char #x61F8 ?$(Gyl(B) ; C01-G-796C
(ucs-set-char #x61F8 ?$@7|(B) ; J78-@-377C
(ucs-set-char #x61F8 ?$B7|(B) ; J83-B-377C
(ucs-set-char #x61F9 ?$(Hhv(B) ; C02-H-6876
(ucs-set-char #x61FA ?$(CsU(B) ; KS0-C-7355
(ucs-set-char #x61FA ?$(Gym(B) ; C01-G-796D
(ucs-set-char #x61FA ?$@Xr(B) ; J78-@-5872
(ucs-set-char #x61FA ?$BXr(B) ; J83-B-5872
(ucs-set-char #x61FB ?$(HeL(B) ; C02-H-654C
(ucs-set-char #x61FC ?$(CO+(B) ; KS0-C-4F2B
(ucs-set-char #x61FC ?$(Gzj(B) ; C01-G-7A6A
(ucs-set-char #x61FC ?$@Xv(B) ; J78-@-5876
(ucs-set-char #x61FC ?$BXv(B) ; J83-B-5876
(ucs-set-char #x61FD ?$(HkZ(B) ; C02-H-6B5A
(ucs-set-char #x61FD ?$@Xu(B) ; J78-@-5875
(ucs-set-char #x61FD ?$BXu(B) ; J83-B-5875
(ucs-set-char #x61FE ?$(Gzk(B) ; C01-G-7A6B
(ucs-set-char #x61FE ?$@Xw(B) ; J78-@-5877
(ucs-set-char #x61FE ?$BXw(B) ; J83-B-5877
(ucs-set-char #x61FF ?$(Cks(B) ; KS0-C-6B73
(ucs-set-char #x61FF ?$(G{`(B) ; C01-G-7B60
(ucs-set-char #x61FF ?$@Xt(B) ; J78-@-5874
(ucs-set-char #x61FF ?$A\2(B) ; GB0-A-5C32
(ucs-set-char #x61FF ?$BXt(B) ; J83-B-5874
(ucs-set-char #x6200 ?$(CU|(B) ; KS0-C-557C
(ucs-set-char #x6200 ?$(G|6(B) ; C01-G-7C36
(ucs-set-char #x6200 ?$@Xx(B) ; J78-@-5878
(ucs-set-char #x6200 ?$BXx(B) ; J83-B-5878
(ucs-set-char #x6201 ?$(D?$(B) ; J90-D-3F24
(ucs-set-char #x6201 ?$(Ho((B) ; C02-H-6F28
(ucs-set-char #x6202 ?$(I_F(B) ; C03-I-5F46
(ucs-set-char #x6203 ?$(D?%(B) ; J90-D-3F25
(ucs-set-char #x6203 ?$(Ho)(B) ; C02-H-6F29
(ucs-set-char #x6204 ?$(D?&(B) ; J90-D-3F26
(ucs-set-char #x6204 ?$(Ho*(B) ; C02-H-6F2A
(ucs-set-char #x6205 ?$(Ia>(B) ; C03-I-613E
(ucs-set-char #x6206 ?$Am0(B) ; GB0-A-6D30
(ucs-set-char #x6207 ?$(CST(B) ; KS0-C-5354
(ucs-set-char #x6207 ?$(D?'(B) ; J90-D-3F27
(ucs-set-char #x6207 ?$(Hr*(B) ; C02-H-722A
(ucs-set-char #x6208 ?$(CM|(B) ; KS0-C-4D7C
(ucs-set-char #x6208 ?$(GEA(B) ; C01-G-4541
(ucs-set-char #x6208 ?$@Xy(B) ; J78-@-5879
(ucs-set-char #x6208 ?$A8j(B) ; GB0-A-386A
(ucs-set-char #x6208 ?$BXy(B) ; J83-B-5879
(ucs-set-char #x6209 ?$(H!](B) ; C02-H-215D
(ucs-set-char #x6209 ?$@Xz(B) ; J78-@-587A
(ucs-set-char #x6209 ?$BXz(B) ; J83-B-587A
(ucs-set-char #x620A ?$(CYf(B) ; KS0-C-5966
(ucs-set-char #x620A ?$(GFS(B) ; C01-G-4653
(ucs-set-char #x620A ?$@Jj(B) ; J78-@-4A6A
(ucs-set-char #x620A ?$ANl(B) ; GB0-A-4E6C
(ucs-set-char #x620A ?$BJj(B) ; J83-B-4A6A
(ucs-set-char #x620B ?$Aj'(B) ; GB0-A-6A27
(ucs-set-char #x620C ?$(Cby(B) ; KS0-C-6279
(ucs-set-char #x620C ?$(GH'(B) ; C01-G-4827
(ucs-set-char #x620C ?$@X|(B) ; J78-@-587C
(ucs-set-char #x620C ?$APg(B) ; GB0-A-5067
(ucs-set-char #x620C ?$BX|(B) ; J83-B-587C
(ucs-set-char #x620D ?$(Cb!(B) ; KS0-C-6221
(ucs-set-char #x620D ?$(GH((B) ; C01-G-4828
(ucs-set-char #x620D ?$@X{(B) ; J78-@-587B
(ucs-set-char #x620D ?$AJy(B) ; GB0-A-4A79
(ucs-set-char #x620D ?$BX{(B) ; J83-B-587B
(ucs-set-char #x620E ?$(CkT(B) ; KS0-C-6B54
(ucs-set-char #x620E ?$(GH&(B) ; C01-G-4826
(ucs-set-char #x620E ?$@=?(B) ; J78-@-3D3F
(ucs-set-char #x620E ?$AHV(B) ; GB0-A-4856
(ucs-set-char #x620E ?$B=?(B) ; J83-B-3D3F
(ucs-set-char #x620F ?$(I#k(B) ; C03-I-236B
(ucs-set-char #x620F ?$AO7(B) ; GB0-A-4F37
(ucs-set-char #x6210 ?$(C`w(B) ; KS0-C-6077
(ucs-set-char #x6210 ?$(GH)(B) ; C01-G-4829
(ucs-set-char #x6210 ?$@@.(B) ; J78-@-402E
(ucs-set-char #x6210 ?$A3I(B) ; GB0-A-3349
(ucs-set-char #x6210 ?$B@.(B) ; J83-B-402E
(ucs-set-char #x6211 ?$(Cd2(B) ; KS0-C-6432
(ucs-set-char #x6211 ?$(GJ<(B) ; C01-G-4A3C
(ucs-set-char #x6211 ?$@2f(B) ; J78-@-3266
(ucs-set-char #x6211 ?$ANR(B) ; GB0-A-4E52
(ucs-set-char #x6211 ?$B2f(B) ; J83-B-3266
(ucs-set-char #x6212 ?$(CL|(B) ; KS0-C-4C7C
(ucs-set-char #x6212 ?$(GJ;(B) ; C01-G-4A3B
(ucs-set-char #x6212 ?$@2|(B) ; J78-@-327C
(ucs-set-char #x6212 ?$A=d(B) ; GB0-A-3D64
(ucs-set-char #x6212 ?$B2|(B) ; J83-B-327C
(ucs-set-char #x6213 ?$(D?((B) ; J90-D-3F28
(ucs-set-char #x6213 ?$(I&%(B) ; C03-I-2625
(ucs-set-char #x6214 ?$(H&p(B) ; C02-H-2670
(ucs-set-char #x6214 ?$@X}(B) ; J78-@-587D
(ucs-set-char #x6214 ?$BX}(B) ; J83-B-587D
(ucs-set-char #x6215 ?$(D?)(B) ; J90-D-3F29
(ucs-set-char #x6215 ?$(GMQ(B) ; C01-G-4D51
(ucs-set-char #x6215 ?$Ac^(B) ; GB0-A-635E
(ucs-set-char #x6216 ?$(C{d(B) ; KS0-C-7B64
(ucs-set-char #x6216 ?$(GMP(B) ; C01-G-4D50
(ucs-set-char #x6216 ?$@0?(B) ; J78-@-303F
(ucs-set-char #x6216 ?$A;r(B) ; GB0-A-3B72
(ucs-set-char #x6216 ?$B0?(B) ; J83-B-303F
(ucs-set-char #x6217 ?$Aj((B) ; GB0-A-6A28
(ucs-set-char #x6218 ?$(I,c(B) ; C03-I-2C63
(ucs-set-char #x6218 ?$AU=(B) ; GB0-A-553D
(ucs-set-char #x6219 ?$(H/1(B) ; C02-H-2F31
(ucs-set-char #x621A ?$(Ct+(B) ; KS0-C-742B
(ucs-set-char #x621A ?$(GZQ(B) ; C01-G-5A51
(ucs-set-char #x621A ?$@@L(B) ; J78-@-404C
(ucs-set-char #x621A ?$AF](B) ; GB0-A-465D
(ucs-set-char #x621A ?$B@L(B) ; J83-B-404C
(ucs-set-char #x621B ?$(GZR(B) ; C01-G-5A52
(ucs-set-char #x621B ?$@X~(B) ; J78-@-587E
(ucs-set-char #x621B ?$Aj)(B) ; GB0-A-6A29
(ucs-set-char #x621B ?$BX~(B) ; J83-B-587E
(ucs-set-char #x621C ?$(D?*(B) ; J90-D-3F2A
(ucs-set-char #x621C ?$(J1n(B) ; C04-J-316E
(ucs-set-char #x621D ?$(J1p(B) ; C04-J-3170
(ucs-set-char #x621D ?$@lC(B) ; J78-@-6C43
(ucs-set-char #x621D ?$BlC(B) ; J83-B-6C43
(ucs-set-char #x621E ?$(I;d(B) ; C03-I-3B64
(ucs-set-char #x621E ?$@Y!(B) ; J78-@-5921
(ucs-set-char #x621E ?$BY!(B) ; J83-B-5921
(ucs-set-char #x621F ?$(CP=(B) ; KS0-C-503D
(ucs-set-char #x621F ?$(G_<(B) ; C01-G-5F3C
(ucs-set-char #x621F ?$@7a(B) ; J78-@-3761
(ucs-set-char #x621F ?$Aj*(B) ; GB0-A-6A2A
(ucs-set-char #x621F ?$B7a(B) ; J83-B-3761
(ucs-set-char #x6220 ?$(D?+(B) ; J90-D-3F2B
(ucs-set-char #x6220 ?$(HBx(B) ; C02-H-4278
(ucs-set-char #x6221 ?$(CJq(B) ; KS0-C-4A71
(ucs-set-char #x6221 ?$(Gd((B) ; C01-G-6428
(ucs-set-char #x6221 ?$@Y"(B) ; J78-@-5922
(ucs-set-char #x6221 ?$Aj,(B) ; GB0-A-6A2C
(ucs-set-char #x6221 ?$BY"(B) ; J83-B-5922
(ucs-set-char #x6222 ?$(D?,(B) ; J90-D-3F2C
(ucs-set-char #x6222 ?$(Gd)(B) ; C01-G-6429
(ucs-set-char #x6222 ?$Aj+(B) ; GB0-A-6A2B
(ucs-set-char #x6223 ?$(D?-(B) ; J90-D-3F2D
(ucs-set-char #x6223 ?$(HBz(B) ; C02-H-427A
(ucs-set-char #x6224 ?$(HB|(B) ; C02-H-427C
(ucs-set-char #x6224 ?$Aj.(B) ; GB0-A-6A2E
(ucs-set-char #x6225 ?$(HB{(B) ; C02-H-427B
(ucs-set-char #x6225 ?$Aj-(B) ; GB0-A-6A2D
(ucs-set-char #x6226 ?$(J=C(B) ; C04-J-3D43
(ucs-set-char #x6226 ?$@@o(B) ; J78-@-406F
(ucs-set-char #x6226 ?$B@o(B) ; J83-B-406F
(ucs-set-char #x6227 ?$(D?.(B) ; J90-D-3F2E
(ucs-set-char #x6227 ?$(HJ>(B) ; C02-H-4A3E
(ucs-set-char #x6228 ?$(IFv(B) ; C03-I-4676
(ucs-set-char #x6229 ?$(D?/(B) ; J90-D-3F2F
(ucs-set-char #x6229 ?$(HJ=(B) ; C02-H-4A3D
(ucs-set-char #x622A ?$(Co8(B) ; KS0-C-6F38
(ucs-set-char #x622A ?$(Ghp(B) ; C01-G-6870
(ucs-set-char #x622A ?$@Y#(B) ; J78-@-5923
(ucs-set-char #x622A ?$A=X(B) ; GB0-A-3D58
(ucs-set-char #x622A ?$BY#(B) ; J83-B-5923
(ucs-set-char #x622B ?$(D?0(B) ; J90-D-3F30
(ucs-set-char #x622B ?$(HJ?(B) ; C02-H-4A3F
(ucs-set-char #x622C ?$(IFu(B) ; C03-I-4675
(ucs-set-char #x622C ?$Aj/(B) ; GB0-A-6A2F
(ucs-set-char #x622D ?$(HPS(B) ; C02-H-5053
(ucs-set-char #x622E ?$(CW@(B) ; KS0-C-5740
(ucs-set-char #x622E ?$(Glv(B) ; C01-G-6C76
(ucs-set-char #x622E ?$@Y$(B) ; J78-@-5924
(ucs-set-char #x622E ?$AB>(B) ; GB0-A-423E
(ucs-set-char #x622E ?$BY$(B) ; J83-B-5924
(ucs-set-char #x622F ?$(IL,(B) ; C03-I-4C2C
(ucs-set-char #x622F ?$@5:(B) ; J78-@-353A
(ucs-set-char #x622F ?$B5:(B) ; J83-B-353A
(ucs-set-char #x6230 ?$(Cnz(B) ; KS0-C-6E7A
(ucs-set-char #x6230 ?$(Gp](B) ; C01-G-705D
(ucs-set-char #x6230 ?$@Y%(B) ; J78-@-5925
(ucs-set-char #x6230 ?$BY%(B) ; J83-B-5925
(ucs-set-char #x6231 ?$(C}t(B) ; KS0-C-7D74
(ucs-set-char #x6231 ?$(IPm(B) ; C03-I-506D
(ucs-set-char #x6232 ?$(Gsa(B) ; C01-G-7361
(ucs-set-char #x6232 ?$@Y&(B) ; J78-@-5926
(ucs-set-char #x6232 ?$BY&(B) ; J83-B-5926
(ucs-set-char #x6233 ?$(GvC(B) ; C01-G-7643
(ucs-set-char #x6233 ?$@Y'(B) ; J78-@-5927
(ucs-set-char #x6233 ?$A4A(B) ; GB0-A-3441
(ucs-set-char #x6233 ?$BY'(B) ; J83-B-5927
(ucs-set-char #x6234 ?$(CSc(B) ; KS0-C-5363
(ucs-set-char #x6234 ?$(Gsb(B) ; C01-G-7362
(ucs-set-char #x6234 ?$@BW(B) ; J78-@-4257
(ucs-set-char #x6234 ?$A4w(B) ; GB0-A-3477
(ucs-set-char #x6234 ?$BBW(B) ; J83-B-4257
(ucs-set-char #x6235 ?$(I_H(B) ; C03-I-5F48
(ucs-set-char #x6236 ?$(C{B(B) ; KS0-C-7B42
(ucs-set-char #x6236 ?$(GEB(B) ; C01-G-4542
(ucs-set-char #x6237 ?$(I!e(B) ; C03-I-2165
(ucs-set-char #x6237 ?$A;'(B) ; GB0-A-3B27
(ucs-set-char #x6238 ?$(I!f(B) ; C03-I-2166
(ucs-set-char #x6238 ?$@8M(B) ; J78-@-384D
(ucs-set-char #x6238 ?$B8M(B) ; J83-B-384D
(ucs-set-char #x6239 ?$(D?1(B) ; J90-D-3F31
(ucs-set-char #x6239 ?$(I"N(B) ; C03-I-224E
(ucs-set-char #x623A ?$(H$((B) ; C02-H-2428
(ucs-set-char #x623B ?$(I&((B) ; C03-I-2628
(ucs-set-char #x623B ?$@La(B) ; J78-@-4C61
(ucs-set-char #x623B ?$BLa(B) ; J83-B-4C61
(ucs-set-char #x623C ?$(I&)(B) ; C03-I-2629
(ucs-set-char #x623D ?$(D?2(B) ; J90-D-3F32
(ucs-set-char #x623D ?$(H&q(B) ; C02-H-2671
(ucs-set-char #x623D ?$Alf(B) ; GB0-A-6C66
(ucs-set-char #x623E ?$(CUh(B) ; KS0-C-5568
(ucs-set-char #x623E ?$(GMS(B) ; C01-G-4D53
(ucs-set-char #x623E ?$Ale(B) ; GB0-A-6C65
(ucs-set-char #x623F ?$(C[.(B) ; KS0-C-5B2E
(ucs-set-char #x623F ?$(GMR(B) ; C01-G-4D52
(ucs-set-char #x623F ?$@K<(B) ; J78-@-4B3C
(ucs-set-char #x623F ?$A7?(B) ; GB0-A-373F
(ucs-set-char #x623F ?$BK<(B) ; J83-B-4B3C
(ucs-set-char #x6240 ?$(Ca6(B) ; KS0-C-6136
(ucs-set-char #x6240 ?$(GMT(B) ; C01-G-4D54
(ucs-set-char #x6240 ?$@=j(B) ; J78-@-3D6A
(ucs-set-char #x6240 ?$AKy(B) ; GB0-A-4B79
(ucs-set-char #x6240 ?$B=j(B) ; J83-B-3D6A
(ucs-set-char #x6241 ?$(Cx7(B) ; KS0-C-7837
(ucs-set-char #x6241 ?$(GQ7(B) ; C01-G-5137
(ucs-set-char #x6241 ?$@Y((B) ; J78-@-5928
(ucs-set-char #x6241 ?$A1b(B) ; GB0-A-3162
(ucs-set-char #x6241 ?$BY((B) ; J83-B-5928
(ucs-set-char #x6242 ?$(D?3(B) ; J90-D-3F33
(ucs-set-char #x6242 ?$(H*S(B) ; C02-H-2A53
(ucs-set-char #x6243 ?$(D?4(B) ; J90-D-3F34
(ucs-set-char #x6243 ?$(H*T(B) ; C02-H-2A54
(ucs-set-char #x6243 ?$Alg(B) ; GB0-A-6C67
(ucs-set-char #x6244 ?$(D?5(B) ; J90-D-3F35
(ucs-set-char #x6245 ?$(I1)(B) ; C03-I-3129
(ucs-set-char #x6246 ?$(D?6(B) ; J90-D-3F36
(ucs-set-char #x6246 ?$(H/2(B) ; C02-H-2F32
(ucs-set-char #x6247 ?$(C`?(B) ; KS0-C-603F
(ucs-set-char #x6247 ?$(GUR(B) ; C01-G-5552
(ucs-set-char #x6247 ?$@@p(B) ; J78-@-4070
(ucs-set-char #x6247 ?$AIH(B) ; GB0-A-4948
(ucs-set-char #x6247 ?$B@p(B) ; J83-B-4070
(ucs-set-char #x6248 ?$(C{C(B) ; KS0-C-7B43
(ucs-set-char #x6248 ?$(GZS(B) ; C01-G-5A53
(ucs-set-char #x6248 ?$@n=(B) ; J78-@-6E3D
(ucs-set-char #x6248 ?$Alh(B) ; GB0-A-6C68
(ucs-set-char #x6248 ?$Bn=(B) ; J83-B-6E3D
(ucs-set-char #x6249 ?$(C]j(B) ; KS0-C-5D6A
(ucs-set-char #x6249 ?$(G_=(B) ; C01-G-5F3D
(ucs-set-char #x6249 ?$@Hb(B) ; J78-@-4862
(ucs-set-char #x6249 ?$Ali(B) ; GB0-A-6C69
(ucs-set-char #x6249 ?$BHb(B) ; J83-B-4862
(ucs-set-char #x624A ?$(H;t(B) ; C02-H-3B74
(ucs-set-char #x624B ?$(Cb"(B) ; KS0-C-6222
(ucs-set-char #x624B ?$(GEC(B) ; C01-G-4543
(ucs-set-char #x624B ?$@<j(B) ; J78-@-3C6A
(ucs-set-char #x624B ?$AJV(B) ; GB0-A-4A56
(ucs-set-char #x624B ?$B<j(B) ; J83-B-3C6A
(ucs-set-char #x624C ?$(D?7(B) ; J90-D-3F37
(ucs-set-char #x624C ?$(J!7(B) ; C04-J-2137
(ucs-set-char #x624C ?$A^P(B) ; GB0-A-5E50
(ucs-set-char #x624D ?$(Cn&(B) ; KS0-C-6E26
(ucs-set-char #x624D ?$(GD_(B) ; C01-G-445F
(ucs-set-char #x624D ?$@:M(B) ; J78-@-3A4D
(ucs-set-char #x624D ?$A2E(B) ; GB0-A-3245
(ucs-set-char #x624D ?$B:M(B) ; J83-B-3A4D
(ucs-set-char #x624E ?$(GED(B) ; C01-G-4544
(ucs-set-char #x624E ?$@Y)(B) ; J78-@-5929
(ucs-set-char #x624E ?$ATz(B) ; GB0-A-547A
(ucs-set-char #x624E ?$BY)(B) ; J83-B-5929
(ucs-set-char #x624F ?$(I"P(B) ; C03-I-2250
(ucs-set-char #x6250 ?$(D?8(B) ; J90-D-3F38
(ucs-set-char #x6250 ?$(H!^(B) ; C02-H-215E
(ucs-set-char #x6251 ?$(D?9(B) ; J90-D-3F39
(ucs-set-char #x6251 ?$(GFW(B) ; C01-G-4657
(ucs-set-char #x6251 ?$AFK(B) ; GB0-A-464B
(ucs-set-char #x6252 ?$(D?:(B) ; J90-D-3F3A
(ucs-set-char #x6252 ?$(GFV(B) ; C01-G-4656
(ucs-set-char #x6252 ?$A0G(B) ; GB0-A-3047
(ucs-set-char #x6253 ?$(Cvh(B) ; KS0-C-7668
(ucs-set-char #x6253 ?$(GFT(B) ; C01-G-4654
(ucs-set-char #x6253 ?$@BG(B) ; J78-@-4247
(ucs-set-char #x6253 ?$A4r(B) ; GB0-A-3472
(ucs-set-char #x6253 ?$BBG(B) ; J83-B-4247
(ucs-set-char #x6254 ?$(D?;(B) ; J90-D-3F3B
(ucs-set-char #x6254 ?$(GFU(B) ; C01-G-4655
(ucs-set-char #x6254 ?$AHS(B) ; GB0-A-4853
(ucs-set-char #x6255 ?$@J'(B) ; J78-@-4A27
(ucs-set-char #x6255 ?$BJ'(B) ; J83-B-4A27
(ucs-set-char #x6256 ?$(D?<(B) ; J90-D-3F3C
(ucs-set-char #x6257 ?$(I#o(B) ; C03-I-236F
(ucs-set-char #x6258 ?$(Cvu(B) ; KS0-C-7675
(ucs-set-char #x6258 ?$(GH,(B) ; C01-G-482C
(ucs-set-char #x6258 ?$@Bq(B) ; J78-@-4271
(ucs-set-char #x6258 ?$AMP(B) ; GB0-A-4D50
(ucs-set-char #x6258 ?$BBq(B) ; J83-B-4271
(ucs-set-char #x6259 ?$(H"I(B) ; C02-H-2249
(ucs-set-char #x625A ?$(D?=(B) ; J90-D-3F3D
(ucs-set-char #x625A ?$(H"K(B) ; C02-H-224B
(ucs-set-char #x625B ?$(GH+(B) ; C01-G-482B
(ucs-set-char #x625B ?$@Y,(B) ; J78-@-592C
(ucs-set-char #x625B ?$A?8(B) ; GB0-A-3F38
(ucs-set-char #x625B ?$BY,(B) ; J83-B-592C
(ucs-set-char #x625C ?$(D?>(B) ; J90-D-3F3E
(ucs-set-char #x625C ?$(H"C(B) ; C02-H-2243
(ucs-set-char #x625D ?$(I#l(B) ; C03-I-236C
(ucs-set-char #x625E ?$(H"D(B) ; C02-H-2244
(ucs-set-char #x625E ?$@Y*(B) ; J78-@-592A
(ucs-set-char #x625E ?$BY*(B) ; J83-B-592A
(ucs-set-char #x625F ?$(I#m(B) ; C03-I-236D
(ucs-set-char #x6260 ?$(H"J(B) ; C02-H-224A
(ucs-set-char #x6260 ?$@Y-(B) ; J78-@-592D
(ucs-set-char #x6260 ?$BY-(B) ; J83-B-592D
(ucs-set-char #x6261 ?$(H"F(B) ; C02-H-2246
(ucs-set-char #x6262 ?$(H"H(B) ; C02-H-2248
(ucs-set-char #x6263 ?$(GH*(B) ; C01-G-482A
(ucs-set-char #x6263 ?$@Y+(B) ; J78-@-592B
(ucs-set-char #x6263 ?$A?[(B) ; GB0-A-3F5B
(ucs-set-char #x6263 ?$BY+(B) ; J83-B-592B
(ucs-set-char #x6264 ?$(D??(B) ; J90-D-3F3F
(ucs-set-char #x6264 ?$(H"E(B) ; C02-H-2245
(ucs-set-char #x6265 ?$(H"L(B) ; C02-H-224C
(ucs-set-char #x6266 ?$(H"G(B) ; C02-H-2247
(ucs-set-char #x6266 ?$AG$(B) ; GB0-A-4724
(ucs-set-char #x6267 ?$(I#n(B) ; C03-I-236E
(ucs-set-char #x6267 ?$AV4(B) ; GB0-A-5634
(ucs-set-char #x6268 ?$@Y.(B) ; J78-@-592E
(ucs-set-char #x6268 ?$BY.(B) ; J83-B-592E
(ucs-set-char #x6269 ?$A@)(B) ; GB0-A-4029
(ucs-set-char #x626A ?$A^Q(B) ; GB0-A-5E51
(ucs-set-char #x626B ?$AI((B) ; GB0-A-4928
(ucs-set-char #x626C ?$AQo(B) ; GB0-A-516F
(ucs-set-char #x626D ?$(D?@(B) ; J90-D-3F40
(ucs-set-char #x626D ?$(GJC(B) ; C01-G-4A43
(ucs-set-char #x626D ?$AE$(B) ; GB0-A-4524
(ucs-set-char #x626E ?$(C]J(B) ; KS0-C-5D4A
(ucs-set-char #x626E ?$(GJL(B) ; C01-G-4A4C
(ucs-set-char #x626E ?$@J1(B) ; J78-@-4A31
(ucs-set-char #x626E ?$A0g(B) ; GB0-A-3067
(ucs-set-char #x626E ?$BJ1(B) ; J83-B-4A31
(ucs-set-char #x626F ?$(D?A(B) ; J90-D-3F41
(ucs-set-char #x626F ?$(GJJ(B) ; C01-G-4A4A
(ucs-set-char #x626F ?$A36(B) ; GB0-A-3336
(ucs-set-char #x6270 ?$(H$2(B) ; C02-H-2432
(ucs-set-char #x6270 ?$AHE(B) ; GB0-A-4845
(ucs-set-char #x6271 ?$(CPb(B) ; KS0-C-5062
(ucs-set-char #x6271 ?$(H$/(B) ; C02-H-242F
(ucs-set-char #x6271 ?$@07(B) ; J78-@-3037
(ucs-set-char #x6271 ?$B07(B) ; J83-B-3037
(ucs-set-char #x6272 ?$(H$7(B) ; C02-H-2437
(ucs-set-char #x6273 ?$(D?B(B) ; J90-D-3F42
(ucs-set-char #x6273 ?$(GJH(B) ; C01-G-4A48
(ucs-set-char #x6273 ?$A0b(B) ; GB0-A-3062
(ucs-set-char #x6274 ?$(H$8(B) ; C02-H-2438
(ucs-set-char #x6275 ?$(I&9(B) ; C03-I-2639
(ucs-set-char #x6276 ?$(C]&(B) ; KS0-C-5D26
(ucs-set-char #x6276 ?$(GJA(B) ; C01-G-4A41
(ucs-set-char #x6276 ?$@I^(B) ; J78-@-495E
(ucs-set-char #x6276 ?$A7v(B) ; GB0-A-3776
(ucs-set-char #x6276 ?$BI^(B) ; J83-B-495E
(ucs-set-char #x6277 ?$(H$5(B) ; C02-H-2435
(ucs-set-char #x6278 ?$(I&.(B) ; C03-I-262E
(ucs-set-char #x6279 ?$(C]k(B) ; KS0-C-5D6B
(ucs-set-char #x6279 ?$(GJG(B) ; C01-G-4A47
(ucs-set-char #x6279 ?$@Hc(B) ; J78-@-4863
(ucs-set-char #x6279 ?$AEz(B) ; GB0-A-457A
(ucs-set-char #x6279 ?$BHc(B) ; J83-B-4863
(ucs-set-char #x627A ?$(D?C(B) ; J90-D-3F43
(ucs-set-char #x627A ?$(H$1(B) ; C02-H-2431
(ucs-set-char #x627B ?$(H$0(B) ; C02-H-2430
(ucs-set-char #x627C ?$(Cdy(B) ; KS0-C-6479
(ucs-set-char #x627C ?$(GJE(B) ; C01-G-4A45
(ucs-set-char #x627C ?$@Y/(B) ; J78-@-592F
(ucs-set-char #x627C ?$A6s(B) ; GB0-A-3673
(ucs-set-char #x627C ?$BY/(B) ; J83-B-592F
(ucs-set-char #x627D ?$(D?D(B) ; J90-D-3F44
(ucs-set-char #x627D ?$(H$6(B) ; C02-H-2436
(ucs-set-char #x627E ?$(GJF(B) ; C01-G-4A46
(ucs-set-char #x627E ?$@Y2(B) ; J78-@-5932
(ucs-set-char #x627E ?$AUR(B) ; GB0-A-5552
(ucs-set-char #x627E ?$BY2(B) ; J83-B-5932
(ucs-set-char #x627F ?$(Cc/(B) ; KS0-C-632F
(ucs-set-char #x627F ?$(GMU(B) ; C01-G-4D55
(ucs-set-char #x627F ?$@>5(B) ; J78-@-3E35
(ucs-set-char #x627F ?$A3P(B) ; GB0-A-3350
(ucs-set-char #x627F ?$B>5(B) ; J83-B-3E35
(ucs-set-char #x6280 ?$(CP|(B) ; KS0-C-507C
(ucs-set-char #x6280 ?$(GJ@(B) ; C01-G-4A40
(ucs-set-char #x6280 ?$@5;(B) ; J78-@-353B
(ucs-set-char #x6280 ?$A<<(B) ; GB0-A-3C3C
(ucs-set-char #x6280 ?$B5;(B) ; J83-B-353B
(ucs-set-char #x6281 ?$(H$3(B) ; C02-H-2433
(ucs-set-char #x6282 ?$(I&*(B) ; C03-I-262A
(ucs-set-char #x6282 ?$@Y0(B) ; J78-@-5930
(ucs-set-char #x6282 ?$BY0(B) ; J83-B-5930
(ucs-set-char #x6283 ?$(H$)(B) ; C02-H-2429
(ucs-set-char #x6283 ?$@Y7(B) ; J78-@-5937
(ucs-set-char #x6283 ?$BY7(B) ; J83-B-5937
(ucs-set-char #x6284 ?$(Ct|(B) ; KS0-C-747C
(ucs-set-char #x6284 ?$(GJ=(B) ; C01-G-4A3D
(ucs-set-char #x6284 ?$@>6(B) ; J78-@-3E36
(ucs-set-char #x6284 ?$A3-(B) ; GB0-A-332D
(ucs-set-char #x6284 ?$B>6(B) ; J83-B-3E36
(ucs-set-char #x6285 ?$(I&7(B) ; C03-I-2637
(ucs-set-char #x6286 ?$(GJP(B) ; C01-G-4A50
(ucs-set-char #x6287 ?$(H$.(B) ; C02-H-242E
(ucs-set-char #x6288 ?$(H$4(B) ; C02-H-2434
(ucs-set-char #x6289 ?$(CL<(B) ; KS0-C-4C3C
(ucs-set-char #x6289 ?$(GJB(B) ; C01-G-4A42
(ucs-set-char #x6289 ?$@Y1(B) ; J78-@-5931
(ucs-set-char #x6289 ?$A>q(B) ; GB0-A-3E71
(ucs-set-char #x6289 ?$BY1(B) ; J83-B-5931
(ucs-set-char #x628A ?$(Cwj(B) ; KS0-C-776A
(ucs-set-char #x628A ?$(GJD(B) ; C01-G-4A44
(ucs-set-char #x628A ?$@GD(B) ; J78-@-4744
(ucs-set-char #x628A ?$A0Q(B) ; GB0-A-3051
(ucs-set-char #x628A ?$BGD(B) ; J83-B-4744
(ucs-set-char #x628B ?$(I&/(B) ; C03-I-262F
(ucs-set-char #x628C ?$(H$*(B) ; C02-H-242A
(ucs-set-char #x628D ?$(D?E(B) ; J90-D-3F45
(ucs-set-char #x628D ?$(I&6(B) ; C03-I-2636
(ucs-set-char #x628E ?$(D?F(B) ; J90-D-3F46
(ucs-set-char #x628E ?$(H$+(B) ; C02-H-242B
(ucs-set-char #x628F ?$(D?G(B) ; J90-D-3F47
(ucs-set-char #x628F ?$(H$,(B) ; C02-H-242C
(ucs-set-char #x6290 ?$(D?H(B) ; J90-D-3F48
(ucs-set-char #x6290 ?$(J$9(B) ; C04-J-2439
(ucs-set-char #x6291 ?$(Ced(B) ; KS0-C-6564
(ucs-set-char #x6291 ?$(GJO(B) ; C01-G-4A4F
(ucs-set-char #x6291 ?$@M^(B) ; J78-@-4D5E
(ucs-set-char #x6291 ?$ARV(B) ; GB0-A-5256
(ucs-set-char #x6291 ?$BM^(B) ; J83-B-4D5E
(ucs-set-char #x6292 ?$(C_q(B) ; KS0-C-5F71
(ucs-set-char #x6292 ?$(GJI(B) ; C01-G-4A49
(ucs-set-char #x6292 ?$@Y3(B) ; J78-@-5933
(ucs-set-char #x6292 ?$AJc(B) ; GB0-A-4A63
(ucs-set-char #x6292 ?$BY3(B) ; J83-B-5933
(ucs-set-char #x6293 ?$(GJN(B) ; C01-G-4A4E
(ucs-set-char #x6293 ?$@Y4(B) ; J78-@-5934
(ucs-set-char #x6293 ?$AW%(B) ; GB0-A-5725
(ucs-set-char #x6293 ?$BY4(B) ; J83-B-5934
(ucs-set-char #x6294 ?$(H$-(B) ; C02-H-242D
(ucs-set-char #x6294 ?$@Y8(B) ; J78-@-5938
(ucs-set-char #x6294 ?$BY8(B) ; J83-B-5938
(ucs-set-char #x6295 ?$(Cwa(B) ; KS0-C-7761
(ucs-set-char #x6295 ?$(GJM(B) ; C01-G-4A4D
(ucs-set-char #x6295 ?$@Ej(B) ; J78-@-456A
(ucs-set-char #x6295 ?$AM6(B) ; GB0-A-4D36
(ucs-set-char #x6295 ?$BEj(B) ; J83-B-456A
(ucs-set-char #x6296 ?$(GJ?(B) ; C01-G-4A3F
(ucs-set-char #x6296 ?$@Y5(B) ; J78-@-5935
(ucs-set-char #x6296 ?$A66(B) ; GB0-A-3636
(ucs-set-char #x6296 ?$BY5(B) ; J83-B-5935
(ucs-set-char #x6297 ?$(Cyw(B) ; KS0-C-7977
(ucs-set-char #x6297 ?$(GJ>(B) ; C01-G-4A3E
(ucs-set-char #x6297 ?$@93(B) ; J78-@-3933
(ucs-set-char #x6297 ?$A?9(B) ; GB0-A-3F39
(ucs-set-char #x6297 ?$B93(B) ; J83-B-3933
(ucs-set-char #x6298 ?$(Co9(B) ; KS0-C-6F39
(ucs-set-char #x6298 ?$(GJK(B) ; C01-G-4A4B
(ucs-set-char #x6298 ?$@@^(B) ; J78-@-405E
(ucs-set-char #x6298 ?$AU[(B) ; GB0-A-555B
(ucs-set-char #x6298 ?$B@^(B) ; J83-B-405E
(ucs-set-char #x6299 ?$(I&5(B) ; C03-I-2635
(ucs-set-char #x629A ?$(J$<(B) ; C04-J-243C
(ucs-set-char #x629A ?$A8'(B) ; GB0-A-3827
(ucs-set-char #x629B ?$(CxX(B) ; KS0-C-7858
(ucs-set-char #x629B ?$(I&3(B) ; C03-I-2633
(ucs-set-char #x629B ?$@YF(B) ; J78-@-5946
(ucs-set-char #x629B ?$AEW(B) ; GB0-A-4557
(ucs-set-char #x629B ?$BYF(B) ; J83-B-5946
(ucs-set-char #x629C ?$(I&4(B) ; C03-I-2634
(ucs-set-char #x629C ?$@H4(B) ; J78-@-4834
(ucs-set-char #x629C ?$BH4(B) ; J83-B-4834
(ucs-set-char #x629D ?$(I&8(B) ; C03-I-2638
(ucs-set-char #x629E ?$(I&1(B) ; C03-I-2631
(ucs-set-char #x629E ?$@Br(B) ; J78-@-4272
(ucs-set-char #x629E ?$BBr(B) ; J83-B-4272
(ucs-set-char #x629F ?$A^R(B) ; GB0-A-5E52
(ucs-set-char #x62A0 ?$A?Y(B) ; GB0-A-3F59
(ucs-set-char #x62A1 ?$ABU(B) ; GB0-A-4255
(ucs-set-char #x62A2 ?$AG@(B) ; GB0-A-4740
(ucs-set-char #x62A4 ?$A;$(B) ; GB0-A-3B24
(ucs-set-char #x62A5 ?$(I&2(B) ; C03-I-2632
(ucs-set-char #x62A5 ?$A1((B) ; GB0-A-3128
(ucs-set-char #x62A6 ?$(D?I(B) ; J90-D-3F49
(ucs-set-char #x62A6 ?$(I)1(B) ; C03-I-2931
(ucs-set-char #x62A7 ?$(I)*(B) ; C03-I-292A
(ucs-set-char #x62A8 ?$(D?J(B) ; J90-D-3F4A
(ucs-set-char #x62A8 ?$(GMc(B) ; C01-G-4D63
(ucs-set-char #x62A8 ?$AEj(B) ; GB0-A-456A
(ucs-set-char #x62A9 ?$(H&}(B) ; C02-H-267D
(ucs-set-char #x62AA ?$(H&v(B) ; C02-H-2676
(ucs-set-char #x62AB ?$(Cy)(B) ; KS0-C-7929
(ucs-set-char #x62AB ?$(GM^(B) ; C01-G-4D5E
(ucs-set-char #x62AB ?$@Hd(B) ; J78-@-4864
(ucs-set-char #x62AB ?$AE{(B) ; GB0-A-457B
(ucs-set-char #x62AB ?$BHd(B) ; J83-B-4864
(ucs-set-char #x62AC ?$(GMq(B) ; C01-G-4D71
(ucs-set-char #x62AC ?$@Z-(B) ; J78-@-5A2D
(ucs-set-char #x62AC ?$AL'(B) ; GB0-A-4C27
(ucs-set-char #x62AC ?$BZ-(B) ; J83-B-5A2D
(ucs-set-char #x62AD ?$(H&r(B) ; C02-H-2672
(ucs-set-char #x62AE ?$(H&y(B) ; C02-H-2679
(ucs-set-char #x62AF ?$(H&{(B) ; C02-H-267B
(ucs-set-char #x62B0 ?$(H&~(B) ; C02-H-267E
(ucs-set-char #x62B1 ?$(CxY(B) ; KS0-C-7859
(ucs-set-char #x62B1 ?$(GMl(B) ; C01-G-4D6C
(ucs-set-char #x62B1 ?$(L+c(B) ; C06-L-2B63
(ucs-set-char #x62B1 ?$@Jz(B) ; J78-@-4A7A
(ucs-set-char #x62B1 ?$A1'(B) ; GB0-A-3127
(ucs-set-char #x62B1 ?$BJz(B) ; J83-B-4A7A
(ucs-set-char #x62B2 ?$(I)&(B) ; C03-I-2926
(ucs-set-char #x62B3 ?$(D?K(B) ; J90-D-3F4B
(ucs-set-char #x62B3 ?$(H&z(B) ; C02-H-267A
(ucs-set-char #x62B4 ?$(H&s(B) ; C02-H-2673
(ucs-set-char #x62B5 ?$(Cn=(B) ; KS0-C-6E3D
(ucs-set-char #x62B5 ?$(GMj(B) ; C01-G-4D6A
(ucs-set-char #x62B5 ?$@Dq(B) ; J78-@-4471
(ucs-set-char #x62B5 ?$A5V(B) ; GB0-A-3556
(ucs-set-char #x62B5 ?$BDq(B) ; J83-B-4471
(ucs-set-char #x62B6 ?$(D?L(B) ; J90-D-3F4C
(ucs-set-char #x62B6 ?$(H&w(B) ; C02-H-2677
(ucs-set-char #x62B7 ?$(D?M(B) ; J90-D-3F4D
(ucs-set-char #x62B7 ?$(I)((B) ; C03-I-2928
(ucs-set-char #x62B8 ?$(H'!(B) ; C02-H-2721
(ucs-set-char #x62B9 ?$(CXF(B) ; KS0-C-5846
(ucs-set-char #x62B9 ?$(GM[(B) ; C01-G-4D5B
(ucs-set-char #x62B9 ?$@Ku(B) ; J78-@-4B75
(ucs-set-char #x62B9 ?$AD((B) ; GB0-A-4428
(ucs-set-char #x62B9 ?$BKu(B) ; J83-B-4B75
(ucs-set-char #x62BA ?$(D?N(B) ; J90-D-3F4E
(ucs-set-char #x62BA ?$(I)%(B) ; C03-I-2925
(ucs-set-char #x62BB ?$(H&|(B) ; C02-H-267C
(ucs-set-char #x62BB ?$@Y;(B) ; J78-@-593B
(ucs-set-char #x62BB ?$A^S(B) ; GB0-A-5E53
(ucs-set-char #x62BB ?$BY;(B) ; J83-B-593B
(ucs-set-char #x62BC ?$(Cdc(B) ; KS0-C-6463
(ucs-set-char #x62BC ?$(GMe(B) ; C01-G-4D65
(ucs-set-char #x62BC ?$@2!(B) ; J78-@-3221
(ucs-set-char #x62BC ?$AQ:(B) ; GB0-A-513A
(ucs-set-char #x62BC ?$B2!(B) ; J83-B-3221
(ucs-set-char #x62BD ?$(CuN(B) ; KS0-C-754E
(ucs-set-char #x62BD ?$(GMd(B) ; C01-G-4D64
(ucs-set-char #x62BD ?$@Cj(B) ; J78-@-436A
(ucs-set-char #x62BD ?$A3i(B) ; GB0-A-3369
(ucs-set-char #x62BD ?$BCj(B) ; J83-B-436A
(ucs-set-char #x62BE ?$(D?O(B) ; J90-D-3F4F
(ucs-set-char #x62BE ?$(H&u(B) ; C02-H-2675
(ucs-set-char #x62BF ?$(D?P(B) ; J90-D-3F50
(ucs-set-char #x62BF ?$(GMY(B) ; C01-G-4D59
(ucs-set-char #x62BF ?$ACr(B) ; GB0-A-4372
(ucs-set-char #x62C0 ?$(I)4(B) ; C03-I-2934
(ucs-set-char #x62C1 ?$(I)2(B) ; C03-I-2932
(ucs-set-char #x62C2 ?$(C]Y(B) ; KS0-C-5D59
(ucs-set-char #x62C2 ?$(GMZ(B) ; C01-G-4D5A
(ucs-set-char #x62C2 ?$@YD(B) ; J78-@-5944
(ucs-set-char #x62C2 ?$A7w(B) ; GB0-A-3777
(ucs-set-char #x62C2 ?$BYD(B) ; J83-B-5944
(ucs-set-char #x62C4 ?$(D?Q(B) ; J90-D-3F51
(ucs-set-char #x62C4 ?$(GMX(B) ; C01-G-4D58
(ucs-set-char #x62C4 ?$AVt(B) ; GB0-A-5674
(ucs-set-char #x62C5 ?$(I)3(B) ; C03-I-2933
(ucs-set-char #x62C5 ?$@C4(B) ; J78-@-4334
(ucs-set-char #x62C5 ?$A5#(B) ; GB0-A-3523
(ucs-set-char #x62C5 ?$BC4(B) ; J83-B-4334
(ucs-set-char #x62C6 ?$(GMp(B) ; C01-G-4D70
(ucs-set-char #x62C6 ?$@Y>(B) ; J78-@-593E
(ucs-set-char #x62C6 ?$A2p(B) ; GB0-A-3270
(ucs-set-char #x62C6 ?$BY>(B) ; J83-B-593E
(ucs-set-char #x62C7 ?$(CYg(B) ; KS0-C-5967
(ucs-set-char #x62C7 ?$(GMh(B) ; C01-G-4D68
(ucs-set-char #x62C7 ?$@YE(B) ; J78-@-5945
(ucs-set-char #x62C7 ?$AD4(B) ; GB0-A-4434
(ucs-set-char #x62C7 ?$BYE(B) ; J83-B-5945
(ucs-set-char #x62C8 ?$(CR9(B) ; KS0-C-5239
(ucs-set-char #x62C8 ?$(GMb(B) ; C01-G-4D62
(ucs-set-char #x62C8 ?$@Y@(B) ; J78-@-5940
(ucs-set-char #x62C8 ?$ADi(B) ; GB0-A-4469
(ucs-set-char #x62C8 ?$BY@(B) ; J83-B-5940
(ucs-set-char #x62C9 ?$(CUC(B) ; KS0-C-5543
(ucs-set-char #x62C9 ?$(GMV(B) ; C01-G-4D56
(ucs-set-char #x62C9 ?$@YG(B) ; J78-@-5947
(ucs-set-char #x62C9 ?$A@-(B) ; GB0-A-402D
(ucs-set-char #x62C9 ?$BYG(B) ; J83-B-5947
(ucs-set-char #x62CA ?$(H&x(B) ; C02-H-2678
(ucs-set-char #x62CA ?$@YC(B) ; J78-@-5943
(ucs-set-char #x62CA ?$A^T(B) ; GB0-A-5E54
(ucs-set-char #x62CA ?$BYC(B) ; J83-B-5943
(ucs-set-char #x62CB ?$(GMa(B) ; C01-G-4D61
(ucs-set-char #x62CC ?$(CZe(B) ; KS0-C-5A65
(ucs-set-char #x62CC ?$(GMW(B) ; C01-G-4D57
(ucs-set-char #x62CC ?$@YB(B) ; J78-@-5942
(ucs-set-char #x62CC ?$A0h(B) ; GB0-A-3068
(ucs-set-char #x62CC ?$BYB(B) ; J83-B-5942
(ucs-set-char #x62CD ?$(CZP(B) ; KS0-C-5A50
(ucs-set-char #x62CD ?$(GMi(B) ; C01-G-4D69
(ucs-set-char #x62CD ?$@Go(B) ; J78-@-476F
(ucs-set-char #x62CD ?$AED(B) ; GB0-A-4544
(ucs-set-char #x62CD ?$BGo(B) ; J83-B-476F
(ucs-set-char #x62CE ?$(D?R(B) ; J90-D-3F52
(ucs-set-char #x62CE ?$(GMr(B) ; C01-G-4D72
(ucs-set-char #x62CE ?$AA`(B) ; GB0-A-4160
(ucs-set-char #x62CF ?$(CQY(B) ; KS0-C-5159
(ucs-set-char #x62CF ?$(H*U(B) ; C02-H-2A55
(ucs-set-char #x62CF ?$@Y<(B) ; J78-@-593C
(ucs-set-char #x62CF ?$BY<(B) ; J83-B-593C
(ucs-set-char #x62D0 ?$(CNX(B) ; KS0-C-4E58
(ucs-set-char #x62D0 ?$(GMf(B) ; C01-G-4D66
(ucs-set-char #x62D0 ?$@2}(B) ; J78-@-327D
(ucs-set-char #x62D0 ?$A9U(B) ; GB0-A-3955
(ucs-set-char #x62D0 ?$B2}(B) ; J83-B-327D
(ucs-set-char #x62D1 ?$(H&t(B) ; C02-H-2674
(ucs-set-char #x62D1 ?$@Y:(B) ; J78-@-593A
(ucs-set-char #x62D1 ?$BY:(B) ; J83-B-593A
(ucs-set-char #x62D2 ?$(CK^(B) ; KS0-C-4B5E
(ucs-set-char #x62D2 ?$(GM\(B) ; C01-G-4D5C
(ucs-set-char #x62D2 ?$@5q(B) ; J78-@-3571
(ucs-set-char #x62D2 ?$A>\(B) ; GB0-A-3E5C
(ucs-set-char #x62D2 ?$B5q(B) ; J83-B-3571
(ucs-set-char #x62D3 ?$(Ct,(B) ; KS0-C-742C
(ucs-set-char #x62D3 ?$(GM_(B) ; C01-G-4D5F
(ucs-set-char #x62D3 ?$@Bs(B) ; J78-@-4273
(ucs-set-char #x62D3 ?$AMX(B) ; GB0-A-4D58
(ucs-set-char #x62D3 ?$BBs(B) ; J83-B-4273
(ucs-set-char #x62D4 ?$(CZ{(B) ; KS0-C-5A7B
(ucs-set-char #x62D4 ?$(GM`(B) ; C01-G-4D60
(ucs-set-char #x62D4 ?$@Y6(B) ; J78-@-5936
(ucs-set-char #x62D4 ?$A0N(B) ; GB0-A-304E
(ucs-set-char #x62D4 ?$BY6(B) ; J83-B-5936
(ucs-set-char #x62D5 ?$(D?S(B) ; J90-D-3F53
(ucs-set-char #x62D5 ?$(I).(B) ; C03-I-292E
(ucs-set-char #x62D6 ?$(Cvi(B) ; KS0-C-7669
(ucs-set-char #x62D6 ?$(D?T(B) ; J90-D-3F54
(ucs-set-char #x62D6 ?$(GMn(B) ; C01-G-4D6E
(ucs-set-char #x62D6 ?$AMO(B) ; GB0-A-4D4F
(ucs-set-char #x62D7 ?$(Chs(B) ; KS0-C-6873
(ucs-set-char #x62D7 ?$(GMo(B) ; C01-G-4D6F
(ucs-set-char #x62D7 ?$@Y9(B) ; J78-@-5939
(ucs-set-char #x62D7 ?$A^V(B) ; GB0-A-5E56
(ucs-set-char #x62D7 ?$BY9(B) ; J83-B-5939
(ucs-set-char #x62D8 ?$(CO,(B) ; KS0-C-4F2C
(ucs-set-char #x62D8 ?$(GMm(B) ; C01-G-4D6D
(ucs-set-char #x62D8 ?$@94(B) ; J78-@-3934
(ucs-set-char #x62D8 ?$A>P(B) ; GB0-A-3E50
(ucs-set-char #x62D8 ?$B94(B) ; J83-B-3934
(ucs-set-char #x62D9 ?$(Cpp(B) ; KS0-C-7070
(ucs-set-char #x62D9 ?$(GMg(B) ; C01-G-4D67
(ucs-set-char #x62D9 ?$@@[(B) ; J78-@-405B
(ucs-set-char #x62D9 ?$AW>(B) ; GB0-A-573E
(ucs-set-char #x62D9 ?$B@[(B) ; J83-B-405B
(ucs-set-char #x62DA ?$(D?U(B) ; J90-D-3F55
(ucs-set-char #x62DA ?$(GMk(B) ; C01-G-4D6B
(ucs-set-char #x62DA ?$A^U(B) ; GB0-A-5E55
(ucs-set-char #x62DB ?$(Ct}(B) ; KS0-C-747D
(ucs-set-char #x62DB ?$(GM](B) ; C01-G-4D5D
(ucs-set-char #x62DB ?$@>7(B) ; J78-@-3E37
(ucs-set-char #x62DB ?$AUP(B) ; GB0-A-5550
(ucs-set-char #x62DB ?$B>7(B) ; J83-B-3E37
(ucs-set-char #x62DC ?$(C[H(B) ; KS0-C-5B48
(ucs-set-char #x62DC ?$(GQ8(B) ; C01-G-5138
(ucs-set-char #x62DC ?$@YA(B) ; J78-@-5941
(ucs-set-char #x62DC ?$A0](B) ; GB0-A-305D
(ucs-set-char #x62DC ?$BYA(B) ; J83-B-5941
(ucs-set-char #x62DD ?$(I)0(B) ; C03-I-2930
(ucs-set-char #x62DD ?$@GR(B) ; J78-@-4752
(ucs-set-char #x62DD ?$BGR(B) ; J83-B-4752
(ucs-set-char #x62DE ?$(I)7(B) ; C03-I-2937
(ucs-set-char #x62DF ?$(I)5(B) ; C03-I-2935
(ucs-set-char #x62DF ?$ADb(B) ; GB0-A-4462
(ucs-set-char #x62E0 ?$(I)6(B) ; C03-I-2936
(ucs-set-char #x62E0 ?$@5r(B) ; J78-@-3572
(ucs-set-char #x62E0 ?$B5r(B) ; J83-B-3572
(ucs-set-char #x62E1 ?$(I)/(B) ; C03-I-292F
(ucs-set-char #x62E1 ?$@3H(B) ; J78-@-3348
(ucs-set-char #x62E1 ?$B3H(B) ; J83-B-3348
(ucs-set-char #x62E2 ?$AB#(B) ; GB0-A-4223
(ucs-set-char #x62E3 ?$A<p(B) ; GB0-A-3C70
(ucs-set-char #x62E4 ?$(I))(B) ; C03-I-2929
(ucs-set-char #x62E5 ?$AS5(B) ; GB0-A-5335
(ucs-set-char #x62E6 ?$A@9(B) ; GB0-A-4039
(ucs-set-char #x62E7 ?$AE!(B) ; GB0-A-4521
(ucs-set-char #x62E8 ?$(L+`(B) ; C06-L-2B60
(ucs-set-char #x62E8 ?$A2&(B) ; GB0-A-3226
(ucs-set-char #x62E9 ?$ATq(B) ; GB0-A-5471
(ucs-set-char #x62EA ?$(D?V(B) ; J90-D-3F56
(ucs-set-char #x62EA ?$(I,m(B) ; C03-I-2C6D
(ucs-set-char #x62EB ?$(H*[(B) ; C02-H-2A5B
(ucs-set-char #x62EC ?$(CN@(B) ; KS0-C-4E40
(ucs-set-char #x62EC ?$(GQD(B) ; C01-G-5144
(ucs-set-char #x62EC ?$@3g(B) ; J78-@-3367
(ucs-set-char #x62EC ?$A@((B) ; GB0-A-4028
(ucs-set-char #x62EC ?$B3g(B) ; J83-B-3367
(ucs-set-char #x62ED ?$(CcT(B) ; KS0-C-6354
(ucs-set-char #x62ED ?$(GQ<(B) ; C01-G-513C
(ucs-set-char #x62ED ?$@?!(B) ; J78-@-3F21
(ucs-set-char #x62ED ?$AJC(B) ; GB0-A-4A43
(ucs-set-char #x62ED ?$B?!(B) ; J83-B-3F21
(ucs-set-char #x62EE ?$(CQO(B) ; KS0-C-514F
(ucs-set-char #x62EE ?$(GQ>(B) ; C01-G-513E
(ucs-set-char #x62EE ?$@YI(B) ; J78-@-5949
(ucs-set-char #x62EE ?$A^W(B) ; GB0-A-5E57
(ucs-set-char #x62EE ?$BYI(B) ; J83-B-5949
(ucs-set-char #x62EF ?$(Cqu(B) ; KS0-C-7175
(ucs-set-char #x62EF ?$(GQC(B) ; C01-G-5143
(ucs-set-char #x62EF ?$@YN(B) ; J78-@-594E
(ucs-set-char #x62EF ?$AU|(B) ; GB0-A-557C
(ucs-set-char #x62EF ?$BYN(B) ; J83-B-594E
(ucs-set-char #x62F0 ?$(H*g(B) ; C02-H-2A67
(ucs-set-char #x62F1 ?$(CMr(B) ; KS0-C-4D72
(ucs-set-char #x62F1 ?$(GQA(B) ; C01-G-5141
(ucs-set-char #x62F1 ?$@YJ(B) ; J78-@-594A
(ucs-set-char #x62F1 ?$A90(B) ; GB0-A-3930
(ucs-set-char #x62F1 ?$BYJ(B) ; J83-B-594A
(ucs-set-char #x62F2 ?$(D?W(B) ; J90-D-3F57
(ucs-set-char #x62F2 ?$(H/3(B) ; C02-H-2F33
(ucs-set-char #x62F3 ?$(COk(B) ; KS0-C-4F6B
(ucs-set-char #x62F3 ?$(GUS(B) ; C01-G-5553
(ucs-set-char #x62F3 ?$@7}(B) ; J78-@-377D
(ucs-set-char #x62F3 ?$AH-(B) ; GB0-A-482D
(ucs-set-char #x62F3 ?$B7}(B) ; J83-B-377D
(ucs-set-char #x62F4 ?$(D?X(B) ; J90-D-3F58
(ucs-set-char #x62F4 ?$(GQF(B) ; C01-G-5146
(ucs-set-char #x62F4 ?$AK)(B) ; GB0-A-4B29
(ucs-set-char #x62F5 ?$(H*X(B) ; C02-H-2A58
(ucs-set-char #x62F5 ?$@YO(B) ; J78-@-594F
(ucs-set-char #x62F5 ?$BYO(B) ; J83-B-594F
(ucs-set-char #x62F6 ?$(H*`(B) ; C02-H-2A60
(ucs-set-char #x62F6 ?$@;"(B) ; J78-@-3B22
(ucs-set-char #x62F6 ?$A^Y(B) ; GB0-A-5E59
(ucs-set-char #x62F6 ?$B;"(B) ; J83-B-3B22
(ucs-set-char #x62F7 ?$(CM8(B) ; KS0-C-4D38
(ucs-set-char #x62F7 ?$(GQB(B) ; C01-G-5142
(ucs-set-char #x62F7 ?$@9i(B) ; J78-@-3969
(ucs-set-char #x62F7 ?$A?=(B) ; GB0-A-3F3D
(ucs-set-char #x62F7 ?$B9i(B) ; J83-B-3969
(ucs-set-char #x62F8 ?$(H*_(B) ; C02-H-2A5F
(ucs-set-char #x62F9 ?$(H*\(B) ; C02-H-2A5C
(ucs-set-char #x62FA ?$(H*d(B) ; C02-H-2A64
(ucs-set-char #x62FB ?$(H*f(B) ; C02-H-2A66
(ucs-set-char #x62FC ?$(D?Y(B) ; J90-D-3F59
(ucs-set-char #x62FC ?$(GQ;(B) ; C01-G-513B
(ucs-set-char #x62FC ?$(I6((B) ; C03-I-3628
(ucs-set-char #x62FC ?$AF4(B) ; GB0-A-4634
(ucs-set-char #x62FD ?$(D?Z(B) ; J90-D-3F5A
(ucs-set-char #x62FD ?$(GQ?(B) ; C01-G-513F
(ucs-set-char #x62FD ?$AW'(B) ; GB0-A-5727
(ucs-set-char #x62FE ?$(Cc&(B) ; KS0-C-6326
(ucs-set-char #x62FE ?$(GQE(B) ; C01-G-5145
(ucs-set-char #x62FE ?$@=&(B) ; J78-@-3D26
(ucs-set-char #x62FE ?$AJ0(B) ; GB0-A-4A30
(ucs-set-char #x62FE ?$B=&(B) ; J83-B-3D26
(ucs-set-char #x62FF ?$(CQZ(B) ; KS0-C-515A
(ucs-set-char #x62FF ?$(GUU(B) ; C01-G-5555
(ucs-set-char #x62FF ?$@Y=(B) ; J78-@-593D
(ucs-set-char #x62FF ?$ADC(B) ; GB0-A-4443
(ucs-set-char #x62FF ?$BY=(B) ; J83-B-593D
(ucs-set-char #x6300 ?$(H*a(B) ; C02-H-2A61
(ucs-set-char #x6301 ?$(Cr%(B) ; KS0-C-7225
(ucs-set-char #x6301 ?$(GQ=(B) ; C01-G-513D
(ucs-set-char #x6301 ?$@;}(B) ; J78-@-3B7D
(ucs-set-char #x6301 ?$A3V(B) ; GB0-A-3356
(ucs-set-char #x6301 ?$B;}(B) ; J83-B-3B7D
(ucs-set-char #x6302 ?$(GQH(B) ; C01-G-5148
(ucs-set-char #x6302 ?$@YL(B) ; J78-@-594C
(ucs-set-char #x6302 ?$A9R(B) ; GB0-A-3952
(ucs-set-char #x6302 ?$BYL(B) ; J83-B-594C
(ucs-set-char #x6303 ?$(D?[(B) ; J90-D-3F5B
(ucs-set-char #x6303 ?$(H*Z(B) ; C02-H-2A5A
(ucs-set-char #x6304 ?$(D?\(B) ; J90-D-3F5C
(ucs-set-char #x6304 ?$(I,o(B) ; C03-I-2C6F
(ucs-set-char #x6305 ?$(I,p(B) ; C03-I-2C70
(ucs-set-char #x6306 ?$(K)E(B) ; C05-K-2945
(ucs-set-char #x6307 ?$(Cr&(B) ; KS0-C-7226
(ucs-set-char #x6307 ?$(GQ@(B) ; C01-G-5140
(ucs-set-char #x6307 ?$@;X(B) ; J78-@-3B58
(ucs-set-char #x6307 ?$AV8(B) ; GB0-A-5638
(ucs-set-char #x6307 ?$B;X(B) ; J83-B-3B58
(ucs-set-char #x6308 ?$(GUT(B) ; C01-G-5554
(ucs-set-char #x6308 ?$@YM(B) ; J78-@-594D
(ucs-set-char #x6308 ?$Aj|(B) ; GB0-A-6A7C
(ucs-set-char #x6308 ?$BYM(B) ; J83-B-594D
(ucs-set-char #x6309 ?$(CdN(B) ; KS0-C-644E
(ucs-set-char #x6309 ?$(GQ:(B) ; C01-G-513A
(ucs-set-char #x6309 ?$@0D(B) ; J78-@-3044
(ucs-set-char #x6309 ?$A04(B) ; GB0-A-3034
(ucs-set-char #x6309 ?$B0D(B) ; J83-B-3044
(ucs-set-char #x630A ?$(D?](B) ; J90-D-3F5D
(ucs-set-char #x630A ?$(J)Y(B) ; C04-J-2959
(ucs-set-char #x630B ?$(D?^(B) ; J90-D-3F5E
(ucs-set-char #x630B ?$(H*W(B) ; C02-H-2A57
(ucs-set-char #x630C ?$(H*^(B) ; C02-H-2A5E
(ucs-set-char #x630C ?$@YH(B) ; J78-@-5948
(ucs-set-char #x630C ?$BYH(B) ; J83-B-5948
(ucs-set-char #x630D ?$(D?_(B) ; J90-D-3F5F
(ucs-set-char #x630D ?$(H*V(B) ; C02-H-2A56
(ucs-set-char #x630E ?$(H*Y(B) ; C02-H-2A59
(ucs-set-char #x630E ?$A?f(B) ; GB0-A-3F66
(ucs-set-char #x630F ?$(H*](B) ; C02-H-2A5D
(ucs-set-char #x6310 ?$(D?`(B) ; J90-D-3F60
(ucs-set-char #x6310 ?$(H/4(B) ; C02-H-2F34
(ucs-set-char #x6311 ?$(CS{(B) ; KS0-C-537B
(ucs-set-char #x6311 ?$(GQG(B) ; C01-G-5147
(ucs-set-char #x6311 ?$@D)(B) ; J78-@-4429
(ucs-set-char #x6311 ?$ALt(B) ; GB0-A-4C74
(ucs-set-char #x6311 ?$BD)(B) ; J83-B-4429
(ucs-set-char #x6312 ?$(J)Q(B) ; C04-J-2951
(ucs-set-char #x6313 ?$(D?a(B) ; J90-D-3F61
(ucs-set-char #x6313 ?$(H*b(B) ; C02-H-2A62
(ucs-set-char #x6314 ?$(H*c(B) ; C02-H-2A63
(ucs-set-char #x6315 ?$(H*e(B) ; C02-H-2A65
(ucs-set-char #x6316 ?$(D?b(B) ; J90-D-3F62
(ucs-set-char #x6316 ?$(GQ9(B) ; C01-G-5139
(ucs-set-char #x6316 ?$AMZ(B) ; GB0-A-4D5A
(ucs-set-char #x6317 ?$(I,l(B) ; C03-I-2C6C
(ucs-set-char #x6318 ?$(D?c(B) ; J90-D-3F63
(ucs-set-char #x6319 ?$(I12(B) ; C03-I-3132
(ucs-set-char #x6319 ?$@5s(B) ; J78-@-3573
(ucs-set-char #x6319 ?$B5s(B) ; J83-B-3573
(ucs-set-char #x631A ?$AV?(B) ; GB0-A-563F
(ucs-set-char #x631B ?$(I13(B) ; C03-I-3133
(ucs-set-char #x631B ?$ABN(B) ; GB0-A-424E
(ucs-set-char #x631D ?$ANN(B) ; GB0-A-4E4E
(ucs-set-char #x631E ?$AL"(B) ; GB0-A-4C22
(ucs-set-char #x631F ?$(I,k(B) ; C03-I-2C6B
(ucs-set-char #x631F ?$@64(B) ; J78-@-3634
(ucs-set-char #x631F ?$AP.(B) ; GB0-A-502E
(ucs-set-char #x631F ?$B64(B) ; J83-B-3634
(ucs-set-char #x6320 ?$ADS(B) ; GB0-A-4453
(ucs-set-char #x6321 ?$(I,n(B) ; C03-I-2C6E
(ucs-set-char #x6321 ?$A52(B) ; GB0-A-3532
(ucs-set-char #x6322 ?$A^X(B) ; GB0-A-5E58
(ucs-set-char #x6323 ?$(J)[(B) ; C04-J-295B
(ucs-set-char #x6323 ?$AUu(B) ; GB0-A-5575
(ucs-set-char #x6324 ?$A<7(B) ; GB0-A-3C37
(ucs-set-char #x6325 ?$A;S(B) ; GB0-A-3B53
(ucs-set-char #x6327 ?$@YK(B) ; J78-@-594B
(ucs-set-char #x6327 ?$BYK(B) ; J83-B-594B
(ucs-set-char #x6328 ?$(GUc(B) ; C01-G-5563
(ucs-set-char #x6328 ?$@0'(B) ; J78-@-3027
(ucs-set-char #x6328 ?$A0$(B) ; GB0-A-3024
(ucs-set-char #x6328 ?$B0'(B) ; J83-B-3027
(ucs-set-char #x6329 ?$(D?d(B) ; J90-D-3F64
(ucs-set-char #x6329 ?$(H/@(B) ; C02-H-2F40
(ucs-set-char #x632A ?$(D?e(B) ; J90-D-3F65
(ucs-set-char #x632A ?$(GUa(B) ; C01-G-5561
(ucs-set-char #x632A ?$AE2(B) ; GB0-A-4532
(ucs-set-char #x632B ?$(Cq)(B) ; KS0-C-7129
(ucs-set-char #x632B ?$(GUb(B) ; C01-G-5562
(ucs-set-char #x632B ?$@:C(B) ; J78-@-3A43
(ucs-set-char #x632B ?$A4l(B) ; GB0-A-346C
(ucs-set-char #x632B ?$B:C(B) ; J83-B-3A43
(ucs-set-char #x632C ?$(H/6(B) ; C02-H-2F36
(ucs-set-char #x632D ?$(D?f(B) ; J90-D-3F66
(ucs-set-char #x632D ?$(H/F(B) ; C02-H-2F46
(ucs-set-char #x632E ?$(I1,(B) ; C03-I-312C
(ucs-set-char #x632F ?$(CrI(B) ; KS0-C-7249
(ucs-set-char #x632F ?$(GUX(B) ; C01-G-5558
(ucs-set-char #x632F ?$@?6(B) ; J78-@-3F36
(ucs-set-char #x632F ?$AUq(B) ; GB0-A-5571
(ucs-set-char #x632F ?$B?6(B) ; J83-B-3F36
(ucs-set-char #x6330 ?$(I1/(B) ; C03-I-312F
(ucs-set-char #x6331 ?$(I15(B) ; C03-I-3135
(ucs-set-char #x6332 ?$(H5J(B) ; C02-H-354A
(ucs-set-char #x6332 ?$Aj}(B) ; GB0-A-6A7D
(ucs-set-char #x6333 ?$(H/H(B) ; C02-H-2F48
(ucs-set-char #x6334 ?$(H/B(B) ; C02-H-2F42
(ucs-set-char #x6335 ?$(D?g(B) ; J90-D-3F67
(ucs-set-char #x6335 ?$(I18(B) ; C03-I-3138
(ucs-set-char #x6336 ?$(D?h(B) ; J90-D-3F68
(ucs-set-char #x6336 ?$(H/9(B) ; C02-H-2F39
(ucs-set-char #x6337 ?$(I17(B) ; C03-I-3137
(ucs-set-char #x6338 ?$(H/K(B) ; C02-H-2F4B
(ucs-set-char #x6339 ?$(D?i(B) ; J90-D-3F69
(ucs-set-char #x6339 ?$(H/<(B) ; C02-H-2F3C
(ucs-set-char #x6339 ?$A^Z(B) ; GB0-A-5E5A
(ucs-set-char #x633A ?$(CoX(B) ; KS0-C-6F58
(ucs-set-char #x633A ?$(GU^(B) ; C01-G-555E
(ucs-set-char #x633A ?$@Dr(B) ; J78-@-4472
(ucs-set-char #x633A ?$AM&(B) ; GB0-A-4D26
(ucs-set-char #x633A ?$BDr(B) ; J83-B-4472
(ucs-set-char #x633B ?$(CfI(B) ; KS0-C-6649
(ucs-set-char #x633B ?$(H5a(B) ; C02-H-3561
(ucs-set-char #x633C ?$(D?j(B) ; J90-D-3F6A
(ucs-set-char #x633C ?$(H/?(B) ; C02-H-2F3F
(ucs-set-char #x633D ?$(CX8(B) ; KS0-C-5838
(ucs-set-char #x633D ?$(GU`(B) ; C01-G-5560
(ucs-set-char #x633D ?$@HT(B) ; J78-@-4854
(ucs-set-char #x633D ?$AMl(B) ; GB0-A-4D6C
(ucs-set-char #x633D ?$BHT(B) ; J83-B-4854
(ucs-set-char #x633E ?$(Czs(B) ; KS0-C-7A73
(ucs-set-char #x633E ?$(GUW(B) ; C01-G-5557
(ucs-set-char #x633E ?$@YQ(B) ; J78-@-5951
(ucs-set-char #x633E ?$BYQ(B) ; J83-B-5951
(ucs-set-char #x633F ?$(I1<(B) ; C03-I-313C
(ucs-set-char #x633F ?$@A^(B) ; J78-@-415E
(ucs-set-char #x633F ?$BA^(B) ; J83-B-415E
(ucs-set-char #x6340 ?$(H/M(B) ; C02-H-2F4D
(ucs-set-char #x6341 ?$(D?k(B) ; J90-D-3F6B
(ucs-set-char #x6341 ?$(H/A(B) ; C02-H-2F41
(ucs-set-char #x6342 ?$(D?l(B) ; J90-D-3F6C
(ucs-set-char #x6342 ?$(GUZ(B) ; C01-G-555A
(ucs-set-char #x6342 ?$ANf(B) ; GB0-A-4E66
(ucs-set-char #x6343 ?$(D?m(B) ; J90-D-3F6D
(ucs-set-char #x6343 ?$(H/:(B) ; C02-H-2F3A
(ucs-set-char #x6343 ?$A^\(B) ; GB0-A-5E5C
(ucs-set-char #x6344 ?$(D?n(B) ; J90-D-3F6E
(ucs-set-char #x6344 ?$(H/7(B) ; C02-H-2F37
(ucs-set-char #x6345 ?$(H/8(B) ; C02-H-2F38
(ucs-set-char #x6345 ?$AM1(B) ; GB0-A-4D31
(ucs-set-char #x6346 ?$(D?o(B) ; J90-D-3F6F
(ucs-set-char #x6346 ?$(GU[(B) ; C01-G-555B
(ucs-set-char #x6346 ?$A@&(B) ; GB0-A-4026
(ucs-set-char #x6347 ?$(H/G(B) ; C02-H-2F47
(ucs-set-char #x6348 ?$(H/N(B) ; C02-H-2F4E
(ucs-set-char #x6349 ?$(Cs5(B) ; KS0-C-7335
(ucs-set-char #x6349 ?$(GU](B) ; C01-G-555D
(ucs-set-char #x6349 ?$@B*(B) ; J78-@-422A
(ucs-set-char #x6349 ?$AW=(B) ; GB0-A-573D
(ucs-set-char #x6349 ?$BB*(B) ; J83-B-422A
(ucs-set-char #x634A ?$(D?p(B) ; J90-D-3F70
(ucs-set-char #x634A ?$(H/>(B) ; C02-H-2F3E
(ucs-set-char #x634B ?$(D?q(B) ; J90-D-3F71
(ucs-set-char #x634B ?$(H/=(B) ; C02-H-2F3D
(ucs-set-char #x634B ?$A^[(B) ; GB0-A-5E5B
(ucs-set-char #x634C ?$(Cx$(B) ; KS0-C-7824
(ucs-set-char #x634C ?$(GUe(B) ; C01-G-5565
(ucs-set-char #x634C ?$@;+(B) ; J78-@-3B2B
(ucs-set-char #x634C ?$A0F(B) ; GB0-A-3046
(ucs-set-char #x634C ?$B;+(B) ; J83-B-3B2B
(ucs-set-char #x634D ?$(GUd(B) ; C01-G-5564
(ucs-set-char #x634D ?$@YR(B) ; J78-@-5952
(ucs-set-char #x634D ?$A:4(B) ; GB0-A-3A34
(ucs-set-char #x634D ?$BYR(B) ; J83-B-5952
(ucs-set-char #x634E ?$(D?r(B) ; J90-D-3F72
(ucs-set-char #x634E ?$(GUV(B) ; C01-G-5556
(ucs-set-char #x634E ?$AIS(B) ; GB0-A-4953
(ucs-set-char #x634F ?$(CQs(B) ; KS0-C-5173
(ucs-set-char #x634F ?$(GU\(B) ; C01-G-555C
(ucs-set-char #x634F ?$@YT(B) ; J78-@-5954
(ucs-set-char #x634F ?$ADs(B) ; GB0-A-4473
(ucs-set-char #x634F ?$BYT(B) ; J83-B-5954
(ucs-set-char #x6350 ?$(CfH(B) ; KS0-C-6648
(ucs-set-char #x6350 ?$(GU_(B) ; C01-G-555F
(ucs-set-char #x6350 ?$@YP(B) ; J78-@-5950
(ucs-set-char #x6350 ?$A>h(B) ; GB0-A-3E68
(ucs-set-char #x6350 ?$BYP(B) ; J83-B-5950
(ucs-set-char #x6351 ?$(H/J(B) ; C02-H-2F4A
(ucs-set-char #x6352 ?$(D?s(B) ; J90-D-3F73
(ucs-set-char #x6352 ?$(I1.(B) ; C03-I-312E
(ucs-set-char #x6353 ?$(D?t(B) ; J90-D-3F74
(ucs-set-char #x6353 ?$(I19(B) ; C03-I-3139
(ucs-set-char #x6354 ?$(D?u(B) ; J90-D-3F75
(ucs-set-char #x6354 ?$(H/D(B) ; C02-H-2F44
(ucs-set-char #x6355 ?$(CxZ(B) ; KS0-C-785A
(ucs-set-char #x6355 ?$(GUY(B) ; C01-G-5559
(ucs-set-char #x6355 ?$@Ja(B) ; J78-@-4A61
(ucs-set-char #x6355 ?$A26(B) ; GB0-A-3236
(ucs-set-char #x6355 ?$BJa(B) ; J83-B-4A61
(ucs-set-char #x6356 ?$(H/5(B) ; C02-H-2F35
(ucs-set-char #x6357 ?$(H/L(B) ; C02-H-2F4C
(ucs-set-char #x6357 ?$@D=(B) ; J78-@-443D
(ucs-set-char #x6357 ?$BD=(B) ; J83-B-443D
(ucs-set-char #x6358 ?$(D?v(B) ; J90-D-3F76
(ucs-set-char #x6358 ?$(H/C(B) ; C02-H-2F43
(ucs-set-char #x6359 ?$(H/E(B) ; C02-H-2F45
(ucs-set-char #x635A ?$(H/I(B) ; C02-H-2F49
(ucs-set-char #x635B ?$(D?w(B) ; J90-D-3F77
(ucs-set-char #x635B ?$(I10(B) ; C03-I-3130
(ucs-set-char #x635C ?$(I1;(B) ; C03-I-313B
(ucs-set-char #x635C ?$@A\(B) ; J78-@-415C
(ucs-set-char #x635C ?$BA\(B) ; J83-B-415C
(ucs-set-char #x635D ?$(I16(B) ; C03-I-3136
(ucs-set-char #x635E ?$A@L(B) ; GB0-A-404C
(ucs-set-char #x635F ?$AKp(B) ; GB0-A-4B70
(ucs-set-char #x6361 ?$A<q(B) ; GB0-A-3C71
(ucs-set-char #x6362 ?$A;;(B) ; GB0-A-3B3B
(ucs-set-char #x6363 ?$A57(B) ; GB0-A-3537
(ucs-set-char #x6365 ?$(D?x(B) ; J90-D-3F78
(ucs-set-char #x6365 ?$(H5K(B) ; C02-H-354B
(ucs-set-char #x6366 ?$(D?y(B) ; J90-D-3F79
(ucs-set-char #x6366 ?$(I61(B) ; C03-I-3631
(ucs-set-char #x6367 ?$(C\i(B) ; KS0-C-5C69
(ucs-set-char #x6367 ?$(GZ[(B) ; C01-G-5A5B
(ucs-set-char #x6367 ?$@J{(B) ; J78-@-4A7B
(ucs-set-char #x6367 ?$AEu(B) ; GB0-A-4575
(ucs-set-char #x6367 ?$BJ{(B) ; J83-B-4A7B
(ucs-set-char #x6368 ?$(C^W(B) ; KS0-C-5E57
(ucs-set-char #x6368 ?$(GZo(B) ; C01-G-5A6F
(ucs-set-char #x6368 ?$(L@6(B) ; C06-L-4036
(ucs-set-char #x6368 ?$@<N(B) ; J78-@-3C4E
(ucs-set-char #x6368 ?$B<N(B) ; J83-B-3C4E
(ucs-set-char #x6369 ?$(GZn(B) ; C01-G-5A6E
(ucs-set-char #x6369 ?$@Y`(B) ; J78-@-5960
(ucs-set-char #x6369 ?$A^f(B) ; GB0-A-5E66
(ucs-set-char #x6369 ?$BY`(B) ; J83-B-5960
(ucs-set-char #x636A ?$(I6'(B) ; C03-I-3627
(ucs-set-char #x636B ?$(GZc(B) ; C01-G-5A63
(ucs-set-char #x636B ?$@Y_(B) ; J78-@-595F
(ucs-set-char #x636B ?$BY_(B) ; J83-B-595F
(ucs-set-char #x636C ?$(D?z(B) ; J90-D-3F7A
(ucs-set-char #x636C ?$(I6)(B) ; C03-I-3629
(ucs-set-char #x636D ?$(D?{(B) ; J90-D-3F7B
(ucs-set-char #x636D ?$(H5](B) ; C02-H-355D
(ucs-set-char #x636D ?$A^c(B) ; GB0-A-5E63
(ucs-set-char #x636E ?$(CK_(B) ; KS0-C-4B5F
(ucs-set-char #x636E ?$(H5Y(B) ; C02-H-3559
(ucs-set-char #x636E ?$@?x(B) ; J78-@-3F78
(ucs-set-char #x636E ?$A>](B) ; GB0-A-3E5D
(ucs-set-char #x636E ?$B?x(B) ; J83-B-3F78
(ucs-set-char #x636F ?$(H5V(B) ; C02-H-3556
(ucs-set-char #x6370 ?$(H5h(B) ; C02-H-3568
(ucs-set-char #x6371 ?$(D?|(B) ; J90-D-3F7C
(ucs-set-char #x6371 ?$(GZ^(B) ; C01-G-5A5E
(ucs-set-char #x6371 ?$A^_(B) ; GB0-A-5E5F
(ucs-set-char #x6372 ?$(COl(B) ; KS0-C-4F6C
(ucs-set-char #x6372 ?$(GZV(B) ; C01-G-5A56
(ucs-set-char #x6372 ?$@7~(B) ; J78-@-377E
(ucs-set-char #x6372 ?$B7~(B) ; J83-B-377E
(ucs-set-char #x6373 ?$(I6&(B) ; C03-I-3626
(ucs-set-char #x6374 ?$(D?}(B) ; J90-D-3F7D
(ucs-set-char #x6374 ?$(I62(B) ; C03-I-3632
(ucs-set-char #x6375 ?$(D?~(B) ; J90-D-3F7E
(ucs-set-char #x6375 ?$(H5[(B) ; C02-H-355B
(ucs-set-char #x6376 ?$(G_M(B) ; C01-G-5F4D
(ucs-set-char #x6376 ?$@YY(B) ; J78-@-5959
(ucs-set-char #x6376 ?$A47(B) ; GB0-A-3437
(ucs-set-char #x6376 ?$BYY(B) ; J83-B-5959
(ucs-set-char #x6377 ?$(Ct_(B) ; KS0-C-745F
(ucs-set-char #x6377 ?$(GZZ(B) ; C01-G-5A5A
(ucs-set-char #x6377 ?$@>9(B) ; J78-@-3E39
(ucs-set-char #x6377 ?$A=](B) ; GB0-A-3D5D
(ucs-set-char #x6377 ?$B>9(B) ; J83-B-3E39
(ucs-set-char #x6378 ?$(D@!(B) ; J90-D-4021
(ucs-set-char #x6378 ?$(H5c(B) ; C02-H-3563
(ucs-set-char #x6379 ?$(I6"(B) ; C03-I-3622
(ucs-set-char #x637A ?$(CQt(B) ; KS0-C-5174
(ucs-set-char #x637A ?$(GZp(B) ; C01-G-5A70
(ucs-set-char #x637A ?$@Fh(B) ; J78-@-4668
(ucs-set-char #x637A ?$A^`(B) ; GB0-A-5E60
(ucs-set-char #x637A ?$BFh(B) ; J83-B-4668
(ucs-set-char #x637B ?$(CR:(B) ; KS0-C-523A
(ucs-set-char #x637B ?$(GZm(B) ; C01-G-5A6D
(ucs-set-char #x637B ?$@G1(B) ; J78-@-4731
(ucs-set-char #x637B ?$ADm(B) ; GB0-A-446D
(ucs-set-char #x637B ?$BG1(B) ; J83-B-4731
(ucs-set-char #x637C ?$(D@"(B) ; J90-D-4022
(ucs-set-char #x637C ?$(H5_(B) ; C02-H-355F
(ucs-set-char #x637D ?$(D@#(B) ; J90-D-4023
(ucs-set-char #x637D ?$(H5N(B) ; C02-H-354E
(ucs-set-char #x637E ?$(I5|(B) ; C03-I-357C
(ucs-set-char #x637F ?$(C_r(B) ; KS0-C-5F72
(ucs-set-char #x637F ?$(D@$(B) ; J90-D-4024
(ucs-set-char #x637F ?$(I6+(B) ; C03-I-362B
(ucs-set-char #x6380 ?$(GZl(B) ; C01-G-5A6C
(ucs-set-char #x6380 ?$@YW(B) ; J78-@-5957
(ucs-set-char #x6380 ?$AOF(B) ; GB0-A-4F46
(ucs-set-char #x6380 ?$BYW(B) ; J83-B-5957
(ucs-set-char #x6381 ?$(H5e(B) ; C02-H-3565
(ucs-set-char #x6382 ?$(D@%(B) ; J90-D-4025
(ucs-set-char #x6382 ?$(H5M(B) ; C02-H-354D
(ucs-set-char #x6382 ?$A5`(B) ; GB0-A-3560
(ucs-set-char #x6383 ?$(Ca7(B) ; KS0-C-6137
(ucs-set-char #x6383 ?$(GZa(B) ; C01-G-5A61
(ucs-set-char #x6383 ?$(L@+(B) ; C06-L-402B
(ucs-set-char #x6383 ?$@A](B) ; J78-@-415D
(ucs-set-char #x6383 ?$BA](B) ; J83-B-415D
(ucs-set-char #x6384 ?$(D@&(B) ; J90-D-4026
(ucs-set-char #x6384 ?$(GZe(B) ; C01-G-5A65
(ucs-set-char #x6385 ?$(H5d(B) ; C02-H-3564
(ucs-set-char #x6386 ?$(I6#(B) ; C03-I-3623
(ucs-set-char #x6387 ?$(D@'(B) ; J90-D-4027
(ucs-set-char #x6387 ?$(H5W(B) ; C02-H-3557
(ucs-set-char #x6387 ?$A6^(B) ; GB0-A-365E
(ucs-set-char #x6388 ?$(Cb#(B) ; KS0-C-6223
(ucs-set-char #x6388 ?$(GZf(B) ; C01-G-5A66
(ucs-set-char #x6388 ?$@<x(B) ; J78-@-3C78
(ucs-set-char #x6388 ?$AJZ(B) ; GB0-A-4A5A
(ucs-set-char #x6388 ?$B<x(B) ; J83-B-3C78
(ucs-set-char #x6389 ?$(CS|(B) ; KS0-C-537C
(ucs-set-char #x6389 ?$(GZ`(B) ; C01-G-5A60
(ucs-set-char #x6389 ?$@Y\(B) ; J78-@-595C
(ucs-set-char #x6389 ?$A5t(B) ; GB0-A-3574
(ucs-set-char #x6389 ?$BY\(B) ; J83-B-595C
(ucs-set-char #x638A ?$(D@((B) ; J90-D-4028
(ucs-set-char #x638A ?$(H5L(B) ; C02-H-354C
(ucs-set-char #x638A ?$A^e(B) ; GB0-A-5E65
(ucs-set-char #x638B ?$(I5}(B) ; C03-I-357D
(ucs-set-char #x638C ?$(Cmf(B) ; KS0-C-6D66
(ucs-set-char #x638C ?$(G_?(B) ; C01-G-5F3F
(ucs-set-char #x638C ?$@>8(B) ; J78-@-3E38
(ucs-set-char #x638C ?$AUF(B) ; GB0-A-5546
(ucs-set-char #x638C ?$B>8(B) ; J83-B-3E38
(ucs-set-char #x638D ?$(H5g(B) ; C02-H-3567
(ucs-set-char #x638E ?$(H5U(B) ; C02-H-3555
(ucs-set-char #x638E ?$@YV(B) ; J78-@-5956
(ucs-set-char #x638E ?$A^a(B) ; GB0-A-5E61
(ucs-set-char #x638E ?$BYV(B) ; J83-B-5956
(ucs-set-char #x638F ?$(GZk(B) ; C01-G-5A6B
(ucs-set-char #x638F ?$@Y[(B) ; J78-@-595B
(ucs-set-char #x638F ?$ALM(B) ; GB0-A-4C4D
(ucs-set-char #x638F ?$BY[(B) ; J83-B-595B
(ucs-set-char #x6390 ?$(D@)(B) ; J90-D-4029
(ucs-set-char #x6390 ?$(H5X(B) ; C02-H-3558
(ucs-set-char #x6390 ?$AF~(B) ; GB0-A-467E
(ucs-set-char #x6391 ?$(H5f(B) ; C02-H-3566
(ucs-set-char #x6392 ?$(C[I(B) ; KS0-C-5B49
(ucs-set-char #x6392 ?$(GZj(B) ; C01-G-5A6A
(ucs-set-char #x6392 ?$@GS(B) ; J78-@-4753
(ucs-set-char #x6392 ?$AEE(B) ; GB0-A-4545
(ucs-set-char #x6392 ?$BGS(B) ; J83-B-4753
(ucs-set-char #x6393 ?$(I6$(B) ; C03-I-3624
(ucs-set-char #x6394 ?$(D@*(B) ; J90-D-402A
(ucs-set-char #x6394 ?$(H;u(B) ; C02-H-3B75
(ucs-set-char #x6395 ?$(D@+(B) ; J90-D-402B
(ucs-set-char #x6395 ?$(J1w(B) ; C04-J-3177
(ucs-set-char #x6396 ?$(Cdz(B) ; KS0-C-647A
(ucs-set-char #x6396 ?$(GZW(B) ; C01-G-5A57
(ucs-set-char #x6396 ?$@YU(B) ; J78-@-5955
(ucs-set-char #x6396 ?$AR4(B) ; GB0-A-5234
(ucs-set-char #x6396 ?$BYU(B) ; J83-B-5955
(ucs-set-char #x6397 ?$(H5S(B) ; C02-H-3553
(ucs-set-char #x6398 ?$(CO^(B) ; KS0-C-4F5E
(ucs-set-char #x6398 ?$(GZ\(B) ; C01-G-5A5C
(ucs-set-char #x6398 ?$@7!(B) ; J78-@-3721
(ucs-set-char #x6398 ?$A>r(B) ; GB0-A-3E72
(ucs-set-char #x6398 ?$B7!(B) ; J83-B-3721
(ucs-set-char #x6399 ?$(D@,(B) ; J90-D-402C
(ucs-set-char #x6399 ?$(GZg(B) ; C01-G-5A67
(ucs-set-char #x639A ?$(D@-(B) ; J90-D-402D
(ucs-set-char #x639A ?$(J1x(B) ; C04-J-3178
(ucs-set-char #x639B ?$(CNP(B) ; KS0-C-4E50
(ucs-set-char #x639B ?$(GZb(B) ; C01-G-5A62
(ucs-set-char #x639B ?$@3](B) ; J78-@-335D
(ucs-set-char #x639B ?$B3](B) ; J83-B-335D
(ucs-set-char #x639C ?$(H5\(B) ; C02-H-355C
(ucs-set-char #x639D ?$(H5R(B) ; C02-H-3552
(ucs-set-char #x639E ?$(D@.(B) ; J90-D-402E
(ucs-set-char #x639E ?$(H5P(B) ; C02-H-3550
(ucs-set-char #x639F ?$(H5b(B) ; C02-H-3562
(ucs-set-char #x639F ?$@Y](B) ; J78-@-595D
(ucs-set-char #x639F ?$BY](B) ; J83-B-595D
(ucs-set-char #x63A0 ?$(CUS(B) ; KS0-C-5553
(ucs-set-char #x63A0 ?$(GZT(B) ; C01-G-5A54
(ucs-set-char #x63A0 ?$@N+(B) ; J78-@-4E2B
(ucs-set-char #x63A0 ?$ABS(B) ; GB0-A-4253
(ucs-set-char #x63A0 ?$BN+(B) ; J83-B-4E2B
(ucs-set-char #x63A1 ?$(Csu(B) ; KS0-C-7375
(ucs-set-char #x63A1 ?$(GZh(B) ; C01-G-5A68
(ucs-set-char #x63A1 ?$@:N(B) ; J78-@-3A4E
(ucs-set-char #x63A1 ?$B:N(B) ; J83-B-3A4E
(ucs-set-char #x63A2 ?$(Cw.(B) ; KS0-C-772E
(ucs-set-char #x63A2 ?$(GZX(B) ; C01-G-5A58
(ucs-set-char #x63A2 ?$@C5(B) ; J78-@-4335
(ucs-set-char #x63A2 ?$AL=(B) ; GB0-A-4C3D
(ucs-set-char #x63A2 ?$BC5(B) ; J83-B-4335
(ucs-set-char #x63A3 ?$(G_>(B) ; C01-G-5F3E
(ucs-set-char #x63A3 ?$@YZ(B) ; J78-@-595A
(ucs-set-char #x63A3 ?$A38(B) ; GB0-A-3338
(ucs-set-char #x63A3 ?$BYZ(B) ; J83-B-595A
(ucs-set-char #x63A4 ?$(D@/(B) ; J90-D-402F
(ucs-set-char #x63A4 ?$(H5`(B) ; C02-H-3560
(ucs-set-char #x63A5 ?$(CoH(B) ; KS0-C-6F48
(ucs-set-char #x63A5 ?$(GZY(B) ; C01-G-5A59
(ucs-set-char #x63A5 ?$@@\(B) ; J78-@-405C
(ucs-set-char #x63A5 ?$A=S(B) ; GB0-A-3D53
(ucs-set-char #x63A5 ?$B@\(B) ; J83-B-405C
(ucs-set-char #x63A6 ?$(D@0(B) ; J90-D-4030
(ucs-set-char #x63A6 ?$(J2#(B) ; C04-J-3223
(ucs-set-char #x63A7 ?$(CMs(B) ; KS0-C-4D73
(ucs-set-char #x63A7 ?$(GZU(B) ; C01-G-5A55
(ucs-set-char #x63A7 ?$@95(B) ; J78-@-3935
(ucs-set-char #x63A7 ?$A?X(B) ; GB0-A-3F58
(ucs-set-char #x63A7 ?$B95(B) ; J83-B-3935
(ucs-set-char #x63A8 ?$(CuO(B) ; KS0-C-754F
(ucs-set-char #x63A8 ?$(GZd(B) ; C01-G-5A64
(ucs-set-char #x63A8 ?$@?d(B) ; J78-@-3F64
(ucs-set-char #x63A8 ?$AMF(B) ; GB0-A-4D46
(ucs-set-char #x63A8 ?$B?d(B) ; J83-B-3F64
(ucs-set-char #x63A9 ?$(Ces(B) ; KS0-C-6573
(ucs-set-char #x63A9 ?$(GZ_(B) ; C01-G-5A5F
(ucs-set-char #x63A9 ?$@1f(B) ; J78-@-3166
(ucs-set-char #x63A9 ?$AQZ(B) ; GB0-A-515A
(ucs-set-char #x63A9 ?$B1f(B) ; J83-B-3166
(ucs-set-char #x63AA ?$(CpB(B) ; KS0-C-7042
(ucs-set-char #x63AA ?$(GZ](B) ; C01-G-5A5D
(ucs-set-char #x63AA ?$@A<(B) ; J78-@-413C
(ucs-set-char #x63AA ?$A4k(B) ; GB0-A-346B
(ucs-set-char #x63AA ?$BA<(B) ; J83-B-413C
(ucs-set-char #x63AB ?$(H5T(B) ; C02-H-3554
(ucs-set-char #x63AB ?$@YX(B) ; J78-@-5958
(ucs-set-char #x63AB ?$BYX(B) ; J83-B-5958
(ucs-set-char #x63AC ?$(GZi(B) ; C01-G-5A69
(ucs-set-char #x63AC ?$@5E(B) ; J78-@-3545
(ucs-set-char #x63AC ?$A^d(B) ; GB0-A-5E64
(ucs-set-char #x63AC ?$B5E(B) ; J83-B-3545
(ucs-set-char #x63AD ?$(D@1(B) ; J90-D-4031
(ucs-set-char #x63AD ?$(H5Q(B) ; C02-H-3551
(ucs-set-char #x63AD ?$A^](B) ; GB0-A-5E5D
(ucs-set-char #x63AE ?$(D@2(B) ; J90-D-4032
(ucs-set-char #x63AE ?$(H5^(B) ; C02-H-355E
(ucs-set-char #x63AE ?$A^g(B) ; GB0-A-5E67
(ucs-set-char #x63AF ?$(D@3(B) ; J90-D-4033
(ucs-set-char #x63AF ?$(H5Z(B) ; C02-H-355A
(ucs-set-char #x63B0 ?$(H;w(B) ; C02-H-3B77
(ucs-set-char #x63B0 ?$Aj~(B) ; GB0-A-6A7E
(ucs-set-char #x63B1 ?$(H;v(B) ; C02-H-3B76
(ucs-set-char #x63B2 ?$(I6-(B) ; C03-I-362D
(ucs-set-char #x63B2 ?$@7G(B) ; J78-@-3747
(ucs-set-char #x63B2 ?$B7G(B) ; J83-B-3747
(ucs-set-char #x63B3 ?$AB0(B) ; GB0-A-4230
(ucs-set-char #x63B4 ?$A^b(B) ; GB0-A-5E62
(ucs-set-char #x63B4 ?$BDO(B) ; J83-B-444F
(ucs-set-char #x63B5 ?$@Y^(B) ; J78-@-595E
(ucs-set-char #x63B5 ?$BY^(B) ; J83-B-595E
(ucs-set-char #x63B7 ?$AV@(B) ; GB0-A-5640
(ucs-set-char #x63B8 ?$A5'(B) ; GB0-A-3527
(ucs-set-char #x63BA ?$(I6.(B) ; C03-I-362E
(ucs-set-char #x63BA ?$A2t(B) ; GB0-A-3274
(ucs-set-char #x63BB ?$BA_(B) ; J83-B-415F
(ucs-set-char #x63BC ?$A^h(B) ; GB0-A-5E68
(ucs-set-char #x63BD ?$(D@4(B) ; J90-D-4034
(ucs-set-char #x63BD ?$(H5O(B) ; C02-H-354F
(ucs-set-char #x63BE ?$(H<)(B) ; C02-H-3C29
(ucs-set-char #x63BE ?$@Ya(B) ; J78-@-5961
(ucs-set-char #x63BE ?$A^r(B) ; GB0-A-5E72
(ucs-set-char #x63BE ?$BYa(B) ; J83-B-5961
(ucs-set-char #x63BF ?$(I;q(B) ; C03-I-3B71
(ucs-set-char #x63C0 ?$(CJQ(B) ; KS0-C-4A51
(ucs-set-char #x63C0 ?$(G_A(B) ; C01-G-5F41
(ucs-set-char #x63C0 ?$@Yc(B) ; J78-@-5963
(ucs-set-char #x63C0 ?$BYc(B) ; J83-B-5963
(ucs-set-char #x63C1 ?$(D@5(B) ; J90-D-4035
(ucs-set-char #x63C1 ?$(I;p(B) ; C03-I-3B70
(ucs-set-char #x63C2 ?$(H</(B) ; C02-H-3C2F
(ucs-set-char #x63C3 ?$(H;|(B) ; C02-H-3B7C
(ucs-set-char #x63C3 ?$@B7(B) ; J78-@-4237
(ucs-set-char #x63C3 ?$BB7(B) ; J83-B-4237
(ucs-set-char #x63C4 ?$(Cjq(B) ; KS0-C-6A71
(ucs-set-char #x63C4 ?$(H<,(B) ; C02-H-3C2C
(ucs-set-char #x63C4 ?$@Yi(B) ; J78-@-5969
(ucs-set-char #x63C4 ?$A^m(B) ; GB0-A-5E6D
(ucs-set-char #x63C4 ?$BYi(B) ; J83-B-5969
(ucs-set-char #x63C5 ?$(D@6(B) ; J90-D-4036
(ucs-set-char #x63C5 ?$(HB}(B) ; C02-H-427D
(ucs-set-char #x63C6 ?$(CP&(B) ; KS0-C-5026
(ucs-set-char #x63C6 ?$(G_D(B) ; C01-G-5F44
(ucs-set-char #x63C6 ?$@Yd(B) ; J78-@-5964
(ucs-set-char #x63C6 ?$A^q(B) ; GB0-A-5E71
(ucs-set-char #x63C6 ?$BYd(B) ; J83-B-5964
(ucs-set-char #x63C7 ?$(H<0(B) ; C02-H-3C30
(ucs-set-char #x63C8 ?$(D@7(B) ; J90-D-4037
(ucs-set-char #x63C8 ?$(H<3(B) ; C02-H-3C33
(ucs-set-char #x63C9 ?$(G_C(B) ; C01-G-5F43
(ucs-set-char #x63C9 ?$@Yf(B) ; J78-@-5966
(ucs-set-char #x63C9 ?$AH`(B) ; GB0-A-4860
(ucs-set-char #x63C9 ?$BYf(B) ; J83-B-5966
(ucs-set-char #x63CA ?$(H<!(B) ; C02-H-3C21
(ucs-set-char #x63CB ?$(H<2(B) ; C02-H-3C32
(ucs-set-char #x63CC ?$(H<1(B) ; C02-H-3C31
(ucs-set-char #x63CD ?$(G_E(B) ; C01-G-5F45
(ucs-set-char #x63CD ?$AWa(B) ; GB0-A-5761
(ucs-set-char #x63CE ?$(D@8(B) ; J90-D-4038
(ucs-set-char #x63CE ?$(H;x(B) ; C02-H-3B78
(ucs-set-char #x63CE ?$A^o(B) ; GB0-A-5E6F
(ucs-set-char #x63CF ?$(CYZ(B) ; KS0-C-595A
(ucs-set-char #x63CF ?$(G_@(B) ; C01-G-5F40
(ucs-set-char #x63CF ?$@IA(B) ; J78-@-4941
(ucs-set-char #x63CF ?$ACh(B) ; GB0-A-4368
(ucs-set-char #x63CF ?$BIA(B) ; J83-B-4941
(ucs-set-char #x63D0 ?$(Cp+(B) ; KS0-C-702B
(ucs-set-char #x63D0 ?$(G_H(B) ; C01-G-5F48
(ucs-set-char #x63D0 ?$@Ds(B) ; J78-@-4473
(ucs-set-char #x63D0 ?$ALa(B) ; GB0-A-4C61
(ucs-set-char #x63D0 ?$BDs(B) ; J83-B-4473
(ucs-set-char #x63D1 ?$(D@9(B) ; J90-D-4039
(ucs-set-char #x63D1 ?$(I;s(B) ; C03-I-3B73
(ucs-set-char #x63D2 ?$(G_F(B) ; C01-G-5F46
(ucs-set-char #x63D2 ?$@Yg(B) ; J78-@-5967
(ucs-set-char #x63D2 ?$A2e(B) ; GB0-A-3265
(ucs-set-char #x63D2 ?$BYg(B) ; J83-B-5967
(ucs-set-char #x63D3 ?$(D@:(B) ; J90-D-403A
(ucs-set-char #x63D3 ?$(H<.(B) ; C02-H-3C2E
(ucs-set-char #x63D4 ?$(D@;(B) ; J90-D-403B
(ucs-set-char #x63D4 ?$(J7q(B) ; C04-J-3771
(ucs-set-char #x63D5 ?$(D@<(B) ; J90-D-403C
(ucs-set-char #x63D5 ?$(H<$(B) ; C02-H-3C24
(ucs-set-char #x63D6 ?$(Ckg(B) ; KS0-C-6B67
(ucs-set-char #x63D6 ?$(G_J(B) ; C01-G-5F4A
(ucs-set-char #x63D6 ?$@M,(B) ; J78-@-4D2C
(ucs-set-char #x63D6 ?$AR>(B) ; GB0-A-523E
(ucs-set-char #x63D6 ?$BM,(B) ; J83-B-4D2C
(ucs-set-char #x63D7 ?$(H<5(B) ; C02-H-3C35
(ucs-set-char #x63D8 ?$(H<-(B) ; C02-H-3C2D
(ucs-set-char #x63D9 ?$(H<6(B) ; C02-H-3C36
(ucs-set-char #x63DA ?$(Ce@(B) ; KS0-C-6540
(ucs-set-char #x63DA ?$(G_R(B) ; C01-G-5F52
(ucs-set-char #x63DA ?$@MH(B) ; J78-@-4D48
(ucs-set-char #x63DA ?$BMH(B) ; J83-B-4D48
(ucs-set-char #x63DB ?$(C|5(B) ; KS0-C-7C35
(ucs-set-char #x63DB ?$(G_P(B) ; C01-G-5F50
(ucs-set-char #x63DB ?$@49(B) ; J78-@-3439
(ucs-set-char #x63DB ?$B49(B) ; J83-B-3439
(ucs-set-char #x63DC ?$(D@=(B) ; J90-D-403D
(ucs-set-char #x63DC ?$(H<+(B) ; C02-H-3C2B
(ucs-set-char #x63DD ?$(H<*(B) ; C02-H-3C2A
(ucs-set-char #x63DE ?$(I;g(B) ; C03-I-3B67
(ucs-set-char #x63DE ?$A^n(B) ; GB0-A-5E6E
(ucs-set-char #x63DF ?$(H<((B) ; C02-H-3C28
(ucs-set-char #x63E0 ?$(D@>(B) ; J90-D-403E
(ucs-set-char #x63E0 ?$(H<"(B) ; C02-H-3C22
(ucs-set-char #x63E0 ?$A^k(B) ; GB0-A-5E6B
(ucs-set-char #x63E1 ?$(CdD(B) ; KS0-C-6444
(ucs-set-char #x63E1 ?$(G_I(B) ; C01-G-5F49
(ucs-set-char #x63E1 ?$@0.(B) ; J78-@-302E
(ucs-set-char #x63E1 ?$ANU(B) ; GB0-A-4E55
(ucs-set-char #x63E1 ?$B0.(B) ; J83-B-302E
(ucs-set-char #x63E2 ?$(I;f(B) ; C03-I-3B66
(ucs-set-char #x63E3 ?$(G_G(B) ; C01-G-5F47
(ucs-set-char #x63E3 ?$@Ye(B) ; J78-@-5965
(ucs-set-char #x63E3 ?$A4'(B) ; GB0-A-3427
(ucs-set-char #x63E3 ?$BYe(B) ; J83-B-5965
(ucs-set-char #x63E4 ?$(H/;(B) ; C02-H-2F3B
(ucs-set-char #x63E5 ?$(D@?(B) ; J90-D-403F
(ucs-set-char #x63E5 ?$(H;y(B) ; C02-H-3B79
(ucs-set-char #x63E6 ?$(I;h(B) ; C03-I-3B68
(ucs-set-char #x63E7 ?$(HC=(B) ; C02-H-433D
(ucs-set-char #x63E8 ?$(H;z(B) ; C02-H-3B7A
(ucs-set-char #x63E9 ?$(G_B(B) ; C01-G-5F42
(ucs-set-char #x63E9 ?$@Yb(B) ; J78-@-5962
(ucs-set-char #x63E9 ?$A?+(B) ; GB0-A-3F2B
(ucs-set-char #x63E9 ?$BYb(B) ; J83-B-5962
(ucs-set-char #x63EA ?$(D@@(B) ; J90-D-4040
(ucs-set-char #x63EA ?$(G_O(B) ; C01-G-5F4F
(ucs-set-char #x63EA ?$A>>(B) ; GB0-A-3E3E
(ucs-set-char #x63EB ?$(HC!(B) ; C02-H-4321
(ucs-set-char #x63EC ?$(D@A(B) ; J90-D-4041
(ucs-set-char #x63EC ?$(J7`(B) ; C04-J-3760
(ucs-set-char #x63ED ?$(CL)(B) ; KS0-C-4C29
(ucs-set-char #x63ED ?$(G_K(B) ; C01-G-5F4B
(ucs-set-char #x63ED ?$A=R(B) ; GB0-A-3D52
(ucs-set-char #x63EE ?$(C}F(B) ; KS0-C-7D46
(ucs-set-char #x63EE ?$(G_L(B) ; C01-G-5F4C
(ucs-set-char #x63EE ?$@4x(B) ; J78-@-3478
(ucs-set-char #x63EE ?$B4x(B) ; J83-B-3478
(ucs-set-char #x63EF ?$(H;{(B) ; C02-H-3B7B
(ucs-set-char #x63F0 ?$(H<4(B) ; C02-H-3C34
(ucs-set-char #x63F1 ?$(HB~(B) ; C02-H-427E
(ucs-set-char #x63F2 ?$(D@B(B) ; J90-D-4042
(ucs-set-char #x63F2 ?$(H<%(B) ; C02-H-3C25
(ucs-set-char #x63F2 ?$A^i(B) ; GB0-A-5E69
(ucs-set-char #x63F3 ?$(D@C(B) ; J90-D-4043
(ucs-set-char #x63F3 ?$(H;~(B) ; C02-H-3B7E
(ucs-set-char #x63F4 ?$(Cj5(B) ; KS0-C-6A35
(ucs-set-char #x63F4 ?$(G_N(B) ; C01-G-5F4E
(ucs-set-char #x63F4 ?$@1g(B) ; J78-@-3167
(ucs-set-char #x63F4 ?$AT.(B) ; GB0-A-542E
(ucs-set-char #x63F4 ?$B1g(B) ; J83-B-3167
(ucs-set-char #x63F5 ?$(D@D(B) ; J90-D-4044
(ucs-set-char #x63F5 ?$(H<&(B) ; C02-H-3C26
(ucs-set-char #x63F6 ?$(Ce*(B) ; KS0-C-652A
(ucs-set-char #x63F6 ?$(H<#(B) ; C02-H-3C23
(ucs-set-char #x63F6 ?$@Yh(B) ; J78-@-5968
(ucs-set-char #x63F6 ?$A^^(B) ; GB0-A-5E5E
(ucs-set-char #x63F6 ?$BYh(B) ; J83-B-5968
(ucs-set-char #x63F7 ?$(C_:(B) ; KS0-C-5F3A
(ucs-set-char #x63F7 ?$(I;r(B) ; C03-I-3B72
(ucs-set-char #x63F8 ?$(D@E(B) ; J90-D-4045
(ucs-set-char #x63F8 ?$(I;m(B) ; C03-I-3B6D
(ucs-set-char #x63F8 ?$A^j(B) ; GB0-A-5E6A
(ucs-set-char #x63F9 ?$(D@F(B) ; J90-D-4046
(ucs-set-char #x63F9 ?$(G_S(B) ; C01-G-5F53
(ucs-set-char #x63FA ?$(J7o(B) ; C04-J-376F
(ucs-set-char #x63FA ?$@MI(B) ; J78-@-4D49
(ucs-set-char #x63FA ?$BMI(B) ; J83-B-4D49
(ucs-set-char #x63FD ?$A@?(B) ; GB0-A-403F
(ucs-set-char #x63FE ?$(I;o(B) ; C03-I-3B6F
(ucs-set-char #x63FF ?$A^l(B) ; GB0-A-5E6C
(ucs-set-char #x6400 ?$A2s(B) ; GB0-A-3273
(ucs-set-char #x6401 ?$A8i(B) ; GB0-A-3869
(ucs-set-char #x6402 ?$AB'(B) ; GB0-A-4227
(ucs-set-char #x6405 ?$A=A(B) ; GB0-A-3D41
(ucs-set-char #x6406 ?$(Gd8(B) ; C01-G-6438
(ucs-set-char #x6406 ?$@Yl(B) ; J78-@-596C
(ucs-set-char #x6406 ?$BYl(B) ; J83-B-596C
(ucs-set-char #x6407 ?$(IAI(B) ; C03-I-4149
(ucs-set-char #x6408 ?$(IA2(B) ; C03-I-4132
(ucs-set-char #x6409 ?$(D@G(B) ; J90-D-4047
(ucs-set-char #x6409 ?$(HC$(B) ; C02-H-4324
(ucs-set-char #x640A ?$(D@H(B) ; J90-D-4048
(ucs-set-char #x640A ?$(HC7(B) ; C02-H-4337
(ucs-set-char #x640B ?$(HC<(B) ; C02-H-433C
(ucs-set-char #x640B ?$A^u(B) ; GB0-A-5E75
(ucs-set-char #x640C ?$(HC0(B) ; C02-H-4330
(ucs-set-char #x640C ?$A^x(B) ; GB0-A-5E78
(ucs-set-char #x640D ?$(Ca_(B) ; KS0-C-615F
(ucs-set-char #x640D ?$(Gd4(B) ; C01-G-6434
(ucs-set-char #x640D ?$@B;(B) ; J78-@-423B
(ucs-set-char #x640D ?$BB;(B) ; J83-B-423B
(ucs-set-char #x640E ?$(HCA(B) ; C02-H-4341
(ucs-set-char #x640F ?$(CZQ(B) ; KS0-C-5A51
(ucs-set-char #x640F ?$(Gd1(B) ; C01-G-6431
(ucs-set-char #x640F ?$@Ys(B) ; J78-@-5973
(ucs-set-char #x640F ?$A2+(B) ; GB0-A-322B
(ucs-set-char #x640F ?$BYs(B) ; J83-B-5973
(ucs-set-char #x6410 ?$(D@I(B) ; J90-D-4049
(ucs-set-char #x6410 ?$(HC"(B) ; C02-H-4322
(ucs-set-char #x6410 ?$A4$(B) ; GB0-A-3424
(ucs-set-char #x6411 ?$(IA:(B) ; C03-I-413A
(ucs-set-char #x6412 ?$(D@J(B) ; J90-D-404A
(ucs-set-char #x6412 ?$(HC#(B) ; C02-H-4323
(ucs-set-char #x6413 ?$(Gd*(B) ; C01-G-642A
(ucs-set-char #x6413 ?$@Ym(B) ; J78-@-596D
(ucs-set-char #x6413 ?$A4j(B) ; GB0-A-346A
(ucs-set-char #x6413 ?$BYm(B) ; J83-B-596D
(ucs-set-char #x6414 ?$(Ca8(B) ; KS0-C-6138
(ucs-set-char #x6414 ?$(D@K(B) ; J90-D-404B
(ucs-set-char #x6414 ?$(Gd3(B) ; C01-G-6433
(ucs-set-char #x6414 ?$@A_(B) ; J78-@-415F
(ucs-set-char #x6414 ?$AI&(B) ; GB0-A-4926
(ucs-set-char #x6415 ?$(HC*(B) ; C02-H-432A
(ucs-set-char #x6416 ?$(Cht(B) ; KS0-C-6874
(ucs-set-char #x6416 ?$(Gd6(B) ; C01-G-6436
(ucs-set-char #x6416 ?$@Yj(B) ; J78-@-596A
(ucs-set-char #x6416 ?$BYj(B) ; J83-B-596A
(ucs-set-char #x6417 ?$(CS}(B) ; KS0-C-537D
(ucs-set-char #x6417 ?$(Gd7(B) ; C01-G-6437
(ucs-set-char #x6417 ?$@Yq(B) ; J78-@-5971
(ucs-set-char #x6417 ?$BYq(B) ; J83-B-5971
(ucs-set-char #x6418 ?$(D@L(B) ; J90-D-404C
(ucs-set-char #x6418 ?$(HC+(B) ; C02-H-432B
(ucs-set-char #x6419 ?$(IA8(B) ; C03-I-4138
(ucs-set-char #x641A ?$(HC8(B) ; C02-H-4338
(ucs-set-char #x641B ?$(HC>(B) ; C02-H-433E
(ucs-set-char #x641B ?$A^v(B) ; GB0-A-5E76
(ucs-set-char #x641C ?$(Cb$(B) ; KS0-C-6224
(ucs-set-char #x641C ?$(Gd2(B) ; C01-G-6432
(ucs-set-char #x641C ?$@YS(B) ; J78-@-5953
(ucs-set-char #x641C ?$AKQ(B) ; GB0-A-4B51
(ucs-set-char #x641C ?$BYS(B) ; J83-B-5953
(ucs-set-char #x641D ?$(IA>(B) ; C03-I-413E
(ucs-set-char #x641E ?$(D@M(B) ; J90-D-404D
(ucs-set-char #x641E ?$(Gd,(B) ; C01-G-642C
(ucs-set-char #x641E ?$A8c(B) ; GB0-A-3863
(ucs-set-char #x641F ?$(HC)(B) ; C02-H-4329
(ucs-set-char #x6420 ?$(D@N(B) ; J90-D-404E
(ucs-set-char #x6420 ?$(HC%(B) ; C02-H-4325
(ucs-set-char #x6420 ?$A^w(B) ; GB0-A-5E77
(ucs-set-char #x6421 ?$(HC@(B) ; C02-H-4340
(ucs-set-char #x6421 ?$A^z(B) ; GB0-A-5E7A
(ucs-set-char #x6422 ?$(CrJ(B) ; KS0-C-724A
(ucs-set-char #x6422 ?$(D@O(B) ; J90-D-404F
(ucs-set-char #x6422 ?$(HC.(B) ; C02-H-432E
(ucs-set-char #x6423 ?$(HC/(B) ; C02-H-432F
(ucs-set-char #x6424 ?$(D@P(B) ; J90-D-4050
(ucs-set-char #x6424 ?$(HC&(B) ; C02-H-4326
(ucs-set-char #x6425 ?$(D@Q(B) ; J90-D-4051
(ucs-set-char #x6425 ?$(HC:(B) ; C02-H-433A
(ucs-set-char #x6426 ?$(HC1(B) ; C02-H-4331
(ucs-set-char #x6426 ?$@Yn(B) ; J78-@-596E
(ucs-set-char #x6426 ?$A^y(B) ; GB0-A-5E79
(ucs-set-char #x6426 ?$BYn(B) ; J83-B-596E
(ucs-set-char #x6427 ?$(HC;(B) ; C02-H-433B
(ucs-set-char #x6428 ?$(HC3(B) ; C02-H-4333
(ucs-set-char #x6428 ?$@Yr(B) ; J78-@-5972
(ucs-set-char #x6428 ?$BYr(B) ; J83-B-5972
(ucs-set-char #x6429 ?$(D@R(B) ; J90-D-4052
(ucs-set-char #x6429 ?$(IA=(B) ; C03-I-413D
(ucs-set-char #x642A ?$(D@S(B) ; J90-D-4053
(ucs-set-char #x642A ?$(Gd-(B) ; C01-G-642D
(ucs-set-char #x642A ?$ALB(B) ; GB0-A-4C42
(ucs-set-char #x642B ?$(HJ@(B) ; C02-H-4A40
(ucs-set-char #x642C ?$(CZf(B) ; KS0-C-5A66
(ucs-set-char #x642C ?$(Gd0(B) ; C01-G-6430
(ucs-set-char #x642C ?$@HB(B) ; J78-@-4842
(ucs-set-char #x642C ?$A0a(B) ; GB0-A-3061
(ucs-set-char #x642C ?$BHB(B) ; J83-B-4842
(ucs-set-char #x642D ?$(Cw3(B) ; KS0-C-7733
(ucs-set-char #x642D ?$(Gd.(B) ; C01-G-642E
(ucs-set-char #x642D ?$@Ek(B) ; J78-@-456B
(ucs-set-char #x642D ?$A4n(B) ; GB0-A-346E
(ucs-set-char #x642D ?$BEk(B) ; J83-B-456B
(ucs-set-char #x642E ?$(HC?(B) ; C02-H-433F
(ucs-set-char #x642F ?$(D@T(B) ; J90-D-4054
(ucs-set-char #x642F ?$(HC6(B) ; C02-H-4336
(ucs-set-char #x6430 ?$(D@U(B) ; J90-D-4055
(ucs-set-char #x6430 ?$(HC2(B) ; C02-H-4332
(ucs-set-char #x6431 ?$(IA6(B) ; C03-I-4136
(ucs-set-char #x6432 ?$(IA3(B) ; C03-I-4133
(ucs-set-char #x6433 ?$(HC'(B) ; C02-H-4327
(ucs-set-char #x6434 ?$(Ghz(B) ; C01-G-687A
(ucs-set-char #x6434 ?$@Yk(B) ; J78-@-596B
(ucs-set-char #x6434 ?$Ae:(B) ; GB0-A-653A
(ucs-set-char #x6434 ?$BYk(B) ; J83-B-596B
(ucs-set-char #x6435 ?$(D@V(B) ; J90-D-4056
(ucs-set-char #x6435 ?$(HC5(B) ; C02-H-4335
(ucs-set-char #x6436 ?$(Gd5(B) ; C01-G-6435
(ucs-set-char #x6436 ?$@Yo(B) ; J78-@-596F
(ucs-set-char #x6436 ?$BYo(B) ; J83-B-596F
(ucs-set-char #x6437 ?$(HC-(B) ; C02-H-432D
(ucs-set-char #x6438 ?$(IA4(B) ; C03-I-4134
(ucs-set-char #x6439 ?$(HC,(B) ; C02-H-432C
(ucs-set-char #x643A ?$(C}M(B) ; KS0-C-7D4D
(ucs-set-char #x643A ?$(IAH(B) ; C03-I-4148
(ucs-set-char #x643A ?$@7H(B) ; J78-@-3748
(ucs-set-char #x643A ?$AP/(B) ; GB0-A-502F
(ucs-set-char #x643A ?$B7H(B) ; J83-B-3748
(ucs-set-char #x643B ?$(IG%(B) ; C03-I-4725
(ucs-set-char #x643C ?$(IAB(B) ; C03-I-4142
(ucs-set-char #x643D ?$(D@W(B) ; J90-D-4057
(ucs-set-char #x643D ?$(Gd/(B) ; C01-G-642F
(ucs-set-char #x643D ?$A2k(B) ; GB0-A-326B
(ucs-set-char #x643E ?$(Cs6(B) ; KS0-C-7336
(ucs-set-char #x643E ?$(Gd+(B) ; C01-G-642B
(ucs-set-char #x643E ?$@:q(B) ; J78-@-3A71
(ucs-set-char #x643E ?$B:q(B) ; J83-B-3A71
(ucs-set-char #x643F ?$(D@X(B) ; J90-D-4058
(ucs-set-char #x643F ?$(HJU(B) ; C02-H-4A55
(ucs-set-char #x643F ?$Ak!(B) ; GB0-A-6B21
(ucs-set-char #x6440 ?$(HC9(B) ; C02-H-4339
(ucs-set-char #x6441 ?$(HC4(B) ; C02-H-4334
(ucs-set-char #x6441 ?$A^t(B) ; GB0-A-5E74
(ucs-set-char #x6442 ?$@@](B) ; J78-@-405D
(ucs-set-char #x6442 ?$B@](B) ; J83-B-405D
(ucs-set-char #x6443 ?$(HC((B) ; C02-H-4328
(ucs-set-char #x6444 ?$AIc(B) ; GB0-A-4963
(ucs-set-char #x6445 ?$A^s(B) ; GB0-A-5E73
(ucs-set-char #x6446 ?$(IAD(B) ; C03-I-4144
(ucs-set-char #x6446 ?$A0Z(B) ; GB0-A-305A
(ucs-set-char #x6447 ?$(IAE(B) ; C03-I-4145
(ucs-set-char #x6447 ?$AR!(B) ; GB0-A-5221
(ucs-set-char #x6448 ?$A1w(B) ; GB0-A-3177
(ucs-set-char #x644A ?$AL/(B) ; GB0-A-4C2F
(ucs-set-char #x644B ?$(D@Y(B) ; J90-D-4059
(ucs-set-char #x644B ?$(HJP(B) ; C02-H-4A50
(ucs-set-char #x644C ?$(IFx(B) ; C03-I-4678
(ucs-set-char #x644D ?$(HJA(B) ; C02-H-4A41
(ucs-set-char #x644E ?$(HJL(B) ; C02-H-4A4C
(ucs-set-char #x644E ?$@Yw(B) ; J78-@-5977
(ucs-set-char #x644E ?$BYw(B) ; J83-B-5977
(ucs-set-char #x644F ?$(D@Z(B) ; J90-D-405A
(ucs-set-char #x644F ?$(IG((B) ; C03-I-4728
(ucs-set-char #x6450 ?$(HJS(B) ; C02-H-4A53
(ucs-set-char #x6451 ?$(D@[(B) ; J90-D-405B
(ucs-set-char #x6451 ?$(Ghx(B) ; C01-G-6878
(ucs-set-char #x6451 ?$@DO(B) ; J78-@-444F
(ucs-set-char #x6452 ?$(D@\(B) ; J90-D-405C
(ucs-set-char #x6452 ?$(G_Q(B) ; C01-G-5F51
(ucs-set-char #x6452 ?$A^p(B) ; GB0-A-5E70
(ucs-set-char #x6453 ?$(D@](B) ; J90-D-405D
(ucs-set-char #x6453 ?$(HJQ(B) ; C02-H-4A51
(ucs-set-char #x6454 ?$(D@^(B) ; J90-D-405E
(ucs-set-char #x6454 ?$(Ghs(B) ; C01-G-6873
(ucs-set-char #x6454 ?$AK$(B) ; GB0-A-4B24
(ucs-set-char #x6455 ?$(IF~(B) ; C03-I-467E
(ucs-set-char #x6456 ?$(IG$(B) ; C03-I-4724
(ucs-set-char #x6457 ?$(IFz(B) ; C03-I-467A
(ucs-set-char #x6458 ?$(CnW(B) ; KS0-C-6E57
(ucs-set-char #x6458 ?$(Ghr(B) ; C01-G-6872
(ucs-set-char #x6458 ?$@E&(B) ; J78-@-4526
(ucs-set-char #x6458 ?$AU*(B) ; GB0-A-552A
(ucs-set-char #x6458 ?$BE&(B) ; J83-B-4526
(ucs-set-char #x6459 ?$(HJX(B) ; C02-H-4A58
(ucs-set-char #x645A ?$(D@_(B) ; J90-D-405F
(ucs-set-char #x645A ?$(JC](B) ; C04-J-435D
(ucs-set-char #x645B ?$(D@`(B) ; J90-D-4060
(ucs-set-char #x645B ?$(HJB(B) ; C02-H-4A42
(ucs-set-char #x645C ?$(D@a(B) ; J90-D-4061
(ucs-set-char #x645C ?$(HJO(B) ; C02-H-4A4F
(ucs-set-char #x645D ?$(D@b(B) ; J90-D-4062
(ucs-set-char #x645D ?$(HJC(B) ; C02-H-4A43
(ucs-set-char #x645E ?$(HJN(B) ; C02-H-4A4E
(ucs-set-char #x645E ?$A^{(B) ; GB0-A-5E7B
(ucs-set-char #x645F ?$(D@c(B) ; J90-D-4063
(ucs-set-char #x645F ?$(Ghv(B) ; C01-G-6876
(ucs-set-char #x6460 ?$(CuD(B) ; KS0-C-7544
(ucs-set-char #x6460 ?$(D@d(B) ; J90-D-4064
(ucs-set-char #x6460 ?$(HJR(B) ; C02-H-4A52
(ucs-set-char #x6461 ?$(D@e(B) ; J90-D-4065
(ucs-set-char #x6461 ?$(H<'(B) ; C02-H-3C27
(ucs-set-char #x6462 ?$(IG!(B) ; C03-I-4721
(ucs-set-char #x6463 ?$(D@f(B) ; J90-D-4066
(ucs-set-char #x6463 ?$(JC^(B) ; C04-J-435E
(ucs-set-char #x6464 ?$(IG*(B) ; C03-I-472A
(ucs-set-char #x6465 ?$(HJY(B) ; C02-H-4A59
(ucs-set-char #x6466 ?$(HJJ(B) ; C02-H-4A4A
(ucs-set-char #x6467 ?$(Ghy(B) ; C01-G-6879
(ucs-set-char #x6467 ?$@Yt(B) ; J78-@-5974
(ucs-set-char #x6467 ?$A4](B) ; GB0-A-345D
(ucs-set-char #x6467 ?$BYt(B) ; J83-B-5974
(ucs-set-char #x6468 ?$(HPa(B) ; C02-H-5061
(ucs-set-char #x6469 ?$(CX$(B) ; KS0-C-5824
(ucs-set-char #x6469 ?$(Glw(B) ; C01-G-6C77
(ucs-set-char #x6469 ?$(M#-(B) ; C07-M-232D
(ucs-set-char #x6469 ?$@K`(B) ; J78-@-4B60
(ucs-set-char #x6469 ?$AD&(B) ; GB0-A-4426
(ucs-set-char #x6469 ?$BK`(B) ; J83-B-4B60
(ucs-set-char #x646A ?$(IG#(B) ; C03-I-4723
(ucs-set-char #x646B ?$(HJW(B) ; C02-H-4A57
(ucs-set-char #x646C ?$(HJV(B) ; C02-H-4A56
(ucs-set-char #x646D ?$(D@g(B) ; J90-D-4067
(ucs-set-char #x646D ?$(Gh{(B) ; C01-G-687B
(ucs-set-char #x646D ?$A^}(B) ; GB0-A-5E7D
(ucs-set-char #x646E ?$(HPT(B) ; C02-H-5054
(ucs-set-char #x646F ?$(Cr'(B) ; KS0-C-7227
(ucs-set-char #x646F ?$(Glx(B) ; C01-G-6C78
(ucs-set-char #x646F ?$@Yu(B) ; J78-@-5975
(ucs-set-char #x646F ?$BYu(B) ; J83-B-5975
(ucs-set-char #x6470 ?$(HPU(B) ; C02-H-5055
(ucs-set-char #x6471 ?$(IG"(B) ; C03-I-4722
(ucs-set-char #x6472 ?$(HJF(B) ; C02-H-4A46
(ucs-set-char #x6473 ?$(D@h(B) ; J90-D-4068
(ucs-set-char #x6473 ?$(HJG(B) ; C02-H-4A47
(ucs-set-char #x6474 ?$(D@i(B) ; J90-D-4069
(ucs-set-char #x6474 ?$(HJD(B) ; C02-H-4A44
(ucs-set-char #x6475 ?$(HJI(B) ; C02-H-4A49
(ucs-set-char #x6476 ?$(HJE(B) ; C02-H-4A45
(ucs-set-char #x6476 ?$@Yv(B) ; J78-@-5976
(ucs-set-char #x6476 ?$BYv(B) ; J83-B-5976
(ucs-set-char #x6477 ?$(HJZ(B) ; C02-H-4A5A
(ucs-set-char #x6478 ?$(CY8(B) ; KS0-C-5938
(ucs-set-char #x6478 ?$(Ghu(B) ; C01-G-6875
(ucs-set-char #x6478 ?$@LN(B) ; J78-@-4C4E
(ucs-set-char #x6478 ?$AC~(B) ; GB0-A-437E
(ucs-set-char #x6478 ?$BLN(B) ; J83-B-4C4E
(ucs-set-char #x6479 ?$(CY9(B) ; KS0-C-5939
(ucs-set-char #x6479 ?$(Gly(B) ; C01-G-6C79
(ucs-set-char #x6479 ?$AD!(B) ; GB0-A-4421
(ucs-set-char #x647A ?$(CoI(B) ; KS0-C-6F49
(ucs-set-char #x647A ?$(Ghw(B) ; C01-G-6877
(ucs-set-char #x647A ?$@@"(B) ; J78-@-4022
(ucs-set-char #x647A ?$A_!(B) ; GB0-A-5F21
(ucs-set-char #x647A ?$B@"(B) ; J83-B-4022
(ucs-set-char #x647B ?$(D@j(B) ; J90-D-406A
(ucs-set-char #x647B ?$(Gh|(B) ; C01-G-687C
(ucs-set-char #x647C ?$(IF{(B) ; C03-I-467B
(ucs-set-char #x647D ?$(D@k(B) ; J90-D-406B
(ucs-set-char #x647D ?$(HJH(B) ; C02-H-4A48
(ucs-set-char #x647E ?$(IG)(B) ; C03-I-4729
(ucs-set-char #x647F ?$(HJT(B) ; C02-H-4A54
(ucs-set-char #x6480 ?$(IL-(B) ; C03-I-4C2D
(ucs-set-char #x6481 ?$(IG&(B) ; C03-I-4726
(ucs-set-char #x6482 ?$(HJM(B) ; C02-H-4A4D
(ucs-set-char #x6482 ?$AAL(B) ; GB0-A-414C
(ucs-set-char #x6483 ?$(IL5(B) ; C03-I-4C35
(ucs-set-char #x6483 ?$@7b(B) ; J78-@-3762
(ucs-set-char #x6483 ?$B7b(B) ; J83-B-3762
(ucs-set-char #x6484 ?$A^|(B) ; GB0-A-5E7C
(ucs-set-char #x6485 ?$(D@l(B) ; J90-D-406C
(ucs-set-char #x6485 ?$(HPX(B) ; C02-H-5058
(ucs-set-char #x6485 ?$A>o(B) ; GB0-A-3E6F
(ucs-set-char #x6486 ?$(IL8(B) ; C03-I-4C38
(ucs-set-char #x6487 ?$(D@m(B) ; J90-D-406D
(ucs-set-char #x6487 ?$(Ghq(B) ; C01-G-6871
(ucs-set-char #x6487 ?$AF2(B) ; GB0-A-4632
(ucs-set-char #x6488 ?$(CVN(B) ; KS0-C-564E
(ucs-set-char #x6488 ?$(Gl|(B) ; C01-G-6C7C
(ucs-set-char #x6488 ?$@Y}(B) ; J78-@-597D
(ucs-set-char #x6488 ?$BY}(B) ; J83-B-597D
(ucs-set-char #x6489 ?$(HW5(B) ; C02-H-5735
(ucs-set-char #x648A ?$(HP](B) ; C02-H-505D
(ucs-set-char #x648B ?$(HP\(B) ; C02-H-505C
(ucs-set-char #x648C ?$(HP^(B) ; C02-H-505E
(ucs-set-char #x648D ?$(IL0(B) ; C03-I-4C30
(ucs-set-char #x648E ?$(IL/(B) ; C03-I-4C2F
(ucs-set-char #x648F ?$(D@n(B) ; J90-D-406E
(ucs-set-char #x648F ?$(HP[(B) ; C02-H-505B
(ucs-set-char #x6490 ?$(D@o(B) ; J90-D-406F
(ucs-set-char #x6490 ?$(Gl}(B) ; C01-G-6C7D
(ucs-set-char #x6491 ?$(CwK(B) ; KS0-C-774B
(ucs-set-char #x6491 ?$(D@p(B) ; J90-D-4070
(ucs-set-char #x6491 ?$(IL;(B) ; C03-I-4C3B
(ucs-set-char #x6491 ?$A3E(B) ; GB0-A-3345
(ucs-set-char #x6492 ?$(C_.(B) ; KS0-C-5F2E
(ucs-set-char #x6492 ?$(Gm%(B) ; C01-G-6D25
(ucs-set-char #x6492 ?$@;5(B) ; J78-@-3B35
(ucs-set-char #x6492 ?$AHv(B) ; GB0-A-4876
(ucs-set-char #x6492 ?$B;5(B) ; J83-B-3B35
(ucs-set-char #x6493 ?$(Chu(B) ; KS0-C-6875
(ucs-set-char #x6493 ?$(Gm"(B) ; C01-G-6D22
(ucs-set-char #x6493 ?$@Yz(B) ; J78-@-597A
(ucs-set-char #x6493 ?$BYz(B) ; J83-B-597A
(ucs-set-char #x6494 ?$(IL1(B) ; C03-I-4C31
(ucs-set-char #x6495 ?$(Gm#(B) ; C01-G-6D23
(ucs-set-char #x6495 ?$@Yy(B) ; J78-@-5979
(ucs-set-char #x6495 ?$AK:(B) ; GB0-A-4B3A
(ucs-set-char #x6495 ?$BYy(B) ; J83-B-5979
(ucs-set-char #x6496 ?$(HPV(B) ; C02-H-5056
(ucs-set-char #x6496 ?$A^~(B) ; GB0-A-5E7E
(ucs-set-char #x6497 ?$(HPY(B) ; C02-H-5059
(ucs-set-char #x6498 ?$(D@q(B) ; J90-D-4071
(ucs-set-char #x6498 ?$(HPc(B) ; C02-H-5063
(ucs-set-char #x6499 ?$(D@r(B) ; J90-D-4072
(ucs-set-char #x6499 ?$(Gm+(B) ; C01-G-6D2B
(ucs-set-char #x6499 ?$A_$(B) ; GB0-A-5F24
(ucs-set-char #x649A ?$(CR5(B) ; KS0-C-5235
(ucs-set-char #x649A ?$(Gm)(B) ; C01-G-6D29
(ucs-set-char #x649A ?$@G2(B) ; J78-@-4732
(ucs-set-char #x649A ?$BG2(B) ; J83-B-4732
(ucs-set-char #x649B ?$(D@s(B) ; J90-D-4073
(ucs-set-char #x649B ?$(IL.(B) ; C03-I-4C2E
(ucs-set-char #x649C ?$(HPZ(B) ; C02-H-505A
(ucs-set-char #x649D ?$(D@t(B) ; J90-D-4074
(ucs-set-char #x649D ?$(H;}(B) ; C02-H-3B7D
(ucs-set-char #x649D ?$(JJ'(B) ; C04-J-4A27
(ucs-set-char #x649E ?$(CSU(B) ; KS0-C-5355
(ucs-set-char #x649E ?$(Glz(B) ; C01-G-6C7A
(ucs-set-char #x649E ?$@F5(B) ; J78-@-4635
(ucs-set-char #x649E ?$AW2(B) ; GB0-A-5732
(ucs-set-char #x649E ?$BF5(B) ; J83-B-4635
(ucs-set-char #x649F ?$(D@u(B) ; J90-D-4075
(ucs-set-char #x649F ?$(HP`(B) ; C02-H-5060
(ucs-set-char #x64A0 ?$(HPW(B) ; C02-H-5057
(ucs-set-char #x64A1 ?$(D@v(B) ; J90-D-4076
(ucs-set-char #x64A1 ?$(IL>(B) ; C03-I-4C3E
(ucs-set-char #x64A2 ?$(Gm,(B) ; C01-G-6D2C
(ucs-set-char #x64A3 ?$(D@w(B) ; J90-D-4077
(ucs-set-char #x64A3 ?$(HP_(B) ; C02-H-505F
(ucs-set-char #x64A4 ?$(CtL(B) ; KS0-C-744C
(ucs-set-char #x64A4 ?$(Ght(B) ; C01-G-6874
(ucs-set-char #x64A4 ?$@E1(B) ; J78-@-4531
(ucs-set-char #x64A4 ?$A37(B) ; GB0-A-3337
(ucs-set-char #x64A4 ?$BE1(B) ; J83-B-4531
(ucs-set-char #x64A5 ?$(CZ|(B) ; KS0-C-5A7C
(ucs-set-char #x64A5 ?$(Gm!(B) ; C01-G-6D21
(ucs-set-char #x64A5 ?$@Y{(B) ; J78-@-597B
(ucs-set-char #x64A5 ?$BY{(B) ; J83-B-597B
(ucs-set-char #x64A6 ?$(D@x(B) ; J90-D-4078
(ucs-set-char #x64A6 ?$(HJK(B) ; C02-H-4A4B
(ucs-set-char #x64A7 ?$(IL?(B) ; C03-I-4C3F
(ucs-set-char #x64A8 ?$(D@y(B) ; J90-D-4079
(ucs-set-char #x64A8 ?$(IL4(B) ; C03-I-4C34
(ucs-set-char #x64A9 ?$(Gm$(B) ; C01-G-6D24
(ucs-set-char #x64A9 ?$@Y|(B) ; J78-@-597C
(ucs-set-char #x64A9 ?$AAC(B) ; GB0-A-4143
(ucs-set-char #x64A9 ?$BY|(B) ; J83-B-597C
(ucs-set-char #x64AA ?$(IL=(B) ; C03-I-4C3D
(ucs-set-char #x64AB ?$(CYh(B) ; KS0-C-5968
(ucs-set-char #x64AB ?$(Gm((B) ; C01-G-6D28
(ucs-set-char #x64AB ?$@Io(B) ; J78-@-496F
(ucs-set-char #x64AB ?$BIo(B) ; J83-B-496F
(ucs-set-char #x64AC ?$(D@z(B) ; J90-D-407A
(ucs-set-char #x64AC ?$(Gm*(B) ; C01-G-6D2A
(ucs-set-char #x64AC ?$AGK(B) ; GB0-A-474B
(ucs-set-char #x64AD ?$(Cwk(B) ; KS0-C-776B
(ucs-set-char #x64AD ?$(Gm'(B) ; C01-G-6D27
(ucs-set-char #x64AD ?$@GE(B) ; J78-@-4745
(ucs-set-char #x64AD ?$A2%(B) ; GB0-A-3225
(ucs-set-char #x64AD ?$BGE(B) ; J83-B-4745
(ucs-set-char #x64AE ?$(CuI(B) ; KS0-C-7549
(ucs-set-char #x64AE ?$(Gm&(B) ; C01-G-6D26
(ucs-set-char #x64AE ?$@;#(B) ; J78-@-3B23
(ucs-set-char #x64AE ?$A4i(B) ; GB0-A-3469
(ucs-set-char #x64AE ?$B;#(B) ; J83-B-3B23
(ucs-set-char #x64AF ?$(IL:(B) ; C03-I-4C3A
(ucs-set-char #x64B0 ?$(Cs<(B) ; KS0-C-733C
(ucs-set-char #x64B0 ?$(Gl~(B) ; C01-G-6C7E
(ucs-set-char #x64B0 ?$@@q(B) ; J78-@-4071
(ucs-set-char #x64B0 ?$AW+(B) ; GB0-A-572B
(ucs-set-char #x64B0 ?$B@q(B) ; J83-B-4071
(ucs-set-char #x64B1 ?$(HPb(B) ; C02-H-5062
(ucs-set-char #x64B2 ?$(CZR(B) ; KS0-C-5A52
(ucs-set-char #x64B2 ?$(Gl{(B) ; C01-G-6C7B
(ucs-set-char #x64B2 ?$@KP(B) ; J78-@-4B50
(ucs-set-char #x64B2 ?$BKP(B) ; J83-B-4B50
(ucs-set-char #x64B3 ?$(D@{(B) ; J90-D-407B
(ucs-set-char #x64B3 ?$(Gm-(B) ; C01-G-6D2D
(ucs-set-char #x64B4 ?$(IL9(B) ; C03-I-4C39
(ucs-set-char #x64B5 ?$ADl(B) ; GB0-A-446C
(ucs-set-char #x64B7 ?$A_"(B) ; GB0-A-5F22
(ucs-set-char #x64B8 ?$A_#(B) ; GB0-A-5F23
(ucs-set-char #x64B9 ?$(IL7(B) ; C03-I-4C37
(ucs-set-char #x64B9 ?$@Yx(B) ; J78-@-5978
(ucs-set-char #x64B9 ?$B3I(B) ; J83-B-3349
(ucs-set-char #x64BA ?$A_%(B) ; GB0-A-5F25
(ucs-set-char #x64BB ?$(CS5(B) ; KS0-C-5335
(ucs-set-char #x64BB ?$(Gpa(B) ; C01-G-7061
(ucs-set-char #x64BB ?$@Z%(B) ; J78-@-5A25
(ucs-set-char #x64BB ?$BZ%(B) ; J83-B-5A25
(ucs-set-char #x64BC ?$(Gpb(B) ; C01-G-7062
(ucs-set-char #x64BC ?$@Y~(B) ; J78-@-597E
(ucs-set-char #x64BC ?$A:3(B) ; GB0-A-3A33
(ucs-set-char #x64BC ?$BY~(B) ; J83-B-597E
(ucs-set-char #x64BD ?$(D@|(B) ; J90-D-407C
(ucs-set-char #x64BD ?$(HW4(B) ; C02-H-5734
(ucs-set-char #x64BE ?$(D@}(B) ; J90-D-407D
(ucs-set-char #x64BE ?$(Gpk(B) ; C01-G-706B
(ucs-set-char #x64BF ?$(D@~(B) ; J90-D-407E
(ucs-set-char #x64BF ?$(Gph(B) ; C01-G-7068
(ucs-set-char #x64C0 ?$(IPp(B) ; C03-I-5070
(ucs-set-char #x64C0 ?$A_&(B) ; GB0-A-5F26
(ucs-set-char #x64C1 ?$(Ch6(B) ; KS0-C-6836
(ucs-set-char #x64C1 ?$(Gp_(B) ; C01-G-705F
(ucs-set-char #x64C1 ?$@MJ(B) ; J78-@-4D4A
(ucs-set-char #x64C1 ?$BMJ(B) ; J83-B-4D4A
(ucs-set-char #x64C2 ?$(Gpf(B) ; C01-G-7066
(ucs-set-char #x64C2 ?$@Z'(B) ; J78-@-5A27
(ucs-set-char #x64C2 ?$A@^(B) ; GB0-A-405E
(ucs-set-char #x64C2 ?$BZ'(B) ; J83-B-5A27
(ucs-set-char #x64C3 ?$(HW6(B) ; C02-H-5736
(ucs-set-char #x64C4 ?$(CVO(B) ; KS0-C-564F
(ucs-set-char #x64C4 ?$(DA!(B) ; J90-D-4121
(ucs-set-char #x64C4 ?$(Gpd(B) ; C01-G-7064
(ucs-set-char #x64C5 ?$(Ct:(B) ; KS0-C-743A
(ucs-set-char #x64C5 ?$(Gp^(B) ; C01-G-705E
(ucs-set-char #x64C5 ?$@Z#(B) ; J78-@-5A23
(ucs-set-char #x64C5 ?$AIC(B) ; GB0-A-4943
(ucs-set-char #x64C5 ?$BZ#(B) ; J83-B-5A23
(ucs-set-char #x64C6 ?$(IL2(B) ; C03-I-4C32
(ucs-set-char #x64C7 ?$(CwI(B) ; KS0-C-7749
(ucs-set-char #x64C7 ?$(Gpe(B) ; C01-G-7065
(ucs-set-char #x64C7 ?$@Z$(B) ; J78-@-5A24
(ucs-set-char #x64C7 ?$BZ$(B) ; J83-B-5A24
(ucs-set-char #x64C8 ?$(IPw(B) ; C03-I-5077
(ucs-set-char #x64C9 ?$(DA"(B) ; J90-D-4122
(ucs-set-char #x64C9 ?$(HW3(B) ; C02-H-5733
(ucs-set-char #x64CA ?$(CL*(B) ; KS0-C-4C2A
(ucs-set-char #x64CA ?$(DA#(B) ; J90-D-4123
(ucs-set-char #x64CA ?$(Gsd(B) ; C01-G-7364
(ucs-set-char #x64CB ?$(DA$(B) ; J90-D-4124
(ucs-set-char #x64CB ?$(Gp`(B) ; C01-G-7060
(ucs-set-char #x64CC ?$(DA%(B) ; J90-D-4125
(ucs-set-char #x64CC ?$(KT^(B) ; C05-K-545E
(ucs-set-char #x64CD ?$(CpC(B) ; KS0-C-7043
(ucs-set-char #x64CD ?$(Gpg(B) ; C01-G-7067
(ucs-set-char #x64CD ?$@A`(B) ; J78-@-4160
(ucs-set-char #x64CD ?$A2Y(B) ; GB0-A-3259
(ucs-set-char #x64CD ?$BA`(B) ; J83-B-4160
(ucs-set-char #x64CE ?$(CLV(B) ; KS0-C-4C56
(ucs-set-char #x64CE ?$(DA&(B) ; J90-D-4126
(ucs-set-char #x64CE ?$(Gsc(B) ; C01-G-7363
(ucs-set-char #x64CE ?$AGf(B) ; GB0-A-4766
(ucs-set-char #x64CF ?$(HW2(B) ; C02-H-5732
(ucs-set-char #x64D0 ?$(DA'(B) ; J90-D-4127
(ucs-set-char #x64D0 ?$(HW1(B) ; C02-H-5731
(ucs-set-char #x64D0 ?$A_'(B) ; GB0-A-5F27
(ucs-set-char #x64D1 ?$(DA((B) ; J90-D-4128
(ucs-set-char #x64D1 ?$(IPv(B) ; C03-I-5076
(ucs-set-char #x64D2 ?$(CPS(B) ; KS0-C-5053
(ucs-set-char #x64D2 ?$(Gpi(B) ; C01-G-7069
(ucs-set-char #x64D2 ?$@Z"(B) ; J78-@-5A22
(ucs-set-char #x64D2 ?$AG\(B) ; GB0-A-475C
(ucs-set-char #x64D2 ?$BZ"(B) ; J83-B-5A22
(ucs-set-char #x64D3 ?$(IPo(B) ; C03-I-506F
(ucs-set-char #x64D4 ?$(CS=(B) ; KS0-C-533D
(ucs-set-char #x64D4 ?$(Gpj(B) ; C01-G-706A
(ucs-set-char #x64D4 ?$@Y?(B) ; J78-@-593F
(ucs-set-char #x64D4 ?$BY?(B) ; J83-B-593F
(ucs-set-char #x64D5 ?$(DA)(B) ; J90-D-4129
(ucs-set-char #x64D5 ?$(IPy(B) ; C03-I-5079
(ucs-set-char #x64D6 ?$(HW0(B) ; C02-H-5730
(ucs-set-char #x64D7 ?$(DA*(B) ; J90-D-412A
(ucs-set-char #x64D7 ?$(HW/(B) ; C02-H-572F
(ucs-set-char #x64D7 ?$A_((B) ; GB0-A-5F28
(ucs-set-char #x64D8 ?$(C[{(B) ; KS0-C-5B7B
(ucs-set-char #x64D8 ?$(Gse(B) ; C01-G-7365
(ucs-set-char #x64D8 ?$@Z&(B) ; J78-@-5A26
(ucs-set-char #x64D8 ?$Ak"(B) ; GB0-A-6B22
(ucs-set-char #x64D8 ?$BZ&(B) ; J83-B-5A26
(ucs-set-char #x64D9 ?$(HW9(B) ; C02-H-5739
(ucs-set-char #x64DA ?$(CK`(B) ; KS0-C-4B60
(ucs-set-char #x64DA ?$(Gpc(B) ; C01-G-7063
(ucs-set-char #x64DA ?$@Z!(B) ; J78-@-5A21
(ucs-set-char #x64DA ?$BZ!(B) ; J83-B-5A21
(ucs-set-char #x64DB ?$(HW7(B) ; C02-H-5737
(ucs-set-char #x64DC ?$(IPu(B) ; C03-I-5075
(ucs-set-char #x64DE ?$AKS(B) ; GB0-A-4B53
(ucs-set-char #x64DF ?$(ITd(B) ; C03-I-5464
(ucs-set-char #x64E0 ?$(Gsf(B) ; C01-G-7366
(ucs-set-char #x64E0 ?$@Z+(B) ; J78-@-5A2B
(ucs-set-char #x64E0 ?$BZ+(B) ; J83-B-5A2B
(ucs-set-char #x64E1 ?$(CSd(B) ; KS0-C-5364
(ucs-set-char #x64E1 ?$(ITg(B) ; C03-I-5467
(ucs-set-char #x64E1 ?$@Z,(B) ; J78-@-5A2C
(ucs-set-char #x64E1 ?$BZ,(B) ; J83-B-5A2C
(ucs-set-char #x64E2 ?$(Cvw(B) ; KS0-C-7677
(ucs-set-char #x64E2 ?$(Gsk(B) ; C01-G-736B
(ucs-set-char #x64E2 ?$@E'(B) ; J78-@-4527
(ucs-set-char #x64E2 ?$A_*(B) ; GB0-A-5F2A
(ucs-set-char #x64E2 ?$BE'(B) ; J83-B-4527
(ucs-set-char #x64E3 ?$(H\u(B) ; C02-H-5C75
(ucs-set-char #x64E3 ?$@Z.(B) ; J78-@-5A2E
(ucs-set-char #x64E3 ?$BZ.(B) ; J83-B-5A2E
(ucs-set-char #x64E4 ?$(DA+(B) ; J90-D-412B
(ucs-set-char #x64E4 ?$(H\w(B) ; C02-H-5C77
(ucs-set-char #x64E4 ?$A_)(B) ; GB0-A-5F29
(ucs-set-char #x64E5 ?$(CU:(B) ; KS0-C-553A
(ucs-set-char #x64E5 ?$(DA,(B) ; J90-D-412C
(ucs-set-char #x64E5 ?$(IWk(B) ; C03-I-576B
(ucs-set-char #x64E6 ?$(CsM(B) ; KS0-C-734D
(ucs-set-char #x64E6 ?$(Gsh(B) ; C01-G-7368
(ucs-set-char #x64E6 ?$@;$(B) ; J78-@-3B24
(ucs-set-char #x64E6 ?$A2A(B) ; GB0-A-3241
(ucs-set-char #x64E6 ?$B;$(B) ; J83-B-3B24
(ucs-set-char #x64E7 ?$(CKa(B) ; KS0-C-4B61
(ucs-set-char #x64E7 ?$(IWm(B) ; C03-I-576D
(ucs-set-char #x64E7 ?$@Z)(B) ; J78-@-5A29
(ucs-set-char #x64E7 ?$BZ)(B) ; J83-B-5A29
(ucs-set-char #x64E8 ?$(H\x(B) ; C02-H-5C78
(ucs-set-char #x64E9 ?$(DA-(B) ; J90-D-412D
(ucs-set-char #x64E9 ?$(H\t(B) ; C02-H-5C74
(ucs-set-char #x64EA ?$(DA.(B) ; J90-D-412E
(ucs-set-char #x64EA ?$(IWl(B) ; C03-I-576C
(ucs-set-char #x64EB ?$(H\v(B) ; C02-H-5C76
(ucs-set-char #x64EC ?$(Ckt(B) ; KS0-C-6B74
(ucs-set-char #x64EC ?$(Gsi(B) ; C01-G-7369
(ucs-set-char #x64EC ?$@5<(B) ; J78-@-353C
(ucs-set-char #x64EC ?$B5<(B) ; J83-B-353C
(ucs-set-char #x64ED ?$(DA/(B) ; J90-D-412F
(ucs-set-char #x64ED ?$(Gsl(B) ; C01-G-736C
(ucs-set-char #x64EE ?$(ITi(B) ; C03-I-5469
(ucs-set-char #x64EF ?$(H\s(B) ; C02-H-5C73
(ucs-set-char #x64EF ?$@Z/(B) ; J78-@-5A2F
(ucs-set-char #x64EF ?$BZ/(B) ; J83-B-5A2F
(ucs-set-char #x64F0 ?$(DA0(B) ; J90-D-4130
(ucs-set-char #x64F0 ?$(Gsg(B) ; C01-G-7367
(ucs-set-char #x64F1 ?$(Gsj(B) ; C01-G-736A
(ucs-set-char #x64F1 ?$@Z((B) ; J78-@-5A28
(ucs-set-char #x64F1 ?$BZ((B) ; J83-B-5A28
(ucs-set-char #x64F2 ?$(Ct-(B) ; KS0-C-742D
(ucs-set-char #x64F2 ?$(GvE(B) ; C01-G-7645
(ucs-set-char #x64F2 ?$@Z3(B) ; J78-@-5A33
(ucs-set-char #x64F2 ?$BZ3(B) ; J83-B-5A33
(ucs-set-char #x64F3 ?$(HW8(B) ; C02-H-5738
(ucs-set-char #x64F4 ?$(C|*(B) ; KS0-C-7C2A
(ucs-set-char #x64F4 ?$(GvD(B) ; C01-G-7644
(ucs-set-char #x64F4 ?$@Z2(B) ; J78-@-5A32
(ucs-set-char #x64F4 ?$BZ2(B) ; J83-B-5A32
(ucs-set-char #x64F5 ?$(DA1(B) ; J90-D-4131
(ucs-set-char #x64F5 ?$(M?b(B) ; C07-M-3F62
(ucs-set-char #x64F6 ?$(IWj(B) ; C03-I-576A
(ucs-set-char #x64F6 ?$@Z1(B) ; J78-@-5A31
(ucs-set-char #x64F6 ?$BZ1(B) ; J83-B-5A31
(ucs-set-char #x64F7 ?$(DA2(B) ; J90-D-4132
(ucs-set-char #x64F7 ?$(GvJ(B) ; C01-G-764A
(ucs-set-char #x64F8 ?$(Ha`(B) ; C02-H-6160
(ucs-set-char #x64F9 ?$(IWp(B) ; C03-I-5770
(ucs-set-char #x64FA ?$(Cwl(B) ; KS0-C-776C
(ucs-set-char #x64FA ?$(GvH(B) ; C01-G-7648
(ucs-set-char #x64FA ?$@Z4(B) ; J78-@-5A34
(ucs-set-char #x64FA ?$BZ4(B) ; J83-B-5A34
(ucs-set-char #x64FB ?$(DA3(B) ; J90-D-4133
(ucs-set-char #x64FB ?$(GvI(B) ; C01-G-7649
(ucs-set-char #x64FC ?$(Hac(B) ; C02-H-6163
(ucs-set-char #x64FD ?$(Ha_(B) ; C02-H-615F
(ucs-set-char #x64FD ?$@Z6(B) ; J78-@-5A36
(ucs-set-char #x64FD ?$BZ6(B) ; J83-B-5A36
(ucs-set-char #x64FE ?$(Chv(B) ; KS0-C-6876
(ucs-set-char #x64FE ?$(GvF(B) ; C01-G-7646
(ucs-set-char #x64FE ?$@>q(B) ; J78-@-3E71
(ucs-set-char #x64FE ?$B>q(B) ; J83-B-3E71
(ucs-set-char #x64FF ?$(DA4(B) ; J90-D-4134
(ucs-set-char #x64FF ?$(Ha](B) ; C02-H-615D
(ucs-set-char #x6500 ?$(CZg(B) ; KS0-C-5A67
(ucs-set-char #x6500 ?$(Gx8(B) ; C01-G-7838
(ucs-set-char #x6500 ?$@Z5(B) ; J78-@-5A35
(ucs-set-char #x6500 ?$AEJ(B) ; GB0-A-454A
(ucs-set-char #x6500 ?$BZ5(B) ; J83-B-5A35
(ucs-set-char #x6501 ?$(DA5(B) ; J90-D-4135
(ucs-set-char #x6501 ?$(Haa(B) ; C02-H-6161
(ucs-set-char #x6502 ?$(J[6(B) ; C04-J-5B36
(ucs-set-char #x6503 ?$(Hab(B) ; C02-H-6162
(ucs-set-char #x6504 ?$(CwL(B) ; KS0-C-774C
(ucs-set-char #x6504 ?$(DA6(B) ; J90-D-4136
(ucs-set-char #x6504 ?$(Ha^(B) ; C02-H-615E
(ucs-set-char #x6505 ?$(IWn(B) ; C03-I-576E
(ucs-set-char #x6505 ?$BZ9(B) ; J83-B-5A39
(ucs-set-char #x6506 ?$(GvG(B) ; C01-G-7647
(ucs-set-char #x6507 ?$(HeM(B) ; C02-H-654D
(ucs-set-char #x6508 ?$(DA7(B) ; J90-D-4137
(ucs-set-char #x6508 ?$(IZ;(B) ; C03-I-5A3B
(ucs-set-char #x6509 ?$(DA8(B) ; J90-D-4138
(ucs-set-char #x6509 ?$(HeP(B) ; C02-H-6550
(ucs-set-char #x6509 ?$A_+(B) ; GB0-A-5F2B
(ucs-set-char #x650A ?$(DA9(B) ; J90-D-4139
(ucs-set-char #x650A ?$(IZ<(B) ; C03-I-5A3C
(ucs-set-char #x650B ?$(IZ:(B) ; C03-I-5A3A
(ucs-set-char #x650C ?$(HeQ(B) ; C02-H-6551
(ucs-set-char #x650D ?$(HeO(B) ; C02-H-654F
(ucs-set-char #x650E ?$(HeR(B) ; C02-H-6552
(ucs-set-char #x650F ?$(DA:(B) ; J90-D-413A
(ucs-set-char #x650F ?$(Gx9(B) ; C01-G-7839
(ucs-set-char #x6510 ?$(HeN(B) ; C02-H-654E
(ucs-set-char #x6511 ?$(I^1(B) ; C03-I-5E31
(ucs-set-char #x6512 ?$AT\(B) ; GB0-A-545C
(ucs-set-char #x6513 ?$(DA;(B) ; J90-D-413B
(ucs-set-char #x6513 ?$(Hhz(B) ; C02-H-687A
(ucs-set-char #x6514 ?$(DA<(B) ; J90-D-413C
(ucs-set-char #x6514 ?$(Gyo(B) ; C01-G-796F
(ucs-set-char #x6515 ?$(Hhy(B) ; C02-H-6879
(ucs-set-char #x6516 ?$(DA=(B) ; J90-D-413D
(ucs-set-char #x6516 ?$(Hhx(B) ; C02-H-6878
(ucs-set-char #x6517 ?$(Hhw(B) ; C02-H-6877
(ucs-set-char #x6518 ?$(CeA(B) ; KS0-C-6541
(ucs-set-char #x6518 ?$(Gyn(B) ; C01-G-796E
(ucs-set-char #x6518 ?$@Z7(B) ; J78-@-5A37
(ucs-set-char #x6518 ?$AHA(B) ; GB0-A-4841
(ucs-set-char #x6518 ?$BZ7(B) ; J83-B-5A37
(ucs-set-char #x6519 ?$(DA>(B) ; J90-D-413E
(ucs-set-char #x6519 ?$(Gyp(B) ; C01-G-7970
(ucs-set-char #x651B ?$(DA?(B) ; J90-D-413F
(ucs-set-char #x651B ?$(Hk[(B) ; C02-H-6B5B
(ucs-set-char #x651C ?$(Gzm(B) ; C01-G-7A6D
(ucs-set-char #x651C ?$@Z8(B) ; J78-@-5A38
(ucs-set-char #x651C ?$BZ8(B) ; J83-B-5A38
(ucs-set-char #x651D ?$(C`n(B) ; KS0-C-606E
(ucs-set-char #x651D ?$(Gzl(B) ; C01-G-7A6C
(ucs-set-char #x651D ?$@Yp(B) ; J78-@-5970
(ucs-set-char #x651D ?$BYp(B) ; J83-B-5970
(ucs-set-char #x651E ?$(DA@(B) ; J90-D-4140
(ucs-set-char #x651E ?$(I_J(B) ; C03-I-5F4A
(ucs-set-char #x651F ?$(DAA(B) ; J90-D-4141
(ucs-set-char #x651F ?$(I_K(B) ; C03-I-5F4B
(ucs-set-char #x6520 ?$(HmO(B) ; C02-H-6D4F
(ucs-set-char #x6521 ?$(HmN(B) ; C02-H-6D4E
(ucs-set-char #x6522 ?$(DAB(B) ; J90-D-4142
(ucs-set-char #x6522 ?$(HmQ(B) ; C02-H-6D51
(ucs-set-char #x6522 ?$@Z9(B) ; J78-@-5A39
(ucs-set-char #x6523 ?$(CU}(B) ; KS0-C-557D
(ucs-set-char #x6523 ?$(G|7(B) ; C01-G-7C37
(ucs-set-char #x6523 ?$@Z;(B) ; J78-@-5A3B
(ucs-set-char #x6523 ?$BZ;(B) ; J83-B-5A3B
(ucs-set-char #x6524 ?$(G{a(B) ; C01-G-7B61
(ucs-set-char #x6524 ?$@Z:(B) ; J78-@-5A3A
(ucs-set-char #x6524 ?$BZ:(B) ; J83-B-5A3A
(ucs-set-char #x6525 ?$(Ho,(B) ; C02-H-6F2C
(ucs-set-char #x6525 ?$A_,(B) ; GB0-A-5F2C
(ucs-set-char #x6526 ?$(DAC(B) ; J90-D-4143
(ucs-set-char #x6526 ?$(HmP(B) ; C02-H-6D50
(ucs-set-char #x6527 ?$(I_I(B) ; C03-I-5F49
(ucs-set-char #x6528 ?$(I`2(B) ; C03-I-6032
(ucs-set-char #x6529 ?$(DAD(B) ; J90-D-4144
(ucs-set-char #x6529 ?$(Ho+(B) ; C02-H-6F2B
(ucs-set-char #x652A ?$(CNf(B) ; KS0-C-4E66
(ucs-set-char #x652A ?$(G|9(B) ; C01-G-7C39
(ucs-set-char #x652A ?$@3I(B) ; J78-@-3349
(ucs-set-char #x652A ?$BYx(B) ; J83-B-5978
(ucs-set-char #x652B ?$(C|+(B) ; KS0-C-7C2B
(ucs-set-char #x652B ?$(G|8(B) ; C01-G-7C38
(ucs-set-char #x652B ?$@Z<(B) ; J78-@-5A3C
(ucs-set-char #x652B ?$A>p(B) ; GB0-A-3E70
(ucs-set-char #x652B ?$BZ<(B) ; J83-B-5A3C
(ucs-set-char #x652C ?$(CU;(B) ; KS0-C-553B
(ucs-set-char #x652C ?$(G|_(B) ; C01-G-7C5F
(ucs-set-char #x652C ?$@Z0(B) ; J78-@-5A30
(ucs-set-char #x652C ?$BZ0(B) ; J83-B-5A30
(ucs-set-char #x652D ?$(Hp7(B) ; C02-H-7037
(ucs-set-char #x652E ?$(DAE(B) ; J90-D-4145
(ucs-set-char #x652E ?$(Hp}(B) ; C02-H-707D
(ucs-set-char #x652E ?$A_-(B) ; GB0-A-5F2D
(ucs-set-char #x652F ?$(Cr((B) ; KS0-C-7228
(ucs-set-char #x652F ?$(GEE(B) ; C01-G-4545
(ucs-set-char #x652F ?$@;Y(B) ; J78-@-3B59
(ucs-set-char #x652F ?$AV'(B) ; GB0-A-5627
(ucs-set-char #x652F ?$B;Y(B) ; J83-B-3B59
(ucs-set-char #x6530 ?$(L#l(B) ; C06-L-236C
(ucs-set-char #x6531 ?$(DAF(B) ; J90-D-4146
(ucs-set-char #x6531 ?$(I,r(B) ; C03-I-2C72
(ucs-set-char #x6532 ?$(H<7(B) ; C02-H-3C37
(ucs-set-char #x6533 ?$(HW:(B) ; C02-H-573A
(ucs-set-char #x6534 ?$(I!g(B) ; C03-I-2167
(ucs-set-char #x6534 ?$@Z=(B) ; J78-@-5A3D
(ucs-set-char #x6534 ?$Aj7(B) ; GB0-A-6A37
(ucs-set-char #x6534 ?$BZ=(B) ; J83-B-5A3D
(ucs-set-char #x6535 ?$(I!h(B) ; C03-I-2168
(ucs-set-char #x6535 ?$@Z>(B) ; J78-@-5A3E
(ucs-set-char #x6535 ?$Ak6(B) ; GB0-A-6B36
(ucs-set-char #x6535 ?$BZ>(B) ; J83-B-5A3E
(ucs-set-char #x6536 ?$(Cb%(B) ; KS0-C-6225
(ucs-set-char #x6536 ?$(GH-(B) ; C01-G-482D
(ucs-set-char #x6536 ?$@Z@(B) ; J78-@-5A40
(ucs-set-char #x6536 ?$AJU(B) ; GB0-A-4A55
(ucs-set-char #x6536 ?$BZ@(B) ; J83-B-5A40
(ucs-set-char #x6537 ?$(CM9(B) ; KS0-C-4D39
(ucs-set-char #x6537 ?$(H"M(B) ; C02-H-224D
(ucs-set-char #x6537 ?$@Z?(B) ; J78-@-5A3F
(ucs-set-char #x6537 ?$BZ?(B) ; J83-B-5A3F
(ucs-set-char #x6538 ?$(Cjr(B) ; KS0-C-6A72
(ucs-set-char #x6538 ?$(GJS(B) ; C01-G-4A53
(ucs-set-char #x6538 ?$@ZA(B) ; J78-@-5A41
(ucs-set-char #x6538 ?$AX|(B) ; GB0-A-587C
(ucs-set-char #x6538 ?$BZA(B) ; J83-B-5A41
(ucs-set-char #x6539 ?$(CKG(B) ; KS0-C-4B47
(ucs-set-char #x6539 ?$(GJQ(B) ; C01-G-4A51
(ucs-set-char #x6539 ?$@2~(B) ; J78-@-327E
(ucs-set-char #x6539 ?$A8D(B) ; GB0-A-3844
(ucs-set-char #x6539 ?$B2~(B) ; J83-B-327E
(ucs-set-char #x653A ?$(DAG(B) ; J90-D-4147
(ucs-set-char #x653A ?$(J$?(B) ; C04-J-243F
(ucs-set-char #x653B ?$(CMt(B) ; KS0-C-4D74
(ucs-set-char #x653B ?$(GJR(B) ; C01-G-4A52
(ucs-set-char #x653B ?$@96(B) ; J78-@-3936
(ucs-set-char #x653B ?$A9%(B) ; GB0-A-3925
(ucs-set-char #x653B ?$B96(B) ; J83-B-3936
(ucs-set-char #x653C ?$(DAH(B) ; J90-D-4148
(ucs-set-char #x653C ?$(J$>(B) ; C04-J-243E
(ucs-set-char #x653D ?$(DAI(B) ; J90-D-4149
(ucs-set-char #x653D ?$(H'"(B) ; C02-H-2722
(ucs-set-char #x653E ?$(C[/(B) ; KS0-C-5B2F
(ucs-set-char #x653E ?$(GMs(B) ; C01-G-4D73
(ucs-set-char #x653E ?$@J|(B) ; J78-@-4A7C
(ucs-set-char #x653E ?$A7E(B) ; GB0-A-3745
(ucs-set-char #x653E ?$BJ|(B) ; J83-B-4A7C
(ucs-set-char #x653F ?$(CoY(B) ; KS0-C-6F59
(ucs-set-char #x653F ?$(GQI(B) ; C01-G-5149
(ucs-set-char #x653F ?$@@/(B) ; J78-@-402F
(ucs-set-char #x653F ?$AU~(B) ; GB0-A-557E
(ucs-set-char #x653F ?$B@/(B) ; J83-B-402F
(ucs-set-char #x6540 ?$(I,t(B) ; C03-I-2C74
(ucs-set-char #x6541 ?$(H*h(B) ; C02-H-2A68
(ucs-set-char #x6542 ?$(I,v(B) ; C03-I-2C76
(ucs-set-char #x6543 ?$(DAJ(B) ; J90-D-414A
(ucs-set-char #x6543 ?$(H*i(B) ; C02-H-2A69
(ucs-set-char #x6544 ?$(I,s(B) ; C03-I-2C73
(ucs-set-char #x6545 ?$(CM:(B) ; KS0-C-4D3A
(ucs-set-char #x6545 ?$(GQJ(B) ; C01-G-514A
(ucs-set-char #x6545 ?$@8N(B) ; J78-@-384E
(ucs-set-char #x6545 ?$A9J(B) ; GB0-A-394A
(ucs-set-char #x6545 ?$B8N(B) ; J83-B-384E
(ucs-set-char #x6546 ?$(H/P(B) ; C02-H-2F50
(ucs-set-char #x6547 ?$(DAK(B) ; J90-D-414B
(ucs-set-char #x6547 ?$(J-C(B) ; C04-J-2D43
(ucs-set-char #x6548 ?$(C|y(B) ; KS0-C-7C79
(ucs-set-char #x6548 ?$(GUf(B) ; C01-G-5566
(ucs-set-char #x6548 ?$@ZC(B) ; J78-@-5A43
(ucs-set-char #x6548 ?$AP'(B) ; GB0-A-5027
(ucs-set-char #x6548 ?$BZC(B) ; J83-B-5A43
(ucs-set-char #x6549 ?$(DAL(B) ; J90-D-414C
(ucs-set-char #x6549 ?$(GUg(B) ; C01-G-5567
(ucs-set-char #x6549 ?$AtM(B) ; GB0-A-744D
(ucs-set-char #x654A ?$(H/O(B) ; C02-H-2F4F
(ucs-set-char #x654B ?$(I1=(B) ; C03-I-313D
(ucs-set-char #x654C ?$(J-D(B) ; C04-J-2D44
(ucs-set-char #x654C ?$A5P(B) ; GB0-A-3550
(ucs-set-char #x654D ?$(C_s(B) ; KS0-C-5F73
(ucs-set-char #x654D ?$(I67(B) ; C03-I-3637
(ucs-set-char #x654D ?$@ZF(B) ; J78-@-5A46
(ucs-set-char #x654D ?$BZF(B) ; J83-B-5A46
(ucs-set-char #x654E ?$(CNg(B) ; KS0-C-4E67
(ucs-set-char #x654E ?$(I66(B) ; C03-I-3636
(ucs-set-char #x654F ?$(CZB(B) ; KS0-C-5A42
(ucs-set-char #x654F ?$(GZw(B) ; C01-G-5A77
(ucs-set-char #x654F ?$(J-F(B) ; C04-J-2D46
(ucs-set-char #x654F ?$@IR(B) ; J78-@-4952
(ucs-set-char #x654F ?$ACt(B) ; GB0-A-4374
(ucs-set-char #x654F ?$BIR(B) ; J83-B-4952
(ucs-set-char #x6550 ?$(DAM(B) ; J90-D-414D
(ucs-set-char #x6550 ?$(J2+(B) ; C04-J-322B
(ucs-set-char #x6551 ?$(CO-(B) ; KS0-C-4F2D
(ucs-set-char #x6551 ?$(GZs(B) ; C01-G-5A73
(ucs-set-char #x6551 ?$@5_(B) ; J78-@-355F
(ucs-set-char #x6551 ?$A>H(B) ; GB0-A-3E48
(ucs-set-char #x6551 ?$B5_(B) ; J83-B-355F
(ucs-set-char #x6552 ?$(DAN(B) ; J90-D-414E
(ucs-set-char #x6552 ?$(J2/(B) ; C04-J-322F
(ucs-set-char #x6553 ?$(H5i(B) ; C02-H-3569
(ucs-set-char #x6554 ?$(DAO(B) ; J90-D-414F
(ucs-set-char #x6554 ?$(GZz(B) ; C01-G-5A7A
(ucs-set-char #x6555 ?$(GZy(B) ; C01-G-5A79
(ucs-set-char #x6555 ?$@ZE(B) ; J78-@-5A45
(ucs-set-char #x6555 ?$Ak7(B) ; GB0-A-6B37
(ucs-set-char #x6555 ?$BZE(B) ; J83-B-5A45
(ucs-set-char #x6556 ?$(Cgy(B) ; KS0-C-6779
(ucs-set-char #x6556 ?$(GZr(B) ; C01-G-5A72
(ucs-set-char #x6556 ?$@ZD(B) ; J78-@-5A44
(ucs-set-char #x6556 ?$A0=(B) ; GB0-A-303D
(ucs-set-char #x6556 ?$BZD(B) ; J83-B-5A44
(ucs-set-char #x6557 ?$(Cx((B) ; KS0-C-7828
(ucs-set-char #x6557 ?$(GZu(B) ; C01-G-5A75
(ucs-set-char #x6557 ?$@GT(B) ; J78-@-4754
(ucs-set-char #x6557 ?$BGT(B) ; J83-B-4754
(ucs-set-char #x6558 ?$(GZx(B) ; C01-G-5A78
(ucs-set-char #x6558 ?$@ZG(B) ; J78-@-5A47
(ucs-set-char #x6558 ?$BZG(B) ; J83-B-5A47
(ucs-set-char #x6559 ?$(GZt(B) ; C01-G-5A74
(ucs-set-char #x6559 ?$@65(B) ; J78-@-3635
(ucs-set-char #x6559 ?$A=L(B) ; GB0-A-3D4C
(ucs-set-char #x6559 ?$B65(B) ; J83-B-3635
(ucs-set-char #x655A ?$(I64(B) ; C03-I-3634
(ucs-set-char #x655B ?$AA2(B) ; GB0-A-4132
(ucs-set-char #x655C ?$(H<;(B) ; C02-H-3C3B
(ucs-set-char #x655D ?$(GZq(B) ; C01-G-5A71
(ucs-set-char #x655D ?$@ZI(B) ; J78-@-5A49
(ucs-set-char #x655D ?$A1V(B) ; GB0-A-3156
(ucs-set-char #x655D ?$BZI(B) ; J83-B-5A49
(ucs-set-char #x655E ?$(Csb(B) ; KS0-C-7362
(ucs-set-char #x655E ?$(G_T(B) ; C01-G-5F54
(ucs-set-char #x655E ?$@ZH(B) ; J78-@-5A48
(ucs-set-char #x655E ?$A3((B) ; GB0-A-3328
(ucs-set-char #x655E ?$BZH(B) ; J83-B-5A48
(ucs-set-char #x655F ?$(DAP(B) ; J90-D-4150
(ucs-set-char #x655F ?$(I;t(B) ; C03-I-3B74
(ucs-set-char #x6560 ?$(DAQ(B) ; J90-D-4151
(ucs-set-char #x6560 ?$(I;u(B) ; C03-I-3B75
(ucs-set-char #x6561 ?$(I;v(B) ; C03-I-3B76
(ucs-set-char #x6562 ?$(CJr(B) ; KS0-C-4A72
(ucs-set-char #x6562 ?$(G_V(B) ; C01-G-5F56
(ucs-set-char #x6562 ?$@4:(B) ; J78-@-343A
(ucs-set-char #x6562 ?$A8R(B) ; GB0-A-3852
(ucs-set-char #x6562 ?$B4:(B) ; J83-B-343A
(ucs-set-char #x6563 ?$(C_$(B) ; KS0-C-5F24
(ucs-set-char #x6563 ?$(G_W(B) ; C01-G-5F57
(ucs-set-char #x6563 ?$@;6(B) ; J78-@-3B36
(ucs-set-char #x6563 ?$AI"(B) ; GB0-A-4922
(ucs-set-char #x6563 ?$B;6(B) ; J83-B-3B36
(ucs-set-char #x6564 ?$(H<:(B) ; C02-H-3C3A
(ucs-set-char #x6565 ?$(H<=(B) ; C02-H-3C3D
(ucs-set-char #x6566 ?$(CTD(B) ; KS0-C-5444
(ucs-set-char #x6566 ?$(G_U(B) ; C01-G-5F55
(ucs-set-char #x6566 ?$@FX(B) ; J78-@-4658
(ucs-set-char #x6566 ?$A6X(B) ; GB0-A-3658
(ucs-set-char #x6566 ?$BFX(B) ; J83-B-4658
(ucs-set-char #x6567 ?$(DAR(B) ; J90-D-4152
(ucs-set-char #x6567 ?$(H<8(B) ; C02-H-3C38
(ucs-set-char #x6568 ?$(H<<(B) ; C02-H-3C3C
(ucs-set-char #x656A ?$(H<9(B) ; C02-H-3C39
(ucs-set-char #x656B ?$(DAS(B) ; J90-D-4153
(ucs-set-char #x656B ?$(IAK(B) ; C03-I-414B
(ucs-set-char #x656B ?$Ak8(B) ; GB0-A-6B38
(ucs-set-char #x656C ?$(CLW(B) ; KS0-C-4C57
(ucs-set-char #x656C ?$(Gd9(B) ; C01-G-6439
(ucs-set-char #x656C ?$@7I(B) ; J78-@-3749
(ucs-set-char #x656C ?$A>4(B) ; GB0-A-3E34
(ucs-set-char #x656C ?$B7I(B) ; J83-B-3749
(ucs-set-char #x656D ?$(CeB(B) ; KS0-C-6542
(ucs-set-char #x656D ?$(IAN(B) ; C03-I-414E
(ucs-set-char #x656E ?$(J=](B) ; C04-J-3D5D
(ucs-set-char #x656F ?$(HCB(B) ; C02-H-4342
(ucs-set-char #x6570 ?$(IAM(B) ; C03-I-414D
(ucs-set-char #x6570 ?$@?t(B) ; J78-@-3F74
(ucs-set-char #x6570 ?$AJ}(B) ; GB0-A-4A7D
(ucs-set-char #x6570 ?$B?t(B) ; J83-B-3F74
(ucs-set-char #x6571 ?$(IG0(B) ; C03-I-4730
(ucs-set-char #x6572 ?$(CM;(B) ; KS0-C-4D3B
(ucs-set-char #x6572 ?$(Gh}(B) ; C01-G-687D
(ucs-set-char #x6572 ?$@ZJ(B) ; J78-@-5A4A
(ucs-set-char #x6572 ?$AGC(B) ; GB0-A-4743
(ucs-set-char #x6572 ?$BZJ(B) ; J83-B-5A4A
(ucs-set-char #x6573 ?$(HJ[(B) ; C02-H-4A5B
(ucs-set-char #x6574 ?$(CoZ(B) ; KS0-C-6F5A
(ucs-set-char #x6574 ?$(Gpl(B) ; C01-G-706C
(ucs-set-char #x6574 ?$@@0(B) ; J78-@-4030
(ucs-set-char #x6574 ?$AU{(B) ; GB0-A-557B
(ucs-set-char #x6574 ?$B@0(B) ; J83-B-4030
(ucs-set-char #x6575 ?$(CnX(B) ; KS0-C-6E58
(ucs-set-char #x6575 ?$(Gm.(B) ; C01-G-6D2E
(ucs-set-char #x6575 ?$@E((B) ; J78-@-4528
(ucs-set-char #x6575 ?$BE((B) ; J83-B-4528
(ucs-set-char #x6576 ?$(HPd(B) ; C02-H-5064
(ucs-set-char #x6577 ?$(C]'(B) ; KS0-C-5D27
(ucs-set-char #x6577 ?$(Gm/(B) ; C01-G-6D2F
(ucs-set-char #x6577 ?$(L]K(B) ; C06-L-5D4B
(ucs-set-char #x6577 ?$@I_(B) ; J78-@-495F
(ucs-set-char #x6577 ?$A7s(B) ; GB0-A-3773
(ucs-set-char #x6577 ?$BI_(B) ; J83-B-495F
(ucs-set-char #x6578 ?$(Cb&(B) ; KS0-C-6226
(ucs-set-char #x6578 ?$(Gm0(B) ; C01-G-6D30
(ucs-set-char #x6578 ?$@ZK(B) ; J78-@-5A4B
(ucs-set-char #x6578 ?$BZK(B) ; J83-B-5A4B
(ucs-set-char #x6579 ?$(HPf(B) ; C02-H-5066
(ucs-set-char #x657A ?$(DAT(B) ; J90-D-4154
(ucs-set-char #x657A ?$(HPe(B) ; C02-H-5065
(ucs-set-char #x657B ?$(HPg(B) ; C02-H-5067
(ucs-set-char #x657C ?$(HW<(B) ; C02-H-573C
(ucs-set-char #x657D ?$(DAU(B) ; J90-D-4155
(ucs-set-char #x657E ?$(C`@(B) ; KS0-C-6040
(ucs-set-char #x657E ?$(JPI(B) ; C04-J-5049
(ucs-set-char #x657F ?$(HW;(B) ; C02-H-573B
(ucs-set-char #x6580 ?$(H\z(B) ; C02-H-5C7A
(ucs-set-char #x6581 ?$(DAV(B) ; J90-D-4156
(ucs-set-char #x6581 ?$(H\y(B) ; C02-H-5C79
(ucs-set-char #x6582 ?$(CV0(B) ; KS0-C-5630
(ucs-set-char #x6582 ?$(Gsm(B) ; C01-G-736D
(ucs-set-char #x6582 ?$@ZL(B) ; J78-@-5A4C
(ucs-set-char #x6582 ?$BZL(B) ; J83-B-5A4C
(ucs-set-char #x6583 ?$(CxJ(B) ; KS0-C-784A
(ucs-set-char #x6583 ?$(Gsn(B) ; C01-G-736E
(ucs-set-char #x6583 ?$@ZM(B) ; J78-@-5A4D
(ucs-set-char #x6583 ?$BZM(B) ; J83-B-5A4D
(ucs-set-char #x6584 ?$(HeS(B) ; C02-H-6553
(ucs-set-char #x6585 ?$(C|z(B) ; KS0-C-7C7A
(ucs-set-char #x6585 ?$(DAW(B) ; J90-D-4157
(ucs-set-char #x6585 ?$(I\A(B) ; C03-I-5C41
(ucs-set-char #x6587 ?$(CY~(B) ; KS0-C-597E
(ucs-set-char #x6587 ?$(GEF(B) ; C01-G-4546
(ucs-set-char #x6587 ?$@J8(B) ; J78-@-4A38
(ucs-set-char #x6587 ?$AND(B) ; GB0-A-4E44
(ucs-set-char #x6587 ?$BJ8(B) ; J83-B-4A38
(ucs-set-char #x6588 ?$(I%X(B) ; C03-I-2558
(ucs-set-char #x6588 ?$@U](B) ; J78-@-555D
(ucs-set-char #x6588 ?$BU](B) ; J83-B-555D
(ucs-set-char #x6589 ?$(I)9(B) ; C03-I-2939
(ucs-set-char #x6589 ?$@@F(B) ; J78-@-4046
(ucs-set-char #x6589 ?$B@F(B) ; J83-B-4046
(ucs-set-char #x658A ?$(DAX(B) ; J90-D-4158
(ucs-set-char #x658A ?$(J-G(B) ; C04-J-2D47
(ucs-set-char #x658B ?$(I1@(B) ; C03-I-3140
(ucs-set-char #x658B ?$AU+(B) ; GB0-A-552B
(ucs-set-char #x658C ?$(C^0(B) ; KS0-C-5E30
(ucs-set-char #x658C ?$(H<>(B) ; C02-H-3C3E
(ucs-set-char #x658C ?$@IL(B) ; J78-@-494C
(ucs-set-char #x658C ?$A1s(B) ; GB0-A-3173
(ucs-set-char #x658C ?$BIL(B) ; J83-B-494C
(ucs-set-char #x658D ?$(I68(B) ; C03-I-3638
(ucs-set-char #x658E ?$(I69(B) ; C03-I-3639
(ucs-set-char #x658E ?$@:X(B) ; J78-@-3A58
(ucs-set-char #x658E ?$B:X(B) ; J83-B-3A58
(ucs-set-char #x6590 ?$(C]l(B) ; KS0-C-5D6C
(ucs-set-char #x6590 ?$(G_Y(B) ; C01-G-5F59
(ucs-set-char #x6590 ?$@He(B) ; J78-@-4865
(ucs-set-char #x6590 ?$Al3(B) ; GB0-A-6C33
(ucs-set-char #x6590 ?$BHe(B) ; J83-B-4865
(ucs-set-char #x6591 ?$(CZh(B) ; KS0-C-5A68
(ucs-set-char #x6591 ?$(G_X(B) ; C01-G-5F58
(ucs-set-char #x6591 ?$@HC(B) ; J78-@-4843
(ucs-set-char #x6591 ?$A0_(B) ; GB0-A-305F
(ucs-set-char #x6591 ?$BHC(B) ; J83-B-4843
(ucs-set-char #x6592 ?$(DAY(B) ; J90-D-4159
(ucs-set-char #x6592 ?$(HCC(B) ; C02-H-4343
(ucs-set-char #x6593 ?$Al5(B) ; GB0-A-6C35
(ucs-set-char #x6594 ?$(Had(B) ; C02-H-6164
(ucs-set-char #x6595 ?$(DAZ(B) ; J90-D-415A
(ucs-set-char #x6595 ?$(Gzn(B) ; C01-G-7A6E
(ucs-set-char #x6596 ?$(Ho-(B) ; C02-H-6F2D
(ucs-set-char #x6597 ?$(CT`(B) ; KS0-C-5460
(ucs-set-char #x6597 ?$(GEG(B) ; C01-G-4547
(ucs-set-char #x6597 ?$@EM(B) ; J78-@-454D
(ucs-set-char #x6597 ?$A67(B) ; GB0-A-3637
(ucs-set-char #x6597 ?$BEM(B) ; J83-B-454D
(ucs-set-char #x6598 ?$(DA[(B) ; J90-D-415B
(ucs-set-char #x6598 ?$(J$A(B) ; C04-J-2441
(ucs-set-char #x6599 ?$(CVy(B) ; KS0-C-5679
(ucs-set-char #x6599 ?$(GUh(B) ; C01-G-5568
(ucs-set-char #x6599 ?$@NA(B) ; J78-@-4E41
(ucs-set-char #x6599 ?$AAO(B) ; GB0-A-414F
(ucs-set-char #x6599 ?$BNA(B) ; J83-B-4E41
(ucs-set-char #x659A ?$(I1B(B) ; C03-I-3142
(ucs-set-char #x659B ?$(CMW(B) ; KS0-C-4D57
(ucs-set-char #x659B ?$(GZ|(B) ; C01-G-5A7C
(ucs-set-char #x659B ?$@ZO(B) ; J78-@-5A4F
(ucs-set-char #x659B ?$Auz(B) ; GB0-A-757A
(ucs-set-char #x659B ?$BZO(B) ; J83-B-5A4F
(ucs-set-char #x659C ?$(C^X(B) ; KS0-C-5E58
(ucs-set-char #x659C ?$(GZ{(B) ; C01-G-5A7B
(ucs-set-char #x659C ?$@<P(B) ; J78-@-3C50
(ucs-set-char #x659C ?$AP1(B) ; GB0-A-5031
(ucs-set-char #x659C ?$B<P(B) ; J83-B-3C50
(ucs-set-char #x659D ?$(DA\(B) ; J90-D-415C
(ucs-set-char #x659D ?$(H<?(B) ; C02-H-3C3F
(ucs-set-char #x659E ?$(H<@(B) ; C02-H-3C40
(ucs-set-char #x659F ?$(Crx(B) ; KS0-C-7278
(ucs-set-char #x659F ?$(Gd:(B) ; C01-G-643A
(ucs-set-char #x659F ?$@ZP(B) ; J78-@-5A50
(ucs-set-char #x659F ?$AUe(B) ; GB0-A-5565
(ucs-set-char #x659F ?$BZP(B) ; J83-B-5A50
(ucs-set-char #x65A0 ?$(DA](B) ; J90-D-415D
(ucs-set-char #x65A0 ?$(HJ\(B) ; C02-H-4A5C
(ucs-set-char #x65A1 ?$(CdV(B) ; KS0-C-6456
(ucs-set-char #x65A1 ?$(Gh~(B) ; C01-G-687E
(ucs-set-char #x65A1 ?$@06(B) ; J78-@-3036
(ucs-set-char #x65A1 ?$ANS(B) ; GB0-A-4E53
(ucs-set-char #x65A1 ?$B06(B) ; J83-B-3036
(ucs-set-char #x65A2 ?$(HW=(B) ; C02-H-573D
(ucs-set-char #x65A3 ?$(DA^(B) ; J90-D-415E
(ucs-set-char #x65A3 ?$(JV?(B) ; C04-J-563F
(ucs-set-char #x65A4 ?$(CPE(B) ; KS0-C-5045
(ucs-set-char #x65A4 ?$(GEH(B) ; C01-G-4548
(ucs-set-char #x65A4 ?$@6T(B) ; J78-@-3654
(ucs-set-char #x65A4 ?$A=o(B) ; GB0-A-3D6F
(ucs-set-char #x65A4 ?$B6T(B) ; J83-B-3654
(ucs-set-char #x65A5 ?$(Ct.(B) ; KS0-C-742E
(ucs-set-char #x65A5 ?$(GFX(B) ; C01-G-4658
(ucs-set-char #x65A5 ?$@@M(B) ; J78-@-404D
(ucs-set-char #x65A5 ?$A3b(B) ; GB0-A-3362
(ucs-set-char #x65A5 ?$B@M(B) ; J83-B-404D
(ucs-set-char #x65A6 ?$(DA_(B) ; J90-D-415F
(ucs-set-char #x65A6 ?$(I);(B) ; C03-I-293B
(ucs-set-char #x65A7 ?$(C]((B) ; KS0-C-5D28
(ucs-set-char #x65A7 ?$(GMt(B) ; C01-G-4D74
(ucs-set-char #x65A7 ?$@I`(B) ; J78-@-4960
(ucs-set-char #x65A7 ?$A8+(B) ; GB0-A-382B
(ucs-set-char #x65A7 ?$BI`(B) ; J83-B-4960
(ucs-set-char #x65A8 ?$(H'#(B) ; C02-H-2723
(ucs-set-char #x65A9 ?$AU6(B) ; GB0-A-5536
(ucs-set-char #x65AA ?$(H*j(B) ; C02-H-2A6A
(ucs-set-char #x65AB ?$(CmE(B) ; KS0-C-6D45
(ucs-set-char #x65AB ?$(GQK(B) ; C01-G-514B
(ucs-set-char #x65AB ?$@ZQ(B) ; J78-@-5A51
(ucs-set-char #x65AB ?$Am=(B) ; GB0-A-6D3D
(ucs-set-char #x65AB ?$BZQ(B) ; J83-B-5A51
(ucs-set-char #x65AC ?$(CsV(B) ; KS0-C-7356
(ucs-set-char #x65AC ?$(GZ}(B) ; C01-G-5A7D
(ucs-set-char #x65AC ?$@;B(B) ; J78-@-3B42
(ucs-set-char #x65AC ?$B;B(B) ; J83-B-3B42
(ucs-set-char #x65AD ?$(I6:(B) ; C03-I-363A
(ucs-set-char #x65AD ?$@CG(B) ; J78-@-4347
(ucs-set-char #x65AD ?$A6O(B) ; GB0-A-364F
(ucs-set-char #x65AD ?$BCG(B) ; J83-B-4347
(ucs-set-char #x65AE ?$(DA`(B) ; J90-D-4160
(ucs-set-char #x65AE ?$(H<A(B) ; C02-H-3C41
(ucs-set-char #x65AF ?$(C^Y(B) ; KS0-C-5E59
(ucs-set-char #x65AF ?$(G_Z(B) ; C01-G-5F5A
(ucs-set-char #x65AF ?$@;[(B) ; J78-@-3B5B
(ucs-set-char #x65AF ?$AK9(B) ; GB0-A-4B39
(ucs-set-char #x65AF ?$B;[(B) ; J83-B-3B5B
(ucs-set-char #x65B0 ?$(Ccf(B) ; KS0-C-6366
(ucs-set-char #x65B0 ?$(Gd;(B) ; C01-G-643B
(ucs-set-char #x65B0 ?$@?7(B) ; J78-@-3F37
(ucs-set-char #x65B0 ?$APB(B) ; GB0-A-5042
(ucs-set-char #x65B0 ?$B?7(B) ; J83-B-3F37
(ucs-set-char #x65B2 ?$(DAa(B) ; J90-D-4161
(ucs-set-char #x65B2 ?$(HPh(B) ; C02-H-5068
(ucs-set-char #x65B3 ?$(DAb(B) ; J90-D-4162
(ucs-set-char #x65B3 ?$(HPi(B) ; C02-H-5069
(ucs-set-char #x65B4 ?$(DAc(B) ; J90-D-4163
(ucs-set-char #x65B4 ?$(JPN(B) ; C04-J-504E
(ucs-set-char #x65B5 ?$(ITk(B) ; C03-I-546B
(ucs-set-char #x65B6 ?$(H\{(B) ; C02-H-5C7B
(ucs-set-char #x65B7 ?$(CS((B) ; KS0-C-5328
(ucs-set-char #x65B7 ?$(GvK(B) ; C01-G-764B
(ucs-set-char #x65B7 ?$@ZR(B) ; J78-@-5A52
(ucs-set-char #x65B7 ?$BZR(B) ; J83-B-5A52
(ucs-set-char #x65B8 ?$(Hp~(B) ; C02-H-707E
(ucs-set-char #x65B9 ?$(C[0(B) ; KS0-C-5B30
(ucs-set-char #x65B9 ?$(GEI(B) ; C01-G-4549
(ucs-set-char #x65B9 ?$@J}(B) ; J78-@-4A7D
(ucs-set-char #x65B9 ?$A7=(B) ; GB0-A-373D
(ucs-set-char #x65B9 ?$BJ}(B) ; J83-B-4A7D
(ucs-set-char #x65BA ?$(I)<(B) ; C03-I-293C
(ucs-set-char #x65BB ?$(H'$(B) ; C02-H-2724
(ucs-set-char #x65BC ?$(CeZ(B) ; KS0-C-655A
(ucs-set-char #x65BC ?$(GMu(B) ; C01-G-4D75
(ucs-set-char #x65BC ?$@1w(B) ; J78-@-3177
(ucs-set-char #x65BC ?$Al6(B) ; GB0-A-6C36
(ucs-set-char #x65BC ?$B1w(B) ; J83-B-3177
(ucs-set-char #x65BD ?$(Cc?(B) ; KS0-C-633F
(ucs-set-char #x65BD ?$(GQL(B) ; C01-G-514C
(ucs-set-char #x65BD ?$@;\(B) ; J78-@-3B5C
(ucs-set-char #x65BD ?$AJ)(B) ; GB0-A-4A29
(ucs-set-char #x65BD ?$B;\(B) ; J83-B-3B5C
(ucs-set-char #x65BE ?$(I,w(B) ; C03-I-2C77
(ucs-set-char #x65BF ?$(DAd(B) ; J90-D-4164
(ucs-set-char #x65BF ?$(H*k(B) ; C02-H-2A6B
(ucs-set-char #x65C1 ?$(C[1(B) ; KS0-C-5B31
(ucs-set-char #x65C1 ?$(GUi(B) ; C01-G-5569
(ucs-set-char #x65C1 ?$@ZU(B) ; J78-@-5A55
(ucs-set-char #x65C1 ?$AET(B) ; GB0-A-4554
(ucs-set-char #x65C1 ?$BZU(B) ; J83-B-5A55
(ucs-set-char #x65C2 ?$(DAe(B) ; J90-D-4165
(ucs-set-char #x65C2 ?$(H/T(B) ; C02-H-2F54
(ucs-set-char #x65C3 ?$(H/R(B) ; C02-H-2F52
(ucs-set-char #x65C3 ?$@ZS(B) ; J78-@-5A53
(ucs-set-char #x65C3 ?$Al9(B) ; GB0-A-6C39
(ucs-set-char #x65C3 ?$BZS(B) ; J83-B-5A53
(ucs-set-char #x65C4 ?$(H/S(B) ; C02-H-2F53
(ucs-set-char #x65C4 ?$@ZV(B) ; J78-@-5A56
(ucs-set-char #x65C4 ?$Al8(B) ; GB0-A-6C38
(ucs-set-char #x65C4 ?$BZV(B) ; J83-B-5A56
(ucs-set-char #x65C5 ?$(CUi(B) ; KS0-C-5569
(ucs-set-char #x65C5 ?$(GUj(B) ; C01-G-556A
(ucs-set-char #x65C5 ?$@N9(B) ; J78-@-4E39
(ucs-set-char #x65C5 ?$ABC(B) ; GB0-A-4243
(ucs-set-char #x65C5 ?$BN9(B) ; J83-B-4E39
(ucs-set-char #x65C6 ?$(H/Q(B) ; C02-H-2F51
(ucs-set-char #x65C6 ?$@ZT(B) ; J78-@-5A54
(ucs-set-char #x65C6 ?$Al7(B) ; GB0-A-6C37
(ucs-set-char #x65C6 ?$BZT(B) ; J83-B-5A54
(ucs-set-char #x65C7 ?$(I6<(B) ; C03-I-363C
(ucs-set-char #x65C8 ?$(DAf(B) ; J90-D-4166
(ucs-set-char #x65C8 ?$(J24(B) ; C04-J-3234
(ucs-set-char #x65C9 ?$(DAg(B) ; J90-D-4167
(ucs-set-char #x65C9 ?$(I6?(B) ; C03-I-363F
(ucs-set-char #x65CA ?$(I6=(B) ; C03-I-363D
(ucs-set-char #x65CB ?$(C`A(B) ; KS0-C-6041
(ucs-set-char #x65CB ?$(G[!(B) ; C01-G-5B21
(ucs-set-char #x65CB ?$@@{(B) ; J78-@-407B
(ucs-set-char #x65CB ?$AP}(B) ; GB0-A-507D
(ucs-set-char #x65CB ?$B@{(B) ; J83-B-407B
(ucs-set-char #x65CC ?$(Co[(B) ; KS0-C-6F5B
(ucs-set-char #x65CC ?$(G["(B) ; C01-G-5B22
(ucs-set-char #x65CC ?$@ZW(B) ; J78-@-5A57
(ucs-set-char #x65CC ?$Al:(B) ; GB0-A-6C3A
(ucs-set-char #x65CC ?$BZW(B) ; J83-B-5A57
(ucs-set-char #x65CD ?$(H5j(B) ; C02-H-356A
(ucs-set-char #x65CE ?$(DAh(B) ; J90-D-4168
(ucs-set-char #x65CE ?$(G[#(B) ; C01-G-5B23
(ucs-set-char #x65CE ?$Al;(B) ; GB0-A-6C3B
(ucs-set-char #x65CF ?$(Cpi(B) ; KS0-C-7069
(ucs-set-char #x65CF ?$(GZ~(B) ; C01-G-5A7E
(ucs-set-char #x65CF ?$@B2(B) ; J78-@-4232
(ucs-set-char #x65CF ?$AWe(B) ; GB0-A-5765
(ucs-set-char #x65CF ?$BB2(B) ; J83-B-4232
(ucs-set-char #x65D0 ?$(DAi(B) ; J90-D-4169
(ucs-set-char #x65D0 ?$(H<B(B) ; C02-H-3C42
(ucs-set-char #x65D1 ?$(I;y(B) ; C03-I-3B79
(ucs-set-char #x65D2 ?$(CW2(B) ; KS0-C-5732
(ucs-set-char #x65D2 ?$(H<C(B) ; C02-H-3C43
(ucs-set-char #x65D2 ?$@ZX(B) ; J78-@-5A58
(ucs-set-char #x65D2 ?$Al<(B) ; GB0-A-6C3C
(ucs-set-char #x65D2 ?$BZX(B) ; J83-B-5A58
(ucs-set-char #x65D3 ?$(HCD(B) ; C02-H-4344
(ucs-set-char #x65D4 ?$(DAj(B) ; J90-D-416A
(ucs-set-char #x65D4 ?$(J=d(B) ; C04-J-3D64
(ucs-set-char #x65D6 ?$(DAk(B) ; J90-D-416B
(ucs-set-char #x65D6 ?$(Gi"(B) ; C01-G-6922
(ucs-set-char #x65D6 ?$Al=(B) ; GB0-A-6C3D
(ucs-set-char #x65D7 ?$(CP}(B) ; KS0-C-507D
(ucs-set-char #x65D7 ?$(Gi!(B) ; C01-G-6921
(ucs-set-char #x65D7 ?$@4z(B) ; J78-@-347A
(ucs-set-char #x65D7 ?$AFl(B) ; GB0-A-466C
(ucs-set-char #x65D7 ?$B4z(B) ; J83-B-347A
(ucs-set-char #x65D8 ?$(DAl(B) ; J90-D-416C
(ucs-set-char #x65D8 ?$(JPO(B) ; C04-J-504F
(ucs-set-char #x65D9 ?$@ZZ(B) ; J78-@-5A5A
(ucs-set-char #x65D9 ?$BZZ(B) ; J83-B-5A5A
(ucs-set-char #x65DA ?$(H\|(B) ; C02-H-5C7C
(ucs-set-char #x65DB ?$(Hae(B) ; C02-H-6165
(ucs-set-char #x65DB ?$@ZY(B) ; J78-@-5A59
(ucs-set-char #x65DB ?$BZY(B) ; J83-B-5A59
(ucs-set-char #x65DC ?$(IZ?(B) ; C03-I-5A3F
(ucs-set-char #x65DD ?$(HeU(B) ; C02-H-6555
(ucs-set-char #x65DE ?$(HeT(B) ; C02-H-6554
(ucs-set-char #x65DF ?$(DAm(B) ; J90-D-416D
(ucs-set-char #x65DF ?$(Hh{(B) ; C02-H-687B
(ucs-set-char #x65E0 ?$(CYi(B) ; KS0-C-5969
(ucs-set-char #x65E0 ?$(I!i(B) ; C03-I-2169
(ucs-set-char #x65E0 ?$@Z[(B) ; J78-@-5A5B
(ucs-set-char #x65E0 ?$AN^(B) ; GB0-A-4E5E
(ucs-set-char #x65E0 ?$BZ[(B) ; J83-B-5A5B
(ucs-set-char #x65E1 ?$(H!>(B) ; C02-H-213E
(ucs-set-char #x65E1 ?$@Z\(B) ; J78-@-5A5C
(ucs-set-char #x65E1 ?$BZ\(B) ; J83-B-5A5C
(ucs-set-char #x65E2 ?$(GQM(B) ; C01-G-514D
(ucs-set-char #x65E2 ?$@4{(B) ; J78-@-347B
(ucs-set-char #x65E2 ?$A<H(B) ; GB0-A-3C48
(ucs-set-char #x65E2 ?$B4{(B) ; J83-B-347B
(ucs-set-char #x65E3 ?$(CP~(B) ; KS0-C-507E
(ucs-set-char #x65E3 ?$(I6@(B) ; C03-I-3640
(ucs-set-char #x65E3 ?$(I6A(B) ; C03-I-3641
(ucs-set-char #x65E4 ?$(IAP(B) ; C03-I-4150
(ucs-set-char #x65E5 ?$(Clm(B) ; KS0-C-6C6D
(ucs-set-char #x65E5 ?$(GEJ(B) ; C01-G-454A
(ucs-set-char #x65E5 ?$@F|(B) ; J78-@-467C
(ucs-set-char #x65E5 ?$AHU(B) ; GB0-A-4855
(ucs-set-char #x65E5 ?$BF|(B) ; J83-B-467C
(ucs-set-char #x65E6 ?$(CS)(B) ; KS0-C-5329
(ucs-set-char #x65E6 ?$(GFY(B) ; C01-G-4659
(ucs-set-char #x65E6 ?$@C6(B) ; J78-@-4336
(ucs-set-char #x65E6 ?$A5)(B) ; GB0-A-3529
(ucs-set-char #x65E6 ?$BC6(B) ; J83-B-4336
(ucs-set-char #x65E7 ?$(I"Q(B) ; C03-I-2251
(ucs-set-char #x65E7 ?$@5l(B) ; J78-@-356C
(ucs-set-char #x65E7 ?$A>I(B) ; GB0-A-3E49
(ucs-set-char #x65E7 ?$B5l(B) ; J83-B-356C
(ucs-set-char #x65E8 ?$(Cr)(B) ; KS0-C-7229
(ucs-set-char #x65E8 ?$(GH/(B) ; C01-G-482F
(ucs-set-char #x65E8 ?$@;](B) ; J78-@-3B5D
(ucs-set-char #x65E8 ?$AV<(B) ; GB0-A-563C
(ucs-set-char #x65E8 ?$B;](B) ; J83-B-3B5D
(ucs-set-char #x65E9 ?$(CpD(B) ; KS0-C-7044
(ucs-set-char #x65E9 ?$(GH.(B) ; C01-G-482E
(ucs-set-char #x65E9 ?$@Aa(B) ; J78-@-4161
(ucs-set-char #x65E9 ?$ATg(B) ; GB0-A-5467
(ucs-set-char #x65E9 ?$BAa(B) ; J83-B-4161
(ucs-set-char #x65EA ?$(I#s(B) ; C03-I-2373
(ucs-set-char #x65EB ?$(I#r(B) ; C03-I-2372
(ucs-set-char #x65EC ?$(Cbb(B) ; KS0-C-6262
(ucs-set-char #x65EC ?$(GH0(B) ; C01-G-4830
(ucs-set-char #x65EC ?$@=\(B) ; J78-@-3D5C
(ucs-set-char #x65EC ?$AQ.(B) ; GB0-A-512E
(ucs-set-char #x65EC ?$B=\(B) ; J83-B-3D5C
(ucs-set-char #x65ED ?$(Cio(B) ; KS0-C-696F
(ucs-set-char #x65ED ?$(GH1(B) ; C01-G-4831
(ucs-set-char #x65ED ?$@00(B) ; J78-@-3030
(ucs-set-char #x65ED ?$APq(B) ; GB0-A-5071
(ucs-set-char #x65ED ?$B00(B) ; J83-B-3030
(ucs-set-char #x65EE ?$(H"O(B) ; C02-H-224F
(ucs-set-char #x65EE ?$Aj8(B) ; GB0-A-6A38
(ucs-set-char #x65EF ?$(H"N(B) ; C02-H-224E
(ucs-set-char #x65EF ?$Aj9(B) ; GB0-A-6A39
(ucs-set-char #x65F0 ?$(DAn(B) ; J90-D-416E
(ucs-set-char #x65F0 ?$(H$9(B) ; C02-H-2439
(ucs-set-char #x65F0 ?$Aj:(B) ; GB0-A-6A3A
(ucs-set-char #x65F1 ?$(CyQ(B) ; KS0-C-7951
(ucs-set-char #x65F1 ?$(GJT(B) ; C01-G-4A54
(ucs-set-char #x65F1 ?$@Z](B) ; J78-@-5A5D
(ucs-set-char #x65F1 ?$A:5(B) ; GB0-A-3A35
(ucs-set-char #x65F1 ?$BZ](B) ; J83-B-5A5D
(ucs-set-char #x65F2 ?$(DAo(B) ; J90-D-416F
(ucs-set-char #x65F2 ?$(H$<(B) ; C02-H-243C
(ucs-set-char #x65F3 ?$(H$;(B) ; C02-H-243B
(ucs-set-char #x65F4 ?$(CiY(B) ; KS0-C-6959
(ucs-set-char #x65F4 ?$(DAp(B) ; J90-D-4170
(ucs-set-char #x65F4 ?$(H$:(B) ; C02-H-243A
(ucs-set-char #x65F5 ?$(DAq(B) ; J90-D-4171
(ucs-set-char #x65F5 ?$(H$=(B) ; C02-H-243D
(ucs-set-char #x65F6 ?$(I&=(B) ; C03-I-263D
(ucs-set-char #x65F6 ?$AJ1(B) ; GB0-A-4A31
(ucs-set-char #x65F7 ?$A?u(B) ; GB0-A-3F75
(ucs-set-char #x65F9 ?$(DAr(B) ; J90-D-4172
(ucs-set-char #x65F9 ?$(J&b(B) ; C04-J-2662
(ucs-set-char #x65FA ?$(ChZ(B) ; KS0-C-685A
(ucs-set-char #x65FA ?$(GMv(B) ; C01-G-4D76
(ucs-set-char #x65FA ?$@2"(B) ; J78-@-3222
(ucs-set-char #x65FA ?$AMz(B) ; GB0-A-4D7A
(ucs-set-char #x65FA ?$B2"(B) ; J83-B-3222
(ucs-set-char #x65FB ?$(CZC(B) ; KS0-C-5A43
(ucs-set-char #x65FB ?$(H'*(B) ; C02-H-272A
(ucs-set-char #x65FB ?$@Za(B) ; J78-@-5A61
(ucs-set-char #x65FB ?$BZa(B) ; J83-B-5A61
(ucs-set-char #x65FC ?$(CZD(B) ; KS0-C-5A44
(ucs-set-char #x65FC ?$(H'&(B) ; C02-H-2726
(ucs-set-char #x65FD ?$(CTE(B) ; KS0-C-5445
(ucs-set-char #x65FD ?$(H'/(B) ; C02-H-272F
(ucs-set-char #x65FE ?$(DAs(B) ; J90-D-4173
(ucs-set-char #x65FE ?$(I)C(B) ; C03-I-2943
(ucs-set-char #x65FF ?$(Cgz(B) ; KS0-C-677A
(ucs-set-char #x65FF ?$(DAt(B) ; J90-D-4174
(ucs-set-char #x65FF ?$(I)>(B) ; C03-I-293E
(ucs-set-char #x6600 ?$(DAu(B) ; J90-D-4175
(ucs-set-char #x6600 ?$(GM}(B) ; C01-G-4D7D
(ucs-set-char #x6600 ?$Aj@(B) ; GB0-A-6A40
(ucs-set-char #x6601 ?$(I)B(B) ; C03-I-2942
(ucs-set-char #x6602 ?$(GM{(B) ; C01-G-4D7B
(ucs-set-char #x6602 ?$A0:(B) ; GB0-A-303A
(ucs-set-char #x6602 ?$B97(B) ; J83-B-3937
(ucs-set-char #x6603 ?$(H'+(B) ; C02-H-272B
(ucs-set-char #x6603 ?$@Z`(B) ; J78-@-5A60
(ucs-set-char #x6603 ?$Aj>(B) ; GB0-A-6A3E
(ucs-set-char #x6603 ?$BZ`(B) ; J83-B-5A60
(ucs-set-char #x6604 ?$(DAv(B) ; J90-D-4176
(ucs-set-char #x6604 ?$(H''(B) ; C02-H-2727
(ucs-set-char #x6605 ?$(H'.(B) ; C02-H-272E
(ucs-set-char #x6606 ?$(CM`(B) ; KS0-C-4D60
(ucs-set-char #x6606 ?$(GMz(B) ; C01-G-4D7A
(ucs-set-char #x6606 ?$@:+(B) ; J78-@-3A2B
(ucs-set-char #x6606 ?$A@%(B) ; GB0-A-4025
(ucs-set-char #x6606 ?$B:+(B) ; J83-B-3A2B
(ucs-set-char #x6607 ?$(Cc0(B) ; KS0-C-6330
(ucs-set-char #x6607 ?$(GN#(B) ; C01-G-4E23
(ucs-set-char #x6607 ?$@>:(B) ; J78-@-3E3A
(ucs-set-char #x6607 ?$B>:(B) ; J83-B-3E3A
(ucs-set-char #x6608 ?$(DAw(B) ; J90-D-4177
(ucs-set-char #x6608 ?$(H')(B) ; C02-H-2729
(ucs-set-char #x6609 ?$(C[2(B) ; KS0-C-5B32
(ucs-set-char #x6609 ?$(DAx(B) ; J90-D-4178
(ucs-set-char #x6609 ?$(H'%(B) ; C02-H-2725
(ucs-set-char #x660A ?$(C{D(B) ; KS0-C-7B44
(ucs-set-char #x660A ?$(GN"(B) ; C01-G-4E22
(ucs-set-char #x660A ?$@Z_(B) ; J78-@-5A5F
(ucs-set-char #x660A ?$Aj;(B) ; GB0-A-6A3B
(ucs-set-char #x660A ?$BZ_(B) ; J83-B-5A5F
(ucs-set-char #x660B ?$(H',(B) ; C02-H-272C
(ucs-set-char #x660C ?$(Csc(B) ; KS0-C-7363
(ucs-set-char #x660C ?$(GMy(B) ; C01-G-4D79
(ucs-set-char #x660C ?$@>;(B) ; J78-@-3E3B
(ucs-set-char #x660C ?$A2}(B) ; GB0-A-327D
(ucs-set-char #x660C ?$B>;(B) ; J83-B-3E3B
(ucs-set-char #x660D ?$(DAy(B) ; J90-D-4179
(ucs-set-char #x660D ?$(H'-(B) ; C02-H-272D
(ucs-set-char #x660E ?$(CY%(B) ; KS0-C-5925
(ucs-set-char #x660E ?$(GM|(B) ; C01-G-4D7C
(ucs-set-char #x660E ?$@L@(B) ; J78-@-4C40
(ucs-set-char #x660E ?$ACw(B) ; GB0-A-4377
(ucs-set-char #x660E ?$BL@(B) ; J83-B-4C40
(ucs-set-char #x660F ?$(C{g(B) ; KS0-C-7B67
(ucs-set-char #x660F ?$(GM~(B) ; C01-G-4D7E
(ucs-set-char #x660F ?$@:*(B) ; J78-@-3A2A
(ucs-set-char #x660F ?$A;h(B) ; GB0-A-3B68
(ucs-set-char #x660F ?$B:*(B) ; J83-B-3A2A
(ucs-set-char #x6610 ?$(C]K(B) ; KS0-C-5D4B
(ucs-set-char #x6610 ?$(H'1(B) ; C02-H-2731
(ucs-set-char #x6611 ?$(CPT(B) ; KS0-C-5054
(ucs-set-char #x6611 ?$(DAz(B) ; J90-D-417A
(ucs-set-char #x6611 ?$(H'0(B) ; C02-H-2730
(ucs-set-char #x6612 ?$(DA{(B) ; J90-D-417B
(ucs-set-char #x6612 ?$(H'((B) ; C02-H-2728
(ucs-set-char #x6613 ?$(Cf6(B) ; KS0-C-6636
(ucs-set-char #x6613 ?$(GMx(B) ; C01-G-4D78
(ucs-set-char #x6613 ?$@0W(B) ; J78-@-3057
(ucs-set-char #x6613 ?$ARW(B) ; GB0-A-5257
(ucs-set-char #x6613 ?$B0W(B) ; J83-B-3057
(ucs-set-char #x6614 ?$(C`.(B) ; KS0-C-602E
(ucs-set-char #x6614 ?$(GMw(B) ; C01-G-4D77
(ucs-set-char #x6614 ?$@@N(B) ; J78-@-404E
(ucs-set-char #x6614 ?$ANt(B) ; GB0-A-4E74
(ucs-set-char #x6614 ?$B@N(B) ; J83-B-404E
(ucs-set-char #x6615 ?$(C}Z(B) ; KS0-C-7D5A
(ucs-set-char #x6615 ?$(DA|(B) ; J90-D-417C
(ucs-set-char #x6615 ?$(GN!(B) ; C01-G-4E21
(ucs-set-char #x6615 ?$Aj?(B) ; GB0-A-6A3F
(ucs-set-char #x6616 ?$(DA}(B) ; J90-D-417D
(ucs-set-char #x6616 ?$(J&a(B) ; C04-J-2661
(ucs-set-char #x6617 ?$(I)@(B) ; C03-I-2940
(ucs-set-char #x6618 ?$(I)A(B) ; C03-I-2941
(ucs-set-char #x6619 ?$Aj<(B) ; GB0-A-6A3C
(ucs-set-char #x661A ?$(I,~(B) ; C03-I-2C7E
(ucs-set-char #x661B ?$(I,z(B) ; C03-I-2C7A
(ucs-set-char #x661C ?$(H*p(B) ; C02-H-2A70
(ucs-set-char #x661C ?$@Zf(B) ; J78-@-5A66
(ucs-set-char #x661C ?$BZf(B) ; J83-B-5A66
(ucs-set-char #x661D ?$(DA~(B) ; J90-D-417E
(ucs-set-char #x661D ?$(H*v(B) ; C02-H-2A76
(ucs-set-char #x661D ?$AjC(B) ; GB0-A-6A43
(ucs-set-char #x661E ?$(C\5(B) ; KS0-C-5C35
(ucs-set-char #x661E ?$(DB!(B) ; J90-D-4221
(ucs-set-char #x661E ?$(I-#(B) ; C03-I-2D23
(ucs-set-char #x661F ?$(C`x(B) ; KS0-C-6078
(ucs-set-char #x661F ?$(GQS(B) ; C01-G-5153
(ucs-set-char #x661F ?$@@1(B) ; J78-@-4031
(ucs-set-char #x661F ?$APG(B) ; GB0-A-5047
(ucs-set-char #x661F ?$B@1(B) ; J83-B-4031
(ucs-set-char #x6620 ?$(Cg1(B) ; KS0-C-6731
(ucs-set-char #x6620 ?$(GQP(B) ; C01-G-5150
(ucs-set-char #x6620 ?$@1G(B) ; J78-@-3147
(ucs-set-char #x6620 ?$AS3(B) ; GB0-A-5333
(ucs-set-char #x6620 ?$B1G(B) ; J83-B-3147
(ucs-set-char #x6621 ?$(DB"(B) ; J90-D-4222
(ucs-set-char #x6621 ?$(H*m(B) ; C02-H-2A6D
(ucs-set-char #x6622 ?$(DB#(B) ; J90-D-4223
(ucs-set-char #x6622 ?$(H*r(B) ; C02-H-2A72
(ucs-set-char #x6623 ?$(DB$(B) ; J90-D-4224
(ucs-set-char #x6623 ?$(I,|(B) ; C03-I-2C7C
(ucs-set-char #x6624 ?$(DB%(B) ; J90-D-4225
(ucs-set-char #x6624 ?$(GQV(B) ; C01-G-5156
(ucs-set-char #x6625 ?$(Cup(B) ; KS0-C-7570
(ucs-set-char #x6625 ?$(GQN(B) ; C01-G-514E
(ucs-set-char #x6625 ?$@=U(B) ; J78-@-3D55
(ucs-set-char #x6625 ?$A4:(B) ; GB0-A-343A
(ucs-set-char #x6625 ?$B=U(B) ; J83-B-3D55
(ucs-set-char #x6626 ?$(DB&(B) ; J90-D-4226
(ucs-set-char #x6626 ?$(H*q(B) ; C02-H-2A71
(ucs-set-char #x6627 ?$(CX\(B) ; KS0-C-585C
(ucs-set-char #x6627 ?$(GQQ(B) ; C01-G-5151
(ucs-set-char #x6627 ?$@Kf(B) ; J78-@-4B66
(ucs-set-char #x6627 ?$ACA(B) ; GB0-A-4341
(ucs-set-char #x6627 ?$BKf(B) ; J83-B-4B66
(ucs-set-char #x6628 ?$(CmF(B) ; KS0-C-6D46
(ucs-set-char #x6628 ?$(GQT(B) ; C01-G-5154
(ucs-set-char #x6628 ?$@:r(B) ; J78-@-3A72
(ucs-set-char #x6628 ?$AWr(B) ; GB0-A-5772
(ucs-set-char #x6628 ?$B:r(B) ; J83-B-3A72
(ucs-set-char #x6629 ?$(DB'(B) ; J90-D-4227
(ucs-set-char #x6629 ?$(I,y(B) ; C03-I-2C79
(ucs-set-char #x662A ?$(DB((B) ; J90-D-4228
(ucs-set-char #x662A ?$(J)g(B) ; C04-J-2967
(ucs-set-char #x662B ?$(DB)(B) ; J90-D-4229
(ucs-set-char #x662B ?$(H*t(B) ; C02-H-2A74
(ucs-set-char #x662C ?$(DB*(B) ; J90-D-422A
(ucs-set-char #x662C ?$(I,}(B) ; C03-I-2C7D
(ucs-set-char #x662D ?$(Ca9(B) ; KS0-C-6139
(ucs-set-char #x662D ?$(GQO(B) ; C01-G-514F
(ucs-set-char #x662D ?$@><(B) ; J78-@-3E3C
(ucs-set-char #x662D ?$AUQ(B) ; GB0-A-5551
(ucs-set-char #x662D ?$B><(B) ; J83-B-3E3C
(ucs-set-char #x662E ?$(DB+(B) ; J90-D-422B
(ucs-set-char #x662E ?$(H*y(B) ; C02-H-2A79
(ucs-set-char #x662F ?$(Cc@(B) ; KS0-C-6340
(ucs-set-char #x662F ?$(GQR(B) ; C01-G-5152
(ucs-set-char #x662F ?$@@'(B) ; J78-@-4027
(ucs-set-char #x662F ?$AJG(B) ; GB0-A-4A47
(ucs-set-char #x662F ?$B@'(B) ; J83-B-4027
(ucs-set-char #x6630 ?$(Cy@(B) ; KS0-C-7940
(ucs-set-char #x6630 ?$(DB,(B) ; J90-D-422C
(ucs-set-char #x6630 ?$(I-!(B) ; C03-I-2D21
(ucs-set-char #x6631 ?$(Cip(B) ; KS0-C-6970
(ucs-set-char #x6631 ?$(DB-(B) ; J90-D-422D
(ucs-set-char #x6631 ?$(GQU(B) ; C01-G-5155
(ucs-set-char #x6631 ?$AjE(B) ; GB0-A-6A45
(ucs-set-char #x6632 ?$(H*n(B) ; C02-H-2A6E
(ucs-set-char #x6633 ?$(DB.(B) ; J90-D-422E
(ucs-set-char #x6633 ?$(H*s(B) ; C02-H-2A73
(ucs-set-char #x6634 ?$(CY[(B) ; KS0-C-595B
(ucs-set-char #x6634 ?$(H*w(B) ; C02-H-2A77
(ucs-set-char #x6634 ?$@Ze(B) ; J78-@-5A65
(ucs-set-char #x6634 ?$AjD(B) ; GB0-A-6A44
(ucs-set-char #x6634 ?$BZe(B) ; J83-B-5A65
(ucs-set-char #x6635 ?$(H*o(B) ; C02-H-2A6F
(ucs-set-char #x6635 ?$@Zc(B) ; J78-@-5A63
(ucs-set-char #x6635 ?$AjG(B) ; GB0-A-6A47
(ucs-set-char #x6635 ?$BZc(B) ; J83-B-5A63
(ucs-set-char #x6636 ?$(Csd(B) ; KS0-C-7364
(ucs-set-char #x6636 ?$(H*l(B) ; C02-H-2A6C
(ucs-set-char #x6636 ?$@Zd(B) ; J78-@-5A64
(ucs-set-char #x6636 ?$AjF(B) ; GB0-A-6A46
(ucs-set-char #x6636 ?$BZd(B) ; J83-B-5A64
(ucs-set-char #x6637 ?$(DB0(B) ; J90-D-4230
(ucs-set-char #x6637 ?$(I-$(B) ; C03-I-2D24
(ucs-set-char #x6638 ?$(I-%(B) ; C03-I-2D25
(ucs-set-char #x6639 ?$(DB/(B) ; J90-D-422F
(ucs-set-char #x6639 ?$(H*x(B) ; C02-H-2A78
(ucs-set-char #x663A ?$(C\6(B) ; KS0-C-5C36
(ucs-set-char #x663A ?$(H*u(B) ; C02-H-2A75
(ucs-set-char #x663B ?$(Cdi(B) ; KS0-C-6469
(ucs-set-char #x663B ?$(I-"(B) ; C03-I-2D22
(ucs-set-char #x663B ?$@97(B) ; J78-@-3937
(ucs-set-char #x663C ?$(I,7(B) ; C03-I-2C37
(ucs-set-char #x663C ?$@Ck(B) ; J78-@-436B
(ucs-set-char #x663C ?$AVg(B) ; GB0-A-5667
(ucs-set-char #x663C ?$BCk(B) ; J83-B-436B
(ucs-set-char #x663E ?$AOT(B) ; GB0-A-4F54
(ucs-set-char #x663F ?$@[&(B) ; J78-@-5B26
(ucs-set-char #x663F ?$B[&(B) ; J83-B-5B26
(ucs-set-char #x6640 ?$(DB1(B) ; J90-D-4231
(ucs-set-char #x6640 ?$(I1F(B) ; C03-I-3146
(ucs-set-char #x6641 ?$(CpE(B) ; KS0-C-7045
(ucs-set-char #x6641 ?$(GUr(B) ; C01-G-5572
(ucs-set-char #x6641 ?$@Zj(B) ; J78-@-5A6A
(ucs-set-char #x6641 ?$AjK(B) ; GB0-A-6A4B
(ucs-set-char #x6641 ?$BZj(B) ; J83-B-5A6A
(ucs-set-char #x6642 ?$(CcA(B) ; KS0-C-6341
(ucs-set-char #x6642 ?$(GUk(B) ; C01-G-556B
(ucs-set-char #x6642 ?$@;~(B) ; J78-@-3B7E
(ucs-set-char #x6642 ?$B;~(B) ; J83-B-3B7E
(ucs-set-char #x6643 ?$(C|L(B) ; KS0-C-7C4C
(ucs-set-char #x6643 ?$(GUn(B) ; C01-G-556E
(ucs-set-char #x6643 ?$@98(B) ; J78-@-3938
(ucs-set-char #x6643 ?$A;N(B) ; GB0-A-3B4E
(ucs-set-char #x6643 ?$B98(B) ; J83-B-3938
(ucs-set-char #x6644 ?$(C|M(B) ; KS0-C-7C4D
(ucs-set-char #x6644 ?$(I1L(B) ; C03-I-314C
(ucs-set-char #x6644 ?$@Zh(B) ; J78-@-5A68
(ucs-set-char #x6644 ?$BZh(B) ; J83-B-5A68
(ucs-set-char #x6645 ?$(DB2(B) ; J90-D-4232
(ucs-set-char #x6645 ?$(GUq(B) ; C01-G-5571
(ucs-set-char #x6646 ?$(DB3(B) ; J90-D-4233
(ucs-set-char #x6646 ?$(I1D(B) ; C03-I-3144
(ucs-set-char #x6647 ?$(H/W(B) ; C02-H-2F57
(ucs-set-char #x6648 ?$(I1I(B) ; C03-I-3149
(ucs-set-char #x6649 ?$(CrK(B) ; KS0-C-724B
(ucs-set-char #x6649 ?$(GUl(B) ; C01-G-556C
(ucs-set-char #x6649 ?$@Zi(B) ; J78-@-5A69
(ucs-set-char #x6649 ?$BZi(B) ; J83-B-5A69
(ucs-set-char #x664A ?$(DB4(B) ; J90-D-4234
(ucs-set-char #x664A ?$(H/U(B) ; C02-H-2F55
(ucs-set-char #x664B ?$(CrL(B) ; KS0-C-724C
(ucs-set-char #x664B ?$(I1H(B) ; C03-I-3148
(ucs-set-char #x664B ?$@?8(B) ; J78-@-3F38
(ucs-set-char #x664B ?$A=z(B) ; GB0-A-3D7A
(ucs-set-char #x664B ?$B?8(B) ; J83-B-3F38
(ucs-set-char #x664C ?$(DB5(B) ; J90-D-4235
(ucs-set-char #x664C ?$(GUp(B) ; C01-G-5570
(ucs-set-char #x664C ?$AIN(B) ; GB0-A-494E
(ucs-set-char #x664D ?$(I1M(B) ; C03-I-314D
(ucs-set-char #x664E ?$(DB7(B) ; J90-D-4237
(ucs-set-char #x664E ?$(I1E(B) ; C03-I-3145
(ucs-set-char #x664F ?$(CdO(B) ; KS0-C-644F
(ucs-set-char #x664F ?$(GUm(B) ; C01-G-556D
(ucs-set-char #x664F ?$@Zg(B) ; J78-@-5A67
(ucs-set-char #x664F ?$AjL(B) ; GB0-A-6A4C
(ucs-set-char #x664F ?$BZg(B) ; J83-B-5A67
(ucs-set-char #x6650 ?$(I1C(B) ; C03-I-3143
(ucs-set-char #x6651 ?$(DB6(B) ; J90-D-4236
(ucs-set-char #x6651 ?$(H/X(B) ; C02-H-2F58
(ucs-set-char #x6652 ?$(GUo(B) ; C01-G-556F
(ucs-set-char #x6652 ?$@;/(B) ; J78-@-3B2F
(ucs-set-char #x6652 ?$AI9(B) ; GB0-A-4939
(ucs-set-char #x6652 ?$B;/(B) ; J83-B-3B2F
(ucs-set-char #x6653 ?$AO~(B) ; GB0-A-4F7E
(ucs-set-char #x6654 ?$AjJ(B) ; GB0-A-6A4A
(ucs-set-char #x6655 ?$ATN(B) ; GB0-A-544E
(ucs-set-char #x6656 ?$AjM(B) ; GB0-A-6A4D
(ucs-set-char #x6657 ?$(DB8(B) ; J90-D-4238
(ucs-set-char #x6657 ?$(I6B(B) ; C03-I-3642
(ucs-set-char #x6657 ?$AjO(B) ; GB0-A-6A4F
(ucs-set-char #x6658 ?$(DB9(B) ; J90-D-4239
(ucs-set-char #x6658 ?$(J29(B) ; C04-J-3239
(ucs-set-char #x6659 ?$(Cq[(B) ; KS0-C-715B
(ucs-set-char #x6659 ?$(DB:(B) ; J90-D-423A
(ucs-set-char #x6659 ?$(H5n(B) ; C02-H-356E
(ucs-set-char #x665A ?$(G[%(B) ; C01-G-5B25
(ucs-set-char #x665A ?$AMm(B) ; GB0-A-4D6D
(ucs-set-char #x665B ?$(CzY(B) ; KS0-C-7A59
(ucs-set-char #x665B ?$(DB;(B) ; J90-D-423B
(ucs-set-char #x665B ?$(H5m(B) ; C02-H-356D
(ucs-set-char #x665C ?$(DB<(B) ; J90-D-423C
(ucs-set-char #x665C ?$(H5o(B) ; C02-H-356F
(ucs-set-char #x665D ?$(Cq8(B) ; KS0-C-7138
(ucs-set-char #x665D ?$(G[$(B) ; C01-G-5B24
(ucs-set-char #x665D ?$@Zl(B) ; J78-@-5A6C
(ucs-set-char #x665D ?$BZl(B) ; J83-B-5A6C
(ucs-set-char #x665E ?$(C}u(B) ; KS0-C-7D75
(ucs-set-char #x665E ?$(G[)(B) ; C01-G-5B29
(ucs-set-char #x665E ?$@Zk(B) ; J78-@-5A6B
(ucs-set-char #x665E ?$BZk(B) ; J83-B-5A6B
(ucs-set-char #x665F ?$(C`y(B) ; KS0-C-6079
(ucs-set-char #x665F ?$(H/V(B) ; C02-H-2F56
(ucs-set-char #x665F ?$@Zp(B) ; J78-@-5A70
(ucs-set-char #x665F ?$AjI(B) ; GB0-A-6A49
(ucs-set-char #x665F ?$BZp(B) ; J83-B-5A70
(ucs-set-char #x6660 ?$(DB=(B) ; J90-D-423D
(ucs-set-char #x6660 ?$(I1K(B) ; C03-I-314B
(ucs-set-char #x6661 ?$(DB>(B) ; J90-D-423E
(ucs-set-char #x6661 ?$(H5l(B) ; C02-H-356C
(ucs-set-char #x6661 ?$AjN(B) ; GB0-A-6A4E
(ucs-set-char #x6662 ?$(H5p(B) ; C02-H-3570
(ucs-set-char #x6662 ?$@Zq(B) ; J78-@-5A71
(ucs-set-char #x6662 ?$BZq(B) ; J83-B-5A71
(ucs-set-char #x6663 ?$(I6D(B) ; C03-I-3644
(ucs-set-char #x6664 ?$(Cg{(B) ; KS0-C-677B
(ucs-set-char #x6664 ?$(G[&(B) ; C01-G-5B26
(ucs-set-char #x6664 ?$@Zm(B) ; J78-@-5A6D
(ucs-set-char #x6664 ?$ANn(B) ; GB0-A-4E6E
(ucs-set-char #x6664 ?$BZm(B) ; J83-B-5A6D
(ucs-set-char #x6665 ?$(C|7(B) ; KS0-C-7C37
(ucs-set-char #x6665 ?$(H5k(B) ; C02-H-356B
(ucs-set-char #x6666 ?$(C|d(B) ; KS0-C-7C64
(ucs-set-char #x6666 ?$(G[((B) ; C01-G-5B28
(ucs-set-char #x6666 ?$@3"(B) ; J78-@-3322
(ucs-set-char #x6666 ?$A;^(B) ; GB0-A-3B5E
(ucs-set-char #x6666 ?$B3"(B) ; J83-B-3322
(ucs-set-char #x6667 ?$(C{E(B) ; KS0-C-7B45
(ucs-set-char #x6667 ?$(I6E(B) ; C03-I-3645
(ucs-set-char #x6667 ?$@Zn(B) ; J78-@-5A6E
(ucs-set-char #x6667 ?$BZn(B) ; J83-B-5A6E
(ucs-set-char #x6668 ?$(Ccg(B) ; KS0-C-6367
(ucs-set-char #x6668 ?$(G['(B) ; C01-G-5B27
(ucs-set-char #x6668 ?$@Zo(B) ; J78-@-5A6F
(ucs-set-char #x6668 ?$A3?(B) ; GB0-A-333F
(ucs-set-char #x6668 ?$BZo(B) ; J83-B-5A6F
(ucs-set-char #x6669 ?$(CX9(B) ; KS0-C-5839
(ucs-set-char #x6669 ?$(I<&(B) ; C03-I-3C26
(ucs-set-char #x6669 ?$@HU(B) ; J78-@-4855
(ucs-set-char #x6669 ?$BHU(B) ; J83-B-4855
(ucs-set-char #x666A ?$(DB@(B) ; J90-D-4240
(ucs-set-char #x666A ?$(H<J(B) ; C02-H-3C4A
(ucs-set-char #x666B ?$(Cvx(B) ; KS0-C-7678
(ucs-set-char #x666B ?$(DBA(B) ; J90-D-4241
(ucs-set-char #x666B ?$(I;}(B) ; C03-I-3B7D
(ucs-set-char #x666C ?$(DBB(B) ; J90-D-4242
(ucs-set-char #x666C ?$(H<E(B) ; C02-H-3C45
(ucs-set-char #x666D ?$(I<%(B) ; C03-I-3C25
(ucs-set-char #x666E ?$(C\E(B) ; KS0-C-5C45
(ucs-set-char #x666E ?$(G_[(B) ; C01-G-5F5B
(ucs-set-char #x666E ?$@Ia(B) ; J78-@-4961
(ucs-set-char #x666E ?$AFU(B) ; GB0-A-4655
(ucs-set-char #x666E ?$BIa(B) ; J83-B-4961
(ucs-set-char #x666F ?$(CLX(B) ; KS0-C-4C58
(ucs-set-char #x666F ?$(G__(B) ; C01-G-5F5F
(ucs-set-char #x666F ?$@7J(B) ; J78-@-374A
(ucs-set-char #x666F ?$A>0(B) ; GB0-A-3E30
(ucs-set-char #x666F ?$B7J(B) ; J83-B-374A
(ucs-set-char #x6670 ?$(G_\(B) ; C01-G-5F5C
(ucs-set-char #x6670 ?$@Zr(B) ; J78-@-5A72
(ucs-set-char #x6670 ?$ANz(B) ; GB0-A-4E7A
(ucs-set-char #x6670 ?$BZr(B) ; J83-B-5A72
(ucs-set-char #x6671 ?$(H<H(B) ; C02-H-3C48
(ucs-set-char #x6672 ?$(H<K(B) ; C02-H-3C4B
(ucs-set-char #x6673 ?$(C`/(B) ; KS0-C-602F
(ucs-set-char #x6673 ?$(DBD(B) ; J90-D-4244
(ucs-set-char #x6673 ?$(I<#(B) ; C03-I-3C23
(ucs-set-char #x6674 ?$(Ctg(B) ; KS0-C-7467
(ucs-set-char #x6674 ?$(G_](B) ; C01-G-5F5D
(ucs-set-char #x6674 ?$@@2(B) ; J78-@-4032
(ucs-set-char #x6674 ?$AGg(B) ; GB0-A-4767
(ucs-set-char #x6674 ?$B@2(B) ; J83-B-4032
(ucs-set-char #x6675 ?$(DBE(B) ; J90-D-4245
(ucs-set-char #x6675 ?$(J8$(B) ; C04-J-3824
(ucs-set-char #x6676 ?$(Co\(B) ; KS0-C-6F5C
(ucs-set-char #x6676 ?$(G_^(B) ; C01-G-5F5E
(ucs-set-char #x6676 ?$@>=(B) ; J78-@-3E3D
(ucs-set-char #x6676 ?$A>'(B) ; GB0-A-3E27
(ucs-set-char #x6676 ?$B>=(B) ; J83-B-3E3D
(ucs-set-char #x6677 ?$(CO|(B) ; KS0-C-4F7C
(ucs-set-char #x6677 ?$(DBG(B) ; J90-D-4247
(ucs-set-char #x6677 ?$(G_c(B) ; C01-G-5F63
(ucs-set-char #x6677 ?$AjP(B) ; GB0-A-6A50
(ucs-set-char #x6678 ?$(Co](B) ; KS0-C-6F5D
(ucs-set-char #x6678 ?$(DBH(B) ; J90-D-4248
(ucs-set-char #x6678 ?$(HCM(B) ; C02-H-434D
(ucs-set-char #x6679 ?$(DBI(B) ; J90-D-4249
(ucs-set-char #x6679 ?$(H<I(B) ; C02-H-3C49
(ucs-set-char #x667A ?$(Cr*(B) ; KS0-C-722A
(ucs-set-char #x667A ?$(G_a(B) ; C01-G-5F61
(ucs-set-char #x667A ?$@CR(B) ; J78-@-4352
(ucs-set-char #x667A ?$AVG(B) ; GB0-A-5647
(ucs-set-char #x667A ?$BCR(B) ; J83-B-4352
(ucs-set-char #x667B ?$(DBJ(B) ; J90-D-424A
(ucs-set-char #x667B ?$(H<F(B) ; C02-H-3C46
(ucs-set-char #x667C ?$(DBL(B) ; J90-D-424C
(ucs-set-char #x667C ?$(H<D(B) ; C02-H-3C44
(ucs-set-char #x667D ?$(I;|(B) ; C03-I-3B7C
(ucs-set-char #x667E ?$(DBC(B) ; J90-D-4243
(ucs-set-char #x667E ?$(G_b(B) ; C01-G-5F62
(ucs-set-char #x667E ?$AA@(B) ; GB0-A-4140
(ucs-set-char #x667F ?$(DBF(B) ; J90-D-4246
(ucs-set-char #x667F ?$(I;~(B) ; C03-I-3B7E
(ucs-set-char #x6680 ?$(DBK(B) ; J90-D-424B
(ucs-set-char #x6680 ?$(H<G(B) ; C02-H-3C47
(ucs-set-char #x6681 ?$(I<$(B) ; C03-I-3C24
(ucs-set-char #x6681 ?$@6G(B) ; J78-@-3647
(ucs-set-char #x6681 ?$B6G(B) ; J83-B-3647
(ucs-set-char #x6682 ?$AT](B) ; GB0-A-545D
(ucs-set-char #x6683 ?$@Zs(B) ; J78-@-5A73
(ucs-set-char #x6683 ?$BZs(B) ; J83-B-5A73
(ucs-set-char #x6684 ?$(C}>(B) ; KS0-C-7D3E
(ucs-set-char #x6684 ?$(GdA(B) ; C01-G-6441
(ucs-set-char #x6684 ?$@Zw(B) ; J78-@-5A77
(ucs-set-char #x6684 ?$AjQ(B) ; GB0-A-6A51
(ucs-set-char #x6684 ?$BZw(B) ; J83-B-5A77
(ucs-set-char #x6685 ?$(J=i(B) ; C04-J-3D69
(ucs-set-char #x6686 ?$(HCE(B) ; C02-H-4345
(ucs-set-char #x6687 ?$(CJ,(B) ; KS0-C-4A2C
(ucs-set-char #x6687 ?$(Gd>(B) ; C01-G-643E
(ucs-set-char #x6687 ?$@2K(B) ; J78-@-324B
(ucs-set-char #x6687 ?$AO>(B) ; GB0-A-4F3E
(ucs-set-char #x6687 ?$B2K(B) ; J83-B-324B
(ucs-set-char #x6688 ?$(C};(B) ; KS0-C-7D3B
(ucs-set-char #x6688 ?$(Gd?(B) ; C01-G-643F
(ucs-set-char #x6688 ?$@Zt(B) ; J78-@-5A74
(ucs-set-char #x6688 ?$BZt(B) ; J83-B-5A74
(ucs-set-char #x6689 ?$(C}G(B) ; KS0-C-7D47
(ucs-set-char #x6689 ?$(Gd=(B) ; C01-G-643D
(ucs-set-char #x6689 ?$@Zv(B) ; J78-@-5A76
(ucs-set-char #x6689 ?$BZv(B) ; J83-B-5A76
(ucs-set-char #x668A ?$(HCJ(B) ; C02-H-434A
(ucs-set-char #x668B ?$(DBM(B) ; J90-D-424D
(ucs-set-char #x668B ?$(HCI(B) ; C02-H-4349
(ucs-set-char #x668C ?$(DBN(B) ; J90-D-424E
(ucs-set-char #x668C ?$(HCF(B) ; C02-H-4346
(ucs-set-char #x668C ?$AjR(B) ; GB0-A-6A52
(ucs-set-char #x668D ?$(DBO(B) ; J90-D-424F
(ucs-set-char #x668D ?$(GdC(B) ; C01-G-6443
(ucs-set-char #x668E ?$(Cg2(B) ; KS0-C-6732
(ucs-set-char #x668E ?$(IA[(B) ; C03-I-415B
(ucs-set-char #x668E ?$@Zu(B) ; J78-@-5A75
(ucs-set-char #x668E ?$BZu(B) ; J83-B-5A75
(ucs-set-char #x668F ?$(IAV(B) ; C03-I-4156
(ucs-set-char #x6690 ?$(CjQ(B) ; KS0-C-6A51
(ucs-set-char #x6690 ?$(DBP(B) ; J90-D-4250
(ucs-set-char #x6690 ?$(HCH(B) ; C02-H-4348
(ucs-set-char #x6691 ?$(C_t(B) ; KS0-C-5F74
(ucs-set-char #x6691 ?$(G_`(B) ; C01-G-5F60
(ucs-set-char #x6691 ?$(LS<(B) ; C06-L-533C
(ucs-set-char #x6691 ?$@=k(B) ; J78-@-3D6B
(ucs-set-char #x6691 ?$AJn(B) ; GB0-A-4A6E
(ucs-set-char #x6691 ?$B=k(B) ; J83-B-3D6B
(ucs-set-char #x6692 ?$(DBQ(B) ; J90-D-4251
(ucs-set-char #x6692 ?$(IAY(B) ; C03-I-4159
(ucs-set-char #x6693 ?$(IAQ(B) ; C03-I-4151
(ucs-set-char #x6694 ?$(HCL(B) ; C02-H-434C
(ucs-set-char #x6695 ?$(HCG(B) ; C02-H-4347
(ucs-set-char #x6696 ?$(CQl(B) ; KS0-C-516C
(ucs-set-char #x6696 ?$(Gd@(B) ; C01-G-6440
(ucs-set-char #x6696 ?$@CH(B) ; J78-@-4348
(ucs-set-char #x6696 ?$AE/(B) ; GB0-A-452F
(ucs-set-char #x6696 ?$BCH(B) ; J83-B-4348
(ucs-set-char #x6697 ?$(Cd^(B) ; KS0-C-645E
(ucs-set-char #x6697 ?$(Gd<(B) ; C01-G-643C
(ucs-set-char #x6697 ?$@0E(B) ; J78-@-3045
(ucs-set-char #x6697 ?$A05(B) ; GB0-A-3035
(ucs-set-char #x6697 ?$B0E(B) ; J83-B-3045
(ucs-set-char #x6698 ?$(CeC(B) ; KS0-C-6543
(ucs-set-char #x6698 ?$(GdB(B) ; C01-G-6442
(ucs-set-char #x6698 ?$@Zx(B) ; J78-@-5A78
(ucs-set-char #x6698 ?$BZx(B) ; J83-B-5A78
(ucs-set-char #x6699 ?$(DBR(B) ; J90-D-4252
(ucs-set-char #x6699 ?$(HCK(B) ; C02-H-434B
(ucs-set-char #x669A ?$(DBS(B) ; J90-D-4253
(ucs-set-char #x669A ?$(IG4(B) ; C03-I-4734
(ucs-set-char #x669B ?$(DBT(B) ; J90-D-4254
(ucs-set-char #x669B ?$(JCk(B) ; C04-J-436B
(ucs-set-char #x669C ?$(DBU(B) ; J90-D-4255
(ucs-set-char #x669C ?$(IG5(B) ; C03-I-4735
(ucs-set-char #x669D ?$(CY&(B) ; KS0-C-5926
(ucs-set-char #x669D ?$(Gi%(B) ; C01-G-6925
(ucs-set-char #x669D ?$@Zy(B) ; J78-@-5A79
(ucs-set-char #x669D ?$AjT(B) ; GB0-A-6A54
(ucs-set-char #x669D ?$BZy(B) ; J83-B-5A79
(ucs-set-char #x669E ?$(JCo(B) ; C04-J-436F
(ucs-set-char #x669F ?$(DBV(B) ; J90-D-4256
(ucs-set-char #x669F ?$(HJ_(B) ; C02-H-4A5F
(ucs-set-char #x66A0 ?$(CM<(B) ; KS0-C-4D3C
(ucs-set-char #x66A0 ?$(DBW(B) ; J90-D-4257
(ucs-set-char #x66A0 ?$(HJ^(B) ; C02-H-4A5E
(ucs-set-char #x66A1 ?$(HJ](B) ; C02-H-4A5D
(ucs-set-char #x66A2 ?$(Cse(B) ; KS0-C-7365
(ucs-set-char #x66A2 ?$(Gi#(B) ; C01-G-6923
(ucs-set-char #x66A2 ?$@D*(B) ; J78-@-442A
(ucs-set-char #x66A2 ?$BD*(B) ; J83-B-442A
(ucs-set-char #x66A3 ?$(JCm(B) ; C04-J-436D
(ucs-set-char #x66A4 ?$(DBX(B) ; J90-D-4258
(ucs-set-char #x66A4 ?$(IG9(B) ; C03-I-4739
(ucs-set-char #x66A5 ?$(IG3(B) ; C03-I-4733
(ucs-set-char #x66A6 ?$(IG7(B) ; C03-I-4737
(ucs-set-char #x66A6 ?$@Nq(B) ; J78-@-4E71
(ucs-set-char #x66A6 ?$BNq(B) ; J83-B-4E71
(ucs-set-char #x66A7 ?$AjS(B) ; GB0-A-6A53
(ucs-set-char #x66A8 ?$(Gi$(B) ; C01-G-6924
(ucs-set-char #x66A8 ?$At_(B) ; GB0-A-745F
(ucs-set-char #x66A9 ?$(HPl(B) ; C02-H-506C
(ucs-set-char #x66AA ?$(HPo(B) ; C02-H-506F
(ucs-set-char #x66AB ?$(CmU(B) ; KS0-C-6D55
(ucs-set-char #x66AB ?$(Gm2(B) ; C01-G-6D32
(ucs-set-char #x66AB ?$@;C(B) ; J78-@-3B43
(ucs-set-char #x66AB ?$B;C(B) ; J83-B-3B43
(ucs-set-char #x66AC ?$(ILD(B) ; C03-I-4C44
(ucs-set-char #x66AD ?$(DBY(B) ; J90-D-4259
(ucs-set-char #x66AD ?$(ILF(B) ; C03-I-4C46
(ucs-set-char #x66AE ?$(CY:(B) ; KS0-C-593A
(ucs-set-char #x66AE ?$(Gm1(B) ; C01-G-6D31
(ucs-set-char #x66AE ?$@Jk(B) ; J78-@-4A6B
(ucs-set-char #x66AE ?$AD:(B) ; GB0-A-443A
(ucs-set-char #x66AE ?$BJk(B) ; J83-B-4A6B
(ucs-set-char #x66AF ?$(HPp(B) ; C02-H-5070
(ucs-set-char #x66B0 ?$(HPk(B) ; C02-H-506B
(ucs-set-char #x66B1 ?$(DBZ(B) ; J90-D-425A
(ucs-set-char #x66B1 ?$(Gm4(B) ; C01-G-6D34
(ucs-set-char #x66B2 ?$(Cmg(B) ; KS0-C-6D67
(ucs-set-char #x66B2 ?$(DB[(B) ; J90-D-425B
(ucs-set-char #x66B2 ?$(HPm(B) ; C02-H-506D
(ucs-set-char #x66B3 ?$(C{5(B) ; KS0-C-7B35
(ucs-set-char #x66B3 ?$(ILA(B) ; C03-I-4C41
(ucs-set-char #x66B4 ?$(Cxl(B) ; KS0-C-786C
(ucs-set-char #x66B4 ?$(Gm3(B) ; C01-G-6D33
(ucs-set-char #x66B4 ?$@K=(B) ; J78-@-4B3D
(ucs-set-char #x66B4 ?$A1)(B) ; GB0-A-3129
(ucs-set-char #x66B4 ?$BK=(B) ; J83-B-4B3D
(ucs-set-char #x66B5 ?$(DB\(B) ; J90-D-425C
(ucs-set-char #x66B5 ?$(HPj(B) ; C02-H-506A
(ucs-set-char #x66B6 ?$(IL@(B) ; C03-I-4C40
(ucs-set-char #x66B7 ?$(HPn(B) ; C02-H-506E
(ucs-set-char #x66B8 ?$(Gpr(B) ; C01-G-7072
(ucs-set-char #x66B8 ?$@["(B) ; J78-@-5B22
(ucs-set-char #x66B8 ?$B["(B) ; J83-B-5B22
(ucs-set-char #x66B9 ?$(C`g(B) ; KS0-C-6067
(ucs-set-char #x66B9 ?$(Gpo(B) ; C01-G-706F
(ucs-set-char #x66B9 ?$@Z{(B) ; J78-@-5A7B
(ucs-set-char #x66B9 ?$Ae_(B) ; GB0-A-655F
(ucs-set-char #x66B9 ?$BZ{(B) ; J83-B-5A7B
(ucs-set-char #x66BA ?$(HWF(B) ; C02-H-5746
(ucs-set-char #x66BB ?$(CLY(B) ; KS0-C-4C59
(ucs-set-char #x66BB ?$(DB](B) ; J90-D-425D
(ucs-set-char #x66BB ?$(HWE(B) ; C02-H-5745
(ucs-set-char #x66BC ?$(ILC(B) ; C03-I-4C43
(ucs-set-char #x66BC ?$@Z~(B) ; J78-@-5A7E
(ucs-set-char #x66BC ?$BZ~(B) ; J83-B-5A7E
(ucs-set-char #x66BD ?$(HWD(B) ; C02-H-5744
(ucs-set-char #x66BE ?$(CTF(B) ; KS0-C-5446
(ucs-set-char #x66BE ?$(HW?(B) ; C02-H-573F
(ucs-set-char #x66BE ?$@Z}(B) ; J78-@-5A7D
(ucs-set-char #x66BE ?$AjU(B) ; GB0-A-6A55
(ucs-set-char #x66BE ?$BZ}(B) ; J83-B-5A7D
(ucs-set-char #x66BF ?$(DB^(B) ; J90-D-425E
(ucs-set-char #x66BF ?$(IP}(B) ; C03-I-507D
(ucs-set-char #x66C0 ?$(DB_(B) ; J90-D-425F
(ucs-set-char #x66C0 ?$(HW@(B) ; C02-H-5740
(ucs-set-char #x66C1 ?$(IQ#(B) ; C03-I-5123
(ucs-set-char #x66C1 ?$@Zz(B) ; J78-@-5A7A
(ucs-set-char #x66C1 ?$BZz(B) ; J83-B-5A7A
(ucs-set-char #x66C2 ?$(DB`(B) ; J90-D-4260
(ucs-set-char #x66C2 ?$(JPP(B) ; C04-J-5050
(ucs-set-char #x66C3 ?$(DBa(B) ; J90-D-4261
(ucs-set-char #x66C3 ?$(IPz(B) ; C03-I-507A
(ucs-set-char #x66C4 ?$(Cg%(B) ; KS0-C-6725
(ucs-set-char #x66C4 ?$(Gpp(B) ; C01-G-7070
(ucs-set-char #x66C4 ?$@[!(B) ; J78-@-5B21
(ucs-set-char #x66C4 ?$B[!(B) ; J83-B-5B21
(ucs-set-char #x66C5 ?$(IP~(B) ; C03-I-507E
(ucs-set-char #x66C6 ?$(CUu(B) ; KS0-C-5575
(ucs-set-char #x66C6 ?$(Gpm(B) ; C01-G-706D
(ucs-set-char #x66C7 ?$(CS>(B) ; KS0-C-533E
(ucs-set-char #x66C7 ?$(Gpq(B) ; C01-G-7071
(ucs-set-char #x66C7 ?$@F^(B) ; J78-@-465E
(ucs-set-char #x66C7 ?$BF^(B) ; J83-B-465E
(ucs-set-char #x66C8 ?$(DBb(B) ; J90-D-4262
(ucs-set-char #x66C8 ?$(HW>(B) ; C02-H-573E
(ucs-set-char #x66C9 ?$(C|{(B) ; KS0-C-7C7B
(ucs-set-char #x66C9 ?$(Gpn(B) ; C01-G-706E
(ucs-set-char #x66C9 ?$@Z|(B) ; J78-@-5A7C
(ucs-set-char #x66C9 ?$BZ|(B) ; J83-B-5A7C
(ucs-set-char #x66CA ?$(HWA(B) ; C02-H-5741
(ucs-set-char #x66CB ?$(HWB(B) ; C02-H-5742
(ucs-set-char #x66CC ?$(DBc(B) ; J90-D-4263
(ucs-set-char #x66CC ?$(HWG(B) ; C02-H-5747
(ucs-set-char #x66CD ?$(IQ"(B) ; C03-I-5122
(ucs-set-char #x66CE ?$(DBd(B) ; J90-D-4264
(ucs-set-char #x66CE ?$(ITq(B) ; C03-I-5471
(ucs-set-char #x66CF ?$(DBe(B) ; J90-D-4265
(ucs-set-char #x66CF ?$(HWC(B) ; C02-H-5743
(ucs-set-char #x66D0 ?$(ITo(B) ; C03-I-546F
(ucs-set-char #x66D1 ?$(ITp(B) ; C03-I-5470
(ucs-set-char #x66D2 ?$(H\}(B) ; C02-H-5C7D
(ucs-set-char #x66D3 ?$(JVA(B) ; C04-J-5641
(ucs-set-char #x66D4 ?$(DBf(B) ; J90-D-4266
(ucs-set-char #x66D4 ?$(ITl(B) ; C03-I-546C
(ucs-set-char #x66D5 ?$(ITm(B) ; C03-I-546D
(ucs-set-char #x66D6 ?$(Cdr(B) ; KS0-C-6472
(ucs-set-char #x66D6 ?$(Gsp(B) ; C01-G-7370
(ucs-set-char #x66D6 ?$@[#(B) ; J78-@-5B23
(ucs-set-char #x66D6 ?$B[#(B) ; J83-B-5B23
(ucs-set-char #x66D7 ?$(ITr(B) ; C03-I-5472
(ucs-set-char #x66D8 ?$(Hah(B) ; C02-H-6168
(ucs-set-char #x66D9 ?$(C_u(B) ; KS0-C-5F75
(ucs-set-char #x66D9 ?$(Gso(B) ; C01-G-736F
(ucs-set-char #x66D9 ?$@=l(B) ; J78-@-3D6C
(ucs-set-char #x66D9 ?$AJo(B) ; GB0-A-4A6F
(ucs-set-char #x66D9 ?$B=l(B) ; J83-B-3D6C
(ucs-set-char #x66DA ?$(Haf(B) ; C02-H-6166
(ucs-set-char #x66DA ?$@[$(B) ; J78-@-5B24
(ucs-set-char #x66DA ?$B[$(B) ; J83-B-5B24
(ucs-set-char #x66DB ?$(DBg(B) ; J90-D-4267
(ucs-set-char #x66DB ?$(Hag(B) ; C02-H-6167
(ucs-set-char #x66DB ?$AjV(B) ; GB0-A-6A56
(ucs-set-char #x66DC ?$(Chx(B) ; KS0-C-6878
(ucs-set-char #x66DC ?$(GvL(B) ; C01-G-764C
(ucs-set-char #x66DC ?$@MK(B) ; J78-@-4D4B
(ucs-set-char #x66DC ?$AjW(B) ; GB0-A-6A57
(ucs-set-char #x66DC ?$BMK(B) ; J83-B-4D4B
(ucs-set-char #x66DD ?$(Cxm(B) ; KS0-C-786D
(ucs-set-char #x66DD ?$(Gx;(B) ; C01-G-783B
(ucs-set-char #x66DD ?$@Gx(B) ; J78-@-4778
(ucs-set-char #x66DD ?$AFX(B) ; GB0-A-4658
(ucs-set-char #x66DD ?$BGx(B) ; J83-B-4778
(ucs-set-char #x66DE ?$(HeV(B) ; C02-H-6556
(ucs-set-char #x66DF ?$(DBh(B) ; J90-D-4268
(ucs-set-char #x66DF ?$(IZC(B) ; C03-I-5A43
(ucs-set-char #x66E0 ?$(CNG(B) ; KS0-C-4E47
(ucs-set-char #x66E0 ?$(Gx:(B) ; C01-G-783A
(ucs-set-char #x66E0 ?$@[%(B) ; J78-@-5B25
(ucs-set-char #x66E0 ?$B[%(B) ; J83-B-5B25
(ucs-set-char #x66E1 ?$(IZB(B) ; C03-I-5A42
(ucs-set-char #x66E3 ?$(Hh}(B) ; C02-H-687D
(ucs-set-char #x66E4 ?$(Hh~(B) ; C02-H-687E
(ucs-set-char #x66E5 ?$(I\B(B) ; C03-I-5C42
(ucs-set-char #x66E6 ?$(C}v(B) ; KS0-C-7D76
(ucs-set-char #x66E6 ?$(Gyq(B) ; C01-G-7971
(ucs-set-char #x66E6 ?$@['(B) ; J78-@-5B27
(ucs-set-char #x66E6 ?$AjX(B) ; GB0-A-6A58
(ucs-set-char #x66E6 ?$B['(B) ; J83-B-5B27
(ucs-set-char #x66E7 ?$(I\C(B) ; C03-I-5C43
(ucs-set-char #x66E8 ?$(DBi(B) ; J90-D-4269
(ucs-set-char #x66E8 ?$(Hh|(B) ; C02-H-687C
(ucs-set-char #x66E9 ?$(Gzo(B) ; C01-G-7A6F
(ucs-set-char #x66E9 ?$@[((B) ; J78-@-5B28
(ucs-set-char #x66E9 ?$AjY(B) ; GB0-A-6A59
(ucs-set-char #x66E9 ?$B[((B) ; J83-B-5B28
(ucs-set-char #x66EA ?$(JjL(B) ; C04-J-6A4C
(ucs-set-char #x66EB ?$(DBj(B) ; J90-D-426A
(ucs-set-char #x66EB ?$(Ho.(B) ; C02-H-6F2E
(ucs-set-char #x66EC ?$(DBk(B) ; J90-D-426B
(ucs-set-char #x66EC ?$(G|:(B) ; C01-G-7C3A
(ucs-set-char #x66ED ?$(Hp8(B) ; C02-H-7038
(ucs-set-char #x66EE ?$(DBl(B) ; J90-D-426C
(ucs-set-char #x66EE ?$(Hp9(B) ; C02-H-7039
(ucs-set-char #x66EF ?$(Ia?(B) ; C03-I-613F
(ucs-set-char #x66F0 ?$(ChX(B) ; KS0-C-6858
(ucs-set-char #x66F0 ?$(GEK(B) ; C01-G-454B
(ucs-set-char #x66F0 ?$@[)(B) ; J78-@-5B29
(ucs-set-char #x66F0 ?$AT;(B) ; GB0-A-543B
(ucs-set-char #x66F0 ?$B[)(B) ; J83-B-5B29
(ucs-set-char #x66F1 ?$(J!|(B) ; C04-J-217C
(ucs-set-char #x66F2 ?$(CMX(B) ; KS0-C-4D58
(ucs-set-char #x66F2 ?$(GH2(B) ; C01-G-4832
(ucs-set-char #x66F2 ?$@6J(B) ; J78-@-364A
(ucs-set-char #x66F2 ?$AGz(B) ; GB0-A-477A
(ucs-set-char #x66F2 ?$B6J(B) ; J83-B-364A
(ucs-set-char #x66F3 ?$(CgV(B) ; KS0-C-6756
(ucs-set-char #x66F3 ?$(GH3(B) ; C01-G-4833
(ucs-set-char #x66F3 ?$@1H(B) ; J78-@-3148
(ucs-set-char #x66F3 ?$AR7(B) ; GB0-A-5237
(ucs-set-char #x66F3 ?$B1H(B) ; J83-B-3148
(ucs-set-char #x66F4 ?$(CLZ(B) ; KS0-C-4C5A
(ucs-set-char #x66F4 ?$(GJU(B) ; C01-G-4A55
(ucs-set-char #x66F4 ?$@99(B) ; J78-@-3939
(ucs-set-char #x66F4 ?$A8|(B) ; GB0-A-387C
(ucs-set-char #x66F4 ?$B99(B) ; J83-B-3939
(ucs-set-char #x66F5 ?$(I&A(B) ; C03-I-2641
(ucs-set-char #x66F5 ?$@[*(B) ; J78-@-5B2A
(ucs-set-char #x66F5 ?$B[*(B) ; J83-B-5B2A
(ucs-set-char #x66F6 ?$(H'2(B) ; C02-H-2732
(ucs-set-char #x66F7 ?$(CJc(B) ; KS0-C-4A63
(ucs-set-char #x66F7 ?$(GQW(B) ; C01-G-5157
(ucs-set-char #x66F7 ?$@[+(B) ; J78-@-5B2B
(ucs-set-char #x66F7 ?$AjB(B) ; GB0-A-6A42
(ucs-set-char #x66F7 ?$B[+(B) ; J83-B-5B2B
(ucs-set-char #x66F8 ?$(C_v(B) ; KS0-C-5F76
(ucs-set-char #x66F8 ?$(GUs(B) ; C01-G-5573
(ucs-set-char #x66F8 ?$(L86(B) ; C06-L-3836
(ucs-set-char #x66F8 ?$@=q(B) ; J78-@-3D71
(ucs-set-char #x66F8 ?$B=q(B) ; J83-B-3D71
(ucs-set-char #x66F9 ?$(CpG(B) ; KS0-C-7047
(ucs-set-char #x66F9 ?$(G[*(B) ; C01-G-5B2A
(ucs-set-char #x66F9 ?$@Ab(B) ; J78-@-4162
(ucs-set-char #x66F9 ?$A2\(B) ; GB0-A-325C
(ucs-set-char #x66F9 ?$BAb(B) ; J83-B-4162
(ucs-set-char #x66FA ?$(CpF(B) ; KS0-C-7046
(ucs-set-char #x66FA ?$(DBm(B) ; J90-D-426D
(ucs-set-char #x66FB ?$(DB?(B) ; J90-D-423F
(ucs-set-char #x66FC ?$(CX:(B) ; KS0-C-583A
(ucs-set-char #x66FC ?$(GY7(B) ; C01-G-5937
(ucs-set-char #x66FC ?$@RX(B) ; J78-@-5258
(ucs-set-char #x66FC ?$AB|(B) ; GB0-A-427C
(ucs-set-char #x66FC ?$BRX(B) ; J83-B-5258
(ucs-set-char #x66FD ?$@A>(B) ; J78-@-413E
(ucs-set-char #x66FD ?$BA>(B) ; J83-B-413E
(ucs-set-char #x66FE ?$(Cqt(B) ; KS0-C-7174
(ucs-set-char #x66FE ?$(G_d(B) ; C01-G-5F64
(ucs-set-char #x66FE ?$@A=(B) ; J78-@-413D
(ucs-set-char #x66FE ?$ATx(B) ; GB0-A-5478
(ucs-set-char #x66FE ?$BA=(B) ; J83-B-413D
(ucs-set-char #x66FF ?$(Ctp(B) ; KS0-C-7470
(ucs-set-char #x66FF ?$(G_e(B) ; C01-G-5F65
(ucs-set-char #x66FF ?$@BX(B) ; J78-@-4258
(ucs-set-char #x66FF ?$ALf(B) ; GB0-A-4C66
(ucs-set-char #x66FF ?$BBX(B) ; J83-B-4258
(ucs-set-char #x6700 ?$(CuL(B) ; KS0-C-754C
(ucs-set-char #x6700 ?$(G^2(B) ; C01-G-5E32
(ucs-set-char #x6700 ?$(LIx(B) ; C06-L-4978
(ucs-set-char #x6700 ?$@:G(B) ; J78-@-3A47
(ucs-set-char #x6700 ?$AWn(B) ; GB0-A-576E
(ucs-set-char #x6700 ?$B:G(B) ; J83-B-3A47
(ucs-set-char #x6701 ?$(H<L(B) ; C02-H-3C4C
(ucs-set-char #x6703 ?$(C|e(B) ; KS0-C-7C65
(ucs-set-char #x6703 ?$(GdD(B) ; C01-G-6444
(ucs-set-char #x6703 ?$@Pr(B) ; J78-@-5072
(ucs-set-char #x6703 ?$BPr(B) ; J83-B-5072
(ucs-set-char #x6704 ?$(HJa(B) ; C02-H-4A61
(ucs-set-char #x6705 ?$(DBn(B) ; J90-D-426E
(ucs-set-char #x6705 ?$(HJ`(B) ; C02-H-4A60
(ucs-set-char #x6706 ?$(IQ$(B) ; C03-I-5124
(ucs-set-char #x6707 ?$(DBo(B) ; J90-D-426F
(ucs-set-char #x6707 ?$(MSG(B) ; C07-M-5347
(ucs-set-char #x6708 ?$(CjE(B) ; KS0-C-6A45
(ucs-set-char #x6708 ?$(GEL(B) ; C01-G-454C
(ucs-set-char #x6708 ?$@7n(B) ; J78-@-376E
(ucs-set-char #x6708 ?$ATB(B) ; GB0-A-5442
(ucs-set-char #x6708 ?$B7n(B) ; J83-B-376E
(ucs-set-char #x6709 ?$(Cjs(B) ; KS0-C-6A73
(ucs-set-char #x6709 ?$(GH4(B) ; C01-G-4834
(ucs-set-char #x6709 ?$@M-(B) ; J78-@-4D2D
(ucs-set-char #x6709 ?$ASP(B) ; GB0-A-5350
(ucs-set-char #x6709 ?$BM-(B) ; J83-B-4D2D
(ucs-set-char #x670A ?$(H'3(B) ; C02-H-2733
(ucs-set-char #x670A ?$AkC(B) ; GB0-A-6B43
(ucs-set-char #x670B ?$(C][(B) ; KS0-C-5D5B
(ucs-set-char #x670B ?$(GN%(B) ; C01-G-4E25
(ucs-set-char #x670B ?$@J~(B) ; J78-@-4A7E
(ucs-set-char #x670B ?$AEs(B) ; GB0-A-4573
(ucs-set-char #x670B ?$BJ~(B) ; J83-B-4A7E
(ucs-set-char #x670C ?$(I)E(B) ; C03-I-2945
(ucs-set-char #x670D ?$(C\W(B) ; KS0-C-5C57
(ucs-set-char #x670D ?$(GN$(B) ; C01-G-4E24
(ucs-set-char #x670D ?$@I~(B) ; J78-@-497E
(ucs-set-char #x670D ?$A7~(B) ; GB0-A-377E
(ucs-set-char #x670D ?$BI~(B) ; J83-B-497E
(ucs-set-char #x670E ?$(DBp(B) ; J90-D-4270
(ucs-set-char #x670E ?$(I-'(B) ; C03-I-2D27
(ucs-set-char #x670F ?$(H*z(B) ; C02-H-2A7A
(ucs-set-char #x670F ?$@[,(B) ; J78-@-5B2C
(ucs-set-char #x670F ?$B[,(B) ; J83-B-5B2C
(ucs-set-char #x6710 ?$(H*{(B) ; C02-H-2A7B
(ucs-set-char #x6710 ?$AkT(B) ; GB0-A-6B54
(ucs-set-char #x6712 ?$(H/Y(B) ; C02-H-2F59
(ucs-set-char #x6713 ?$(DBq(B) ; J90-D-4271
(ucs-set-char #x6713 ?$(H/Z(B) ; C02-H-2F5A
(ucs-set-char #x6714 ?$(C^}(B) ; KS0-C-5E7D
(ucs-set-char #x6714 ?$(GUt(B) ; C01-G-5574
(ucs-set-char #x6714 ?$@:s(B) ; J78-@-3A73
(ucs-set-char #x6714 ?$AK7(B) ; GB0-A-4B37
(ucs-set-char #x6714 ?$B:s(B) ; J83-B-3A73
(ucs-set-char #x6715 ?$(Cry(B) ; KS0-C-7279
(ucs-set-char #x6715 ?$(GUu(B) ; C01-G-5575
(ucs-set-char #x6715 ?$@D?(B) ; J78-@-443F
(ucs-set-char #x6715 ?$Ak^(B) ; GB0-A-6B5E
(ucs-set-char #x6715 ?$BD?(B) ; J83-B-443F
(ucs-set-char #x6716 ?$(I6H(B) ; C03-I-3648
(ucs-set-char #x6716 ?$@[-(B) ; J78-@-5B2D
(ucs-set-char #x6716 ?$B[-(B) ; J83-B-5B2D
(ucs-set-char #x6717 ?$(CUG(B) ; KS0-C-5547
(ucs-set-char #x6717 ?$(GUv(B) ; C01-G-5576
(ucs-set-char #x6717 ?$(J2>(B) ; C04-J-323E
(ucs-set-char #x6717 ?$@O/(B) ; J78-@-4F2F
(ucs-set-char #x6717 ?$A@J(B) ; GB0-A-404A
(ucs-set-char #x6717 ?$BO/(B) ; J83-B-4F2F
(ucs-set-char #x6718 ?$(H5q(B) ; C02-H-3571
(ucs-set-char #x6719 ?$(DBr(B) ; J90-D-4272
(ucs-set-char #x6719 ?$(I6G(B) ; C03-I-3647
(ucs-set-char #x671A ?$(I6F(B) ; C03-I-3646
(ucs-set-char #x671B ?$(CXP(B) ; KS0-C-5850
(ucs-set-char #x671B ?$(G[,(B) ; C01-G-5B2C
(ucs-set-char #x671B ?$(L@X(B) ; C06-L-4058
(ucs-set-char #x671B ?$@K>(B) ; J78-@-4B3E
(ucs-set-char #x671B ?$AM{(B) ; GB0-A-4D7B
(ucs-set-char #x671B ?$BK>(B) ; J83-B-4B3E
(ucs-set-char #x671C ?$(DBs(B) ; J90-D-4273
(ucs-set-char #x671C ?$(J8)(B) ; C04-J-3829
(ucs-set-char #x671D ?$(CpH(B) ; KS0-C-7048
(ucs-set-char #x671D ?$(G_g(B) ; C01-G-5F67
(ucs-set-char #x671D ?$@D+(B) ; J78-@-442B
(ucs-set-char #x671D ?$A3/(B) ; GB0-A-332F
(ucs-set-char #x671D ?$BD+(B) ; J83-B-442B
(ucs-set-char #x671E ?$(CQ!(B) ; KS0-C-5121
(ucs-set-char #x671E ?$(I<)(B) ; C03-I-3C29
(ucs-set-char #x671E ?$@[.(B) ; J78-@-5B2E
(ucs-set-char #x671E ?$B[.(B) ; J83-B-5B2E
(ucs-set-char #x671F ?$(CQ"(B) ; KS0-C-5122
(ucs-set-char #x671F ?$(G_f(B) ; C01-G-5F66
(ucs-set-char #x671F ?$@4|(B) ; J78-@-347C
(ucs-set-char #x671F ?$AFZ(B) ; GB0-A-465A
(ucs-set-char #x671F ?$B4|(B) ; J83-B-347C
(ucs-set-char #x6720 ?$(DBt(B) ; J90-D-4274
(ucs-set-char #x6720 ?$(HCN(B) ; C02-H-434E
(ucs-set-char #x6721 ?$(HFA(B) ; C02-H-4641
(ucs-set-char #x6722 ?$(DBu(B) ; J90-D-4275
(ucs-set-char #x6722 ?$(HJb(B) ; C02-H-4A62
(ucs-set-char #x6723 ?$(HWH(B) ; C02-H-5748
(ucs-set-char #x6724 ?$(IQ&(B) ; C03-I-5126
(ucs-set-char #x6726 ?$(CYT(B) ; KS0-C-5954
(ucs-set-char #x6726 ?$(GvM(B) ; C01-G-764D
(ucs-set-char #x6726 ?$@[/(B) ; J78-@-5B2F
(ucs-set-char #x6726 ?$Ak|(B) ; GB0-A-6B7C
(ucs-set-char #x6726 ?$B[/(B) ; J83-B-5B2F
(ucs-set-char #x6727 ?$(CVh(B) ; KS0-C-5668
(ucs-set-char #x6727 ?$(Gyr(B) ; C01-G-7972
(ucs-set-char #x6727 ?$@[0(B) ; J78-@-5B30
(ucs-set-char #x6727 ?$B[0(B) ; J83-B-5B30
(ucs-set-char #x6728 ?$(CYJ(B) ; KS0-C-594A
(ucs-set-char #x6728 ?$(GEM(B) ; C01-G-454D
(ucs-set-char #x6728 ?$@LZ(B) ; J78-@-4C5A
(ucs-set-char #x6728 ?$AD>(B) ; GB0-A-443E
(ucs-set-char #x6728 ?$BLZ(B) ; J83-B-4C5A
(ucs-set-char #x6729 ?$(K!H(B) ; C05-K-2148
(ucs-set-char #x672A ?$(CZ1(B) ; KS0-C-5A31
(ucs-set-char #x672A ?$(GF\(B) ; C01-G-465C
(ucs-set-char #x672A ?$@L$(B) ; J78-@-4C24
(ucs-set-char #x672A ?$AN4(B) ; GB0-A-4E34
(ucs-set-char #x672A ?$BL$(B) ; J83-B-4C24
(ucs-set-char #x672B ?$(CXG(B) ; KS0-C-5847
(ucs-set-char #x672B ?$(GF](B) ; C01-G-465D
(ucs-set-char #x672B ?$@Kv(B) ; J78-@-4B76
(ucs-set-char #x672B ?$AD)(B) ; GB0-A-4429
(ucs-set-char #x672B ?$BKv(B) ; J83-B-4B76
(ucs-set-char #x672C ?$(C\b(B) ; KS0-C-5C62
(ucs-set-char #x672C ?$(GF[(B) ; C01-G-465B
(ucs-set-char #x672C ?$@K\(B) ; J78-@-4B5C
(ucs-set-char #x672C ?$A1>(B) ; GB0-A-313E
(ucs-set-char #x672C ?$BK\(B) ; J83-B-4B5C
(ucs-set-char #x672D ?$(CsN(B) ; KS0-C-734E
(ucs-set-char #x672D ?$(GF^(B) ; C01-G-465E
(ucs-set-char #x672D ?$@;%(B) ; J78-@-3B25
(ucs-set-char #x672D ?$AT}(B) ; GB0-A-547D
(ucs-set-char #x672D ?$B;%(B) ; J83-B-3B25
(ucs-set-char #x672E ?$(Cut(B) ; KS0-C-7574
(ucs-set-char #x672E ?$(GFZ(B) ; C01-G-465A
(ucs-set-char #x672E ?$@[2(B) ; J78-@-5B32
(ucs-set-char #x672E ?$B[2(B) ; J83-B-5B32
(ucs-set-char #x672F ?$(I"R(B) ; C03-I-2252
(ucs-set-char #x672F ?$AJu(B) ; GB0-A-4A75
(ucs-set-char #x6731 ?$(Cq9(B) ; KS0-C-7139
(ucs-set-char #x6731 ?$(GH7(B) ; C01-G-4837
(ucs-set-char #x6731 ?$@<k(B) ; J78-@-3C6B
(ucs-set-char #x6731 ?$AVl(B) ; GB0-A-566C
(ucs-set-char #x6731 ?$B<k(B) ; J83-B-3C6B
(ucs-set-char #x6732 ?$(I#w(B) ; C03-I-2377
(ucs-set-char #x6733 ?$(DBv(B) ; J90-D-4276
(ucs-set-char #x6733 ?$(H"W(B) ; C02-H-2257
(ucs-set-char #x6734 ?$(CZS(B) ; KS0-C-5A53
(ucs-set-char #x6734 ?$(GH6(B) ; C01-G-4836
(ucs-set-char #x6734 ?$@KQ(B) ; J78-@-4B51
(ucs-set-char #x6734 ?$AFS(B) ; GB0-A-4653
(ucs-set-char #x6734 ?$BKQ(B) ; J83-B-4B51
(ucs-set-char #x6735 ?$(GH8(B) ; C01-G-4838
(ucs-set-char #x6735 ?$A6d(B) ; GB0-A-3664
(ucs-set-char #x6736 ?$(Cvj(B) ; KS0-C-766A
(ucs-set-char #x6736 ?$(I#x(B) ; C03-I-2378
(ucs-set-char #x6736 ?$@[4(B) ; J78-@-5B34
(ucs-set-char #x6736 ?$B[4(B) ; J83-B-5B34
(ucs-set-char #x6737 ?$(I#u(B) ; C03-I-2375
(ucs-set-char #x6737 ?$@[7(B) ; J78-@-5B37
(ucs-set-char #x6737 ?$B[7(B) ; J83-B-5B37
(ucs-set-char #x6738 ?$(H"R(B) ; C02-H-2252
(ucs-set-char #x6738 ?$@[6(B) ; J78-@-5B36
(ucs-set-char #x6738 ?$B[6(B) ; J83-B-5B36
(ucs-set-char #x6739 ?$(H"Q(B) ; C02-H-2251
(ucs-set-char #x673A ?$(COu(B) ; KS0-C-4F75
(ucs-set-char #x673A ?$(H"T(B) ; C02-H-2254
(ucs-set-char #x673A ?$@4y(B) ; J78-@-3479
(ucs-set-char #x673A ?$A;z(B) ; GB0-A-3B7A
(ucs-set-char #x673A ?$B4y(B) ; J83-B-3479
(ucs-set-char #x673B ?$(H"S(B) ; C02-H-2253
(ucs-set-char #x673C ?$(H"V(B) ; C02-H-2256
(ucs-set-char #x673D ?$(C}.(B) ; KS0-C-7D2E
(ucs-set-char #x673D ?$(GH5(B) ; C01-G-4835
(ucs-set-char #x673D ?$@5`(B) ; J78-@-3560
(ucs-set-char #x673D ?$AP`(B) ; GB0-A-5060
(ucs-set-char #x673D ?$B5`(B) ; J83-B-3560
(ucs-set-char #x673E ?$(DBw(B) ; J90-D-4277
(ucs-set-char #x673E ?$(H"P(B) ; C02-H-2250
(ucs-set-char #x673F ?$(H"U(B) ; C02-H-2255
(ucs-set-char #x673F ?$@[3(B) ; J78-@-5B33
(ucs-set-char #x673F ?$B[3(B) ; J83-B-5B33
(ucs-set-char #x6740 ?$(J$I(B) ; C04-J-2449
(ucs-set-char #x6740 ?$AI1(B) ; GB0-A-4931
(ucs-set-char #x6741 ?$@[5(B) ; J78-@-5B35
(ucs-set-char #x6741 ?$B[5(B) ; J83-B-5B35
(ucs-set-char #x6742 ?$ATS(B) ; GB0-A-5453
(ucs-set-char #x6743 ?$AH((B) ; GB0-A-4828
(ucs-set-char #x6744 ?$(I&H(B) ; C03-I-2648
(ucs-set-char #x6745 ?$(DBx(B) ; J90-D-4278
(ucs-set-char #x6745 ?$(H$>(B) ; C02-H-243E
(ucs-set-char #x6746 ?$(CJR(B) ; KS0-C-4A52
(ucs-set-char #x6746 ?$(GJ_(B) ; C01-G-4A5F
(ucs-set-char #x6746 ?$@[8(B) ; J78-@-5B38
(ucs-set-char #x6746 ?$A8K(B) ; GB0-A-384B
(ucs-set-char #x6746 ?$B[8(B) ; J83-B-5B38
(ucs-set-char #x6747 ?$(DBy(B) ; J90-D-4279
(ucs-set-char #x6747 ?$(H$?(B) ; C02-H-243F
(ucs-set-char #x6748 ?$(DBz(B) ; J90-D-427A
(ucs-set-char #x6748 ?$(H$C(B) ; C02-H-2443
(ucs-set-char #x6748 ?$Ah>(B) ; GB0-A-683E
(ucs-set-char #x6749 ?$(C_4(B) ; KS0-C-5F34
(ucs-set-char #x6749 ?$(GJ^(B) ; C01-G-4A5E
(ucs-set-char #x6749 ?$@?y(B) ; J78-@-3F79
(ucs-set-char #x6749 ?$AI<(B) ; GB0-A-493C
(ucs-set-char #x6749 ?$B?y(B) ; J83-B-3F79
(ucs-set-char #x674A ?$(I&I(B) ; C03-I-2649
(ucs-set-char #x674B ?$(H$G(B) ; C02-H-2447
(ucs-set-char #x674C ?$(DB{(B) ; J90-D-427B
(ucs-set-char #x674C ?$(H$B(B) ; C02-H-2442
(ucs-set-char #x674C ?$Ah;(B) ; GB0-A-683B
(ucs-set-char #x674D ?$(H$E(B) ; C02-H-2445
(ucs-set-char #x674E ?$(CW](B) ; KS0-C-575D
(ucs-set-char #x674E ?$(GJW(B) ; C01-G-4A57
(ucs-set-char #x674E ?$@M{(B) ; J78-@-4D7B
(ucs-set-char #x674E ?$A@n(B) ; GB0-A-406E
(ucs-set-char #x674E ?$BM{(B) ; J83-B-4D7B
(ucs-set-char #x674F ?$(Cz:(B) ; KS0-C-7A3A
(ucs-set-char #x674F ?$(GJX(B) ; C01-G-4A58
(ucs-set-char #x674F ?$@0I(B) ; J78-@-3049
(ucs-set-char #x674F ?$APS(B) ; GB0-A-5053
(ucs-set-char #x674F ?$B0I(B) ; J83-B-3049
(ucs-set-char #x6750 ?$(Cn'(B) ; KS0-C-6E27
(ucs-set-char #x6750 ?$(GJY(B) ; C01-G-4A59
(ucs-set-char #x6750 ?$@:`(B) ; J78-@-3A60
(ucs-set-char #x6750 ?$A2D(B) ; GB0-A-3244
(ucs-set-char #x6750 ?$B:`(B) ; J83-B-3A60
(ucs-set-char #x6751 ?$(Cu=(B) ; KS0-C-753D
(ucs-set-char #x6751 ?$(GJZ(B) ; C01-G-4A5A
(ucs-set-char #x6751 ?$@B<(B) ; J78-@-423C
(ucs-set-char #x6751 ?$A4e(B) ; GB0-A-3465
(ucs-set-char #x6751 ?$BB<(B) ; J83-B-423C
(ucs-set-char #x6752 ?$(I&E(B) ; C03-I-2645
(ucs-set-char #x6753 ?$(Cxu(B) ; KS0-C-7875
(ucs-set-char #x6753 ?$(GJa(B) ; C01-G-4A61
(ucs-set-char #x6753 ?$(L(.(B) ; C06-L-282E
(ucs-set-char #x6753 ?$@<](B) ; J78-@-3C5D
(ucs-set-char #x6753 ?$Ah<(B) ; GB0-A-683C
(ucs-set-char #x6753 ?$B<](B) ; J83-B-3C5D
(ucs-set-char #x6754 ?$(DB|(B) ; J90-D-427C
(ucs-set-char #x6754 ?$(I&D(B) ; C03-I-2644
(ucs-set-char #x6755 ?$(DB}(B) ; J90-D-427D
(ucs-set-char #x6755 ?$(H$A(B) ; C02-H-2441
(ucs-set-char #x6756 ?$(Cmh(B) ; KS0-C-6D68
(ucs-set-char #x6756 ?$(GJ\(B) ; C01-G-4A5C
(ucs-set-char #x6756 ?$@>s(B) ; J78-@-3E73
(ucs-set-char #x6756 ?$AUH(B) ; GB0-A-5548
(ucs-set-char #x6756 ?$B>s(B) ; J83-B-3E73
(ucs-set-char #x6757 ?$(GJb(B) ; C01-G-4A62
(ucs-set-char #x6758 ?$(I&G(B) ; C03-I-2647
(ucs-set-char #x6759 ?$(H$@(B) ; C02-H-2440
(ucs-set-char #x6759 ?$@[;(B) ; J78-@-5B3B
(ucs-set-char #x6759 ?$B[;(B) ; J83-B-5B3B
(ucs-set-char #x675A ?$(H$F(B) ; C02-H-2446
(ucs-set-char #x675B ?$(I&B(B) ; C03-I-2642
(ucs-set-char #x675C ?$(CTa(B) ; KS0-C-5461
(ucs-set-char #x675C ?$(GJ[(B) ; C01-G-4A5B
(ucs-set-char #x675C ?$@EN(B) ; J78-@-454E
(ucs-set-char #x675C ?$A6E(B) ; GB0-A-3645
(ucs-set-char #x675C ?$BEN(B) ; J83-B-454E
(ucs-set-char #x675D ?$(DB~(B) ; J90-D-427E
(ucs-set-char #x675D ?$(H$D(B) ; C02-H-2444
(ucs-set-char #x675E ?$(CQ#(B) ; KS0-C-5123
(ucs-set-char #x675E ?$(GJ](B) ; C01-G-4A5D
(ucs-set-char #x675E ?$@[9(B) ; J78-@-5B39
(ucs-set-char #x675E ?$Ah=(B) ; GB0-A-683D
(ucs-set-char #x675E ?$B[9(B) ; J83-B-5B39
(ucs-set-char #x675F ?$(CaV(B) ; KS0-C-6156
(ucs-set-char #x675F ?$(GJV(B) ; C01-G-4A56
(ucs-set-char #x675F ?$@B+(B) ; J78-@-422B
(ucs-set-char #x675F ?$AJx(B) ; GB0-A-4A78
(ucs-set-char #x675F ?$BB+(B) ; J83-B-422B
(ucs-set-char #x6760 ?$(GJ`(B) ; C01-G-4A60
(ucs-set-char #x6760 ?$@[:(B) ; J78-@-5B3A
(ucs-set-char #x6760 ?$A8\(B) ; GB0-A-385C
(ucs-set-char #x6760 ?$B[:(B) ; J83-B-5B3A
(ucs-set-char #x6761 ?$(I&J(B) ; C03-I-264A
(ucs-set-char #x6761 ?$@>r(B) ; J78-@-3E72
(ucs-set-char #x6761 ?$ALu(B) ; GB0-A-4C75
(ucs-set-char #x6761 ?$B>r(B) ; J83-B-3E72
(ucs-set-char #x6762 ?$@L](B) ; J78-@-4C5D
(ucs-set-char #x6762 ?$BL](B) ; J83-B-4C5D
(ucs-set-char #x6763 ?$@[<(B) ; J78-@-5B3C
(ucs-set-char #x6763 ?$B[<(B) ; J83-B-5B3C
(ucs-set-char #x6764 ?$@[=(B) ; J78-@-5B3D
(ucs-set-char #x6764 ?$B[=(B) ; J83-B-5B3D
(ucs-set-char #x6765 ?$(J$F(B) ; C04-J-2446
(ucs-set-char #x6765 ?$@Mh(B) ; J78-@-4D68
(ucs-set-char #x6765 ?$A@4(B) ; GB0-A-4034
(ucs-set-char #x6765 ?$BMh(B) ; J83-B-4D68
(ucs-set-char #x6766 ?$(DC!(B) ; J90-D-4321
(ucs-set-char #x6768 ?$AQn(B) ; GB0-A-516E
(ucs-set-char #x6769 ?$Ah?(B) ; GB0-A-683F
(ucs-set-char #x676A ?$(GN:(B) ; C01-G-4E3A
(ucs-set-char #x676A ?$@[B(B) ; J78-@-5B42
(ucs-set-char #x676A ?$AhB(B) ; GB0-A-6842
(ucs-set-char #x676A ?$B[B(B) ; J83-B-5B42
(ucs-set-char #x676B ?$(I)G(B) ; C03-I-2947
(ucs-set-char #x676C ?$(DC"(B) ; J90-D-4322
(ucs-set-char #x676C ?$(H'5(B) ; C02-H-2735
(ucs-set-char #x676D ?$(Cyx(B) ; KS0-C-7978
(ucs-set-char #x676D ?$(GN&(B) ; C01-G-4E26
(ucs-set-char #x676D ?$@9:(B) ; J78-@-393A
(ucs-set-char #x676D ?$A:<(B) ; GB0-A-3A3C
(ucs-set-char #x676D ?$B9:(B) ; J83-B-393A
(ucs-set-char #x676E ?$(DC#(B) ; J90-D-4323
(ucs-set-char #x676E ?$(J&i(B) ; C04-J-2669
(ucs-set-char #x676F ?$(C[J(B) ; KS0-C-5B4A
(ucs-set-char #x676F ?$(GN0(B) ; C01-G-4E30
(ucs-set-char #x676F ?$@GU(B) ; J78-@-4755
(ucs-set-char #x676F ?$A1-(B) ; GB0-A-312D
(ucs-set-char #x676F ?$BGU(B) ; J83-B-4755
(ucs-set-char #x6770 ?$(CKy(B) ; KS0-C-4B79
(ucs-set-char #x6770 ?$(GN1(B) ; C01-G-4E31
(ucs-set-char #x6770 ?$@[?(B) ; J78-@-5B3F
(ucs-set-char #x6770 ?$A=\(B) ; GB0-A-3D5C
(ucs-set-char #x6770 ?$B[?(B) ; J83-B-5B3F
(ucs-set-char #x6771 ?$(CTT(B) ; KS0-C-5454
(ucs-set-char #x6771 ?$(GN)(B) ; C01-G-4E29
(ucs-set-char #x6771 ?$@El(B) ; J78-@-456C
(ucs-set-char #x6771 ?$BEl(B) ; J83-B-456C
(ucs-set-char #x6772 ?$(GN;(B) ; C01-G-4E3B
(ucs-set-char #x6772 ?$@Z^(B) ; J78-@-5A5E
(ucs-set-char #x6772 ?$Aj=(B) ; GB0-A-6A3D
(ucs-set-char #x6772 ?$BZ^(B) ; J83-B-5A5E
(ucs-set-char #x6773 ?$(CY\(B) ; KS0-C-595C
(ucs-set-char #x6773 ?$(GN+(B) ; C01-G-4E2B
(ucs-set-char #x6773 ?$@Zb(B) ; J78-@-5A62
(ucs-set-char #x6773 ?$AhC(B) ; GB0-A-6843
(ucs-set-char #x6773 ?$BZb(B) ; J83-B-5A62
(ucs-set-char #x6774 ?$(DC$(B) ; J90-D-4324
(ucs-set-char #x6774 ?$(H'=(B) ; C02-H-273D
(ucs-set-char #x6775 ?$(Cn>(B) ; KS0-C-6E3E
(ucs-set-char #x6775 ?$(GN6(B) ; C01-G-4E36
(ucs-set-char #x6775 ?$@5O(B) ; J78-@-354F
(ucs-set-char #x6775 ?$AhF(B) ; GB0-A-6846
(ucs-set-char #x6775 ?$B5O(B) ; J83-B-354F
(ucs-set-char #x6776 ?$(DC%(B) ; J90-D-4325
(ucs-set-char #x6776 ?$(H'8(B) ; C02-H-2738
(ucs-set-char #x6777 ?$(Cwm(B) ; KS0-C-776D
(ucs-set-char #x6777 ?$(GN,(B) ; C01-G-4E2C
(ucs-set-char #x6777 ?$@GG(B) ; J78-@-4747
(ucs-set-char #x6777 ?$AhK(B) ; GB0-A-684B
(ucs-set-char #x6777 ?$BGG(B) ; J83-B-4747
(ucs-set-char #x6778 ?$(H'G(B) ; C02-H-2747
(ucs-set-char #x6779 ?$(H'H(B) ; C02-H-2748
(ucs-set-char #x677A ?$(H'@(B) ; C02-H-2740
(ucs-set-char #x677B ?$(CRn(B) ; KS0-C-526E
(ucs-set-char #x677B ?$(DC&(B) ; J90-D-4326
(ucs-set-char #x677B ?$(H'9(B) ; C02-H-2739
(ucs-set-char #x677C ?$(GN9(B) ; C01-G-4E39
(ucs-set-char #x677C ?$@[A(B) ; J78-@-5B41
(ucs-set-char #x677C ?$AhL(B) ; GB0-A-684C
(ucs-set-char #x677C ?$B[A(B) ; J83-B-5B41
(ucs-set-char #x677D ?$(H'E(B) ; C02-H-2745
(ucs-set-char #x677E ?$(Caf(B) ; KS0-C-6166
(ucs-set-char #x677E ?$(GN4(B) ; C01-G-4E34
(ucs-set-char #x677E ?$@>>(B) ; J78-@-3E3E
(ucs-set-char #x677E ?$AKI(B) ; GB0-A-4B49
(ucs-set-char #x677E ?$B>>(B) ; J83-B-3E3E
(ucs-set-char #x677F ?$(Cwy(B) ; KS0-C-7779
(ucs-set-char #x677F ?$(GN2(B) ; C01-G-4E32
(ucs-set-char #x677F ?$@HD(B) ; J78-@-4844
(ucs-set-char #x677F ?$A0e(B) ; GB0-A-3065
(ucs-set-char #x677F ?$BHD(B) ; J83-B-4844
(ucs-set-char #x6780 ?$(I)R(B) ; C03-I-2952
(ucs-set-char #x6781 ?$(DC'(B) ; J90-D-4327
(ucs-set-char #x6781 ?$(H'F(B) ; C02-H-2746
(ucs-set-char #x6781 ?$A<+(B) ; GB0-A-3C2B
(ucs-set-char #x6782 ?$(I)I(B) ; C03-I-2949
(ucs-set-char #x6783 ?$(H'D(B) ; C02-H-2744
(ucs-set-char #x6784 ?$(DC((B) ; J90-D-4328
(ucs-set-char #x6784 ?$(H'<(B) ; C02-H-273C
(ucs-set-char #x6784 ?$A99(B) ; GB0-A-3939
(ucs-set-char #x6785 ?$(H'4(B) ; C02-H-2734
(ucs-set-char #x6785 ?$@[G(B) ; J78-@-5B47
(ucs-set-char #x6785 ?$B[G(B) ; J83-B-5B47
(ucs-set-char #x6786 ?$(H';(B) ; C02-H-273B
(ucs-set-char #x6787 ?$(C]m(B) ; KS0-C-5D6D
(ucs-set-char #x6787 ?$(GN-(B) ; C01-G-4E2D
(ucs-set-char #x6787 ?$@Hz(B) ; J78-@-487A
(ucs-set-char #x6787 ?$AhA(B) ; GB0-A-6841
(ucs-set-char #x6787 ?$BHz(B) ; J83-B-487A
(ucs-set-char #x6788 ?$(J&e(B) ; C04-J-2665
(ucs-set-char #x6789 ?$(Ch[(B) ; KS0-C-685B
(ucs-set-char #x6789 ?$(GN3(B) ; C01-G-4E33
(ucs-set-char #x6789 ?$@[>(B) ; J78-@-5B3E
(ucs-set-char #x6789 ?$AMw(B) ; GB0-A-4D77
(ucs-set-char #x6789 ?$B[>(B) ; J83-B-5B3E
(ucs-set-char #x678A ?$(I)J(B) ; C03-I-294A
(ucs-set-char #x678B ?$(C[3(B) ; KS0-C-5B33
(ucs-set-char #x678B ?$(GN'(B) ; C01-G-4E27
(ucs-set-char #x678B ?$@[D(B) ; J78-@-5B44
(ucs-set-char #x678B ?$AhJ(B) ; GB0-A-684A
(ucs-set-char #x678B ?$B[D(B) ; J83-B-5B44
(ucs-set-char #x678C ?$(H'?(B) ; C02-H-273F
(ucs-set-char #x678C ?$@[C(B) ; J78-@-5B43
(ucs-set-char #x678C ?$B[C(B) ; J83-B-5B43
(ucs-set-char #x678D ?$(H'>(B) ; C02-H-273E
(ucs-set-char #x678E ?$(DC)(B) ; J90-D-4329
(ucs-set-char #x678E ?$(H'6(B) ; C02-H-2736
(ucs-set-char #x678F ?$(CQw(B) ; KS0-C-5177
(ucs-set-char #x678F ?$(DC*(B) ; J90-D-432A
(ucs-set-char #x678F ?$(I)O(B) ; C03-I-294F
(ucs-set-char #x6790 ?$(C`0(B) ; KS0-C-6030
(ucs-set-char #x6790 ?$(GN5(B) ; C01-G-4E35
(ucs-set-char #x6790 ?$@@O(B) ; J78-@-404F
(ucs-set-char #x6790 ?$ANv(B) ; GB0-A-4E76
(ucs-set-char #x6790 ?$B@O(B) ; J83-B-404F
(ucs-set-char #x6791 ?$(DC+(B) ; J90-D-432B
(ucs-set-char #x6791 ?$(H'B(B) ; C02-H-2742
(ucs-set-char #x6792 ?$(H'7(B) ; C02-H-2737
(ucs-set-char #x6793 ?$(CTb(B) ; KS0-C-5462
(ucs-set-char #x6793 ?$(DC,(B) ; J90-D-432C
(ucs-set-char #x6793 ?$(GN8(B) ; C01-G-4E38
(ucs-set-char #x6794 ?$(H'I(B) ; C02-H-2749
(ucs-set-char #x6795 ?$(CvW(B) ; KS0-C-7657
(ucs-set-char #x6795 ?$(GN((B) ; C01-G-4E28
(ucs-set-char #x6795 ?$@Km(B) ; J78-@-4B6D
(ucs-set-char #x6795 ?$AUm(B) ; GB0-A-556D
(ucs-set-char #x6795 ?$BKm(B) ; J83-B-4B6D
(ucs-set-char #x6796 ?$(DC-(B) ; J90-D-432D
(ucs-set-char #x6796 ?$(I)H(B) ; C03-I-2948
(ucs-set-char #x6797 ?$(CWy(B) ; KS0-C-5779
(ucs-set-char #x6797 ?$(GN/(B) ; C01-G-4E2F
(ucs-set-char #x6797 ?$@NS(B) ; J78-@-4E53
(ucs-set-char #x6797 ?$AAV(B) ; GB0-A-4156
(ucs-set-char #x6797 ?$BNS(B) ; J83-B-4E53
(ucs-set-char #x6798 ?$(DC.(B) ; J90-D-432E
(ucs-set-char #x6798 ?$(H':(B) ; C02-H-273A
(ucs-set-char #x6798 ?$AhD(B) ; GB0-A-6844
(ucs-set-char #x6799 ?$(DC/(B) ; J90-D-432F
(ucs-set-char #x6799 ?$(H'C(B) ; C02-H-2743
(ucs-set-char #x679A ?$(CX](B) ; KS0-C-585D
(ucs-set-char #x679A ?$(GN7(B) ; C01-G-4E37
(ucs-set-char #x679A ?$@Kg(B) ; J78-@-4B67
(ucs-set-char #x679A ?$AC6(B) ; GB0-A-4336
(ucs-set-char #x679A ?$BKg(B) ; J83-B-4B67
(ucs-set-char #x679B ?$(DC0(B) ; J90-D-4330
(ucs-set-char #x679B ?$(J&g(B) ; C04-J-2667
(ucs-set-char #x679C ?$(CM}(B) ; KS0-C-4D7D
(ucs-set-char #x679C ?$(GN*(B) ; C01-G-4E2A
(ucs-set-char #x679C ?$@2L(B) ; J78-@-324C
(ucs-set-char #x679C ?$A9{(B) ; GB0-A-397B
(ucs-set-char #x679C ?$B2L(B) ; J83-B-324C
(ucs-set-char #x679D ?$(Cr+(B) ; KS0-C-722B
(ucs-set-char #x679D ?$(GN.(B) ; C01-G-4E2E
(ucs-set-char #x679D ?$@;^(B) ; J78-@-3B5E
(ucs-set-char #x679D ?$AV&(B) ; GB0-A-5626
(ucs-set-char #x679D ?$B;^(B) ; J83-B-3B5E
(ucs-set-char #x679E ?$(J&j(B) ; C04-J-266A
(ucs-set-char #x679E ?$AhH(B) ; GB0-A-6848
(ucs-set-char #x679F ?$(H'A(B) ; C02-H-2741
(ucs-set-char #x67A0 ?$@OH(B) ; J78-@-4F48
(ucs-set-char #x67A0 ?$BOH(B) ; J83-B-4F48
(ucs-set-char #x67A1 ?$@[F(B) ; J78-@-5B46
(ucs-set-char #x67A1 ?$B[F(B) ; J83-B-5B46
(ucs-set-char #x67A2 ?$(I)N(B) ; C03-I-294E
(ucs-set-char #x67A2 ?$@?u(B) ; J78-@-3F75
(ucs-set-char #x67A2 ?$AJ`(B) ; GB0-A-4A60
(ucs-set-char #x67A2 ?$B?u(B) ; J83-B-3F75
(ucs-set-char #x67A3 ?$(I)L(B) ; C03-I-294C
(ucs-set-char #x67A3 ?$ATf(B) ; GB0-A-5466
(ucs-set-char #x67A5 ?$Ah@(B) ; GB0-A-6840
(ucs-set-char #x67A6 ?$@[E(B) ; J78-@-5B45
(ucs-set-char #x67A6 ?$B[E(B) ; J83-B-5B45
(ucs-set-char #x67A7 ?$AhE(B) ; GB0-A-6845
(ucs-set-char #x67A8 ?$AhG(B) ; GB0-A-6847
(ucs-set-char #x67A9 ?$@[@(B) ; J78-@-5B40
(ucs-set-char #x67A9 ?$B[@(B) ; J83-B-5B40
(ucs-set-char #x67AA ?$AG9(B) ; GB0-A-4739
(ucs-set-char #x67AB ?$A7c(B) ; GB0-A-3763
(ucs-set-char #x67AD ?$AhI(B) ; GB0-A-6849
(ucs-set-char #x67AE ?$(H+=(B) ; C02-H-2B3D
(ucs-set-char #x67AF ?$(CM=(B) ; KS0-C-4D3D
(ucs-set-char #x67AF ?$(GQ_(B) ; C01-G-515F
(ucs-set-char #x67AF ?$@8O(B) ; J78-@-384F
(ucs-set-char #x67AF ?$A?](B) ; GB0-A-3F5D
(ucs-set-char #x67AF ?$B8O(B) ; J83-B-384F
(ucs-set-char #x67B0 ?$(CxB(B) ; KS0-C-7842
(ucs-set-char #x67B0 ?$(DC1(B) ; J90-D-4331
(ucs-set-char #x67B0 ?$(GQl(B) ; C01-G-516C
(ucs-set-char #x67B0 ?$AhR(B) ; GB0-A-6852
(ucs-set-char #x67B1 ?$(DC2(B) ; J90-D-4332
(ucs-set-char #x67B1 ?$(I-6(B) ; C03-I-2D36
(ucs-set-char #x67B2 ?$(DC3(B) ; J90-D-4333
(ucs-set-char #x67B2 ?$(H+8(B) ; C02-H-2B38
(ucs-set-char #x67B3 ?$(Cr,(B) ; KS0-C-722C
(ucs-set-char #x67B3 ?$(H+.(B) ; C02-H-2B2E
(ucs-set-char #x67B3 ?$@[L(B) ; J78-@-5B4C
(ucs-set-char #x67B3 ?$AhW(B) ; GB0-A-6857
(ucs-set-char #x67B3 ?$B[L(B) ; J83-B-5B4C
(ucs-set-char #x67B4 ?$(GQe(B) ; C01-G-5165
(ucs-set-char #x67B4 ?$@[J(B) ; J78-@-5B4A
(ucs-set-char #x67B4 ?$B[J(B) ; J83-B-5B4A
(ucs-set-char #x67B5 ?$(DC4(B) ; J90-D-4334
(ucs-set-char #x67B5 ?$(H+,(B) ; C02-H-2B2C
(ucs-set-char #x67B5 ?$AhU(B) ; GB0-A-6855
(ucs-set-char #x67B6 ?$(CJ-(B) ; KS0-C-4A2D
(ucs-set-char #x67B6 ?$(GQ^(B) ; C01-G-515E
(ucs-set-char #x67B6 ?$@2M(B) ; J78-@-324D
(ucs-set-char #x67B6 ?$A<\(B) ; GB0-A-3C5C
(ucs-set-char #x67B6 ?$B2M(B) ; J83-B-324D
(ucs-set-char #x67B7 ?$(CJ.(B) ; KS0-C-4A2E
(ucs-set-char #x67B7 ?$(H+'(B) ; C02-H-2B27
(ucs-set-char #x67B7 ?$@[H(B) ; J78-@-5B48
(ucs-set-char #x67B7 ?$A<O(B) ; GB0-A-3C4F
(ucs-set-char #x67B7 ?$B[H(B) ; J83-B-5B48
(ucs-set-char #x67B8 ?$(CO.(B) ; KS0-C-4F2E
(ucs-set-char #x67B8 ?$(GQh(B) ; C01-G-5168
(ucs-set-char #x67B8 ?$@[N(B) ; J78-@-5B4E
(ucs-set-char #x67B8 ?$Ah[(B) ; GB0-A-685B
(ucs-set-char #x67B8 ?$B[N(B) ; J83-B-5B4E
(ucs-set-char #x67B9 ?$(H+4(B) ; C02-H-2B34
(ucs-set-char #x67B9 ?$@[T(B) ; J78-@-5B54
(ucs-set-char #x67B9 ?$B[T(B) ; J83-B-5B54
(ucs-set-char #x67BA ?$(H+!(B) ; C02-H-2B21
(ucs-set-char #x67BB ?$(DC5(B) ; J90-D-4335
(ucs-set-char #x67BB ?$(H+#(B) ; C02-H-2B23
(ucs-set-char #x67BC ?$(DC6(B) ; J90-D-4336
(ucs-set-char #x67BC ?$(I-.(B) ; C03-I-2D2E
(ucs-set-char #x67BD ?$(DC7(B) ; J90-D-4337
(ucs-set-char #x67BD ?$(J-Y(B) ; C04-J-2D59
(ucs-set-char #x67BE ?$(CcB(B) ; KS0-C-6342
(ucs-set-char #x67BE ?$(J)n(B) ; C04-J-296E
(ucs-set-char #x67BF ?$(I-0(B) ; C03-I-2D30
(ucs-set-char #x67C0 ?$(DC9(B) ; J90-D-4339
(ucs-set-char #x67C0 ?$(H+&(B) ; C02-H-2B26
(ucs-set-char #x67C1 ?$(H*|(B) ; C02-H-2A7C
(ucs-set-char #x67C1 ?$@BH(B) ; J78-@-4248
(ucs-set-char #x67C1 ?$Ah^(B) ; GB0-A-685E
(ucs-set-char #x67C1 ?$BBH(B) ; J83-B-4248
(ucs-set-char #x67C2 ?$(DC:(B) ; J90-D-433A
(ucs-set-char #x67C2 ?$(H+3(B) ; C02-H-2B33
(ucs-set-char #x67C3 ?$(DC;(B) ; J90-D-433B
(ucs-set-char #x67C3 ?$(H+C(B) ; C02-H-2B43
(ucs-set-char #x67C3 ?$AhZ(B) ; GB0-A-685A
(ucs-set-char #x67C4 ?$(C\7(B) ; KS0-C-5C37
(ucs-set-char #x67C4 ?$(GQc(B) ; C01-G-5163
(ucs-set-char #x67C4 ?$@JA(B) ; J78-@-4A41
(ucs-set-char #x67C4 ?$A1z(B) ; GB0-A-317A
(ucs-set-char #x67C4 ?$BJA(B) ; J83-B-4A41
(ucs-set-char #x67C5 ?$(DC<(B) ; J90-D-433C
(ucs-set-char #x67C5 ?$(H+((B) ; C02-H-2B28
(ucs-set-char #x67C6 ?$(H+:(B) ; C02-H-2B3A
(ucs-set-char #x67C6 ?$@[V(B) ; J78-@-5B56
(ucs-set-char #x67C6 ?$B[V(B) ; J83-B-5B56
(ucs-set-char #x67C7 ?$(I--(B) ; C03-I-2D2D
(ucs-set-char #x67C8 ?$(DC=(B) ; J90-D-433D
(ucs-set-char #x67C8 ?$(H*~(B) ; C02-H-2A7E
(ucs-set-char #x67C9 ?$(DC>(B) ; J90-D-433E
(ucs-set-char #x67C9 ?$(H+A(B) ; C02-H-2B41
(ucs-set-char #x67CA ?$(H+B(B) ; C02-H-2B42
(ucs-set-char #x67CA ?$@I"(B) ; J78-@-4922
(ucs-set-char #x67CA ?$BI"(B) ; J83-B-4922
(ucs-set-char #x67CB ?$(H+E(B) ; C02-H-2B45
(ucs-set-char #x67CC ?$(H+<(B) ; C02-H-2B3C
(ucs-set-char #x67CD ?$(H+-(B) ; C02-H-2B2D
(ucs-set-char #x67CE ?$(H+5(B) ; C02-H-2B35
(ucs-set-char #x67CE ?$@[U(B) ; J78-@-5B55
(ucs-set-char #x67CE ?$B[U(B) ; J83-B-5B55
(ucs-set-char #x67CF ?$(C[Z(B) ; KS0-C-5B5A
(ucs-set-char #x67CF ?$(GQi(B) ; C01-G-5169
(ucs-set-char #x67CF ?$@Gp(B) ; J78-@-4770
(ucs-set-char #x67CF ?$A0X(B) ; GB0-A-3058
(ucs-set-char #x67CF ?$BGp(B) ; J83-B-4770
(ucs-set-char #x67D0 ?$(CY;(B) ; KS0-C-593B
(ucs-set-char #x67D0 ?$(GQ\(B) ; C01-G-515C
(ucs-set-char #x67D0 ?$@K?(B) ; J78-@-4B3F
(ucs-set-char #x67D0 ?$AD3(B) ; GB0-A-4433
(ucs-set-char #x67D0 ?$BK?(B) ; J83-B-4B3F
(ucs-set-char #x67D1 ?$(CJs(B) ; KS0-C-4A73
(ucs-set-char #x67D1 ?$(GQd(B) ; C01-G-5164
(ucs-set-char #x67D1 ?$@4;(B) ; J78-@-343B
(ucs-set-char #x67D1 ?$A8L(B) ; GB0-A-384C
(ucs-set-char #x67D1 ?$B4;(B) ; J83-B-343B
(ucs-set-char #x67D2 ?$(CvS(B) ; KS0-C-7653
(ucs-set-char #x67D2 ?$(DC?(B) ; J90-D-433F
(ucs-set-char #x67D2 ?$(GQp(B) ; C01-G-5170
(ucs-set-char #x67D2 ?$AFb(B) ; GB0-A-4662
(ucs-set-char #x67D3 ?$(Cfx(B) ; KS0-C-6678
(ucs-set-char #x67D3 ?$(GQY(B) ; C01-G-5159
(ucs-set-char #x67D3 ?$@@w(B) ; J78-@-4077
(ucs-set-char #x67D3 ?$AH>(B) ; GB0-A-483E
(ucs-set-char #x67D3 ?$B@w(B) ; J83-B-4077
(ucs-set-char #x67D4 ?$(Cju(B) ; KS0-C-6A75
(ucs-set-char #x67D4 ?$(GQ[(B) ; C01-G-515B
(ucs-set-char #x67D4 ?$@=@(B) ; J78-@-3D40
(ucs-set-char #x67D4 ?$AHa(B) ; GB0-A-4861
(ucs-set-char #x67D4 ?$B=@(B) ; J83-B-3D40
(ucs-set-char #x67D5 ?$(I-1(B) ; C03-I-2D31
(ucs-set-char #x67D6 ?$(I-+(B) ; C03-I-2D2B
(ucs-set-char #x67D7 ?$(DC@(B) ; J90-D-4340
(ucs-set-char #x67D7 ?$(I-:(B) ; C03-I-2D3A
(ucs-set-char #x67D8 ?$(H+%(B) ; C02-H-2B25
(ucs-set-char #x67D8 ?$@DS(B) ; J78-@-4453
(ucs-set-char #x67D8 ?$AhO(B) ; GB0-A-684F
(ucs-set-char #x67D8 ?$BDS(B) ; J83-B-4453
(ucs-set-char #x67D9 ?$(DCA(B) ; J90-D-4341
(ucs-set-char #x67D9 ?$(GQm(B) ; C01-G-516D
(ucs-set-char #x67D9 ?$AhT(B) ; GB0-A-6854
(ucs-set-char #x67DA ?$(Cjv(B) ; KS0-C-6A76
(ucs-set-char #x67DA ?$(GQf(B) ; C01-G-5166
(ucs-set-char #x67DA ?$@M.(B) ; J78-@-4D2E
(ucs-set-char #x67DA ?$AhV(B) ; GB0-A-6856
(ucs-set-char #x67DA ?$BM.(B) ; J83-B-4D2E
(ucs-set-char #x67DB ?$(H+?(B) ; C02-H-2B3F
(ucs-set-char #x67DC ?$(DCB(B) ; J90-D-4342
(ucs-set-char #x67DC ?$(H+"(B) ; C02-H-2B22
(ucs-set-char #x67DC ?$A9q(B) ; GB0-A-3971
(ucs-set-char #x67DD ?$(Cvy(B) ; KS0-C-7679
(ucs-set-char #x67DD ?$(GQo(B) ; C01-G-516F
(ucs-set-char #x67DD ?$@[Q(B) ; J78-@-5B51
(ucs-set-char #x67DD ?$AhX(B) ; GB0-A-6858
(ucs-set-char #x67DD ?$B[Q(B) ; J83-B-5B51
(ucs-set-char #x67DE ?$(GQj(B) ; C01-G-516A
(ucs-set-char #x67DE ?$@[P(B) ; J78-@-5B50
(ucs-set-char #x67DE ?$AWu(B) ; GB0-A-5775
(ucs-set-char #x67DE ?$B[P(B) ; J83-B-5B50
(ucs-set-char #x67DF ?$(H++(B) ; C02-H-2B2B
(ucs-set-char #x67E0 ?$(J)m(B) ; C04-J-296D
(ucs-set-char #x67E0 ?$AD{(B) ; GB0-A-447B
(ucs-set-char #x67E1 ?$(DCC(B) ; J90-D-4343
(ucs-set-char #x67E1 ?$(J-N(B) ; C04-J-2D4E
(ucs-set-char #x67E2 ?$(GQn(B) ; C01-G-516E
(ucs-set-char #x67E2 ?$@[R(B) ; J78-@-5B52
(ucs-set-char #x67E2 ?$Ah\(B) ; GB0-A-685C
(ucs-set-char #x67E2 ?$B[R(B) ; J83-B-5B52
(ucs-set-char #x67E3 ?$(H+2(B) ; C02-H-2B32
(ucs-set-char #x67E4 ?$(H+*(B) ; C02-H-2B2A
(ucs-set-char #x67E4 ?$@[O(B) ; J78-@-5B4F
(ucs-set-char #x67E4 ?$B[O(B) ; J83-B-5B4F
(ucs-set-char #x67E5 ?$(GQg(B) ; C01-G-5167
(ucs-set-char #x67E5 ?$A2i(B) ; GB0-A-3269
(ucs-set-char #x67E6 ?$(DCD(B) ; J90-D-4344
(ucs-set-char #x67E6 ?$(H+>(B) ; C02-H-2B3E
(ucs-set-char #x67E7 ?$(H+6(B) ; C02-H-2B36
(ucs-set-char #x67E7 ?$@[W(B) ; J78-@-5B57
(ucs-set-char #x67E7 ?$B[W(B) ; J83-B-5B57
(ucs-set-char #x67E8 ?$(I-*(B) ; C03-I-2D2A
(ucs-set-char #x67E9 ?$(CO/(B) ; KS0-C-4F2F
(ucs-set-char #x67E9 ?$(GQa(B) ; C01-G-5161
(ucs-set-char #x67E9 ?$@[M(B) ; J78-@-5B4D
(ucs-set-char #x67E9 ?$AhQ(B) ; GB0-A-6851
(ucs-set-char #x67E9 ?$B[M(B) ; J83-B-5B4D
(ucs-set-char #x67EA ?$(H+D(B) ; C02-H-2B44
(ucs-set-char #x67EB ?$(H+)(B) ; C02-H-2B29
(ucs-set-char #x67EC ?$(CJS(B) ; KS0-C-4A53
(ucs-set-char #x67EC ?$(GQ](B) ; C01-G-515D
(ucs-set-char #x67EC ?$@[K(B) ; J78-@-5B4B
(ucs-set-char #x67EC ?$A<m(B) ; GB0-A-3C6D
(ucs-set-char #x67EC ?$B[K(B) ; J83-B-5B4B
(ucs-set-char #x67ED ?$(H+;(B) ; C02-H-2B3B
(ucs-set-char #x67EE ?$(H+1(B) ; C02-H-2B31
(ucs-set-char #x67EE ?$@[S(B) ; J78-@-5B53
(ucs-set-char #x67EE ?$B[S(B) ; J83-B-5B53
(ucs-set-char #x67EF ?$(CJ/(B) ; KS0-C-4A2F
(ucs-set-char #x67EF ?$(GQb(B) ; C01-G-5162
(ucs-set-char #x67EF ?$@[I(B) ; J78-@-5B49
(ucs-set-char #x67EF ?$A?B(B) ; GB0-A-3F42
(ucs-set-char #x67EF ?$B[I(B) ; J83-B-5B49
(ucs-set-char #x67F0 ?$(CR0(B) ; KS0-C-5230
(ucs-set-char #x67F0 ?$(DCE(B) ; J90-D-4345
(ucs-set-char #x67F0 ?$(H+7(B) ; C02-H-2B37
(ucs-set-char #x67F0 ?$AhM(B) ; GB0-A-684D
(ucs-set-char #x67F1 ?$(Cq:(B) ; KS0-C-713A
(ucs-set-char #x67F1 ?$(GQZ(B) ; C01-G-515A
(ucs-set-char #x67F1 ?$@Cl(B) ; J78-@-436C
(ucs-set-char #x67F1 ?$AVy(B) ; GB0-A-5679
(ucs-set-char #x67F1 ?$BCl(B) ; J83-B-436C
(ucs-set-char #x67F2 ?$(DCF(B) ; J90-D-4346
(ucs-set-char #x67F2 ?$(H*}(B) ; C02-H-2A7D
(ucs-set-char #x67F3 ?$(CW3(B) ; KS0-C-5733
(ucs-set-char #x67F3 ?$(GQk(B) ; C01-G-516B
(ucs-set-char #x67F3 ?$@Lx(B) ; J78-@-4C78
(ucs-set-char #x67F3 ?$AAx(B) ; GB0-A-4178
(ucs-set-char #x67F3 ?$BLx(B) ; J83-B-4C78
(ucs-set-char #x67F4 ?$(CcC(B) ; KS0-C-6343
(ucs-set-char #x67F4 ?$(GV'(B) ; C01-G-5627
(ucs-set-char #x67F4 ?$@<F(B) ; J78-@-3C46
(ucs-set-char #x67F4 ?$A2q(B) ; GB0-A-3271
(ucs-set-char #x67F4 ?$B<F(B) ; J83-B-3C46
(ucs-set-char #x67F5 ?$(Cs}(B) ; KS0-C-737D
(ucs-set-char #x67F5 ?$(GQ`(B) ; C01-G-5160
(ucs-set-char #x67F5 ?$B:t(B) ; J83-B-3A74
(ucs-set-char #x67F6 ?$(C^Z(B) ; KS0-C-5E5A
(ucs-set-char #x67F6 ?$(DCG(B) ; J90-D-4347
(ucs-set-char #x67F6 ?$(H+0(B) ; C02-H-2B30
(ucs-set-char #x67F7 ?$(DCH(B) ; J90-D-4348
(ucs-set-char #x67F7 ?$(H+/(B) ; C02-H-2B2F
(ucs-set-char #x67F8 ?$(H+$(B) ; C02-H-2B24
(ucs-set-char #x67F9 ?$(DC8(B) ; J90-D-4338
(ucs-set-char #x67F9 ?$(I)Q(B) ; C03-I-2951
(ucs-set-char #x67FA ?$(H+@(B) ; C02-H-2B40
(ucs-set-char #x67FA ?$(I-5(B) ; C03-I-2D35
(ucs-set-char #x67FB ?$(C^[(B) ; KS0-C-5E5B
(ucs-set-char #x67FB ?$(I-4(B) ; C03-I-2D34
(ucs-set-char #x67FB ?$@::(B) ; J78-@-3A3A
(ucs-set-char #x67FB ?$B::(B) ; J83-B-3A3A
(ucs-set-char #x67FC ?$(H+9(B) ; C02-H-2B39
(ucs-set-char #x67FD ?$Ah_(B) ; GB0-A-685F
(ucs-set-char #x67FE ?$(Co^(B) ; KS0-C-6F5E
(ucs-set-char #x67FE ?$(I-2(B) ; C03-I-2D32
(ucs-set-char #x67FE ?$@Ko(B) ; J78-@-4B6F
(ucs-set-char #x67FE ?$BKo(B) ; J83-B-4B6F
(ucs-set-char #x67FF ?$(GQX(B) ; C01-G-5158
(ucs-set-char #x67FF ?$@3A(B) ; J78-@-3341
(ucs-set-char #x67FF ?$AJA(B) ; GB0-A-4A41
(ucs-set-char #x67FF ?$B3A(B) ; J83-B-3341
(ucs-set-char #x6800 ?$(I-9(B) ; C03-I-2D39
(ucs-set-char #x6800 ?$AhY(B) ; GB0-A-6859
(ucs-set-char #x6801 ?$(I-7(B) ; C03-I-2D37
(ucs-set-char #x6802 ?$@DN(B) ; J78-@-444E
(ucs-set-char #x6802 ?$BDN(B) ; J83-B-444E
(ucs-set-char #x6803 ?$@FJ(B) ; J78-@-464A
(ucs-set-char #x6803 ?$BFJ(B) ; J83-B-464A
(ucs-set-char #x6804 ?$(L1r(B) ; C06-L-3172
(ucs-set-char #x6804 ?$@1I(B) ; J78-@-3149
(ucs-set-char #x6804 ?$B1I(B) ; J83-B-3149
(ucs-set-char #x6805 ?$(I-8(B) ; C03-I-2D38
(ucs-set-char #x6805 ?$@:t(B) ; J78-@-3A74
(ucs-set-char #x6805 ?$AU$(B) ; GB0-A-5524
(ucs-set-char #x6807 ?$A1j(B) ; GB0-A-316A
(ucs-set-char #x6808 ?$AU;(B) ; GB0-A-553B
(ucs-set-char #x6809 ?$AhN(B) ; GB0-A-684E
(ucs-set-char #x680A ?$AhP(B) ; GB0-A-6850
(ucs-set-char #x680B ?$A60(B) ; GB0-A-3630
(ucs-set-char #x680C ?$AhS(B) ; GB0-A-6853
(ucs-set-char #x680E ?$Ah](B) ; GB0-A-685D
(ucs-set-char #x680F ?$A@8(B) ; GB0-A-4038
(ucs-set-char #x6811 ?$AJw(B) ; GB0-A-4A77
(ucs-set-char #x6812 ?$(Cbc(B) ; KS0-C-6263
(ucs-set-char #x6812 ?$(H/n(B) ; C02-H-2F6E
(ucs-set-char #x6813 ?$(Cn{(B) ; KS0-C-6E7B
(ucs-set-char #x6813 ?$(GV.(B) ; C01-G-562E
(ucs-set-char #x6813 ?$@@r(B) ; J78-@-4072
(ucs-set-char #x6813 ?$AK((B) ; GB0-A-4B28
(ucs-set-char #x6813 ?$B@r(B) ; J83-B-4072
(ucs-set-char #x6814 ?$(DCJ(B) ; J90-D-434A
(ucs-set-char #x6814 ?$(H/o(B) ; C02-H-2F6F
(ucs-set-char #x6815 ?$(I1](B) ; C03-I-315D
(ucs-set-char #x6816 ?$(C_w(B) ; KS0-C-5F77
(ucs-set-char #x6816 ?$(H/c(B) ; C02-H-2F63
(ucs-set-char #x6816 ?$@@4(B) ; J78-@-4034
(ucs-set-char #x6816 ?$AF\(B) ; GB0-A-465C
(ucs-set-char #x6816 ?$B@4(B) ; J83-B-4034
(ucs-set-char #x6817 ?$(CWJ(B) ; KS0-C-574A
(ucs-set-char #x6817 ?$(GV#(B) ; C01-G-5623
(ucs-set-char #x6817 ?$@7*(B) ; J78-@-372A
(ucs-set-char #x6817 ?$A@u(B) ; GB0-A-4075
(ucs-set-char #x6817 ?$B7*(B) ; J83-B-372A
(ucs-set-char #x6818 ?$(GV/(B) ; C01-G-562F
(ucs-set-char #x6819 ?$(DCK(B) ; J90-D-434B
(ucs-set-char #x6819 ?$(I1W(B) ; C03-I-3157
(ucs-set-char #x681A ?$(H/\(B) ; C02-H-2F5C
(ucs-set-char #x681B ?$(I1S(B) ; C03-I-3153
(ucs-set-char #x681C ?$(H/e(B) ; C02-H-2F65
(ucs-set-char #x681D ?$(DCL(B) ; J90-D-434C
(ucs-set-char #x681D ?$(H/m(B) ; C02-H-2F6D
(ucs-set-char #x681D ?$Ahi(B) ; GB0-A-6869
(ucs-set-char #x681E ?$(I1[(B) ; C03-I-315B
(ucs-set-char #x681E ?$@[Y(B) ; J78-@-5B59
(ucs-set-char #x681E ?$B[Y(B) ; J83-B-5B59
(ucs-set-char #x681F ?$(DCM(B) ; J90-D-434D
(ucs-set-char #x681F ?$(H/[(B) ; C02-H-2F5B
(ucs-set-char #x681F ?$(I<:(B) ; C03-I-3C3A
(ucs-set-char #x6820 ?$(H/v(B) ; C02-H-2F76
(ucs-set-char #x6821 ?$(CNh(B) ; KS0-C-4E68
(ucs-set-char #x6821 ?$(GUw(B) ; C01-G-5577
(ucs-set-char #x6821 ?$@9;(B) ; J78-@-393B
(ucs-set-char #x6821 ?$AP#(B) ; GB0-A-5023
(ucs-set-char #x6821 ?$B9;(B) ; J83-B-393B
(ucs-set-char #x6822 ?$(C[[(B) ; KS0-C-5B5B
(ucs-set-char #x6822 ?$(I1^(B) ; C03-I-315E
(ucs-set-char #x6822 ?$@3|(B) ; J78-@-337C
(ucs-set-char #x6822 ?$B3|(B) ; J83-B-337C
(ucs-set-char #x6823 ?$(I1d(B) ; C03-I-3164
(ucs-set-char #x6824 ?$(I1P(B) ; C03-I-3150
(ucs-set-char #x6825 ?$(H/u(B) ; C02-H-2F75
(ucs-set-char #x6826 ?$(H/p(B) ; C02-H-2F70
(ucs-set-char #x6827 ?$(DCO(B) ; J90-D-434F
(ucs-set-char #x6827 ?$(I1_(B) ; C03-I-315F
(ucs-set-char #x6828 ?$(DCN(B) ; J90-D-434E
(ucs-set-char #x6828 ?$(H/q(B) ; C02-H-2F71
(ucs-set-char #x6829 ?$(GV!(B) ; C01-G-5621
(ucs-set-char #x6829 ?$@[[(B) ; J78-@-5B5B
(ucs-set-char #x6829 ?$Ahr(B) ; GB0-A-6872
(ucs-set-char #x6829 ?$B[[(B) ; J83-B-5B5B
(ucs-set-char #x682A ?$(Cq;(B) ; KS0-C-713B
(ucs-set-char #x682A ?$(GV,(B) ; C01-G-562C
(ucs-set-char #x682A ?$@3t(B) ; J78-@-3374
(ucs-set-char #x682A ?$AVj(B) ; GB0-A-566A
(ucs-set-char #x682A ?$B3t(B) ; J83-B-3374
(ucs-set-char #x682B ?$(H/g(B) ; C02-H-2F67
(ucs-set-char #x682B ?$@[a(B) ; J78-@-5B61
(ucs-set-char #x682B ?$B[a(B) ; J83-B-5B61
(ucs-set-char #x682C ?$(DCP(B) ; J90-D-4350
(ucs-set-char #x682C ?$(I1V(B) ; C03-I-3156
(ucs-set-char #x682D ?$(DCQ(B) ; J90-D-4351
(ucs-set-char #x682D ?$(H/h(B) ; C02-H-2F68
(ucs-set-char #x682E ?$(H/r(B) ; C02-H-2F72
(ucs-set-char #x682F ?$(Ciq(B) ; KS0-C-6971
(ucs-set-char #x682F ?$(DCR(B) ; J90-D-4352
(ucs-set-char #x682F ?$(H/i(B) ; C02-H-2F69
(ucs-set-char #x6830 ?$(DCS(B) ; J90-D-4353
(ucs-set-char #x6830 ?$(I1c(B) ; C03-I-3163
(ucs-set-char #x6831 ?$(DCT(B) ; J90-D-4354
(ucs-set-char #x6831 ?$(H/d(B) ; C02-H-2F64
(ucs-set-char #x6832 ?$(H/^(B) ; C02-H-2F5E
(ucs-set-char #x6832 ?$@[^(B) ; J78-@-5B5E
(ucs-set-char #x6832 ?$Ah`(B) ; GB0-A-6860
(ucs-set-char #x6832 ?$B[^(B) ; J83-B-5B5E
(ucs-set-char #x6833 ?$(DCU(B) ; J90-D-4355
(ucs-set-char #x6833 ?$(H/_(B) ; C02-H-2F5F
(ucs-set-char #x6833 ?$Aha(B) ; GB0-A-6861
(ucs-set-char #x6834 ?$(H/l(B) ; C02-H-2F6C
(ucs-set-char #x6834 ?$@@s(B) ; J78-@-4073
(ucs-set-char #x6834 ?$B@s(B) ; J83-B-4073
(ucs-set-char #x6835 ?$(H/f(B) ; C02-H-2F66
(ucs-set-char #x6836 ?$(I1T(B) ; C03-I-3154
(ucs-set-char #x6837 ?$(I1O(B) ; C03-I-314F
(ucs-set-char #x6837 ?$AQy(B) ; GB0-A-5179
(ucs-set-char #x6838 ?$(Cz7(B) ; KS0-C-7A37
(ucs-set-char #x6838 ?$(GUx(B) ; C01-G-5578
(ucs-set-char #x6838 ?$@3K(B) ; J78-@-334B
(ucs-set-char #x6838 ?$A:K(B) ; GB0-A-3A4B
(ucs-set-char #x6838 ?$B3K(B) ; J83-B-334B
(ucs-set-char #x6839 ?$(CPF(B) ; KS0-C-5046
(ucs-set-char #x6839 ?$(GU|(B) ; C01-G-557C
(ucs-set-char #x6839 ?$@:,(B) ; J78-@-3A2C
(ucs-set-char #x6839 ?$A8y(B) ; GB0-A-3879
(ucs-set-char #x6839 ?$B:,(B) ; J83-B-3A2C
(ucs-set-char #x683A ?$(H/t(B) ; C02-H-2F74
(ucs-set-char #x683B ?$(DCV(B) ; J90-D-4356
(ucs-set-char #x683B ?$(H/`(B) ; C02-H-2F60
(ucs-set-char #x683C ?$(CL+(B) ; KS0-C-4C2B
(ucs-set-char #x683C ?$(GV*(B) ; C01-G-562A
(ucs-set-char #x683C ?$@3J(B) ; J78-@-334A
(ucs-set-char #x683C ?$A8q(B) ; GB0-A-3871
(ucs-set-char #x683C ?$B3J(B) ; J83-B-334A
(ucs-set-char #x683D ?$(Cn((B) ; KS0-C-6E28
(ucs-set-char #x683D ?$(GV&(B) ; C01-G-5626
(ucs-set-char #x683D ?$@:O(B) ; J78-@-3A4F
(ucs-set-char #x683D ?$ATT(B) ; GB0-A-5454
(ucs-set-char #x683D ?$B:O(B) ; J83-B-3A4F
(ucs-set-char #x683E ?$(I1Z(B) ; C03-I-315A
(ucs-set-char #x683E ?$Aho(B) ; GB0-A-686F
(ucs-set-char #x683F ?$(DCW(B) ; J90-D-4357
(ucs-set-char #x683F ?$(J-U(B) ; C04-J-2D55
(ucs-set-char #x6840 ?$(CKz(B) ; KS0-C-4B7A
(ucs-set-char #x6840 ?$(GV)(B) ; C01-G-5629
(ucs-set-char #x6840 ?$@[\(B) ; J78-@-5B5C
(ucs-set-char #x6840 ?$Ahn(B) ; GB0-A-686E
(ucs-set-char #x6840 ?$B[\(B) ; J83-B-5B5C
(ucs-set-char #x6841 ?$(Cyy(B) ; KS0-C-7979
(ucs-set-char #x6841 ?$(GV0(B) ; C01-G-5630
(ucs-set-char #x6841 ?$@7e(B) ; J78-@-3765
(ucs-set-char #x6841 ?$Ahl(B) ; GB0-A-686C
(ucs-set-char #x6841 ?$B7e(B) ; J83-B-3765
(ucs-set-char #x6842 ?$(CL}(B) ; KS0-C-4C7D
(ucs-set-char #x6842 ?$(GU}(B) ; C01-G-557D
(ucs-set-char #x6842 ?$@7K(B) ; J78-@-374B
(ucs-set-char #x6842 ?$A9p(B) ; GB0-A-3970
(ucs-set-char #x6842 ?$B7K(B) ; J83-B-374B
(ucs-set-char #x6843 ?$(CS~(B) ; KS0-C-537E
(ucs-set-char #x6843 ?$(GV+(B) ; C01-G-562B
(ucs-set-char #x6843 ?$@Em(B) ; J78-@-456D
(ucs-set-char #x6843 ?$ALR(B) ; GB0-A-4C52
(ucs-set-char #x6843 ?$BEm(B) ; J83-B-456D
(ucs-set-char #x6844 ?$(DCX(B) ; J90-D-4358
(ucs-set-char #x6844 ?$(H/k(B) ; C02-H-2F6B
(ucs-set-char #x6844 ?$Ahf(B) ; GB0-A-6866
(ucs-set-char #x6845 ?$(DCY(B) ; J90-D-4359
(ucs-set-char #x6845 ?$(GV-(B) ; C01-G-562D
(ucs-set-char #x6845 ?$AN&(B) ; GB0-A-4E26
(ucs-set-char #x6846 ?$(GUz(B) ; C01-G-557A
(ucs-set-char #x6846 ?$@[Z(B) ; J78-@-5B5A
(ucs-set-char #x6846 ?$A?r(B) ; GB0-A-3F72
(ucs-set-char #x6846 ?$B[Z(B) ; J83-B-5B5A
(ucs-set-char #x6847 ?$(I1Y(B) ; C03-I-3159
(ucs-set-char #x6848 ?$(CdP(B) ; KS0-C-6450
(ucs-set-char #x6848 ?$(GUy(B) ; C01-G-5579
(ucs-set-char #x6848 ?$@0F(B) ; J78-@-3046
(ucs-set-char #x6848 ?$A08(B) ; GB0-A-3038
(ucs-set-char #x6848 ?$B0F(B) ; J83-B-3046
(ucs-set-char #x6849 ?$(H/](B) ; C02-H-2F5D
(ucs-set-char #x6849 ?$Ahq(B) ; GB0-A-6871
(ucs-set-char #x684A ?$(DCZ(B) ; J90-D-435A
(ucs-set-char #x684A ?$(J-O(B) ; C04-J-2D4F
(ucs-set-char #x684A ?$Ahp(B) ; GB0-A-6870
(ucs-set-char #x684B ?$(H/a(B) ; C02-H-2F61
(ucs-set-char #x684C ?$(DC[(B) ; J90-D-435B
(ucs-set-char #x684C ?$(GV$(B) ; C01-G-5624
(ucs-set-char #x684C ?$AW@(B) ; GB0-A-5740
(ucs-set-char #x684D ?$(H/s(B) ; C02-H-2F73
(ucs-set-char #x684D ?$@[](B) ; J78-@-5B5D
(ucs-set-char #x684D ?$B[](B) ; J83-B-5B5D
(ucs-set-char #x684E ?$(Crn(B) ; KS0-C-726E
(ucs-set-char #x684E ?$(H/j(B) ; C02-H-2F6A
(ucs-set-char #x684E ?$@[_(B) ; J78-@-5B5F
(ucs-set-char #x684E ?$Ahd(B) ; GB0-A-6864
(ucs-set-char #x684E ?$B[_(B) ; J83-B-5B5F
(ucs-set-char #x684F ?$(H/b(B) ; C02-H-2F62
(ucs-set-char #x6850 ?$(CTU(B) ; KS0-C-5455
(ucs-set-char #x6850 ?$(GV((B) ; C01-G-5628
(ucs-set-char #x6850 ?$@6M(B) ; J78-@-364D
(ucs-set-char #x6850 ?$AM)(B) ; GB0-A-4D29
(ucs-set-char #x6850 ?$B6M(B) ; J83-B-364D
(ucs-set-char #x6851 ?$(C_M(B) ; KS0-C-5F4D
(ucs-set-char #x6851 ?$(GV%(B) ; C01-G-5625
(ucs-set-char #x6851 ?$@7,(B) ; J78-@-372C
(ucs-set-char #x6851 ?$AI#(B) ; GB0-A-4923
(ucs-set-char #x6851 ?$B7,(B) ; J83-B-372C
(ucs-set-char #x6852 ?$(DCI(B) ; J90-D-4349
(ucs-set-char #x6852 ?$(I-/(B) ; C03-I-2D2F
(ucs-set-char #x6853 ?$(C|8(B) ; KS0-C-7C38
(ucs-set-char #x6853 ?$(GU{(B) ; C01-G-557B
(ucs-set-char #x6853 ?$@4<(B) ; J78-@-343C
(ucs-set-char #x6853 ?$A;8(B) ; GB0-A-3B38
(ucs-set-char #x6853 ?$B4<(B) ; J83-B-343C
(ucs-set-char #x6854 ?$(CQP(B) ; KS0-C-5150
(ucs-set-char #x6854 ?$(GU~(B) ; C01-G-557E
(ucs-set-char #x6854 ?$@5K(B) ; J78-@-354B
(ucs-set-char #x6854 ?$A=[(B) ; GB0-A-3D5B
(ucs-set-char #x6854 ?$B5K(B) ; J83-B-354B
(ucs-set-char #x6855 ?$(DC\(B) ; J90-D-435C
(ucs-set-char #x6855 ?$(I1b(B) ; C03-I-3162
(ucs-set-char #x6855 ?$Ahj(B) ; GB0-A-686A
(ucs-set-char #x6856 ?$(I1X(B) ; C03-I-3158
(ucs-set-char #x6857 ?$(DC](B) ; J90-D-435D
(ucs-set-char #x6857 ?$(J-S(B) ; C04-J-2D53
(ucs-set-char #x6858 ?$(DC^(B) ; J90-D-435E
(ucs-set-char #x6858 ?$(I1a(B) ; C03-I-3161
(ucs-set-char #x6859 ?$(I1`(B) ; C03-I-3160
(ucs-set-char #x6859 ?$@[b(B) ; J78-@-5B62
(ucs-set-char #x6859 ?$B[b(B) ; J83-B-5B62
(ucs-set-char #x685B ?$(DC_(B) ; J90-D-435F
(ucs-set-char #x685C ?$@:y(B) ; J78-@-3A79
(ucs-set-char #x685C ?$B:y(B) ; J83-B-3A79
(ucs-set-char #x685D ?$@Kq(B) ; J78-@-4B71
(ucs-set-char #x685D ?$BKq(B) ; J83-B-4B71
(ucs-set-char #x685F ?$@;7(B) ; J78-@-3B37
(ucs-set-char #x685F ?$B;7(B) ; J83-B-3B37
(ucs-set-char #x6860 ?$Ahb(B) ; GB0-A-6862
(ucs-set-char #x6861 ?$Ahc(B) ; GB0-A-6863
(ucs-set-char #x6862 ?$Ahe(B) ; GB0-A-6865
(ucs-set-char #x6863 ?$@[c(B) ; J78-@-5B63
(ucs-set-char #x6863 ?$A55(B) ; GB0-A-3535
(ucs-set-char #x6863 ?$B[c(B) ; J83-B-5B63
(ucs-set-char #x6864 ?$Ahg(B) ; GB0-A-6867
(ucs-set-char #x6865 ?$AGE(B) ; GB0-A-4745
(ucs-set-char #x6866 ?$Ahk(B) ; GB0-A-686B
(ucs-set-char #x6867 ?$@[X(B) ; J78-@-5B58
(ucs-set-char #x6867 ?$Ahm(B) ; GB0-A-686D
(ucs-set-char #x6867 ?$BI0(B) ; J83-B-4930
(ucs-set-char #x6868 ?$A=0(B) ; GB0-A-3D30
(ucs-set-char #x6869 ?$AW.(B) ; GB0-A-572E
(ucs-set-char #x686B ?$(DC`(B) ; J90-D-4360
(ucs-set-char #x686B ?$(H6((B) ; C02-H-3628
(ucs-set-char #x686B ?$Ahx(B) ; GB0-A-6878
(ucs-set-char #x686C ?$(I6U(B) ; C03-I-3655
(ucs-set-char #x686D ?$(CrM(B) ; KS0-C-724D
(ucs-set-char #x686D ?$(H5v(B) ; C02-H-3576
(ucs-set-char #x686E ?$(DCa(B) ; J90-D-4361
(ucs-set-char #x686E ?$(H5w(B) ; C02-H-3577
(ucs-set-char #x686F ?$(DCb(B) ; J90-D-4362
(ucs-set-char #x686F ?$(H5{(B) ; C02-H-357B
(ucs-set-char #x6870 ?$(DCc(B) ; J90-D-4363
(ucs-set-char #x6870 ?$(I6`(B) ; C03-I-3660
(ucs-set-char #x6871 ?$(DCd(B) ; J90-D-4364
(ucs-set-char #x6871 ?$(H6,(B) ; C02-H-362C
(ucs-set-char #x6872 ?$(DCe(B) ; J90-D-4365
(ucs-set-char #x6872 ?$(H6)(B) ; C02-H-3629
(ucs-set-char #x6873 ?$(I6N(B) ; C03-I-364E
(ucs-set-char #x6874 ?$(H6"(B) ; C02-H-3622
(ucs-set-char #x6874 ?$@[o(B) ; J78-@-5B6F
(ucs-set-char #x6874 ?$Ahu(B) ; GB0-A-6875
(ucs-set-char #x6874 ?$B[o(B) ; J83-B-5B6F
(ucs-set-char #x6875 ?$(DCf(B) ; J90-D-4366
(ucs-set-char #x6875 ?$(H6!(B) ; C02-H-3621
(ucs-set-char #x6876 ?$(CwR(B) ; KS0-C-7752
(ucs-set-char #x6876 ?$(G[3(B) ; C01-G-5B33
(ucs-set-char #x6876 ?$@23(B) ; J78-@-3233
(ucs-set-char #x6876 ?$AM0(B) ; GB0-A-4D30
(ucs-set-char #x6876 ?$B23(B) ; J83-B-3233
(ucs-set-char #x6877 ?$(H6%(B) ; C02-H-3625
(ucs-set-char #x6877 ?$@[d(B) ; J78-@-5B64
(ucs-set-char #x6877 ?$Ahv(B) ; GB0-A-6876
(ucs-set-char #x6877 ?$B[d(B) ; J83-B-5B64
(ucs-set-char #x6878 ?$(H64(B) ; C02-H-3634
(ucs-set-char #x6879 ?$(DCg(B) ; J90-D-4367
(ucs-set-char #x6879 ?$(H5r(B) ; C02-H-3572
(ucs-set-char #x687A ?$(DCh(B) ; J90-D-4368
(ucs-set-char #x687A ?$(I6[(B) ; C03-I-365B
(ucs-set-char #x687B ?$(DCi(B) ; J90-D-4369
(ucs-set-char #x687B ?$(H65(B) ; C02-H-3635
(ucs-set-char #x687C ?$(DCj(B) ; J90-D-436A
(ucs-set-char #x687C ?$(H6'(B) ; C02-H-3627
(ucs-set-char #x687D ?$(H69(B) ; C02-H-3639
(ucs-set-char #x687E ?$(H6-(B) ; C02-H-362D
(ucs-set-char #x687E ?$@[u(B) ; J78-@-5B75
(ucs-set-char #x687E ?$B[u(B) ; J83-B-5B75
(ucs-set-char #x687F ?$(CJT(B) ; KS0-C-4A54
(ucs-set-char #x687F ?$(G[2(B) ; C01-G-5B32
(ucs-set-char #x687F ?$@[e(B) ; J78-@-5B65
(ucs-set-char #x687F ?$B[e(B) ; J83-B-5B65
(ucs-set-char #x6880 ?$(H6+(B) ; C02-H-362B
(ucs-set-char #x6881 ?$(CUY(B) ; KS0-C-5559
(ucs-set-char #x6881 ?$(G[-(B) ; C01-G-5B2D
(ucs-set-char #x6881 ?$@NB(B) ; J78-@-4E42
(ucs-set-char #x6881 ?$AA:(B) ; GB0-A-413A
(ucs-set-char #x6881 ?$BNB(B) ; J83-B-4E42
(ucs-set-char #x6882 ?$(DCk(B) ; J90-D-436B
(ucs-set-char #x6882 ?$(G[B(B) ; C01-G-5B42
(ucs-set-char #x6883 ?$(G[8(B) ; C01-G-5B38
(ucs-set-char #x6883 ?$@[l(B) ; J78-@-5B6C
(ucs-set-char #x6883 ?$Ahh(B) ; GB0-A-6868
(ucs-set-char #x6883 ?$B[l(B) ; J83-B-5B6C
(ucs-set-char #x6884 ?$(DCl(B) ; J90-D-436C
(ucs-set-char #x6884 ?$(I6W(B) ; C03-I-3657
(ucs-set-char #x6885 ?$(CX^(B) ; KS0-C-585E
(ucs-set-char #x6885 ?$(G[<(B) ; C01-G-5B3C
(ucs-set-char #x6885 ?$(J-\(B) ; C04-J-2D5C
(ucs-set-char #x6885 ?$@G_(B) ; J78-@-475F
(ucs-set-char #x6885 ?$AC7(B) ; GB0-A-4337
(ucs-set-char #x6885 ?$BG_(B) ; J83-B-475F
(ucs-set-char #x6886 ?$(DCm(B) ; J90-D-436D
(ucs-set-char #x6886 ?$(G[;(B) ; C01-G-5B3B
(ucs-set-char #x6886 ?$A0p(B) ; GB0-A-3070
(ucs-set-char #x6887 ?$(H5s(B) ; C02-H-3573
(ucs-set-char #x6888 ?$(DCn(B) ; J90-D-436E
(ucs-set-char #x6888 ?$(J2?(B) ; C04-J-323F
(ucs-set-char #x6889 ?$(H62(B) ; C02-H-3632
(ucs-set-char #x688A ?$(H68(B) ; C02-H-3638
(ucs-set-char #x688B ?$(H60(B) ; C02-H-3630
(ucs-set-char #x688C ?$(H67(B) ; C02-H-3637
(ucs-set-char #x688D ?$B[t(B) ; J83-B-5B74
(ucs-set-char #x688E ?$(I6Q(B) ; C03-I-3651
(ucs-set-char #x688E ?$(K2~(B) ; C05-K-327E
(ucs-set-char #x688E ?$@[t(B) ; J78-@-5B74
(ucs-set-char #x688F ?$(CMY(B) ; KS0-C-4D59
(ucs-set-char #x688F ?$(H6$(B) ; C02-H-3624
(ucs-set-char #x688F ?$@[g(B) ; J78-@-5B67
(ucs-set-char #x688F ?$Aht(B) ; GB0-A-6874
(ucs-set-char #x688F ?$B[g(B) ; J83-B-5B67
(ucs-set-char #x6890 ?$(H5t(B) ; C02-H-3574
(ucs-set-char #x6891 ?$(H66(B) ; C02-H-3636
(ucs-set-char #x6892 ?$(H6&(B) ; C02-H-3626
(ucs-set-char #x6893 ?$(Cn)(B) ; KS0-C-6E29
(ucs-set-char #x6893 ?$(G[0(B) ; C01-G-5B30
(ucs-set-char #x6893 ?$@04(B) ; J78-@-3034
(ucs-set-char #x6893 ?$Ahw(B) ; GB0-A-6877
(ucs-set-char #x6893 ?$B04(B) ; J83-B-3034
(ucs-set-char #x6894 ?$(Cv<(B) ; KS0-C-763C
(ucs-set-char #x6894 ?$(G[=(B) ; C01-G-5B3D
(ucs-set-char #x6894 ?$@[i(B) ; J78-@-5B69
(ucs-set-char #x6894 ?$B[i(B) ; J83-B-5B69
(ucs-set-char #x6895 ?$(I6Z(B) ; C03-I-365A
(ucs-set-char #x6896 ?$(DCo(B) ; J90-D-436F
(ucs-set-char #x6896 ?$(H6/(B) ; C02-H-362F
(ucs-set-char #x6897 ?$(CL[(B) ; KS0-C-4C5B
(ucs-set-char #x6897 ?$(G[6(B) ; C01-G-5B36
(ucs-set-char #x6897 ?$@9<(B) ; J78-@-393C
(ucs-set-char #x6897 ?$A9#(B) ; GB0-A-3923
(ucs-set-char #x6897 ?$B9<(B) ; J83-B-393C
(ucs-set-char #x6898 ?$(DCp(B) ; J90-D-4370
(ucs-set-char #x6898 ?$(I6M(B) ; C03-I-364D
(ucs-set-char #x6899 ?$(I6\(B) ; C03-I-365C
(ucs-set-char #x689A ?$(DCq(B) ; J90-D-4371
(ucs-set-char #x689A ?$(I6P(B) ; C03-I-3650
(ucs-set-char #x689B ?$(H6.(B) ; C02-H-362E
(ucs-set-char #x689B ?$@[k(B) ; J78-@-5B6B
(ucs-set-char #x689B ?$B[k(B) ; J83-B-5B6B
(ucs-set-char #x689C ?$(DCr(B) ; J90-D-4372
(ucs-set-char #x689C ?$(H5u(B) ; C02-H-3575
(ucs-set-char #x689D ?$(CpI(B) ; KS0-C-7049
(ucs-set-char #x689D ?$(G[>(B) ; C01-G-5B3E
(ucs-set-char #x689D ?$@[j(B) ; J78-@-5B6A
(ucs-set-char #x689D ?$B[j(B) ; J83-B-5B6A
(ucs-set-char #x689E ?$(I6K(B) ; C03-I-364B
(ucs-set-char #x689F ?$(C||(B) ; KS0-C-7C7C
(ucs-set-char #x689F ?$(G[@(B) ; C01-G-5B40
(ucs-set-char #x689F ?$@[f(B) ; J78-@-5B66
(ucs-set-char #x689F ?$B[f(B) ; J83-B-5B66
(ucs-set-char #x68A0 ?$(H61(B) ; C02-H-3631
(ucs-set-char #x68A0 ?$@[q(B) ; J78-@-5B71
(ucs-set-char #x68A0 ?$B[q(B) ; J83-B-5B71
(ucs-set-char #x68A1 ?$(ChI(B) ; KS0-C-6849
(ucs-set-char #x68A1 ?$(DCs(B) ; J90-D-4373
(ucs-set-char #x68A1 ?$(G[A(B) ; C01-G-5B41
(ucs-set-char #x68A2 ?$(Ct~(B) ; KS0-C-747E
(ucs-set-char #x68A2 ?$(G[/(B) ; C01-G-5B2F
(ucs-set-char #x68A2 ?$@>?(B) ; J78-@-3E3F
(ucs-set-char #x68A2 ?$AIR(B) ; GB0-A-4952
(ucs-set-char #x68A2 ?$B>?(B) ; J83-B-3E3F
(ucs-set-char #x68A3 ?$(DCt(B) ; J90-D-4374
(ucs-set-char #x68A3 ?$(H5|(B) ; C02-H-357C
(ucs-set-char #x68A4 ?$(H63(B) ; C02-H-3633
(ucs-set-char #x68A5 ?$(DCu(B) ; J90-D-4375
(ucs-set-char #x68A5 ?$(I6T(B) ; C03-I-3654
(ucs-set-char #x68A6 ?$(I4x(B) ; C03-I-3478
(ucs-set-char #x68A6 ?$@Tm(B) ; J78-@-546D
(ucs-set-char #x68A6 ?$ACN(B) ; GB0-A-434E
(ucs-set-char #x68A6 ?$BTm(B) ; J83-B-546D
(ucs-set-char #x68A7 ?$(Cg|(B) ; KS0-C-677C
(ucs-set-char #x68A7 ?$(G[5(B) ; C01-G-5B35
(ucs-set-char #x68A7 ?$@8h(B) ; J78-@-3868
(ucs-set-char #x68A7 ?$AN`(B) ; GB0-A-4E60
(ucs-set-char #x68A7 ?$B8h(B) ; J83-B-3868
(ucs-set-char #x68A8 ?$(CW^(B) ; KS0-C-575E
(ucs-set-char #x68A8 ?$(G[?(B) ; C01-G-5B3F
(ucs-set-char #x68A8 ?$@M|(B) ; J78-@-4D7C
(ucs-set-char #x68A8 ?$A@f(B) ; GB0-A-4066
(ucs-set-char #x68A8 ?$BM|(B) ; J83-B-4D7C
(ucs-set-char #x68A9 ?$(DCv(B) ; J90-D-4376
(ucs-set-char #x68A9 ?$(H5~(B) ; C02-H-357E
(ucs-set-char #x68AA ?$(DCw(B) ; J90-D-4377
(ucs-set-char #x68AA ?$(H6*(B) ; C02-H-362A
(ucs-set-char #x68AB ?$(H5y(B) ; C02-H-3579
(ucs-set-char #x68AC ?$(H5}(B) ; C02-H-357D
(ucs-set-char #x68AD ?$(C^\(B) ; KS0-C-5E5C
(ucs-set-char #x68AD ?$(G[:(B) ; C01-G-5B3A
(ucs-set-char #x68AD ?$@[h(B) ; J78-@-5B68
(ucs-set-char #x68AD ?$AKs(B) ; GB0-A-4B73
(ucs-set-char #x68AD ?$B[h(B) ; J83-B-5B68
(ucs-set-char #x68AE ?$(DCx(B) ; J90-D-4378
(ucs-set-char #x68AE ?$(H5x(B) ; C02-H-3578
(ucs-set-char #x68AF ?$(Cp,(B) ; KS0-C-702C
(ucs-set-char #x68AF ?$(G[.(B) ; C01-G-5B2E
(ucs-set-char #x68AF ?$@Dt(B) ; J78-@-4474
(ucs-set-char #x68AF ?$AL](B) ; GB0-A-4C5D
(ucs-set-char #x68AF ?$BDt(B) ; J83-B-4474
(ucs-set-char #x68B0 ?$(CL~(B) ; KS0-C-4C7E
(ucs-set-char #x68B0 ?$(G[7(B) ; C01-G-5B37
(ucs-set-char #x68B0 ?$@3#(B) ; J78-@-3323
(ucs-set-char #x68B0 ?$AP5(B) ; GB0-A-5035
(ucs-set-char #x68B0 ?$B3#(B) ; J83-B-3323
(ucs-set-char #x68B1 ?$(CMa(B) ; KS0-C-4D61
(ucs-set-char #x68B1 ?$(G[4(B) ; C01-G-5B34
(ucs-set-char #x68B1 ?$@:-(B) ; J78-@-3A2D
(ucs-set-char #x68B1 ?$B:-(B) ; J83-B-3A2D
(ucs-set-char #x68B2 ?$(DCy(B) ; J90-D-4379
(ucs-set-char #x68B2 ?$(H6#(B) ; C02-H-3623
(ucs-set-char #x68B3 ?$(Ca:(B) ; KS0-C-613A
(ucs-set-char #x68B3 ?$(GV"(B) ; C01-G-5622
(ucs-set-char #x68B3 ?$@[`(B) ; J78-@-5B60
(ucs-set-char #x68B3 ?$AJa(B) ; GB0-A-4A61
(ucs-set-char #x68B3 ?$B[`(B) ; J83-B-5B60
(ucs-set-char #x68B4 ?$(H<c(B) ; C02-H-3C63
(ucs-set-char #x68B5 ?$(C[o(B) ; KS0-C-5B6F
(ucs-set-char #x68B5 ?$(G[1(B) ; C01-G-5B31
(ucs-set-char #x68B5 ?$@[p(B) ; J78-@-5B70
(ucs-set-char #x68B5 ?$Ahs(B) ; GB0-A-6873
(ucs-set-char #x68B5 ?$B[p(B) ; J83-B-5B70
(ucs-set-char #x68B6 ?$(CZ2(B) ; KS0-C-5A32
(ucs-set-char #x68B6 ?$(I6L(B) ; C03-I-364C
(ucs-set-char #x68B6 ?$@3a(B) ; J78-@-3361
(ucs-set-char #x68B6 ?$B3a(B) ; J83-B-3361
(ucs-set-char #x68B7 ?$(I6R(B) ; C03-I-3652
(ucs-set-char #x68B8 ?$(I6^(B) ; C03-I-365E
(ucs-set-char #x68B9 ?$(I6_(B) ; C03-I-365F
(ucs-set-char #x68B9 ?$@[n(B) ; J78-@-5B6E
(ucs-set-char #x68B9 ?$B[n(B) ; J83-B-5B6E
(ucs-set-char #x68BA ?$@[r(B) ; J78-@-5B72
(ucs-set-char #x68BA ?$B[r(B) ; J83-B-5B72
(ucs-set-char #x68BB ?$(DCz(B) ; J90-D-437A
(ucs-set-char #x68BC ?$@[m(B) ; J78-@-5B6D
(ucs-set-char #x68BC ?$BEn(B) ; J83-B-456E
(ucs-set-char #x68C0 ?$A<l(B) ; GB0-A-3C6C
(ucs-set-char #x68C1 ?$(I6V(B) ; C03-I-3656
(ucs-set-char #x68C2 ?$Ahy(B) ; GB0-A-6879
(ucs-set-char #x68C3 ?$(I<E(B) ; C03-I-3C45
(ucs-set-char #x68C4 ?$(CQ%(B) ; KS0-C-5125
(ucs-set-char #x68C4 ?$(G[9(B) ; C01-G-5B39
(ucs-set-char #x68C4 ?$@4~(B) ; J78-@-347E
(ucs-set-char #x68C4 ?$B4~(B) ; J83-B-347E
(ucs-set-char #x68C5 ?$(C\8(B) ; KS0-C-5C38
(ucs-set-char #x68C5 ?$(DC{(B) ; J90-D-437B
(ucs-set-char #x68C5 ?$(I<A(B) ; C03-I-3C41
(ucs-set-char #x68C6 ?$(H<f(B) ; C02-H-3C66
(ucs-set-char #x68C6 ?$@\2(B) ; J78-@-5C32
(ucs-set-char #x68C6 ?$B\2(B) ; J83-B-5C32
(ucs-set-char #x68C7 ?$(H<|(B) ; C02-H-3C7C
(ucs-set-char #x68C8 ?$(DC|(B) ; J90-D-437C
(ucs-set-char #x68C8 ?$(H<q(B) ; C02-H-3C71
(ucs-set-char #x68C9 ?$(CXv(B) ; KS0-C-5876
(ucs-set-char #x68C9 ?$(G_{(B) ; C01-G-5F7B
(ucs-set-char #x68C9 ?$@LI(B) ; J78-@-4C49
(ucs-set-char #x68C9 ?$AC^(B) ; GB0-A-435E
(ucs-set-char #x68C9 ?$BLI(B) ; J83-B-4C49
(ucs-set-char #x68CA ?$(I<8(B) ; C03-I-3C38
(ucs-set-char #x68CA ?$@[w(B) ; J78-@-5B77
(ucs-set-char #x68CA ?$B[w(B) ; J83-B-5B77
(ucs-set-char #x68CB ?$(CQ$(B) ; KS0-C-5124
(ucs-set-char #x68CB ?$(G_v(B) ; C01-G-5F76
(ucs-set-char #x68CB ?$@4}(B) ; J78-@-347D
(ucs-set-char #x68CB ?$AFe(B) ; GB0-A-4665
(ucs-set-char #x68CB ?$B4}(B) ; J83-B-347D
(ucs-set-char #x68CC ?$(DC}(B) ; J90-D-437D
(ucs-set-char #x68CC ?$(H<`(B) ; C02-H-3C60
(ucs-set-char #x68CD ?$(CMb(B) ; KS0-C-4D62
(ucs-set-char #x68CD ?$(G_w(B) ; C01-G-5F77
(ucs-set-char #x68CD ?$@[~(B) ; J78-@-5B7E
(ucs-set-char #x68CD ?$A9w(B) ; GB0-A-3977
(ucs-set-char #x68CD ?$B[~(B) ; J83-B-5B7E
(ucs-set-char #x68CE ?$(H<p(B) ; C02-H-3C70
(ucs-set-char #x68CF ?$(DC~(B) ; J90-D-437E
(ucs-set-char #x68CF ?$(I<>(B) ; C03-I-3C3E
(ucs-set-char #x68D0 ?$(DD!(B) ; J90-D-4421
(ucs-set-char #x68D0 ?$(H<i(B) ; C02-H-3C69
(ucs-set-char #x68D1 ?$(DD"(B) ; J90-D-4422
(ucs-set-char #x68D1 ?$(H<v(B) ; C02-H-3C76
(ucs-set-char #x68D2 ?$(C\j(B) ; KS0-C-5C6A
(ucs-set-char #x68D2 ?$(G_s(B) ; C01-G-5F73
(ucs-set-char #x68D2 ?$@K@(B) ; J78-@-4B40
(ucs-set-char #x68D2 ?$A0t(B) ; GB0-A-3074
(ucs-set-char #x68D2 ?$BK@(B) ; J83-B-4B40
(ucs-set-char #x68D3 ?$(DD#(B) ; J90-D-4423
(ucs-set-char #x68D3 ?$(H<N(B) ; C02-H-3C4E
(ucs-set-char #x68D4 ?$(H<x(B) ; C02-H-3C78
(ucs-set-char #x68D4 ?$@\!(B) ; J78-@-5C21
(ucs-set-char #x68D4 ?$B\!(B) ; J83-B-5C21
(ucs-set-char #x68D5 ?$(Cpw(B) ; KS0-C-7077
(ucs-set-char #x68D5 ?$(G_i(B) ; C01-G-5F69
(ucs-set-char #x68D5 ?$@\#(B) ; J78-@-5C23
(ucs-set-char #x68D5 ?$AWX(B) ; GB0-A-5758
(ucs-set-char #x68D5 ?$B\#(B) ; J83-B-5C23
(ucs-set-char #x68D6 ?$(DD$(B) ; J90-D-4424
(ucs-set-char #x68D6 ?$(H<V(B) ; C02-H-3C56
(ucs-set-char #x68D7 ?$(CpJ(B) ; KS0-C-704A
(ucs-set-char #x68D7 ?$(G_l(B) ; C01-G-5F6C
(ucs-set-char #x68D7 ?$@\'(B) ; J78-@-5C27
(ucs-set-char #x68D7 ?$B\'(B) ; J83-B-5C27
(ucs-set-char #x68D8 ?$(CP>(B) ; KS0-C-503E
(ucs-set-char #x68D8 ?$(G_k(B) ; C01-G-5F6B
(ucs-set-char #x68D8 ?$@[y(B) ; J78-@-5B79
(ucs-set-char #x68D8 ?$A<,(B) ; GB0-A-3C2C
(ucs-set-char #x68D8 ?$B[y(B) ; J83-B-5B79
(ucs-set-char #x68D9 ?$(DD%(B) ; J90-D-4425
(ucs-set-char #x68D9 ?$(J82(B) ; C04-J-3832
(ucs-set-char #x68DA ?$(C]\(B) ; KS0-C-5D5C
(ucs-set-char #x68DA ?$(G_|(B) ; C01-G-5F7C
(ucs-set-char #x68DA ?$@C*(B) ; J78-@-432A
(ucs-set-char #x68DA ?$AEo(B) ; GB0-A-456F
(ucs-set-char #x68DA ?$BC*(B) ; J83-B-432A
(ucs-set-char #x68DB ?$(I6S(B) ; C03-I-3653
(ucs-set-char #x68DC ?$(DD&(B) ; J90-D-4426
(ucs-set-char #x68DC ?$(H<P(B) ; C02-H-3C50
(ucs-set-char #x68DD ?$(DD'(B) ; J90-D-4427
(ucs-set-char #x68DD ?$(H<r(B) ; C02-H-3C72
(ucs-set-char #x68DE ?$(H<s(B) ; C02-H-3C73
(ucs-set-char #x68DF ?$(CTV(B) ; KS0-C-5456
(ucs-set-char #x68DF ?$(G_n(B) ; C01-G-5F6E
(ucs-set-char #x68DF ?$@Eo(B) ; J78-@-456F
(ucs-set-char #x68DF ?$BEo(B) ; J83-B-456F
(ucs-set-char #x68E0 ?$(CSV(B) ; KS0-C-5356
(ucs-set-char #x68E0 ?$(G_j(B) ; C01-G-5F6A
(ucs-set-char #x68E0 ?$@\+(B) ; J78-@-5C2B
(ucs-set-char #x68E0 ?$ALD(B) ; GB0-A-4C44
(ucs-set-char #x68E0 ?$B\+(B) ; J83-B-5C2B
(ucs-set-char #x68E1 ?$(H<^(B) ; C02-H-3C5E
(ucs-set-char #x68E1 ?$@[|(B) ; J78-@-5B7C
(ucs-set-char #x68E1 ?$B[|(B) ; J83-B-5B7C
(ucs-set-char #x68E2 ?$(I<=(B) ; C03-I-3C3D
(ucs-set-char #x68E3 ?$(G_u(B) ; C01-G-5F75
(ucs-set-char #x68E3 ?$@\((B) ; J78-@-5C28
(ucs-set-char #x68E3 ?$Ai&(B) ; GB0-A-6926
(ucs-set-char #x68E3 ?$B\((B) ; J83-B-5C28
(ucs-set-char #x68E4 ?$(H<Y(B) ; C02-H-3C59
(ucs-set-char #x68E5 ?$(DD((B) ; J90-D-4428
(ucs-set-char #x68E5 ?$(I<2(B) ; C03-I-3C32
(ucs-set-char #x68E6 ?$(H<t(B) ; C02-H-3C74
(ucs-set-char #x68E7 ?$(CmP(B) ; KS0-C-6D50
(ucs-set-char #x68E7 ?$(G_q(B) ; C01-G-5F71
(ucs-set-char #x68E7 ?$@\"(B) ; J78-@-5C22
(ucs-set-char #x68E7 ?$B\"(B) ; J83-B-5C22
(ucs-set-char #x68E8 ?$(CM!(B) ; KS0-C-4D21
(ucs-set-char #x68E8 ?$(DD)(B) ; J90-D-4429
(ucs-set-char #x68E8 ?$(H<l(B) ; C02-H-3C6C
(ucs-set-char #x68E9 ?$(H<y(B) ; C02-H-3C79
(ucs-set-char #x68EA ?$(DD*(B) ; J90-D-442A
(ucs-set-char #x68EA ?$(H<S(B) ; C02-H-3C53
(ucs-set-char #x68EB ?$(DD+(B) ; J90-D-442B
(ucs-set-char #x68EB ?$(H<X(B) ; C02-H-3C58
(ucs-set-char #x68EC ?$(DD,(B) ; J90-D-442C
(ucs-set-char #x68EC ?$(H<R(B) ; C02-H-3C52
(ucs-set-char #x68ED ?$(DD-(B) ; J90-D-442D
(ucs-set-char #x68ED ?$(I<*(B) ; C03-I-3C2A
(ucs-set-char #x68EE ?$(C_5(B) ; KS0-C-5F35
(ucs-set-char #x68EE ?$(G_p(B) ; C01-G-5F70
(ucs-set-char #x68EE ?$@?9(B) ; J78-@-3F39
(ucs-set-char #x68EE ?$AI-(B) ; GB0-A-492D
(ucs-set-char #x68EE ?$B?9(B) ; J83-B-3F39
(ucs-set-char #x68EF ?$(H<e(B) ; C02-H-3C65
(ucs-set-char #x68EF ?$@\,(B) ; J78-@-5C2C
(ucs-set-char #x68EF ?$B\,(B) ; J83-B-5C2C
(ucs-set-char #x68F0 ?$(DD.(B) ; J90-D-442E
(ucs-set-char #x68F0 ?$(HCd(B) ; C02-H-4364
(ucs-set-char #x68F0 ?$Ai"(B) ; GB0-A-6922
(ucs-set-char #x68F1 ?$(DD/(B) ; J90-D-442F
(ucs-set-char #x68F1 ?$(H<T(B) ; C02-H-3C54
(ucs-set-char #x68F1 ?$A@b(B) ; GB0-A-4062
(ucs-set-char #x68F2 ?$(C_x(B) ; KS0-C-5F78
(ucs-set-char #x68F2 ?$(G_t(B) ; C01-G-5F74
(ucs-set-char #x68F2 ?$@@3(B) ; J78-@-4033
(ucs-set-char #x68F2 ?$B@3(B) ; J83-B-4033
(ucs-set-char #x68F3 ?$(H<](B) ; C02-H-3C5D
(ucs-set-char #x68F4 ?$(H<u(B) ; C02-H-3C75
(ucs-set-char #x68F5 ?$(DD0(B) ; J90-D-4430
(ucs-set-char #x68F5 ?$(G_o(B) ; C01-G-5F6F
(ucs-set-char #x68F5 ?$A?C(B) ; GB0-A-3F43
(ucs-set-char #x68F6 ?$(DD1(B) ; J90-D-4431
(ucs-set-char #x68F6 ?$(H<Z(B) ; C02-H-3C5A
(ucs-set-char #x68F7 ?$(H<W(B) ; C02-H-3C57
(ucs-set-char #x68F8 ?$(H<h(B) ; C02-H-3C68
(ucs-set-char #x68F9 ?$(CT!(B) ; KS0-C-5421
(ucs-set-char #x68F9 ?$(G_r(B) ; C01-G-5F72
(ucs-set-char #x68F9 ?$@\*(B) ; J78-@-5C2A
(ucs-set-char #x68F9 ?$Ah~(B) ; GB0-A-687E
(ucs-set-char #x68F9 ?$B\*(B) ; J83-B-5C2A
(ucs-set-char #x68FA ?$(CN2(B) ; KS0-C-4E32
(ucs-set-char #x68FA ?$(G_h(B) ; C01-G-5F68
(ucs-set-char #x68FA ?$@4=(B) ; J78-@-343D
(ucs-set-char #x68FA ?$A9W(B) ; GB0-A-3957
(ucs-set-char #x68FA ?$B4=(B) ; J83-B-343D
(ucs-set-char #x68FB ?$(DD2(B) ; J90-D-4432
(ucs-set-char #x68FB ?$(G_~(B) ; C01-G-5F7E
(ucs-set-char #x68FC ?$(DD3(B) ; J90-D-4433
(ucs-set-char #x68FC ?$(H<k(B) ; C02-H-3C6B
(ucs-set-char #x68FC ?$Ah{(B) ; GB0-A-687B
(ucs-set-char #x68FD ?$(DD4(B) ; J90-D-4434
(ucs-set-char #x68FD ?$(H<j(B) ; C02-H-3C6A
(ucs-set-char #x68FE ?$(I<1(B) ; C03-I-3C31
(ucs-set-char #x68FF ?$(I<B(B) ; C03-I-3C42
(ucs-set-char #x6900 ?$(ChJ(B) ; KS0-C-684A
(ucs-set-char #x6900 ?$(I<9(B) ; C03-I-3C39
(ucs-set-char #x6900 ?$@OP(B) ; J78-@-4F50
(ucs-set-char #x6900 ?$BOP(B) ; J83-B-4F50
(ucs-set-char #x6901 ?$(I<;(B) ; C03-I-3C3B
(ucs-set-char #x6901 ?$@[v(B) ; J78-@-5B76
(ucs-set-char #x6901 ?$Ai$(B) ; GB0-A-6924
(ucs-set-char #x6901 ?$B[v(B) ; J83-B-5B76
(ucs-set-char #x6902 ?$(I<4(B) ; C03-I-3C34
(ucs-set-char #x6903 ?$(I</(B) ; C03-I-3C2F
(ucs-set-char #x6904 ?$(H<O(B) ; C02-H-3C4F
(ucs-set-char #x6904 ?$@\&(B) ; J78-@-5C26
(ucs-set-char #x6904 ?$B\&(B) ; J83-B-5C26
(ucs-set-char #x6905 ?$(Cku(B) ; KS0-C-6B75
(ucs-set-char #x6905 ?$(G_m(B) ; C01-G-5F6D
(ucs-set-char #x6905 ?$@0X(B) ; J78-@-3058
(ucs-set-char #x6905 ?$ARN(B) ; GB0-A-524E
(ucs-set-char #x6905 ?$B0X(B) ; J83-B-3058
(ucs-set-char #x6906 ?$(DD5(B) ; J90-D-4435
(ucs-set-char #x6906 ?$(H<w(B) ; C02-H-3C77
(ucs-set-char #x6907 ?$(H<_(B) ; C02-H-3C5F
(ucs-set-char #x6908 ?$(H<a(B) ; C02-H-3C61
(ucs-set-char #x6908 ?$@[x(B) ; J78-@-5B78
(ucs-set-char #x6908 ?$B[x(B) ; J83-B-5B78
(ucs-set-char #x6909 ?$(DD6(B) ; J90-D-4436
(ucs-set-char #x6909 ?$(I<7(B) ; C03-I-3C37
(ucs-set-char #x690A ?$(DD7(B) ; J90-D-4437
(ucs-set-char #x690A ?$(H<n(B) ; C02-H-3C6E
(ucs-set-char #x690B ?$(H<m(B) ; C02-H-3C6D
(ucs-set-char #x690B ?$@L:(B) ; J78-@-4C3A
(ucs-set-char #x690B ?$Ai#(B) ; GB0-A-6923
(ucs-set-char #x690B ?$BL:(B) ; J83-B-4C3A
(ucs-set-char #x690C ?$(H<M(B) ; C02-H-3C4D
(ucs-set-char #x690C ?$@[}(B) ; J78-@-5B7D
(ucs-set-char #x690C ?$B[}(B) ; J83-B-5B7D
(ucs-set-char #x690D ?$(CcU(B) ; KS0-C-6355
(ucs-set-char #x690D ?$(G_x(B) ; C01-G-5F78
(ucs-set-char #x690D ?$@?"(B) ; J78-@-3F22
(ucs-set-char #x690D ?$AV2(B) ; GB0-A-5632
(ucs-set-char #x690D ?$B?"(B) ; J83-B-3F22
(ucs-set-char #x690E ?$(CuP(B) ; KS0-C-7550
(ucs-set-char #x690E ?$(G_z(B) ; C01-G-5F7A
(ucs-set-char #x690E ?$@DG(B) ; J78-@-4447
(ucs-set-char #x690E ?$AW5(B) ; GB0-A-5735
(ucs-set-char #x690E ?$BDG(B) ; J83-B-4447
(ucs-set-char #x690F ?$(H<U(B) ; C02-H-3C55
(ucs-set-char #x690F ?$@[s(B) ; J78-@-5B73
(ucs-set-char #x690F ?$B[s(B) ; J83-B-5B73
(ucs-set-char #x6910 ?$(DD8(B) ; J90-D-4438
(ucs-set-char #x6910 ?$(H<\(B) ; C02-H-3C5C
(ucs-set-char #x6910 ?$Ai'(B) ; GB0-A-6927
(ucs-set-char #x6911 ?$(DD9(B) ; J90-D-4439
(ucs-set-char #x6911 ?$(H<d(B) ; C02-H-3C64
(ucs-set-char #x6912 ?$(Cu!(B) ; KS0-C-7521
(ucs-set-char #x6912 ?$(G_y(B) ; C01-G-5F79
(ucs-set-char #x6912 ?$@\%(B) ; J78-@-5C25
(ucs-set-char #x6912 ?$A=7(B) ; GB0-A-3D37
(ucs-set-char #x6912 ?$B\%(B) ; J83-B-5C25
(ucs-set-char #x6913 ?$(DD:(B) ; J90-D-443A
(ucs-set-char #x6913 ?$(H<[(B) ; C02-H-3C5B
(ucs-set-char #x6914 ?$(H<g(B) ; C02-H-3C67
(ucs-set-char #x6915 ?$(H<z(B) ; C02-H-3C7A
(ucs-set-char #x6916 ?$(DD;(B) ; J90-D-443B
(ucs-set-char #x6917 ?$(DD<(B) ; J90-D-443C
(ucs-set-char #x6917 ?$(H<o(B) ; C02-H-3C6F
(ucs-set-char #x6918 ?$(I<<(B) ; C03-I-3C3C
(ucs-set-char #x6919 ?$@?z(B) ; J78-@-3F7A
(ucs-set-char #x6919 ?$B?z(B) ; J83-B-3F7A
(ucs-set-char #x691A ?$@\/(B) ; J78-@-5C2F
(ucs-set-char #x691A ?$B\/(B) ; J83-B-5C2F
(ucs-set-char #x691B ?$@3q(B) ; J78-@-3371
(ucs-set-char #x691B ?$B3q(B) ; J83-B-3371
(ucs-set-char #x691C ?$(I<D(B) ; C03-I-3C44
(ucs-set-char #x691C ?$@8!(B) ; J78-@-3821
(ucs-set-char #x691C ?$B8!(B) ; J83-B-3821
(ucs-set-char #x691E ?$(I<3(B) ; C03-I-3C33
(ucs-set-char #x691F ?$Ah|(B) ; GB0-A-687C
(ucs-set-char #x6920 ?$Ah}(B) ; GB0-A-687D
(ucs-set-char #x6921 ?$@\1(B) ; J78-@-5C31
(ucs-set-char #x6921 ?$B\1(B) ; J83-B-5C31
(ucs-set-char #x6922 ?$@[z(B) ; J78-@-5B7A
(ucs-set-char #x6922 ?$B[z(B) ; J83-B-5B7A
(ucs-set-char #x6923 ?$@\0(B) ; J78-@-5C30
(ucs-set-char #x6923 ?$B\0(B) ; J83-B-5C30
(ucs-set-char #x6924 ?$Ai!(B) ; GB0-A-6921
(ucs-set-char #x6925 ?$(H<{(B) ; C02-H-3C7B
(ucs-set-char #x6925 ?$@\)(B) ; J78-@-5C29
(ucs-set-char #x6925 ?$B\)(B) ; J83-B-5C29
(ucs-set-char #x6926 ?$@[{(B) ; J78-@-5B7B
(ucs-set-char #x6926 ?$B[{(B) ; J83-B-5B7B
(ucs-set-char #x6927 ?$(CY'(B) ; KS0-C-5927
(ucs-set-char #x6928 ?$@\-(B) ; J78-@-5C2D
(ucs-set-char #x6928 ?$B\-(B) ; J83-B-5C2D
(ucs-set-char #x692A ?$(H<Q(B) ; C02-H-3C51
(ucs-set-char #x692A ?$@\.(B) ; J78-@-5C2E
(ucs-set-char #x692A ?$B\.(B) ; J83-B-5C2E
(ucs-set-char #x692D ?$AMV(B) ; GB0-A-4D56
(ucs-set-char #x692E ?$(I<@(B) ; C03-I-3C40
(ucs-set-char #x692F ?$(HCx(B) ; C02-H-4378
(ucs-set-char #x6930 ?$(Ce+(B) ; KS0-C-652B
(ucs-set-char #x6930 ?$(GdL(B) ; C01-G-644C
(ucs-set-char #x6930 ?$@\?(B) ; J78-@-5C3F
(ucs-set-char #x6930 ?$AR,(B) ; GB0-A-522C
(ucs-set-char #x6930 ?$B\?(B) ; J83-B-5C3F
(ucs-set-char #x6931 ?$(DD=(B) ; J90-D-443D
(ucs-set-char #x6931 ?$(IAe(B) ; C03-I-4165
(ucs-set-char #x6932 ?$(HCv(B) ; C02-H-4376
(ucs-set-char #x6933 ?$(DD>(B) ; J90-D-443E
(ucs-set-char #x6933 ?$(HCa(B) ; C02-H-4361
(ucs-set-char #x6934 ?$(HCf(B) ; C02-H-4366
(ucs-set-char #x6934 ?$@FN(B) ; J78-@-464E
(ucs-set-char #x6934 ?$Ai2(B) ; GB0-A-6932
(ucs-set-char #x6934 ?$BFN(B) ; J83-B-464E
(ucs-set-char #x6935 ?$(DD?(B) ; J90-D-443F
(ucs-set-char #x6935 ?$(HC_(B) ; C02-H-435F
(ucs-set-char #x6936 ?$(IAw(B) ; C03-I-4177
(ucs-set-char #x6936 ?$@\$(B) ; J78-@-5C24
(ucs-set-char #x6936 ?$B\$(B) ; J83-B-5C24
(ucs-set-char #x6937 ?$(HCr(B) ; C02-H-4372
(ucs-set-char #x6938 ?$(DD@(B) ; J90-D-4440
(ucs-set-char #x6938 ?$(HCQ(B) ; C02-H-4351
(ucs-set-char #x6939 ?$(HCX(B) ; C02-H-4358
(ucs-set-char #x6939 ?$@\;(B) ; J78-@-5C3B
(ucs-set-char #x6939 ?$Ai)(B) ; GB0-A-6929
(ucs-set-char #x6939 ?$B\;(B) ; J83-B-5C3B
(ucs-set-char #x693A ?$(J=q(B) ; C04-J-3D71
(ucs-set-char #x693B ?$(DDA(B) ; J90-D-4441
(ucs-set-char #x693B ?$(HCp(B) ; C02-H-4370
(ucs-set-char #x693C ?$(HCz(B) ; C02-H-437A
(ucs-set-char #x693D ?$(CfK(B) ; KS0-C-664B
(ucs-set-char #x693D ?$(HCb(B) ; C02-H-4362
(ucs-set-char #x693D ?$@\=(B) ; J78-@-5C3D
(ucs-set-char #x693D ?$A4*(B) ; GB0-A-342A
(ucs-set-char #x693D ?$B\=(B) ; J83-B-5C3D
(ucs-set-char #x693E ?$(IAh(B) ; C03-I-4168
(ucs-set-char #x693F ?$(Cuq(B) ; KS0-C-7571
(ucs-set-char #x693F ?$(HCU(B) ; C02-H-4355
(ucs-set-char #x693F ?$@DX(B) ; J78-@-4458
(ucs-set-char #x693F ?$A4;(B) ; GB0-A-343B
(ucs-set-char #x693F ?$BDX(B) ; J83-B-4458
(ucs-set-char #x6940 ?$(HCh(B) ; C02-H-4368
(ucs-set-char #x6941 ?$(HCm(B) ; C02-H-436D
(ucs-set-char #x6942 ?$(DDB(B) ; J90-D-4442
(ucs-set-char #x6942 ?$(HCY(B) ; C02-H-4359
(ucs-set-char #x6942 ?$(IAn(B) ; C03-I-416E
(ucs-set-char #x6942 ?$Ai+(B) ; GB0-A-692B
(ucs-set-char #x6943 ?$(IAk(B) ; C03-I-416B
(ucs-set-char #x6944 ?$(HCj(B) ; C02-H-436A
(ucs-set-char #x6945 ?$(DDC(B) ; J90-D-4443
(ucs-set-char #x6945 ?$(HCV(B) ; C02-H-4356
(ucs-set-char #x6946 ?$(IA](B) ; C03-I-415D
(ucs-set-char #x6947 ?$(IAu(B) ; C03-I-4175
(ucs-set-char #x6948 ?$(HC](B) ; C02-H-435D
(ucs-set-char #x6949 ?$(DDD(B) ; J90-D-4444
(ucs-set-char #x6949 ?$(HC^(B) ; C02-H-435E
(ucs-set-char #x694A ?$(CeE(B) ; KS0-C-6545
(ucs-set-char #x694A ?$(GdN(B) ; C01-G-644E
(ucs-set-char #x694A ?$@ML(B) ; J78-@-4D4C
(ucs-set-char #x694A ?$BML(B) ; J83-B-4D4C
(ucs-set-char #x694B ?$(HCq(B) ; C02-H-4371
(ucs-set-char #x694C ?$(HCo(B) ; C02-H-436F
(ucs-set-char #x694D ?$(IAs(B) ; C03-I-4173
(ucs-set-char #x694E ?$(DDE(B) ; J90-D-4445
(ucs-set-char #x694E ?$(HCR(B) ; C02-H-4352
(ucs-set-char #x694F ?$(HCt(B) ; C02-H-4374
(ucs-set-char #x6950 ?$(IAt(B) ; C03-I-4174
(ucs-set-char #x6951 ?$(HCu(B) ; C02-H-4375
(ucs-set-char #x6952 ?$(HCw(B) ; C02-H-4377
(ucs-set-char #x6953 ?$(Cy#(B) ; KS0-C-7923
(ucs-set-char #x6953 ?$(GdR(B) ; C01-G-6452
(ucs-set-char #x6953 ?$@Iv(B) ; J78-@-4976
(ucs-set-char #x6953 ?$BIv(B) ; J83-B-4976
(ucs-set-char #x6954 ?$(C`[(B) ; KS0-C-605B
(ucs-set-char #x6954 ?$(GdJ(B) ; C01-G-644A
(ucs-set-char #x6954 ?$@\8(B) ; J78-@-5C38
(ucs-set-char #x6954 ?$AP((B) ; GB0-A-5028
(ucs-set-char #x6954 ?$B\8(B) ; J83-B-5C38
(ucs-set-char #x6955 ?$(Cvk(B) ; KS0-C-766B
(ucs-set-char #x6955 ?$(IAo(B) ; C03-I-416F
(ucs-set-char #x6955 ?$@BJ(B) ; J78-@-424A
(ucs-set-char #x6955 ?$BBJ(B) ; J83-B-424A
(ucs-set-char #x6956 ?$(H5z(B) ; C02-H-357A
(ucs-set-char #x6957 ?$(CKq(B) ; KS0-C-4B71
(ucs-set-char #x6957 ?$(DDF(B) ; J90-D-4446
(ucs-set-char #x6957 ?$(HCZ(B) ; C02-H-435A
(ucs-set-char #x6957 ?$Ai%(B) ; GB0-A-6925
(ucs-set-char #x6958 ?$(HCl(B) ; C02-H-436C
(ucs-set-char #x6959 ?$(CYj(B) ; KS0-C-596A
(ucs-set-char #x6959 ?$(HC[(B) ; C02-H-435B
(ucs-set-char #x6959 ?$@\>(B) ; J78-@-5C3E
(ucs-set-char #x6959 ?$B\>(B) ; J83-B-5C3E
(ucs-set-char #x695A ?$(Cu"(B) ; KS0-C-7522
(ucs-set-char #x695A ?$(GdG(B) ; C01-G-6447
(ucs-set-char #x695A ?$@A?(B) ; J78-@-413F
(ucs-set-char #x695A ?$A3~(B) ; GB0-A-337E
(ucs-set-char #x695A ?$BA?(B) ; J83-B-413F
(ucs-set-char #x695B ?$(DDG(B) ; J90-D-4447
(ucs-set-char #x695B ?$(GdW(B) ; C01-G-6457
(ucs-set-char #x695C ?$(HCs(B) ; C02-H-4373
(ucs-set-char #x695C ?$@\5(B) ; J78-@-5C35
(ucs-set-char #x695C ?$B\5(B) ; J83-B-5C35
(ucs-set-char #x695D ?$(GdU(B) ; C01-G-6455
(ucs-set-char #x695D ?$@\B(B) ; J78-@-5C42
(ucs-set-char #x695D ?$Ai,(B) ; GB0-A-692C
(ucs-set-char #x695D ?$B\B(B) ; J83-B-5C42
(ucs-set-char #x695E ?$(CWQ(B) ; KS0-C-5751
(ucs-set-char #x695E ?$(GdQ(B) ; C01-G-6451
(ucs-set-char #x695E ?$@\A(B) ; J78-@-5C41
(ucs-set-char #x695E ?$A@c(B) ; GB0-A-4063
(ucs-set-char #x695E ?$B\A(B) ; J83-B-5C41
(ucs-set-char #x695F ?$(HCP(B) ; C02-H-4350
(ucs-set-char #x6960 ?$(CQx(B) ; KS0-C-5178
(ucs-set-char #x6960 ?$(GdI(B) ; C01-G-6449
(ucs-set-char #x6960 ?$@Fo(B) ; J78-@-466F
(ucs-set-char #x6960 ?$Ai*(B) ; GB0-A-692A
(ucs-set-char #x6960 ?$BFo(B) ; J83-B-466F
(ucs-set-char #x6961 ?$(Cjx(B) ; KS0-C-6A78
(ucs-set-char #x6961 ?$(IAy(B) ; C03-I-4179
(ucs-set-char #x6961 ?$@\@(B) ; J78-@-5C40
(ucs-set-char #x6961 ?$B\@(B) ; J83-B-5C40
(ucs-set-char #x6962 ?$(Cjy(B) ; KS0-C-6A79
(ucs-set-char #x6962 ?$(HCS(B) ; C02-H-4353
(ucs-set-char #x6962 ?$@Fj(B) ; J78-@-466A
(ucs-set-char #x6962 ?$BFj(B) ; J83-B-466A
(ucs-set-char #x6963 ?$(CZ3(B) ; KS0-C-5A33
(ucs-set-char #x6963 ?$(DDH(B) ; J90-D-4448
(ucs-set-char #x6963 ?$(GdV(B) ; C01-G-6456
(ucs-set-char #x6963 ?$Ai9(B) ; GB0-A-6939
(ucs-set-char #x6964 ?$(DDI(B) ; J90-D-4449
(ucs-set-char #x6964 ?$(IAx(B) ; C03-I-4178
(ucs-set-char #x6965 ?$(DDJ(B) ; J90-D-444A
(ucs-set-char #x6965 ?$(HCc(B) ; C02-H-4363
(ucs-set-char #x6966 ?$(DDK(B) ; J90-D-444B
(ucs-set-char #x6966 ?$(HCO(B) ; C02-H-434F
(ucs-set-char #x6966 ?$Ai8(B) ; GB0-A-6938
(ucs-set-char #x6967 ?$(IAv(B) ; C03-I-4176
(ucs-set-char #x6968 ?$(Co_(B) ; KS0-C-6F5F
(ucs-set-char #x6968 ?$(DDL(B) ; J90-D-444C
(ucs-set-char #x6968 ?$(GdO(B) ; C01-G-644F
(ucs-set-char #x6969 ?$(DDM(B) ; J90-D-444D
(ucs-set-char #x6969 ?$(HCg(B) ; C02-H-4367
(ucs-set-char #x696A ?$(HCW(B) ; C02-H-4357
(ucs-set-char #x696A ?$@\D(B) ; J78-@-5C44
(ucs-set-char #x696A ?$B\D(B) ; J83-B-5C44
(ucs-set-char #x696B ?$(Cqo(B) ; KS0-C-716F
(ucs-set-char #x696B ?$(GdP(B) ; C01-G-6450
(ucs-set-char #x696B ?$@\7(B) ; J78-@-5C37
(ucs-set-char #x696B ?$Ai.(B) ; GB0-A-692E
(ucs-set-char #x696B ?$B\7(B) ; J83-B-5C37
(ucs-set-char #x696C ?$(DDN(B) ; J90-D-444E
(ucs-set-char #x696C ?$(HC`(B) ; C02-H-4360
(ucs-set-char #x696D ?$(Cev(B) ; KS0-C-6576
(ucs-set-char #x696D ?$(GdF(B) ; C01-G-6446
(ucs-set-char #x696D ?$@6H(B) ; J78-@-3648
(ucs-set-char #x696D ?$B6H(B) ; J83-B-3648
(ucs-set-char #x696E ?$(Cn?(B) ; KS0-C-6E3F
(ucs-set-char #x696E ?$(G_}(B) ; C01-G-5F7D
(ucs-set-char #x696E ?$@\:(B) ; J78-@-5C3A
(ucs-set-char #x696E ?$Ahz(B) ; GB0-A-687A
(ucs-set-char #x696E ?$B\:(B) ; J83-B-5C3A
(ucs-set-char #x696F ?$(Cbd(B) ; KS0-C-6264
(ucs-set-char #x696F ?$(HCi(B) ; C02-H-4369
(ucs-set-char #x696F ?$@=](B) ; J78-@-3D5D
(ucs-set-char #x696F ?$B=](B) ; J83-B-3D5D
(ucs-set-char #x6970 ?$(DDO(B) ; J90-D-444F
(ucs-set-char #x6970 ?$(H<b(B) ; C02-H-3C62
(ucs-set-char #x6971 ?$(DDP(B) ; J90-D-4450
(ucs-set-char #x6971 ?$(HCT(B) ; C02-H-4354
(ucs-set-char #x6971 ?$Ai((B) ; GB0-A-6928
(ucs-set-char #x6972 ?$(DDQ(B) ; J90-D-4451
(ucs-set-char #x6972 ?$(J=l(B) ; C04-J-3D6C
(ucs-set-char #x6973 ?$(IAm(B) ; C03-I-416D
(ucs-set-char #x6973 ?$@G`(B) ; J78-@-4760
(ucs-set-char #x6973 ?$BG`(B) ; J83-B-4760
(ucs-set-char #x6974 ?$(HCn(B) ; C02-H-436E
(ucs-set-char #x6974 ?$@\<(B) ; J78-@-5C3C
(ucs-set-char #x6974 ?$B\<(B) ; J83-B-5C3C
(ucs-set-char #x6975 ?$(CP?(B) ; KS0-C-503F
(ucs-set-char #x6975 ?$(GdK(B) ; C01-G-644B
(ucs-set-char #x6975 ?$@6K(B) ; J78-@-364B
(ucs-set-char #x6975 ?$B6K(B) ; J83-B-364B
(ucs-set-char #x6976 ?$(HCk(B) ; C02-H-436B
(ucs-set-char #x6977 ?$(Cz,(B) ; KS0-C-7A2C
(ucs-set-char #x6977 ?$(GdH(B) ; C01-G-6448
(ucs-set-char #x6977 ?$@\4(B) ; J78-@-5C34
(ucs-set-char #x6977 ?$A?,(B) ; GB0-A-3F2C
(ucs-set-char #x6977 ?$B\4(B) ; J83-B-5C34
(ucs-set-char #x6978 ?$(CuQ(B) ; KS0-C-7551
(ucs-set-char #x6978 ?$(HCe(B) ; C02-H-4365
(ucs-set-char #x6978 ?$@\6(B) ; J78-@-5C36
(ucs-set-char #x6978 ?$Ai1(B) ; GB0-A-6931
(ucs-set-char #x6978 ?$B\6(B) ; J83-B-5C36
(ucs-set-char #x6979 ?$(Cg3(B) ; KS0-C-6733
(ucs-set-char #x6979 ?$(GdS(B) ; C01-G-6453
(ucs-set-char #x6979 ?$@\3(B) ; J78-@-5C33
(ucs-set-char #x6979 ?$Ai:(B) ; GB0-A-693A
(ucs-set-char #x6979 ?$B\3(B) ; J83-B-5C33
(ucs-set-char #x697A ?$(DDR(B) ; J90-D-4452
(ucs-set-char #x697A ?$(HC\(B) ; C02-H-435C
(ucs-set-char #x697B ?$(DDS(B) ; J90-D-4453
(ucs-set-char #x697B ?$(HCy(B) ; C02-H-4379
(ucs-set-char #x697C ?$(IAj(B) ; C03-I-416A
(ucs-set-char #x697C ?$@O0(B) ; J78-@-4F30
(ucs-set-char #x697C ?$AB%(B) ; GB0-A-4225
(ucs-set-char #x697C ?$BO0(B) ; J83-B-4F30
(ucs-set-char #x697D ?$(IA{(B) ; C03-I-417B
(ucs-set-char #x697D ?$@3Z(B) ; J78-@-335A
(ucs-set-char #x697D ?$B3Z(B) ; J83-B-335A
(ucs-set-char #x697E ?$@\9(B) ; J78-@-5C39
(ucs-set-char #x697E ?$B\9(B) ; J83-B-5C39
(ucs-set-char #x697F ?$(DDT(B) ; J90-D-4454
(ucs-set-char #x6980 ?$(DDU(B) ; J90-D-4455
(ucs-set-char #x6980 ?$Ai/(B) ; GB0-A-692F
(ucs-set-char #x6981 ?$@\C(B) ; J78-@-5C43
(ucs-set-char #x6981 ?$B\C(B) ; J83-B-5C43
(ucs-set-char #x6982 ?$(GdM(B) ; C01-G-644D
(ucs-set-char #x6982 ?$@35(B) ; J78-@-3335
(ucs-set-char #x6982 ?$A8E(B) ; GB0-A-3845
(ucs-set-char #x6982 ?$B35(B) ; J83-B-3335
(ucs-set-char #x6983 ?$(HE,(B) ; C02-H-452C
(ucs-set-char #x6984 ?$Ai-(B) ; GB0-A-692D
(ucs-set-char #x6985 ?$(IAr(B) ; C03-I-4172
(ucs-set-char #x6986 ?$(GdT(B) ; C01-G-6454
(ucs-set-char #x6986 ?$AS\(B) ; GB0-A-535C
(ucs-set-char #x6987 ?$Ai4(B) ; GB0-A-6934
(ucs-set-char #x6988 ?$Ai5(B) ; GB0-A-6935
(ucs-set-char #x6989 ?$Ai7(B) ; GB0-A-6937
(ucs-set-char #x698A ?$@:g(B) ; J78-@-3A67
(ucs-set-char #x698A ?$B:g(B) ; J83-B-3A67
(ucs-set-char #x698D ?$(DDV(B) ; J90-D-4456
(ucs-set-char #x698D ?$(HJp(B) ; C02-H-4A70
(ucs-set-char #x698D ?$AiG(B) ; GB0-A-6947
(ucs-set-char #x698E ?$(HJn(B) ; C02-H-4A6E
(ucs-set-char #x698E ?$@1](B) ; J78-@-315D
(ucs-set-char #x698E ?$B1](B) ; J83-B-315D
(ucs-set-char #x698F ?$(IG:(B) ; C03-I-473A
(ucs-set-char #x6990 ?$(HK&(B) ; C02-H-4B26
(ucs-set-char #x6991 ?$(HJl(B) ; C02-H-4A6C
(ucs-set-char #x6991 ?$@\T(B) ; J78-@-5C54
(ucs-set-char #x6991 ?$B\T(B) ; J83-B-5C54
(ucs-set-char #x6992 ?$(DDW(B) ; J90-D-4457
(ucs-set-char #x6992 ?$(IG=(B) ; C03-I-473D
(ucs-set-char #x6993 ?$(HJ~(B) ; C02-H-4A7E
(ucs-set-char #x6994 ?$(GdE(B) ; C01-G-6445
(ucs-set-char #x6994 ?$@O1(B) ; J78-@-4F31
(ucs-set-char #x6994 ?$A@F(B) ; GB0-A-4046
(ucs-set-char #x6994 ?$BO1(B) ; J83-B-4F31
(ucs-set-char #x6995 ?$(Ci>(B) ; KS0-C-693E
(ucs-set-char #x6995 ?$(Gi((B) ; C01-G-6928
(ucs-set-char #x6995 ?$@\W(B) ; J78-@-5C57
(ucs-set-char #x6995 ?$AiE(B) ; GB0-A-6945
(ucs-set-char #x6995 ?$B\W(B) ; J83-B-5C57
(ucs-set-char #x6996 ?$(DDX(B) ; J90-D-4458
(ucs-set-char #x6996 ?$(HJh(B) ; C02-H-4A68
(ucs-set-char #x6997 ?$(HK%(B) ; C02-H-4B25
(ucs-set-char #x6998 ?$(DDY(B) ; J90-D-4459
(ucs-set-char #x6998 ?$(IGQ(B) ; C03-I-4751
(ucs-set-char #x6998 ?$Ai0(B) ; GB0-A-6930
(ucs-set-char #x6999 ?$(HJm(B) ; C02-H-4A6D
(ucs-set-char #x699A ?$(HJ{(B) ; C02-H-4A7B
(ucs-set-char #x699B ?$(CrN(B) ; KS0-C-724E
(ucs-set-char #x699B ?$(Gi-(B) ; C01-G-692D
(ucs-set-char #x699B ?$@?:(B) ; J78-@-3F3A
(ucs-set-char #x699B ?$Ai;(B) ; GB0-A-693B
(ucs-set-char #x699B ?$B?:(B) ; J83-B-3F3A
(ucs-set-char #x699C ?$(C[4(B) ; KS0-C-5B34
(ucs-set-char #x699C ?$(Gi&(B) ; C01-G-6926
(ucs-set-char #x699C ?$@\V(B) ; J78-@-5C56
(ucs-set-char #x699C ?$A0q(B) ; GB0-A-3071
(ucs-set-char #x699C ?$B\V(B) ; J83-B-5C56
(ucs-set-char #x699D ?$(IGN(B) ; C03-I-474E
(ucs-set-char #x699E ?$(HK#(B) ; C02-H-4B23
(ucs-set-char #x699F ?$(IGF(B) ; C03-I-4746
(ucs-set-char #x69A0 ?$(HJf(B) ; C02-H-4A66
(ucs-set-char #x69A0 ?$@\U(B) ; J78-@-5C55
(ucs-set-char #x69A0 ?$B\U(B) ; J83-B-5C55
(ucs-set-char #x69A1 ?$(DDZ(B) ; J90-D-445A
(ucs-set-char #x69A1 ?$(HK"(B) ; C02-H-4B22
(ucs-set-char #x69A2 ?$(IGG(B) ; C03-I-4747
(ucs-set-char #x69A3 ?$(Gi8(B) ; C01-G-6938
(ucs-set-char #x69A3 ?$(L]h(B) ; C06-L-5D68
(ucs-set-char #x69A4 ?$(HJw(B) ; C02-H-4A77
(ucs-set-char #x69A5 ?$(C|N(B) ; KS0-C-7C4E
(ucs-set-char #x69A5 ?$(DD[(B) ; J90-D-445B
(ucs-set-char #x69A5 ?$(HK)(B) ; C02-H-4B29
(ucs-set-char #x69A6 ?$(DD\(B) ; J90-D-445C
(ucs-set-char #x69A6 ?$(Gi6(B) ; C01-G-6936
(ucs-set-char #x69A7 ?$(C]n(B) ; KS0-C-5D6E
(ucs-set-char #x69A7 ?$(HJo(B) ; C02-H-4A6F
(ucs-set-char #x69A7 ?$@\R(B) ; J78-@-5C52
(ucs-set-char #x69A7 ?$Ai<(B) ; GB0-A-693C
(ucs-set-char #x69A7 ?$B\R(B) ; J83-B-5C52
(ucs-set-char #x69A8 ?$(DD](B) ; J90-D-445D
(ucs-set-char #x69A8 ?$(Gi'(B) ; C01-G-6927
(ucs-set-char #x69A8 ?$AU%(B) ; GB0-A-5525
(ucs-set-char #x69A9 ?$(HJq(B) ; C02-H-4A71
(ucs-set-char #x69AA ?$(HK!(B) ; C02-H-4B21
(ucs-set-char #x69AB ?$(DD^(B) ; J90-D-445E
(ucs-set-char #x69AB ?$(Gi0(B) ; C01-G-6930
(ucs-set-char #x69AB ?$Ai>(B) ; GB0-A-693E
(ucs-set-char #x69AC ?$(HJj(B) ; C02-H-4A6A
(ucs-set-char #x69AD ?$(DD_(B) ; J90-D-445F
(ucs-set-char #x69AD ?$(Gi4(B) ; C01-G-6934
(ucs-set-char #x69AD ?$Ai?(B) ; GB0-A-693F
(ucs-set-char #x69AE ?$(Cg4(B) ; KS0-C-6734
(ucs-set-char #x69AE ?$(Gi*(B) ; C01-G-692A
(ucs-set-char #x69AE ?$@\F(B) ; J78-@-5C46
(ucs-set-char #x69AE ?$B\F(B) ; J83-B-5C46
(ucs-set-char #x69AF ?$(DD`(B) ; J90-D-4460
(ucs-set-char #x69AF ?$(HJs(B) ; C02-H-4A73
(ucs-set-char #x69B0 ?$(HJi(B) ; C02-H-4A69
(ucs-set-char #x69B1 ?$(HJc(B) ; C02-H-4A63
(ucs-set-char #x69B1 ?$@\c(B) ; J78-@-5C63
(ucs-set-char #x69B1 ?$AiA(B) ; GB0-A-6941
(ucs-set-char #x69B1 ?$B\c(B) ; J83-B-5C63
(ucs-set-char #x69B2 ?$(IG>(B) ; C03-I-473E
(ucs-set-char #x69B2 ?$@\E(B) ; J78-@-5C45
(ucs-set-char #x69B2 ?$B\E(B) ; J83-B-5C45
(ucs-set-char #x69B3 ?$(HJ}(B) ; C02-H-4A7D
(ucs-set-char #x69B4 ?$(CW4(B) ; KS0-C-5734
(ucs-set-char #x69B4 ?$(Gi1(B) ; C01-G-6931
(ucs-set-char #x69B4 ?$@\X(B) ; J78-@-5C58
(ucs-set-char #x69B4 ?$AAq(B) ; GB0-A-4171
(ucs-set-char #x69B4 ?$B\X(B) ; J83-B-5C58
(ucs-set-char #x69B5 ?$(HK((B) ; C02-H-4B28
(ucs-set-char #x69B6 ?$(HJd(B) ; C02-H-4A64
(ucs-set-char #x69B7 ?$(DDa(B) ; J90-D-4461
(ucs-set-char #x69B7 ?$(Gi.(B) ; C01-G-692E
(ucs-set-char #x69B7 ?$AH6(B) ; GB0-A-4836
(ucs-set-char #x69B8 ?$(DDb(B) ; J90-D-4462
(ucs-set-char #x69B8 ?$(JCw(B) ; C04-J-4377
(ucs-set-char #x69B9 ?$(HJy(B) ; C02-H-4A79
(ucs-set-char #x69BA ?$(DDc(B) ; J90-D-4463
(ucs-set-char #x69BA ?$(JCy(B) ; C04-J-4379
(ucs-set-char #x69BB ?$(Cw4(B) ; KS0-C-7734
(ucs-set-char #x69BB ?$(Gi/(B) ; C01-G-692F
(ucs-set-char #x69BB ?$@\P(B) ; J78-@-5C50
(ucs-set-char #x69BB ?$Ai=(B) ; GB0-A-693D
(ucs-set-char #x69BB ?$B\P(B) ; J83-B-5C50
(ucs-set-char #x69BC ?$(DDd(B) ; J90-D-4464
(ucs-set-char #x69BC ?$(HJk(B) ; C02-H-4A6B
(ucs-set-char #x69BD ?$(HJv(B) ; C02-H-4A76
(ucs-set-char #x69BE ?$(HJr(B) ; C02-H-4A72
(ucs-set-char #x69BE ?$@\K(B) ; J78-@-5C4B
(ucs-set-char #x69BE ?$B\K(B) ; J83-B-5C4B
(ucs-set-char #x69BF ?$(HJt(B) ; C02-H-4A74
(ucs-set-char #x69BF ?$@\H(B) ; J78-@-5C48
(ucs-set-char #x69BF ?$B\H(B) ; J83-B-5C48
(ucs-set-char #x69C0 ?$(IGC(B) ; C03-I-4743
(ucs-set-char #x69C1 ?$(CM>(B) ; KS0-C-4D3E
(ucs-set-char #x69C1 ?$(Gi)(B) ; C01-G-6929
(ucs-set-char #x69C1 ?$@\I(B) ; J78-@-5C49
(ucs-set-char #x69C1 ?$AiB(B) ; GB0-A-6942
(ucs-set-char #x69C1 ?$B\I(B) ; J83-B-5C49
(ucs-set-char #x69C2 ?$(HK'(B) ; C02-H-4B27
(ucs-set-char #x69C3 ?$(CZi(B) ; KS0-C-5A69
(ucs-set-char #x69C3 ?$(Gi7(B) ; C01-G-6937
(ucs-set-char #x69C3 ?$@\Q(B) ; J78-@-5C51
(ucs-set-char #x69C3 ?$B\Q(B) ; J83-B-5C51
(ucs-set-char #x69C4 ?$(HJu(B) ; C02-H-4A75
(ucs-set-char #x69C5 ?$(DDe(B) ; J90-D-4465
(ucs-set-char #x69C5 ?$(IG;(B) ; C03-I-473B
(ucs-set-char #x69C6 ?$(HK*(B) ; C02-H-4B2A
(ucs-set-char #x69C7 ?$(JD'(B) ; C04-J-4427
(ucs-set-char #x69C7 ?$@Kj(B) ; J78-@-4B6A
(ucs-set-char #x69C7 ?$Bt"(B) ; J83-B-7422
(ucs-set-char #x69C8 ?$(DDf(B) ; J90-D-4466
(ucs-set-char #x69C8 ?$(IG<(B) ; C03-I-473C
(ucs-set-char #x69C9 ?$(HJe(B) ; C02-H-4A65
(ucs-set-char #x69CA ?$(HJz(B) ; C02-H-4A7A
(ucs-set-char #x69CA ?$@\N(B) ; J78-@-5C4E
(ucs-set-char #x69CA ?$AiC(B) ; GB0-A-6943
(ucs-set-char #x69CA ?$B\N(B) ; J83-B-5C4E
(ucs-set-char #x69CB ?$(CO0(B) ; KS0-C-4F30
(ucs-set-char #x69CB ?$(Gi,(B) ; C01-G-692C
(ucs-set-char #x69CB ?$@9=(B) ; J78-@-393D
(ucs-set-char #x69CB ?$B9=(B) ; J83-B-393D
(ucs-set-char #x69CC ?$(CwY(B) ; KS0-C-7759
(ucs-set-char #x69CC ?$(Gi5(B) ; C01-G-6935
(ucs-set-char #x69CC ?$@DH(B) ; J78-@-4448
(ucs-set-char #x69CC ?$Ai3(B) ; GB0-A-6933
(ucs-set-char #x69CC ?$BDH(B) ; J83-B-4448
(ucs-set-char #x69CD ?$(Csf(B) ; KS0-C-7366
(ucs-set-char #x69CD ?$(Gi3(B) ; C01-G-6933
(ucs-set-char #x69CD ?$@Ad(B) ; J78-@-4164
(ucs-set-char #x69CD ?$BAd(B) ; J83-B-4164
(ucs-set-char #x69CE ?$(HJg(B) ; C02-H-4A67
(ucs-set-char #x69CE ?$@\L(B) ; J78-@-5C4C
(ucs-set-char #x69CE ?$Ai6(B) ; GB0-A-6936
(ucs-set-char #x69CE ?$B\L(B) ; J83-B-5C4C
(ucs-set-char #x69CF ?$(HJ|(B) ; C02-H-4A7C
(ucs-set-char #x69D0 ?$(CNY(B) ; KS0-C-4E59
(ucs-set-char #x69D0 ?$(Gi2(B) ; C01-G-6932
(ucs-set-char #x69D0 ?$@\G(B) ; J78-@-5C47
(ucs-set-char #x69D0 ?$A;1(B) ; GB0-A-3B31
(ucs-set-char #x69D0 ?$B\G(B) ; J83-B-5C47
(ucs-set-char #x69D1 ?$(DDg(B) ; J90-D-4467
(ucs-set-char #x69D1 ?$(IGE(B) ; C03-I-4745
(ucs-set-char #x69D2 ?$(IGH(B) ; C03-I-4748
(ucs-set-char #x69D3 ?$(Gi+(B) ; C01-G-692B
(ucs-set-char #x69D3 ?$@\J(B) ; J78-@-5C4A
(ucs-set-char #x69D3 ?$B\J(B) ; J83-B-5C4A
(ucs-set-char #x69D4 ?$(HJx(B) ; C02-H-4A78
(ucs-set-char #x69D4 ?$Ai@(B) ; GB0-A-6940
(ucs-set-char #x69D5 ?$(IGM(B) ; C03-I-474D
(ucs-set-char #x69D6 ?$(DDh(B) ; J90-D-4468
(ucs-set-char #x69D6 ?$(IGD(B) ; C03-I-4744
(ucs-set-char #x69D7 ?$(DDi(B) ; J90-D-4469
(ucs-set-char #x69D7 ?$(JD((B) ; C04-J-4428
(ucs-set-char #x69D8 ?$(ILT(B) ; C03-I-4C54
(ucs-set-char #x69D8 ?$@MM(B) ; J78-@-4D4D
(ucs-set-char #x69D8 ?$BMM(B) ; J83-B-4D4D
(ucs-set-char #x69D9 ?$(HK$(B) ; C02-H-4B24
(ucs-set-char #x69D9 ?$BKj(B) ; J83-B-4B6A
(ucs-set-char #x69DB ?$A<w(B) ; GB0-A-3C77
(ucs-set-char #x69DD ?$@\O(B) ; J78-@-5C4F
(ucs-set-char #x69DD ?$B\O(B) ; J83-B-5C4F
(ucs-set-char #x69DE ?$@\Y(B) ; J78-@-5C59
(ucs-set-char #x69DE ?$B\Y(B) ; J83-B-5C59
(ucs-set-char #x69DF ?$AiD(B) ; GB0-A-6944
(ucs-set-char #x69E0 ?$AiF(B) ; GB0-A-6946
(ucs-set-char #x69E1 ?$(IGL(B) ; C03-I-474C
(ucs-set-char #x69E2 ?$(DDj(B) ; J90-D-446A
(ucs-set-char #x69E2 ?$(HP|(B) ; C02-H-507C
(ucs-set-char #x69E3 ?$(IGB(B) ; C03-I-4742
(ucs-set-char #x69E4 ?$(HPx(B) ; C02-H-5078
(ucs-set-char #x69E5 ?$(DDk(B) ; J90-D-446B
(ucs-set-char #x69E5 ?$(HPt(B) ; C02-H-5074
(ucs-set-char #x69E6 ?$(HQ*(B) ; C02-H-512A
(ucs-set-char #x69E7 ?$(HQ'(B) ; C02-H-5127
(ucs-set-char #x69E7 ?$@\a(B) ; J78-@-5C61
(ucs-set-char #x69E7 ?$B\a(B) ; J83-B-5C61
(ucs-set-char #x69E8 ?$(CN*(B) ; KS0-C-4E2A
(ucs-set-char #x69E8 ?$(Gm7(B) ; C01-G-6D37
(ucs-set-char #x69E8 ?$@\Z(B) ; J78-@-5C5A
(ucs-set-char #x69E8 ?$B\Z(B) ; J83-B-5C5A
(ucs-set-char #x69E9 ?$(ILd(B) ; C03-I-4C64
(ucs-set-char #x69EA ?$(CKH(B) ; KS0-C-4B48
(ucs-set-char #x69EA ?$(IL`(B) ; C03-I-4C60
(ucs-set-char #x69EB ?$(HQ.(B) ; C02-H-512E
(ucs-set-char #x69EB ?$@\g(B) ; J78-@-5C67
(ucs-set-char #x69EB ?$B\g(B) ; J83-B-5C67
(ucs-set-char #x69EC ?$(HP{(B) ; C02-H-507B
(ucs-set-char #x69ED ?$(GmB(B) ; C01-G-6D42
(ucs-set-char #x69ED ?$@\e(B) ; J78-@-5C65
(ucs-set-char #x69ED ?$AiJ(B) ; GB0-A-694A
(ucs-set-char #x69ED ?$B\e(B) ; J83-B-5C65
(ucs-set-char #x69EE ?$(DDl(B) ; J90-D-446C
(ucs-set-char #x69EE ?$(HQ$(B) ; C02-H-5124
(ucs-set-char #x69EF ?$(DDm(B) ; J90-D-446D
(ucs-set-char #x69EF ?$(ILO(B) ; C03-I-4C4F
(ucs-set-char #x69F0 ?$(ILQ(B) ; C03-I-4C51
(ucs-set-char #x69F1 ?$(DDn(B) ; J90-D-446E
(ucs-set-char #x69F1 ?$(HPw(B) ; C02-H-5077
(ucs-set-char #x69F2 ?$(HQ#(B) ; C02-H-5123
(ucs-set-char #x69F2 ?$@\`(B) ; J78-@-5C60
(ucs-set-char #x69F2 ?$AiN(B) ; GB0-A-694E
(ucs-set-char #x69F2 ?$B\`(B) ; J83-B-5C60
(ucs-set-char #x69F3 ?$(DDo(B) ; J90-D-446F
(ucs-set-char #x69F3 ?$(Gm?(B) ; C01-G-6D3F
(ucs-set-char #x69F4 ?$(HQ7(B) ; C02-H-5137
(ucs-set-char #x69F5 ?$(DDp(B) ; J90-D-4470
(ucs-set-char #x69F5 ?$(JJ=(B) ; C04-J-4A3D
(ucs-set-char #x69F6 ?$(HQ4(B) ; C02-H-5134
(ucs-set-char #x69F7 ?$(HQ&(B) ; C02-H-5126
(ucs-set-char #x69F8 ?$(HPu(B) ; C02-H-5075
(ucs-set-char #x69F9 ?$(IL_(B) ; C03-I-4C5F
(ucs-set-char #x69F9 ?$@\_(B) ; J78-@-5C5F
(ucs-set-char #x69F9 ?$B\_(B) ; J83-B-5C5F
(ucs-set-char #x69FA ?$(ILW(B) ; C03-I-4C57
(ucs-set-char #x69FB ?$(CP'(B) ; KS0-C-5027
(ucs-set-char #x69FB ?$(HQ+(B) ; C02-H-512B
(ucs-set-char #x69FB ?$@DP(B) ; J78-@-4450
(ucs-set-char #x69FB ?$BDP(B) ; J83-B-4450
(ucs-set-char #x69FC ?$(HQ-(B) ; C02-H-512D
(ucs-set-char #x69FD ?$(CpK(B) ; KS0-C-704B
(ucs-set-char #x69FD ?$(Gm;(B) ; C01-G-6D3B
(ucs-set-char #x69FD ?$@Ae(B) ; J78-@-4165
(ucs-set-char #x69FD ?$A2[(B) ; GB0-A-325B
(ucs-set-char #x69FD ?$BAe(B) ; J83-B-4165
(ucs-set-char #x69FE ?$(DDq(B) ; J90-D-4471
(ucs-set-char #x69FE ?$(HQ!(B) ; C02-H-5121
(ucs-set-char #x69FF ?$(CPG(B) ; KS0-C-5047
(ucs-set-char #x69FF ?$(HPz(B) ; C02-H-507A
(ucs-set-char #x69FF ?$@\](B) ; J78-@-5C5D
(ucs-set-char #x69FF ?$AiH(B) ; GB0-A-6948
(ucs-set-char #x69FF ?$B\](B) ; J83-B-5C5D
(ucs-set-char #x6A00 ?$(DDr(B) ; J90-D-4472
(ucs-set-char #x6A00 ?$(HPq(B) ; C02-H-5071
(ucs-set-char #x6A01 ?$(DDs(B) ; J90-D-4473
(ucs-set-char #x6A01 ?$(Gm8(B) ; C01-G-6D38
(ucs-set-char #x6A02 ?$(CdE(B) ; KS0-C-6445
(ucs-set-char #x6A02 ?$(Gm@(B) ; C01-G-6D40
(ucs-set-char #x6A02 ?$@\[(B) ; J78-@-5C5B
(ucs-set-char #x6A02 ?$B\[(B) ; J83-B-5C5B
(ucs-set-char #x6A03 ?$(DDt(B) ; J90-D-4474
(ucs-set-char #x6A03 ?$(JJH(B) ; C04-J-4A48
(ucs-set-char #x6A04 ?$(HQ0(B) ; C02-H-5130
(ucs-set-char #x6A05 ?$(GmA(B) ; C01-G-6D41
(ucs-set-char #x6A05 ?$@\b(B) ; J78-@-5C62
(ucs-set-char #x6A05 ?$B\b(B) ; J83-B-5C62
(ucs-set-char #x6A06 ?$(HPr(B) ; C02-H-5072
(ucs-set-char #x6A07 ?$(HQ6(B) ; C02-H-5136
(ucs-set-char #x6A08 ?$(HQ)(B) ; C02-H-5129
(ucs-set-char #x6A09 ?$(HQ/(B) ; C02-H-512F
(ucs-set-char #x6A0A ?$(C[`(B) ; KS0-C-5B60
(ucs-set-char #x6A0A ?$(Gm>(B) ; C01-G-6D3E
(ucs-set-char #x6A0A ?$@\h(B) ; J78-@-5C68
(ucs-set-char #x6A0A ?$A7.(B) ; GB0-A-372E
(ucs-set-char #x6A0A ?$B\h(B) ; J83-B-5C68
(ucs-set-char #x6A0B ?$(ILM(B) ; C03-I-4C4D
(ucs-set-char #x6A0B ?$@Hu(B) ; J78-@-4875
(ucs-set-char #x6A0B ?$BHu(B) ; J83-B-4875
(ucs-set-char #x6A0C ?$(ILP(B) ; C03-I-4C50
(ucs-set-char #x6A0C ?$@\n(B) ; J78-@-5C6E
(ucs-set-char #x6A0C ?$B\n(B) ; J83-B-5C6E
(ucs-set-char #x6A0D ?$(HQ,(B) ; C02-H-512C
(ucs-set-char #x6A0E ?$(ILG(B) ; C03-I-4C47
(ucs-set-char #x6A0F ?$(DDu(B) ; J90-D-4475
(ucs-set-char #x6A0F ?$(HQ3(B) ; C02-H-5133
(ucs-set-char #x6A10 ?$(IL[(B) ; C03-I-4C5B
(ucs-set-char #x6A11 ?$(CUZ(B) ; KS0-C-555A
(ucs-set-char #x6A11 ?$(DDv(B) ; J90-D-4476
(ucs-set-char #x6A11 ?$(GmC(B) ; C01-G-6D43
(ucs-set-char #x6A12 ?$(ILV(B) ; C03-I-4C56
(ucs-set-char #x6A12 ?$@\i(B) ; J78-@-5C69
(ucs-set-char #x6A12 ?$B\i(B) ; J83-B-5C69
(ucs-set-char #x6A13 ?$(CW'(B) ; KS0-C-5727
(ucs-set-char #x6A13 ?$(Gm=(B) ; C01-G-6D3D
(ucs-set-char #x6A13 ?$@\l(B) ; J78-@-5C6C
(ucs-set-char #x6A13 ?$B\l(B) ; J83-B-5C6C
(ucs-set-char #x6A14 ?$(HQ%(B) ; C02-H-5125
(ucs-set-char #x6A14 ?$@\f(B) ; J78-@-5C66
(ucs-set-char #x6A14 ?$B\f(B) ; J83-B-5C66
(ucs-set-char #x6A15 ?$(DDw(B) ; J90-D-4477
(ucs-set-char #x6A15 ?$(HPv(B) ; C02-H-5076
(ucs-set-char #x6A16 ?$(HQ8(B) ; C02-H-5138
(ucs-set-char #x6A17 ?$(Cn@(B) ; KS0-C-6E40
(ucs-set-char #x6A17 ?$(HPs(B) ; C02-H-5073
(ucs-set-char #x6A17 ?$@Ct(B) ; J78-@-4374
(ucs-set-char #x6A17 ?$AiK(B) ; GB0-A-694B
(ucs-set-char #x6A17 ?$BCt(B) ; J83-B-4374
(ucs-set-char #x6A18 ?$(HQ1(B) ; C02-H-5131
(ucs-set-char #x6A18 ?$AiL(B) ; GB0-A-694C
(ucs-set-char #x6A19 ?$(Cxv(B) ; KS0-C-7876
(ucs-set-char #x6A19 ?$(Gm:(B) ; C01-G-6D3A
(ucs-set-char #x6A19 ?$@I8(B) ; J78-@-4938
(ucs-set-char #x6A19 ?$BI8(B) ; J83-B-4938
(ucs-set-char #x6A1A ?$(DDx(B) ; J90-D-4478
(ucs-set-char #x6A1A ?$(ILJ(B) ; C03-I-4C4A
(ucs-set-char #x6A1B ?$(HP}(B) ; C02-H-507D
(ucs-set-char #x6A1B ?$@\\(B) ; J78-@-5C5C
(ucs-set-char #x6A1B ?$B\\(B) ; J83-B-5C5C
(ucs-set-char #x6A1C ?$(ILI(B) ; C03-I-4C49
(ucs-set-char #x6A1D ?$(DDy(B) ; J90-D-4479
(ucs-set-char #x6A1D ?$(HP~(B) ; C02-H-507E
(ucs-set-char #x6A1E ?$(CuR(B) ; KS0-C-7552
(ucs-set-char #x6A1E ?$(Gm9(B) ; C01-G-6D39
(ucs-set-char #x6A1E ?$@\d(B) ; J78-@-5C64
(ucs-set-char #x6A1E ?$B\d(B) ; J83-B-5C64
(ucs-set-char #x6A1F ?$(Cmi(B) ; KS0-C-6D69
(ucs-set-char #x6A1F ?$(Gm6(B) ; C01-G-6D36
(ucs-set-char #x6A1F ?$@>@(B) ; J78-@-3E40
(ucs-set-char #x6A1F ?$AUA(B) ; GB0-A-5541
(ucs-set-char #x6A1F ?$B>@(B) ; J83-B-3E40
(ucs-set-char #x6A20 ?$(DDz(B) ; J90-D-447A
(ucs-set-char #x6A20 ?$(HPy(B) ; C02-H-5079
(ucs-set-char #x6A21 ?$(CY<(B) ; KS0-C-593C
(ucs-set-char #x6A21 ?$(Gm<(B) ; C01-G-6D3C
(ucs-set-char #x6A21 ?$@LO(B) ; J78-@-4C4F
(ucs-set-char #x6A21 ?$AD#(B) ; GB0-A-4423
(ucs-set-char #x6A21 ?$BLO(B) ; J83-B-4C4F
(ucs-set-char #x6A22 ?$(ILR(B) ; C03-I-4C52
(ucs-set-char #x6A22 ?$@\x(B) ; J78-@-5C78
(ucs-set-char #x6A22 ?$B\x(B) ; J83-B-5C78
(ucs-set-char #x6A23 ?$(CeF(B) ; KS0-C-6546
(ucs-set-char #x6A23 ?$(Gm5(B) ; C01-G-6D35
(ucs-set-char #x6A23 ?$@\k(B) ; J78-@-5C6B
(ucs-set-char #x6A23 ?$B\k(B) ; J83-B-5C6B
(ucs-set-char #x6A24 ?$(DD{(B) ; J90-D-447B
(ucs-set-char #x6A24 ?$(ILb(B) ; C03-I-4C62
(ucs-set-char #x6A25 ?$(HQ2(B) ; C02-H-5132
(ucs-set-char #x6A26 ?$(HQ5(B) ; C02-H-5135
(ucs-set-char #x6A27 ?$(HQ"(B) ; C02-H-5122
(ucs-set-char #x6A28 ?$(DD|(B) ; J90-D-447C
(ucs-set-char #x6A28 ?$(HWU(B) ; C02-H-5755
(ucs-set-char #x6A28 ?$AiX(B) ; GB0-A-6958
(ucs-set-char #x6A29 ?$(IL^(B) ; C03-I-4C5E
(ucs-set-char #x6A29 ?$@8"(B) ; J78-@-3822
(ucs-set-char #x6A29 ?$B8"(B) ; J83-B-3822
(ucs-set-char #x6A2A ?$(ILY(B) ; C03-I-4C59
(ucs-set-char #x6A2A ?$@2#(B) ; J78-@-3223
(ucs-set-char #x6A2A ?$A:a(B) ; GB0-A-3A61
(ucs-set-char #x6A2A ?$B2#(B) ; J83-B-3223
(ucs-set-char #x6A2B ?$@3_(B) ; J78-@-335F
(ucs-set-char #x6A2B ?$B3_(B) ; J83-B-335F
(ucs-set-char #x6A2C ?$(ILa(B) ; C03-I-4C61
(ucs-set-char #x6A2E ?$@\S(B) ; J78-@-5C53
(ucs-set-char #x6A2E ?$B\S(B) ; J83-B-5C53
(ucs-set-char #x6A2F ?$AiI(B) ; GB0-A-6949
(ucs-set-char #x6A30 ?$(DD}(B) ; J90-D-447D
(ucs-set-char #x6A31 ?$AS#(B) ; GB0-A-5323
(ucs-set-char #x6A32 ?$(DD~(B) ; J90-D-447E
(ucs-set-char #x6A32 ?$(HWM(B) ; C02-H-574D
(ucs-set-char #x6A33 ?$(IQ,(B) ; C03-I-512C
(ucs-set-char #x6A34 ?$(DE!(B) ; J90-D-4521
(ucs-set-char #x6A34 ?$(HWI(B) ; C02-H-5749
(ucs-set-char #x6A35 ?$(Cu#(B) ; KS0-C-7523
(ucs-set-char #x6A35 ?$(Gq!(B) ; C01-G-7121
(ucs-set-char #x6A35 ?$@>A(B) ; J78-@-3E41
(ucs-set-char #x6A35 ?$AiT(B) ; GB0-A-6954
(ucs-set-char #x6A35 ?$B>A(B) ; J83-B-3E41
(ucs-set-char #x6A36 ?$(IQ<(B) ; C03-I-513C
(ucs-set-char #x6A36 ?$@\p(B) ; J78-@-5C70
(ucs-set-char #x6A36 ?$B\p(B) ; J83-B-5C70
(ucs-set-char #x6A37 ?$(DE"(B) ; J90-D-4522
(ucs-set-char #x6A37 ?$(IQ8(B) ; C03-I-5138
(ucs-set-char #x6A38 ?$(CZT(B) ; KS0-C-5A54
(ucs-set-char #x6A38 ?$(Gpt(B) ; C01-G-7074
(ucs-set-char #x6A38 ?$@\w(B) ; J78-@-5C77
(ucs-set-char #x6A38 ?$B\w(B) ; J83-B-5C77
(ucs-set-char #x6A39 ?$(Cb'(B) ; KS0-C-6227
(ucs-set-char #x6A39 ?$(Gpy(B) ; C01-G-7079
(ucs-set-char #x6A39 ?$@<y(B) ; J78-@-3C79
(ucs-set-char #x6A39 ?$B<y(B) ; J83-B-3C79
(ucs-set-char #x6A3A ?$(C{|(B) ; KS0-C-7B7C
(ucs-set-char #x6A3A ?$(Gpu(B) ; C01-G-7075
(ucs-set-char #x6A3A ?$@3r(B) ; J78-@-3372
(ucs-set-char #x6A3A ?$B3r(B) ; J83-B-3372
(ucs-set-char #x6A3B ?$(DE#(B) ; J90-D-4523
(ucs-set-char #x6A3B ?$(HWW(B) ; C02-H-5757
(ucs-set-char #x6A3C ?$(HWb(B) ; C02-H-5762
(ucs-set-char #x6A3D ?$(Cq\(B) ; KS0-C-715C
(ucs-set-char #x6A3D ?$(Gps(B) ; C01-G-7073
(ucs-set-char #x6A3D ?$@C.(B) ; J78-@-432E
(ucs-set-char #x6A3D ?$AiW(B) ; GB0-A-6957
(ucs-set-char #x6A3D ?$BC.(B) ; J83-B-432E
(ucs-set-char #x6A3E ?$(DE$(B) ; J90-D-4524
(ucs-set-char #x6A3E ?$(HWO(B) ; C02-H-574F
(ucs-set-char #x6A3E ?$AiP(B) ; GB0-A-6950
(ucs-set-char #x6A3F ?$(DE%(B) ; J90-D-4525
(ucs-set-char #x6A3F ?$(HWX(B) ; C02-H-5758
(ucs-set-char #x6A40 ?$(HQ((B) ; C02-H-5128
(ucs-set-char #x6A41 ?$(HWY(B) ; C02-H-5759
(ucs-set-char #x6A42 ?$(IQ((B) ; C03-I-5128
(ucs-set-char #x6A43 ?$(IQ+(B) ; C03-I-512B
(ucs-set-char #x6A44 ?$(CJt(B) ; KS0-C-4A74
(ucs-set-char #x6A44 ?$(Gpz(B) ; C01-G-707A
(ucs-set-char #x6A44 ?$@\m(B) ; J78-@-5C6D
(ucs-set-char #x6A44 ?$AiO(B) ; GB0-A-694F
(ucs-set-char #x6A44 ?$B\m(B) ; J83-B-5C6D
(ucs-set-char #x6A45 ?$(DE&(B) ; J90-D-4526
(ucs-set-char #x6A45 ?$(IQ@(B) ; C03-I-5140
(ucs-set-char #x6A46 ?$(DE'(B) ; J90-D-4527
(ucs-set-char #x6A46 ?$(HWh(B) ; C02-H-5768
(ucs-set-char #x6A47 ?$(Gp~(B) ; C01-G-707E
(ucs-set-char #x6A47 ?$@\r(B) ; J78-@-5C72
(ucs-set-char #x6A47 ?$AGA(B) ; GB0-A-4741
(ucs-set-char #x6A47 ?$B\r(B) ; J83-B-5C72
(ucs-set-char #x6A48 ?$(Chz(B) ; KS0-C-687A
(ucs-set-char #x6A48 ?$(Gq#(B) ; C01-G-7123
(ucs-set-char #x6A48 ?$@\v(B) ; J78-@-5C76
(ucs-set-char #x6A48 ?$B\v(B) ; J83-B-5C76
(ucs-set-char #x6A49 ?$(DE((B) ; J90-D-4528
(ucs-set-char #x6A49 ?$(HWK(B) ; C02-H-574B
(ucs-set-char #x6A4A ?$(DE)(B) ; J90-D-4529
(ucs-set-char #x6A4A ?$(IQ;(B) ; C03-I-513B
(ucs-set-char #x6A4B ?$(CNi(B) ; KS0-C-4E69
(ucs-set-char #x6A4B ?$(Gp}(B) ; C01-G-707D
(ucs-set-char #x6A4B ?$@66(B) ; J78-@-3636
(ucs-set-char #x6A4B ?$B66(B) ; J83-B-3636
(ucs-set-char #x6A4C ?$(IQ1(B) ; C03-I-5131
(ucs-set-char #x6A4D ?$(HWf(B) ; C02-H-5766
(ucs-set-char #x6A4E ?$(DE*(B) ; J90-D-452A
(ucs-set-char #x6A4E ?$(HWg(B) ; C02-H-5767
(ucs-set-char #x6A4F ?$(HW](B) ; C02-H-575D
(ucs-set-char #x6A50 ?$(DE+(B) ; J90-D-452B
(ucs-set-char #x6A50 ?$(HW\(B) ; C02-H-575C
(ucs-set-char #x6A50 ?$AiR(B) ; GB0-A-6952
(ucs-set-char #x6A51 ?$(DE,(B) ; J90-D-452C
(ucs-set-char #x6A51 ?$(HWT(B) ; C02-H-5754
(ucs-set-char #x6A52 ?$(Cix(B) ; KS0-C-6978
(ucs-set-char #x6A52 ?$(DE-(B) ; J90-D-452D
(ucs-set-char #x6A52 ?$(IQ)(B) ; C03-I-5129
(ucs-set-char #x6A53 ?$(Cbe(B) ; KS0-C-6265
(ucs-set-char #x6A53 ?$(IQ>(B) ; C03-I-513E
(ucs-set-char #x6A54 ?$(HW^(B) ; C02-H-575E
(ucs-set-char #x6A55 ?$(DE.(B) ; J90-D-452E
(ucs-set-char #x6A55 ?$(HWe(B) ; C02-H-5765
(ucs-set-char #x6A56 ?$(DE/(B) ; J90-D-452F
(ucs-set-char #x6A56 ?$(HWd(B) ; C02-H-5764
(ucs-set-char #x6A57 ?$(IQ/(B) ; C03-I-512F
(ucs-set-char #x6A58 ?$(CP9(B) ; KS0-C-5039
(ucs-set-char #x6A58 ?$(Gpx(B) ; C01-G-7078
(ucs-set-char #x6A58 ?$@5L(B) ; J78-@-354C
(ucs-set-char #x6A58 ?$AiY(B) ; GB0-A-6959
(ucs-set-char #x6A58 ?$B5L(B) ; J83-B-354C
(ucs-set-char #x6A59 ?$(CTr(B) ; KS0-C-5472
(ucs-set-char #x6A59 ?$(Gpv(B) ; C01-G-7076
(ucs-set-char #x6A59 ?$@\t(B) ; J78-@-5C74
(ucs-set-char #x6A59 ?$A3H(B) ; GB0-A-3348
(ucs-set-char #x6A59 ?$B\t(B) ; J83-B-5C74
(ucs-set-char #x6A5A ?$(HWV(B) ; C02-H-5756
(ucs-set-char #x6A5B ?$(DE0(B) ; J90-D-4530
(ucs-set-char #x6A5B ?$(HWS(B) ; C02-H-5753
(ucs-set-char #x6A5B ?$AiS(B) ; GB0-A-6953
(ucs-set-char #x6A5C ?$(IQD(B) ; C03-I-5144
(ucs-set-char #x6A5D ?$(HWP(B) ; C02-H-5750
(ucs-set-char #x6A5E ?$(HWc(B) ; C02-H-5763
(ucs-set-char #x6A5F ?$(CQ&(B) ; KS0-C-5126
(ucs-set-char #x6A5F ?$(Gq"(B) ; C01-G-7122
(ucs-set-char #x6A5F ?$@5!(B) ; J78-@-3521
(ucs-set-char #x6A5F ?$B5!(B) ; J83-B-3521
(ucs-set-char #x6A60 ?$(HWa(B) ; C02-H-5761
(ucs-set-char #x6A61 ?$(C_N(B) ; KS0-C-5F4E
(ucs-set-char #x6A61 ?$(Gp|(B) ; C01-G-707C
(ucs-set-char #x6A61 ?$@FK(B) ; J78-@-464B
(ucs-set-char #x6A61 ?$AOp(B) ; GB0-A-4F70
(ucs-set-char #x6A61 ?$BFK(B) ; J83-B-464B
(ucs-set-char #x6A62 ?$(Gp{(B) ; C01-G-707B
(ucs-set-char #x6A62 ?$@\s(B) ; J78-@-5C73
(ucs-set-char #x6A62 ?$B\s(B) ; J83-B-5C73
(ucs-set-char #x6A63 ?$(IQ'(B) ; C03-I-5127
(ucs-set-char #x6A64 ?$(DE1(B) ; J90-D-4531
(ucs-set-char #x6A64 ?$(HW[(B) ; C02-H-575B
(ucs-set-char #x6A65 ?$(JJK(B) ; C04-J-4A4B
(ucs-set-char #x6A65 ?$AiM(B) ; GB0-A-694D
(ucs-set-char #x6A66 ?$(HWJ(B) ; C02-H-574A
(ucs-set-char #x6A66 ?$@\u(B) ; J78-@-5C75
(ucs-set-char #x6A66 ?$B\u(B) ; J83-B-5C75
(ucs-set-char #x6A67 ?$(DE2(B) ; J90-D-4532
(ucs-set-char #x6A67 ?$(HWL(B) ; C02-H-574C
(ucs-set-char #x6A68 ?$(HWN(B) ; C02-H-574E
(ucs-set-char #x6A69 ?$(HW`(B) ; C02-H-5760
(ucs-set-char #x6A6A ?$(DE3(B) ; J90-D-4533
(ucs-set-char #x6A6A ?$(HWZ(B) ; C02-H-575A
(ucs-set-char #x6A6B ?$(C|t(B) ; KS0-C-7C74
(ucs-set-char #x6A6B ?$(Gpw(B) ; C01-G-7077
(ucs-set-char #x6A6C ?$(IQ.(B) ; C03-I-512E
(ucs-set-char #x6A6D ?$(HWQ(B) ; C02-H-5751
(ucs-set-char #x6A6E ?$(IQ2(B) ; C03-I-5132
(ucs-set-char #x6A6F ?$(HW_(B) ; C02-H-575F
(ucs-set-char #x6A70 ?$(IQA(B) ; C03-I-5141
(ucs-set-char #x6A71 ?$(DE4(B) ; J90-D-4534
(ucs-set-char #x6A71 ?$(IQ:(B) ; C03-I-513A
(ucs-set-char #x6A71 ?$A3w(B) ; GB0-A-3377
(ucs-set-char #x6A72 ?$@\o(B) ; J78-@-5C6F
(ucs-set-char #x6A72 ?$B\o(B) ; J83-B-5C6F
(ucs-set-char #x6A73 ?$(DE5(B) ; J90-D-4535
(ucs-set-char #x6A76 ?$(HWR(B) ; C02-H-5752
(ucs-set-char #x6A78 ?$@\q(B) ; J78-@-5C71
(ucs-set-char #x6A78 ?$B\q(B) ; J83-B-5C71
(ucs-set-char #x6A79 ?$AiV(B) ; GB0-A-6956
(ucs-set-char #x6A7C ?$AiZ(B) ; GB0-A-695A
(ucs-set-char #x6A7D ?$(ITu(B) ; C03-I-5475
(ucs-set-char #x6A7E ?$(DE6(B) ; J90-D-4536
(ucs-set-char #x6A7E ?$(Gsx(B) ; C01-G-7378
(ucs-set-char #x6A7F ?$(H]1(B) ; C02-H-5D31
(ucs-set-char #x6A7F ?$@3`(B) ; J78-@-3360
(ucs-set-char #x6A7F ?$B3`(B) ; J83-B-3360
(ucs-set-char #x6A80 ?$(CS*(B) ; KS0-C-532A
(ucs-set-char #x6A80 ?$(Gsq(B) ; C01-G-7371
(ucs-set-char #x6A80 ?$@CI(B) ; J78-@-4349
(ucs-set-char #x6A80 ?$AL4(B) ; GB0-A-4C34
(ucs-set-char #x6A80 ?$BCI(B) ; J83-B-4349
(ucs-set-char #x6A81 ?$(DE7(B) ; J90-D-4537
(ucs-set-char #x6A81 ?$(H]"(B) ; C02-H-5D22
(ucs-set-char #x6A82 ?$(IT{(B) ; C03-I-547B
(ucs-set-char #x6A83 ?$(DE8(B) ; J90-D-4538
(ucs-set-char #x6A83 ?$(H]-(B) ; C02-H-5D2D
(ucs-set-char #x6A84 ?$(CL,(B) ; KS0-C-4C2C
(ucs-set-char #x6A84 ?$(Gss(B) ; C01-G-7373
(ucs-set-char #x6A84 ?$@\|(B) ; J78-@-5C7C
(ucs-set-char #x6A84 ?$AO-(B) ; GB0-A-4F2D
(ucs-set-char #x6A84 ?$B\|(B) ; J83-B-5C7C
(ucs-set-char #x6A85 ?$(H]4(B) ; C02-H-5D34
(ucs-set-char #x6A86 ?$(DE9(B) ; J90-D-4539
(ucs-set-char #x6A86 ?$(IU!(B) ; C03-I-5521
(ucs-set-char #x6A87 ?$(DE:(B) ; J90-D-453A
(ucs-set-char #x6A87 ?$(H])(B) ; C02-H-5D29
(ucs-set-char #x6A88 ?$(IT|(B) ; C03-I-547C
(ucs-set-char #x6A89 ?$(Co`(B) ; KS0-C-6F60
(ucs-set-char #x6A89 ?$(DE;(B) ; J90-D-453B
(ucs-set-char #x6A89 ?$(H]$(B) ; C02-H-5D24
(ucs-set-char #x6A8A ?$(ITv(B) ; C03-I-5476
(ucs-set-char #x6A8B ?$(DE<(B) ; J90-D-453C
(ucs-set-char #x6A8B ?$(JVE(B) ; C04-J-5645
(ucs-set-char #x6A8C ?$(H]5(B) ; C02-H-5D35
(ucs-set-char #x6A8D ?$(Cee(B) ; KS0-C-6565
(ucs-set-char #x6A8D ?$(H\~(B) ; C02-H-5C7E
(ucs-set-char #x6A8D ?$@\z(B) ; J78-@-5C7A
(ucs-set-char #x6A8D ?$B\z(B) ; J83-B-5C7A
(ucs-set-char #x6A8E ?$(CPU(B) ; KS0-C-5055
(ucs-set-char #x6A8E ?$(H]+(B) ; C02-H-5D2B
(ucs-set-char #x6A8E ?$@8i(B) ; J78-@-3869
(ucs-set-char #x6A8E ?$AiU(B) ; GB0-A-6955
(ucs-set-char #x6A8E ?$B8i(B) ; J83-B-3869
(ucs-set-char #x6A8F ?$(IU'(B) ; C03-I-5527
(ucs-set-char #x6A90 ?$(Gsz(B) ; C01-G-737A
(ucs-set-char #x6A90 ?$@\y(B) ; J78-@-5C79
(ucs-set-char #x6A90 ?$Ai\(B) ; GB0-A-695C
(ucs-set-char #x6A90 ?$B\y(B) ; J83-B-5C79
(ucs-set-char #x6A91 ?$(DE=(B) ; J90-D-453D
(ucs-set-char #x6A91 ?$(H]0(B) ; C02-H-5D30
(ucs-set-char #x6A91 ?$Ai[(B) ; GB0-A-695B
(ucs-set-char #x6A92 ?$(H]6(B) ; C02-H-5D36
(ucs-set-char #x6A93 ?$(H]*(B) ; C02-H-5D2A
(ucs-set-char #x6A94 ?$(Gsr(B) ; C01-G-7372
(ucs-set-char #x6A95 ?$(H],(B) ; C02-H-5D2C
(ucs-set-char #x6A96 ?$(H]!(B) ; C02-H-5D21
(ucs-set-char #x6A97 ?$(C[|(B) ; KS0-C-5B7C
(ucs-set-char #x6A97 ?$(Gsy(B) ; C01-G-7379
(ucs-set-char #x6A97 ?$@]!(B) ; J78-@-5D21
(ucs-set-char #x6A97 ?$Ai^(B) ; GB0-A-695E
(ucs-set-char #x6A97 ?$B]!(B) ; J83-B-5D21
(ucs-set-char #x6A98 ?$(IU#(B) ; C03-I-5523
(ucs-set-char #x6A99 ?$(ITz(B) ; C03-I-547A
(ucs-set-char #x6A9A ?$(H]3(B) ; C02-H-5D33
(ucs-set-char #x6A9B ?$(DE>(B) ; J90-D-453E
(ucs-set-char #x6A9B ?$(H]&(B) ; C02-H-5D26
(ucs-set-char #x6A9C ?$(C|f(B) ; KS0-C-7C66
(ucs-set-char #x6A9C ?$(Gsu(B) ; C01-G-7375
(ucs-set-char #x6A9C ?$@I0(B) ; J78-@-4930
(ucs-set-char #x6A9C ?$B[X(B) ; J83-B-5B58
(ucs-set-char #x6A9D ?$(DE?(B) ; J90-D-453F
(ucs-set-char #x6A9D ?$(IU$(B) ; C03-I-5524
(ucs-set-char #x6A9E ?$(DE@(B) ; J90-D-4540
(ucs-set-char #x6A9E ?$(H]((B) ; C02-H-5D28
(ucs-set-char #x6A9F ?$(DEA(B) ; J90-D-4541
(ucs-set-char #x6A9F ?$(H]%(B) ; C02-H-5D25
(ucs-set-char #x6AA0 ?$(Gs{(B) ; C01-G-737B
(ucs-set-char #x6AA0 ?$@\{(B) ; J78-@-5C7B
(ucs-set-char #x6AA0 ?$AiQ(B) ; GB0-A-6951
(ucs-set-char #x6AA0 ?$B\{(B) ; J83-B-5C7B
(ucs-set-char #x6AA1 ?$(H]'(B) ; C02-H-5D27
(ucs-set-char #x6AA2 ?$(CK~(B) ; KS0-C-4B7E
(ucs-set-char #x6AA2 ?$(Gst(B) ; C01-G-7374
(ucs-set-char #x6AA2 ?$@\}(B) ; J78-@-5C7D
(ucs-set-char #x6AA2 ?$B\}(B) ; J83-B-5C7D
(ucs-set-char #x6AA3 ?$(Cmj(B) ; KS0-C-6D6A
(ucs-set-char #x6AA3 ?$(Gsw(B) ; C01-G-7377
(ucs-set-char #x6AA3 ?$@\~(B) ; J78-@-5C7E
(ucs-set-char #x6AA3 ?$B\~(B) ; J83-B-5C7E
(ucs-set-char #x6AA4 ?$(H]/(B) ; C02-H-5D2F
(ucs-set-char #x6AA5 ?$(DEB(B) ; J90-D-4542
(ucs-set-char #x6AA5 ?$(H]#(B) ; C02-H-5D23
(ucs-set-char #x6AA6 ?$(H]2(B) ; C02-H-5D32
(ucs-set-char #x6AA7 ?$(ITx(B) ; C03-I-5478
(ucs-set-char #x6AA8 ?$(H].(B) ; C02-H-5D2E
(ucs-set-char #x6AA9 ?$Ai](B) ; GB0-A-695D
(ucs-set-char #x6AAA ?$(IU)(B) ; C03-I-5529
(ucs-set-char #x6AAA ?$@],(B) ; J78-@-5D2C
(ucs-set-char #x6AAA ?$B],(B) ; J83-B-5D2C
(ucs-set-char #x6AAB ?$(DEC(B) ; J90-D-4543
(ucs-set-char #x6AAB ?$(IWt(B) ; C03-I-5774
(ucs-set-char #x6AAB ?$Ai_(B) ; GB0-A-695F
(ucs-set-char #x6AAC ?$(GvO(B) ; C01-G-764F
(ucs-set-char #x6AAC ?$@]((B) ; J78-@-5D28
(ucs-set-char #x6AAC ?$ACJ(B) ; GB0-A-434A
(ucs-set-char #x6AAC ?$B]((B) ; J83-B-5D28
(ucs-set-char #x6AAD ?$(Has(B) ; C02-H-6173
(ucs-set-char #x6AAE ?$(GvT(B) ; C01-G-7654
(ucs-set-char #x6AAE ?$@En(B) ; J78-@-456E
(ucs-set-char #x6AAE ?$B[m(B) ; J83-B-5B6D
(ucs-set-char #x6AAF ?$(DED(B) ; J90-D-4544
(ucs-set-char #x6AAF ?$(GvU(B) ; C01-G-7655
(ucs-set-char #x6AB0 ?$(DEE(B) ; J90-D-4545
(ucs-set-char #x6AB0 ?$(IWw(B) ; C03-I-5777
(ucs-set-char #x6AB1 ?$(DEF(B) ; J90-D-4546
(ucs-set-char #x6AB1 ?$(IX!(B) ; C03-I-5821
(ucs-set-char #x6AB2 ?$(IWv(B) ; C03-I-5776
(ucs-set-char #x6AB3 ?$(C^1(B) ; KS0-C-5E31
(ucs-set-char #x6AB3 ?$(GvN(B) ; C01-G-764E
(ucs-set-char #x6AB3 ?$@]'(B) ; J78-@-5D27
(ucs-set-char #x6AB3 ?$B]'(B) ; J83-B-5D27
(ucs-set-char #x6AB4 ?$(DEG(B) ; J90-D-4547
(ucs-set-char #x6AB4 ?$(Har(B) ; C02-H-6172
(ucs-set-char #x6AB5 ?$(IWx(B) ; C03-I-5778
(ucs-set-char #x6AB6 ?$(Hao(B) ; C02-H-616F
(ucs-set-char #x6AB7 ?$(Hap(B) ; C02-H-6170
(ucs-set-char #x6AB8 ?$(GvR(B) ; C01-G-7652
(ucs-set-char #x6AB8 ?$@]&(B) ; J78-@-5D26
(ucs-set-char #x6AB8 ?$B]&(B) ; J83-B-5D26
(ucs-set-char #x6AB9 ?$(Haj(B) ; C02-H-616A
(ucs-set-char #x6ABA ?$(Han(B) ; C02-H-616E
(ucs-set-char #x6ABB ?$(Cyc(B) ; KS0-C-7963
(ucs-set-char #x6ABB ?$(GvQ(B) ; C01-G-7651
(ucs-set-char #x6ABB ?$@]#(B) ; J78-@-5D23
(ucs-set-char #x6ABB ?$B]#(B) ; J83-B-5D23
(ucs-set-char #x6ABC ?$(IW~(B) ; C03-I-577E
(ucs-set-char #x6ABD ?$(DEH(B) ; J90-D-4548
(ucs-set-char #x6ABD ?$(Hak(B) ; C02-H-616B
(ucs-set-char #x6ABE ?$(DEI(B) ; J90-D-4549
(ucs-set-char #x6ABE ?$(IWy(B) ; C03-I-5779
(ucs-set-char #x6ABF ?$(DEJ(B) ; J90-D-454A
(ucs-set-char #x6ABF ?$(IX#(B) ; C03-I-5823
(ucs-set-char #x6AC0 ?$(IW}(B) ; C03-I-577D
(ucs-set-char #x6AC1 ?$(IWz(B) ; C03-I-577A
(ucs-set-char #x6AC1 ?$@\j(B) ; J78-@-5C6A
(ucs-set-char #x6AC1 ?$B\j(B) ; J83-B-5C6A
(ucs-set-char #x6AC2 ?$(CT"(B) ; KS0-C-5422
(ucs-set-char #x6AC2 ?$(GvS(B) ; C01-G-7653
(ucs-set-char #x6AC2 ?$@]%(B) ; J78-@-5D25
(ucs-set-char #x6AC2 ?$B]%(B) ; J83-B-5D25
(ucs-set-char #x6AC3 ?$(COv(B) ; KS0-C-4F76
(ucs-set-char #x6AC3 ?$(GvP(B) ; C01-G-7650
(ucs-set-char #x6AC3 ?$@]$(B) ; J78-@-5D24
(ucs-set-char #x6AC3 ?$B]$(B) ; J83-B-5D24
(ucs-set-char #x6AC4 ?$(IX"(B) ; C03-I-5822
(ucs-set-char #x6AC5 ?$(Hai(B) ; C02-H-6169
(ucs-set-char #x6AC6 ?$(DEK(B) ; J90-D-454B
(ucs-set-char #x6AC6 ?$(Ham(B) ; C02-H-616D
(ucs-set-char #x6AC7 ?$(Haq(B) ; C02-H-6171
(ucs-set-char #x6AC8 ?$(DEM(B) ; J90-D-454D
(ucs-set-char #x6AC8 ?$(IW{(B) ; C03-I-577B
(ucs-set-char #x6AC9 ?$(DEL(B) ; J90-D-454C
(ucs-set-char #x6ACB ?$(He\(B) ; C02-H-655C
(ucs-set-char #x6ACC ?$(DEN(B) ; J90-D-454E
(ucs-set-char #x6ACC ?$(HeY(B) ; C02-H-6559
(ucs-set-char #x6ACD ?$(Heb(B) ; C02-H-6562
(ucs-set-char #x6ACE ?$(IZD(B) ; C03-I-5A44
(ucs-set-char #x6ACF ?$(Hea(B) ; C02-H-6561
(ucs-set-char #x6AD0 ?$(DEO(B) ; J90-D-454F
(ucs-set-char #x6AD0 ?$(He_(B) ; C02-H-655F
(ucs-set-char #x6AD1 ?$(HeZ(B) ; C02-H-655A
(ucs-set-char #x6AD1 ?$@]*(B) ; J78-@-5D2A
(ucs-set-char #x6AD1 ?$B]*(B) ; J83-B-5D2A
(ucs-set-char #x6AD2 ?$(IZO(B) ; C03-I-5A4F
(ucs-set-char #x6AD3 ?$(CVP(B) ; KS0-C-5650
(ucs-set-char #x6AD3 ?$(Gx?(B) ; C01-G-783F
(ucs-set-char #x6AD3 ?$@O&(B) ; J78-@-4F26
(ucs-set-char #x6AD3 ?$BO&(B) ; J83-B-4F26
(ucs-set-char #x6AD4 ?$(DEP(B) ; J90-D-4550
(ucs-set-char #x6AD4 ?$(IZE(B) ; C03-I-5A45
(ucs-set-char #x6AD5 ?$(DEQ(B) ; J90-D-4551
(ucs-set-char #x6AD5 ?$(IZN(B) ; C03-I-5A4E
(ucs-set-char #x6AD6 ?$(DER(B) ; J90-D-4552
(ucs-set-char #x6AD6 ?$(J_q(B) ; C04-J-5F71
(ucs-set-char #x6AD7 ?$(IZG(B) ; C03-I-5A47
(ucs-set-char #x6AD8 ?$(IZM(B) ; C03-I-5A4D
(ucs-set-char #x6AD9 ?$(He[(B) ; C02-H-655B
(ucs-set-char #x6ADA ?$(CUj(B) ; KS0-C-556A
(ucs-set-char #x6ADA ?$(Gx>(B) ; C01-G-783E
(ucs-set-char #x6ADA ?$@]-(B) ; J78-@-5D2D
(ucs-set-char #x6ADA ?$B]-(B) ; J83-B-5D2D
(ucs-set-char #x6ADB ?$(Cqn(B) ; KS0-C-716E
(ucs-set-char #x6ADB ?$(Gsv(B) ; C01-G-7376
(ucs-set-char #x6ADB ?$@6{(B) ; J78-@-367B
(ucs-set-char #x6ADB ?$B6{(B) ; J83-B-367B
(ucs-set-char #x6ADC ?$(DES(B) ; J90-D-4553
(ucs-set-char #x6ADC ?$(He^(B) ; C02-H-655E
(ucs-set-char #x6ADD ?$(DET(B) ; J90-D-4554
(ucs-set-char #x6ADD ?$(Gx=(B) ; C01-G-783D
(ucs-set-char #x6ADE ?$(Hec(B) ; C02-H-6563
(ucs-set-char #x6ADE ?$@])(B) ; J78-@-5D29
(ucs-set-char #x6ADE ?$B])(B) ; J83-B-5D29
(ucs-set-char #x6ADF ?$(He](B) ; C02-H-655D
(ucs-set-char #x6ADF ?$@]+(B) ; J78-@-5D2B
(ucs-set-char #x6ADF ?$B]+(B) ; J83-B-5D2B
(ucs-set-char #x6AE0 ?$(HeX(B) ; C02-H-6558
(ucs-set-char #x6AE1 ?$(Hal(B) ; C02-H-616C
(ucs-set-char #x6AE2 ?$(IZH(B) ; C03-I-5A48
(ucs-set-char #x6AE3 ?$(IZF(B) ; C03-I-5A46
(ucs-set-char #x6AE4 ?$(DEU(B) ; J90-D-4555
(ucs-set-char #x6AE5 ?$(Gx<(B) ; C01-G-783C
(ucs-set-char #x6AE7 ?$(DEV(B) ; J90-D-4556
(ucs-set-char #x6AE7 ?$(HeW(B) ; C02-H-6557
(ucs-set-char #x6AE8 ?$(Hi$(B) ; C02-H-6924
(ucs-set-char #x6AE8 ?$@H'(B) ; J78-@-4827
(ucs-set-char #x6AE8 ?$BH'(B) ; J83-B-4827
(ucs-set-char #x6AE9 ?$(I\I(B) ; C03-I-5C49
(ucs-set-char #x6AEA ?$(Hi#(B) ; C02-H-6923
(ucs-set-char #x6AEA ?$@].(B) ; J78-@-5D2E
(ucs-set-char #x6AEA ?$B].(B) ; J83-B-5D2E
(ucs-set-char #x6AEB ?$(He`(B) ; C02-H-6560
(ucs-set-char #x6AEC ?$(DEW(B) ; J90-D-4557
(ucs-set-char #x6AEC ?$(Gys(B) ; C01-G-7973
(ucs-set-char #x6AED ?$(IWu(B) ; C03-I-5775
(ucs-set-char #x6AEE ?$(Hi'(B) ; C02-H-6927
(ucs-set-char #x6AEF ?$(Hi((B) ; C02-H-6928
(ucs-set-char #x6AF0 ?$(DEX(B) ; J90-D-4558
(ucs-set-char #x6AF0 ?$(Hi"(B) ; C02-H-6922
(ucs-set-char #x6AF1 ?$(DEY(B) ; J90-D-4559
(ucs-set-char #x6AF1 ?$(Hi&(B) ; C02-H-6926
(ucs-set-char #x6AF2 ?$(DEZ(B) ; J90-D-455A
(ucs-set-char #x6AF2 ?$(JcP(B) ; C04-J-6350
(ucs-set-char #x6AF3 ?$(Hi!(B) ; C02-H-6921
(ucs-set-char #x6AF4 ?$(I\G(B) ; C03-I-5C47
(ucs-set-char #x6AF6 ?$(CzK(B) ; KS0-C-7A4B
(ucs-set-char #x6AF6 ?$(JcN(B) ; C04-J-634E
(ucs-set-char #x6AF8 ?$(Hk_(B) ; C02-H-6B5F
(ucs-set-char #x6AF9 ?$(Hi%(B) ; C02-H-6925
(ucs-set-char #x6AFA ?$(Gzr(B) ; C01-G-7A72
(ucs-set-char #x6AFA ?$@]2(B) ; J78-@-5D32
(ucs-set-char #x6AFA ?$B]2(B) ; J83-B-5D32
(ucs-set-char #x6AFB ?$(Ce!(B) ; KS0-C-6521
(ucs-set-char #x6AFB ?$(Gzp(B) ; C01-G-7A70
(ucs-set-char #x6AFB ?$@]/(B) ; J78-@-5D2F
(ucs-set-char #x6AFB ?$B]/(B) ; J83-B-5D2F
(ucs-set-char #x6AFC ?$(DE[(B) ; J90-D-455B
(ucs-set-char #x6AFC ?$(Hk](B) ; C02-H-6B5D
(ucs-set-char #x6AFD ?$(DE\(B) ; J90-D-455C
(ucs-set-char #x6AFD ?$(I^5(B) ; C03-I-5E35
(ucs-set-char #x6AFE ?$(I^4(B) ; C03-I-5E34
(ucs-set-char #x6AFF ?$(I^3(B) ; C03-I-5E33
(ucs-set-char #x6B00 ?$(Hk`(B) ; C02-H-6B60
(ucs-set-char #x6B01 ?$(I^7(B) ; C03-I-5E37
(ucs-set-char #x6B02 ?$(DE](B) ; J90-D-455D
(ucs-set-char #x6B02 ?$(Hk\(B) ; C02-H-6B5C
(ucs-set-char #x6B03 ?$(DE^(B) ; J90-D-455E
(ucs-set-char #x6B03 ?$(Hk^(B) ; C02-H-6B5E
(ucs-set-char #x6B04 ?$(CU1(B) ; KS0-C-5531
(ucs-set-char #x6B04 ?$(Gzq(B) ; C01-G-7A71
(ucs-set-char #x6B04 ?$@Ms(B) ; J78-@-4D73
(ucs-set-char #x6B04 ?$BMs(B) ; J83-B-4D73
(ucs-set-char #x6B05 ?$@]0(B) ; J78-@-5D30
(ucs-set-char #x6B05 ?$B]0(B) ; J83-B-5D30
(ucs-set-char #x6B06 ?$(DE_(B) ; J90-D-455F
(ucs-set-char #x6B06 ?$(I_O(B) ; C03-I-5F4F
(ucs-set-char #x6B07 ?$(DE`(B) ; J90-D-4560
(ucs-set-char #x6B07 ?$(I_N(B) ; C03-I-5F4E
(ucs-set-char #x6B08 ?$(HmS(B) ; C02-H-6D53
(ucs-set-char #x6B09 ?$(DEa(B) ; J90-D-4561
(ucs-set-char #x6B09 ?$(HmT(B) ; C02-H-6D54
(ucs-set-char #x6B0A ?$(COm(B) ; KS0-C-4F6D
(ucs-set-char #x6B0A ?$(G{b(B) ; C01-G-7B62
(ucs-set-char #x6B0A ?$@\^(B) ; J78-@-5C5E
(ucs-set-char #x6B0A ?$B\^(B) ; J83-B-5C5E
(ucs-set-char #x6B0B ?$(HmR(B) ; C02-H-6D52
(ucs-set-char #x6B0C ?$(Cmk(B) ; KS0-C-6D6B
(ucs-set-char #x6B0F ?$(DEb(B) ; J90-D-4562
(ucs-set-char #x6B0F ?$(Ho1(B) ; C02-H-6F31
(ucs-set-char #x6B10 ?$(DEc(B) ; J90-D-4563
(ucs-set-char #x6B10 ?$(G|;(B) ; C01-G-7C3B
(ucs-set-char #x6B11 ?$(DEd(B) ; J90-D-4564
(ucs-set-char #x6B11 ?$(Ho/(B) ; C02-H-6F2F
(ucs-set-char #x6B12 ?$(CU2(B) ; KS0-C-5532
(ucs-set-char #x6B12 ?$(Ho0(B) ; C02-H-6F30
(ucs-set-char #x6B12 ?$@]3(B) ; J78-@-5D33
(ucs-set-char #x6B12 ?$B]3(B) ; J83-B-5D33
(ucs-set-char #x6B13 ?$(Hp:(B) ; C02-H-703A
(ucs-set-char #x6B14 ?$(I`t(B) ; C03-I-6074
(ucs-set-char #x6B16 ?$(CU<(B) ; KS0-C-553C
(ucs-set-char #x6B16 ?$(G}#(B) ; C01-G-7D23
(ucs-set-char #x6B16 ?$@]4(B) ; J78-@-5D34
(ucs-set-char #x6B16 ?$B]4(B) ; J83-B-5D34
(ucs-set-char #x6B17 ?$(DEe(B) ; J90-D-4565
(ucs-set-char #x6B17 ?$(Hq#(B) ; C02-H-7123
(ucs-set-char #x6B18 ?$(Hq!(B) ; C02-H-7121
(ucs-set-char #x6B19 ?$(Hq"(B) ; C02-H-7122
(ucs-set-char #x6B1A ?$(Hq$(B) ; C02-H-7124
(ucs-set-char #x6B1B ?$(DEf(B) ; J90-D-4566
(ucs-set-char #x6B1B ?$(Ia@(B) ; C03-I-6140
(ucs-set-char #x6B1C ?$(Iae(B) ; C03-I-6165
(ucs-set-char #x6B1D ?$(IaA(B) ; C03-I-6141
(ucs-set-char #x6B1D ?$@15(B) ; J78-@-3135
(ucs-set-char #x6B1D ?$B15(B) ; J83-B-3135
(ucs-set-char #x6B1E ?$(DEg(B) ; J90-D-4567
(ucs-set-char #x6B1E ?$(Hr+(B) ; C02-H-722B
(ucs-set-char #x6B1F ?$@]6(B) ; J78-@-5D36
(ucs-set-char #x6B1F ?$B]6(B) ; J83-B-5D36
(ucs-set-char #x6B20 ?$(C}b(B) ; KS0-C-7D62
(ucs-set-char #x6B20 ?$(GEN(B) ; C01-G-454E
(ucs-set-char #x6B20 ?$@7g(B) ; J78-@-3767
(ucs-set-char #x6B20 ?$AG7(B) ; GB0-A-4737
(ucs-set-char #x6B20 ?$B7g(B) ; J83-B-3767
(ucs-set-char #x6B21 ?$(Cs-(B) ; KS0-C-732D
(ucs-set-char #x6B21 ?$(GH9(B) ; C01-G-4839
(ucs-set-char #x6B21 ?$(L%#(B) ; C06-L-2523
(ucs-set-char #x6B21 ?$@<!(B) ; J78-@-3C21
(ucs-set-char #x6B21 ?$A4N(B) ; GB0-A-344E
(ucs-set-char #x6B21 ?$B<!(B) ; J83-B-3C21
(ucs-set-char #x6B22 ?$(I#y(B) ; C03-I-2379
(ucs-set-char #x6B22 ?$A;6(B) ; GB0-A-3B36
(ucs-set-char #x6B23 ?$(C}[(B) ; KS0-C-7D5B
(ucs-set-char #x6B23 ?$(GN<(B) ; C01-G-4E3C
(ucs-set-char #x6B23 ?$@6U(B) ; J78-@-3655
(ucs-set-char #x6B23 ?$AP@(B) ; GB0-A-5040
(ucs-set-char #x6B23 ?$B6U(B) ; J83-B-3655
(ucs-set-char #x6B24 ?$(DEh(B) ; J90-D-4568
(ucs-set-char #x6B24 ?$(J&q(B) ; C04-J-2671
(ucs-set-char #x6B24 ?$Al#(B) ; GB0-A-6C23
(ucs-set-char #x6B25 ?$(H'J(B) ; C02-H-274A
(ucs-set-char #x6B26 ?$(I)S(B) ; C03-I-2953
(ucs-set-char #x6B27 ?$(I)T(B) ; C03-I-2954
(ucs-set-char #x6B27 ?$@2$(B) ; J78-@-3224
(ucs-set-char #x6B27 ?$AE7(B) ; GB0-A-4537
(ucs-set-char #x6B27 ?$B2$(B) ; J83-B-3224
(ucs-set-char #x6B28 ?$(DEi(B) ; J90-D-4569
(ucs-set-char #x6B28 ?$(H+F(B) ; C02-H-2B46
(ucs-set-char #x6B29 ?$(J)r(B) ; C04-J-2972
(ucs-set-char #x6B2A ?$(I-<(B) ; C03-I-2D3C
(ucs-set-char #x6B2B ?$(DEj(B) ; J90-D-456A
(ucs-set-char #x6B2B ?$(I1f(B) ; C03-I-3166
(ucs-set-char #x6B2C ?$(DEk(B) ; J90-D-456B
(ucs-set-char #x6B2C ?$(H/w(B) ; C02-H-2F77
(ucs-set-char #x6B2D ?$(H/y(B) ; C02-H-2F79
(ucs-set-char #x6B2E ?$(I1e(B) ; C03-I-3165
(ucs-set-char #x6B2F ?$(DEl(B) ; J90-D-456C
(ucs-set-char #x6B2F ?$(H/x(B) ; C02-H-2F78
(ucs-set-char #x6B30 ?$(I1g(B) ; C03-I-3167
(ucs-set-char #x6B31 ?$(H/z(B) ; C02-H-2F7A
(ucs-set-char #x6B32 ?$(Ci0(B) ; KS0-C-6930
(ucs-set-char #x6B32 ?$(G[C(B) ; C01-G-5B43
(ucs-set-char #x6B32 ?$@M_(B) ; J78-@-4D5F
(ucs-set-char #x6B32 ?$AS{(B) ; GB0-A-537B
(ucs-set-char #x6B32 ?$BM_(B) ; J83-B-4D5F
(ucs-set-char #x6B33 ?$(H6;(B) ; C02-H-363B
(ucs-set-char #x6B34 ?$(H/{(B) ; C02-H-2F7B
(ucs-set-char #x6B35 ?$(DEm(B) ; J90-D-456D
(ucs-set-char #x6B35 ?$(I6b(B) ; C03-I-3662
(ucs-set-char #x6B36 ?$(DEn(B) ; J90-D-456E
(ucs-set-char #x6B36 ?$(H6:(B) ; C02-H-363A
(ucs-set-char #x6B37 ?$(H6<(B) ; C02-H-363C
(ucs-set-char #x6B37 ?$@]8(B) ; J78-@-5D38
(ucs-set-char #x6B37 ?$Al$(B) ; GB0-A-6C24
(ucs-set-char #x6B37 ?$B]8(B) ; J83-B-5D38
(ucs-set-char #x6B38 ?$(H6=(B) ; C02-H-363D
(ucs-set-char #x6B38 ?$@]7(B) ; J78-@-5D37
(ucs-set-char #x6B38 ?$B]7(B) ; J83-B-5D37
(ucs-set-char #x6B39 ?$(H<}(B) ; C02-H-3C7D
(ucs-set-char #x6B39 ?$@]:(B) ; J78-@-5D3A
(ucs-set-char #x6B39 ?$Al%(B) ; GB0-A-6C25
(ucs-set-char #x6B39 ?$B]:(B) ; J83-B-5D3A
(ucs-set-char #x6B3A ?$(CQ'(B) ; KS0-C-5127
(ucs-set-char #x6B3A ?$(G`"(B) ; C01-G-6022
(ucs-set-char #x6B3A ?$@5=(B) ; J78-@-353D
(ucs-set-char #x6B3A ?$AF[(B) ; GB0-A-465B
(ucs-set-char #x6B3A ?$B5=(B) ; J83-B-353D
(ucs-set-char #x6B3B ?$(DEo(B) ; J90-D-456F
(ucs-set-char #x6B3B ?$(H<~(B) ; C02-H-3C7E
(ucs-set-char #x6B3C ?$(H="(B) ; C02-H-3D22
(ucs-set-char #x6B3D ?$(C}c(B) ; KS0-C-7D63
(ucs-set-char #x6B3D ?$(G`#(B) ; C01-G-6023
(ucs-set-char #x6B3D ?$@6V(B) ; J78-@-3656
(ucs-set-char #x6B3D ?$B6V(B) ; J83-B-3656
(ucs-set-char #x6B3E ?$(CN3(B) ; KS0-C-4E33
(ucs-set-char #x6B3E ?$(G`!(B) ; C01-G-6021
(ucs-set-char #x6B3E ?$@4>(B) ; J78-@-343E
(ucs-set-char #x6B3E ?$A?n(B) ; GB0-A-3F6E
(ucs-set-char #x6B3E ?$B4>(B) ; J83-B-343E
(ucs-set-char #x6B3F ?$(DEp(B) ; J90-D-4570
(ucs-set-char #x6B3F ?$(H=!(B) ; C02-H-3D21
(ucs-set-char #x6B40 ?$(IA}(B) ; C03-I-417D
(ucs-set-char #x6B41 ?$(HD"(B) ; C02-H-4422
(ucs-set-char #x6B42 ?$(HC~(B) ; C02-H-437E
(ucs-set-char #x6B43 ?$(HC}(B) ; C02-H-437D
(ucs-set-char #x6B43 ?$@]=(B) ; J78-@-5D3D
(ucs-set-char #x6B43 ?$Al&(B) ; GB0-A-6C26
(ucs-set-char #x6B43 ?$B]=(B) ; J83-B-5D3D
(ucs-set-char #x6B44 ?$(IA|(B) ; C03-I-417C
(ucs-set-char #x6B45 ?$(HC|(B) ; C02-H-437C
(ucs-set-char #x6B46 ?$(C}d(B) ; KS0-C-7D64
(ucs-set-char #x6B46 ?$(DEq(B) ; J90-D-4571
(ucs-set-char #x6B46 ?$(HC{(B) ; C02-H-437B
(ucs-set-char #x6B46 ?$Al'(B) ; GB0-A-6C27
(ucs-set-char #x6B47 ?$(CzN(B) ; KS0-C-7A4E
(ucs-set-char #x6B47 ?$(GdX(B) ; C01-G-6458
(ucs-set-char #x6B47 ?$@]<(B) ; J78-@-5D3C
(ucs-set-char #x6B47 ?$AP*(B) ; GB0-A-502A
(ucs-set-char #x6B47 ?$B]<(B) ; J83-B-5D3C
(ucs-set-char #x6B48 ?$(HD!(B) ; C02-H-4421
(ucs-set-char #x6B49 ?$(Gi9(B) ; C01-G-6939
(ucs-set-char #x6B49 ?$@]>(B) ; J78-@-5D3E
(ucs-set-char #x6B49 ?$AG8(B) ; GB0-A-4738
(ucs-set-char #x6B49 ?$B]>(B) ; J83-B-5D3E
(ucs-set-char #x6B4A ?$(DEr(B) ; J90-D-4572
(ucs-set-char #x6B4A ?$(HK+(B) ; C02-H-4B2B
(ucs-set-char #x6B4B ?$(HK-(B) ; C02-H-4B2D
(ucs-set-char #x6B4C ?$(CJ0(B) ; KS0-C-4A30
(ucs-set-char #x6B4C ?$(Gi:(B) ; C01-G-693A
(ucs-set-char #x6B4C ?$@2N(B) ; J78-@-324E
(ucs-set-char #x6B4C ?$A8h(B) ; GB0-A-3868
(ucs-set-char #x6B4C ?$B2N(B) ; J83-B-324E
(ucs-set-char #x6B4D ?$(DEs(B) ; J90-D-4573
(ucs-set-char #x6B4D ?$(HK,(B) ; C02-H-4B2C
(ucs-set-char #x6B4E ?$(Cw'(B) ; KS0-C-7727
(ucs-set-char #x6B4E ?$(GmE(B) ; C01-G-6D45
(ucs-set-char #x6B4E ?$@C7(B) ; J78-@-4337
(ucs-set-char #x6B4E ?$BC7(B) ; J83-B-4337
(ucs-set-char #x6B4F ?$(ILf(B) ; C03-I-4C66
(ucs-set-char #x6B50 ?$(CO1(B) ; KS0-C-4F31
(ucs-set-char #x6B50 ?$(GmD(B) ; C01-G-6D44
(ucs-set-char #x6B50 ?$@]?(B) ; J78-@-5D3F
(ucs-set-char #x6B50 ?$B]?(B) ; J83-B-5D3F
(ucs-set-char #x6B51 ?$(HQ9(B) ; C02-H-5139
(ucs-set-char #x6B52 ?$(DEt(B) ; J90-D-4574
(ucs-set-char #x6B52 ?$(ILe(B) ; C03-I-4C65
(ucs-set-char #x6B53 ?$(ILg(B) ; C03-I-4C67
(ucs-set-char #x6B53 ?$@4?(B) ; J78-@-343F
(ucs-set-char #x6B53 ?$B4?(B) ; J83-B-343F
(ucs-set-char #x6B54 ?$(HWj(B) ; C02-H-576A
(ucs-set-char #x6B54 ?$@]A(B) ; J78-@-5D41
(ucs-set-char #x6B54 ?$B]A(B) ; J83-B-5D41
(ucs-set-char #x6B55 ?$(HWi(B) ; C02-H-5769
(ucs-set-char #x6B56 ?$(DEu(B) ; J90-D-4575
(ucs-set-char #x6B56 ?$(HWk(B) ; C02-H-576B
(ucs-set-char #x6B57 ?$(IQF(B) ; C03-I-5146
(ucs-set-char #x6B58 ?$(DEv(B) ; J90-D-4576
(ucs-set-char #x6B58 ?$(IQE(B) ; C03-I-5145
(ucs-set-char #x6B59 ?$(Gq$(B) ; C01-G-7124
(ucs-set-char #x6B59 ?$@]@(B) ; J78-@-5D40
(ucs-set-char #x6B59 ?$Al((B) ; GB0-A-6C28
(ucs-set-char #x6B59 ?$B]@(B) ; J83-B-5D40
(ucs-set-char #x6B5B ?$(H]7(B) ; C02-H-5D37
(ucs-set-char #x6B5B ?$@]B(B) ; J78-@-5D42
(ucs-set-char #x6B5B ?$B]B(B) ; J83-B-5D42
(ucs-set-char #x6B5C ?$(Gs|(B) ; C01-G-737C
(ucs-set-char #x6B5D ?$(DEw(B) ; J90-D-4577
(ucs-set-char #x6B5D ?$(IU+(B) ; C03-I-552B
(ucs-set-char #x6B5E ?$(Hat(B) ; C02-H-6174
(ucs-set-char #x6B5F ?$(Cf"(B) ; KS0-C-6622
(ucs-set-char #x6B5F ?$(GvV(B) ; C01-G-7656
(ucs-set-char #x6B5F ?$@]C(B) ; J78-@-5D43
(ucs-set-char #x6B5F ?$B]C(B) ; J83-B-5D43
(ucs-set-char #x6B60 ?$(DEx(B) ; J90-D-4578
(ucs-set-char #x6B60 ?$(Hed(B) ; C02-H-6564
(ucs-set-char #x6B61 ?$(C|6(B) ; KS0-C-7C36
(ucs-set-char #x6B61 ?$(G{c(B) ; C01-G-7B63
(ucs-set-char #x6B61 ?$@]D(B) ; J78-@-5D44
(ucs-set-char #x6B61 ?$B]D(B) ; J83-B-5D44
(ucs-set-char #x6B62 ?$(Cr-(B) ; KS0-C-722D
(ucs-set-char #x6B62 ?$(GEO(B) ; C01-G-454F
(ucs-set-char #x6B62 ?$@;_(B) ; J78-@-3B5F
(ucs-set-char #x6B62 ?$AV9(B) ; GB0-A-5639
(ucs-set-char #x6B62 ?$B;_(B) ; J83-B-3B5F
(ucs-set-char #x6B63 ?$(Coa(B) ; KS0-C-6F61
(ucs-set-char #x6B63 ?$(GF_(B) ; C01-G-465F
(ucs-set-char #x6B63 ?$@@5(B) ; J78-@-4035
(ucs-set-char #x6B63 ?$AU}(B) ; GB0-A-557D
(ucs-set-char #x6B63 ?$B@5(B) ; J83-B-4035
(ucs-set-char #x6B64 ?$(Cs.(B) ; KS0-C-732E
(ucs-set-char #x6B64 ?$(GH:(B) ; C01-G-483A
(ucs-set-char #x6B64 ?$@:!(B) ; J78-@-3A21
(ucs-set-char #x6B64 ?$A4K(B) ; GB0-A-344B
(ucs-set-char #x6B64 ?$B:!(B) ; J83-B-3A21
(ucs-set-char #x6B65 ?$(C\F(B) ; KS0-C-5C46
(ucs-set-char #x6B65 ?$(GJc(B) ; C01-G-4A63
(ucs-set-char #x6B65 ?$A2=(B) ; GB0-A-323D
(ucs-set-char #x6B66 ?$(CYk(B) ; KS0-C-596B
(ucs-set-char #x6B66 ?$(GN=(B) ; C01-G-4E3D
(ucs-set-char #x6B66 ?$@Ip(B) ; J78-@-4970
(ucs-set-char #x6B66 ?$ANd(B) ; GB0-A-4E64
(ucs-set-char #x6B66 ?$BIp(B) ; J83-B-4970
(ucs-set-char #x6B67 ?$(DEy(B) ; J90-D-4579
(ucs-set-char #x6B67 ?$(GN>(B) ; C01-G-4E3E
(ucs-set-char #x6B67 ?$AFg(B) ; GB0-A-4667
(ucs-set-char #x6B68 ?$(I)U(B) ; C03-I-2955
(ucs-set-char #x6B69 ?$(I)V(B) ; C03-I-2956
(ucs-set-char #x6B69 ?$@Jb(B) ; J78-@-4A62
(ucs-set-char #x6B69 ?$BJb(B) ; J83-B-4A62
(ucs-set-char #x6B6A ?$(Ch`(B) ; KS0-C-6860
(ucs-set-char #x6B6A ?$(GQq(B) ; C01-G-5171
(ucs-set-char #x6B6A ?$@OD(B) ; J78-@-4F44
(ucs-set-char #x6B6A ?$AMa(B) ; GB0-A-4D61
(ucs-set-char #x6B6A ?$BOD(B) ; J83-B-4F44
(ucs-set-char #x6B6B ?$(DEz(B) ; J90-D-457A
(ucs-set-char #x6B6B ?$(I-=(B) ; C03-I-2D3D
(ucs-set-char #x6B6C ?$(I1h(B) ; C03-I-3168
(ucs-set-char #x6B6D ?$(H/|(B) ; C02-H-2F7C
(ucs-set-char #x6B6E ?$(DE{(B) ; J90-D-457B
(ucs-set-char #x6B6E ?$(I<I(B) ; C03-I-3C49
(ucs-set-char #x6B6F ?$(I<G(B) ; C03-I-3C47
(ucs-set-char #x6B6F ?$@;u(B) ; J78-@-3B75
(ucs-set-char #x6B6F ?$B;u(B) ; J83-B-3B75
(ucs-set-char #x6B70 ?$(DE|(B) ; J90-D-457C
(ucs-set-char #x6B70 ?$(JD-(B) ; C04-J-442D
(ucs-set-char #x6B71 ?$(IA~(B) ; C03-I-417E
(ucs-set-char #x6B72 ?$(Ca((B) ; KS0-C-6128
(ucs-set-char #x6B72 ?$(GdY(B) ; C01-G-6459
(ucs-set-char #x6B73 ?$(IB!(B) ; C03-I-4221
(ucs-set-char #x6B73 ?$@:P(B) ; J78-@-3A50
(ucs-set-char #x6B73 ?$B:P(B) ; J83-B-3A50
(ucs-set-char #x6B74 ?$(IGS(B) ; C03-I-4753
(ucs-set-char #x6B74 ?$@Nr(B) ; J78-@-4E72
(ucs-set-char #x6B74 ?$BNr(B) ; J83-B-4E72
(ucs-set-char #x6B75 ?$(DE}(B) ; J90-D-457D
(ucs-set-char #x6B75 ?$(JJN(B) ; C04-J-4A4E
(ucs-set-char #x6B76 ?$(HRY(B) ; C02-H-5259
(ucs-set-char #x6B77 ?$(CUv(B) ; KS0-C-5576
(ucs-set-char #x6B77 ?$(Gq%(B) ; C01-G-7125
(ucs-set-char #x6B78 ?$(CO}(B) ; KS0-C-4F7D
(ucs-set-char #x6B78 ?$(GvW(B) ; C01-G-7657
(ucs-set-char #x6B78 ?$@]E(B) ; J78-@-5D45
(ucs-set-char #x6B78 ?$B]E(B) ; J83-B-5D45
(ucs-set-char #x6B79 ?$(GEP(B) ; C01-G-4550
(ucs-set-char #x6B79 ?$@]F(B) ; J78-@-5D46
(ucs-set-char #x6B79 ?$A4u(B) ; GB0-A-3475
(ucs-set-char #x6B79 ?$B]F(B) ; J83-B-5D46
(ucs-set-char #x6B7A ?$(I"S(B) ; C03-I-2253
(ucs-set-char #x6B7B ?$(C^](B) ; KS0-C-5E5D
(ucs-set-char #x6B7B ?$(GH;(B) ; C01-G-483B
(ucs-set-char #x6B7B ?$@;`(B) ; J78-@-3B60
(ucs-set-char #x6B7B ?$AK@(B) ; GB0-A-4B40
(ucs-set-char #x6B7B ?$B;`(B) ; J83-B-3B60
(ucs-set-char #x6B7C ?$A<_(B) ; GB0-A-3C5F
(ucs-set-char #x6B7D ?$(DE~(B) ; J90-D-457E
(ucs-set-char #x6B7D ?$(J&v(B) ; C04-J-2676
(ucs-set-char #x6B7E ?$(DF!(B) ; J90-D-4621
(ucs-set-char #x6B7E ?$(H'L(B) ; C02-H-274C
(ucs-set-char #x6B7F ?$(CYQ(B) ; KS0-C-5951
(ucs-set-char #x6B7F ?$(GN?(B) ; C01-G-4E3F
(ucs-set-char #x6B7F ?$@]G(B) ; J78-@-5D47
(ucs-set-char #x6B7F ?$B]G(B) ; J83-B-5D47
(ucs-set-char #x6B80 ?$(H'K(B) ; C02-H-274B
(ucs-set-char #x6B80 ?$@]H(B) ; J78-@-5D48
(ucs-set-char #x6B80 ?$B]H(B) ; J83-B-5D48
(ucs-set-char #x6B81 ?$(I)X(B) ; C03-I-2958
(ucs-set-char #x6B81 ?$Aib(B) ; GB0-A-6962
(ucs-set-char #x6B82 ?$(DF"(B) ; J90-D-4622
(ucs-set-char #x6B82 ?$(H+G(B) ; C02-H-2B47
(ucs-set-char #x6B82 ?$Aic(B) ; GB0-A-6963
(ucs-set-char #x6B83 ?$(Cdj(B) ; KS0-C-646A
(ucs-set-char #x6B83 ?$(GQr(B) ; C01-G-5172
(ucs-set-char #x6B83 ?$@]J(B) ; J78-@-5D4A
(ucs-set-char #x6B83 ?$AQj(B) ; GB0-A-516A
(ucs-set-char #x6B83 ?$B]J(B) ; J83-B-5D4A
(ucs-set-char #x6B84 ?$(CrO(B) ; KS0-C-724F
(ucs-set-char #x6B84 ?$(H+H(B) ; C02-H-2B48
(ucs-set-char #x6B84 ?$@]I(B) ; J78-@-5D49
(ucs-set-char #x6B84 ?$Aie(B) ; GB0-A-6965
(ucs-set-char #x6B84 ?$B]I(B) ; J83-B-5D49
(ucs-set-char #x6B85 ?$(DF#(B) ; J90-D-4623
(ucs-set-char #x6B85 ?$(K)i(B) ; C05-K-2969
(ucs-set-char #x6B86 ?$(Cw?(B) ; KS0-C-773F
(ucs-set-char #x6B86 ?$(GQs(B) ; C01-G-5173
(ucs-set-char #x6B86 ?$@KX(B) ; J78-@-4B58
(ucs-set-char #x6B86 ?$A4y(B) ; GB0-A-3479
(ucs-set-char #x6B86 ?$BKX(B) ; J83-B-4B58
(ucs-set-char #x6B87 ?$Aid(B) ; GB0-A-6964
(ucs-set-char #x6B88 ?$(H/~(B) ; C02-H-2F7E
(ucs-set-char #x6B89 ?$(Cbf(B) ; KS0-C-6266
(ucs-set-char #x6B89 ?$(GV2(B) ; C01-G-5632
(ucs-set-char #x6B89 ?$@=^(B) ; J78-@-3D5E
(ucs-set-char #x6B89 ?$AQ3(B) ; GB0-A-5133
(ucs-set-char #x6B89 ?$B=^(B) ; J83-B-3D5E
(ucs-set-char #x6B8A ?$(Cb((B) ; KS0-C-6228
(ucs-set-char #x6B8A ?$(GV1(B) ; C01-G-5631
(ucs-set-char #x6B8A ?$@<l(B) ; J78-@-3C6C
(ucs-set-char #x6B8A ?$AJb(B) ; GB0-A-4A62
(ucs-set-char #x6B8A ?$B<l(B) ; J83-B-3C6C
(ucs-set-char #x6B8B ?$(I1j(B) ; C03-I-316A
(ucs-set-char #x6B8B ?$@;D(B) ; J78-@-3B44
(ucs-set-char #x6B8B ?$A2P(B) ; GB0-A-3250
(ucs-set-char #x6B8B ?$B;D(B) ; J83-B-3B44
(ucs-set-char #x6B8C ?$(H6B(B) ; C02-H-3642
(ucs-set-char #x6B8D ?$(H6@(B) ; C02-H-3640
(ucs-set-char #x6B8D ?$@]K(B) ; J78-@-5D4B
(ucs-set-char #x6B8D ?$Aih(B) ; GB0-A-6968
(ucs-set-char #x6B8D ?$B]K(B) ; J83-B-5D4B
(ucs-set-char #x6B8E ?$(H6A(B) ; C02-H-3641
(ucs-set-char #x6B8F ?$(H6?(B) ; C02-H-363F
(ucs-set-char #x6B90 ?$(I6d(B) ; C03-I-3664
(ucs-set-char #x6B91 ?$(H6>(B) ; C02-H-363E
(ucs-set-char #x6B92 ?$Aif(B) ; GB0-A-6966
(ucs-set-char #x6B93 ?$Aig(B) ; GB0-A-6967
(ucs-set-char #x6B94 ?$(H=#(B) ; C02-H-3D23
(ucs-set-char #x6B95 ?$(H=&(B) ; C02-H-3D26
(ucs-set-char #x6B95 ?$@]M(B) ; J78-@-5D4D
(ucs-set-char #x6B95 ?$B]M(B) ; J83-B-5D4D
(ucs-set-char #x6B96 ?$(CcV(B) ; KS0-C-6356
(ucs-set-char #x6B96 ?$(G`%(B) ; C01-G-6025
(ucs-set-char #x6B96 ?$@?#(B) ; J78-@-3F23
(ucs-set-char #x6B96 ?$AV3(B) ; GB0-A-5633
(ucs-set-char #x6B96 ?$B?#(B) ; J83-B-3F23
(ucs-set-char #x6B97 ?$(DF$(B) ; J90-D-4624
(ucs-set-char #x6B97 ?$(H=$(B) ; C02-H-3D24
(ucs-set-char #x6B98 ?$(CmQ(B) ; KS0-C-6D51
(ucs-set-char #x6B98 ?$(G`$(B) ; C01-G-6024
(ucs-set-char #x6B98 ?$@]L(B) ; J78-@-5D4C
(ucs-set-char #x6B98 ?$B]L(B) ; J83-B-5D4C
(ucs-set-char #x6B99 ?$(H=%(B) ; C02-H-3D25
(ucs-set-char #x6B9A ?$Aii(B) ; GB0-A-6969
(ucs-set-char #x6B9B ?$(DF%(B) ; J90-D-4625
(ucs-set-char #x6B9B ?$(HD#(B) ; C02-H-4423
(ucs-set-char #x6B9B ?$Aij(B) ; GB0-A-696A
(ucs-set-char #x6B9C ?$(IB"(B) ; C03-I-4222
(ucs-set-char #x6B9D ?$(JD1(B) ; C04-J-4431
(ucs-set-char #x6B9E ?$(Ciy(B) ; KS0-C-6979
(ucs-set-char #x6B9E ?$(HK.(B) ; C02-H-4B2E
(ucs-set-char #x6B9E ?$@]N(B) ; J78-@-5D4E
(ucs-set-char #x6B9E ?$B]N(B) ; J83-B-5D4E
(ucs-set-char #x6B9F ?$(DF&(B) ; J90-D-4626
(ucs-set-char #x6B9F ?$(HK/(B) ; C02-H-4B2F
(ucs-set-char #x6BA0 ?$(DF'(B) ; J90-D-4627
(ucs-set-char #x6BA0 ?$(HK0(B) ; C02-H-4B30
(ucs-set-char #x6BA1 ?$(IGT(B) ; C03-I-4754
(ucs-set-char #x6BA1 ?$Aik(B) ; GB0-A-696B
(ucs-set-char #x6BA2 ?$(DF((B) ; J90-D-4628
(ucs-set-char #x6BA2 ?$(HQ<(B) ; C02-H-513C
(ucs-set-char #x6BA3 ?$(DF)(B) ; J90-D-4629
(ucs-set-char #x6BA3 ?$(HQ;(B) ; C02-H-513B
(ucs-set-char #x6BA4 ?$(GmF(B) ; C01-G-6D46
(ucs-set-char #x6BA4 ?$@]O(B) ; J78-@-5D4F
(ucs-set-char #x6BA4 ?$B]O(B) ; J83-B-5D4F
(ucs-set-char #x6BA5 ?$(HQ:(B) ; C02-H-513A
(ucs-set-char #x6BA6 ?$(HQ=(B) ; C02-H-513D
(ucs-set-char #x6BA7 ?$(HWl(B) ; C02-H-576C
(ucs-set-char #x6BA8 ?$(DF*(B) ; J90-D-462A
(ucs-set-char #x6BA8 ?$(JPm(B) ; C04-J-506D
(ucs-set-char #x6BA9 ?$(DF+(B) ; J90-D-462B
(ucs-set-char #x6BA9 ?$(K[r(B) ; C05-K-5B72
(ucs-set-char #x6BAA ?$(HWm(B) ; C02-H-576D
(ucs-set-char #x6BAA ?$@]P(B) ; J78-@-5D50
(ucs-set-char #x6BAA ?$Ail(B) ; GB0-A-696C
(ucs-set-char #x6BAA ?$B]P(B) ; J83-B-5D50
(ucs-set-char #x6BAB ?$(HWn(B) ; C02-H-576E
(ucs-set-char #x6BAB ?$@]Q(B) ; J78-@-5D51
(ucs-set-char #x6BAB ?$B]Q(B) ; J83-B-5D51
(ucs-set-char #x6BAC ?$(DF,(B) ; J90-D-462C
(ucs-set-char #x6BAC ?$(JVR(B) ; C04-J-5652
(ucs-set-char #x6BAD ?$(DF-(B) ; J90-D-462D
(ucs-set-char #x6BAD ?$(H]8(B) ; C02-H-5D38
(ucs-set-char #x6BAE ?$(CV1(B) ; KS0-C-5631
(ucs-set-char #x6BAE ?$(DF.(B) ; J90-D-462E
(ucs-set-char #x6BAE ?$(Gs}(B) ; C01-G-737D
(ucs-set-char #x6BAF ?$(C^2(B) ; KS0-C-5E32
(ucs-set-char #x6BAF ?$(GvX(B) ; C01-G-7658
(ucs-set-char #x6BAF ?$@]R(B) ; J78-@-5D52
(ucs-set-char #x6BAF ?$B]R(B) ; J83-B-5D52
(ucs-set-char #x6BB0 ?$(DF/(B) ; J90-D-462F
(ucs-set-char #x6BB0 ?$(Hee(B) ; C02-H-6565
(ucs-set-char #x6BB1 ?$@]T(B) ; J78-@-5D54
(ucs-set-char #x6BB1 ?$B]T(B) ; J83-B-5D54
(ucs-set-char #x6BB2 ?$(C`h(B) ; KS0-C-6068
(ucs-set-char #x6BB2 ?$(Gzs(B) ; C01-G-7A73
(ucs-set-char #x6BB2 ?$@]S(B) ; J78-@-5D53
(ucs-set-char #x6BB2 ?$B]S(B) ; J83-B-5D53
(ucs-set-char #x6BB3 ?$(H!?(B) ; C02-H-213F
(ucs-set-char #x6BB3 ?$@]U(B) ; J78-@-5D55
(ucs-set-char #x6BB3 ?$Al/(B) ; GB0-A-6C2F
(ucs-set-char #x6BB3 ?$B]U(B) ; J83-B-5D55
(ucs-set-char #x6BB4 ?$(I)Y(B) ; C03-I-2959
(ucs-set-char #x6BB4 ?$@2%(B) ; J78-@-3225
(ucs-set-char #x6BB4 ?$AE9(B) ; GB0-A-4539
(ucs-set-char #x6BB4 ?$B2%(B) ; J83-B-3225
(ucs-set-char #x6BB5 ?$(CS+(B) ; KS0-C-532B
(ucs-set-char #x6BB5 ?$(GQt(B) ; C01-G-5174
(ucs-set-char #x6BB5 ?$@CJ(B) ; J78-@-434A
(ucs-set-char #x6BB5 ?$A6N(B) ; GB0-A-364E
(ucs-set-char #x6BB5 ?$BCJ(B) ; J83-B-434A
(ucs-set-char #x6BB6 ?$(H+I(B) ; C02-H-2B49
(ucs-set-char #x6BB7 ?$(Ck\(B) ; KS0-C-6B5C
(ucs-set-char #x6BB7 ?$(GV3(B) ; C01-G-5633
(ucs-set-char #x6BB7 ?$@]V(B) ; J78-@-5D56
(ucs-set-char #x6BB7 ?$ARs(B) ; GB0-A-5273
(ucs-set-char #x6BB7 ?$B]V(B) ; J83-B-5D56
(ucs-set-char #x6BB8 ?$(DF0(B) ; J90-D-4630
(ucs-set-char #x6BB8 ?$(J2N(B) ; C04-J-324E
(ucs-set-char #x6BB9 ?$(DF1(B) ; J90-D-4631
(ucs-set-char #x6BB9 ?$(J2P(B) ; C04-J-3250
(ucs-set-char #x6BBA ?$(C_/(B) ; KS0-C-5F2F
(ucs-set-char #x6BBA ?$(G[D(B) ; C01-G-5B44
(ucs-set-char #x6BBA ?$(J-e(B) ; C04-J-2D65
(ucs-set-char #x6BBA ?$@;&(B) ; J78-@-3B26
(ucs-set-char #x6BBA ?$B;&(B) ; J83-B-3B26
(ucs-set-char #x6BBB ?$(I6e(B) ; C03-I-3665
(ucs-set-char #x6BBB ?$@3L(B) ; J78-@-334C
(ucs-set-char #x6BBB ?$B3L(B) ; J83-B-334C
(ucs-set-char #x6BBC ?$(CJC(B) ; KS0-C-4A43
(ucs-set-char #x6BBC ?$(G`&(B) ; C01-G-6026
(ucs-set-char #x6BBC ?$@]W(B) ; J78-@-5D57
(ucs-set-char #x6BBC ?$B]W(B) ; J83-B-5D57
(ucs-set-char #x6BBD ?$(DF2(B) ; J90-D-4632
(ucs-set-char #x6BBD ?$(H='(B) ; C02-H-3D27
(ucs-set-char #x6BBE ?$(DF3(B) ; J90-D-4633
(ucs-set-char #x6BBE ?$(I<K(B) ; C03-I-3C4B
(ucs-set-char #x6BBF ?$(Cn|(B) ; KS0-C-6E7C
(ucs-set-char #x6BBF ?$(Gd[(B) ; C01-G-645B
(ucs-set-char #x6BBF ?$@EB(B) ; J78-@-4542
(ucs-set-char #x6BBF ?$A5n(B) ; GB0-A-356E
(ucs-set-char #x6BBF ?$BEB(B) ; J83-B-4542
(ucs-set-char #x6BC0 ?$(GdZ(B) ; C01-G-645A
(ucs-set-char #x6BC0 ?$@TL(B) ; J78-@-544C
(ucs-set-char #x6BC0 ?$BTL(B) ; J83-B-544C
(ucs-set-char #x6BC1 ?$(C}C(B) ; KS0-C-7D43
(ucs-set-char #x6BC1 ?$(IB&(B) ; C03-I-4226
(ucs-set-char #x6BC1 ?$A;Y(B) ; GB0-A-3B59
(ucs-set-char #x6BC2 ?$Al1(B) ; GB0-A-6C31
(ucs-set-char #x6BC3 ?$(DF4(B) ; J90-D-4634
(ucs-set-char #x6BC3 ?$(HK1(B) ; C02-H-4B31
(ucs-set-char #x6BC4 ?$(DF5(B) ; J90-D-4635
(ucs-set-char #x6BC4 ?$(HK2(B) ; C02-H-4B32
(ucs-set-char #x6BC5 ?$(Ckv(B) ; KS0-C-6B76
(ucs-set-char #x6BC5 ?$(GmG(B) ; C01-G-6D47
(ucs-set-char #x6BC5 ?$@5#(B) ; J78-@-3523
(ucs-set-char #x6BC5 ?$ARc(B) ; GB0-A-5263
(ucs-set-char #x6BC5 ?$B5#(B) ; J83-B-3523
(ucs-set-char #x6BC6 ?$(CO2(B) ; KS0-C-4F32
(ucs-set-char #x6BC6 ?$(GmH(B) ; C01-G-6D48
(ucs-set-char #x6BC6 ?$@]X(B) ; J78-@-5D58
(ucs-set-char #x6BC6 ?$B]X(B) ; J83-B-5D58
(ucs-set-char #x6BC7 ?$(HWp(B) ; C02-H-5770
(ucs-set-char #x6BC8 ?$(HWo(B) ; C02-H-576F
(ucs-set-char #x6BC9 ?$(DF6(B) ; J90-D-4636
(ucs-set-char #x6BC9 ?$(Hau(B) ; C02-H-6175
(ucs-set-char #x6BCA ?$(Ho2(B) ; C02-H-6F32
(ucs-set-char #x6BCB ?$(CYl(B) ; KS0-C-596C
(ucs-set-char #x6BCB ?$(GEQ(B) ; C01-G-4551
(ucs-set-char #x6BCB ?$@]Y(B) ; J78-@-5D59
(ucs-set-char #x6BCB ?$ANc(B) ; GB0-A-4E63
(ucs-set-char #x6BCB ?$B]Y(B) ; J83-B-5D59
(ucs-set-char #x6BCC ?$(DF7(B) ; J90-D-4637
(ucs-set-char #x6BCC ?$(H!@(B) ; C02-H-2140
(ucs-set-char #x6BCD ?$(CY=(B) ; KS0-C-593D
(ucs-set-char #x6BCD ?$(GF`(B) ; C01-G-4660
(ucs-set-char #x6BCD ?$@Jl(B) ; J78-@-4A6C
(ucs-set-char #x6BCD ?$AD8(B) ; GB0-A-4438
(ucs-set-char #x6BCD ?$BJl(B) ; J83-B-4A6C
(ucs-set-char #x6BCE ?$(I#z(B) ; C03-I-237A
(ucs-set-char #x6BCE ?$@Kh(B) ; J78-@-4B68
(ucs-set-char #x6BCE ?$BKh(B) ; J83-B-4B68
(ucs-set-char #x6BCF ?$(CX_(B) ; KS0-C-585F
(ucs-set-char #x6BCF ?$(GJd(B) ; C01-G-4A64
(ucs-set-char #x6BCF ?$AC?(B) ; GB0-A-433F
(ucs-set-char #x6BD0 ?$(H$H(B) ; C02-H-2448
(ucs-set-char #x6BD1 ?$(I)Z(B) ; C03-I-295A
(ucs-set-char #x6BD2 ?$(CT8(B) ; KS0-C-5438
(ucs-set-char #x6BD2 ?$(GQu(B) ; C01-G-5175
(ucs-set-char #x6BD2 ?$@FG(B) ; J78-@-4647
(ucs-set-char #x6BD2 ?$A6>(B) ; GB0-A-363E
(ucs-set-char #x6BD2 ?$BFG(B) ; J83-B-4647
(ucs-set-char #x6BD3 ?$(Ck>(B) ; KS0-C-6B3E
(ucs-set-char #x6BD3 ?$(Gd\(B) ; C01-G-645C
(ucs-set-char #x6BD3 ?$@]Z(B) ; J78-@-5D5A
(ucs-set-char #x6BD3 ?$AX9(B) ; GB0-A-5839
(ucs-set-char #x6BD3 ?$B]Z(B) ; J83-B-5D5A
(ucs-set-char #x6BD4 ?$(C]o(B) ; KS0-C-5D6F
(ucs-set-char #x6BD4 ?$(GER(B) ; C01-G-4552
(ucs-set-char #x6BD4 ?$@Hf(B) ; J78-@-4866
(ucs-set-char #x6BD4 ?$A1H(B) ; GB0-A-3148
(ucs-set-char #x6BD4 ?$BHf(B) ; J83-B-4866
(ucs-set-char #x6BD5 ?$A1O(B) ; GB0-A-314F
(ucs-set-char #x6BD6 ?$(C]p(B) ; KS0-C-5D70
(ucs-set-char #x6BD6 ?$(DF8(B) ; J90-D-4638
(ucs-set-char #x6BD6 ?$(H+J(B) ; C02-H-2B4A
(ucs-set-char #x6BD6 ?$A1Q(B) ; GB0-A-3151
(ucs-set-char #x6BD7 ?$(C]q(B) ; KS0-C-5D71
(ucs-set-char #x6BD7 ?$(GQv(B) ; C01-G-5176
(ucs-set-char #x6BD7 ?$AE~(B) ; GB0-A-457E
(ucs-set-char #x6BD8 ?$(C]r(B) ; KS0-C-5D72
(ucs-set-char #x6BD8 ?$(H+K(B) ; C02-H-2B4B
(ucs-set-char #x6BD8 ?$@H{(B) ; J78-@-487B
(ucs-set-char #x6BD8 ?$BH{(B) ; J83-B-487B
(ucs-set-char #x6BD9 ?$A1P(B) ; GB0-A-3150
(ucs-set-char #x6BDA ?$(DF9(B) ; J90-D-4639
(ucs-set-char #x6BDA ?$(Gs~(B) ; C01-G-737E
(ucs-set-char #x6BDB ?$(CY>(B) ; KS0-C-593E
(ucs-set-char #x6BDB ?$(GES(B) ; C01-G-4553
(ucs-set-char #x6BDB ?$@LS(B) ; J78-@-4C53
(ucs-set-char #x6BDB ?$AC+(B) ; GB0-A-432B
(ucs-set-char #x6BDB ?$BLS(B) ; J83-B-4C53
(ucs-set-char #x6BDE ?$(H'M(B) ; C02-H-274D
(ucs-set-char #x6BDF ?$@][(B) ; J78-@-5D5B
(ucs-set-char #x6BDF ?$B][(B) ; J83-B-5D5B
(ucs-set-char #x6BE0 ?$(H+L(B) ; C02-H-2B4C
(ucs-set-char #x6BE1 ?$(DF:(B) ; J90-D-463A
(ucs-set-char #x6BE1 ?$(I-B(B) ; C03-I-2D42
(ucs-set-char #x6BE1 ?$AU1(B) ; GB0-A-5531
(ucs-set-char #x6BE2 ?$(H0%(B) ; C02-H-3025
(ucs-set-char #x6BE3 ?$(DF;(B) ; J90-D-463B
(ucs-set-char #x6BE3 ?$(H0$(B) ; C02-H-3024
(ucs-set-char #x6BE4 ?$(H0"(B) ; C02-H-3022
(ucs-set-char #x6BE5 ?$(I1n(B) ; C03-I-316E
(ucs-set-char #x6BE6 ?$(DF<(B) ; J90-D-463C
(ucs-set-char #x6BE6 ?$(H0!(B) ; C02-H-3021
(ucs-set-char #x6BE7 ?$(DF=(B) ; J90-D-463D
(ucs-set-char #x6BE7 ?$(H0&(B) ; C02-H-3026
(ucs-set-char #x6BE8 ?$(H0#(B) ; C02-H-3023
(ucs-set-char #x6BE9 ?$(I1l(B) ; C03-I-316C
(ucs-set-char #x6BEA ?$(I1m(B) ; C03-I-316D
(ucs-set-char #x6BEA ?$Ak$(B) ; GB0-A-6B24
(ucs-set-char #x6BEB ?$(C{F(B) ; KS0-C-7B46
(ucs-set-char #x6BEB ?$(G[E(B) ; C01-G-5B45
(ucs-set-char #x6BEB ?$@]](B) ; J78-@-5D5D
(ucs-set-char #x6BEB ?$A:A(B) ; GB0-A-3A41
(ucs-set-char #x6BEB ?$B]](B) ; J83-B-5D5D
(ucs-set-char #x6BEC ?$(CO3(B) ; KS0-C-4F33
(ucs-set-char #x6BEC ?$(G[F(B) ; C01-G-5B46
(ucs-set-char #x6BEC ?$@]\(B) ; J78-@-5D5C
(ucs-set-char #x6BEC ?$B]\(B) ; J83-B-5D5C
(ucs-set-char #x6BED ?$(I6f(B) ; C03-I-3666
(ucs-set-char #x6BEE ?$(DF>(B) ; J90-D-463E
(ucs-set-char #x6BEF ?$(G`'(B) ; C01-G-6027
(ucs-set-char #x6BEF ?$@]_(B) ; J78-@-5D5F
(ucs-set-char #x6BEF ?$AL:(B) ; GB0-A-4C3A
(ucs-set-char #x6BEF ?$B]_(B) ; J83-B-5D5F
(ucs-set-char #x6BF0 ?$(H=((B) ; C02-H-3D28
(ucs-set-char #x6BF1 ?$(DF?(B) ; J90-D-463F
(ucs-set-char #x6BF1 ?$(J8N(B) ; C04-J-384E
(ucs-set-char #x6BF2 ?$(H=)(B) ; C02-H-3D29
(ucs-set-char #x6BF3 ?$(H=*(B) ; C02-H-3D2A
(ucs-set-char #x6BF3 ?$@]^(B) ; J78-@-5D5E
(ucs-set-char #x6BF3 ?$Ak%(B) ; GB0-A-6B25
(ucs-set-char #x6BF3 ?$B]^(B) ; J83-B-5D5E
(ucs-set-char #x6BF4 ?$(I<M(B) ; C03-I-3C4D
(ucs-set-char #x6BF5 ?$Ak'(B) ; GB0-A-6B27
(ucs-set-char #x6BF7 ?$(DF@(B) ; J90-D-4640
(ucs-set-char #x6BF7 ?$(HD'(B) ; C02-H-4427
(ucs-set-char #x6BF8 ?$(HD((B) ; C02-H-4428
(ucs-set-char #x6BF9 ?$(DFA(B) ; J90-D-4641
(ucs-set-char #x6BF9 ?$(HD&(B) ; C02-H-4426
(ucs-set-char #x6BF9 ?$Ak((B) ; GB0-A-6B28
(ucs-set-char #x6BFA ?$(IB((B) ; C03-I-4228
(ucs-set-char #x6BFB ?$(HD$(B) ; C02-H-4424
(ucs-set-char #x6BFC ?$(HD%(B) ; C02-H-4425
(ucs-set-char #x6BFD ?$(Gd](B) ; C01-G-645D
(ucs-set-char #x6BFD ?$Ak&(B) ; GB0-A-6B26
(ucs-set-char #x6BFE ?$(HK3(B) ; C02-H-4B33
(ucs-set-char #x6BFF ?$(DFB(B) ; J90-D-4642
(ucs-set-char #x6BFF ?$(HQ@(B) ; C02-H-5140
(ucs-set-char #x6C00 ?$(HQ?(B) ; C02-H-513F
(ucs-set-char #x6C01 ?$(HQ>(B) ; C02-H-513E
(ucs-set-char #x6C02 ?$(DFC(B) ; J90-D-4643
(ucs-set-char #x6C02 ?$(HQA(B) ; C02-H-5141
(ucs-set-char #x6C03 ?$(HWr(B) ; C02-H-5772
(ucs-set-char #x6C04 ?$(DFD(B) ; J90-D-4644
(ucs-set-char #x6C04 ?$(HWq(B) ; C02-H-5771
(ucs-set-char #x6C05 ?$(DFE(B) ; J90-D-4645
(ucs-set-char #x6C05 ?$(Gq&(B) ; C01-G-7126
(ucs-set-char #x6C05 ?$Ak)(B) ; GB0-A-6B29
(ucs-set-char #x6C06 ?$(HWs(B) ; C02-H-5773
(ucs-set-char #x6C06 ?$Ak+(B) ; GB0-A-6B2B
(ucs-set-char #x6C07 ?$Ak*(B) ; GB0-A-6B2A
(ucs-set-char #x6C08 ?$(Cn}(B) ; KS0-C-6E7D
(ucs-set-char #x6C08 ?$(Gt!(B) ; C01-G-7421
(ucs-set-char #x6C08 ?$@]a(B) ; J78-@-5D61
(ucs-set-char #x6C08 ?$B]a(B) ; J83-B-5D61
(ucs-set-char #x6C09 ?$(DFF(B) ; J90-D-4646
(ucs-set-char #x6C09 ?$(H]9(B) ; C02-H-5D39
(ucs-set-char #x6C0A ?$(IU-(B) ; C03-I-552D
(ucs-set-char #x6C0B ?$(Hav(B) ; C02-H-6176
(ucs-set-char #x6C0C ?$(Hef(B) ; C02-H-6566
(ucs-set-char #x6C0D ?$(DFG(B) ; J90-D-4647
(ucs-set-char #x6C0D ?$(HmU(B) ; C02-H-6D55
(ucs-set-char #x6C0D ?$Ak,(B) ; GB0-A-6B2C
(ucs-set-char #x6C0E ?$(DFH(B) ; J90-D-4648
(ucs-set-char #x6C0E ?$(JmW(B) ; C04-J-6D57
(ucs-set-char #x6C0F ?$(Cd+(B) ; KS0-C-642B
(ucs-set-char #x6C0F ?$(GET(B) ; C01-G-4554
(ucs-set-char #x6C0F ?$@;a(B) ; J78-@-3B61
(ucs-set-char #x6C0F ?$AJO(B) ; GB0-A-4A4F
(ucs-set-char #x6C0F ?$B;a(B) ; J83-B-3B61
(ucs-set-char #x6C10 ?$(DFI(B) ; J90-D-4649
(ucs-set-char #x6C10 ?$(GFb(B) ; C01-G-4662
(ucs-set-char #x6C10 ?$AX5(B) ; GB0-A-5835
(ucs-set-char #x6C11 ?$(CZE(B) ; KS0-C-5A45
(ucs-set-char #x6C11 ?$(GFa(B) ; C01-G-4661
(ucs-set-char #x6C11 ?$@L1(B) ; J78-@-4C31
(ucs-set-char #x6C11 ?$ACq(B) ; GB0-A-4371
(ucs-set-char #x6C11 ?$BL1(B) ; J83-B-4C31
(ucs-set-char #x6C12 ?$(DFJ(B) ; J90-D-464A
(ucs-set-char #x6C12 ?$(J#!(B) ; C04-J-2321
(ucs-set-char #x6C13 ?$(CXl(B) ; KS0-C-586C
(ucs-set-char #x6C13 ?$(GN@(B) ; C01-G-4E40
(ucs-set-char #x6C13 ?$@]b(B) ; J78-@-5D62
(ucs-set-char #x6C13 ?$AC%(B) ; GB0-A-4325
(ucs-set-char #x6C13 ?$B]b(B) ; J83-B-5D62
(ucs-set-char #x6C14 ?$(H!A(B) ; C02-H-2141
(ucs-set-char #x6C14 ?$@]c(B) ; J78-@-5D63
(ucs-set-char #x6C14 ?$AFx(B) ; GB0-A-4678
(ucs-set-char #x6C14 ?$B]c(B) ; J83-B-5D63
(ucs-set-char #x6C15 ?$(H!_(B) ; C02-H-215F
(ucs-set-char #x6C15 ?$Ak-(B) ; GB0-A-6B2D
(ucs-set-char #x6C16 ?$(GH<(B) ; C01-G-483C
(ucs-set-char #x6C16 ?$ADJ(B) ; GB0-A-444A
(ucs-set-char #x6C17 ?$@5$(B) ; J78-@-3524
(ucs-set-char #x6C17 ?$B5$(B) ; J83-B-3524
(ucs-set-char #x6C18 ?$(H"X(B) ; C02-H-2258
(ucs-set-char #x6C18 ?$Ak.(B) ; GB0-A-6B2E
(ucs-set-char #x6C19 ?$(DFK(B) ; J90-D-464B
(ucs-set-char #x6C19 ?$(H$I(B) ; C02-H-2449
(ucs-set-char #x6C19 ?$Ak/(B) ; GB0-A-6B2F
(ucs-set-char #x6C1A ?$(H$J(B) ; C02-H-244A
(ucs-set-char #x6C1A ?$Ak0(B) ; GB0-A-6B30
(ucs-set-char #x6C1B ?$(GNA(B) ; C01-G-4E41
(ucs-set-char #x6C1B ?$@]d(B) ; J78-@-5D64
(ucs-set-char #x6C1B ?$A7U(B) ; GB0-A-3755
(ucs-set-char #x6C1B ?$B]d(B) ; J83-B-5D64
(ucs-set-char #x6C1C ?$(I)](B) ; C03-I-295D
(ucs-set-char #x6C1D ?$(H'N(B) ; C02-H-274E
(ucs-set-char #x6C1F ?$(DFL(B) ; J90-D-464C
(ucs-set-char #x6C1F ?$(GQw(B) ; C01-G-5177
(ucs-set-char #x6C1F ?$A7z(B) ; GB0-A-377A
(ucs-set-char #x6C20 ?$(H+M(B) ; C02-H-2B4D
(ucs-set-char #x6C21 ?$(H+N(B) ; C02-H-2B4E
(ucs-set-char #x6C21 ?$Ak1(B) ; GB0-A-6B31
(ucs-set-char #x6C22 ?$AGb(B) ; GB0-A-4762
(ucs-set-char #x6C23 ?$(CQ((B) ; KS0-C-5128
(ucs-set-char #x6C23 ?$(GV4(B) ; C01-G-5634
(ucs-set-char #x6C23 ?$@]f(B) ; J78-@-5D66
(ucs-set-char #x6C23 ?$B]f(B) ; J83-B-5D66
(ucs-set-char #x6C24 ?$(GV8(B) ; C01-G-5638
(ucs-set-char #x6C24 ?$@]e(B) ; J78-@-5D65
(ucs-set-char #x6C24 ?$Ak3(B) ; GB0-A-6B33
(ucs-set-char #x6C24 ?$B]e(B) ; J83-B-5D65
(ucs-set-char #x6C25 ?$(H0'(B) ; C02-H-3027
(ucs-set-char #x6C26 ?$(DFM(B) ; J90-D-464D
(ucs-set-char #x6C26 ?$(GV7(B) ; C01-G-5637
(ucs-set-char #x6C26 ?$A:$(B) ; GB0-A-3A24
(ucs-set-char #x6C27 ?$(DFN(B) ; J90-D-464E
(ucs-set-char #x6C27 ?$(GV5(B) ; C01-G-5635
(ucs-set-char #x6C27 ?$AQu(B) ; GB0-A-5175
(ucs-set-char #x6C28 ?$(DFO(B) ; J90-D-464F
(ucs-set-char #x6C28 ?$(GV6(B) ; C01-G-5636
(ucs-set-char #x6C28 ?$A01(B) ; GB0-A-3031
(ucs-set-char #x6C29 ?$Ak2(B) ; GB0-A-6B32
(ucs-set-char #x6C2A ?$(H6C(B) ; C02-H-3643
(ucs-set-char #x6C2A ?$Ak4(B) ; GB0-A-6B34
(ucs-set-char #x6C2B ?$(G[G(B) ; C01-G-5B47
(ucs-set-char #x6C2C ?$(DFP(B) ; J90-D-4650
(ucs-set-char #x6C2C ?$(G`*(B) ; C01-G-602A
(ucs-set-char #x6C2D ?$(I<N(B) ; C03-I-3C4E
(ucs-set-char #x6C2E ?$(DFQ(B) ; J90-D-4651
(ucs-set-char #x6C2E ?$(G`((B) ; C01-G-6028
(ucs-set-char #x6C2E ?$A5*(B) ; GB0-A-352A
(ucs-set-char #x6C2F ?$(G`)(B) ; C01-G-6029
(ucs-set-char #x6C2F ?$ABH(B) ; GB0-A-4248
(ucs-set-char #x6C30 ?$(H=+(B) ; C02-H-3D2B
(ucs-set-char #x6C30 ?$AGh(B) ; GB0-A-4768
(ucs-set-char #x6C31 ?$(IB)(B) ; C03-I-4229
(ucs-set-char #x6C32 ?$(IB*(B) ; C03-I-422A
(ucs-set-char #x6C32 ?$Ak5(B) ; GB0-A-6B35
(ucs-set-char #x6C33 ?$(DFR(B) ; J90-D-4652
(ucs-set-char #x6C33 ?$(Gi;(B) ; C01-G-693B
(ucs-set-char #x6C34 ?$(Cb)(B) ; KS0-C-6229
(ucs-set-char #x6C34 ?$(GEU(B) ; C01-G-4555
(ucs-set-char #x6C34 ?$@?e(B) ; J78-@-3F65
(ucs-set-char #x6C34 ?$AK.(B) ; GB0-A-4B2E
(ucs-set-char #x6C34 ?$B?e(B) ; J83-B-3F65
(ucs-set-char #x6C35 ?$(DFS(B) ; J90-D-4653
(ucs-set-char #x6C35 ?$Ac_(B) ; GB0-A-635F
(ucs-set-char #x6C36 ?$(DFT(B) ; J90-D-4654
(ucs-set-char #x6C36 ?$(H!`(B) ; C02-H-2160
(ucs-set-char #x6C37 ?$(C^<(B) ; KS0-C-5E3C
(ucs-set-char #x6C37 ?$(I"W(B) ; C03-I-2257
(ucs-set-char #x6C37 ?$@I9(B) ; J78-@-4939
(ucs-set-char #x6C37 ?$BI9(B) ; J83-B-4939
(ucs-set-char #x6C38 ?$(Cg5(B) ; KS0-C-6735
(ucs-set-char #x6C38 ?$(GFc(B) ; C01-G-4663
(ucs-set-char #x6C38 ?$@1J(B) ; J78-@-314A
(ucs-set-char #x6C38 ?$AS@(B) ; GB0-A-5340
(ucs-set-char #x6C38 ?$B1J(B) ; J83-B-314A
(ucs-set-char #x6C39 ?$(I"T(B) ; C03-I-2254
(ucs-set-char #x6C3A ?$(DFU(B) ; J90-D-4655
(ucs-set-char #x6C3B ?$(DFV(B) ; J90-D-4656
(ucs-set-char #x6C3B ?$(H!c(B) ; C02-H-2163
(ucs-set-char #x6C3C ?$(I$!(B) ; C03-I-2421
(ucs-set-char #x6C3D ?$AY[(B) ; GB0-A-595B
(ucs-set-char #x6C3E ?$(C[p(B) ; KS0-C-5B70
(ucs-set-char #x6C3E ?$(GFf(B) ; C01-G-4666
(ucs-set-char #x6C3E ?$@HE(B) ; J78-@-4845
(ucs-set-char #x6C3E ?$BHE(B) ; J83-B-4845
(ucs-set-char #x6C3F ?$(DFW(B) ; J90-D-4657
(ucs-set-char #x6C3F ?$(H!b(B) ; C02-H-2162
(ucs-set-char #x6C40 ?$(Cob(B) ; KS0-C-6F62
(ucs-set-char #x6C40 ?$(GFe(B) ; C01-G-4665
(ucs-set-char #x6C40 ?$@Du(B) ; J78-@-4475
(ucs-set-char #x6C40 ?$AM!(B) ; GB0-A-4D21
(ucs-set-char #x6C40 ?$BDu(B) ; J83-B-4475
(ucs-set-char #x6C41 ?$(Cqp(B) ; KS0-C-7170
(ucs-set-char #x6C41 ?$(GFd(B) ; C01-G-4664
(ucs-set-char #x6C41 ?$@=A(B) ; J78-@-3D41
(ucs-set-char #x6C41 ?$AV-(B) ; GB0-A-562D
(ucs-set-char #x6C41 ?$B=A(B) ; J83-B-3D41
(ucs-set-char #x6C42 ?$(CO4(B) ; KS0-C-4F34
(ucs-set-char #x6C42 ?$(GJe(B) ; C01-G-4A65
(ucs-set-char #x6C42 ?$@5a(B) ; J78-@-3561
(ucs-set-char #x6C42 ?$AGs(B) ; GB0-A-4773
(ucs-set-char #x6C42 ?$B5a(B) ; J83-B-3561
(ucs-set-char #x6C43 ?$(H!a(B) ; C02-H-2161
(ucs-set-char #x6C44 ?$(I"X(B) ; C03-I-2258
(ucs-set-char #x6C45 ?$(I"Y(B) ; C03-I-2259
(ucs-set-char #x6C46 ?$(H"Y(B) ; C02-H-2259
(ucs-set-char #x6C46 ?$AY`(B) ; GB0-A-5960
(ucs-set-char #x6C47 ?$A;c(B) ; GB0-A-3B63
(ucs-set-char #x6C49 ?$A::(B) ; GB0-A-3A3A
(ucs-set-char #x6C4A ?$(DFX(B) ; J90-D-4658
(ucs-set-char #x6C4A ?$(H"](B) ; C02-H-225D
(ucs-set-char #x6C4A ?$Acb(B) ; GB0-A-6362
(ucs-set-char #x6C4B ?$(DFY(B) ; J90-D-4659
(ucs-set-char #x6C4B ?$(H"_(B) ; C02-H-225F
(ucs-set-char #x6C4C ?$(H"`(B) ; C02-H-2260
(ucs-set-char #x6C4D ?$(DFZ(B) ; J90-D-465A
(ucs-set-char #x6C4D ?$(GHF(B) ; C01-G-4846
(ucs-set-char #x6C4E ?$(C[q(B) ; KS0-C-5B71
(ucs-set-char #x6C4E ?$(GHG(B) ; C01-G-4847
(ucs-set-char #x6C4E ?$@HF(B) ; J78-@-4846
(ucs-set-char #x6C4E ?$BHF(B) ; J83-B-4846
(ucs-set-char #x6C4F ?$(DF[(B) ; J90-D-465B
(ucs-set-char #x6C4F ?$(H"\(B) ; C02-H-225C
(ucs-set-char #x6C50 ?$(C`1(B) ; KS0-C-6031
(ucs-set-char #x6C50 ?$(GHB(B) ; C01-G-4842
(ucs-set-char #x6C50 ?$@<.(B) ; J78-@-3C2E
(ucs-set-char #x6C50 ?$AO+(B) ; GB0-A-4F2B
(ucs-set-char #x6C50 ?$B<.(B) ; J83-B-3C2E
(ucs-set-char #x6C51 ?$(I#}(B) ; C03-I-237D
(ucs-set-char #x6C52 ?$(DF\(B) ; J90-D-465C
(ucs-set-char #x6C52 ?$(H"Z(B) ; C02-H-225A
(ucs-set-char #x6C53 ?$(I$%(B) ; C03-I-2425
(ucs-set-char #x6C54 ?$(DF](B) ; J90-D-465D
(ucs-set-char #x6C54 ?$(H"^(B) ; C02-H-225E
(ucs-set-char #x6C54 ?$Ac`(B) ; GB0-A-6360
(ucs-set-char #x6C55 ?$(C_%(B) ; KS0-C-5F25
(ucs-set-char #x6C55 ?$(GHC(B) ; C01-G-4843
(ucs-set-char #x6C55 ?$@]h(B) ; J78-@-5D68
(ucs-set-char #x6C55 ?$AIG(B) ; GB0-A-4947
(ucs-set-char #x6C55 ?$B]h(B) ; J83-B-5D68
(ucs-set-char #x6C56 ?$(I&U(B) ; C03-I-2655
(ucs-set-char #x6C57 ?$(CyR(B) ; KS0-C-7952
(ucs-set-char #x6C57 ?$(GH>(B) ; C01-G-483E
(ucs-set-char #x6C57 ?$@4@(B) ; J78-@-3440
(ucs-set-char #x6C57 ?$A:9(B) ; GB0-A-3A39
(ucs-set-char #x6C57 ?$B4@(B) ; J83-B-3440
(ucs-set-char #x6C58 ?$(I#|(B) ; C03-I-237C
(ucs-set-char #x6C59 ?$(DF^(B) ; J90-D-465E
(ucs-set-char #x6C59 ?$(GH?(B) ; C01-G-483F
(ucs-set-char #x6C5A ?$(Cg}(B) ; KS0-C-677D
(ucs-set-char #x6C5A ?$(I$#(B) ; C03-I-2423
(ucs-set-char #x6C5A ?$@1x(B) ; J78-@-3178
(ucs-set-char #x6C5A ?$B1x(B) ; J83-B-3178
(ucs-set-char #x6C5B ?$(DF_(B) ; J90-D-465F
(ucs-set-char #x6C5B ?$(GHE(B) ; C01-G-4845
(ucs-set-char #x6C5B ?$AQ4(B) ; GB0-A-5134
(ucs-set-char #x6C5C ?$(DF`(B) ; J90-D-4660
(ucs-set-char #x6C5C ?$(H"[(B) ; C02-H-225B
(ucs-set-char #x6C5C ?$Aca(B) ; GB0-A-6361
(ucs-set-char #x6C5D ?$(Cf#(B) ; KS0-C-6623
(ucs-set-char #x6C5D ?$(GH=(B) ; C01-G-483D
(ucs-set-char #x6C5D ?$@Fr(B) ; J78-@-4672
(ucs-set-char #x6C5D ?$AHj(B) ; GB0-A-486A
(ucs-set-char #x6C5D ?$BFr(B) ; J83-B-4672
(ucs-set-char #x6C5E ?$(C{q(B) ; KS0-C-7B71
(ucs-set-char #x6C5E ?$(GJf(B) ; C01-G-4A66
(ucs-set-char #x6C5E ?$@]g(B) ; J78-@-5D67
(ucs-set-char #x6C5E ?$A9/(B) ; GB0-A-392F
(ucs-set-char #x6C5E ?$B]g(B) ; J83-B-5D67
(ucs-set-char #x6C5F ?$(CK0(B) ; KS0-C-4B30
(ucs-set-char #x6C5F ?$(GH@(B) ; C01-G-4840
(ucs-set-char #x6C5F ?$@9>(B) ; J78-@-393E
(ucs-set-char #x6C5F ?$A=-(B) ; GB0-A-3D2D
(ucs-set-char #x6C5F ?$B9>(B) ; J83-B-393E
(ucs-set-char #x6C60 ?$(Cr.(B) ; KS0-C-722E
(ucs-set-char #x6C60 ?$(GHA(B) ; C01-G-4841
(ucs-set-char #x6C60 ?$@CS(B) ; J78-@-4353
(ucs-set-char #x6C60 ?$A3X(B) ; GB0-A-3358
(ucs-set-char #x6C60 ?$BCS(B) ; J83-B-4353
(ucs-set-char #x6C61 ?$(GHD(B) ; C01-G-4844
(ucs-set-char #x6C61 ?$AN[(B) ; GB0-A-4E5B
(ucs-set-char #x6C62 ?$@]i(B) ; J78-@-5D69
(ucs-set-char #x6C62 ?$B]i(B) ; J83-B-5D69
(ucs-set-char #x6C64 ?$AL@(B) ; GB0-A-4C40
(ucs-set-char #x6C65 ?$(H$[(B) ; C02-H-245B
(ucs-set-char #x6C66 ?$(H$Y(B) ; C02-H-2459
(ucs-set-char #x6C67 ?$(DG6(B) ; J90-D-4736
(ucs-set-char #x6C67 ?$(H$L(B) ; C02-H-244C
(ucs-set-char #x6C67 ?$(I-R(B) ; C03-I-2D52
(ucs-set-char #x6C68 ?$(CMg(B) ; KS0-C-4D67
(ucs-set-char #x6C68 ?$(GJr(B) ; C01-G-4A72
(ucs-set-char #x6C68 ?$@]q(B) ; J78-@-5D71
(ucs-set-char #x6C68 ?$Ach(B) ; GB0-A-6368
(ucs-set-char #x6C68 ?$B]q(B) ; J83-B-5D71
(ucs-set-char #x6C69 ?$(H$S(B) ; C02-H-2453
(ucs-set-char #x6C69 ?$Aci(B) ; GB0-A-6369
(ucs-set-char #x6C6A ?$(Ch\(B) ; KS0-C-685C
(ucs-set-char #x6C6A ?$(GJm(B) ; C01-G-4A6D
(ucs-set-char #x6C6A ?$@]j(B) ; J78-@-5D6A
(ucs-set-char #x6C6A ?$AMt(B) ; GB0-A-4D74
(ucs-set-char #x6C6A ?$B]j(B) ; J83-B-5D6A
(ucs-set-char #x6C6B ?$(DFa(B) ; J90-D-4661
(ucs-set-char #x6C6B ?$(H$M(B) ; C02-H-244D
(ucs-set-char #x6C6C ?$(I)d(B) ; C03-I-2964
(ucs-set-char #x6C6D ?$(CgW(B) ; KS0-C-6757
(ucs-set-char #x6C6D ?$(DFb(B) ; J90-D-4662
(ucs-set-char #x6C6D ?$(H$U(B) ; C02-H-2455
(ucs-set-char #x6C6E ?$(I&P(B) ; C03-I-2650
(ucs-set-char #x6C6F ?$(DFc(B) ; J90-D-4663
(ucs-set-char #x6C6F ?$(H$R(B) ; C02-H-2452
(ucs-set-char #x6C70 ?$(Cw@(B) ; KS0-C-7740
(ucs-set-char #x6C70 ?$(GJp(B) ; C01-G-4A70
(ucs-set-char #x6C70 ?$@BA(B) ; J78-@-4241
(ucs-set-char #x6C70 ?$AL-(B) ; GB0-A-4C2D
(ucs-set-char #x6C70 ?$BBA(B) ; J83-B-4241
(ucs-set-char #x6C71 ?$(H$Q(B) ; C02-H-2451
(ucs-set-char #x6C72 ?$(CPc(B) ; KS0-C-5063
(ucs-set-char #x6C72 ?$(GJw(B) ; C01-G-4A77
(ucs-set-char #x6C72 ?$@5b(B) ; J78-@-3562
(ucs-set-char #x6C72 ?$A<3(B) ; GB0-A-3C33
(ucs-set-char #x6C72 ?$B5b(B) ; J83-B-3562
(ucs-set-char #x6C73 ?$(H$Z(B) ; C02-H-245A
(ucs-set-char #x6C73 ?$@]r(B) ; J78-@-5D72
(ucs-set-char #x6C73 ?$B]r(B) ; J83-B-5D72
(ucs-set-char #x6C74 ?$(DFd(B) ; J90-D-4664
(ucs-set-char #x6C74 ?$(GJy(B) ; C01-G-4A79
(ucs-set-char #x6C74 ?$Acj(B) ; GB0-A-636A
(ucs-set-char #x6C75 ?$(I&S(B) ; C03-I-2653
(ucs-set-char #x6C76 ?$(CZ!(B) ; KS0-C-5A21
(ucs-set-char #x6C76 ?$(DFe(B) ; J90-D-4665
(ucs-set-char #x6C76 ?$(GJ{(B) ; C01-G-4A7B
(ucs-set-char #x6C76 ?$Ack(B) ; GB0-A-636B
(ucs-set-char #x6C77 ?$(I#~(B) ; C03-I-237E
(ucs-set-char #x6C78 ?$(DFf(B) ; J90-D-4666
(ucs-set-char #x6C78 ?$(H$K(B) ; C02-H-244B
(ucs-set-char #x6C79 ?$(DFg(B) ; J90-D-4667
(ucs-set-char #x6C79 ?$(I&W(B) ; C03-I-2657
(ucs-set-char #x6C79 ?$APZ(B) ; GB0-A-505A
(ucs-set-char #x6C7A ?$(CL=(B) ; KS0-C-4C3D
(ucs-set-char #x6C7A ?$(GJn(B) ; C01-G-4A6E
(ucs-set-char #x6C7A ?$@7h(B) ; J78-@-3768
(ucs-set-char #x6C7A ?$B7h(B) ; J83-B-3768
(ucs-set-char #x6C7B ?$(DFh(B) ; J90-D-4668
(ucs-set-char #x6C7B ?$(H$\(B) ; C02-H-245C
(ucs-set-char #x6C7C ?$(I&Q(B) ; C03-I-2651
(ucs-set-char #x6C7D ?$(CQ)(B) ; KS0-C-5129
(ucs-set-char #x6C7D ?$(GJu(B) ; C01-G-4A75
(ucs-set-char #x6C7D ?$@5%(B) ; J78-@-3525
(ucs-set-char #x6C7D ?$AF{(B) ; GB0-A-467B
(ucs-set-char #x6C7D ?$B5%(B) ; J83-B-3525
(ucs-set-char #x6C7E ?$(C]L(B) ; KS0-C-5D4C
(ucs-set-char #x6C7E ?$(GJx(B) ; C01-G-4A78
(ucs-set-char #x6C7E ?$@]p(B) ; J78-@-5D70
(ucs-set-char #x6C7E ?$A7Z(B) ; GB0-A-375A
(ucs-set-char #x6C7E ?$B]p(B) ; J83-B-5D70
(ucs-set-char #x6C7F ?$(I&L(B) ; C03-I-264C
(ucs-set-char #x6C80 ?$(H'e(B) ; C02-H-2765
(ucs-set-char #x6C81 ?$(Cc~(B) ; KS0-C-637E
(ucs-set-char #x6C81 ?$(GJh(B) ; C01-G-4A68
(ucs-set-char #x6C81 ?$@]n(B) ; J78-@-5D6E
(ucs-set-char #x6C81 ?$AG_(B) ; GB0-A-475F
(ucs-set-char #x6C81 ?$B]n(B) ; J83-B-5D6E
(ucs-set-char #x6C82 ?$(CQ*(B) ; KS0-C-512A
(ucs-set-char #x6C82 ?$(GK!(B) ; C01-G-4B21
(ucs-set-char #x6C82 ?$@]k(B) ; J78-@-5D6B
(ucs-set-char #x6C82 ?$ARJ(B) ; GB0-A-524A
(ucs-set-char #x6C82 ?$B]k(B) ; J83-B-5D6B
(ucs-set-char #x6C83 ?$(Ch*(B) ; KS0-C-682A
(ucs-set-char #x6C83 ?$(GJv(B) ; C01-G-4A76
(ucs-set-char #x6C83 ?$@M`(B) ; J78-@-4D60
(ucs-set-char #x6C83 ?$ANV(B) ; GB0-A-4E56
(ucs-set-char #x6C83 ?$BM`(B) ; J83-B-4D60
(ucs-set-char #x6C84 ?$(H$N(B) ; C02-H-244E
(ucs-set-char #x6C85 ?$(Cj6(B) ; KS0-C-6A36
(ucs-set-char #x6C85 ?$(DFi(B) ; J90-D-4669
(ucs-set-char #x6C85 ?$(GJk(B) ; C01-G-4A6B
(ucs-set-char #x6C85 ?$Acd(B) ; GB0-A-6364
(ucs-set-char #x6C86 ?$(Cyz(B) ; KS0-C-797A
(ucs-set-char #x6C86 ?$(DFj(B) ; J90-D-466A
(ucs-set-char #x6C86 ?$(GJz(B) ; C01-G-4A7A
(ucs-set-char #x6C86 ?$Acl(B) ; GB0-A-636C
(ucs-set-char #x6C87 ?$(CfL(B) ; KS0-C-664C
(ucs-set-char #x6C87 ?$(DFk(B) ; J90-D-466B
(ucs-set-char #x6C87 ?$(H$V(B) ; C02-H-2456
(ucs-set-char #x6C88 ?$(CvX(B) ; KS0-C-7658
(ucs-set-char #x6C88 ?$(GJi(B) ; C01-G-4A69
(ucs-set-char #x6C88 ?$@D@(B) ; J78-@-4440
(ucs-set-char #x6C88 ?$AIr(B) ; GB0-A-4972
(ucs-set-char #x6C88 ?$BD@(B) ; J83-B-4440
(ucs-set-char #x6C89 ?$(DFl(B) ; J90-D-466C
(ucs-set-char #x6C89 ?$(GJj(B) ; C01-G-4A6A
(ucs-set-char #x6C89 ?$A3A(B) ; GB0-A-3341
(ucs-set-char #x6C8A ?$(H'c(B) ; C02-H-2763
(ucs-set-char #x6C8B ?$(H$O(B) ; C02-H-244F
(ucs-set-char #x6C8C ?$(CTG(B) ; KS0-C-5447
(ucs-set-char #x6C8C ?$(GJq(B) ; C01-G-4A71
(ucs-set-char #x6C8C ?$@FY(B) ; J78-@-4659
(ucs-set-char #x6C8C ?$Acg(B) ; GB0-A-6367
(ucs-set-char #x6C8C ?$BFY(B) ; J83-B-4659
(ucs-set-char #x6C8D ?$(GJ|(B) ; C01-G-4A7C
(ucs-set-char #x6C8D ?$@]l(B) ; J78-@-5D6C
(ucs-set-char #x6C8D ?$B]l(B) ; J83-B-5D6C
(ucs-set-char #x6C8E ?$(H$](B) ; C02-H-245D
(ucs-set-char #x6C8F ?$(H$P(B) ; C02-H-2450
(ucs-set-char #x6C8F ?$AFc(B) ; GB0-A-4663
(ucs-set-char #x6C90 ?$(CYK(B) ; KS0-C-594B
(ucs-set-char #x6C90 ?$(GJo(B) ; C01-G-4A6F
(ucs-set-char #x6C90 ?$@]t(B) ; J78-@-5D74
(ucs-set-char #x6C90 ?$Ace(B) ; GB0-A-6365
(ucs-set-char #x6C90 ?$B]t(B) ; J83-B-5D74
(ucs-set-char #x6C91 ?$(I&M(B) ; C03-I-264D
(ucs-set-char #x6C92 ?$(CYR(B) ; KS0-C-5952
(ucs-set-char #x6C92 ?$(GJt(B) ; C01-G-4A74
(ucs-set-char #x6C92 ?$@]s(B) ; J78-@-5D73
(ucs-set-char #x6C92 ?$B]s(B) ; J83-B-5D73
(ucs-set-char #x6C93 ?$(CSK(B) ; KS0-C-534B
(ucs-set-char #x6C93 ?$(H'O(B) ; C02-H-274F
(ucs-set-char #x6C93 ?$@7#(B) ; J78-@-3723
(ucs-set-char #x6C93 ?$Am3(B) ; GB0-A-6D33
(ucs-set-char #x6C93 ?$B7#(B) ; J83-B-3723
(ucs-set-char #x6C94 ?$(CXw(B) ; KS0-C-5877
(ucs-set-char #x6C94 ?$(DFm(B) ; J90-D-466D
(ucs-set-char #x6C94 ?$(GJ}(B) ; C01-G-4A7D
(ucs-set-char #x6C94 ?$Acf(B) ; GB0-A-6366
(ucs-set-char #x6C95 ?$(CZ)(B) ; KS0-C-5A29
(ucs-set-char #x6C95 ?$(DFn(B) ; J90-D-466E
(ucs-set-char #x6C95 ?$(H$W(B) ; C02-H-2457
(ucs-set-char #x6C96 ?$(Cux(B) ; KS0-C-7578
(ucs-set-char #x6C96 ?$(GJs(B) ; C01-G-4A73
(ucs-set-char #x6C96 ?$@2-(B) ; J78-@-322D
(ucs-set-char #x6C96 ?$B2-(B) ; J83-B-322D
(ucs-set-char #x6C97 ?$(DFo(B) ; J90-D-466F
(ucs-set-char #x6C97 ?$(I)c(B) ; C03-I-2963
(ucs-set-char #x6C98 ?$(DFp(B) ; J90-D-4670
(ucs-set-char #x6C98 ?$(GJ~(B) ; C01-G-4A7E
(ucs-set-char #x6C99 ?$(C^^(B) ; KS0-C-5E5E
(ucs-set-char #x6C99 ?$(GJg(B) ; C01-G-4A67
(ucs-set-char #x6C99 ?$@:;(B) ; J78-@-3A3B
(ucs-set-char #x6C99 ?$AI3(B) ; GB0-A-4933
(ucs-set-char #x6C99 ?$B:;(B) ; J83-B-3A3B
(ucs-set-char #x6C9A ?$(Cr/(B) ; KS0-C-722F
(ucs-set-char #x6C9A ?$(H$T(B) ; C02-H-2454
(ucs-set-char #x6C9A ?$@]m(B) ; J78-@-5D6D
(ucs-set-char #x6C9A ?$B]m(B) ; J83-B-5D6D
(ucs-set-char #x6C9B ?$(Cx)(B) ; KS0-C-7829
(ucs-set-char #x6C9B ?$(GJl(B) ; C01-G-4A6C
(ucs-set-char #x6C9B ?$@]o(B) ; J78-@-5D6F
(ucs-set-char #x6C9B ?$AEf(B) ; GB0-A-4566
(ucs-set-char #x6C9B ?$B]o(B) ; J83-B-5D6F
(ucs-set-char #x6C9C ?$(DFq(B) ; J90-D-4671
(ucs-set-char #x6C9C ?$(H$X(B) ; C02-H-2458
(ucs-set-char #x6C9D ?$(H'd(B) ; C02-H-2764
(ucs-set-char #x6C9E ?$(I&N(B) ; C03-I-264E
(ucs-set-char #x6C9F ?$(DFr(B) ; J90-D-4672
(ucs-set-char #x6C9F ?$(I&R(B) ; C03-I-2652
(ucs-set-char #x6C9F ?$A95(B) ; GB0-A-3935
(ucs-set-char #x6CA0 ?$(I&\(B) ; C03-I-265C
(ucs-set-char #x6CA1 ?$(I&Y(B) ; C03-I-2659
(ucs-set-char #x6CA1 ?$@KW(B) ; J78-@-4B57
(ucs-set-char #x6CA1 ?$AC;(B) ; GB0-A-433B
(ucs-set-char #x6CA1 ?$BKW(B) ; J83-B-4B57
(ucs-set-char #x6CA2 ?$(I&V(B) ; C03-I-2656
(ucs-set-char #x6CA2 ?$@Bt(B) ; J78-@-4274
(ucs-set-char #x6CA2 ?$BBt(B) ; J83-B-4274
(ucs-set-char #x6CA3 ?$Acc(B) ; GB0-A-6363
(ucs-set-char #x6CA4 ?$AE=(B) ; GB0-A-453D
(ucs-set-char #x6CA5 ?$AA$(B) ; GB0-A-4124
(ucs-set-char #x6CA6 ?$ABY(B) ; GB0-A-4259
(ucs-set-char #x6CA7 ?$A2W(B) ; GB0-A-3257
(ucs-set-char #x6CA9 ?$Acm(B) ; GB0-A-636D
(ucs-set-char #x6CAA ?$(I&[(B) ; C03-I-265B
(ucs-set-char #x6CAA ?$A;&(B) ; GB0-A-3B26
(ucs-set-char #x6CAB ?$(CXH(B) ; KS0-C-5848
(ucs-set-char #x6CAB ?$(GNM(B) ; C01-G-4E4D
(ucs-set-char #x6CAB ?$@Kw(B) ; J78-@-4B77
(ucs-set-char #x6CAB ?$AD-(B) ; GB0-A-442D
(ucs-set-char #x6CAB ?$BKw(B) ; J83-B-4B77
(ucs-set-char #x6CAC ?$(GN](B) ; C01-G-4E5D
(ucs-set-char #x6CAD ?$(H'V(B) ; C02-H-2756
(ucs-set-char #x6CAD ?$Acp(B) ; GB0-A-6370
(ucs-set-char #x6CAE ?$(CnA(B) ; KS0-C-6E41
(ucs-set-char #x6CAE ?$(GNT(B) ; C01-G-4E54
(ucs-set-char #x6CAE ?$@]|(B) ; J78-@-5D7C
(ucs-set-char #x6CAE ?$A>Z(B) ; GB0-A-3E5A
(ucs-set-char #x6CAE ?$B]|(B) ; J83-B-5D7C
(ucs-set-char #x6CAF ?$(I-N(B) ; C03-I-2D4E
(ucs-set-char #x6CB0 ?$(DFs(B) ; J90-D-4673
(ucs-set-char #x6CB0 ?$(H'k(B) ; C02-H-276B
(ucs-set-char #x6CB1 ?$(GNE(B) ; C01-G-4E45
(ucs-set-char #x6CB1 ?$@]}(B) ; J78-@-5D7D
(ucs-set-char #x6CB1 ?$Ac{(B) ; GB0-A-637B
(ucs-set-char #x6CB1 ?$B]}(B) ; J83-B-5D7D
(ucs-set-char #x6CB2 ?$(DFt(B) ; J90-D-4674
(ucs-set-char #x6CB2 ?$(I)k(B) ; C03-I-296B
(ucs-set-char #x6CB2 ?$Acu(B) ; GB0-A-6375
(ucs-set-char #x6CB3 ?$(CyA(B) ; KS0-C-7941
(ucs-set-char #x6CB3 ?$(GNH(B) ; C01-G-4E48
(ucs-set-char #x6CB3 ?$@2O(B) ; J78-@-324F
(ucs-set-char #x6CB3 ?$A:S(B) ; GB0-A-3A53
(ucs-set-char #x6CB3 ?$B2O(B) ; J83-B-324F
(ucs-set-char #x6CB4 ?$(DFu(B) ; J90-D-4675
(ucs-set-char #x6CB4 ?$(H'b(B) ; C02-H-2762
(ucs-set-char #x6CB5 ?$(J'&(B) ; C04-J-2726
(ucs-set-char #x6CB6 ?$(H'T(B) ; C02-H-2754
(ucs-set-char #x6CB7 ?$(H'X(B) ; C02-H-2758
(ucs-set-char #x6CB8 ?$(C]s(B) ; KS0-C-5D73
(ucs-set-char #x6CB8 ?$(GNP(B) ; C01-G-4E50
(ucs-set-char #x6CB8 ?$@J((B) ; J78-@-4A28
(ucs-set-char #x6CB8 ?$A7P(B) ; GB0-A-3750
(ucs-set-char #x6CB8 ?$BJ((B) ; J83-B-4A28
(ucs-set-char #x6CB9 ?$(Cjz(B) ; KS0-C-6A7A
(ucs-set-char #x6CB9 ?$(GNR(B) ; C01-G-4E52
(ucs-set-char #x6CB9 ?$@L}(B) ; J78-@-4C7D
(ucs-set-char #x6CB9 ?$ASM(B) ; GB0-A-534D
(ucs-set-char #x6CB9 ?$BL}(B) ; J83-B-4C7D
(ucs-set-char #x6CBA ?$(H'[(B) ; C02-H-275B
(ucs-set-char #x6CBA ?$@^!(B) ; J78-@-5E21
(ucs-set-char #x6CBA ?$B^!(B) ; J83-B-5E21
(ucs-set-char #x6CBB ?$(Cv=(B) ; KS0-C-763D
(ucs-set-char #x6CBB ?$(GNY(B) ; C01-G-4E59
(ucs-set-char #x6CBB ?$@<#(B) ; J78-@-3C23
(ucs-set-char #x6CBB ?$AVN(B) ; GB0-A-564E
(ucs-set-char #x6CBB ?$B<#(B) ; J83-B-3C23
(ucs-set-char #x6CBC ?$(Ca;(B) ; KS0-C-613B
(ucs-set-char #x6CBC ?$(GNK(B) ; C01-G-4E4B
(ucs-set-char #x6CBC ?$@>B(B) ; J78-@-3E42
(ucs-set-char #x6CBC ?$AUS(B) ; GB0-A-5553
(ucs-set-char #x6CBC ?$B>B(B) ; J83-B-3E42
(ucs-set-char #x6CBD ?$(CM?(B) ; KS0-C-4D3F
(ucs-set-char #x6CBD ?$(GNI(B) ; C01-G-4E49
(ucs-set-char #x6CBD ?$@]x(B) ; J78-@-5D78
(ucs-set-char #x6CBD ?$A9A(B) ; GB0-A-3941
(ucs-set-char #x6CBD ?$B]x(B) ; J83-B-5D78
(ucs-set-char #x6CBE ?$(CtT(B) ; KS0-C-7454
(ucs-set-char #x6CBE ?$(GNJ(B) ; C01-G-4E4A
(ucs-set-char #x6CBE ?$@]~(B) ; J78-@-5D7E
(ucs-set-char #x6CBE ?$AU4(B) ; GB0-A-5534
(ucs-set-char #x6CBE ?$B]~(B) ; J83-B-5D7E
(ucs-set-char #x6CBF ?$(CfM(B) ; KS0-C-664D
(ucs-set-char #x6CBF ?$(GNX(B) ; C01-G-4E58
(ucs-set-char #x6CBF ?$(L,[(B) ; C06-L-2C5B
(ucs-set-char #x6CBF ?$@1h(B) ; J78-@-3168
(ucs-set-char #x6CBF ?$AQX(B) ; GB0-A-5158
(ucs-set-char #x6CBF ?$B1h(B) ; J83-B-3168
(ucs-set-char #x6CC0 ?$(H'g(B) ; C02-H-2767
(ucs-set-char #x6CC1 ?$(C|O(B) ; KS0-C-7C4F
(ucs-set-char #x6CC1 ?$(GNS(B) ; C01-G-4E53
(ucs-set-char #x6CC1 ?$@67(B) ; J78-@-3637
(ucs-set-char #x6CC1 ?$B67(B) ; J83-B-3637
(ucs-set-char #x6CC2 ?$(C{"(B) ; KS0-C-7B22
(ucs-set-char #x6CC2 ?$(DFv(B) ; J90-D-4676
(ucs-set-char #x6CC2 ?$(H'Z(B) ; C02-H-275A
(ucs-set-char #x6CC3 ?$(H'\(B) ; C02-H-275C
(ucs-set-char #x6CC4 ?$(C`\(B) ; KS0-C-605C
(ucs-set-char #x6CC4 ?$(GNQ(B) ; C01-G-4E51
(ucs-set-char #x6CC4 ?$@]u(B) ; J78-@-5D75
(ucs-set-char #x6CC4 ?$AP9(B) ; GB0-A-5039
(ucs-set-char #x6CC4 ?$B]u(B) ; J83-B-5D75
(ucs-set-char #x6CC5 ?$(GNV(B) ; C01-G-4E56
(ucs-set-char #x6CC5 ?$@]z(B) ; J78-@-5D7A
(ucs-set-char #x6CC5 ?$AGv(B) ; GB0-A-4776
(ucs-set-char #x6CC5 ?$B]z(B) ; J83-B-5D7A
(ucs-set-char #x6CC6 ?$(DFw(B) ; J90-D-4677
(ucs-set-char #x6CC6 ?$(H'](B) ; C02-H-275D
(ucs-set-char #x6CC7 ?$(H'j(B) ; C02-H-276A
(ucs-set-char #x6CC8 ?$(I)m(B) ; C03-I-296D
(ucs-set-char #x6CC9 ?$(Ct;(B) ; KS0-C-743B
(ucs-set-char #x6CC9 ?$(GQx(B) ; C01-G-5178
(ucs-set-char #x6CC9 ?$@@t(B) ; J78-@-4074
(ucs-set-char #x6CC9 ?$AH*(B) ; GB0-A-482A
(ucs-set-char #x6CC9 ?$B@t(B) ; J83-B-4074
(ucs-set-char #x6CCA ?$(CZU(B) ; KS0-C-5A55
(ucs-set-char #x6CCA ?$(GN\(B) ; C01-G-4E5C
(ucs-set-char #x6CCA ?$@Gq(B) ; J78-@-4771
(ucs-set-char #x6CCA ?$A24(B) ; GB0-A-3234
(ucs-set-char #x6CCA ?$BGq(B) ; J83-B-4771
(ucs-set-char #x6CCB ?$(J&}(B) ; C04-J-267D
(ucs-set-char #x6CCC ?$(Cy2(B) ; KS0-C-7932
(ucs-set-char #x6CCC ?$(GNF(B) ; C01-G-4E46
(ucs-set-char #x6CCC ?$@Hg(B) ; J78-@-4867
(ucs-set-char #x6CCC ?$ACZ(B) ; GB0-A-435A
(ucs-set-char #x6CCC ?$BHg(B) ; J83-B-4867
(ucs-set-char #x6CCD ?$(DFx(B) ; J90-D-4678
(ucs-set-char #x6CCD ?$(H'i(B) ; C02-H-2769
(ucs-set-char #x6CCE ?$(I)l(B) ; C03-I-296C
(ucs-set-char #x6CCF ?$(DFy(B) ; J90-D-4679
(ucs-set-char #x6CCF ?$(H'm(B) ; C02-H-276D
(ucs-set-char #x6CD0 ?$(DFz(B) ; J90-D-467A
(ucs-set-char #x6CD0 ?$(H'Y(B) ; C02-H-2759
(ucs-set-char #x6CD0 ?$Acn(B) ; GB0-A-636E
(ucs-set-char #x6CD1 ?$(DF{(B) ; J90-D-467B
(ucs-set-char #x6CD1 ?$(H'o(B) ; C02-H-276F
(ucs-set-char #x6CD2 ?$(DF|(B) ; J90-D-467C
(ucs-set-char #x6CD2 ?$(H'`(B) ; C02-H-2760
(ucs-set-char #x6CD3 ?$(C{r(B) ; KS0-C-7B72
(ucs-set-char #x6CD3 ?$(GNO(B) ; C01-G-4E4F
(ucs-set-char #x6CD3 ?$@]w(B) ; J78-@-5D77
(ucs-set-char #x6CD3 ?$Ac|(B) ; GB0-A-637C
(ucs-set-char #x6CD3 ?$B]w(B) ; J83-B-5D77
(ucs-set-char #x6CD4 ?$(DF}(B) ; J90-D-467D
(ucs-set-char #x6CD4 ?$(H'U(B) ; C02-H-2755
(ucs-set-char #x6CD4 ?$Aco(B) ; GB0-A-636F
(ucs-set-char #x6CD5 ?$(C[v(B) ; KS0-C-5B76
(ucs-set-char #x6CD5 ?$(GNN(B) ; C01-G-4E4E
(ucs-set-char #x6CD5 ?$@K!(B) ; J78-@-4B21
(ucs-set-char #x6CD5 ?$A7((B) ; GB0-A-3728
(ucs-set-char #x6CD5 ?$BK!(B) ; J83-B-4B21
(ucs-set-char #x6CD6 ?$(DF~(B) ; J90-D-467E
(ucs-set-char #x6CD6 ?$(GN`(B) ; C01-G-4E60
(ucs-set-char #x6CD6 ?$Acw(B) ; GB0-A-6377
(ucs-set-char #x6CD7 ?$(C^_(B) ; KS0-C-5E5F
(ucs-set-char #x6CD7 ?$(GNU(B) ; C01-G-4E55
(ucs-set-char #x6CD7 ?$@]y(B) ; J78-@-5D79
(ucs-set-char #x6CD7 ?$Act(B) ; GB0-A-6374
(ucs-set-char #x6CD7 ?$B]y(B) ; J83-B-5D79
(ucs-set-char #x6CD8 ?$(I)j(B) ; C03-I-296A
(ucs-set-char #x6CD9 ?$(H'S(B) ; C02-H-2753
(ucs-set-char #x6CD9 ?$@^$(B) ; J78-@-5E24
(ucs-set-char #x6CD9 ?$B^$(B) ; J83-B-5E24
(ucs-set-char #x6CDA ?$(DG!(B) ; J90-D-4721
(ucs-set-char #x6CDA ?$(H+W(B) ; C02-H-2B57
(ucs-set-char #x6CDB ?$(C[r(B) ; KS0-C-5B72
(ucs-set-char #x6CDB ?$(GN[(B) ; C01-G-4E5B
(ucs-set-char #x6CDB ?$@^"(B) ; J78-@-5E22
(ucs-set-char #x6CDB ?$A7:(B) ; GB0-A-373A
(ucs-set-char #x6CDB ?$B^"(B) ; J83-B-5E22
(ucs-set-char #x6CDC ?$(DG"(B) ; J90-D-4722
(ucs-set-char #x6CDC ?$(GN_(B) ; C01-G-4E5F
(ucs-set-char #x6CDD ?$(H'a(B) ; C02-H-2761
(ucs-set-char #x6CDD ?$@]{(B) ; J78-@-5D7B
(ucs-set-char #x6CDD ?$B]{(B) ; J83-B-5D7B
(ucs-set-char #x6CDE ?$(H'f(B) ; C02-H-2766
(ucs-set-char #x6CDE ?$AE"(B) ; GB0-A-4522
(ucs-set-char #x6CDF ?$(I)e(B) ; C03-I-2965
(ucs-set-char #x6CE0 ?$(DG#(B) ; J90-D-4723
(ucs-set-char #x6CE0 ?$(GNa(B) ; C01-G-4E61
(ucs-set-char #x6CE0 ?$Acv(B) ; GB0-A-6376
(ucs-set-char #x6CE1 ?$(Cx\(B) ; KS0-C-785C
(ucs-set-char #x6CE1 ?$(GNZ(B) ; C01-G-4E5A
(ucs-set-char #x6CE1 ?$@K"(B) ; J78-@-4B22
(ucs-set-char #x6CE1 ?$AE](B) ; GB0-A-455D
(ucs-set-char #x6CE1 ?$BK"(B) ; J83-B-4B22
(ucs-set-char #x6CE2 ?$(Cwn(B) ; KS0-C-776E
(ucs-set-char #x6CE2 ?$(GNL(B) ; C01-G-4E4C
(ucs-set-char #x6CE2 ?$@GH(B) ; J78-@-4748
(ucs-set-char #x6CE2 ?$A2((B) ; GB0-A-3228
(ucs-set-char #x6CE2 ?$BGH(B) ; J83-B-4748
(ucs-set-char #x6CE3 ?$(Ckh(B) ; KS0-C-6B68
(ucs-set-char #x6CE3 ?$(GNB(B) ; C01-G-4E42
(ucs-set-char #x6CE3 ?$@5c(B) ; J78-@-3563
(ucs-set-char #x6CE3 ?$AF|(B) ; GB0-A-467C
(ucs-set-char #x6CE3 ?$B5c(B) ; J83-B-3563
(ucs-set-char #x6CE4 ?$(I)i(B) ; C03-I-2969
(ucs-set-char #x6CE5 ?$(CRz(B) ; KS0-C-527A
(ucs-set-char #x6CE5 ?$(GNG(B) ; C01-G-4E47
(ucs-set-char #x6CE5 ?$@E%(B) ; J78-@-4525
(ucs-set-char #x6CE5 ?$AD`(B) ; GB0-A-4460
(ucs-set-char #x6CE5 ?$BE%(B) ; J83-B-4525
(ucs-set-char #x6CE6 ?$(J&{(B) ; C04-J-267B
(ucs-set-char #x6CE7 ?$(DG$(B) ; J90-D-4724
(ucs-set-char #x6CE7 ?$(H'W(B) ; C02-H-2757
(ucs-set-char #x6CE8 ?$(Cq<(B) ; KS0-C-713C
(ucs-set-char #x6CE8 ?$(GNC(B) ; C01-G-4E43
(ucs-set-char #x6CE8 ?$@Cm(B) ; J78-@-436D
(ucs-set-char #x6CE8 ?$AW"(B) ; GB0-A-5722
(ucs-set-char #x6CE8 ?$BCm(B) ; J83-B-436D
(ucs-set-char #x6CE9 ?$(DG%(B) ; J90-D-4725
(ucs-set-char #x6CE9 ?$(H'n(B) ; C02-H-276E
(ucs-set-char #x6CEA ?$(I)g(B) ; C03-I-2967
(ucs-set-char #x6CEA ?$@^%(B) ; J78-@-5E25
(ucs-set-char #x6CEA ?$A@a(B) ; GB0-A-4061
(ucs-set-char #x6CEA ?$B^%(B) ; J83-B-5E25
(ucs-set-char #x6CEB ?$(CzZ(B) ; KS0-C-7A5A
(ucs-set-char #x6CEB ?$(DG&(B) ; J90-D-4726
(ucs-set-char #x6CEB ?$(H'Q(B) ; C02-H-2751
(ucs-set-char #x6CEB ?$Acy(B) ; GB0-A-6379
(ucs-set-char #x6CEC ?$(DG'(B) ; J90-D-4727
(ucs-set-char #x6CEC ?$(H'P(B) ; C02-H-2750
(ucs-set-char #x6CED ?$(H'^(B) ; C02-H-275E
(ucs-set-char #x6CEE ?$(CZj(B) ; KS0-C-5A6A
(ucs-set-char #x6CEE ?$(DG((B) ; J90-D-4728
(ucs-set-char #x6CEE ?$(H'R(B) ; C02-H-2752
(ucs-set-char #x6CEE ?$Acz(B) ; GB0-A-637A
(ucs-set-char #x6CEF ?$(CZF(B) ; KS0-C-5A46
(ucs-set-char #x6CEF ?$(GN^(B) ; C01-G-4E5E
(ucs-set-char #x6CEF ?$@^#(B) ; J78-@-5E23
(ucs-set-char #x6CEF ?$Ac}(B) ; GB0-A-637D
(ucs-set-char #x6CEF ?$B^#(B) ; J83-B-5E23
(ucs-set-char #x6CF0 ?$(CwA(B) ; KS0-C-7741
(ucs-set-char #x6CF0 ?$(GV9(B) ; C01-G-5639
(ucs-set-char #x6CF0 ?$@BY(B) ; J78-@-4259
(ucs-set-char #x6CF0 ?$AL)(B) ; GB0-A-4C29
(ucs-set-char #x6CF0 ?$BBY(B) ; J83-B-4259
(ucs-set-char #x6CF1 ?$(GNW(B) ; C01-G-4E57
(ucs-set-char #x6CF1 ?$@]v(B) ; J78-@-5D76
(ucs-set-char #x6CF1 ?$Acs(B) ; GB0-A-6373
(ucs-set-char #x6CF1 ?$B]v(B) ; J83-B-5D76
(ucs-set-char #x6CF2 ?$(DG)(B) ; J90-D-4729
(ucs-set-char #x6CF2 ?$(H'_(B) ; C02-H-275F
(ucs-set-char #x6CF3 ?$(Cg6(B) ; KS0-C-6736
(ucs-set-char #x6CF3 ?$(GND(B) ; C01-G-4E44
(ucs-set-char #x6CF3 ?$@1K(B) ; J78-@-314B
(ucs-set-char #x6CF3 ?$AS>(B) ; GB0-A-533E
(ucs-set-char #x6CF3 ?$B1K(B) ; J83-B-314B
(ucs-set-char #x6CF4 ?$(DG*(B) ; J90-D-472A
(ucs-set-char #x6CF4 ?$(I-O(B) ; C03-I-2D4F
(ucs-set-char #x6CF5 ?$(GR)(B) ; C01-G-5229
(ucs-set-char #x6CF5 ?$A1C(B) ; GB0-A-3143
(ucs-set-char #x6CF6 ?$Am4(B) ; GB0-A-6D34
(ucs-set-char #x6CF7 ?$Acq(B) ; GB0-A-6371
(ucs-set-char #x6CF8 ?$Acr(B) ; GB0-A-6372
(ucs-set-char #x6CF9 ?$(H'l(B) ; C02-H-276C
(ucs-set-char #x6CFA ?$Acx(B) ; GB0-A-6378
(ucs-set-char #x6CFB ?$AP:(B) ; GB0-A-503A
(ucs-set-char #x6CFC ?$AFC(B) ; GB0-A-4643
(ucs-set-char #x6CFD ?$ATs(B) ; GB0-A-5473
(ucs-set-char #x6CFE ?$Ac~(B) ; GB0-A-637E
(ucs-set-char #x6CFF ?$(I-F(B) ; C03-I-2D46
(ucs-set-char #x6D00 ?$(H+^(B) ; C02-H-2B5E
(ucs-set-char #x6D01 ?$(H+a(B) ; C02-H-2B61
(ucs-set-char #x6D01 ?$A=`(B) ; GB0-A-3D60
(ucs-set-char #x6D02 ?$(I-P(B) ; C03-I-2D50
(ucs-set-char #x6D03 ?$(H+d(B) ; C02-H-2B64
(ucs-set-char #x6D04 ?$(DG+(B) ; J90-D-472B
(ucs-set-char #x6D04 ?$(H+Y(B) ; C02-H-2B59
(ucs-set-char #x6D04 ?$Ad'(B) ; GB0-A-6427
(ucs-set-char #x6D05 ?$(I-H(B) ; C03-I-2D48
(ucs-set-char #x6D06 ?$(I-J(B) ; C03-I-2D4A
(ucs-set-char #x6D07 ?$(DG,(B) ; J90-D-472C
(ucs-set-char #x6D07 ?$(H+g(B) ; C02-H-2B67
(ucs-set-char #x6D07 ?$Ad&(B) ; GB0-A-6426
(ucs-set-char #x6D08 ?$(H+j(B) ; C02-H-2B6A
(ucs-set-char #x6D09 ?$(H+l(B) ; C02-H-2B6C
(ucs-set-char #x6D0A ?$(DG-(B) ; J90-D-472D
(ucs-set-char #x6D0A ?$(H+V(B) ; C02-H-2B56
(ucs-set-char #x6D0B ?$(CeG(B) ; KS0-C-6547
(ucs-set-char #x6D0B ?$(GQy(B) ; C01-G-5179
(ucs-set-char #x6D0B ?$@MN(B) ; J78-@-4D4E
(ucs-set-char #x6D0B ?$AQs(B) ; GB0-A-5173
(ucs-set-char #x6D0B ?$BMN(B) ; J83-B-4D4E
(ucs-set-char #x6D0C ?$(CV,(B) ; KS0-C-562C
(ucs-set-char #x6D0C ?$(GQ~(B) ; C01-G-517E
(ucs-set-char #x6D0C ?$@^0(B) ; J78-@-5E30
(ucs-set-char #x6D0C ?$Ad#(B) ; GB0-A-6423
(ucs-set-char #x6D0C ?$B^0(B) ; J83-B-5E30
(ucs-set-char #x6D0D ?$(H0,(B) ; C02-H-302C
(ucs-set-char #x6D0E ?$(DG.(B) ; J90-D-472E
(ucs-set-char #x6D0E ?$(GR0(B) ; C01-G-5230
(ucs-set-char #x6D0E ?$Ad)(B) ; GB0-A-6429
(ucs-set-char #x6D0F ?$(DG/(B) ; J90-D-472F
(ucs-set-char #x6D0F ?$(H+e(B) ; C02-H-2B65
(ucs-set-char #x6D10 ?$(H+m(B) ; C02-H-2B6D
(ucs-set-char #x6D11 ?$(C\G(B) ; KS0-C-5C47
(ucs-set-char #x6D11 ?$(DG0(B) ; J90-D-4730
(ucs-set-char #x6D11 ?$(H+](B) ; C02-H-2B5D
(ucs-set-char #x6D12 ?$(H+U(B) ; C02-H-2B55
(ucs-set-char #x6D12 ?$@^/(B) ; J78-@-5E2F
(ucs-set-char #x6D12 ?$AHw(B) ; GB0-A-4877
(ucs-set-char #x6D12 ?$B^/(B) ; J83-B-5E2F
(ucs-set-char #x6D13 ?$(DG1(B) ; J90-D-4731
(ucs-set-char #x6D13 ?$(I-I(B) ; C03-I-2D49
(ucs-set-char #x6D14 ?$(I-G(B) ; C03-I-2D47
(ucs-set-char #x6D15 ?$(I-M(B) ; C03-I-2D4D
(ucs-set-char #x6D16 ?$(H0G(B) ; C02-H-3047
(ucs-set-char #x6D17 ?$(Ca)(B) ; KS0-C-6129
(ucs-set-char #x6D17 ?$(GR#(B) ; C01-G-5223
(ucs-set-char #x6D17 ?$@@v(B) ; J78-@-4076
(ucs-set-char #x6D17 ?$AO4(B) ; GB0-A-4F34
(ucs-set-char #x6D17 ?$B@v(B) ; J83-B-4076
(ucs-set-char #x6D18 ?$(H+b(B) ; C02-H-2B62
(ucs-set-char #x6D19 ?$(Cb*(B) ; KS0-C-622A
(ucs-set-char #x6D19 ?$(H+Z(B) ; C02-H-2B5A
(ucs-set-char #x6D19 ?$@^,(B) ; J78-@-5E2C
(ucs-set-char #x6D19 ?$Ad((B) ; GB0-A-6428
(ucs-set-char #x6D19 ?$B^,(B) ; J83-B-5E2C
(ucs-set-char #x6D1A ?$(DG2(B) ; J90-D-4732
(ucs-set-char #x6D1A ?$(H+\(B) ; C02-H-2B5C
(ucs-set-char #x6D1A ?$Ad.(B) ; GB0-A-642E
(ucs-set-char #x6D1B ?$(CU&(B) ; KS0-C-5526
(ucs-set-char #x6D1B ?$(GR((B) ; C01-G-5228
(ucs-set-char #x6D1B ?$@Ml(B) ; J78-@-4D6C
(ucs-set-char #x6D1B ?$ABe(B) ; GB0-A-4265
(ucs-set-char #x6D1B ?$BMl(B) ; J83-B-4D6C
(ucs-set-char #x6D1C ?$(I1z(B) ; C03-I-317A
(ucs-set-char #x6D1D ?$(H+_(B) ; C02-H-2B5F
(ucs-set-char #x6D1E ?$(CTW(B) ; KS0-C-5457
(ucs-set-char #x6D1E ?$(GR"(B) ; C01-G-5222
(ucs-set-char #x6D1E ?$@F6(B) ; J78-@-4636
(ucs-set-char #x6D1E ?$A64(B) ; GB0-A-3634
(ucs-set-char #x6D1E ?$BF6(B) ; J83-B-4636
(ucs-set-char #x6D1F ?$(H+R(B) ; C02-H-2B52
(ucs-set-char #x6D1F ?$@^&(B) ; J78-@-5E26
(ucs-set-char #x6D1F ?$B^&(B) ; J83-B-5E26
(ucs-set-char #x6D20 ?$(H+h(B) ; C02-H-2B68
(ucs-set-char #x6D21 ?$(I-K(B) ; C03-I-2D4B
(ucs-set-char #x6D22 ?$(H+k(B) ; C02-H-2B6B
(ucs-set-char #x6D23 ?$(I-E(B) ; C03-I-2D45
(ucs-set-char #x6D24 ?$(I-W(B) ; C03-I-2D57
(ucs-set-char #x6D25 ?$(CrP(B) ; KS0-C-7250
(ucs-set-char #x6D25 ?$(GQ}(B) ; C01-G-517D
(ucs-set-char #x6D25 ?$@DE(B) ; J78-@-4445
(ucs-set-char #x6D25 ?$A=r(B) ; GB0-A-3D72
(ucs-set-char #x6D25 ?$BDE(B) ; J83-B-4445
(ucs-set-char #x6D26 ?$(DG3(B) ; J90-D-4733
(ucs-set-char #x6D26 ?$(I-S(B) ; C03-I-2D53
(ucs-set-char #x6D27 ?$(Cj{(B) ; KS0-C-6A7B
(ucs-set-char #x6D27 ?$(DG4(B) ; J90-D-4734
(ucs-set-char #x6D27 ?$(GR+(B) ; C01-G-522B
(ucs-set-char #x6D27 ?$Ad"(B) ; GB0-A-6422
(ucs-set-char #x6D28 ?$(DG5(B) ; J90-D-4735
(ucs-set-char #x6D28 ?$(H+O(B) ; C02-H-2B4F
(ucs-set-char #x6D29 ?$(C`](B) ; KS0-C-605D
(ucs-set-char #x6D29 ?$(GR-(B) ; C01-G-522D
(ucs-set-char #x6D29 ?$@1L(B) ; J78-@-314C
(ucs-set-char #x6D29 ?$B1L(B) ; J83-B-314C
(ucs-set-char #x6D2A ?$(C{s(B) ; KS0-C-7B73
(ucs-set-char #x6D2A ?$(GQ{(B) ; C01-G-517B
(ucs-set-char #x6D2A ?$@9?(B) ; J78-@-393F
(ucs-set-char #x6D2A ?$A:i(B) ; GB0-A-3A69
(ucs-set-char #x6D2A ?$B9?(B) ; J83-B-393F
(ucs-set-char #x6D2B ?$(GR1(B) ; C01-G-5231
(ucs-set-char #x6D2B ?$@^)(B) ; J78-@-5E29
(ucs-set-char #x6D2B ?$Ad*(B) ; GB0-A-642A
(ucs-set-char #x6D2B ?$B^)(B) ; J83-B-5E29
(ucs-set-char #x6D2C ?$(H+i(B) ; C02-H-2B69
(ucs-set-char #x6D2D ?$(H+Q(B) ; C02-H-2B51
(ucs-set-char #x6D2E ?$(DG7(B) ; J90-D-4737
(ucs-set-char #x6D2E ?$(GR.(B) ; C01-G-522E
(ucs-set-char #x6D2E ?$Ad,(B) ; GB0-A-642C
(ucs-set-char #x6D2F ?$(DG8(B) ; J90-D-4738
(ucs-set-char #x6D2F ?$(H0A(B) ; C02-H-3041
(ucs-set-char #x6D30 ?$(H'h(B) ; C02-H-2768
(ucs-set-char #x6D31 ?$(DG9(B) ; J90-D-4739
(ucs-set-char #x6D31 ?$(GR!(B) ; C01-G-5221
(ucs-set-char #x6D31 ?$A6}(B) ; GB0-A-367D
(ucs-set-char #x6D32 ?$(Cq=(B) ; KS0-C-713D
(ucs-set-char #x6D32 ?$(GQz(B) ; C01-G-517A
(ucs-set-char #x6D32 ?$@='(B) ; J78-@-3D27
(ucs-set-char #x6D32 ?$AV^(B) ; GB0-A-565E
(ucs-set-char #x6D32 ?$B='(B) ; J83-B-3D27
(ucs-set-char #x6D33 ?$(H+X(B) ; C02-H-2B58
(ucs-set-char #x6D33 ?$@^.(B) ; J78-@-5E2E
(ucs-set-char #x6D33 ?$Ad2(B) ; GB0-A-6432
(ucs-set-char #x6D33 ?$B^.(B) ; J83-B-5E2E
(ucs-set-char #x6D34 ?$(H+P(B) ; C02-H-2B50
(ucs-set-char #x6D34 ?$(I6u(B) ; C03-I-3675
(ucs-set-char #x6D35 ?$(Cbg(B) ; KS0-C-6267
(ucs-set-char #x6D35 ?$(GR/(B) ; C01-G-522F
(ucs-set-char #x6D35 ?$@^-(B) ; J78-@-5E2D
(ucs-set-char #x6D35 ?$Ad-(B) ; GB0-A-642D
(ucs-set-char #x6D35 ?$B^-(B) ; J83-B-5E2D
(ucs-set-char #x6D36 ?$(C}W(B) ; KS0-C-7D57
(ucs-set-char #x6D36 ?$(GR'(B) ; C01-G-5227
(ucs-set-char #x6D36 ?$@^((B) ; J78-@-5E28
(ucs-set-char #x6D36 ?$B^((B) ; J83-B-5E28
(ucs-set-char #x6D37 ?$(H+c(B) ; C02-H-2B63
(ucs-set-char #x6D38 ?$(CNH(B) ; KS0-C-4E48
(ucs-set-char #x6D38 ?$(GR,(B) ; C01-G-522C
(ucs-set-char #x6D38 ?$@^+(B) ; J78-@-5E2B
(ucs-set-char #x6D38 ?$B^+(B) ; J83-B-5E2B
(ucs-set-char #x6D39 ?$(Cj7(B) ; KS0-C-6A37
(ucs-set-char #x6D39 ?$(DG:(B) ; J90-D-473A
(ucs-set-char #x6D39 ?$(GR*(B) ; C01-G-522A
(ucs-set-char #x6D39 ?$Ad!(B) ; GB0-A-6421
(ucs-set-char #x6D3A ?$(H+[(B) ; C02-H-2B5B
(ucs-set-char #x6D3B ?$(C|@(B) ; KS0-C-7C40
(ucs-set-char #x6D3B ?$(GR$(B) ; C01-G-5224
(ucs-set-char #x6D3B ?$@3h(B) ; J78-@-3368
(ucs-set-char #x6D3B ?$A;n(B) ; GB0-A-3B6E
(ucs-set-char #x6D3B ?$B3h(B) ; J83-B-3368
(ucs-set-char #x6D3C ?$(DG;(B) ; J90-D-473B
(ucs-set-char #x6D3C ?$(H+S(B) ; C02-H-2B53
(ucs-set-char #x6D3C ?$AM](B) ; GB0-A-4D5D
(ucs-set-char #x6D3D ?$(C}g(B) ; KS0-C-7D67
(ucs-set-char #x6D3D ?$(GR%(B) ; C01-G-5225
(ucs-set-char #x6D3D ?$@^*(B) ; J78-@-5E2A
(ucs-set-char #x6D3D ?$AG"(B) ; GB0-A-4722
(ucs-set-char #x6D3D ?$B^*(B) ; J83-B-5E2A
(ucs-set-char #x6D3E ?$(Cwo(B) ; KS0-C-776F
(ucs-set-char #x6D3E ?$(GR&(B) ; C01-G-5226
(ucs-set-char #x6D3E ?$(L2B(B) ; C06-L-3242
(ucs-set-char #x6D3E ?$@GI(B) ; J78-@-4749
(ucs-set-char #x6D3E ?$AEI(B) ; GB0-A-4549
(ucs-set-char #x6D3E ?$BGI(B) ; J83-B-4749
(ucs-set-char #x6D3F ?$(DG<(B) ; J90-D-473C
(ucs-set-char #x6D3F ?$(H+T(B) ; C02-H-2B54
(ucs-set-char #x6D40 ?$(H+f(B) ; C02-H-2B66
(ucs-set-char #x6D41 ?$(CW5(B) ; KS0-C-5735
(ucs-set-char #x6D41 ?$(GQ|(B) ; C01-G-517C
(ucs-set-char #x6D41 ?$(J-p(B) ; C04-J-2D70
(ucs-set-char #x6D41 ?$@N.(B) ; J78-@-4E2E
(ucs-set-char #x6D41 ?$AAw(B) ; GB0-A-4177
(ucs-set-char #x6D41 ?$BN.(B) ; J83-B-4E2E
(ucs-set-char #x6D42 ?$(H+`(B) ; C02-H-2B60
(ucs-set-char #x6D43 ?$(J*!(B) ; C04-J-2A21
(ucs-set-char #x6D43 ?$Ad$(B) ; GB0-A-6424
(ucs-set-char #x6D44 ?$(I-U(B) ; C03-I-2D55
(ucs-set-char #x6D44 ?$@>t(B) ; J78-@-3E74
(ucs-set-char #x6D44 ?$B>t(B) ; J83-B-3E74
(ucs-set-char #x6D45 ?$(I-Q(B) ; C03-I-2D51
(ucs-set-char #x6D45 ?$@@u(B) ; J78-@-4075
(ucs-set-char #x6D45 ?$AG3(B) ; GB0-A-4733
(ucs-set-char #x6D45 ?$B@u(B) ; J83-B-4075
(ucs-set-char #x6D46 ?$A=,(B) ; GB0-A-3D2C
(ucs-set-char #x6D47 ?$A==(B) ; GB0-A-3D3D
(ucs-set-char #x6D48 ?$Ad%(B) ; GB0-A-6425
(ucs-set-char #x6D4A ?$AWG(B) ; GB0-A-5747
(ucs-set-char #x6D4B ?$A2b(B) ; GB0-A-3262
(ucs-set-char #x6D4D ?$Ad+(B) ; GB0-A-642B
(ucs-set-char #x6D4E ?$A<C(B) ; GB0-A-3C43
(ucs-set-char #x6D4F ?$Ad/(B) ; GB0-A-642F
(ucs-set-char #x6D51 ?$A;k(B) ; GB0-A-3B6B
(ucs-set-char #x6D52 ?$Ad0(B) ; GB0-A-6430
(ucs-set-char #x6D53 ?$AE((B) ; GB0-A-4528
(ucs-set-char #x6D54 ?$Ad1(B) ; GB0-A-6431
(ucs-set-char #x6D56 ?$(I1w(B) ; C03-I-3177
(ucs-set-char #x6D57 ?$(DG=(B) ; J90-D-473D
(ucs-set-char #x6D57 ?$(I1s(B) ; C03-I-3173
(ucs-set-char #x6D58 ?$(H0/(B) ; C02-H-302F
(ucs-set-char #x6D59 ?$(Co:(B) ; KS0-C-6F3A
(ucs-set-char #x6D59 ?$(GVA(B) ; C01-G-5641
(ucs-set-char #x6D59 ?$@^6(B) ; J78-@-5E36
(ucs-set-char #x6D59 ?$AUc(B) ; GB0-A-5563
(ucs-set-char #x6D59 ?$B^6(B) ; J83-B-5E36
(ucs-set-char #x6D5A ?$(Cq](B) ; KS0-C-715D
(ucs-set-char #x6D5A ?$(GVF(B) ; C01-G-5646
(ucs-set-char #x6D5A ?$@^4(B) ; J78-@-5E34
(ucs-set-char #x6D5A ?$A?#(B) ; GB0-A-3F23
(ucs-set-char #x6D5A ?$B^4(B) ; J83-B-5E34
(ucs-set-char #x6D5B ?$(I1y(B) ; C03-I-3179
(ucs-set-char #x6D5C ?$(C^3(B) ; KS0-C-5E33
(ucs-set-char #x6D5C ?$(I2&(B) ; C03-I-3226
(ucs-set-char #x6D5C ?$@IM(B) ; J78-@-494D
(ucs-set-char #x6D5C ?$Ad:(B) ; GB0-A-643A
(ucs-set-char #x6D5C ?$BIM(B) ; J83-B-494D
(ucs-set-char #x6D5D ?$(I1v(B) ; C03-I-3176
(ucs-set-char #x6D5E ?$(DG>(B) ; J90-D-473E
(ucs-set-char #x6D5E ?$(H08(B) ; C02-H-3038
(ucs-set-char #x6D5E ?$Ad7(B) ; GB0-A-6437
(ucs-set-char #x6D5F ?$(DG?(B) ; J90-D-473F
(ucs-set-char #x6D5F ?$(H0>(B) ; C02-H-303E
(ucs-set-char #x6D60 ?$(H0:(B) ; C02-H-303A
(ucs-set-char #x6D60 ?$Ad;(B) ; GB0-A-643B
(ucs-set-char #x6D61 ?$(DG@(B) ; J90-D-4740
(ucs-set-char #x6D61 ?$(H0-(B) ; C02-H-302D
(ucs-set-char #x6D62 ?$(H00(B) ; C02-H-3030
(ucs-set-char #x6D63 ?$(ChK(B) ; KS0-C-684B
(ucs-set-char #x6D63 ?$(H0)(B) ; C02-H-3029
(ucs-set-char #x6D63 ?$@^1(B) ; J78-@-5E31
(ucs-set-char #x6D63 ?$Ad=(B) ; GB0-A-643D
(ucs-set-char #x6D63 ?$B^1(B) ; J83-B-5E31
(ucs-set-char #x6D64 ?$(H0*(B) ; C02-H-302A
(ucs-set-char #x6D64 ?$@^3(B) ; J78-@-5E33
(ucs-set-char #x6D64 ?$B^3(B) ; J83-B-5E33
(ucs-set-char #x6D65 ?$(DGA(B) ; J90-D-4741
(ucs-set-char #x6D65 ?$(GVM(B) ; C01-G-564D
(ucs-set-char #x6D66 ?$(Cx](B) ; KS0-C-785D
(ucs-set-char #x6D66 ?$(GV>(B) ; C01-G-563E
(ucs-set-char #x6D66 ?$@1:(B) ; J78-@-313A
(ucs-set-char #x6D66 ?$AFV(B) ; GB0-A-4656
(ucs-set-char #x6D66 ?$B1:(B) ; J83-B-313A
(ucs-set-char #x6D67 ?$(DGB(B) ; J90-D-4742
(ucs-set-char #x6D67 ?$(H09(B) ; C02-H-3039
(ucs-set-char #x6D68 ?$(H0B(B) ; C02-H-3042
(ucs-set-char #x6D69 ?$(C{G(B) ; KS0-C-7B47
(ucs-set-char #x6D69 ?$(GVH(B) ; C01-G-5648
(ucs-set-char #x6D69 ?$(L9-(B) ; C06-L-392D
(ucs-set-char #x6D69 ?$@9@(B) ; J78-@-3940
(ucs-set-char #x6D69 ?$A:F(B) ; GB0-A-3A46
(ucs-set-char #x6D69 ?$B9@(B) ; J83-B-3940
(ucs-set-char #x6D6A ?$(CUH(B) ; KS0-C-5548
(ucs-set-char #x6D6A ?$(GV:(B) ; C01-G-563A
(ucs-set-char #x6D6A ?$@O2(B) ; J78-@-4F32
(ucs-set-char #x6D6A ?$A@K(B) ; GB0-A-404B
(ucs-set-char #x6D6A ?$BO2(B) ; J83-B-4F32
(ucs-set-char #x6D6B ?$(I1o(B) ; C03-I-316F
(ucs-set-char #x6D6C ?$(CW_(B) ; KS0-C-575F
(ucs-set-char #x6D6C ?$(GVC(B) ; C01-G-5643
(ucs-set-char #x6D6C ?$@3=(B) ; J78-@-333D
(ucs-set-char #x6D6C ?$B3=(B) ; J83-B-333D
(ucs-set-char #x6D6D ?$(H01(B) ; C02-H-3031
(ucs-set-char #x6D6E ?$(C])(B) ; KS0-C-5D29
(ucs-set-char #x6D6E ?$(GVE(B) ; C01-G-5645
(ucs-set-char #x6D6E ?$@Ib(B) ; J78-@-4962
(ucs-set-char #x6D6E ?$A8!(B) ; GB0-A-3821
(ucs-set-char #x6D6E ?$BIb(B) ; J83-B-4962
(ucs-set-char #x6D6F ?$(DGC(B) ; J90-D-4743
(ucs-set-char #x6D6F ?$(H02(B) ; C02-H-3032
(ucs-set-char #x6D6F ?$Ad4(B) ; GB0-A-6434
(ucs-set-char #x6D70 ?$(DGD(B) ; J90-D-4744
(ucs-set-char #x6D70 ?$(H0<(B) ; C02-H-303C
(ucs-set-char #x6D71 ?$(I2"(B) ; C03-I-3222
(ucs-set-char #x6D72 ?$(I2%(B) ; C03-I-3225
(ucs-set-char #x6D73 ?$(I1r(B) ; C03-I-3172
(ucs-set-char #x6D74 ?$(Ci1(B) ; KS0-C-6931
(ucs-set-char #x6D74 ?$(GVG(B) ; C01-G-5647
(ucs-set-char #x6D74 ?$@Ma(B) ; J78-@-4D61
(ucs-set-char #x6D74 ?$AT!(B) ; GB0-A-5421
(ucs-set-char #x6D74 ?$BMa(B) ; J83-B-4D61
(ucs-set-char #x6D75 ?$(H0K(B) ; C02-H-304B
(ucs-set-char #x6D76 ?$(H0+(B) ; C02-H-302B
(ucs-set-char #x6D77 ?$(Cz-(B) ; KS0-C-7A2D
(ucs-set-char #x6D77 ?$(GV@(B) ; C01-G-5640
(ucs-set-char #x6D77 ?$(J*%(B) ; C04-J-2A25
(ucs-set-char #x6D77 ?$@3$(B) ; J78-@-3324
(ucs-set-char #x6D77 ?$A:#(B) ; GB0-A-3A23
(ucs-set-char #x6D77 ?$B3$(B) ; J83-B-3324
(ucs-set-char #x6D78 ?$(CvY(B) ; KS0-C-7659
(ucs-set-char #x6D78 ?$(GV?(B) ; C01-G-563F
(ucs-set-char #x6D78 ?$(L8t(B) ; C06-L-3874
(ucs-set-char #x6D78 ?$@?;(B) ; J78-@-3F3B
(ucs-set-char #x6D78 ?$A=~(B) ; GB0-A-3D7E
(ucs-set-char #x6D78 ?$B?;(B) ; J83-B-3F3B
(ucs-set-char #x6D79 ?$(Czt(B) ; KS0-C-7A74
(ucs-set-char #x6D79 ?$(GVK(B) ; C01-G-564B
(ucs-set-char #x6D79 ?$@^5(B) ; J78-@-5E35
(ucs-set-char #x6D79 ?$B^5(B) ; J83-B-5E35
(ucs-set-char #x6D7A ?$(H0((B) ; C02-H-3028
(ucs-set-char #x6D7B ?$(H0I(B) ; C02-H-3049
(ucs-set-char #x6D7C ?$(DGE(B) ; J90-D-4745
(ucs-set-char #x6D7C ?$(H0=(B) ; C02-H-303D
(ucs-set-char #x6D7C ?$Ad<(B) ; GB0-A-643C
(ucs-set-char #x6D7D ?$(H0J(B) ; C02-H-304A
(ucs-set-char #x6D7E ?$(H0D(B) ; C02-H-3044
(ucs-set-char #x6D7F ?$(Cx*(B) ; KS0-C-782A
(ucs-set-char #x6D7F ?$(H06(B) ; C02-H-3036
(ucs-set-char #x6D80 ?$(H0E(B) ; C02-H-3045
(ucs-set-char #x6D81 ?$(I2!(B) ; C03-I-3221
(ucs-set-char #x6D82 ?$(DGF(B) ; J90-D-4746
(ucs-set-char #x6D82 ?$(H0?(B) ; C02-H-303F
(ucs-set-char #x6D82 ?$AM?(B) ; GB0-A-4D3F
(ucs-set-char #x6D83 ?$(H0H(B) ; C02-H-3048
(ucs-set-char #x6D84 ?$(H0F(B) ; C02-H-3046
(ucs-set-char #x6D85 ?$(Cfn(B) ; KS0-C-666E
(ucs-set-char #x6D85 ?$(GVL(B) ; C01-G-564C
(ucs-set-char #x6D85 ?$@^:(B) ; J78-@-5E3A
(ucs-set-char #x6D85 ?$ADy(B) ; GB0-A-4479
(ucs-set-char #x6D85 ?$B^:(B) ; J83-B-5E3A
(ucs-set-char #x6D86 ?$(H07(B) ; C02-H-3037
(ucs-set-char #x6D87 ?$(CL\(B) ; KS0-C-4C5C
(ucs-set-char #x6D87 ?$(DGG(B) ; J90-D-4747
(ucs-set-char #x6D87 ?$(GV=(B) ; C01-G-563D
(ucs-set-char #x6D88 ?$(Ca<(B) ; KS0-C-613C
(ucs-set-char #x6D88 ?$(GV<(B) ; C01-G-563C
(ucs-set-char #x6D88 ?$@>C(B) ; J78-@-3E43
(ucs-set-char #x6D88 ?$AO{(B) ; GB0-A-4F7B
(ucs-set-char #x6D88 ?$B>C(B) ; J83-B-3E43
(ucs-set-char #x6D89 ?$(C`o(B) ; KS0-C-606F
(ucs-set-char #x6D89 ?$(GVD(B) ; C01-G-5644
(ucs-set-char #x6D89 ?$AIf(B) ; GB0-A-4966
(ucs-set-char #x6D8A ?$(GVJ(B) ; C01-G-564A
(ucs-set-char #x6D8B ?$(H0C(B) ; C02-H-3043
(ucs-set-char #x6D8C ?$(Ci?(B) ; KS0-C-693F
(ucs-set-char #x6D8C ?$(GVI(B) ; C01-G-5649
(ucs-set-char #x6D8C ?$@M0(B) ; J78-@-4D30
(ucs-set-char #x6D8C ?$AS?(B) ; GB0-A-533F
(ucs-set-char #x6D8C ?$BM0(B) ; J83-B-4D30
(ucs-set-char #x6D8D ?$(C|}(B) ; KS0-C-7C7D
(ucs-set-char #x6D8D ?$(H04(B) ; C02-H-3034
(ucs-set-char #x6D8E ?$(CfN(B) ; KS0-C-664E
(ucs-set-char #x6D8E ?$(G[H(B) ; C01-G-5B48
(ucs-set-char #x6D8E ?$@^7(B) ; J78-@-5E37
(ucs-set-char #x6D8E ?$AOQ(B) ; GB0-A-4F51
(ucs-set-char #x6D8E ?$B^7(B) ; J83-B-5E37
(ucs-set-char #x6D8F ?$(I1x(B) ; C03-I-3178
(ucs-set-char #x6D90 ?$(H0L(B) ; C02-H-304C
(ucs-set-char #x6D91 ?$(CaW(B) ; KS0-C-6157
(ucs-set-char #x6D91 ?$(DGH(B) ; J90-D-4748
(ucs-set-char #x6D91 ?$(H03(B) ; C02-H-3033
(ucs-set-char #x6D91 ?$Ad3(B) ; GB0-A-6433
(ucs-set-char #x6D92 ?$(DGI(B) ; J90-D-4749
(ucs-set-char #x6D92 ?$(H0.(B) ; C02-H-302E
(ucs-set-char #x6D93 ?$(CfO(B) ; KS0-C-664F
(ucs-set-char #x6D93 ?$(GVB(B) ; C01-G-5642
(ucs-set-char #x6D93 ?$@^2(B) ; J78-@-5E32
(ucs-set-char #x6D93 ?$Ad8(B) ; GB0-A-6438
(ucs-set-char #x6D93 ?$B^2(B) ; J83-B-5E32
(ucs-set-char #x6D94 ?$(DGJ(B) ; J90-D-474A
(ucs-set-char #x6D94 ?$(GVN(B) ; C01-G-564E
(ucs-set-char #x6D94 ?$Ad9(B) ; GB0-A-6439
(ucs-set-char #x6D95 ?$(Ctq(B) ; KS0-C-7471
(ucs-set-char #x6D95 ?$(GV;(B) ; C01-G-563B
(ucs-set-char #x6D95 ?$@^8(B) ; J78-@-5E38
(ucs-set-char #x6D95 ?$ALi(B) ; GB0-A-4C69
(ucs-set-char #x6D95 ?$B^8(B) ; J83-B-5E38
(ucs-set-char #x6D96 ?$(DGK(B) ; J90-D-474B
(ucs-set-char #x6D96 ?$(I2'(B) ; C03-I-3227
(ucs-set-char #x6D97 ?$(DGL(B) ; J90-D-474C
(ucs-set-char #x6D97 ?$(H0;(B) ; C02-H-303B
(ucs-set-char #x6D98 ?$(DGM(B) ; J90-D-474D
(ucs-set-char #x6D98 ?$(H0@(B) ; C02-H-3040
(ucs-set-char #x6D99 ?$(I1}(B) ; C03-I-317D
(ucs-set-char #x6D99 ?$@N^(B) ; J78-@-4E5E
(ucs-set-char #x6D99 ?$BN^(B) ; J83-B-4E5E
(ucs-set-char #x6D9A ?$(I1{(B) ; C03-I-317B
(ucs-set-char #x6D9B ?$(I1|(B) ; C03-I-317C
(ucs-set-char #x6D9B ?$@^9(B) ; J78-@-5E39
(ucs-set-char #x6D9B ?$ALN(B) ; GB0-A-4C4E
(ucs-set-char #x6D9B ?$BEs(B) ; J83-B-4573
(ucs-set-char #x6D9C ?$BFB(B) ; J83-B-4642
(ucs-set-char #x6D9D ?$A@T(B) ; GB0-A-4054
(ucs-set-char #x6D9E ?$Ad5(B) ; GB0-A-6435
(ucs-set-char #x6D9F ?$AA0(B) ; GB0-A-4130
(ucs-set-char #x6DA0 ?$Ad6(B) ; GB0-A-6436
(ucs-set-char #x6DA1 ?$ANP(B) ; GB0-A-4E50
(ucs-set-char #x6DA3 ?$A;A(B) ; GB0-A-3B41
(ucs-set-char #x6DA4 ?$A5S(B) ; GB0-A-3553
(ucs-set-char #x6DA6 ?$AHs(B) ; GB0-A-4873
(ucs-set-char #x6DA7 ?$A='(B) ; GB0-A-3D27
(ucs-set-char #x6DA8 ?$AUG(B) ; GB0-A-5547
(ucs-set-char #x6DA9 ?$AI,(B) ; GB0-A-492C
(ucs-set-char #x6DAA ?$(DGN(B) ; J90-D-474E
(ucs-set-char #x6DAA ?$(G[j(B) ; C01-G-5B6A
(ucs-set-char #x6DAA ?$A8"(B) ; GB0-A-3822
(ucs-set-char #x6DAB ?$(H6E(B) ; C02-H-3645
(ucs-set-char #x6DAB ?$AdJ(B) ; GB0-A-644A
(ucs-set-char #x6DAC ?$(DGO(B) ; J90-D-474F
(ucs-set-char #x6DAC ?$(H6I(B) ; C02-H-3649
(ucs-set-char #x6DAD ?$(I6o(B) ; C03-I-366F
(ucs-set-char #x6DAE ?$(G[W(B) ; C01-G-5B57
(ucs-set-char #x6DAE ?$AdL(B) ; GB0-A-644C
(ucs-set-char #x6DAF ?$(Cds(B) ; KS0-C-6473
(ucs-set-char #x6DAF ?$(G[U(B) ; C01-G-5B55
(ucs-set-char #x6DAF ?$@36(B) ; J78-@-3336
(ucs-set-char #x6DAF ?$AQD(B) ; GB0-A-5144
(ucs-set-char #x6DAF ?$B36(B) ; J83-B-3336
(ucs-set-char #x6DB0 ?$(I6z(B) ; C03-I-367A
(ucs-set-char #x6DB1 ?$(I7!(B) ; C03-I-3721
(ucs-set-char #x6DB2 ?$(Cd{(B) ; KS0-C-647B
(ucs-set-char #x6DB2 ?$(G[L(B) ; C01-G-5B4C
(ucs-set-char #x6DB2 ?$@1U(B) ; J78-@-3155
(ucs-set-char #x6DB2 ?$AR:(B) ; GB0-A-523A
(ucs-set-char #x6DB2 ?$B1U(B) ; J83-B-3155
(ucs-set-char #x6DB3 ?$(H6G(B) ; C02-H-3647
(ucs-set-char #x6DB4 ?$(DGP(B) ; J90-D-4750
(ucs-set-char #x6DB4 ?$(H6F(B) ; C02-H-3646
(ucs-set-char #x6DB5 ?$(Cyd(B) ; KS0-C-7964
(ucs-set-char #x6DB5 ?$(G[`(B) ; C01-G-5B60
(ucs-set-char #x6DB5 ?$@^>(B) ; J78-@-5E3E
(ucs-set-char #x6DB5 ?$A:-(B) ; GB0-A-3A2D
(ucs-set-char #x6DB5 ?$B^>(B) ; J83-B-5E3E
(ucs-set-char #x6DB6 ?$(I<P(B) ; C03-I-3C50
(ucs-set-char #x6DB7 ?$(DGQ(B) ; J90-D-4751
(ucs-set-char #x6DB7 ?$(H6L(B) ; C02-H-364C
(ucs-set-char #x6DB8 ?$(G[Z(B) ; C01-G-5B5A
(ucs-set-char #x6DB8 ?$@^A(B) ; J78-@-5E41
(ucs-set-char #x6DB8 ?$A:T(B) ; GB0-A-3A54
(ucs-set-char #x6DB8 ?$B^A(B) ; J83-B-5E41
(ucs-set-char #x6DB9 ?$(DGR(B) ; J90-D-4752
(ucs-set-char #x6DB9 ?$(I6r(B) ; C03-I-3672
(ucs-set-char #x6DBA ?$(H6^(B) ; C02-H-365E
(ucs-set-char #x6DBB ?$(H6j(B) ; C02-H-366A
(ucs-set-char #x6DBC ?$(G[I(B) ; C01-G-5B49
(ucs-set-char #x6DBC ?$@NC(B) ; J78-@-4E43
(ucs-set-char #x6DBC ?$BNC(B) ; J83-B-4E43
(ucs-set-char #x6DBD ?$(DGS(B) ; J90-D-4753
(ucs-set-char #x6DBD ?$(H6[(B) ; C02-H-365B
(ucs-set-char #x6DBE ?$(H6T(B) ; C02-H-3654
(ucs-set-char #x6DBF ?$(DGT(B) ; J90-D-4754
(ucs-set-char #x6DBF ?$(G[l(B) ; C01-G-5B6C
(ucs-set-char #x6DBF ?$AdC(B) ; GB0-A-6443
(ucs-set-char #x6DC0 ?$(Coc(B) ; KS0-C-6F63
(ucs-set-char #x6DC0 ?$(H6D(B) ; C02-H-3644
(ucs-set-char #x6DC0 ?$@Md(B) ; J78-@-4D64
(ucs-set-char #x6DC0 ?$A5m(B) ; GB0-A-356D
(ucs-set-char #x6DC0 ?$BMd(B) ; J83-B-4D64
(ucs-set-char #x6DC1 ?$(I6j(B) ; C03-I-366A
(ucs-set-char #x6DC2 ?$(H6`(B) ; C02-H-3660
(ucs-set-char #x6DC3 ?$(COn(B) ; KS0-C-4F6E
(ucs-set-char #x6DC3 ?$(I6k(B) ; C03-I-366B
(ucs-set-char #x6DC4 ?$(Cv>(B) ; KS0-C-763E
(ucs-set-char #x6DC4 ?$(DGU(B) ; J90-D-4755
(ucs-set-char #x6DC4 ?$(G[i(B) ; C01-G-5B69
(ucs-set-char #x6DC4 ?$AWM(B) ; GB0-A-574D
(ucs-set-char #x6DC5 ?$(C`2(B) ; KS0-C-6032
(ucs-set-char #x6DC5 ?$(G[](B) ; C01-G-5B5D
(ucs-set-char #x6DC5 ?$@^H(B) ; J78-@-5E48
(ucs-set-char #x6DC5 ?$Ad@(B) ; GB0-A-6440
(ucs-set-char #x6DC5 ?$B^H(B) ; J83-B-5E48
(ucs-set-char #x6DC6 ?$(C|~(B) ; KS0-C-7C7E
(ucs-set-char #x6DC6 ?$(G[h(B) ; C01-G-5B68
(ucs-set-char #x6DC6 ?$@^B(B) ; J78-@-5E42
(ucs-set-char #x6DC6 ?$AO}(B) ; GB0-A-4F7D
(ucs-set-char #x6DC6 ?$B^B(B) ; J83-B-5E42
(ucs-set-char #x6DC7 ?$(CQ+(B) ; KS0-C-512B
(ucs-set-char #x6DC7 ?$(G[S(B) ; C01-G-5B53
(ucs-set-char #x6DC7 ?$@^?(B) ; J78-@-5E3F
(ucs-set-char #x6DC7 ?$Ad?(B) ; GB0-A-643F
(ucs-set-char #x6DC7 ?$B^?(B) ; J83-B-5E3F
(ucs-set-char #x6DC8 ?$(DGV(B) ; J90-D-4756
(ucs-set-char #x6DC8 ?$(H6P(B) ; C02-H-3650
(ucs-set-char #x6DC9 ?$(H6b(B) ; C02-H-3662
(ucs-set-char #x6DCA ?$(DGW(B) ; J90-D-4757
(ucs-set-char #x6DCA ?$(H6Z(B) ; C02-H-365A
(ucs-set-char #x6DCB ?$(CWz(B) ; KS0-C-577A
(ucs-set-char #x6DCB ?$(G[T(B) ; C01-G-5B54
(ucs-set-char #x6DCB ?$@NT(B) ; J78-@-4E54
(ucs-set-char #x6DCB ?$AA\(B) ; GB0-A-415C
(ucs-set-char #x6DCB ?$BNT(B) ; J83-B-4E54
(ucs-set-char #x6DCC ?$(G[N(B) ; C01-G-5B4E
(ucs-set-char #x6DCC ?$@^E(B) ; J78-@-5E45
(ucs-set-char #x6DCC ?$ALJ(B) ; GB0-A-4C4A
(ucs-set-char #x6DCC ?$B^E(B) ; J83-B-5E45
(ucs-set-char #x6DCD ?$(H6h(B) ; C02-H-3668
(ucs-set-char #x6DCE ?$(DGX(B) ; J90-D-4758
(ucs-set-char #x6DCE ?$(I6l(B) ; C03-I-366C
(ucs-set-char #x6DCF ?$(C{H(B) ; KS0-C-7B48
(ucs-set-char #x6DCF ?$(DGY(B) ; J90-D-4759
(ucs-set-char #x6DCF ?$(H6a(B) ; C02-H-3661
(ucs-set-char #x6DD0 ?$(H6c(B) ; C02-H-3663
(ucs-set-char #x6DD1 ?$(CbW(B) ; KS0-C-6257
(ucs-set-char #x6DD1 ?$(G[V(B) ; C01-G-5B56
(ucs-set-char #x6DD1 ?$@=J(B) ; J78-@-3D4A
(ucs-set-char #x6DD1 ?$AJg(B) ; GB0-A-4A67
(ucs-set-char #x6DD1 ?$B=J(B) ; J83-B-3D4A
(ucs-set-char #x6DD2 ?$(G[^(B) ; C01-G-5B5E
(ucs-set-char #x6DD2 ?$@^G(B) ; J78-@-5E47
(ucs-set-char #x6DD2 ?$B^G(B) ; J83-B-5E47
(ucs-set-char #x6DD3 ?$(H6e(B) ; C02-H-3665
(ucs-set-char #x6DD4 ?$(H6N(B) ; C02-H-364E
(ucs-set-char #x6DD5 ?$(H6_(B) ; C02-H-365F
(ucs-set-char #x6DD5 ?$@^L(B) ; J78-@-5E4C
(ucs-set-char #x6DD5 ?$B^L(B) ; J83-B-5E4C
(ucs-set-char #x6DD6 ?$(DGZ(B) ; J90-D-475A
(ucs-set-char #x6DD6 ?$(H6S(B) ; C02-H-3653
(ucs-set-char #x6DD6 ?$ADW(B) ; GB0-A-4457
(ucs-set-char #x6DD7 ?$(H6g(B) ; C02-H-3667
(ucs-set-char #x6DD8 ?$(CT#(B) ; KS0-C-5423
(ucs-set-char #x6DD8 ?$(G[c(B) ; C01-G-5B63
(ucs-set-char #x6DD8 ?$@Eq(B) ; J78-@-4571
(ucs-set-char #x6DD8 ?$ALT(B) ; GB0-A-4C54
(ucs-set-char #x6DD8 ?$BEq(B) ; J83-B-4571
(ucs-set-char #x6DD9 ?$(Cpx(B) ; KS0-C-7078
(ucs-set-char #x6DD9 ?$(G[K(B) ; C01-G-5B4B
(ucs-set-char #x6DD9 ?$@^J(B) ; J78-@-5E4A
(ucs-set-char #x6DD9 ?$AdH(B) ; GB0-A-6448
(ucs-set-char #x6DD9 ?$B^J(B) ; J83-B-5E4A
(ucs-set-char #x6DDA ?$(CW((B) ; KS0-C-5728
(ucs-set-char #x6DDA ?$(G[a(B) ; C01-G-5B61
(ucs-set-char #x6DDB ?$(DG[(B) ; J90-D-475B
(ucs-set-char #x6DDB ?$(H6X(B) ; C02-H-3658
(ucs-set-char #x6DDC ?$(H6V(B) ; C02-H-3656
(ucs-set-char #x6DDD ?$(DG\(B) ; J90-D-475C
(ucs-set-char #x6DDD ?$(H6W(B) ; C02-H-3657
(ucs-set-char #x6DDD ?$AdG(B) ; GB0-A-6447
(ucs-set-char #x6DDE ?$(Cag(B) ; KS0-C-6167
(ucs-set-char #x6DDE ?$(G[X(B) ; C01-G-5B58
(ucs-set-char #x6DDE ?$@^D(B) ; J78-@-5E44
(ucs-set-char #x6DDE ?$AdA(B) ; GB0-A-6441
(ucs-set-char #x6DDE ?$B^D(B) ; J83-B-5E44
(ucs-set-char #x6DDF ?$(DG](B) ; J90-D-475D
(ucs-set-char #x6DDF ?$(H6R(B) ; C02-H-3652
(ucs-set-char #x6DE0 ?$(DG^(B) ; J90-D-475E
(ucs-set-char #x6DE0 ?$(H6Q(B) ; C02-H-3651
(ucs-set-char #x6DE0 ?$AdD(B) ; GB0-A-6444
(ucs-set-char #x6DE1 ?$(CS?(B) ; KS0-C-533F
(ucs-set-char #x6DE1 ?$(G[M(B) ; C01-G-5B4D
(ucs-set-char #x6DE1 ?$@C8(B) ; J78-@-4338
(ucs-set-char #x6DE1 ?$A5-(B) ; GB0-A-352D
(ucs-set-char #x6DE1 ?$BC8(B) ; J83-B-4338
(ucs-set-char #x6DE2 ?$(DG_(B) ; J90-D-475F
(ucs-set-char #x6DE2 ?$(H6K(B) ; C02-H-364B
(ucs-set-char #x6DE3 ?$(H6i(B) ; C02-H-3669
(ucs-set-char #x6DE4 ?$(G[O(B) ; C01-G-5B4F
(ucs-set-char #x6DE4 ?$@^K(B) ; J78-@-5E4B
(ucs-set-char #x6DE4 ?$ASY(B) ; GB0-A-5359
(ucs-set-char #x6DE4 ?$B^K(B) ; J83-B-5E4B
(ucs-set-char #x6DE5 ?$(DG`(B) ; J90-D-4760
(ucs-set-char #x6DE5 ?$(H6U(B) ; C02-H-3655
(ucs-set-char #x6DE6 ?$(G[m(B) ; C01-G-5B6D
(ucs-set-char #x6DE6 ?$@^@(B) ; J78-@-5E40
(ucs-set-char #x6DE6 ?$AdF(B) ; GB0-A-6446
(ucs-set-char #x6DE6 ?$B^@(B) ; J83-B-5E40
(ucs-set-char #x6DE7 ?$(I6t(B) ; C03-I-3674
(ucs-set-char #x6DE8 ?$(Cod(B) ; KS0-C-6F64
(ucs-set-char #x6DE8 ?$(G[g(B) ; C01-G-5B67
(ucs-set-char #x6DE8 ?$@^F(B) ; J78-@-5E46
(ucs-set-char #x6DE8 ?$B^F(B) ; J83-B-5E46
(ucs-set-char #x6DE9 ?$(DGa(B) ; J90-D-4761
(ucs-set-char #x6DE9 ?$(H6J(B) ; C02-H-364A
(ucs-set-char #x6DEA ?$(CWE(B) ; KS0-C-5745
(ucs-set-char #x6DEA ?$(G[d(B) ; C01-G-5B64
(ucs-set-char #x6DEA ?$@^M(B) ; J78-@-5E4D
(ucs-set-char #x6DEA ?$B^M(B) ; J83-B-5E4D
(ucs-set-char #x6DEB ?$(Ckb(B) ; KS0-C-6B62
(ucs-set-char #x6DEB ?$(G[b(B) ; C01-G-5B62
(ucs-set-char #x6DEB ?$@0|(B) ; J78-@-307C
(ucs-set-char #x6DEB ?$ARy(B) ; GB0-A-5279
(ucs-set-char #x6DEB ?$B0|(B) ; J83-B-307C
(ucs-set-char #x6DEC ?$(G[k(B) ; C01-G-5B6B
(ucs-set-char #x6DEC ?$@^C(B) ; J78-@-5E43
(ucs-set-char #x6DEC ?$A4c(B) ; GB0-A-3463
(ucs-set-char #x6DEC ?$B^C(B) ; J83-B-5E43
(ucs-set-char #x6DED ?$(H6\(B) ; C02-H-365C
(ucs-set-char #x6DEE ?$(C|g(B) ; KS0-C-7C67
(ucs-set-char #x6DEE ?$(G[f(B) ; C01-G-5B66
(ucs-set-char #x6DEE ?$@^N(B) ; J78-@-5E4E
(ucs-set-char #x6DEE ?$A;4(B) ; GB0-A-3B34
(ucs-set-char #x6DEE ?$B^N(B) ; J83-B-5E4E
(ucs-set-char #x6DEF ?$(DGb(B) ; J90-D-4762
(ucs-set-char #x6DEF ?$(H05(B) ; C02-H-3035
(ucs-set-char #x6DF0 ?$(DGc(B) ; J90-D-4763
(ucs-set-char #x6DF0 ?$(H6](B) ; C02-H-365D
(ucs-set-char #x6DF1 ?$(Cd"(B) ; KS0-C-6422
(ucs-set-char #x6DF1 ?$(G[e(B) ; C01-G-5B65
(ucs-set-char #x6DF1 ?$@?<(B) ; J78-@-3F3C
(ucs-set-char #x6DF1 ?$AIn(B) ; GB0-A-496E
(ucs-set-char #x6DF1 ?$B?<(B) ; J83-B-3F3C
(ucs-set-char #x6DF2 ?$(H6d(B) ; C02-H-3664
(ucs-set-char #x6DF3 ?$(Cbh(B) ; KS0-C-6268
(ucs-set-char #x6DF3 ?$(G[J(B) ; C01-G-5B4A
(ucs-set-char #x6DF3 ?$@=_(B) ; J78-@-3D5F
(ucs-set-char #x6DF3 ?$A4>(B) ; GB0-A-343E
(ucs-set-char #x6DF3 ?$B=_(B) ; J83-B-3D5F
(ucs-set-char #x6DF4 ?$(DGd(B) ; J90-D-4764
(ucs-set-char #x6DF4 ?$(H6Y(B) ; C02-H-3659
(ucs-set-char #x6DF5 ?$(CfP(B) ; KS0-C-6650
(ucs-set-char #x6DF5 ?$(G[\(B) ; C01-G-5B5C
(ucs-set-char #x6DF5 ?$@J%(B) ; J78-@-4A25
(ucs-set-char #x6DF5 ?$BJ%(B) ; J83-B-4A25
(ucs-set-char #x6DF6 ?$(DGe(B) ; J90-D-4765
(ucs-set-char #x6DF6 ?$(H6M(B) ; C02-H-364D
(ucs-set-char #x6DF7 ?$(C{h(B) ; KS0-C-7B68
(ucs-set-char #x6DF7 ?$(G[[(B) ; C01-G-5B5B
(ucs-set-char #x6DF7 ?$@:.(B) ; J78-@-3A2E
(ucs-set-char #x6DF7 ?$A;l(B) ; GB0-A-3B6C
(ucs-set-char #x6DF7 ?$B:.(B) ; J83-B-3A2E
(ucs-set-char #x6DF8 ?$(Cth(B) ; KS0-C-7468
(ucs-set-char #x6DF8 ?$(I6|(B) ; C03-I-367C
(ucs-set-char #x6DF9 ?$(Cet(B) ; KS0-C-6574
(ucs-set-char #x6DF9 ?$(G[Y(B) ; C01-G-5B59
(ucs-set-char #x6DF9 ?$@^;(B) ; J78-@-5E3B
(ucs-set-char #x6DF9 ?$AQM(B) ; GB0-A-514D
(ucs-set-char #x6DF9 ?$B^;(B) ; J83-B-5E3B
(ucs-set-char #x6DFA ?$(Ct<(B) ; KS0-C-743C
(ucs-set-char #x6DFA ?$(G[Q(B) ; C01-G-5B51
(ucs-set-char #x6DFA ?$@^I(B) ; J78-@-5E49
(ucs-set-char #x6DFA ?$B^I(B) ; J83-B-5E49
(ucs-set-char #x6DFB ?$(CtU(B) ; KS0-C-7455
(ucs-set-char #x6DFB ?$(G[P(B) ; C01-G-5B50
(ucs-set-char #x6DFB ?$@E:(B) ; J78-@-453A
(ucs-set-char #x6DFB ?$ALm(B) ; GB0-A-4C6D
(ucs-set-char #x6DFB ?$BE:(B) ; J83-B-453A
(ucs-set-char #x6DFC ?$(DGf(B) ; J90-D-4766
(ucs-set-char #x6DFC ?$(H=,(B) ; C02-H-3D2C
(ucs-set-char #x6DFC ?$Am5(B) ; GB0-A-6D35
(ucs-set-char #x6DFD ?$(H6f(B) ; C02-H-3666
(ucs-set-char #x6DFE ?$(I<](B) ; C03-I-3C5D
(ucs-set-char #x6DFF ?$(I7((B) ; C03-I-3728
(ucs-set-char #x6E00 ?$(DGg(B) ; J90-D-4767
(ucs-set-char #x6E00 ?$(H6O(B) ; C02-H-364F
(ucs-set-char #x6E01 ?$(I7&(B) ; C03-I-3726
(ucs-set-char #x6E02 ?$(I7#(B) ; C03-I-3723
(ucs-set-char #x6E03 ?$(H=A(B) ; C02-H-3D41
(ucs-set-char #x6E04 ?$(DGh(B) ; J90-D-4768
(ucs-set-char #x6E04 ?$(I6p(B) ; C03-I-3670
(ucs-set-char #x6E05 ?$(G[R(B) ; C01-G-5B52
(ucs-set-char #x6E05 ?$@@6(B) ; J78-@-4036
(ucs-set-char #x6E05 ?$AGe(B) ; GB0-A-4765
(ucs-set-char #x6E05 ?$B@6(B) ; J83-B-4036
(ucs-set-char #x6E06 ?$(I6w(B) ; C03-I-3677
(ucs-set-char #x6E07 ?$(I7$(B) ; C03-I-3724
(ucs-set-char #x6E07 ?$@3i(B) ; J78-@-3369
(ucs-set-char #x6E07 ?$B3i(B) ; J83-B-3369
(ucs-set-char #x6E08 ?$(I6v(B) ; C03-I-3676
(ucs-set-char #x6E08 ?$@:Q(B) ; J78-@-3A51
(ucs-set-char #x6E08 ?$B:Q(B) ; J83-B-3A51
(ucs-set-char #x6E09 ?$(I7%(B) ; C03-I-3725
(ucs-set-char #x6E09 ?$@>D(B) ; J78-@-3E44
(ucs-set-char #x6E09 ?$B>D(B) ; J83-B-3E44
(ucs-set-char #x6E0A ?$(I6y(B) ; C03-I-3679
(ucs-set-char #x6E0A ?$@^=(B) ; J78-@-5E3D
(ucs-set-char #x6E0A ?$AT((B) ; GB0-A-5428
(ucs-set-char #x6E0A ?$B^=(B) ; J83-B-5E3D
(ucs-set-char #x6E0B ?$(J2m(B) ; C04-J-326D
(ucs-set-char #x6E0B ?$@=B(B) ; J78-@-3D42
(ucs-set-char #x6E0B ?$B=B(B) ; J83-B-3D42
(ucs-set-char #x6E0C ?$(I6}(B) ; C03-I-367D
(ucs-set-char #x6E0C ?$AdK(B) ; GB0-A-644B
(ucs-set-char #x6E0D ?$AWU(B) ; GB0-A-5755
(ucs-set-char #x6E0E ?$AdB(B) ; GB0-A-6442
(ucs-set-char #x6E10 ?$A=%(B) ; GB0-A-3D25
(ucs-set-char #x6E11 ?$AdE(B) ; GB0-A-6445
(ucs-set-char #x6E12 ?$(I7)(B) ; C03-I-3729
(ucs-set-char #x6E13 ?$@7L(B) ; J78-@-374C
(ucs-set-char #x6E13 ?$B7L(B) ; J83-B-374C
(ucs-set-char #x6E14 ?$ASf(B) ; GB0-A-5366
(ucs-set-char #x6E15 ?$@^<(B) ; J78-@-5E3C
(ucs-set-char #x6E15 ?$B^<(B) ; J83-B-5E3C
(ucs-set-char #x6E16 ?$AdI(B) ; GB0-A-6449
(ucs-set-char #x6E17 ?$(C_6(B) ; KS0-C-5F36
(ucs-set-char #x6E17 ?$(I7'(B) ; C03-I-3727
(ucs-set-char #x6E17 ?$AIx(B) ; GB0-A-4978
(ucs-set-char #x6E18 ?$(I<T(B) ; C03-I-3C54
(ucs-set-char #x6E19 ?$(C|9(B) ; KS0-C-7C39
(ucs-set-char #x6E19 ?$(G`G(B) ; C01-G-6047
(ucs-set-char #x6E19 ?$@^R(B) ; J78-@-5E52
(ucs-set-char #x6E19 ?$B^R(B) ; J83-B-5E52
(ucs-set-char #x6E1A ?$(CnB(B) ; KS0-C-6E42
(ucs-set-char #x6E1A ?$(G[_(B) ; C01-G-5B5F
(ucs-set-char #x6E1A ?$@=m(B) ; J78-@-3D6D
(ucs-set-char #x6E1A ?$Ad>(B) ; GB0-A-643E
(ucs-set-char #x6E1A ?$B=m(B) ; J83-B-3D6D
(ucs-set-char #x6E1B ?$(CJu(B) ; KS0-C-4A75
(ucs-set-char #x6E1B ?$(G`5(B) ; C01-G-6035
(ucs-set-char #x6E1B ?$@8:(B) ; J78-@-383A
(ucs-set-char #x6E1B ?$B8:(B) ; J83-B-383A
(ucs-set-char #x6E1C ?$(H=;(B) ; C02-H-3D3B
(ucs-set-char #x6E1D ?$(G`C(B) ; C01-G-6043
(ucs-set-char #x6E1D ?$@^a(B) ; J78-@-5E61
(ucs-set-char #x6E1D ?$ASe(B) ; GB0-A-5365
(ucs-set-char #x6E1D ?$B^a(B) ; J83-B-5E61
(ucs-set-char #x6E1E ?$(DGi(B) ; J90-D-4769
(ucs-set-char #x6E1E ?$(I<R(B) ; C03-I-3C52
(ucs-set-char #x6E1F ?$(Coe(B) ; KS0-C-6F65
(ucs-set-char #x6E1F ?$(H=/(B) ; C02-H-3D2F
(ucs-set-char #x6E1F ?$@^[(B) ; J78-@-5E5B
(ucs-set-char #x6E1F ?$B^[(B) ; J83-B-5E5B
(ucs-set-char #x6E20 ?$(CKb(B) ; KS0-C-4B62
(ucs-set-char #x6E20 ?$(G`2(B) ; C01-G-6032
(ucs-set-char #x6E20 ?$@5t(B) ; J78-@-3574
(ucs-set-char #x6E20 ?$AG~(B) ; GB0-A-477E
(ucs-set-char #x6E20 ?$B5t(B) ; J83-B-3574
(ucs-set-char #x6E21 ?$(CT$(B) ; KS0-C-5424
(ucs-set-char #x6E21 ?$(G`.(B) ; C01-G-602E
(ucs-set-char #x6E21 ?$@EO(B) ; J78-@-454F
(ucs-set-char #x6E21 ?$A6I(B) ; GB0-A-3649
(ucs-set-char #x6E21 ?$BEO(B) ; J83-B-454F
(ucs-set-char #x6E22 ?$(DGj(B) ; J90-D-476A
(ucs-set-char #x6E22 ?$(H=M(B) ; C02-H-3D4D
(ucs-set-char #x6E23 ?$(C^`(B) ; KS0-C-5E60
(ucs-set-char #x6E23 ?$(G`4(B) ; C01-G-6034
(ucs-set-char #x6E23 ?$@^V(B) ; J78-@-5E56
(ucs-set-char #x6E23 ?$AT|(B) ; GB0-A-547C
(ucs-set-char #x6E23 ?$B^V(B) ; J83-B-5E56
(ucs-set-char #x6E24 ?$(CZ}(B) ; KS0-C-5A7D
(ucs-set-char #x6E24 ?$(G`8(B) ; C01-G-6038
(ucs-set-char #x6E24 ?$@^_(B) ; J78-@-5E5F
(ucs-set-char #x6E24 ?$A23(B) ; GB0-A-3233
(ucs-set-char #x6E24 ?$B^_(B) ; J83-B-5E5F
(ucs-set-char #x6E25 ?$(CdF(B) ; KS0-C-6446
(ucs-set-char #x6E25 ?$(G`3(B) ; C01-G-6033
(ucs-set-char #x6E25 ?$@0/(B) ; J78-@-302F
(ucs-set-char #x6E25 ?$AdW(B) ; GB0-A-6457
(ucs-set-char #x6E25 ?$B0/(B) ; J83-B-302F
(ucs-set-char #x6E26 ?$(Ch>(B) ; KS0-C-683E
(ucs-set-char #x6E26 ?$(G`<(B) ; C01-G-603C
(ucs-set-char #x6E26 ?$@12(B) ; J78-@-3132
(ucs-set-char #x6E26 ?$B12(B) ; J83-B-3132
(ucs-set-char #x6E27 ?$(DGk(B) ; J90-D-476B
(ucs-set-char #x6E27 ?$(H=Q(B) ; C02-H-3D51
(ucs-set-char #x6E28 ?$(H=H(B) ; C02-H-3D48
(ucs-set-char #x6E29 ?$(I<k(B) ; C03-I-3C6B
(ucs-set-char #x6E29 ?$@29(B) ; J78-@-3239
(ucs-set-char #x6E29 ?$ANB(B) ; GB0-A-4E42
(ucs-set-char #x6E29 ?$B29(B) ; J83-B-3239
(ucs-set-char #x6E2A ?$(I<m(B) ; C03-I-3C6D
(ucs-set-char #x6E2B ?$(C`^(B) ; KS0-C-605E
(ucs-set-char #x6E2B ?$(H=6(B) ; C02-H-3D36
(ucs-set-char #x6E2B ?$@^X(B) ; J78-@-5E58
(ucs-set-char #x6E2B ?$AdM(B) ; GB0-A-644D
(ucs-set-char #x6E2B ?$B^X(B) ; J83-B-5E58
(ucs-set-char #x6E2C ?$(Cv4(B) ; KS0-C-7634
(ucs-set-char #x6E2C ?$(G`A(B) ; C01-G-6041
(ucs-set-char #x6E2C ?$@B,(B) ; J78-@-422C
(ucs-set-char #x6E2C ?$BB,(B) ; J83-B-422C
(ucs-set-char #x6E2D ?$(CjR(B) ; KS0-C-6A52
(ucs-set-char #x6E2D ?$(G`;(B) ; C01-G-603B
(ucs-set-char #x6E2D ?$@^O(B) ; J78-@-5E4F
(ucs-set-char #x6E2D ?$AN<(B) ; GB0-A-4E3C
(ucs-set-char #x6E2D ?$B^O(B) ; J83-B-5E4F
(ucs-set-char #x6E2E ?$(H=B(B) ; C02-H-3D42
(ucs-set-char #x6E2E ?$@^Q(B) ; J78-@-5E51
(ucs-set-char #x6E2E ?$B^Q(B) ; J83-B-5E51
(ucs-set-char #x6E2F ?$(Cy{(B) ; KS0-C-797B
(ucs-set-char #x6E2F ?$(G`+(B) ; C01-G-602B
(ucs-set-char #x6E2F ?$(LJe(B) ; C06-L-4A65
(ucs-set-char #x6E2F ?$@9A(B) ; J78-@-3941
(ucs-set-char #x6E2F ?$A8[(B) ; GB0-A-385B
(ucs-set-char #x6E2F ?$B9A(B) ; J83-B-3941
(ucs-set-char #x6E30 ?$(H=N(B) ; C02-H-3D4E
(ucs-set-char #x6E31 ?$(H=G(B) ; C02-H-3D47
(ucs-set-char #x6E32 ?$(C`B(B) ; KS0-C-6042
(ucs-set-char #x6E32 ?$(DGl(B) ; J90-D-476C
(ucs-set-char #x6E32 ?$(G`/(B) ; C01-G-602F
(ucs-set-char #x6E32 ?$AdV(B) ; GB0-A-6456
(ucs-set-char #x6E33 ?$(H=<(B) ; C02-H-3D3C
(ucs-set-char #x6E34 ?$(CJd(B) ; KS0-C-4A64
(ucs-set-char #x6E34 ?$(G`>(B) ; C01-G-603E
(ucs-set-char #x6E34 ?$A?J(B) ; GB0-A-3F4A
(ucs-set-char #x6E35 ?$(H=Y(B) ; C02-H-3D59
(ucs-set-char #x6E36 ?$(Cg7(B) ; KS0-C-6737
(ucs-set-char #x6E36 ?$(DGm(B) ; J90-D-476D
(ucs-set-char #x6E36 ?$(H=Z(B) ; C02-H-3D5A
(ucs-set-char #x6E37 ?$(J8[(B) ; C04-J-385B
(ucs-set-char #x6E38 ?$(Cj}(B) ; KS0-C-6A7D
(ucs-set-char #x6E38 ?$(G`,(B) ; C01-G-602C
(ucs-set-char #x6E38 ?$@^b(B) ; J78-@-5E62
(ucs-set-char #x6E38 ?$ASN(B) ; GB0-A-534E
(ucs-set-char #x6E38 ?$B^b(B) ; J83-B-5E62
(ucs-set-char #x6E39 ?$(DGn(B) ; J90-D-476E
(ucs-set-char #x6E39 ?$(H=L(B) ; C02-H-3D4C
(ucs-set-char #x6E3A ?$(CY](B) ; KS0-C-595D
(ucs-set-char #x6E3A ?$(G`@(B) ; C01-G-6040
(ucs-set-char #x6E3A ?$@^](B) ; J78-@-5E5D
(ucs-set-char #x6E3A ?$ACl(B) ; GB0-A-436C
(ucs-set-char #x6E3A ?$B^](B) ; J83-B-5E5D
(ucs-set-char #x6E3B ?$(DGo(B) ; J90-D-476F
(ucs-set-char #x6E3B ?$(H=@(B) ; C02-H-3D40
(ucs-set-char #x6E3C ?$(CZ4(B) ; KS0-C-5A34
(ucs-set-char #x6E3C ?$(DGp(B) ; J90-D-4770
(ucs-set-char #x6E3C ?$(H=2(B) ; C02-H-3D32
(ucs-set-char #x6E3D ?$(Cn*(B) ; KS0-C-6E2A
(ucs-set-char #x6E3D ?$(H=3(B) ; C02-H-3D33
(ucs-set-char #x6E3E ?$(C{i(B) ; KS0-C-7B69
(ucs-set-char #x6E3E ?$(G`D(B) ; C01-G-6044
(ucs-set-char #x6E3E ?$@^U(B) ; J78-@-5E55
(ucs-set-char #x6E3E ?$B^U(B) ; J83-B-5E55
(ucs-set-char #x6E3F ?$(H=7(B) ; C02-H-3D37
(ucs-set-char #x6E40 ?$(H=>(B) ; C02-H-3D3E
(ucs-set-char #x6E41 ?$(H=8(B) ; C02-H-3D38
(ucs-set-char #x6E42 ?$(I<Z(B) ; C03-I-3C5A
(ucs-set-char #x6E43 ?$(C[K(B) ; KS0-C-5B4B
(ucs-set-char #x6E43 ?$(G`B(B) ; C01-G-6042
(ucs-set-char #x6E43 ?$@^\(B) ; J78-@-5E5C
(ucs-set-char #x6E43 ?$AEH(B) ; GB0-A-4548
(ucs-set-char #x6E43 ?$B^\(B) ; J83-B-5E5C
(ucs-set-char #x6E44 ?$(CZ5(B) ; KS0-C-5A35
(ucs-set-char #x6E44 ?$(DGq(B) ; J90-D-4771
(ucs-set-char #x6E44 ?$(G`J(B) ; C01-G-604A
(ucs-set-char #x6E44 ?$AdX(B) ; GB0-A-6458
(ucs-set-char #x6E45 ?$(DGr(B) ; J90-D-4772
(ucs-set-char #x6E45 ?$(H=4(B) ; C02-H-3D34
(ucs-set-char #x6E46 ?$(H=-(B) ; C02-H-3D2D
(ucs-set-char #x6E47 ?$(H=.(B) ; C02-H-3D2E
(ucs-set-char #x6E48 ?$(DGs(B) ; J90-D-4773
(ucs-set-char #x6E48 ?$(I<V(B) ; C03-I-3C56
(ucs-set-char #x6E49 ?$(DGt(B) ; J90-D-4774
(ucs-set-char #x6E49 ?$(H=0(B) ; C02-H-3D30
(ucs-set-char #x6E4A ?$(Cq>(B) ; KS0-C-713E
(ucs-set-char #x6E4A ?$(G`1(B) ; C01-G-6031
(ucs-set-char #x6E4A ?$@L+(B) ; J78-@-4C2B
(ucs-set-char #x6E4A ?$BL+(B) ; J83-B-4C2B
(ucs-set-char #x6E4B ?$(DGu(B) ; J90-D-4775
(ucs-set-char #x6E4B ?$(H==(B) ; C02-H-3D3D
(ucs-set-char #x6E4C ?$(I<n(B) ; C03-I-3C6E
(ucs-set-char #x6E4D ?$(CS,(B) ; KS0-C-532C
(ucs-set-char #x6E4D ?$(G`?(B) ; C01-G-603F
(ucs-set-char #x6E4D ?$@^Z(B) ; J78-@-5E5A
(ucs-set-char #x6E4D ?$AMD(B) ; GB0-A-4D44
(ucs-set-char #x6E4D ?$B^Z(B) ; J83-B-5E5A
(ucs-set-char #x6E4E ?$(G`H(B) ; C01-G-6048
(ucs-set-char #x6E4E ?$@^^(B) ; J78-@-5E5E
(ucs-set-char #x6E4E ?$AdO(B) ; GB0-A-644F
(ucs-set-char #x6E4E ?$B^^(B) ; J83-B-5E5E
(ucs-set-char #x6E4F ?$(DGv(B) ; J90-D-4776
(ucs-set-char #x6E4F ?$(I<X(B) ; C03-I-3C58
(ucs-set-char #x6E50 ?$(I<i(B) ; C03-I-3C69
(ucs-set-char #x6E51 ?$(DGw(B) ; J90-D-4777
(ucs-set-char #x6E51 ?$(H=?(B) ; C02-H-3D3F
(ucs-set-char #x6E52 ?$(DGx(B) ; J90-D-4778
(ucs-set-char #x6E52 ?$(H=W(B) ; C02-H-3D57
(ucs-set-char #x6E53 ?$(DGy(B) ; J90-D-4779
(ucs-set-char #x6E53 ?$(H=O(B) ; C02-H-3D4F
(ucs-set-char #x6E53 ?$AdT(B) ; GB0-A-6454
(ucs-set-char #x6E54 ?$(DGz(B) ; J90-D-477A
(ucs-set-char #x6E54 ?$(G`-(B) ; C01-G-602D
(ucs-set-char #x6E54 ?$AdU(B) ; GB0-A-6455
(ucs-set-char #x6E55 ?$(H=U(B) ; C02-H-3D55
(ucs-set-char #x6E56 ?$(C{I(B) ; KS0-C-7B49
(ucs-set-char #x6E56 ?$(G`9(B) ; C01-G-6039
(ucs-set-char #x6E56 ?$@8P(B) ; J78-@-3850
(ucs-set-char #x6E56 ?$A:~(B) ; GB0-A-3A7E
(ucs-set-char #x6E56 ?$B8P(B) ; J83-B-3850
(ucs-set-char #x6E57 ?$(DG{(B) ; J90-D-477B
(ucs-set-char #x6E57 ?$(I<f(B) ; C03-I-3C66
(ucs-set-char #x6E58 ?$(C_O(B) ; KS0-C-5F4F
(ucs-set-char #x6E58 ?$(G`7(B) ; C01-G-6037
(ucs-set-char #x6E58 ?$@>E(B) ; J78-@-3E45
(ucs-set-char #x6E58 ?$AOf(B) ; GB0-A-4F66
(ucs-set-char #x6E58 ?$B>E(B) ; J83-B-3E45
(ucs-set-char #x6E59 ?$(I<d(B) ; C03-I-3C64
(ucs-set-char #x6E5A ?$(H=[(B) ; C02-H-3D5B
(ucs-set-char #x6E5B ?$(CS@(B) ; KS0-C-5340
(ucs-set-char #x6E5B ?$(G`6(B) ; C01-G-6036
(ucs-set-char #x6E5B ?$@C9(B) ; J78-@-4339
(ucs-set-char #x6E5B ?$AU?(B) ; GB0-A-553F
(ucs-set-char #x6E5B ?$BC9(B) ; J83-B-4339
(ucs-set-char #x6E5C ?$(CcW(B) ; KS0-C-6357
(ucs-set-char #x6E5C ?$(DG|(B) ; J90-D-477C
(ucs-set-char #x6E5C ?$(H=E(B) ; C02-H-3D45
(ucs-set-char #x6E5D ?$(DG}(B) ; J90-D-477D
(ucs-set-char #x6E5D ?$(H=9(B) ; C02-H-3D39
(ucs-set-char #x6E5E ?$(Cof(B) ; KS0-C-6F66
(ucs-set-char #x6E5E ?$(DG~(B) ; J90-D-477E
(ucs-set-char #x6E5E ?$(H=C(B) ; C02-H-3D43
(ucs-set-char #x6E5F ?$(C|P(B) ; KS0-C-7C50
(ucs-set-char #x6E5F ?$(G`M(B) ; C01-G-604D
(ucs-set-char #x6E5F ?$@^T(B) ; J78-@-5E54
(ucs-set-char #x6E5F ?$AdR(B) ; GB0-A-6452
(ucs-set-char #x6E5F ?$B^T(B) ; J83-B-5E54
(ucs-set-char #x6E60 ?$(H=I(B) ; C02-H-3D49
(ucs-set-char #x6E61 ?$(H=F(B) ; C02-H-3D46
(ucs-set-char #x6E62 ?$(DH!(B) ; J90-D-4821
(ucs-set-char #x6E62 ?$(H=5(B) ; C02-H-3D35
(ucs-set-char #x6E63 ?$(DH"(B) ; J90-D-4822
(ucs-set-char #x6E63 ?$(G`I(B) ; C01-G-6049
(ucs-set-char #x6E64 ?$(H=S(B) ; C02-H-3D53
(ucs-set-char #x6E65 ?$(H=P(B) ; C02-H-3D50
(ucs-set-char #x6E66 ?$(H=X(B) ; C02-H-3D58
(ucs-set-char #x6E67 ?$(Ci@(B) ; KS0-C-6940
(ucs-set-char #x6E67 ?$(G`0(B) ; C01-G-6030
(ucs-set-char #x6E67 ?$@M/(B) ; J78-@-4D2F
(ucs-set-char #x6E67 ?$BM/(B) ; J83-B-4D2F
(ucs-set-char #x6E68 ?$(DH#(B) ; J90-D-4823
(ucs-set-char #x6E68 ?$(H=D(B) ; C02-H-3D44
(ucs-set-char #x6E69 ?$(G`L(B) ; C01-G-604C
(ucs-set-char #x6E6A ?$(I<[(B) ; C03-I-3C5B
(ucs-set-char #x6E6B ?$(CuS(B) ; KS0-C-7553
(ucs-set-char #x6E6B ?$(H=K(B) ; C02-H-3D4B
(ucs-set-char #x6E6B ?$@^W(B) ; J78-@-5E57
(ucs-set-char #x6E6B ?$AdP(B) ; GB0-A-6450
(ucs-set-char #x6E6B ?$B^W(B) ; J83-B-5E57
(ucs-set-char #x6E6C ?$(IB:(B) ; C03-I-423A
(ucs-set-char #x6E6D ?$(I<`(B) ; C03-I-3C60
(ucs-set-char #x6E6E ?$(Cl\(B) ; KS0-C-6C5C
(ucs-set-char #x6E6E ?$(G`:(B) ; C01-G-603A
(ucs-set-char #x6E6E ?$@^P(B) ; J78-@-5E50
(ucs-set-char #x6E6E ?$AdN(B) ; GB0-A-644E
(ucs-set-char #x6E6E ?$B^P(B) ; J83-B-5E50
(ucs-set-char #x6E6F ?$(Cw7(B) ; KS0-C-7737
(ucs-set-char #x6E6F ?$(G`=(B) ; C01-G-603D
(ucs-set-char #x6E6F ?$@Er(B) ; J78-@-4572
(ucs-set-char #x6E6F ?$BEr(B) ; J83-B-4572
(ucs-set-char #x6E70 ?$(I<\(B) ; C03-I-3C5C
(ucs-set-char #x6E71 ?$(H=J(B) ; C02-H-3D4A
(ucs-set-char #x6E72 ?$(Cj8(B) ; KS0-C-6A38
(ucs-set-char #x6E72 ?$(G`K(B) ; C01-G-604B
(ucs-set-char #x6E72 ?$@^S(B) ; J78-@-5E53
(ucs-set-char #x6E72 ?$B^S(B) ; J83-B-5E53
(ucs-set-char #x6E73 ?$(CQy(B) ; KS0-C-5179
(ucs-set-char #x6E73 ?$(DH$(B) ; J90-D-4824
(ucs-set-char #x6E73 ?$(H=:(B) ; C02-H-3D3A
(ucs-set-char #x6E74 ?$(H6H(B) ; C02-H-3648
(ucs-set-char #x6E75 ?$(I<Q(B) ; C03-I-3C51
(ucs-set-char #x6E76 ?$(I<l(B) ; C03-I-3C6C
(ucs-set-char #x6E76 ?$@^Y(B) ; J78-@-5E59
(ucs-set-char #x6E76 ?$B^Y(B) ; J83-B-5E59
(ucs-set-char #x6E77 ?$(H=T(B) ; C02-H-3D54
(ucs-set-char #x6E78 ?$(H=R(B) ; C02-H-3D52
(ucs-set-char #x6E79 ?$(H=V(B) ; C02-H-3D56
(ucs-set-char #x6E7A ?$(C\H(B) ; KS0-C-5C48
(ucs-set-char #x6E7B ?$(DH%(B) ; J90-D-4825
(ucs-set-char #x6E7B ?$(I<b(B) ; C03-I-3C62
(ucs-set-char #x6E7C ?$(J8\(B) ; C04-J-385C
(ucs-set-char #x6E7D ?$(DH&(B) ; J90-D-4826
(ucs-set-char #x6E7D ?$(J8^(B) ; C04-J-385E
(ucs-set-char #x6E7E ?$(I<c(B) ; C03-I-3C63
(ucs-set-char #x6E7E ?$@OQ(B) ; J78-@-4F51
(ucs-set-char #x6E7E ?$AMe(B) ; GB0-A-4D65
(ucs-set-char #x6E7E ?$BOQ(B) ; J83-B-4F51
(ucs-set-char #x6E7F ?$(LTD(B) ; C06-L-5444
(ucs-set-char #x6E7F ?$@<>(B) ; J78-@-3C3E
(ucs-set-char #x6E7F ?$AJ*(B) ; GB0-A-4A2A
(ucs-set-char #x6E7F ?$B<>(B) ; J83-B-3C3E
(ucs-set-char #x6E80 ?$(I<h(B) ; C03-I-3C68
(ucs-set-char #x6E80 ?$@K~(B) ; J78-@-4B7E
(ucs-set-char #x6E80 ?$BK~(B) ; J83-B-4B7E
(ucs-set-char #x6E82 ?$@^c(B) ; J78-@-5E63
(ucs-set-char #x6E82 ?$B^c(B) ; J83-B-5E63
(ucs-set-char #x6E83 ?$A@#(B) ; GB0-A-4023
(ucs-set-char #x6E85 ?$A=&(B) ; GB0-A-3D26
(ucs-set-char #x6E86 ?$(J8_(B) ; C04-J-385F
(ucs-set-char #x6E86 ?$AdS(B) ; GB0-A-6453
(ucs-set-char #x6E88 ?$(H=1(B) ; C02-H-3D31
(ucs-set-char #x6E89 ?$(G`F(B) ; C01-G-6046
(ucs-set-char #x6E89 ?$A8H(B) ; GB0-A-3848
(ucs-set-char #x6E8C ?$BH.(B) ; J83-B-482E
(ucs-set-char #x6E8D ?$(DH'(B) ; J90-D-4827
(ucs-set-char #x6E8D ?$(HDG(B) ; C02-H-4447
(ucs-set-char #x6E8E ?$(HDF(B) ; C02-H-4446
(ucs-set-char #x6E8F ?$(HD,(B) ; C02-H-442C
(ucs-set-char #x6E8F ?$@^o(B) ; J78-@-5E6F
(ucs-set-char #x6E8F ?$Adg(B) ; GB0-A-6467
(ucs-set-char #x6E8F ?$B^o(B) ; J83-B-5E6F
(ucs-set-char #x6E90 ?$(Cj9(B) ; KS0-C-6A39
(ucs-set-char #x6E90 ?$(Gdc(B) ; C01-G-6463
(ucs-set-char #x6E90 ?$@8;(B) ; J78-@-383B
(ucs-set-char #x6E90 ?$AT4(B) ; GB0-A-5434
(ucs-set-char #x6E90 ?$B8;(B) ; J83-B-383B
(ucs-set-char #x6E91 ?$(IB0(B) ; C03-I-4230
(ucs-set-char #x6E92 ?$(HDE(B) ; C02-H-4445
(ucs-set-char #x6E93 ?$(DH((B) ; J90-D-4828
(ucs-set-char #x6E93 ?$(HD/(B) ; C02-H-442F
(ucs-set-char #x6E94 ?$(HD0(B) ; C02-H-4430
(ucs-set-char #x6E95 ?$(J>?(B) ; C04-J-3E3F
(ucs-set-char #x6E96 ?$(Cq^(B) ; KS0-C-715E
(ucs-set-char #x6E96 ?$(Gdm(B) ; C01-G-646D
(ucs-set-char #x6E96 ?$@=`(B) ; J78-@-3D60
(ucs-set-char #x6E96 ?$B=`(B) ; J83-B-3D60
(ucs-set-char #x6E97 ?$(HDN(B) ; C02-H-444E
(ucs-set-char #x6E98 ?$(Gdh(B) ; C01-G-6468
(ucs-set-char #x6E98 ?$@^e(B) ; J78-@-5E65
(ucs-set-char #x6E98 ?$Ad[(B) ; GB0-A-645B
(ucs-set-char #x6E98 ?$B^e(B) ; J83-B-5E65
(ucs-set-char #x6E99 ?$(DH)(B) ; J90-D-4829
(ucs-set-char #x6E99 ?$(HDD(B) ; C02-H-4444
(ucs-set-char #x6E9A ?$(IB3(B) ; C03-I-4233
(ucs-set-char #x6E9B ?$(HD)(B) ; C02-H-4429
(ucs-set-char #x6E9C ?$(CW6(B) ; KS0-C-5736
(ucs-set-char #x6E9C ?$(Gdn(B) ; C01-G-646E
(ucs-set-char #x6E9C ?$@N/(B) ; J78-@-4E2F
(ucs-set-char #x6E9C ?$AAo(B) ; GB0-A-416F
(ucs-set-char #x6E9C ?$BN/(B) ; J83-B-4E2F
(ucs-set-char #x6E9D ?$(CO5(B) ; KS0-C-4F35
(ucs-set-char #x6E9D ?$(Gdd(B) ; C01-G-6464
(ucs-set-char #x6E9D ?$@9B(B) ; J78-@-3942
(ucs-set-char #x6E9D ?$B9B(B) ; J83-B-3942
(ucs-set-char #x6E9E ?$(HD8(B) ; C02-H-4438
(ucs-set-char #x6E9F ?$(CY((B) ; KS0-C-5928
(ucs-set-char #x6E9F ?$(HD.(B) ; C02-H-442E
(ucs-set-char #x6E9F ?$@^r(B) ; J78-@-5E72
(ucs-set-char #x6E9F ?$Adi(B) ; GB0-A-6469
(ucs-set-char #x6E9F ?$B^r(B) ; J83-B-5E72
(ucs-set-char #x6EA0 ?$(DH*(B) ; J90-D-482A
(ucs-set-char #x6EA0 ?$(HD1(B) ; C02-H-4431
(ucs-set-char #x6EA1 ?$(HDI(B) ; C02-H-4449
(ucs-set-char #x6EA2 ?$(Cln(B) ; KS0-C-6C6E
(ucs-set-char #x6EA2 ?$(Gd^(B) ; C01-G-645E
(ucs-set-char #x6EA2 ?$@0n(B) ; J78-@-306E
(ucs-set-char #x6EA2 ?$ARg(B) ; GB0-A-5267
(ucs-set-char #x6EA2 ?$B0n(B) ; J83-B-306E
(ucs-set-char #x6EA3 ?$(HDP(B) ; C02-H-4450
(ucs-set-char #x6EA4 ?$(HDH(B) ; C02-H-4448
(ucs-set-char #x6EA5 ?$(C]*(B) ; KS0-C-5D2A
(ucs-set-char #x6EA5 ?$(Gdg(B) ; C01-G-6467
(ucs-set-char #x6EA5 ?$@^p(B) ; J78-@-5E70
(ucs-set-char #x6EA5 ?$Ad_(B) ; GB0-A-645F
(ucs-set-char #x6EA5 ?$B^p(B) ; J83-B-5E70
(ucs-set-char #x6EA6 ?$(HD=(B) ; C02-H-443D
(ucs-set-char #x6EA7 ?$(DH+(B) ; J90-D-482B
(ucs-set-char #x6EA7 ?$(Gdr(B) ; C01-G-6472
(ucs-set-char #x6EA7 ?$Ad`(B) ; GB0-A-6460
(ucs-set-char #x6EA8 ?$(IB.(B) ; C03-I-422E
(ucs-set-char #x6EA9 ?$(IB6(B) ; C03-I-4236
(ucs-set-char #x6EAA ?$(CM"(B) ; KS0-C-4D22
(ucs-set-char #x6EAA ?$(Gdq(B) ; C01-G-6471
(ucs-set-char #x6EAA ?$@^d(B) ; J78-@-5E64
(ucs-set-char #x6EAA ?$AO*(B) ; GB0-A-4F2A
(ucs-set-char #x6EAA ?$B^d(B) ; J83-B-5E64
(ucs-set-char #x6EAB ?$(Ch.(B) ; KS0-C-682E
(ucs-set-char #x6EAB ?$(Gdk(B) ; C01-G-646B
(ucs-set-char #x6EAC ?$(IB@(B) ; C03-I-4240
(ucs-set-char #x6EAD ?$(DH,(B) ; J90-D-482C
(ucs-set-char #x6EAD ?$(J>6(B) ; C04-J-3E36
(ucs-set-char #x6EAE ?$(DH-(B) ; J90-D-482D
(ucs-set-char #x6EAE ?$(HDO(B) ; C02-H-444F
(ucs-set-char #x6EAF ?$(Ca=(B) ; KS0-C-613D
(ucs-set-char #x6EAF ?$(Gd_(B) ; C01-G-645F
(ucs-set-char #x6EAF ?$@^j(B) ; J78-@-5E6A
(ucs-set-char #x6EAF ?$AK](B) ; GB0-A-4B5D
(ucs-set-char #x6EAF ?$B^j(B) ; J83-B-5E6A
(ucs-set-char #x6EB0 ?$(HD;(B) ; C02-H-443B
(ucs-set-char #x6EB1 ?$(CrQ(B) ; KS0-C-7251
(ucs-set-char #x6EB1 ?$(DH.(B) ; J90-D-482E
(ucs-set-char #x6EB1 ?$(HD2(B) ; C02-H-4432
(ucs-set-char #x6EB1 ?$AdZ(B) ; GB0-A-645A
(ucs-set-char #x6EB2 ?$(HD?(B) ; C02-H-443F
(ucs-set-char #x6EB2 ?$@^l(B) ; J78-@-5E6C
(ucs-set-char #x6EB2 ?$AdQ(B) ; GB0-A-6451
(ucs-set-char #x6EB2 ?$B^l(B) ; J83-B-5E6C
(ucs-set-char #x6EB3 ?$(DH/(B) ; J90-D-482F
(ucs-set-char #x6EB3 ?$(HDK(B) ; C02-H-444B
(ucs-set-char #x6EB4 ?$(Gds(B) ; C01-G-6473
(ucs-set-char #x6EB4 ?$Ade(B) ; GB0-A-6465
(ucs-set-char #x6EB5 ?$(IB9(B) ; C03-I-4239
(ucs-set-char #x6EB6 ?$(CiA(B) ; KS0-C-6941
(ucs-set-char #x6EB6 ?$(Gda(B) ; C01-G-6461
(ucs-set-char #x6EB6 ?$@MO(B) ; J78-@-4D4F
(ucs-set-char #x6EB6 ?$AH\(B) ; GB0-A-485C
(ucs-set-char #x6EB6 ?$BMO(B) ; J83-B-4D4F
(ucs-set-char #x6EB7 ?$(HD:(B) ; C02-H-443A
(ucs-set-char #x6EB7 ?$@^g(B) ; J78-@-5E67
(ucs-set-char #x6EB7 ?$Adc(B) ; GB0-A-6463
(ucs-set-char #x6EB7 ?$B^g(B) ; J83-B-5E67
(ucs-set-char #x6EB8 ?$(IB-(B) ; C03-I-422D
(ucs-set-char #x6EB9 ?$(HD3(B) ; C02-H-4433
(ucs-set-char #x6EBA ?$(CR|(B) ; KS0-C-527C
(ucs-set-char #x6EBA ?$(Gdj(B) ; C01-G-646A
(ucs-set-char #x6EBA ?$@E.(B) ; J78-@-452E
(ucs-set-char #x6EBA ?$ADg(B) ; GB0-A-4467
(ucs-set-char #x6EBA ?$BE.(B) ; J83-B-452E
(ucs-set-char #x6EBB ?$(DH0(B) ; J90-D-4830
(ucs-set-char #x6EBB ?$(IB1(B) ; C03-I-4231
(ucs-set-char #x6EBB ?$Adb(B) ; GB0-A-6462
(ucs-set-char #x6EBC ?$(Gdi(B) ; C01-G-6469
(ucs-set-char #x6EBD ?$(HD6(B) ; C02-H-4436
(ucs-set-char #x6EBD ?$@^i(B) ; J78-@-5E69
(ucs-set-char #x6EBD ?$Ada(B) ; GB0-A-6461
(ucs-set-char #x6EBD ?$B^i(B) ; J83-B-5E69
(ucs-set-char #x6EBE ?$(HD@(B) ; C02-H-4440
(ucs-set-char #x6EBF ?$(DH1(B) ; J90-D-4831
(ucs-set-char #x6EBF ?$(HDJ(B) ; C02-H-444A
(ucs-set-char #x6EC0 ?$(DH2(B) ; J90-D-4832
(ucs-set-char #x6EC0 ?$(HD-(B) ; C02-H-442D
(ucs-set-char #x6EC1 ?$(DH3(B) ; J90-D-4833
(ucs-set-char #x6EC1 ?$(HD7(B) ; C02-H-4437
(ucs-set-char #x6EC1 ?$A3|(B) ; GB0-A-337C
(ucs-set-char #x6EC2 ?$(C[5(B) ; KS0-C-5B35
(ucs-set-char #x6EC2 ?$(Gdb(B) ; C01-G-6462
(ucs-set-char #x6EC2 ?$@^q(B) ; J78-@-5E71
(ucs-set-char #x6EC2 ?$Adh(B) ; GB0-A-6468
(ucs-set-char #x6EC2 ?$B^q(B) ; J83-B-5E71
(ucs-set-char #x6EC3 ?$(DH4(B) ; J90-D-4834
(ucs-set-char #x6EC3 ?$(HDA(B) ; C02-H-4441
(ucs-set-char #x6EC4 ?$(Csg(B) ; KS0-C-7367
(ucs-set-char #x6EC4 ?$(Gdo(B) ; C01-G-646F
(ucs-set-char #x6EC4 ?$@^k(B) ; J78-@-5E6B
(ucs-set-char #x6EC4 ?$B^k(B) ; J83-B-5E6B
(ucs-set-char #x6EC5 ?$(CX~(B) ; KS0-C-587E
(ucs-set-char #x6EC5 ?$(Gdf(B) ; C01-G-6466
(ucs-set-char #x6EC5 ?$@LG(B) ; J78-@-4C47
(ucs-set-char #x6EC5 ?$BLG(B) ; J83-B-4C47
(ucs-set-char #x6EC6 ?$(HD4(B) ; C02-H-4434
(ucs-set-char #x6EC7 ?$(DH5(B) ; J90-D-4835
(ucs-set-char #x6EC7 ?$(Gde(B) ; C01-G-6465
(ucs-set-char #x6EC7 ?$A5a(B) ; GB0-A-3561
(ucs-set-char #x6EC8 ?$(DH6(B) ; J90-D-4836
(ucs-set-char #x6EC8 ?$(HD+(B) ; C02-H-442B
(ucs-set-char #x6EC9 ?$(C|Q(B) ; KS0-C-7C51
(ucs-set-char #x6EC9 ?$(HD9(B) ; C02-H-4439
(ucs-set-char #x6EC9 ?$@^f(B) ; J78-@-5E66
(ucs-set-char #x6EC9 ?$B^f(B) ; J83-B-5E66
(ucs-set-char #x6ECA ?$(DH7(B) ; J90-D-4837
(ucs-set-char #x6ECA ?$(HDM(B) ; C02-H-444D
(ucs-set-char #x6ECB ?$(Cm2(B) ; KS0-C-6D32
(ucs-set-char #x6ECB ?$(G`E(B) ; C01-G-6045
(ucs-set-char #x6ECB ?$@<"(B) ; J78-@-3C22
(ucs-set-char #x6ECB ?$AWL(B) ; GB0-A-574C
(ucs-set-char #x6ECB ?$B<"(B) ; J83-B-3C22
(ucs-set-char #x6ECC ?$(Ct/(B) ; KS0-C-742F
(ucs-set-char #x6ECC ?$(GiW(B) ; C01-G-6957
(ucs-set-char #x6ECC ?$@^~(B) ; J78-@-5E7E
(ucs-set-char #x6ECC ?$B^~(B) ; J83-B-5E7E
(ucs-set-char #x6ECD ?$(DH8(B) ; J90-D-4838
(ucs-set-char #x6ECD ?$(HD<(B) ; C02-H-443C
(ucs-set-char #x6ECE ?$(C{#(B) ; KS0-C-7B23
(ucs-set-char #x6ECE ?$(DH9(B) ; J90-D-4839
(ucs-set-char #x6ECE ?$(HK4(B) ; C02-H-4B34
(ucs-set-char #x6ECF ?$(DH:(B) ; J90-D-483A
(ucs-set-char #x6ECF ?$(HD>(B) ; C02-H-443E
(ucs-set-char #x6ECF ?$Adf(B) ; GB0-A-6466
(ucs-set-char #x6ED0 ?$(HDL(B) ; C02-H-444C
(ucs-set-char #x6ED1 ?$(C|A(B) ; KS0-C-7C41
(ucs-set-char #x6ED1 ?$(Gdl(B) ; C01-G-646C
(ucs-set-char #x6ED1 ?$@3j(B) ; J78-@-336A
(ucs-set-char #x6ED1 ?$A;,(B) ; GB0-A-3B2C
(ucs-set-char #x6ED1 ?$B3j(B) ; J83-B-336A
(ucs-set-char #x6ED2 ?$(HD5(B) ; C02-H-4435
(ucs-set-char #x6ED3 ?$(Cn+(B) ; KS0-C-6E2B
(ucs-set-char #x6ED3 ?$(Gd`(B) ; C01-G-6460
(ucs-set-char #x6ED3 ?$@^h(B) ; J78-@-5E68
(ucs-set-char #x6ED3 ?$AWR(B) ; GB0-A-5752
(ucs-set-char #x6ED3 ?$B^h(B) ; J83-B-5E68
(ucs-set-char #x6ED4 ?$(CT%(B) ; KS0-C-5425
(ucs-set-char #x6ED4 ?$(Gdp(B) ; C01-G-6470
(ucs-set-char #x6ED4 ?$@^m(B) ; J78-@-5E6D
(ucs-set-char #x6ED4 ?$ALO(B) ; GB0-A-4C4F
(ucs-set-char #x6ED4 ?$B^m(B) ; J83-B-5E6D
(ucs-set-char #x6ED5 ?$(GmZ(B) ; C01-G-6D5A
(ucs-set-char #x6ED5 ?$@^n(B) ; J78-@-5E6E
(ucs-set-char #x6ED5 ?$Akx(B) ; GB0-A-6B78
(ucs-set-char #x6ED5 ?$B^n(B) ; J83-B-5E6E
(ucs-set-char #x6ED6 ?$(HD*(B) ; C02-H-442A
(ucs-set-char #x6ED7 ?$(LTN(B) ; C06-L-544E
(ucs-set-char #x6ED7 ?$Add(B) ; GB0-A-6464
(ucs-set-char #x6ED8 ?$(HDC(B) ; C02-H-4443
(ucs-set-char #x6ED9 ?$(IBD(B) ; C03-I-4244
(ucs-set-char #x6EDA ?$(IB>(B) ; C03-I-423E
(ucs-set-char #x6EDA ?$A9v(B) ; GB0-A-3976
(ucs-set-char #x6EDB ?$(IBG(B) ; C03-I-4247
(ucs-set-char #x6EDC ?$(HDB(B) ; C02-H-4442
(ucs-set-char #x6EDD ?$(IB=(B) ; C03-I-423D
(ucs-set-char #x6EDD ?$@Bl(B) ; J78-@-426C
(ucs-set-char #x6EDD ?$BBl(B) ; J83-B-426C
(ucs-set-char #x6EDE ?$@BZ(B) ; J78-@-425A
(ucs-set-char #x6EDE ?$AVM(B) ; GB0-A-564D
(ucs-set-char #x6EDE ?$BBZ(B) ; J83-B-425A
(ucs-set-char #x6EDF ?$AdY(B) ; GB0-A-6459
(ucs-set-char #x6EE0 ?$Ad\(B) ; GB0-A-645C
(ucs-set-char #x6EE1 ?$ABz(B) ; GB0-A-427A
(ucs-set-char #x6EE2 ?$Ad^(B) ; GB0-A-645E
(ucs-set-char #x6EE3 ?$(IBE(B) ; C03-I-4245
(ucs-set-char #x6EE4 ?$ABK(B) ; GB0-A-424B
(ucs-set-char #x6EE5 ?$A@D(B) ; GB0-A-4044
(ucs-set-char #x6EE6 ?$(IB?(B) ; C03-I-423F
(ucs-set-char #x6EE6 ?$ABP(B) ; GB0-A-4250
(ucs-set-char #x6EE8 ?$(IB;(B) ; C03-I-423B
(ucs-set-char #x6EE8 ?$A1u(B) ; GB0-A-3175
(ucs-set-char #x6EE9 ?$(IBF(B) ; C03-I-4246
(ucs-set-char #x6EE9 ?$AL2(B) ; GB0-A-4C32
(ucs-set-char #x6EEB ?$(DH;(B) ; J90-D-483B
(ucs-set-char #x6EEB ?$(HKP(B) ; C02-H-4B50
(ucs-set-char #x6EEC ?$(GiT(B) ; C01-G-6954
(ucs-set-char #x6EEC ?$@^v(B) ; J78-@-5E76
(ucs-set-char #x6EEC ?$B^v(B) ; J83-B-5E76
(ucs-set-char #x6EED ?$(DH<(B) ; J90-D-483C
(ucs-set-char #x6EED ?$(HKE(B) ; C02-H-4B45
(ucs-set-char #x6EEE ?$(DH=(B) ; J90-D-483D
(ucs-set-char #x6EEE ?$(HKJ(B) ; C02-H-4B4A
(ucs-set-char #x6EEF ?$(Ctr(B) ; KS0-C-7472
(ucs-set-char #x6EEF ?$(GiI(B) ; C01-G-6949
(ucs-set-char #x6EEF ?$@^|(B) ; J78-@-5E7C
(ucs-set-char #x6EEF ?$B^|(B) ; J83-B-5E7C
(ucs-set-char #x6EF0 ?$(IGV(B) ; C03-I-4756
(ucs-set-char #x6EF1 ?$(HK6(B) ; C02-H-4B36
(ucs-set-char #x6EF2 ?$(GiV(B) ; C01-G-6956
(ucs-set-char #x6EF2 ?$@^z(B) ; J78-@-5E7A
(ucs-set-char #x6EF2 ?$B^z(B) ; J83-B-5E7A
(ucs-set-char #x6EF3 ?$(IGW(B) ; C03-I-4757
(ucs-set-char #x6EF4 ?$(CnY(B) ; KS0-C-6E59
(ucs-set-char #x6EF4 ?$(Gi@(B) ; C01-G-6940
(ucs-set-char #x6EF4 ?$@E)(B) ; J78-@-4529
(ucs-set-char #x6EF4 ?$A5N(B) ; GB0-A-354E
(ucs-set-char #x6EF4 ?$BE)(B) ; J83-B-4529
(ucs-set-char #x6EF5 ?$(HK5(B) ; C02-H-4B35
(ucs-set-char #x6EF6 ?$(HKV(B) ; C02-H-4B56
(ucs-set-char #x6EF7 ?$(GiX(B) ; C01-G-6958
(ucs-set-char #x6EF7 ?$@_#(B) ; J78-@-5F23
(ucs-set-char #x6EF7 ?$B_#(B) ; J83-B-5F23
(ucs-set-char #x6EF8 ?$(C{J(B) ; KS0-C-7B4A
(ucs-set-char #x6EF8 ?$(HK9(B) ; C02-H-4B39
(ucs-set-char #x6EF8 ?$@^w(B) ; J78-@-5E77
(ucs-set-char #x6EF8 ?$B^w(B) ; J83-B-5E77
(ucs-set-char #x6EF9 ?$(DH>(B) ; J90-D-483E
(ucs-set-char #x6EF9 ?$(HKI(B) ; C02-H-4B49
(ucs-set-char #x6EF9 ?$Ado(B) ; GB0-A-646F
(ucs-set-char #x6EFA ?$(IGe(B) ; C03-I-4765
(ucs-set-char #x6EFB ?$(DH?(B) ; J90-D-483F
(ucs-set-char #x6EFB ?$(HK;(B) ; C02-H-4B3B
(ucs-set-char #x6EFC ?$(HKY(B) ; C02-H-4B59
(ucs-set-char #x6EFD ?$(DH@(B) ; J90-D-4840
(ucs-set-char #x6EFD ?$(HKU(B) ; C02-H-4B55
(ucs-set-char #x6EFE ?$(CMc(B) ; KS0-C-4D63
(ucs-set-char #x6EFE ?$(Gi>(B) ; C01-G-693E
(ucs-set-char #x6EFE ?$@^x(B) ; J78-@-5E78
(ucs-set-char #x6EFE ?$B^x(B) ; J83-B-5E78
(ucs-set-char #x6EFF ?$(CX;(B) ; KS0-C-583B
(ucs-set-char #x6EFF ?$(GiH(B) ; C01-G-6948
(ucs-set-char #x6EFF ?$@^`(B) ; J78-@-5E60
(ucs-set-char #x6EFF ?$B^`(B) ; J83-B-5E60
(ucs-set-char #x6F00 ?$(HQ[(B) ; C02-H-515B
(ucs-set-char #x6F01 ?$(Ce[(B) ; KS0-C-655B
(ucs-set-char #x6F01 ?$(GiU(B) ; C01-G-6955
(ucs-set-char #x6F01 ?$@5y(B) ; J78-@-3579
(ucs-set-char #x6F01 ?$B5y(B) ; J83-B-3579
(ucs-set-char #x6F02 ?$(Cxw(B) ; KS0-C-7877
(ucs-set-char #x6F02 ?$(GiF(B) ; C01-G-6946
(ucs-set-char #x6F02 ?$@I:(B) ; J78-@-493A
(ucs-set-char #x6F02 ?$AF/(B) ; GB0-A-462F
(ucs-set-char #x6F02 ?$BI:(B) ; J83-B-493A
(ucs-set-char #x6F03 ?$(HK7(B) ; C02-H-4B37
(ucs-set-char #x6F04 ?$(DHA(B) ; J90-D-4841
(ucs-set-char #x6F04 ?$(IGc(B) ; C03-I-4763
(ucs-set-char #x6F05 ?$(HKT(B) ; C02-H-4B54
(ucs-set-char #x6F06 ?$(CvT(B) ; KS0-C-7654
(ucs-set-char #x6F06 ?$(GiJ(B) ; C01-G-694A
(ucs-set-char #x6F06 ?$@<?(B) ; J78-@-3C3F
(ucs-set-char #x6F06 ?$AFa(B) ; GB0-A-4661
(ucs-set-char #x6F06 ?$B<?(B) ; J83-B-3C3F
(ucs-set-char #x6F07 ?$(HKQ(B) ; C02-H-4B51
(ucs-set-char #x6F08 ?$(DHB(B) ; J90-D-4842
(ucs-set-char #x6F08 ?$(HK^(B) ; C02-H-4B5E
(ucs-set-char #x6F09 ?$(HK=(B) ; C02-H-4B3D
(ucs-set-char #x6F09 ?$@9w(B) ; J78-@-3977
(ucs-set-char #x6F09 ?$Adu(B) ; GB0-A-6475
(ucs-set-char #x6F09 ?$B9w(B) ; J83-B-3977
(ucs-set-char #x6F0A ?$(DHC(B) ; J90-D-4843
(ucs-set-char #x6F0A ?$(HKF(B) ; C02-H-4B46
(ucs-set-char #x6F0B ?$(ILx(B) ; C03-I-4C78
(ucs-set-char #x6F0C ?$(DHD(B) ; J90-D-4844
(ucs-set-char #x6F0C ?$(IG[(B) ; C03-I-475B
(ucs-set-char #x6F0D ?$(DHE(B) ; J90-D-4845
(ucs-set-char #x6F0D ?$(HK\(B) ; C02-H-4B5C
(ucs-set-char #x6F0E ?$(HKR(B) ; C02-H-4B52
(ucs-set-char #x6F0F ?$(CW)(B) ; KS0-C-5729
(ucs-set-char #x6F0F ?$(GiE(B) ; C01-G-6945
(ucs-set-char #x6F0F ?$@O3(B) ; J78-@-4F33
(ucs-set-char #x6F0F ?$AB)(B) ; GB0-A-4229
(ucs-set-char #x6F0F ?$BO3(B) ; J83-B-4F33
(ucs-set-char #x6F10 ?$(ILj(B) ; C03-I-4C6A
(ucs-set-char #x6F11 ?$(CKI(B) ; KS0-C-4B49
(ucs-set-char #x6F11 ?$(IGd(B) ; C03-I-4764
(ucs-set-char #x6F11 ?$@^t(B) ; J78-@-5E74
(ucs-set-char #x6F11 ?$B^t(B) ; J83-B-5E74
(ucs-set-char #x6F12 ?$(HKD(B) ; C02-H-4B44
(ucs-set-char #x6F13 ?$(Gi?(B) ; C01-G-693F
(ucs-set-char #x6F13 ?$@_"(B) ; J78-@-5F22
(ucs-set-char #x6F13 ?$A@l(B) ; GB0-A-406C
(ucs-set-char #x6F13 ?$B_"(B) ; J83-B-5F22
(ucs-set-char #x6F14 ?$(CfQ(B) ; KS0-C-6651
(ucs-set-char #x6F14 ?$(Gi=(B) ; C01-G-693D
(ucs-set-char #x6F14 ?$@1i(B) ; J78-@-3169
(ucs-set-char #x6F14 ?$AQ](B) ; GB0-A-515D
(ucs-set-char #x6F14 ?$B1i(B) ; J83-B-3169
(ucs-set-char #x6F15 ?$(CpL(B) ; KS0-C-704C
(ucs-set-char #x6F15 ?$(GiO(B) ; C01-G-694F
(ucs-set-char #x6F15 ?$@Af(B) ; J78-@-4166
(ucs-set-char #x6F15 ?$Adn(B) ; GB0-A-646E
(ucs-set-char #x6F15 ?$BAf(B) ; J83-B-4166
(ucs-set-char #x6F16 ?$(DHF(B) ; J90-D-4846
(ucs-set-char #x6F16 ?$(JDC(B) ; C04-J-4443
(ucs-set-char #x6F17 ?$(IG_(B) ; C03-I-475F
(ucs-set-char #x6F18 ?$(DHG(B) ; J90-D-4847
(ucs-set-char #x6F18 ?$(HKB(B) ; C02-H-4B42
(ucs-set-char #x6F19 ?$(HK?(B) ; C02-H-4B3F
(ucs-set-char #x6F1A ?$(DHH(B) ; J90-D-4848
(ucs-set-char #x6F1A ?$(HK@(B) ; C02-H-4B40
(ucs-set-char #x6F1B ?$(DHI(B) ; J90-D-4849
(ucs-set-char #x6F1B ?$(IGZ(B) ; C03-I-475A
(ucs-set-char #x6F1C ?$(HKX(B) ; C02-H-4B58
(ucs-set-char #x6F1D ?$(IG\(B) ; C03-I-475C
(ucs-set-char #x6F1E ?$(HK](B) ; C02-H-4B5D
(ucs-set-char #x6F1F ?$(HK[(B) ; C02-H-4B5B
(ucs-set-char #x6F20 ?$(CX.(B) ; KS0-C-582E
(ucs-set-char #x6F20 ?$(GiC(B) ; C01-G-6943
(ucs-set-char #x6F20 ?$@Gy(B) ; J78-@-4779
(ucs-set-char #x6F20 ?$AD.(B) ; GB0-A-442E
(ucs-set-char #x6F20 ?$BGy(B) ; J83-B-4779
(ucs-set-char #x6F21 ?$(HK_(B) ; C02-H-4B5F
(ucs-set-char #x6F22 ?$(CyS(B) ; KS0-C-7953
(ucs-set-char #x6F22 ?$(GiG(B) ; C01-G-6947
(ucs-set-char #x6F22 ?$@4A(B) ; J78-@-3441
(ucs-set-char #x6F22 ?$B4A(B) ; J83-B-3441
(ucs-set-char #x6F23 ?$(CU~(B) ; KS0-C-557E
(ucs-set-char #x6F23 ?$(GiN(B) ; C01-G-694E
(ucs-set-char #x6F23 ?$@Nz(B) ; J78-@-4E7A
(ucs-set-char #x6F23 ?$BNz(B) ; J83-B-4E7A
(ucs-set-char #x6F24 ?$(JDD(B) ; C04-J-4444
(ucs-set-char #x6F24 ?$Adm(B) ; GB0-A-646D
(ucs-set-char #x6F25 ?$(HK8(B) ; C02-H-4B38
(ucs-set-char #x6F26 ?$(DHJ(B) ; J90-D-484A
(ucs-set-char #x6F26 ?$(HQC(B) ; C02-H-5143
(ucs-set-char #x6F27 ?$(HKA(B) ; C02-H-4B41
(ucs-set-char #x6F28 ?$(IG^(B) ; C03-I-475E
(ucs-set-char #x6F29 ?$(DHK(B) ; J90-D-484B
(ucs-set-char #x6F29 ?$(GiA(B) ; C01-G-6941
(ucs-set-char #x6F29 ?$Adv(B) ; GB0-A-6476
(ucs-set-char #x6F2A ?$(DHL(B) ; J90-D-484C
(ucs-set-char #x6F2A ?$(GiS(B) ; C01-G-6953
(ucs-set-char #x6F2A ?$Adt(B) ; GB0-A-6474
(ucs-set-char #x6F2B ?$(CX<(B) ; KS0-C-583C
(ucs-set-char #x6F2B ?$(GiP(B) ; C01-G-6950
(ucs-set-char #x6F2B ?$@L!(B) ; J78-@-4C21
(ucs-set-char #x6F2B ?$AB~(B) ; GB0-A-427E
(ucs-set-char #x6F2B ?$BL!(B) ; J83-B-4C21
(ucs-set-char #x6F2C ?$(Cr0(B) ; KS0-C-7230
(ucs-set-char #x6F2C ?$(GiD(B) ; C01-G-6944
(ucs-set-char #x6F2C ?$@DR(B) ; J78-@-4452
(ucs-set-char #x6F2C ?$BDR(B) ; J83-B-4452
(ucs-set-char #x6F2D ?$(DHS(B) ; J90-D-4853
(ucs-set-char #x6F2D ?$(HKK(B) ; C02-H-4B4B
(ucs-set-char #x6F2D ?$Ad](B) ; GB0-A-645D
(ucs-set-char #x6F2E ?$(HK<(B) ; C02-H-4B3C
(ucs-set-char #x6F2F ?$(DHM(B) ; J90-D-484D
(ucs-set-char #x6F2F ?$(GiQ(B) ; C01-G-6951
(ucs-set-char #x6F2F ?$Adp(B) ; GB0-A-6470
(ucs-set-char #x6F30 ?$(DHN(B) ; J90-D-484E
(ucs-set-char #x6F30 ?$(HKM(B) ; C02-H-4B4D
(ucs-set-char #x6F31 ?$(Cb+(B) ; KS0-C-622B
(ucs-set-char #x6F31 ?$(GiK(B) ; C01-G-694B
(ucs-set-char #x6F31 ?$@^{(B) ; J78-@-5E7B
(ucs-set-char #x6F31 ?$AJ~(B) ; GB0-A-4A7E
(ucs-set-char #x6F31 ?$B^{(B) ; J83-B-5E7B
(ucs-set-char #x6F32 ?$(Csh(B) ; KS0-C-7368
(ucs-set-char #x6F32 ?$(GiM(B) ; C01-G-694D
(ucs-set-char #x6F32 ?$@^}(B) ; J78-@-5E7D
(ucs-set-char #x6F32 ?$B^}(B) ; J83-B-5E7D
(ucs-set-char #x6F33 ?$(DHO(B) ; J90-D-484F
(ucs-set-char #x6F33 ?$(Gi<(B) ; C01-G-693C
(ucs-set-char #x6F33 ?$AUD(B) ; GB0-A-5544
(ucs-set-char #x6F34 ?$(IG](B) ; C03-I-475D
(ucs-set-char #x6F35 ?$(HKO(B) ; C02-H-4B4F
(ucs-set-char #x6F36 ?$(DHP(B) ; J90-D-4850
(ucs-set-char #x6F36 ?$(HKG(B) ; C02-H-4B47
(ucs-set-char #x6F36 ?$Adq(B) ; GB0-A-6471
(ucs-set-char #x6F37 ?$(HK:(B) ; C02-H-4B3A
(ucs-set-char #x6F38 ?$(CoB(B) ; KS0-C-6F42
(ucs-set-char #x6F38 ?$(GiL(B) ; C01-G-694C
(ucs-set-char #x6F38 ?$@A2(B) ; J78-@-4132
(ucs-set-char #x6F38 ?$BA2(B) ; J83-B-4132
(ucs-set-char #x6F39 ?$(HKW(B) ; C02-H-4B57
(ucs-set-char #x6F3A ?$(HKZ(B) ; C02-H-4B5A
(ucs-set-char #x6F3B ?$(DHQ(B) ; J90-D-4851
(ucs-set-char #x6F3B ?$(HKC(B) ; C02-H-4B43
(ucs-set-char #x6F3C ?$(DHR(B) ; J90-D-4852
(ucs-set-char #x6F3C ?$(HKN(B) ; C02-H-4B4E
(ucs-set-char #x6F3D ?$(ILt(B) ; C03-I-4C74
(ucs-set-char #x6F3E ?$(GiB(B) ; C01-G-6942
(ucs-set-char #x6F3E ?$@_!(B) ; J78-@-5F21
(ucs-set-char #x6F3E ?$AQz(B) ; GB0-A-517A
(ucs-set-char #x6F3E ?$B_!(B) ; J83-B-5F21
(ucs-set-char #x6F3F ?$(Cml(B) ; KS0-C-6D6C
(ucs-set-char #x6F3F ?$(GmI(B) ; C01-G-6D49
(ucs-set-char #x6F3F ?$@^y(B) ; J78-@-5E79
(ucs-set-char #x6F3F ?$B^y(B) ; J83-B-5E79
(ucs-set-char #x6F40 ?$(HKL(B) ; C02-H-4B4C
(ucs-set-char #x6F41 ?$(Cg8(B) ; KS0-C-6738
(ucs-set-char #x6F41 ?$(HQB(B) ; C02-H-5142
(ucs-set-char #x6F41 ?$@^s(B) ; J78-@-5E73
(ucs-set-char #x6F41 ?$B^s(B) ; J83-B-5E73
(ucs-set-char #x6F42 ?$(IGb(B) ; C03-I-4762
(ucs-set-char #x6F43 ?$(HKS(B) ; C02-H-4B53
(ucs-set-char #x6F44 ?$(IGa(B) ; C03-I-4761
(ucs-set-char #x6F45 ?$(JDR(B) ; C04-J-4452
(ucs-set-char #x6F45 ?$@^u(B) ; J78-@-5E75
(ucs-set-char #x6F45 ?$B4C(B) ; J83-B-3443
(ucs-set-char #x6F46 ?$Adk(B) ; GB0-A-646B
(ucs-set-char #x6F47 ?$Adl(B) ; GB0-A-646C
(ucs-set-char #x6F4A ?$(IGf(B) ; C03-I-4766
(ucs-set-char #x6F4B ?$Adr(B) ; GB0-A-6472
(ucs-set-char #x6F4D ?$AN+(B) ; GB0-A-4E2B
(ucs-set-char #x6F4E ?$(HK>(B) ; C02-H-4B3E
(ucs-set-char #x6F4F ?$(DHT(B) ; J90-D-4854
(ucs-set-char #x6F4F ?$(HQL(B) ; C02-H-514C
(ucs-set-char #x6F50 ?$(HQV(B) ; C02-H-5156
(ucs-set-char #x6F51 ?$(CZ~(B) ; KS0-C-5A7E
(ucs-set-char #x6F51 ?$(DHU(B) ; J90-D-4855
(ucs-set-char #x6F51 ?$(GmL(B) ; C01-G-6D4C
(ucs-set-char #x6F51 ?$@H.(B) ; J78-@-482E
(ucs-set-char #x6F52 ?$(DHV(B) ; J90-D-4856
(ucs-set-char #x6F52 ?$(HQU(B) ; C02-H-5155
(ucs-set-char #x6F53 ?$(DHW(B) ; J90-D-4857
(ucs-set-char #x6F53 ?$(HQa(B) ; C02-H-5161
(ucs-set-char #x6F54 ?$(CL>(B) ; KS0-C-4C3E
(ucs-set-char #x6F54 ?$(GmN(B) ; C01-G-6D4E
(ucs-set-char #x6F54 ?$@7i(B) ; J78-@-3769
(ucs-set-char #x6F54 ?$B7i(B) ; J83-B-3769
(ucs-set-char #x6F55 ?$(HQS(B) ; C02-H-5153
(ucs-set-char #x6F56 ?$(JJX(B) ; C04-J-4A58
(ucs-set-char #x6F57 ?$(Cr|(B) ; KS0-C-727C
(ucs-set-char #x6F57 ?$(DHX(B) ; J90-D-4858
(ucs-set-char #x6F57 ?$(HQW(B) ; C02-H-5157
(ucs-set-char #x6F58 ?$(CZk(B) ; KS0-C-5A6B
(ucs-set-char #x6F58 ?$(GmY(B) ; C01-G-6D59
(ucs-set-char #x6F58 ?$@_/(B) ; J78-@-5F2F
(ucs-set-char #x6F58 ?$AEK(B) ; GB0-A-454B
(ucs-set-char #x6F58 ?$B_/(B) ; J83-B-5F2F
(ucs-set-char #x6F59 ?$(DHY(B) ; J90-D-4859
(ucs-set-char #x6F59 ?$(IL}(B) ; C03-I-4C7D
(ucs-set-char #x6F5A ?$(CbX(B) ; KS0-C-6258
(ucs-set-char #x6F5A ?$(DHZ(B) ; J90-D-485A
(ucs-set-char #x6F5A ?$(HQN(B) ; C02-H-514E
(ucs-set-char #x6F5B ?$(CmV(B) ; KS0-C-6D56
(ucs-set-char #x6F5B ?$(GmQ(B) ; C01-G-6D51
(ucs-set-char #x6F5B ?$@_*(B) ; J78-@-5F2A
(ucs-set-char #x6F5B ?$B_*(B) ; J83-B-5F2A
(ucs-set-char #x6F5C ?$(ILs(B) ; C03-I-4C73
(ucs-set-char #x6F5C ?$@@x(B) ; J78-@-4078
(ucs-set-char #x6F5C ?$AG1(B) ; GB0-A-4731
(ucs-set-char #x6F5C ?$B@x(B) ; J83-B-4078
(ucs-set-char #x6F5D ?$(DH[(B) ; J90-D-485B
(ucs-set-char #x6F5D ?$(HQZ(B) ; C02-H-515A
(ucs-set-char #x6F5E ?$(CVQ(B) ; KS0-C-5651
(ucs-set-char #x6F5E ?$(DH\(B) ; J90-D-485C
(ucs-set-char #x6F5E ?$(HW{(B) ; C02-H-577B
(ucs-set-char #x6F5E ?$AB:(B) ; GB0-A-423A
(ucs-set-char #x6F5F ?$(C`3(B) ; KS0-C-6033
(ucs-set-char #x6F5F ?$(Gm](B) ; C01-G-6D5D
(ucs-set-char #x6F5F ?$@3c(B) ; J78-@-3363
(ucs-set-char #x6F5F ?$B3c(B) ; J83-B-3363
(ucs-set-char #x6F60 ?$(Gm\(B) ; C01-G-6D5C
(ucs-set-char #x6F61 ?$(DH](B) ; J90-D-485D
(ucs-set-char #x6F61 ?$(HQ\(B) ; C02-H-515C
(ucs-set-char #x6F62 ?$(C|R(B) ; KS0-C-7C52
(ucs-set-char #x6F62 ?$(DH^(B) ; J90-D-485E
(ucs-set-char #x6F62 ?$(HQK(B) ; C02-H-514B
(ucs-set-char #x6F62 ?$Adj(B) ; GB0-A-646A
(ucs-set-char #x6F63 ?$(HQf(B) ; C02-H-5166
(ucs-set-char #x6F64 ?$(CkH(B) ; KS0-C-6B48
(ucs-set-char #x6F64 ?$(GmW(B) ; C01-G-6D57
(ucs-set-char #x6F64 ?$@=a(B) ; J78-@-3D61
(ucs-set-char #x6F64 ?$B=a(B) ; J83-B-3D61
(ucs-set-char #x6F65 ?$(ILk(B) ; C03-I-4C6B
(ucs-set-char #x6F66 ?$(GmM(B) ; C01-G-6D4D
(ucs-set-char #x6F66 ?$@_3(B) ; J78-@-5F33
(ucs-set-char #x6F66 ?$AAJ(B) ; GB0-A-414A
(ucs-set-char #x6F66 ?$B_3(B) ; J83-B-5F33
(ucs-set-char #x6F67 ?$(HQ_(B) ; C02-H-515F
(ucs-set-char #x6F68 ?$(DH_(B) ; J90-D-485F
(ucs-set-char #x6F68 ?$(JJi(B) ; C04-J-4A69
(ucs-set-char #x6F69 ?$(HQc(B) ; C02-H-5163
(ucs-set-char #x6F6A ?$(HQh(B) ; C02-H-5168
(ucs-set-char #x6F6B ?$(HQ](B) ; C02-H-515D
(ucs-set-char #x6F6C ?$(DH`(B) ; J90-D-4860
(ucs-set-char #x6F6C ?$(HQQ(B) ; C02-H-5151
(ucs-set-char #x6F6D ?$(CSA(B) ; KS0-C-5341
(ucs-set-char #x6F6D ?$(GmP(B) ; C01-G-6D50
(ucs-set-char #x6F6D ?$@_,(B) ; J78-@-5F2C
(ucs-set-char #x6F6D ?$AL6(B) ; GB0-A-4C36
(ucs-set-char #x6F6D ?$B_,(B) ; J83-B-5F2C
(ucs-set-char #x6F6E ?$(CpM(B) ; KS0-C-704D
(ucs-set-char #x6F6E ?$(GmS(B) ; C01-G-6D53
(ucs-set-char #x6F6E ?$(M$O(B) ; C07-M-244F
(ucs-set-char #x6F6E ?$@D,(B) ; J78-@-442C
(ucs-set-char #x6F6E ?$A31(B) ; GB0-A-3331
(ucs-set-char #x6F6E ?$BD,(B) ; J83-B-442C
(ucs-set-char #x6F6F ?$(Gm[(B) ; C01-G-6D5B
(ucs-set-char #x6F6F ?$@_)(B) ; J78-@-5F29
(ucs-set-char #x6F6F ?$B_)(B) ; J83-B-5F29
(ucs-set-char #x6F70 ?$(COw(B) ; KS0-C-4F77
(ucs-set-char #x6F70 ?$(GmV(B) ; C01-G-6D56
(ucs-set-char #x6F70 ?$@DY(B) ; J78-@-4459
(ucs-set-char #x6F70 ?$BDY(B) ; J83-B-4459
(ucs-set-char #x6F71 ?$(ILu(B) ; C03-I-4C75
(ucs-set-char #x6F72 ?$(HQT(B) ; C02-H-5154
(ucs-set-char #x6F72 ?$Ad{(B) ; GB0-A-647B
(ucs-set-char #x6F73 ?$(HKH(B) ; C02-H-4B48
(ucs-set-char #x6F74 ?$(IL~(B) ; C03-I-4C7E
(ucs-set-char #x6F74 ?$@_L(B) ; J78-@-5F4C
(ucs-set-char #x6F74 ?$Ads(B) ; GB0-A-6473
(ucs-set-char #x6F74 ?$B_L(B) ; J83-B-5F4C
(ucs-set-char #x6F75 ?$(ILl(B) ; C03-I-4C6C
(ucs-set-char #x6F76 ?$(HQP(B) ; C02-H-5150
(ucs-set-char #x6F77 ?$(HQg(B) ; C02-H-5167
(ucs-set-char #x6F78 ?$(GmR(B) ; C01-G-6D52
(ucs-set-char #x6F78 ?$@_&(B) ; J78-@-5F26
(ucs-set-char #x6F78 ?$Adz(B) ; GB0-A-647A
(ucs-set-char #x6F78 ?$B_&(B) ; J83-B-5F26
(ucs-set-char #x6F79 ?$(ILy(B) ; C03-I-4C79
(ucs-set-char #x6F7A ?$(CmR(B) ; KS0-C-6D52
(ucs-set-char #x6F7A ?$(GmU(B) ; C01-G-6D55
(ucs-set-char #x6F7A ?$@_%(B) ; J78-@-5F25
(ucs-set-char #x6F7A ?$Ad}(B) ; GB0-A-647D
(ucs-set-char #x6F7A ?$B_%(B) ; J83-B-5F25
(ucs-set-char #x6F7B ?$(HQi(B) ; C02-H-5169
(ucs-set-char #x6F7C ?$(CTX(B) ; KS0-C-5458
(ucs-set-char #x6F7C ?$(GmJ(B) ; C01-G-6D4A
(ucs-set-char #x6F7C ?$@_.(B) ; J78-@-5F2E
(ucs-set-char #x6F7C ?$Ad|(B) ; GB0-A-647C
(ucs-set-char #x6F7C ?$B_.(B) ; J83-B-5F2E
(ucs-set-char #x6F7D ?$(C\I(B) ; KS0-C-5C49
(ucs-set-char #x6F7D ?$(DHa(B) ; J90-D-4861
(ucs-set-char #x6F7D ?$(HQ^(B) ; C02-H-515E
(ucs-set-char #x6F7E ?$(CWq(B) ; KS0-C-5771
(ucs-set-char #x6F7E ?$(DHb(B) ; J90-D-4862
(ucs-set-char #x6F7E ?$(HQD(B) ; C02-H-5144
(ucs-set-char #x6F7F ?$(HQd(B) ; C02-H-5164
(ucs-set-char #x6F80 ?$(Gt*(B) ; C01-G-742A
(ucs-set-char #x6F80 ?$@_((B) ; J78-@-5F28
(ucs-set-char #x6F80 ?$B_((B) ; J83-B-5F28
(ucs-set-char #x6F81 ?$(C_;(B) ; KS0-C-5F3B
(ucs-set-char #x6F81 ?$(ILz(B) ; C03-I-4C7A
(ucs-set-char #x6F81 ?$@_'(B) ; J78-@-5F27
(ucs-set-char #x6F81 ?$B_'(B) ; J83-B-5F27
(ucs-set-char #x6F82 ?$(HQR(B) ; C02-H-5152
(ucs-set-char #x6F82 ?$@_-(B) ; J78-@-5F2D
(ucs-set-char #x6F82 ?$B_-(B) ; J83-B-5F2D
(ucs-set-char #x6F83 ?$(DHc(B) ; J90-D-4863
(ucs-set-char #x6F83 ?$(JPu(B) ; C04-J-5075
(ucs-set-char #x6F84 ?$(Cs%(B) ; KS0-C-7325
(ucs-set-char #x6F84 ?$(GmK(B) ; C01-G-6D4B
(ucs-set-char #x6F84 ?$@@!(B) ; J78-@-4021
(ucs-set-char #x6F84 ?$A3N(B) ; GB0-A-334E
(ucs-set-char #x6F84 ?$B@!(B) ; J83-B-4021
(ucs-set-char #x6F85 ?$(HQM(B) ; C02-H-514D
(ucs-set-char #x6F86 ?$(GmO(B) ; C01-G-6D4F
(ucs-set-char #x6F86 ?$@_$(B) ; J78-@-5F24
(ucs-set-char #x6F86 ?$B_$(B) ; J83-B-5F24
(ucs-set-char #x6F87 ?$(DHd(B) ; J90-D-4864
(ucs-set-char #x6F87 ?$(HQE(B) ; C02-H-5145
(ucs-set-char #x6F88 ?$(CtM(B) ; KS0-C-744D
(ucs-set-char #x6F88 ?$(DHe(B) ; J90-D-4865
(ucs-set-char #x6F88 ?$(GiR(B) ; C01-G-6952
(ucs-set-char #x6F88 ?$A3:(B) ; GB0-A-333A
(ucs-set-char #x6F89 ?$(HQI(B) ; C02-H-5149
(ucs-set-char #x6F89 ?$Adw(B) ; GB0-A-6477
(ucs-set-char #x6F8A ?$(JJW(B) ; C04-J-4A57
(ucs-set-char #x6F8B ?$(DHf(B) ; J90-D-4866
(ucs-set-char #x6F8B ?$(HQb(B) ; C02-H-5162
(ucs-set-char #x6F8C ?$(DHg(B) ; J90-D-4867
(ucs-set-char #x6F8C ?$(HQJ(B) ; C02-H-514A
(ucs-set-char #x6F8C ?$Ady(B) ; GB0-A-6479
(ucs-set-char #x6F8D ?$(Cq?(B) ; KS0-C-713F
(ucs-set-char #x6F8D ?$(DHh(B) ; J90-D-4868
(ucs-set-char #x6F8D ?$(HQH(B) ; C02-H-5148
(ucs-set-char #x6F8D ?$Adx(B) ; GB0-A-6478
(ucs-set-char #x6F8E ?$(Cx1(B) ; KS0-C-7831
(ucs-set-char #x6F8E ?$(GmT(B) ; C01-G-6D54
(ucs-set-char #x6F8E ?$@_0(B) ; J78-@-5F30
(ucs-set-char #x6F8E ?$AEl(B) ; GB0-A-456C
(ucs-set-char #x6F8E ?$B_0(B) ; J83-B-5F30
(ucs-set-char #x6F8F ?$(IL{(B) ; C03-I-4C7B
(ucs-set-char #x6F90 ?$(Ciz(B) ; KS0-C-697A
(ucs-set-char #x6F90 ?$(DHi(B) ; J90-D-4869
(ucs-set-char #x6F90 ?$(HQ`(B) ; C02-H-5160
(ucs-set-char #x6F91 ?$(ILw(B) ; C03-I-4C77
(ucs-set-char #x6F91 ?$@_1(B) ; J78-@-5F31
(ucs-set-char #x6F91 ?$B_1(B) ; J83-B-5F31
(ucs-set-char #x6F92 ?$(DHj(B) ; J90-D-486A
(ucs-set-char #x6F92 ?$(HQG(B) ; C02-H-5147
(ucs-set-char #x6F93 ?$(DHk(B) ; J90-D-486B
(ucs-set-char #x6F93 ?$(HQY(B) ; C02-H-5159
(ucs-set-char #x6F94 ?$(C{K(B) ; KS0-C-7B4B
(ucs-set-char #x6F94 ?$(DHl(B) ; J90-D-486C
(ucs-set-char #x6F94 ?$(HQX(B) ; C02-H-5158
(ucs-set-char #x6F95 ?$(HQe(B) ; C02-H-5165
(ucs-set-char #x6F96 ?$(DHm(B) ; J90-D-486D
(ucs-set-char #x6F96 ?$(HQO(B) ; C02-H-514F
(ucs-set-char #x6F97 ?$(CJU(B) ; KS0-C-4A55
(ucs-set-char #x6F97 ?$(GmX(B) ; C01-G-6D58
(ucs-set-char #x6F97 ?$@4B(B) ; J78-@-3442
(ucs-set-char #x6F97 ?$B4B(B) ; J83-B-3442
(ucs-set-char #x6F98 ?$(JJd(B) ; C04-J-4A64
(ucs-set-char #x6F9A ?$(DHn(B) ; J90-D-486E
(ucs-set-char #x6F9C ?$A@=(B) ; GB0-A-403D
(ucs-set-char #x6F9E ?$(HW~(B) ; C02-H-577E
(ucs-set-char #x6F9F ?$(DHo(B) ; J90-D-486F
(ucs-set-char #x6F9F ?$(IQV(B) ; C03-I-5156
(ucs-set-char #x6FA0 ?$(DHp(B) ; J90-D-4870
(ucs-set-char #x6FA0 ?$(Gq3(B) ; C01-G-7133
(ucs-set-char #x6FA1 ?$(Gq)(B) ; C01-G-7129
(ucs-set-char #x6FA1 ?$@_6(B) ; J78-@-5F36
(ucs-set-char #x6FA1 ?$ATh(B) ; GB0-A-5468
(ucs-set-char #x6FA1 ?$B_6(B) ; J83-B-5F36
(ucs-set-char #x6FA2 ?$(HX,(B) ; C02-H-582C
(ucs-set-char #x6FA3 ?$(CyT(B) ; KS0-C-7954
(ucs-set-char #x6FA3 ?$(HWv(B) ; C02-H-5776
(ucs-set-char #x6FA3 ?$@_5(B) ; J78-@-5F35
(ucs-set-char #x6FA3 ?$B_5(B) ; J83-B-5F35
(ucs-set-char #x6FA4 ?$(CwJ(B) ; KS0-C-774A
(ucs-set-char #x6FA4 ?$(Gq+(B) ; C01-G-712B
(ucs-set-char #x6FA4 ?$@_7(B) ; J78-@-5F37
(ucs-set-char #x6FA4 ?$B_7(B) ; J83-B-5F37
(ucs-set-char #x6FA5 ?$(DHq(B) ; J90-D-4871
(ucs-set-char #x6FA5 ?$(HX$(B) ; C02-H-5824
(ucs-set-char #x6FA6 ?$(DHr(B) ; J90-D-4872
(ucs-set-char #x6FA6 ?$(Gq2(B) ; C01-G-7132
(ucs-set-char #x6FA7 ?$(CVH(B) ; KS0-C-5648
(ucs-set-char #x6FA7 ?$(DHs(B) ; J90-D-4873
(ucs-set-char #x6FA7 ?$(Gq-(B) ; C01-G-712D
(ucs-set-char #x6FA7 ?$Ae"(B) ; GB0-A-6522
(ucs-set-char #x6FA8 ?$(DHt(B) ; J90-D-4874
(ucs-set-char #x6FA8 ?$(HX"(B) ; C02-H-5822
(ucs-set-char #x6FA9 ?$(H];(B) ; C02-H-5D3B
(ucs-set-char #x6FAA ?$(HX((B) ; C02-H-5828
(ucs-set-char #x6FAA ?$@_:(B) ; J78-@-5F3A
(ucs-set-char #x6FAA ?$B_:(B) ; J83-B-5F3A
(ucs-set-char #x6FAB ?$(HX.(B) ; C02-H-582E
(ucs-set-char #x6FAC ?$(HX'(B) ; C02-H-5827
(ucs-set-char #x6FAD ?$(HWt(B) ; C02-H-5774
(ucs-set-char #x6FAE ?$(C|h(B) ; KS0-C-7C68
(ucs-set-char #x6FAE ?$(DHu(B) ; J90-D-4875
(ucs-set-char #x6FAE ?$(HX%(B) ; C02-H-5825
(ucs-set-char #x6FAF ?$(Cs=(B) ; KS0-C-733D
(ucs-set-char #x6FAF ?$(DHv(B) ; J90-D-4876
(ucs-set-char #x6FAF ?$(HX0(B) ; C02-H-5830
(ucs-set-char #x6FB0 ?$(DHw(B) ; J90-D-4877
(ucs-set-char #x6FB0 ?$(HX2(B) ; C02-H-5832
(ucs-set-char #x6FB1 ?$(Cn~(B) ; KS0-C-6E7E
(ucs-set-char #x6FB1 ?$(Gq((B) ; C01-G-7128
(ucs-set-char #x6FB1 ?$@EC(B) ; J78-@-4543
(ucs-set-char #x6FB1 ?$BEC(B) ; J83-B-4543
(ucs-set-char #x6FB2 ?$(HX1(B) ; C02-H-5831
(ucs-set-char #x6FB3 ?$(Cg~(B) ; KS0-C-677E
(ucs-set-char #x6FB3 ?$(Gq.(B) ; C01-G-712E
(ucs-set-char #x6FB3 ?$@_4(B) ; J78-@-5F34
(ucs-set-char #x6FB3 ?$A0D(B) ; GB0-A-3044
(ucs-set-char #x6FB3 ?$B_4(B) ; J83-B-5F34
(ucs-set-char #x6FB4 ?$(Gq4(B) ; C01-G-7134
(ucs-set-char #x6FB5 ?$(DHx(B) ; J90-D-4878
(ucs-set-char #x6FB5 ?$(IQT(B) ; C03-I-5154
(ucs-set-char #x6FB6 ?$(DHy(B) ; J90-D-4879
(ucs-set-char #x6FB6 ?$(Gq1(B) ; C01-G-7131
(ucs-set-char #x6FB6 ?$Ae$(B) ; GB0-A-6524
(ucs-set-char #x6FB7 ?$(IQX(B) ; C03-I-5158
(ucs-set-char #x6FB8 ?$(HX+(B) ; C02-H-582B
(ucs-set-char #x6FB9 ?$(CSB(B) ; KS0-C-5342
(ucs-set-char #x6FB9 ?$(Gq0(B) ; C01-G-7130
(ucs-set-char #x6FB9 ?$@_8(B) ; J78-@-5F38
(ucs-set-char #x6FB9 ?$Ae#(B) ; GB0-A-6523
(ucs-set-char #x6FB9 ?$B_8(B) ; J83-B-5F38
(ucs-set-char #x6FBA ?$(HX&(B) ; C02-H-5826
(ucs-set-char #x6FBB ?$(IQM(B) ; C03-I-514D
(ucs-set-char #x6FBC ?$(DHz(B) ; J90-D-487A
(ucs-set-char #x6FBC ?$(HWx(B) ; C02-H-5778
(ucs-set-char #x6FBD ?$(HW}(B) ; C02-H-577D
(ucs-set-char #x6FBE ?$(CS6(B) ; KS0-C-5336
(ucs-set-char #x6FBE ?$(IQP(B) ; C03-I-5150
(ucs-set-char #x6FBF ?$(HX*(B) ; C02-H-582A
(ucs-set-char #x6FC0 ?$(CL-(B) ; KS0-C-4C2D
(ucs-set-char #x6FC0 ?$(Gq/(B) ; C01-G-712F
(ucs-set-char #x6FC0 ?$@7c(B) ; J78-@-3763
(ucs-set-char #x6FC0 ?$A<$(B) ; GB0-A-3C24
(ucs-set-char #x6FC0 ?$B7c(B) ; J83-B-3763
(ucs-set-char #x6FC1 ?$(Cvz(B) ; KS0-C-767A
(ucs-set-char #x6FC1 ?$(Gq,(B) ; C01-G-712C
(ucs-set-char #x6FC1 ?$@By(B) ; J78-@-4279
(ucs-set-char #x6FC1 ?$BBy(B) ; J83-B-4279
(ucs-set-char #x6FC2 ?$(CV2(B) ; KS0-C-5632
(ucs-set-char #x6FC2 ?$(Gq'(B) ; C01-G-7127
(ucs-set-char #x6FC2 ?$@_2(B) ; J78-@-5F32
(ucs-set-char #x6FC2 ?$Ae%(B) ; GB0-A-6525
(ucs-set-char #x6FC2 ?$B_2(B) ; J83-B-5F32
(ucs-set-char #x6FC3 ?$(CRX(B) ; KS0-C-5258
(ucs-set-char #x6FC3 ?$(Gq*(B) ; C01-G-712A
(ucs-set-char #x6FC3 ?$@G;(B) ; J78-@-473B
(ucs-set-char #x6FC3 ?$BG;(B) ; J83-B-473B
(ucs-set-char #x6FC4 ?$(HW|(B) ; C02-H-577C
(ucs-set-char #x6FC5 ?$(DH{(B) ; J90-D-487B
(ucs-set-char #x6FC5 ?$(JQ"(B) ; C04-J-5122
(ucs-set-char #x6FC6 ?$(HQF(B) ; C02-H-5146
(ucs-set-char #x6FC6 ?$@_9(B) ; J78-@-5F39
(ucs-set-char #x6FC6 ?$B_9(B) ; J83-B-5F39
(ucs-set-char #x6FC7 ?$(DH|(B) ; J90-D-487C
(ucs-set-char #x6FC7 ?$(HWw(B) ; C02-H-5777
(ucs-set-char #x6FC8 ?$(DH}(B) ; J90-D-487D
(ucs-set-char #x6FC8 ?$(HWz(B) ; C02-H-577A
(ucs-set-char #x6FC9 ?$(HX-(B) ; C02-H-582D
(ucs-set-char #x6FC9 ?$Ae!(B) ; GB0-A-6521
(ucs-set-char #x6FCA ?$(CgX(B) ; KS0-C-6758
(ucs-set-char #x6FCA ?$(DH~(B) ; J90-D-487E
(ucs-set-char #x6FCA ?$(HX!(B) ; C02-H-5821
(ucs-set-char #x6FCB ?$(HWu(B) ; C02-H-5775
(ucs-set-char #x6FCC ?$(H]:(B) ; C02-H-5D3A
(ucs-set-char #x6FCD ?$(HX/(B) ; C02-H-582F
(ucs-set-char #x6FCE ?$(HWy(B) ; C02-H-5779
(ucs-set-char #x6FCF ?$(HX)(B) ; C02-H-5829
(ucs-set-char #x6FD0 ?$(ILq(B) ; C03-I-4C71
(ucs-set-char #x6FD1 ?$Ad~(B) ; GB0-A-647E
(ucs-set-char #x6FD2 ?$A1t(B) ; GB0-A-3174
(ucs-set-char #x6FD3 ?$(IQU(B) ; C03-I-5155
(ucs-set-char #x6FD4 ?$(H]=(B) ; C02-H-5D3D
(ucs-set-char #x6FD4 ?$@_>(B) ; J78-@-5F3E
(ucs-set-char #x6FD4 ?$B_>(B) ; J83-B-5F3E
(ucs-set-char #x6FD5 ?$(Cc%(B) ; KS0-C-6325
(ucs-set-char #x6FD5 ?$(Gt.(B) ; C01-G-742E
(ucs-set-char #x6FD5 ?$@_<(B) ; J78-@-5F3C
(ucs-set-char #x6FD5 ?$B_<(B) ; J83-B-5F3C
(ucs-set-char #x6FD6 ?$(IU0(B) ; C03-I-5530
(ucs-set-char #x6FD7 ?$(IU/(B) ; C03-I-552F
(ucs-set-char #x6FD8 ?$(Gt"(B) ; C01-G-7422
(ucs-set-char #x6FD8 ?$@_?(B) ; J78-@-5F3F
(ucs-set-char #x6FD8 ?$B_?(B) ; J83-B-5F3F
(ucs-set-char #x6FD9 ?$(IU5(B) ; C03-I-5535
(ucs-set-char #x6FDA ?$(Cg9(B) ; KS0-C-6739
(ucs-set-char #x6FDA ?$(DI!(B) ; J90-D-4921
(ucs-set-char #x6FDA ?$(IU6(B) ; C03-I-5536
(ucs-set-char #x6FDB ?$(Gt&(B) ; C01-G-7426
(ucs-set-char #x6FDB ?$@_B(B) ; J78-@-5F42
(ucs-set-char #x6FDB ?$B_B(B) ; J83-B-5F42
(ucs-set-char #x6FDC ?$(H]?(B) ; C02-H-5D3F
(ucs-set-char #x6FDD ?$(H]E(B) ; C02-H-5D45
(ucs-set-char #x6FDE ?$(DI"(B) ; J90-D-4922
(ucs-set-char #x6FDE ?$(H]C(B) ; C02-H-5D43
(ucs-set-char #x6FDE ?$Ae((B) ; GB0-A-6528
(ucs-set-char #x6FDF ?$(Cp-(B) ; KS0-C-702D
(ucs-set-char #x6FDF ?$(Gt$(B) ; C01-G-7424
(ucs-set-char #x6FDF ?$@_;(B) ; J78-@-5F3B
(ucs-set-char #x6FDF ?$B_;(B) ; J83-B-5F3B
(ucs-set-char #x6FE0 ?$(C{L(B) ; KS0-C-7B4C
(ucs-set-char #x6FE0 ?$(Gt%(B) ; C01-G-7425
(ucs-set-char #x6FE0 ?$@9j(B) ; J78-@-396A
(ucs-set-char #x6FE0 ?$Ae)(B) ; GB0-A-6529
(ucs-set-char #x6FE0 ?$B9j(B) ; J83-B-396A
(ucs-set-char #x6FE1 ?$(Ck!(B) ; KS0-C-6B21
(ucs-set-char #x6FE1 ?$(Gt,(B) ; C01-G-742C
(ucs-set-char #x6FE1 ?$@G((B) ; J78-@-4728
(ucs-set-char #x6FE1 ?$Ae&(B) ; GB0-A-6526
(ucs-set-char #x6FE1 ?$BG((B) ; J83-B-4728
(ucs-set-char #x6FE2 ?$(H]F(B) ; C02-H-5D46
(ucs-set-char #x6FE3 ?$(H]>(B) ; C02-H-5D3E
(ucs-set-char #x6FE4 ?$(CT&(B) ; KS0-C-5426
(ucs-set-char #x6FE4 ?$(Gt'(B) ; C01-G-7427
(ucs-set-char #x6FE4 ?$@Es(B) ; J78-@-4573
(ucs-set-char #x6FE4 ?$B^9(B) ; J83-B-5E39
(ucs-set-char #x6FE5 ?$(IU1(B) ; C03-I-5531
(ucs-set-char #x6FE6 ?$(H]B(B) ; C02-H-5D42
(ucs-set-char #x6FE7 ?$(H]A(B) ; C02-H-5D41
(ucs-set-char #x6FE8 ?$(DI#(B) ; J90-D-4923
(ucs-set-char #x6FE8 ?$(H]G(B) ; C02-H-5D47
(ucs-set-char #x6FE9 ?$(C{M(B) ; KS0-C-7B4D
(ucs-set-char #x6FE9 ?$(DI$(B) ; J90-D-4924
(ucs-set-char #x6FE9 ?$(Gt-(B) ; C01-G-742D
(ucs-set-char #x6FEA ?$(IU7(B) ; C03-I-5537
(ucs-set-char #x6FEB ?$(CU=(B) ; KS0-C-553D
(ucs-set-char #x6FEB ?$(Gt((B) ; C01-G-7428
(ucs-set-char #x6FEB ?$@Mt(B) ; J78-@-4D74
(ucs-set-char #x6FEB ?$BMt(B) ; J83-B-4D74
(ucs-set-char #x6FEC ?$(Cq_(B) ; KS0-C-715F
(ucs-set-char #x6FEC ?$(Gt+(B) ; C01-G-742B
(ucs-set-char #x6FEC ?$@_=(B) ; J78-@-5F3D
(ucs-set-char #x6FEC ?$B_=(B) ; J83-B-5F3D
(ucs-set-char #x6FED ?$(H]@(B) ; C02-H-5D40
(ucs-set-char #x6FEE ?$(Gt/(B) ; C01-G-742F
(ucs-set-char #x6FEE ?$@_A(B) ; J78-@-5F41
(ucs-set-char #x6FEE ?$Ae'(B) ; GB0-A-6527
(ucs-set-char #x6FEE ?$B_A(B) ; J83-B-5F41
(ucs-set-char #x6FEF ?$(Cv{(B) ; KS0-C-767B
(ucs-set-char #x6FEF ?$(Gt)(B) ; C01-G-7429
(ucs-set-char #x6FEF ?$@Bu(B) ; J78-@-4275
(ucs-set-char #x6FEF ?$Ae*(B) ; GB0-A-652A
(ucs-set-char #x6FEF ?$BBu(B) ; J83-B-4275
(ucs-set-char #x6FF0 ?$(DI%(B) ; J90-D-4925
(ucs-set-char #x6FF0 ?$(Gt0(B) ; C01-G-7430
(ucs-set-char #x6FF1 ?$(C^4(B) ; KS0-C-5E34
(ucs-set-char #x6FF1 ?$(Gt#(B) ; C01-G-7423
(ucs-set-char #x6FF1 ?$@_@(B) ; J78-@-5F40
(ucs-set-char #x6FF1 ?$B_@(B) ; J83-B-5F40
(ucs-set-char #x6FF2 ?$(H]D(B) ; C02-H-5D44
(ucs-set-char #x6FF3 ?$(IZU(B) ; C03-I-5A55
(ucs-set-char #x6FF3 ?$@_+(B) ; J78-@-5F2B
(ucs-set-char #x6FF3 ?$B_+(B) ; J83-B-5F2B
(ucs-set-char #x6FF4 ?$(H]<(B) ; C02-H-5D3C
(ucs-set-char #x6FF5 ?$(DI&(B) ; J90-D-4926
(ucs-set-char #x6FF5 ?$(IQY(B) ; C03-I-5159
(ucs-set-char #x6FF6 ?$(IU9(B) ; C03-I-5539
(ucs-set-char #x6FF6 ?$@oi(B) ; J78-@-6F69
(ucs-set-char #x6FF6 ?$Boi(B) ; J83-B-6F69
(ucs-set-char #x6FF7 ?$(Hb%(B) ; C02-H-6225
(ucs-set-char #x6FF9 ?$(DI'(B) ; J90-D-4927
(ucs-set-char #x6FFA ?$(Gv](B) ; C01-G-765D
(ucs-set-char #x6FFA ?$@_E(B) ; J78-@-5F45
(ucs-set-char #x6FFA ?$B_E(B) ; J83-B-5F45
(ucs-set-char #x6FFB ?$(Hb"(B) ; C02-H-6222
(ucs-set-char #x6FFC ?$(DI((B) ; J90-D-4928
(ucs-set-char #x6FFC ?$(Hb$(B) ; C02-H-6224
(ucs-set-char #x6FFD ?$(DI)(B) ; J90-D-4929
(ucs-set-char #x6FFD ?$(IX((B) ; C03-I-5828
(ucs-set-char #x6FFE ?$(CUk(B) ; KS0-C-556B
(ucs-set-char #x6FFE ?$(Gv[(B) ; C01-G-765B
(ucs-set-char #x6FFE ?$@_I(B) ; J78-@-5F49
(ucs-set-char #x6FFE ?$B_I(B) ; J83-B-5F49
(ucs-set-char #x6FFF ?$(Ha~(B) ; C02-H-617E
(ucs-set-char #x7000 ?$(DI*(B) ; J90-D-492A
(ucs-set-char #x7000 ?$(Hb!(B) ; C02-H-6221
(ucs-set-char #x7001 ?$(CeH(B) ; KS0-C-6548
(ucs-set-char #x7001 ?$(Haz(B) ; C02-H-617A
(ucs-set-char #x7001 ?$@_G(B) ; J78-@-5F47
(ucs-set-char #x7001 ?$B_G(B) ; J83-B-5F47
(ucs-set-char #x7002 ?$(IX*(B) ; C03-I-582A
(ucs-set-char #x7003 ?$(IX'(B) ; C03-I-5827
(ucs-set-char #x7004 ?$(HX#(B) ; C02-H-5823
(ucs-set-char #x7005 ?$(C{$(B) ; KS0-C-7B24
(ucs-set-char #x7005 ?$(DI+(B) ; J90-D-492B
(ucs-set-char #x7005 ?$(Ha{(B) ; C02-H-617B
(ucs-set-char #x7006 ?$(CT9(B) ; KS0-C-5439
(ucs-set-char #x7006 ?$(DI,(B) ; J90-D-492C
(ucs-set-char #x7006 ?$(Gv\(B) ; C01-G-765C
(ucs-set-char #x7006 ?$@FB(B) ; J78-@-4642
(ucs-set-char #x7007 ?$(DI-(B) ; J90-D-492D
(ucs-set-char #x7007 ?$(Haw(B) ; C02-H-6177
(ucs-set-char #x7008 ?$(IX&(B) ; C03-I-5826
(ucs-set-char #x7009 ?$(C^a(B) ; KS0-C-5E61
(ucs-set-char #x7009 ?$(GvY(B) ; C01-G-7659
(ucs-set-char #x7009 ?$@_C(B) ; J78-@-5F43
(ucs-set-char #x7009 ?$B_C(B) ; J83-B-5F43
(ucs-set-char #x700A ?$(Hb&(B) ; C02-H-6226
(ucs-set-char #x700B ?$(Cd#(B) ; KS0-C-6423
(ucs-set-char #x700B ?$(GvZ(B) ; C01-G-765A
(ucs-set-char #x700B ?$@_D(B) ; J78-@-5F44
(ucs-set-char #x700B ?$B_D(B) ; J83-B-5F44
(ucs-set-char #x700C ?$(Hax(B) ; C02-H-6178
(ucs-set-char #x700D ?$(DI.(B) ; J90-D-492E
(ucs-set-char #x700D ?$(Hay(B) ; C02-H-6179
(ucs-set-char #x700E ?$(Ha}(B) ; C02-H-617D
(ucs-set-char #x700F ?$(CW7(B) ; KS0-C-5737
(ucs-set-char #x700F ?$(Gv_(B) ; C01-G-765F
(ucs-set-char #x700F ?$@_H(B) ; J78-@-5F48
(ucs-set-char #x700F ?$B_H(B) ; J83-B-5F48
(ucs-set-char #x7010 ?$(IX)(B) ; C03-I-5829
(ucs-set-char #x7011 ?$(Cxn(B) ; KS0-C-786E
(ucs-set-char #x7011 ?$(Gv^(B) ; C01-G-765E
(ucs-set-char #x7011 ?$@_F(B) ; J78-@-5F46
(ucs-set-char #x7011 ?$AFY(B) ; GB0-A-4659
(ucs-set-char #x7011 ?$B_F(B) ; J83-B-5F46
(ucs-set-char #x7012 ?$(J[^(B) ; C04-J-5B5E
(ucs-set-char #x7013 ?$(IX+(B) ; C03-I-582B
(ucs-set-char #x7014 ?$(Ha|(B) ; C02-H-617C
(ucs-set-char #x7015 ?$(C^5(B) ; KS0-C-5E35
(ucs-set-char #x7015 ?$(GxE(B) ; C01-G-7845
(ucs-set-char #x7015 ?$@IN(B) ; J78-@-494E
(ucs-set-char #x7015 ?$BIN(B) ; J83-B-494E
(ucs-set-char #x7016 ?$(Hej(B) ; C02-H-656A
(ucs-set-char #x7017 ?$(DI/(B) ; J90-D-492F
(ucs-set-char #x7017 ?$(Hep(B) ; C02-H-6570
(ucs-set-char #x7018 ?$(CVR(B) ; KS0-C-5652
(ucs-set-char #x7018 ?$(GxF(B) ; C01-G-7846
(ucs-set-char #x7018 ?$@_N(B) ; J78-@-5F4E
(ucs-set-char #x7018 ?$B_N(B) ; J83-B-5F4E
(ucs-set-char #x7019 ?$(Heg(B) ; C02-H-6567
(ucs-set-char #x701A ?$(CyU(B) ; KS0-C-7955
(ucs-set-char #x701A ?$(GxC(B) ; C01-G-7843
(ucs-set-char #x701A ?$@_K(B) ; J78-@-5F4B
(ucs-set-char #x701A ?$Ae+(B) ; GB0-A-652B
(ucs-set-char #x701A ?$B_K(B) ; J83-B-5F4B
(ucs-set-char #x701B ?$(Cg:(B) ; KS0-C-673A
(ucs-set-char #x701B ?$(Gx@(B) ; C01-G-7840
(ucs-set-char #x701B ?$@_J(B) ; J78-@-5F4A
(ucs-set-char #x701B ?$Ae-(B) ; GB0-A-652D
(ucs-set-char #x701B ?$B_J(B) ; J83-B-5F4A
(ucs-set-char #x701C ?$(CkU(B) ; KS0-C-6B55
(ucs-set-char #x701C ?$(Her(B) ; C02-H-6572
(ucs-set-char #x701D ?$(CUw(B) ; KS0-C-5577
(ucs-set-char #x701D ?$(GxD(B) ; C01-G-7844
(ucs-set-char #x701D ?$@_M(B) ; J78-@-5F4D
(ucs-set-char #x701D ?$B_M(B) ; J83-B-5F4D
(ucs-set-char #x701E ?$(Cog(B) ; KS0-C-6F67
(ucs-set-char #x701E ?$(IZR(B) ; C03-I-5A52
(ucs-set-char #x701E ?$(JV](B) ; C04-J-565D
(ucs-set-char #x701E ?$@FT(B) ; J78-@-4654
(ucs-set-char #x701E ?$BFT(B) ; J83-B-4654
(ucs-set-char #x701F ?$(Ca>(B) ; KS0-C-613E
(ucs-set-char #x701F ?$(GxA(B) ; C01-G-7841
(ucs-set-char #x701F ?$@_O(B) ; J78-@-5F4F
(ucs-set-char #x701F ?$B_O(B) ; J83-B-5F4F
(ucs-set-char #x7020 ?$(DI0(B) ; J90-D-4930
(ucs-set-char #x7020 ?$(Hei(B) ; C02-H-6569
(ucs-set-char #x7021 ?$(Hel(B) ; C02-H-656C
(ucs-set-char #x7022 ?$(Hem(B) ; C02-H-656D
(ucs-set-char #x7023 ?$(Cz.(B) ; KS0-C-7A2E
(ucs-set-char #x7023 ?$(DI1(B) ; J90-D-4931
(ucs-set-char #x7023 ?$(Hen(B) ; C02-H-656E
(ucs-set-char #x7023 ?$Ae,(B) ; GB0-A-652C
(ucs-set-char #x7024 ?$(Heq(B) ; C02-H-6571
(ucs-set-char #x7025 ?$(IZT(B) ; C03-I-5A54
(ucs-set-char #x7026 ?$(Hb#(B) ; C02-H-6223
(ucs-set-char #x7026 ?$@Cu(B) ; J78-@-4375
(ucs-set-char #x7026 ?$BCu(B) ; J83-B-4375
(ucs-set-char #x7027 ?$(CVi(B) ; KS0-C-5669
(ucs-set-char #x7027 ?$(Heh(B) ; C02-H-6568
(ucs-set-char #x7027 ?$@Bm(B) ; J78-@-426D
(ucs-set-char #x7027 ?$BBm(B) ; J83-B-426D
(ucs-set-char #x7028 ?$(CVn(B) ; KS0-C-566E
(ucs-set-char #x7028 ?$(GxB(B) ; C01-G-7842
(ucs-set-char #x7029 ?$(Heo(B) ; C02-H-656F
(ucs-set-char #x702A ?$(Hi4(B) ; C02-H-6934
(ucs-set-char #x702B ?$(Hek(B) ; C02-H-656B
(ucs-set-char #x702C ?$(IZS(B) ; C03-I-5A53
(ucs-set-char #x702C ?$@@%(B) ; J78-@-4025
(ucs-set-char #x702C ?$B@%(B) ; J83-B-4025
(ucs-set-char #x702F ?$(Cg;(B) ; KS0-C-673B
(ucs-set-char #x702F ?$(DI2(B) ; J90-D-4932
(ucs-set-char #x702F ?$(Hi+(B) ; C02-H-692B
(ucs-set-char #x7030 ?$(Gyu(B) ; C01-G-7975
(ucs-set-char #x7030 ?$@_P(B) ; J78-@-5F50
(ucs-set-char #x7030 ?$B_P(B) ; J83-B-5F50
(ucs-set-char #x7031 ?$(Hi.(B) ; C02-H-692E
(ucs-set-char #x7032 ?$(Gyv(B) ; C01-G-7976
(ucs-set-char #x7032 ?$@_R(B) ; J78-@-5F52
(ucs-set-char #x7032 ?$B_R(B) ; J83-B-5F52
(ucs-set-char #x7033 ?$(Hi7(B) ; C02-H-6937
(ucs-set-char #x7034 ?$(DI3(B) ; J90-D-4933
(ucs-set-char #x7034 ?$(Hi-(B) ; C02-H-692D
(ucs-set-char #x7035 ?$(Hi*(B) ; C02-H-692A
(ucs-set-char #x7035 ?$Ae/(B) ; GB0-A-652F
(ucs-set-char #x7036 ?$(I\Q(B) ; C03-I-5C51
(ucs-set-char #x7037 ?$(ClK(B) ; KS0-C-6C4B
(ucs-set-char #x7037 ?$(DI4(B) ; J90-D-4934
(ucs-set-char #x7037 ?$(Hi,(B) ; C02-H-692C
(ucs-set-char #x7038 ?$(Hi0(B) ; C02-H-6930
(ucs-set-char #x7039 ?$(DI5(B) ; J90-D-4935
(ucs-set-char #x7039 ?$(Hi3(B) ; C02-H-6933
(ucs-set-char #x7039 ?$Ae.(B) ; GB0-A-652E
(ucs-set-char #x703A ?$(Hi2(B) ; C02-H-6932
(ucs-set-char #x703B ?$(Hi6(B) ; C02-H-6936
(ucs-set-char #x703C ?$(DI6(B) ; J90-D-4936
(ucs-set-char #x703C ?$(Hi)(B) ; C02-H-6929
(ucs-set-char #x703D ?$(I\O(B) ; C03-I-5C4F
(ucs-set-char #x703E ?$(CU3(B) ; KS0-C-5533
(ucs-set-char #x703E ?$(Gyt(B) ; C01-G-7974
(ucs-set-char #x703E ?$@_Q(B) ; J78-@-5F51
(ucs-set-char #x703E ?$B_Q(B) ; J83-B-5F51
(ucs-set-char #x703F ?$(Hi1(B) ; C02-H-6931
(ucs-set-char #x7040 ?$(Hi5(B) ; C02-H-6935
(ucs-set-char #x7041 ?$(Hi8(B) ; C02-H-6938
(ucs-set-char #x7042 ?$(Hi/(B) ; C02-H-692F
(ucs-set-char #x7043 ?$(DI7(B) ; J90-D-4937
(ucs-set-char #x7043 ?$(Hka(B) ; C02-H-6B61
(ucs-set-char #x7044 ?$(DI8(B) ; J90-D-4938
(ucs-set-char #x7044 ?$(Hkb(B) ; C02-H-6B62
(ucs-set-char #x7045 ?$(Hkf(B) ; C02-H-6B66
(ucs-set-char #x7046 ?$(Hkg(B) ; C02-H-6B67
(ucs-set-char #x7047 ?$(I^<(B) ; C03-I-5E3C
(ucs-set-char #x7048 ?$(DI9(B) ; J90-D-4939
(ucs-set-char #x7048 ?$(Hkd(B) ; C02-H-6B64
(ucs-set-char #x7049 ?$(DI:(B) ; J90-D-493A
(ucs-set-char #x7049 ?$(Hke(B) ; C02-H-6B65
(ucs-set-char #x704A ?$(DI;(B) ; J90-D-493B
(ucs-set-char #x704A ?$(Hkc(B) ; C02-H-6B63
(ucs-set-char #x704B ?$(DI<(B) ; J90-D-493C
(ucs-set-char #x704B ?$(I^:(B) ; C03-I-5E3A
(ucs-set-char #x704C ?$(CN4(B) ; KS0-C-4E34
(ucs-set-char #x704C ?$(Gzt(B) ; C01-G-7A74
(ucs-set-char #x704C ?$@4C(B) ; J78-@-3443
(ucs-set-char #x704C ?$A9`(B) ; GB0-A-3960
(ucs-set-char #x704C ?$B^u(B) ; J83-B-5E75
(ucs-set-char #x704D ?$(I^;(B) ; C03-I-5E3B
(ucs-set-char #x704E ?$(DIA(B) ; J90-D-4941
(ucs-set-char #x704F ?$Ae0(B) ; GB0-A-6530
(ucs-set-char #x7050 ?$(C{%(B) ; KS0-C-7B25
(ucs-set-char #x7051 ?$(Can(B) ; KS0-C-616E
(ucs-set-char #x7051 ?$(G{d(B) ; C01-G-7B64
(ucs-set-char #x7051 ?$@_S(B) ; J78-@-5F53
(ucs-set-char #x7051 ?$B_S(B) ; J83-B-5F53
(ucs-set-char #x7052 ?$(HmY(B) ; C02-H-6D59
(ucs-set-char #x7053 ?$(I`6(B) ; C03-I-6036
(ucs-set-char #x7054 ?$(DI=(B) ; J90-D-493D
(ucs-set-char #x7054 ?$(I_R(B) ; C03-I-5F52
(ucs-set-char #x7055 ?$(DI>(B) ; J90-D-493E
(ucs-set-char #x7055 ?$(HmV(B) ; C02-H-6D56
(ucs-set-char #x7056 ?$(HmW(B) ; C02-H-6D57
(ucs-set-char #x7057 ?$(HmX(B) ; C02-H-6D58
(ucs-set-char #x7058 ?$(Cw((B) ; KS0-C-7728
(ucs-set-char #x7058 ?$(G{e(B) ; C01-G-7B65
(ucs-set-char #x7058 ?$@Fg(B) ; J78-@-4667
(ucs-set-char #x7058 ?$BFg(B) ; J83-B-4667
(ucs-set-char #x7059 ?$(I`7(B) ; C03-I-6037
(ucs-set-char #x705A ?$(Ho4(B) ; C02-H-6F34
(ucs-set-char #x705B ?$(Ho3(B) ; C02-H-6F33
(ucs-set-char #x705D ?$(C{N(B) ; KS0-C-7B4E
(ucs-set-char #x705D ?$(DI?(B) ; J90-D-493F
(ucs-set-char #x705D ?$(Hp=(B) ; C02-H-703D
(ucs-set-char #x705E ?$(DI@(B) ; J90-D-4940
(ucs-set-char #x705E ?$(G|`(B) ; C01-G-7C60
(ucs-set-char #x705E ?$Ae1(B) ; GB0-A-6531
(ucs-set-char #x705F ?$(Hp;(B) ; C02-H-703B
(ucs-set-char #x7060 ?$(Hp>(B) ; C02-H-703E
(ucs-set-char #x7061 ?$(Hp<(B) ; C02-H-703C
(ucs-set-char #x7062 ?$(Hq%(B) ; C02-H-7125
(ucs-set-char #x7063 ?$(CX=(B) ; KS0-C-583D
(ucs-set-char #x7063 ?$(G}$(B) ; C01-G-7D24
(ucs-set-char #x7063 ?$@_T(B) ; J78-@-5F54
(ucs-set-char #x7063 ?$B_T(B) ; J83-B-5F54
(ucs-set-char #x7064 ?$(DIB(B) ; J90-D-4942
(ucs-set-char #x7064 ?$(G}2(B) ; C01-G-7D32
(ucs-set-char #x7065 ?$(DIC(B) ; J90-D-4943
(ucs-set-char #x7065 ?$(Hqq(B) ; C02-H-7171
(ucs-set-char #x7066 ?$(Hq[(B) ; C02-H-715B
(ucs-set-char #x7067 ?$(Iay(B) ; C03-I-6179
(ucs-set-char #x7068 ?$(Hqp(B) ; C02-H-7170
(ucs-set-char #x7069 ?$(Hr>(B) ; C02-H-723E
(ucs-set-char #x706A ?$(Hr?(B) ; C02-H-723F
(ucs-set-char #x706B ?$(C{}(B) ; KS0-C-7B7D
(ucs-set-char #x706B ?$(GEV(B) ; C01-G-4556
(ucs-set-char #x706B ?$@2P(B) ; J78-@-3250
(ucs-set-char #x706B ?$A;p(B) ; GB0-A-3B70
(ucs-set-char #x706B ?$B2P(B) ; J83-B-3250
(ucs-set-char #x706C ?$(DID(B) ; J90-D-4944
(ucs-set-char #x706C ?$(J!P(B) ; C04-J-2150
(ucs-set-char #x706C ?$Ala(B) ; GB0-A-6C61
(ucs-set-char #x706D ?$ACp(B) ; GB0-A-4370
(ucs-set-char #x706E ?$(DIE(B) ; J90-D-4945
(ucs-set-char #x706E ?$(I$((B) ; C03-I-2428
(ucs-set-char #x706F ?$(I$&(B) ; C03-I-2426
(ucs-set-char #x706F ?$@Et(B) ; J78-@-4574
(ucs-set-char #x706F ?$A5F(B) ; GB0-A-3546
(ucs-set-char #x706F ?$BEt(B) ; J83-B-4574
(ucs-set-char #x7070 ?$(C|i(B) ; KS0-C-7C69
(ucs-set-char #x7070 ?$(GHH(B) ; C01-G-4848
(ucs-set-char #x7070 ?$(I$)(B) ; C03-I-2429
(ucs-set-char #x7070 ?$@3%(B) ; J78-@-3325
(ucs-set-char #x7070 ?$A;R(B) ; GB0-A-3B52
(ucs-set-char #x7070 ?$B3%(B) ; J83-B-3325
(ucs-set-char #x7071 ?$(H"a(B) ; C02-H-2261
(ucs-set-char #x7072 ?$(I$'(B) ; C03-I-2427
(ucs-set-char #x7073 ?$(I$+(B) ; C03-I-242B
(ucs-set-char #x7074 ?$(H$^(B) ; C02-H-245E
(ucs-set-char #x7075 ?$(DIF(B) ; J90-D-4946
(ucs-set-char #x7075 ?$(I&b(B) ; C03-I-2662
(ucs-set-char #x7075 ?$AAi(B) ; GB0-A-4169
(ucs-set-char #x7076 ?$(DIG(B) ; J90-D-4947
(ucs-set-char #x7076 ?$(GK"(B) ; C01-G-4B22
(ucs-set-char #x7076 ?$ATn(B) ; GB0-A-546E
(ucs-set-char #x7077 ?$(I&_(B) ; C03-I-265F
(ucs-set-char #x7078 ?$(CO6(B) ; KS0-C-4F36
(ucs-set-char #x7078 ?$(GK%(B) ; C01-G-4B25
(ucs-set-char #x7078 ?$@5d(B) ; J78-@-3564
(ucs-set-char #x7078 ?$A>D(B) ; GB0-A-3E44
(ucs-set-char #x7078 ?$B5d(B) ; J83-B-3564
(ucs-set-char #x7079 ?$(I&^(B) ; C03-I-265E
(ucs-set-char #x707A ?$(H$_(B) ; C02-H-245F
(ucs-set-char #x707B ?$(I&c(B) ; C03-I-2663
(ucs-set-char #x707C ?$(CmG(B) ; KS0-C-6D47
(ucs-set-char #x707C ?$(GK#(B) ; C01-G-4B23
(ucs-set-char #x707C ?$@<^(B) ; J78-@-3C5E
(ucs-set-char #x707C ?$AWF(B) ; GB0-A-5746
(ucs-set-char #x707C ?$B<^(B) ; J83-B-3C5E
(ucs-set-char #x707D ?$(Cn,(B) ; KS0-C-6E2C
(ucs-set-char #x707D ?$(GK$(B) ; C01-G-4B24
(ucs-set-char #x707D ?$@:R(B) ; J78-@-3A52
(ucs-set-char #x707D ?$B:R(B) ; J83-B-3A52
(ucs-set-char #x707E ?$(DIH(B) ; J90-D-4948
(ucs-set-char #x707E ?$(I&`(B) ; C03-I-2660
(ucs-set-char #x707E ?$ATV(B) ; GB0-A-5456
(ucs-set-char #x707F ?$A2S(B) ; GB0-A-3253
(ucs-set-char #x7080 ?$Al>(B) ; GB0-A-6C3E
(ucs-set-char #x7081 ?$(DII(B) ; J90-D-4949
(ucs-set-char #x7081 ?$(I)w(B) ; C03-I-2977
(ucs-set-char #x7082 ?$(H'x(B) ; C02-H-2778
(ucs-set-char #x7083 ?$(H'z(B) ; C02-H-277A
(ucs-set-char #x7084 ?$(H'u(B) ; C02-H-2775
(ucs-set-char #x7085 ?$(CL](B) ; KS0-C-4C5D
(ucs-set-char #x7085 ?$(DIJ(B) ; J90-D-494A
(ucs-set-char #x7085 ?$(H'r(B) ; C02-H-2772
(ucs-set-char #x7085 ?$AjA(B) ; GB0-A-6A41
(ucs-set-char #x7086 ?$(DIK(B) ; J90-D-494B
(ucs-set-char #x7086 ?$(H't(B) ; C02-H-2774
(ucs-set-char #x7087 ?$(I)t(B) ; C03-I-2974
(ucs-set-char #x7088 ?$(I)p(B) ; C03-I-2970
(ucs-set-char #x7089 ?$(I)u(B) ; C03-I-2975
(ucs-set-char #x7089 ?$@O'(B) ; J78-@-4F27
(ucs-set-char #x7089 ?$AB/(B) ; GB0-A-422F
(ucs-set-char #x7089 ?$BO'(B) ; J83-B-4F27
(ucs-set-char #x708A ?$(Cv'(B) ; KS0-C-7627
(ucs-set-char #x708A ?$(GNe(B) ; C01-G-4E65
(ucs-set-char #x708A ?$@?f(B) ; J78-@-3F66
(ucs-set-char #x708A ?$A46(B) ; GB0-A-3436
(ucs-set-char #x708A ?$B?f(B) ; J83-B-3F66
(ucs-set-char #x708B ?$(I)o(B) ; C03-I-296F
(ucs-set-char #x708C ?$(I)y(B) ; C03-I-2979
(ucs-set-char #x708D ?$(I)v(B) ; C03-I-2976
(ucs-set-char #x708E ?$(Cfz(B) ; KS0-C-667A
(ucs-set-char #x708E ?$(GNc(B) ; C01-G-4E63
(ucs-set-char #x708E ?$@1j(B) ; J78-@-316A
(ucs-set-char #x708E ?$AQW(B) ; GB0-A-5157
(ucs-set-char #x708E ?$B1j(B) ; J83-B-316A
(ucs-set-char #x708F ?$(I)r(B) ; C03-I-2972
(ucs-set-char #x7090 ?$(I)q(B) ; C03-I-2971
(ucs-set-char #x7091 ?$(H'v(B) ; C02-H-2776
(ucs-set-char #x7092 ?$(Cu$(B) ; KS0-C-7524
(ucs-set-char #x7092 ?$(GNd(B) ; C01-G-4E64
(ucs-set-char #x7092 ?$@_V(B) ; J78-@-5F56
(ucs-set-char #x7092 ?$A34(B) ; GB0-A-3334
(ucs-set-char #x7092 ?$B_V(B) ; J83-B-5F56
(ucs-set-char #x7093 ?$(H's(B) ; C02-H-2773
(ucs-set-char #x7094 ?$(DIL(B) ; J90-D-494C
(ucs-set-char #x7094 ?$(H'p(B) ; C02-H-2770
(ucs-set-char #x7094 ?$AH2(B) ; GB0-A-4832
(ucs-set-char #x7095 ?$(DIM(B) ; J90-D-494D
(ucs-set-char #x7095 ?$(GNb(B) ; C01-G-4E62
(ucs-set-char #x7095 ?$A?;(B) ; GB0-A-3F3B
(ucs-set-char #x7096 ?$(DIN(B) ; J90-D-494E
(ucs-set-char #x7096 ?$(H'w(B) ; C02-H-2777
(ucs-set-char #x7096 ?$Al@(B) ; GB0-A-6C40
(ucs-set-char #x7097 ?$(DIO(B) ; J90-D-494F
(ucs-set-char #x7097 ?$(J')(B) ; C04-J-2729
(ucs-set-char #x7098 ?$(C}\(B) ; KS0-C-7D5C
(ucs-set-char #x7098 ?$(DIP(B) ; J90-D-4950
(ucs-set-char #x7098 ?$(H'q(B) ; C02-H-2771
(ucs-set-char #x7099 ?$(Cm3(B) ; KS0-C-6D33
(ucs-set-char #x7099 ?$(GNf(B) ; C01-G-4E66
(ucs-set-char #x7099 ?$@_U(B) ; J78-@-5F55
(ucs-set-char #x7099 ?$AVK(B) ; GB0-A-564B
(ucs-set-char #x7099 ?$B_U(B) ; J83-B-5F55
(ucs-set-char #x709A ?$(CNI(B) ; KS0-C-4E49
(ucs-set-char #x709A ?$(H'y(B) ; C02-H-2779
(ucs-set-char #x709B ?$(DIQ(B) ; J90-D-4951
(ucs-set-char #x709B ?$(J'+(B) ; C04-J-272B
(ucs-set-char #x709C ?$Al?(B) ; GB0-A-6C3F
(ucs-set-char #x709D ?$AlA(B) ; GB0-A-6C41
(ucs-set-char #x709F ?$(H+o(B) ; C02-H-2B6F
(ucs-set-char #x70A0 ?$(I-^(B) ; C03-I-2D5E
(ucs-set-char #x70A1 ?$(Coh(B) ; KS0-C-6F68
(ucs-set-char #x70A1 ?$(H+s(B) ; C02-H-2B73
(ucs-set-char #x70A2 ?$(I-\(B) ; C03-I-2D5C
(ucs-set-char #x70A3 ?$(I-Z(B) ; C03-I-2D5A
(ucs-set-char #x70A4 ?$(Ca?(B) ; KS0-C-613F
(ucs-set-char #x70A4 ?$(DIR(B) ; J90-D-4952
(ucs-set-char #x70A4 ?$(GR:(B) ; C01-G-523A
(ucs-set-char #x70A5 ?$(I-X(B) ; C03-I-2D58
(ucs-set-char #x70A6 ?$(J*&(B) ; C04-J-2A26
(ucs-set-char #x70A7 ?$(I-e(B) ; C03-I-2D65
(ucs-set-char #x70A8 ?$(I-b(B) ; C03-I-2D62
(ucs-set-char #x70A9 ?$(H+v(B) ; C02-H-2B76
(ucs-set-char #x70AA ?$(I-_(B) ; C03-I-2D5F
(ucs-set-char #x70AB ?$(Cz[(B) ; KS0-C-7A5B
(ucs-set-char #x70AB ?$(DIS(B) ; J90-D-4953
(ucs-set-char #x70AB ?$(GR2(B) ; C01-G-5232
(ucs-set-char #x70AB ?$AlE(B) ; GB0-A-6C45
(ucs-set-char #x70AC ?$(CKc(B) ; KS0-C-4B63
(ucs-set-char #x70AC ?$(GR5(B) ; C01-G-5235
(ucs-set-char #x70AC ?$@_Y(B) ; J78-@-5F59
(ucs-set-char #x70AC ?$A>f(B) ; GB0-A-3E66
(ucs-set-char #x70AC ?$B_Y(B) ; J83-B-5F59
(ucs-set-char #x70AD ?$(Cw)(B) ; KS0-C-7729
(ucs-set-char #x70AD ?$(GR7(B) ; C01-G-5237
(ucs-set-char #x70AD ?$(L2H(B) ; C06-L-3248
(ucs-set-char #x70AD ?$@C:(B) ; J78-@-433A
(ucs-set-char #x70AD ?$AL?(B) ; GB0-A-4C3F
(ucs-set-char #x70AD ?$BC:(B) ; J83-B-433A
(ucs-set-char #x70AE ?$(GR9(B) ; C01-G-5239
(ucs-set-char #x70AE ?$@_\(B) ; J78-@-5F5C
(ucs-set-char #x70AE ?$AEZ(B) ; GB0-A-455A
(ucs-set-char #x70AE ?$B_\(B) ; J83-B-5F5C
(ucs-set-char #x70AF ?$(C{&(B) ; KS0-C-7B26
(ucs-set-char #x70AF ?$(GR6(B) ; C01-G-5236
(ucs-set-char #x70AF ?$@_W(B) ; J78-@-5F57
(ucs-set-char #x70AF ?$A><(B) ; GB0-A-3E3C
(ucs-set-char #x70AF ?$B_W(B) ; J83-B-5F57
(ucs-set-char #x70B0 ?$(DIT(B) ; J90-D-4954
(ucs-set-char #x70B0 ?$(H+r(B) ; C02-H-2B72
(ucs-set-char #x70B1 ?$(DIU(B) ; J90-D-4955
(ucs-set-char #x70B1 ?$(H+q(B) ; C02-H-2B71
(ucs-set-char #x70B1 ?$AlF(B) ; GB0-A-6C46
(ucs-set-char #x70B2 ?$(I-d(B) ; C03-I-2D64
(ucs-set-char #x70B3 ?$(C\9(B) ; KS0-C-5C39
(ucs-set-char #x70B3 ?$(GR4(B) ; C01-G-5234
(ucs-set-char #x70B3 ?$@_[(B) ; J78-@-5F5B
(ucs-set-char #x70B3 ?$A1~(B) ; GB0-A-317E
(ucs-set-char #x70B3 ?$B_[(B) ; J83-B-5F5B
(ucs-set-char #x70B4 ?$(DIV(B) ; J90-D-4956
(ucs-set-char #x70B4 ?$(H+t(B) ; C02-H-2B74
(ucs-set-char #x70B5 ?$(H+u(B) ; C02-H-2B75
(ucs-set-char #x70B6 ?$(I-c(B) ; C03-I-2D63
(ucs-set-char #x70B7 ?$(Cq@(B) ; KS0-C-7140
(ucs-set-char #x70B7 ?$(DIW(B) ; J90-D-4957
(ucs-set-char #x70B7 ?$(H+n(B) ; C02-H-2B6E
(ucs-set-char #x70B7 ?$AlD(B) ; GB0-A-6C44
(ucs-set-char #x70B8 ?$(CmH(B) ; KS0-C-6D48
(ucs-set-char #x70B8 ?$(GR8(B) ; C01-G-5238
(ucs-set-char #x70B8 ?$@_Z(B) ; J78-@-5F5A
(ucs-set-char #x70B8 ?$AU((B) ; GB0-A-5528
(ucs-set-char #x70B8 ?$B_Z(B) ; J83-B-5F5A
(ucs-set-char #x70B9 ?$(CoC(B) ; KS0-C-6F43
(ucs-set-char #x70B9 ?$(I-h(B) ; C03-I-2D68
(ucs-set-char #x70B9 ?$@E@(B) ; J78-@-4540
(ucs-set-char #x70B9 ?$A5c(B) ; GB0-A-3563
(ucs-set-char #x70B9 ?$BE@(B) ; J83-B-4540
(ucs-set-char #x70BA ?$(GR3(B) ; C01-G-5233
(ucs-set-char #x70BA ?$@0Y(B) ; J78-@-3059
(ucs-set-char #x70BA ?$B0Y(B) ; J83-B-3059
(ucs-set-char #x70BB ?$(I-](B) ; C03-I-2D5D
(ucs-set-char #x70BB ?$AlB(B) ; GB0-A-6C42
(ucs-set-char #x70BC ?$AA6(B) ; GB0-A-4136
(ucs-set-char #x70BD ?$A3c(B) ; GB0-A-3363
(ucs-set-char #x70BE ?$(H+p(B) ; C02-H-2B70
(ucs-set-char #x70C0 ?$(J*((B) ; C04-J-2A28
(ucs-set-char #x70C0 ?$AlC(B) ; GB0-A-6C43
(ucs-set-char #x70C1 ?$AK8(B) ; GB0-A-4B38
(ucs-set-char #x70C2 ?$A@C(B) ; GB0-A-4043
(ucs-set-char #x70C3 ?$AL~(B) ; GB0-A-4C7E
(ucs-set-char #x70C4 ?$(I2((B) ; C03-I-3228
(ucs-set-char #x70C5 ?$(H0Z(B) ; C02-H-305A
(ucs-set-char #x70C6 ?$(H0[(B) ; C02-H-305B
(ucs-set-char #x70C7 ?$(H0\(B) ; C02-H-305C
(ucs-set-char #x70C8 ?$(CV-(B) ; KS0-C-562D
(ucs-set-char #x70C8 ?$(GVS(B) ; C01-G-5653
(ucs-set-char #x70C8 ?$@Nu(B) ; J78-@-4E75
(ucs-set-char #x70C8 ?$AAR(B) ; GB0-A-4152
(ucs-set-char #x70C8 ?$BNu(B) ; J83-B-4E75
(ucs-set-char #x70C9 ?$(J-u(B) ; C04-J-2D75
(ucs-set-char #x70CA ?$(DIX(B) ; J90-D-4958
(ucs-set-char #x70CA ?$(GVO(B) ; C01-G-564F
(ucs-set-char #x70CA ?$AlH(B) ; GB0-A-6C48
(ucs-set-char #x70CB ?$(C}N(B) ; KS0-C-7D4E
(ucs-set-char #x70CB ?$(H0Q(B) ; C02-H-3051
(ucs-set-char #x70CB ?$@_^(B) ; J78-@-5F5E
(ucs-set-char #x70CB ?$B_^(B) ; J83-B-5F5E
(ucs-set-char #x70CC ?$(I2*(B) ; C03-I-322A
(ucs-set-char #x70CD ?$(H0Y(B) ; C02-H-3059
(ucs-set-char #x70CE ?$(H0^(B) ; C02-H-305E
(ucs-set-char #x70CF ?$(Ch!(B) ; KS0-C-6821
(ucs-set-char #x70CF ?$(GVT(B) ; C01-G-5654
(ucs-set-char #x70CF ?$@1((B) ; J78-@-3128
(ucs-set-char #x70CF ?$B1((B) ; J83-B-3128
(ucs-set-char #x70D0 ?$(I2+(B) ; C03-I-322B
(ucs-set-char #x70D1 ?$(DIY(B) ; J90-D-4959
(ucs-set-char #x70D1 ?$(H0O(B) ; C02-H-304F
(ucs-set-char #x70D2 ?$(H0U(B) ; C02-H-3055
(ucs-set-char #x70D3 ?$(DIZ(B) ; J90-D-495A
(ucs-set-char #x70D3 ?$(H0N(B) ; C02-H-304E
(ucs-set-char #x70D4 ?$(DI[(B) ; J90-D-495B
(ucs-set-char #x70D4 ?$(H0X(B) ; C02-H-3058
(ucs-set-char #x70D5 ?$(DI\(B) ; J90-D-495C
(ucs-set-char #x70D5 ?$(I21(B) ; C03-I-3231
(ucs-set-char #x70D6 ?$(DI](B) ; J90-D-495D
(ucs-set-char #x70D6 ?$(I2/(B) ; C03-I-322F
(ucs-set-char #x70D7 ?$(H0T(B) ; C02-H-3054
(ucs-set-char #x70D8 ?$(C{t(B) ; KS0-C-7B74
(ucs-set-char #x70D8 ?$(DI^(B) ; J90-D-495E
(ucs-set-char #x70D8 ?$(GVP(B) ; C01-G-5650
(ucs-set-char #x70D8 ?$A:f(B) ; GB0-A-3A66
(ucs-set-char #x70D9 ?$(CU'(B) ; KS0-C-5527
(ucs-set-char #x70D9 ?$(GVR(B) ; C01-G-5652
(ucs-set-char #x70D9 ?$@_`(B) ; J78-@-5F60
(ucs-set-char #x70D9 ?$A@S(B) ; GB0-A-4053
(ucs-set-char #x70D9 ?$B_`(B) ; J83-B-5F60
(ucs-set-char #x70DA ?$(H0](B) ; C02-H-305D
(ucs-set-char #x70DB ?$(I2)(B) ; C03-I-3229
(ucs-set-char #x70DB ?$AVr(B) ; GB0-A-5672
(ucs-set-char #x70DC ?$(DI_(B) ; J90-D-495F
(ucs-set-char #x70DC ?$(H0M(B) ; C02-H-304D
(ucs-set-char #x70DD ?$(Cqv(B) ; KS0-C-7176
(ucs-set-char #x70DD ?$(H0P(B) ; C02-H-3050
(ucs-set-char #x70DD ?$@__(B) ; J78-@-5F5F
(ucs-set-char #x70DD ?$B__(B) ; J83-B-5F5F
(ucs-set-char #x70DE ?$(H0V(B) ; C02-H-3056
(ucs-set-char #x70DF ?$(CfS(B) ; KS0-C-6653
(ucs-set-char #x70DF ?$(I2-(B) ; C03-I-322D
(ucs-set-char #x70DF ?$@_](B) ; J78-@-5F5D
(ucs-set-char #x70DF ?$AQL(B) ; GB0-A-514C
(ucs-set-char #x70DF ?$B_](B) ; J83-B-5F5D
(ucs-set-char #x70E0 ?$(H0W(B) ; C02-H-3057
(ucs-set-char #x70E1 ?$(H0_(B) ; C02-H-305F
(ucs-set-char #x70E2 ?$(H0S(B) ; C02-H-3053
(ucs-set-char #x70E3 ?$(I2,(B) ; C03-I-322C
(ucs-set-char #x70E4 ?$(DI`(B) ; J90-D-4960
(ucs-set-char #x70E4 ?$(GVQ(B) ; C01-G-5651
(ucs-set-char #x70E4 ?$A?>(B) ; GB0-A-3F3E
(ucs-set-char #x70E6 ?$A73(B) ; GB0-A-3733
(ucs-set-char #x70E7 ?$AIU(B) ; GB0-A-4955
(ucs-set-char #x70E8 ?$AlG(B) ; GB0-A-6C47
(ucs-set-char #x70E9 ?$A;b(B) ; GB0-A-3B62
(ucs-set-char #x70EB ?$ALL(B) ; GB0-A-4C4C
(ucs-set-char #x70EC ?$A=}(B) ; GB0-A-3D7D
(ucs-set-char #x70ED ?$AHH(B) ; GB0-A-4848
(ucs-set-char #x70EE ?$(I20(B) ; C03-I-3230
(ucs-set-char #x70EF ?$(G[r(B) ; C01-G-5B72
(ucs-set-char #x70EF ?$AO)(B) ; GB0-A-4F29
(ucs-set-char #x70F0 ?$(H6q(B) ; C02-H-3671
(ucs-set-char #x70F1 ?$(CL^(B) ; KS0-C-4C5E
(ucs-set-char #x70F1 ?$(I70(B) ; C03-I-3730
(ucs-set-char #x70F1 ?$@_X(B) ; J78-@-5F58
(ucs-set-char #x70F1 ?$B_X(B) ; J83-B-5F58
(ucs-set-char #x70F2 ?$(I72(B) ; C03-I-3732
(ucs-set-char #x70F3 ?$(H6s(B) ; C02-H-3673
(ucs-set-char #x70F4 ?$(H6o(B) ; C02-H-366F
(ucs-set-char #x70F5 ?$(I7/(B) ; C03-I-372F
(ucs-set-char #x70F6 ?$(H6{(B) ; C02-H-367B
(ucs-set-char #x70F7 ?$(H6m(B) ; C02-H-366D
(ucs-set-char #x70F7 ?$AMi(B) ; GB0-A-4D69
(ucs-set-char #x70F8 ?$(H6z(B) ; C02-H-367A
(ucs-set-char #x70F9 ?$(Cx2(B) ; KS0-C-7832
(ucs-set-char #x70F9 ?$(G[n(B) ; C01-G-5B6E
(ucs-set-char #x70F9 ?$@K#(B) ; J78-@-4B23
(ucs-set-char #x70F9 ?$AEk(B) ; GB0-A-456B
(ucs-set-char #x70F9 ?$BK#(B) ; J83-B-4B23
(ucs-set-char #x70FA ?$(DIa(B) ; J90-D-4961
(ucs-set-char #x70FA ?$(H6k(B) ; C02-H-366B
(ucs-set-char #x70FB ?$(H=_(B) ; C02-H-3D5F
(ucs-set-char #x70FC ?$(H6u(B) ; C02-H-3675
(ucs-set-char #x70FD ?$(C\k(B) ; KS0-C-5C6B
(ucs-set-char #x70FD ?$(G[q(B) ; C01-G-5B71
(ucs-set-char #x70FD ?$@_b(B) ; J78-@-5F62
(ucs-set-char #x70FD ?$A7i(B) ; GB0-A-3769
(ucs-set-char #x70FD ?$B_b(B) ; J83-B-5F62
(ucs-set-char #x70FE ?$(I75(B) ; C03-I-3735
(ucs-set-char #x70FF ?$(H6v(B) ; C02-H-3676
(ucs-set-char #x7100 ?$(H6y(B) ; C02-H-3679
(ucs-set-char #x7101 ?$(I7.(B) ; C03-I-372E
(ucs-set-char #x7102 ?$(H6}(B) ; C02-H-367D
(ucs-set-char #x7103 ?$(DIb(B) ; J90-D-4962
(ucs-set-char #x7103 ?$(I7,(B) ; C03-I-372C
(ucs-set-char #x7104 ?$(C}6(B) ; KS0-C-7D36
(ucs-set-char #x7104 ?$(DIc(B) ; J90-D-4963
(ucs-set-char #x7104 ?$(H6r(B) ; C02-H-3672
(ucs-set-char #x7105 ?$(DId(B) ; J90-D-4964
(ucs-set-char #x7105 ?$(J2r(B) ; C04-J-3272
(ucs-set-char #x7106 ?$(DIe(B) ; J90-D-4965
(ucs-set-char #x7106 ?$(H6w(B) ; C02-H-3677
(ucs-set-char #x7107 ?$(DIf(B) ; J90-D-4966
(ucs-set-char #x7107 ?$(I7-(B) ; C03-I-372D
(ucs-set-char #x7108 ?$(I71(B) ; C03-I-3731
(ucs-set-char #x7109 ?$(Cej(B) ; KS0-C-656A
(ucs-set-char #x7109 ?$(G[o(B) ; C01-G-5B6F
(ucs-set-char #x7109 ?$@_a(B) ; J78-@-5F61
(ucs-set-char #x7109 ?$AQI(B) ; GB0-A-5149
(ucs-set-char #x7109 ?$B_a(B) ; J83-B-5F61
(ucs-set-char #x710A ?$(G[p(B) ; C01-G-5B70
(ucs-set-char #x710A ?$A:8(B) ; GB0-A-3A38
(ucs-set-char #x710B ?$(DIg(B) ; J90-D-4967
(ucs-set-char #x710B ?$(H6|(B) ; C02-H-367C
(ucs-set-char #x710C ?$(Cq`(B) ; KS0-C-7160
(ucs-set-char #x710C ?$(DIh(B) ; J90-D-4968
(ucs-set-char #x710C ?$(H6p(B) ; C02-H-3670
(ucs-set-char #x710D ?$(H6l(B) ; C02-H-366C
(ucs-set-char #x710E ?$(H6~(B) ; C02-H-367E
(ucs-set-char #x710F ?$(DIi(B) ; J90-D-4969
(ucs-set-char #x710F ?$(I73(B) ; C03-I-3733
(ucs-set-char #x7110 ?$(H6t(B) ; C02-H-3674
(ucs-set-char #x7110 ?$AlI(B) ; GB0-A-6C49
(ucs-set-char #x7113 ?$(H6x(B) ; C02-H-3678
(ucs-set-char #x7113 ?$AlJ(B) ; GB0-A-6C4A
(ucs-set-char #x7114 ?$B1k(B) ; J83-B-316B
(ucs-set-char #x7115 ?$A;@(B) ; GB0-A-3B40
(ucs-set-char #x7116 ?$AlK(B) ; GB0-A-6C4B
(ucs-set-char #x7117 ?$(H6n(B) ; C02-H-366E
(ucs-set-char #x7118 ?$Alb(B) ; GB0-A-6C62
(ucs-set-char #x7119 ?$(C[L(B) ; KS0-C-5B4C
(ucs-set-char #x7119 ?$(G`N(B) ; C01-G-604E
(ucs-set-char #x7119 ?$@_d(B) ; J78-@-5F64
(ucs-set-char #x7119 ?$A1:(B) ; GB0-A-313A
(ucs-set-char #x7119 ?$B_d(B) ; J83-B-5F64
(ucs-set-char #x711A ?$(C]M(B) ; KS0-C-5D4D
(ucs-set-char #x711A ?$(G`O(B) ; C01-G-604F
(ucs-set-char #x711A ?$@J2(B) ; J78-@-4A32
(ucs-set-char #x711A ?$A7Y(B) ; GB0-A-3759
(ucs-set-char #x711A ?$BJ2(B) ; J83-B-4A32
(ucs-set-char #x711B ?$(H=i(B) ; C02-H-3D69
(ucs-set-char #x711C ?$(G`U(B) ; C01-G-6055
(ucs-set-char #x711C ?$@_c(B) ; J78-@-5F63
(ucs-set-char #x711C ?$B_c(B) ; J83-B-5F63
(ucs-set-char #x711D ?$(I<t(B) ; C03-I-3C74
(ucs-set-char #x711E ?$(CTH(B) ; KS0-C-5448
(ucs-set-char #x711E ?$(DIj(B) ; J90-D-496A
(ucs-set-char #x711E ?$(H=](B) ; C02-H-3D5D
(ucs-set-char #x711F ?$(H=f(B) ; C02-H-3D66
(ucs-set-char #x7120 ?$(DIk(B) ; J90-D-496B
(ucs-set-char #x7120 ?$(H=\(B) ; C02-H-3D5C
(ucs-set-char #x7121 ?$(CYm(B) ; KS0-C-596D
(ucs-set-char #x7121 ?$(G`R(B) ; C01-G-6052
(ucs-set-char #x7121 ?$@L5(B) ; J78-@-4C35
(ucs-set-char #x7121 ?$BL5(B) ; J83-B-4C35
(ucs-set-char #x7122 ?$(H=d(B) ; C02-H-3D64
(ucs-set-char #x7123 ?$(H=b(B) ; C02-H-3D62
(ucs-set-char #x7124 ?$(I<}(B) ; C03-I-3C7D
(ucs-set-char #x7125 ?$(H=c(B) ; C02-H-3D63
(ucs-set-char #x7126 ?$(Cu%(B) ; KS0-C-7525
(ucs-set-char #x7126 ?$(G`P(B) ; C01-G-6050
(ucs-set-char #x7126 ?$@>G(B) ; J78-@-3E47
(ucs-set-char #x7126 ?$A=9(B) ; GB0-A-3D39
(ucs-set-char #x7126 ?$B>G(B) ; J83-B-3E47
(ucs-set-char #x7127 ?$(I<|(B) ; C03-I-3C7C
(ucs-set-char #x7128 ?$(H=g(B) ; C02-H-3D67
(ucs-set-char #x712A ?$(I<o(B) ; C03-I-3C6F
(ucs-set-char #x712B ?$(DIl(B) ; J90-D-496C
(ucs-set-char #x712B ?$(I<z(B) ; C03-I-3C7A
(ucs-set-char #x712C ?$(I<r(B) ; C03-I-3C72
(ucs-set-char #x712D ?$(DIm(B) ; J90-D-496D
(ucs-set-char #x712D ?$(I=!(B) ; C03-I-3D21
(ucs-set-char #x712E ?$(H=`(B) ; C02-H-3D60
(ucs-set-char #x712F ?$(DIn(B) ; J90-D-496E
(ucs-set-char #x712F ?$(H=^(B) ; C02-H-3D5E
(ucs-set-char #x712F ?$AlL(B) ; GB0-A-6C4C
(ucs-set-char #x7130 ?$(Cf{(B) ; KS0-C-667B
(ucs-set-char #x7130 ?$(DIo(B) ; J90-D-496F
(ucs-set-char #x7130 ?$(G`Q(B) ; C01-G-6051
(ucs-set-char #x7130 ?$@1k(B) ; J78-@-316B
(ucs-set-char #x7130 ?$AQf(B) ; GB0-A-5166
(ucs-set-char #x7131 ?$(DIp(B) ; J90-D-4970
(ucs-set-char #x7131 ?$(H=a(B) ; C02-H-3D61
(ucs-set-char #x7131 ?$AlM(B) ; GB0-A-6C4D
(ucs-set-char #x7132 ?$(H=e(B) ; C02-H-3D65
(ucs-set-char #x7133 ?$(I<{(B) ; C03-I-3C7B
(ucs-set-char #x7134 ?$(I<y(B) ; C03-I-3C79
(ucs-set-char #x7135 ?$(I<q(B) ; C03-I-3C71
(ucs-set-char #x7136 ?$(CfT(B) ; KS0-C-6654
(ucs-set-char #x7136 ?$(G`S(B) ; C01-G-6053
(ucs-set-char #x7136 ?$@A3(B) ; J78-@-4133
(ucs-set-char #x7136 ?$AH;(B) ; GB0-A-483B
(ucs-set-char #x7136 ?$BA3(B) ; J83-B-4133
(ucs-set-char #x7137 ?$(I<s(B) ; C03-I-3C73
(ucs-set-char #x7138 ?$(DIq(B) ; J90-D-4971
(ucs-set-char #x7138 ?$(I<w(B) ; C03-I-3C77
(ucs-set-char #x713A ?$(H=h(B) ; C02-H-3D68
(ucs-set-char #x713C ?$@>F(B) ; J78-@-3E46
(ucs-set-char #x713C ?$B>F(B) ; J83-B-3E46
(ucs-set-char #x7141 ?$(DIr(B) ; J90-D-4972
(ucs-set-char #x7141 ?$(HDV(B) ; C02-H-4456
(ucs-set-char #x7142 ?$(HD](B) ; C02-H-445D
(ucs-set-char #x7143 ?$(HD_(B) ; C02-H-445F
(ucs-set-char #x7144 ?$(HDe(B) ; C02-H-4465
(ucs-set-char #x7145 ?$(DIs(B) ; J90-D-4973
(ucs-set-char #x7145 ?$(IBW(B) ; C03-I-4257
(ucs-set-char #x7145 ?$AlQ(B) ; GB0-A-6C51
(ucs-set-char #x7146 ?$(DIt(B) ; J90-D-4974
(ucs-set-char #x7146 ?$(Ge"(B) ; C01-G-6522
(ucs-set-char #x7147 ?$(C}H(B) ; KS0-C-7D48
(ucs-set-char #x7147 ?$(DIu(B) ; J90-D-4975
(ucs-set-char #x7147 ?$(HDQ(B) ; C02-H-4451
(ucs-set-char #x7148 ?$(IBL(B) ; C03-I-424C
(ucs-set-char #x7149 ?$(CV!(B) ; KS0-C-5621
(ucs-set-char #x7149 ?$(Gdx(B) ; C01-G-6478
(ucs-set-char #x7149 ?$@N{(B) ; J78-@-4E7B
(ucs-set-char #x7149 ?$BN{(B) ; J83-B-4E7B
(ucs-set-char #x714A ?$(C}?(B) ; KS0-C-7D3F
(ucs-set-char #x714A ?$(DIv(B) ; J90-D-4976
(ucs-set-char #x714A ?$(IBN(B) ; C03-I-424E
(ucs-set-char #x714A ?$AlS(B) ; GB0-A-6C53
(ucs-set-char #x714B ?$(DIw(B) ; J90-D-4977
(ucs-set-char #x714B ?$(HD`(B) ; C02-H-4460
(ucs-set-char #x714C ?$(C|S(B) ; KS0-C-7C53
(ucs-set-char #x714C ?$(Gd}(B) ; C01-G-647D
(ucs-set-char #x714C ?$@_j(B) ; J78-@-5F6A
(ucs-set-char #x714C ?$A;M(B) ; GB0-A-3B4D
(ucs-set-char #x714C ?$B_j(B) ; J83-B-5F6A
(ucs-set-char #x714D ?$(HDf(B) ; C02-H-4466
(ucs-set-char #x714E ?$(Co!(B) ; KS0-C-6F21
(ucs-set-char #x714E ?$(Gdt(B) ; C01-G-6474
(ucs-set-char #x714E ?$@@y(B) ; J78-@-4079
(ucs-set-char #x714E ?$A<e(B) ; GB0-A-3C65
(ucs-set-char #x714E ?$B@y(B) ; J83-B-4079
(ucs-set-char #x714F ?$(IBQ(B) ; C03-I-4251
(ucs-set-char #x7150 ?$(Cg<(B) ; KS0-C-673C
(ucs-set-char #x7150 ?$(DIx(B) ; J90-D-4978
(ucs-set-char #x7150 ?$(HDc(B) ; C02-H-4463
(ucs-set-char #x7151 ?$(IBX(B) ; C03-I-4258
(ucs-set-char #x7152 ?$(DIy(B) ; J90-D-4979
(ucs-set-char #x7152 ?$(HDS(B) ; C02-H-4453
(ucs-set-char #x7153 ?$(HDd(B) ; C02-H-4464
(ucs-set-char #x7154 ?$(HDR(B) ; C02-H-4452
(ucs-set-char #x7155 ?$@_f(B) ; J78-@-5F66
(ucs-set-char #x7155 ?$B_f(B) ; J83-B-5F66
(ucs-set-char #x7156 ?$(CQn(B) ; KS0-C-516E
(ucs-set-char #x7156 ?$(Ge$(B) ; C01-G-6524
(ucs-set-char #x7156 ?$@_k(B) ; J78-@-5F6B
(ucs-set-char #x7156 ?$B_k(B) ; J83-B-5F6B
(ucs-set-char #x7157 ?$(DIz(B) ; J90-D-497A
(ucs-set-char #x7157 ?$(IBR(B) ; C03-I-4252
(ucs-set-char #x7158 ?$(HD^(B) ; C02-H-445E
(ucs-set-char #x7159 ?$(CfU(B) ; KS0-C-6655
(ucs-set-char #x7159 ?$(Gdu(B) ; C01-G-6475
(ucs-set-char #x7159 ?$@1l(B) ; J78-@-316C
(ucs-set-char #x7159 ?$B1l(B) ; J83-B-316C
(ucs-set-char #x715A ?$(DI{(B) ; J90-D-497B
(ucs-set-char #x715A ?$(HDg(B) ; C02-H-4467
(ucs-set-char #x715B ?$(IH<(B) ; C03-I-483C
(ucs-set-char #x715C ?$(Cir(B) ; KS0-C-6972
(ucs-set-char #x715C ?$(DI|(B) ; J90-D-497C
(ucs-set-char #x715C ?$(Gdz(B) ; C01-G-647A
(ucs-set-char #x715C ?$AlO(B) ; GB0-A-6C4F
(ucs-set-char #x715D ?$(HDW(B) ; C02-H-4457
(ucs-set-char #x715E ?$(C_0(B) ; KS0-C-5F30
(ucs-set-char #x715E ?$(DI}(B) ; J90-D-497D
(ucs-set-char #x715E ?$(Ge!(B) ; C01-G-6521
(ucs-set-char #x715E ?$AI7(B) ; GB0-A-4937
(ucs-set-char #x715F ?$(HDb(B) ; C02-H-4462
(ucs-set-char #x7160 ?$(DI~(B) ; J90-D-497E
(ucs-set-char #x7160 ?$(HDU(B) ; C02-H-4455
(ucs-set-char #x7161 ?$(HD\(B) ; C02-H-445C
(ucs-set-char #x7162 ?$(HDX(B) ; C02-H-4458
(ucs-set-char #x7162 ?$@_i(B) ; J78-@-5F69
(ucs-set-char #x7162 ?$B_i(B) ; J83-B-5F69
(ucs-set-char #x7163 ?$(HDT(B) ; C02-H-4454
(ucs-set-char #x7164 ?$(CX`(B) ; KS0-C-5860
(ucs-set-char #x7164 ?$(Gdw(B) ; C01-G-6477
(ucs-set-char #x7164 ?$@Ga(B) ; J78-@-4761
(ucs-set-char #x7164 ?$AC:(B) ; GB0-A-433A
(ucs-set-char #x7164 ?$BGa(B) ; J83-B-4761
(ucs-set-char #x7165 ?$(C|:(B) ; KS0-C-7C3A
(ucs-set-char #x7165 ?$(Gd~(B) ; C01-G-647E
(ucs-set-char #x7165 ?$@_e(B) ; J78-@-5F65
(ucs-set-char #x7165 ?$B_e(B) ; J83-B-5F65
(ucs-set-char #x7166 ?$(C}/(B) ; KS0-C-7D2F
(ucs-set-char #x7166 ?$(Gd|(B) ; C01-G-647C
(ucs-set-char #x7166 ?$@_h(B) ; J78-@-5F68
(ucs-set-char #x7166 ?$Alc(B) ; GB0-A-6C63
(ucs-set-char #x7166 ?$B_h(B) ; J83-B-5F68
(ucs-set-char #x7167 ?$(CpN(B) ; KS0-C-704E
(ucs-set-char #x7167 ?$(Gdy(B) ; C01-G-6479
(ucs-set-char #x7167 ?$@>H(B) ; J78-@-3E48
(ucs-set-char #x7167 ?$AUU(B) ; GB0-A-5555
(ucs-set-char #x7167 ?$B>H(B) ; J83-B-3E48
(ucs-set-char #x7168 ?$(DJ!(B) ; J90-D-4A21
(ucs-set-char #x7168 ?$(Ge#(B) ; C01-G-6523
(ucs-set-char #x7168 ?$AlP(B) ; GB0-A-6C50
(ucs-set-char #x7169 ?$(C[a(B) ; KS0-C-5B61
(ucs-set-char #x7169 ?$(Gdv(B) ; C01-G-6476
(ucs-set-char #x7169 ?$@HQ(B) ; J78-@-4851
(ucs-set-char #x7169 ?$BHQ(B) ; J83-B-4851
(ucs-set-char #x716A ?$(HD[(B) ; C02-H-445B
(ucs-set-char #x716B ?$(IBO(B) ; C03-I-424F
(ucs-set-char #x716C ?$(CeI(B) ; KS0-C-6549
(ucs-set-char #x716C ?$(Gd{(B) ; C01-G-647B
(ucs-set-char #x716C ?$@_l(B) ; J78-@-5F6C
(ucs-set-char #x716C ?$B_l(B) ; J83-B-5F6C
(ucs-set-char #x716D ?$(IBY(B) ; C03-I-4259
(ucs-set-char #x716E ?$(Cm4(B) ; KS0-C-6D34
(ucs-set-char #x716E ?$(G`T(B) ; C01-G-6054
(ucs-set-char #x716E ?$@<Q(B) ; J78-@-3C51
(ucs-set-char #x716E ?$AVs(B) ; GB0-A-5673
(ucs-set-char #x716E ?$B<Q(B) ; J83-B-3C51
(ucs-set-char #x716F ?$(IBI(B) ; C03-I-4249
(ucs-set-char #x7170 ?$(HDa(B) ; C02-H-4461
(ucs-set-char #x7172 ?$(HDY(B) ; C02-H-4459
(ucs-set-char #x7172 ?$AlR(B) ; GB0-A-6C52
(ucs-set-char #x7173 ?$AlN(B) ; GB0-A-6C4E
(ucs-set-char #x7174 ?$(IBS(B) ; C03-I-4253
(ucs-set-char #x7178 ?$(HDZ(B) ; C02-H-445A
(ucs-set-char #x7178 ?$AlT(B) ; GB0-A-6C54
(ucs-set-char #x7179 ?$(DJ"(B) ; J90-D-4A22
(ucs-set-char #x7179 ?$(JDW(B) ; C04-J-4457
(ucs-set-char #x717A ?$(JD[(B) ; C04-J-445B
(ucs-set-char #x717A ?$AlU(B) ; GB0-A-6C55
(ucs-set-char #x717B ?$(HKg(B) ; C02-H-4B67
(ucs-set-char #x717C ?$(IGo(B) ; C03-I-476F
(ucs-set-char #x717D ?$(C`C(B) ; KS0-C-6043
(ucs-set-char #x717D ?$(Gi[(B) ; C01-G-695B
(ucs-set-char #x717D ?$@@z(B) ; J78-@-407A
(ucs-set-char #x717D ?$AI?(B) ; GB0-A-493F
(ucs-set-char #x717D ?$B@z(B) ; J83-B-407A
(ucs-set-char #x717E ?$(IGn(B) ; C03-I-476E
(ucs-set-char #x717F ?$(IGl(B) ; C03-I-476C
(ucs-set-char #x7180 ?$(DJ#(B) ; J90-D-4A23
(ucs-set-char #x7180 ?$(HKc(B) ; C02-H-4B63
(ucs-set-char #x7181 ?$(HKi(B) ; C02-H-4B69
(ucs-set-char #x7182 ?$(HKe(B) ; C02-H-4B65
(ucs-set-char #x7183 ?$(IGp(B) ; C03-I-4770
(ucs-set-char #x7184 ?$(CcX(B) ; KS0-C-6358
(ucs-set-char #x7184 ?$(Gi](B) ; C01-G-695D
(ucs-set-char #x7184 ?$@_o(B) ; J78-@-5F6F
(ucs-set-char #x7184 ?$AO((B) ; GB0-A-4F28
(ucs-set-char #x7184 ?$B_o(B) ; J83-B-5F6F
(ucs-set-char #x7185 ?$(DJ$(B) ; J90-D-4A24
(ucs-set-char #x7185 ?$(HKd(B) ; C02-H-4B64
(ucs-set-char #x7186 ?$(HKh(B) ; C02-H-4B68
(ucs-set-char #x7187 ?$(DJ%(B) ; J90-D-4A25
(ucs-set-char #x7187 ?$(HK`(B) ; C02-H-4B60
(ucs-set-char #x7188 ?$(IGr(B) ; C03-I-4772
(ucs-set-char #x7188 ?$@_g(B) ; J78-@-5F67
(ucs-set-char #x7188 ?$B_g(B) ; J83-B-5F67
(ucs-set-char #x7189 ?$(Ci{(B) ; KS0-C-697B
(ucs-set-char #x7189 ?$(HKb(B) ; C02-H-4B62
(ucs-set-char #x718A ?$(Cj((B) ; KS0-C-6A28
(ucs-set-char #x718A ?$(Gi\(B) ; C01-G-695C
(ucs-set-char #x718A ?$@7'(B) ; J78-@-3727
(ucs-set-char #x718A ?$AP\(B) ; GB0-A-505C
(ucs-set-char #x718A ?$B7'(B) ; J83-B-3727
(ucs-set-char #x718B ?$(IGj(B) ; C03-I-476A
(ucs-set-char #x718C ?$(DJ&(B) ; J90-D-4A26
(ucs-set-char #x718C ?$(IGm(B) ; C03-I-476D
(ucs-set-char #x718D ?$(IGk(B) ; C03-I-476B
(ucs-set-char #x718E ?$(IGh(B) ; C03-I-4768
(ucs-set-char #x718F ?$(C}7(B) ; KS0-C-7D37
(ucs-set-char #x718F ?$(HKf(B) ; C02-H-4B66
(ucs-set-char #x718F ?$@_m(B) ; J78-@-5F6D
(ucs-set-char #x718F ?$AQ,(B) ; GB0-A-512C
(ucs-set-char #x718F ?$B_m(B) ; J83-B-5F6D
(ucs-set-char #x7190 ?$(HKa(B) ; C02-H-4B61
(ucs-set-char #x7191 ?$(IGg(B) ; C03-I-4767
(ucs-set-char #x7192 ?$(C{'(B) ; KS0-C-7B27
(ucs-set-char #x7192 ?$(DJ'(B) ; J90-D-4A27
(ucs-set-char #x7192 ?$(Gi^(B) ; C01-G-695E
(ucs-set-char #x7193 ?$(JDX(B) ; C04-J-4458
(ucs-set-char #x7194 ?$(CiB(B) ; KS0-C-6942
(ucs-set-char #x7194 ?$(GiY(B) ; C01-G-6959
(ucs-set-char #x7194 ?$@MP(B) ; J78-@-4D50
(ucs-set-char #x7194 ?$AH[(B) ; GB0-A-485B
(ucs-set-char #x7194 ?$BMP(B) ; J83-B-4D50
(ucs-set-char #x7195 ?$@_p(B) ; J78-@-5F70
(ucs-set-char #x7195 ?$B_p(B) ; J83-B-5F70
(ucs-set-char #x7197 ?$(HKj(B) ; C02-H-4B6A
(ucs-set-char #x7198 ?$AlV(B) ; GB0-A-6C56
(ucs-set-char #x7199 ?$(C}w(B) ; KS0-C-7D77
(ucs-set-char #x7199 ?$(GiZ(B) ; C01-G-695A
(ucs-set-char #x7199 ?$ANu(B) ; GB0-A-4E75
(ucs-set-char #x719A ?$(DJ((B) ; J90-D-4A28
(ucs-set-char #x719A ?$(HQo(B) ; C02-H-516F
(ucs-set-char #x719B ?$(DJ)(B) ; J90-D-4A29
(ucs-set-char #x719B ?$(HQl(B) ; C02-H-516C
(ucs-set-char #x719C ?$(HQx(B) ; C02-H-5178
(ucs-set-char #x719D ?$(HQr(B) ; C02-H-5172
(ucs-set-char #x719E ?$(HQt(B) ; C02-H-5174
(ucs-set-char #x719F ?$(CbY(B) ; KS0-C-6259
(ucs-set-char #x719F ?$(Gm^(B) ; C01-G-6D5E
(ucs-set-char #x719F ?$@=O(B) ; J78-@-3D4F
(ucs-set-char #x719F ?$AJl(B) ; GB0-A-4A6C
(ucs-set-char #x719F ?$B=O(B) ; J83-B-3D4F
(ucs-set-char #x71A0 ?$(DJ*(B) ; J90-D-4A2A
(ucs-set-char #x71A0 ?$(HQn(B) ; C02-H-516E
(ucs-set-char #x71A0 ?$AlZ(B) ; GB0-A-6C5A
(ucs-set-char #x71A1 ?$(HQv(B) ; C02-H-5176
(ucs-set-char #x71A2 ?$(C\l(B) ; KS0-C-5C6C
(ucs-set-char #x71A2 ?$(DJ+(B) ; J90-D-4A2B
(ucs-set-char #x71A2 ?$(IM*(B) ; C03-I-4D2A
(ucs-set-char #x71A3 ?$(IM$(B) ; C03-I-4D24
(ucs-set-char #x71A4 ?$(HQu(B) ; C02-H-5175
(ucs-set-char #x71A5 ?$(HQs(B) ; C02-H-5173
(ucs-set-char #x71A6 ?$(IM)(B) ; C03-I-4D29
(ucs-set-char #x71A7 ?$(HQy(B) ; C02-H-5179
(ucs-set-char #x71A8 ?$(Gma(B) ; C01-G-6D61
(ucs-set-char #x71A8 ?$@_q(B) ; J78-@-5F71
(ucs-set-char #x71A8 ?$AlY(B) ; GB0-A-6C59
(ucs-set-char #x71A8 ?$B_q(B) ; J83-B-5F71
(ucs-set-char #x71A9 ?$(HQp(B) ; C02-H-5170
(ucs-set-char #x71AA ?$(HQw(B) ; C02-H-5177
(ucs-set-char #x71AB ?$(IM((B) ; C03-I-4D28
(ucs-set-char #x71AC ?$(Ch"(B) ; KS0-C-6822
(ucs-set-char #x71AC ?$(Gm_(B) ; C01-G-6D5F
(ucs-set-char #x71AC ?$@_r(B) ; J78-@-5F72
(ucs-set-char #x71AC ?$A0>(B) ; GB0-A-303E
(ucs-set-char #x71AC ?$B_r(B) ; J83-B-5F72
(ucs-set-char #x71AD ?$(IM%(B) ; C03-I-4D25
(ucs-set-char #x71AE ?$(IM"(B) ; C03-I-4D22
(ucs-set-char #x71AF ?$(DJ,(B) ; J90-D-4A2C
(ucs-set-char #x71AF ?$(HQk(B) ; C02-H-516B
(ucs-set-char #x71B0 ?$(DJ-(B) ; J90-D-4A2D
(ucs-set-char #x71B0 ?$(HQm(B) ; C02-H-516D
(ucs-set-char #x71B1 ?$(Cfp(B) ; KS0-C-6670
(ucs-set-char #x71B1 ?$(Gm`(B) ; C01-G-6D60
(ucs-set-char #x71B1 ?$@G.(B) ; J78-@-472E
(ucs-set-char #x71B1 ?$BG.(B) ; J83-B-472E
(ucs-set-char #x71B2 ?$(DJ.(B) ; J90-D-4A2E
(ucs-set-char #x71B2 ?$(HQj(B) ; C02-H-516A
(ucs-set-char #x71B3 ?$(DJ/(B) ; J90-D-4A2F
(ucs-set-char #x71B3 ?$(HQz(B) ; C02-H-517A
(ucs-set-char #x71B3 ?$AlW(B) ; GB0-A-6C57
(ucs-set-char #x71B5 ?$(HQq(B) ; C02-H-5171
(ucs-set-char #x71B5 ?$AlX(B) ; GB0-A-6C58
(ucs-set-char #x71B6 ?$(IQb(B) ; C03-I-5162
(ucs-set-char #x71B7 ?$(IQZ(B) ; C03-I-515A
(ucs-set-char #x71B8 ?$(HX6(B) ; C02-H-5836
(ucs-set-char #x71B9 ?$(C}x(B) ; KS0-C-7D78
(ucs-set-char #x71B9 ?$(Gq;(B) ; C01-G-713B
(ucs-set-char #x71B9 ?$@_t(B) ; J78-@-5F74
(ucs-set-char #x71B9 ?$Ald(B) ; GB0-A-6C64
(ucs-set-char #x71B9 ?$B_t(B) ; J83-B-5F74
(ucs-set-char #x71BA ?$(C}y(B) ; KS0-C-7D79
(ucs-set-char #x71BA ?$(DJ0(B) ; J90-D-4A30
(ucs-set-char #x71BA ?$(IQ`(B) ; C03-I-5160
(ucs-set-char #x71BB ?$(IQ\(B) ; C03-I-515C
(ucs-set-char #x71BC ?$(HXA(B) ; C02-H-5841
(ucs-set-char #x71BD ?$(HX?(B) ; C02-H-583F
(ucs-set-char #x71BE ?$(Cv?(B) ; KS0-C-763F
(ucs-set-char #x71BE ?$(Gq5(B) ; C01-G-7135
(ucs-set-char #x71BE ?$@_u(B) ; J78-@-5F75
(ucs-set-char #x71BE ?$B_u(B) ; J83-B-5F75
(ucs-set-char #x71BF ?$(DJ1(B) ; J90-D-4A31
(ucs-set-char #x71BF ?$(HX5(B) ; C02-H-5835
(ucs-set-char #x71C0 ?$(DJ2(B) ; J90-D-4A32
(ucs-set-char #x71C0 ?$(HX8(B) ; C02-H-5838
(ucs-set-char #x71C1 ?$(Cg'(B) ; KS0-C-6727
(ucs-set-char #x71C1 ?$(DJ3(B) ; J90-D-4A33
(ucs-set-char #x71C1 ?$(HX9(B) ; C02-H-5839
(ucs-set-char #x71C2 ?$(HX4(B) ; C02-H-5834
(ucs-set-char #x71C3 ?$(CfW(B) ; KS0-C-6657
(ucs-set-char #x71C3 ?$(Gq?(B) ; C01-G-713F
(ucs-set-char #x71C3 ?$@G3(B) ; J78-@-4733
(ucs-set-char #x71C3 ?$AH<(B) ; GB0-A-483C
(ucs-set-char #x71C3 ?$BG3(B) ; J83-B-4733
(ucs-set-char #x71C4 ?$(DJ4(B) ; J90-D-4A34
(ucs-set-char #x71C4 ?$(Gq@(B) ; C01-G-7140
(ucs-set-char #x71C5 ?$(HX3(B) ; C02-H-5833
(ucs-set-char #x71C6 ?$(HXB(B) ; C02-H-5842
(ucs-set-char #x71C7 ?$(HX=(B) ; C02-H-583D
(ucs-set-char #x71C8 ?$(CTs(B) ; KS0-C-5473
(ucs-set-char #x71C8 ?$(Gq9(B) ; C01-G-7139
(ucs-set-char #x71C8 ?$@Eu(B) ; J78-@-4575
(ucs-set-char #x71C8 ?$BEu(B) ; J83-B-4575
(ucs-set-char #x71C9 ?$(CTI(B) ; KS0-C-5449
(ucs-set-char #x71C9 ?$(Gq6(B) ; C01-G-7136
(ucs-set-char #x71C9 ?$@_w(B) ; J78-@-5F77
(ucs-set-char #x71C9 ?$B_w(B) ; J83-B-5F77
(ucs-set-char #x71CA ?$(HX<(B) ; C02-H-583C
(ucs-set-char #x71CB ?$(DJ5(B) ; J90-D-4A35
(ucs-set-char #x71CB ?$(HX:(B) ; C02-H-583A
(ucs-set-char #x71CC ?$(DJ6(B) ; J90-D-4A36
(ucs-set-char #x71CC ?$(IQc(B) ; C03-I-5163
(ucs-set-char #x71CD ?$(JQ#(B) ; C04-J-5123
(ucs-set-char #x71CE ?$(CVz(B) ; KS0-C-567A
(ucs-set-char #x71CE ?$(Gq<(B) ; C01-G-713C
(ucs-set-char #x71CE ?$@_y(B) ; J78-@-5F79
(ucs-set-char #x71CE ?$AAG(B) ; GB0-A-4147
(ucs-set-char #x71CE ?$B_y(B) ; J83-B-5F79
(ucs-set-char #x71CF ?$(HX>(B) ; C02-H-583E
(ucs-set-char #x71D0 ?$(CWr(B) ; KS0-C-5772
(ucs-set-char #x71D0 ?$(Gq7(B) ; C01-G-7137
(ucs-set-char #x71D0 ?$@NU(B) ; J78-@-4E55
(ucs-set-char #x71D0 ?$BNU(B) ; J83-B-4E55
(ucs-set-char #x71D1 ?$(IQ^(B) ; C03-I-515E
(ucs-set-char #x71D2 ?$(Ca@(B) ; KS0-C-6140
(ucs-set-char #x71D2 ?$(Gq8(B) ; C01-G-7138
(ucs-set-char #x71D2 ?$@_v(B) ; J78-@-5F76
(ucs-set-char #x71D2 ?$B_v(B) ; J83-B-5F76
(ucs-set-char #x71D3 ?$(DJ7(B) ; J90-D-4A37
(ucs-set-char #x71D3 ?$(IQf(B) ; C03-I-5166
(ucs-set-char #x71D4 ?$(C[b(B) ; KS0-C-5B62
(ucs-set-char #x71D4 ?$(HX;(B) ; C02-H-583B
(ucs-set-char #x71D4 ?$@_x(B) ; J78-@-5F78
(ucs-set-char #x71D4 ?$Al\(B) ; GB0-A-6C5C
(ucs-set-char #x71D4 ?$B_x(B) ; J83-B-5F78
(ucs-set-char #x71D5 ?$(CfX(B) ; KS0-C-6658
(ucs-set-char #x71D5 ?$(Gq:(B) ; C01-G-713A
(ucs-set-char #x71D5 ?$@1m(B) ; J78-@-316D
(ucs-set-char #x71D5 ?$AQ`(B) ; GB0-A-5160
(ucs-set-char #x71D5 ?$B1m(B) ; J83-B-316D
(ucs-set-char #x71D6 ?$(DJ8(B) ; J90-D-4A38
(ucs-set-char #x71D6 ?$(HX7(B) ; C02-H-5837
(ucs-set-char #x71D7 ?$(M/O(B) ; C07-M-2F4F
(ucs-set-char #x71D7 ?$@_s(B) ; J78-@-5F73
(ucs-set-char #x71D7 ?$B_s(B) ; J83-B-5F73
(ucs-set-char #x71D8 ?$(HX@(B) ; C02-H-5840
(ucs-set-char #x71D9 ?$(DJ9(B) ; J90-D-4A39
(ucs-set-char #x71D9 ?$(Gq=(B) ; C01-G-713D
(ucs-set-char #x71DA ?$(DJ:(B) ; J90-D-4A3A
(ucs-set-char #x71DA ?$(HXC(B) ; C02-H-5843
(ucs-set-char #x71DB ?$(HXD(B) ; C02-H-5844
(ucs-set-char #x71DC ?$(DJ;(B) ; J90-D-4A3B
(ucs-set-char #x71DC ?$(Gq>(B) ; C01-G-713E
(ucs-set-char #x71DF ?$(Cg=(B) ; KS0-C-673D
(ucs-set-char #x71DF ?$(Gt2(B) ; C01-G-7432
(ucs-set-char #x71DF ?$@S[(B) ; J78-@-535B
(ucs-set-char #x71DF ?$BS[(B) ; J83-B-535B
(ucs-set-char #x71E0 ?$(Gt9(B) ; C01-G-7439
(ucs-set-char #x71E0 ?$@_z(B) ; J78-@-5F7A
(ucs-set-char #x71E0 ?$Al[(B) ; GB0-A-6C5B
(ucs-set-char #x71E0 ?$B_z(B) ; J83-B-5F7A
(ucs-set-char #x71E1 ?$(H]H(B) ; C02-H-5D48
(ucs-set-char #x71E2 ?$(H]N(B) ; C02-H-5D4E
(ucs-set-char #x71E3 ?$(IU<(B) ; C03-I-553C
(ucs-set-char #x71E4 ?$(H]L(B) ; C02-H-5D4C
(ucs-set-char #x71E5 ?$(CpO(B) ; KS0-C-704F
(ucs-set-char #x71E5 ?$(Gt5(B) ; C01-G-7435
(ucs-set-char #x71E5 ?$@Ag(B) ; J78-@-4167
(ucs-set-char #x71E5 ?$ATo(B) ; GB0-A-546F
(ucs-set-char #x71E5 ?$BAg(B) ; J83-B-4167
(ucs-set-char #x71E6 ?$(Cs>(B) ; KS0-C-733E
(ucs-set-char #x71E6 ?$(Gt4(B) ; C01-G-7434
(ucs-set-char #x71E6 ?$@;8(B) ; J78-@-3B38
(ucs-set-char #x71E6 ?$B;8(B) ; J83-B-3B38
(ucs-set-char #x71E7 ?$(Cb,(B) ; KS0-C-622C
(ucs-set-char #x71E7 ?$(Gt1(B) ; C01-G-7431
(ucs-set-char #x71E7 ?$@_|(B) ; J78-@-5F7C
(ucs-set-char #x71E7 ?$Al](B) ; GB0-A-6C5D
(ucs-set-char #x71E7 ?$B_|(B) ; J83-B-5F7C
(ucs-set-char #x71E8 ?$(H]J(B) ; C02-H-5D4A
(ucs-set-char #x71E9 ?$(IU>(B) ; C03-I-553E
(ucs-set-char #x71EA ?$(IUC(B) ; C03-I-5543
(ucs-set-char #x71EB ?$(IU@(B) ; C03-I-5540
(ucs-set-char #x71EC ?$(Gt7(B) ; C01-G-7437
(ucs-set-char #x71EC ?$@_{(B) ; J78-@-5F7B
(ucs-set-char #x71EC ?$B_{(B) ; J83-B-5F7B
(ucs-set-char #x71ED ?$(Cu7(B) ; KS0-C-7537
(ucs-set-char #x71ED ?$(Gt6(B) ; C01-G-7436
(ucs-set-char #x71ED ?$@?$(B) ; J78-@-3F24
(ucs-set-char #x71ED ?$B?$(B) ; J83-B-3F24
(ucs-set-char #x71EE ?$(C`p(B) ; KS0-C-6070
(ucs-set-char #x71EE ?$(Gt3(B) ; C01-G-7433
(ucs-set-char #x71EE ?$@RY(B) ; J78-@-5259
(ucs-set-char #x71EE ?$A[F(B) ; GB0-A-5B46
(ucs-set-char #x71EE ?$BRY(B) ; J83-B-5259
(ucs-set-char #x71EF ?$(IUA(B) ; C03-I-5541
(ucs-set-char #x71F0 ?$(H]M(B) ; C02-H-5D4D
(ucs-set-char #x71F1 ?$(H]I(B) ; C02-H-5D49
(ucs-set-char #x71F2 ?$(H]K(B) ; C02-H-5D4B
(ucs-set-char #x71F3 ?$(IUB(B) ; C03-I-5542
(ucs-set-char #x71F4 ?$(Gt8(B) ; C01-G-7438
(ucs-set-char #x71F5 ?$@_}(B) ; J78-@-5F7D
(ucs-set-char #x71F5 ?$B_}(B) ; J83-B-5F7D
(ucs-set-char #x71F8 ?$(DJ<(B) ; J90-D-4A3C
(ucs-set-char #x71F8 ?$(Gvc(B) ; C01-G-7663
(ucs-set-char #x71F9 ?$(Hb)(B) ; C02-H-6229
(ucs-set-char #x71F9 ?$@`!(B) ; J78-@-6021
(ucs-set-char #x71F9 ?$Al^(B) ; GB0-A-6C5E
(ucs-set-char #x71F9 ?$B`!(B) ; J83-B-6021
(ucs-set-char #x71FA ?$(IX-(B) ; C03-I-582D
(ucs-set-char #x71FB ?$(C}8(B) ; KS0-C-7D38
(ucs-set-char #x71FB ?$(Gv`(B) ; C01-G-7660
(ucs-set-char #x71FB ?$@_n(B) ; J78-@-5F6E
(ucs-set-char #x71FB ?$B_n(B) ; J83-B-5F6E
(ucs-set-char #x71FC ?$(Cch(B) ; KS0-C-6368
(ucs-set-char #x71FC ?$(Gva(B) ; C01-G-7661
(ucs-set-char #x71FC ?$@_~(B) ; J78-@-5F7E
(ucs-set-char #x71FC ?$B_~(B) ; J83-B-5F7E
(ucs-set-char #x71FD ?$(Hb+(B) ; C02-H-622B
(ucs-set-char #x71FE ?$(CT'(B) ; KS0-C-5427
(ucs-set-char #x71FE ?$(DJ=(B) ; J90-D-4A3D
(ucs-set-char #x71FE ?$(Gvb(B) ; C01-G-7662
(ucs-set-char #x71FF ?$(Ch|(B) ; KS0-C-687C
(ucs-set-char #x71FF ?$(Hb((B) ; C02-H-6228
(ucs-set-char #x71FF ?$@`"(B) ; J78-@-6022
(ucs-set-char #x71FF ?$B`"(B) ; J83-B-6022
(ucs-set-char #x7200 ?$(CzR(B) ; KS0-C-7A52
(ucs-set-char #x7200 ?$(DJ>(B) ; J90-D-4A3E
(ucs-set-char #x7200 ?$(IX.(B) ; C03-I-582E
(ucs-set-char #x7201 ?$(Hb'(B) ; C02-H-6227
(ucs-set-char #x7202 ?$(Hev(B) ; C02-H-6576
(ucs-set-char #x7203 ?$(Hb*(B) ; C02-H-622A
(ucs-set-char #x7204 ?$(IZV(B) ; C03-I-5A56
(ucs-set-char #x7205 ?$(Hew(B) ; C02-H-6577
(ucs-set-char #x7206 ?$(Cxo(B) ; KS0-C-786F
(ucs-set-char #x7206 ?$(GxG(B) ; C01-G-7847
(ucs-set-char #x7206 ?$@Gz(B) ; J78-@-477A
(ucs-set-char #x7206 ?$A1,(B) ; GB0-A-312C
(ucs-set-char #x7206 ?$BGz(B) ; J83-B-477A
(ucs-set-char #x7207 ?$(DJ?(B) ; J90-D-4A3F
(ucs-set-char #x7207 ?$(Heu(B) ; C02-H-6575
(ucs-set-char #x7208 ?$(DJ@(B) ; J90-D-4A40
(ucs-set-char #x7208 ?$(IZW(B) ; C03-I-5A57
(ucs-set-char #x7209 ?$(DJA(B) ; J90-D-4A41
(ucs-set-char #x7209 ?$(J_~(B) ; C04-J-5F7E
(ucs-set-char #x720A ?$(Het(B) ; C02-H-6574
(ucs-set-char #x720B ?$(I\Y(B) ; C03-I-5C59
(ucs-set-char #x720C ?$(Hes(B) ; C02-H-6573
(ucs-set-char #x720D ?$(GxH(B) ; C01-G-7848
(ucs-set-char #x720D ?$@`#(B) ; J78-@-6023
(ucs-set-char #x720D ?$B`#(B) ; J83-B-6023
(ucs-set-char #x720F ?$(I\V(B) ; C03-I-5C56
(ucs-set-char #x7210 ?$(CVS(B) ; KS0-C-5653
(ucs-set-char #x7210 ?$(Gyw(B) ; C01-G-7977
(ucs-set-char #x7210 ?$@`$(B) ; J78-@-6024
(ucs-set-char #x7210 ?$B`$(B) ; J83-B-6024
(ucs-set-char #x7211 ?$(I\X(B) ; C03-I-5C58
(ucs-set-char #x7212 ?$(I\U(B) ; C03-I-5C55
(ucs-set-char #x7213 ?$(DJB(B) ; J90-D-4A42
(ucs-set-char #x7213 ?$(Hi9(B) ; C02-H-6939
(ucs-set-char #x7214 ?$(Hi:(B) ; C02-H-693A
(ucs-set-char #x7215 ?$(IZX(B) ; C03-I-5A58
(ucs-set-char #x7216 ?$(I\S(B) ; C03-I-5C53
(ucs-set-char #x7217 ?$(DJC(B) ; J90-D-4A43
(ucs-set-char #x7217 ?$(I\W(B) ; C03-I-5C57
(ucs-set-char #x7219 ?$(Hkj(B) ; C02-H-6B6A
(ucs-set-char #x721A ?$(DJD(B) ; J90-D-4A44
(ucs-set-char #x721A ?$(Hki(B) ; C02-H-6B69
(ucs-set-char #x721B ?$(CU4(B) ; KS0-C-5534
(ucs-set-char #x721B ?$(Gzu(B) ; C01-G-7A75
(ucs-set-char #x721B ?$@`%(B) ; J78-@-6025
(ucs-set-char #x721B ?$B`%(B) ; J83-B-6025
(ucs-set-char #x721C ?$(I_S(B) ; C03-I-5F53
(ucs-set-char #x721D ?$(DJE(B) ; J90-D-4A45
(ucs-set-char #x721D ?$(Hkh(B) ; C02-H-6B68
(ucs-set-char #x721D ?$Al_(B) ; GB0-A-6C5F
(ucs-set-char #x721E ?$(HmZ(B) ; C02-H-6D5A
(ucs-set-char #x721F ?$(DJF(B) ; J90-D-4A46
(ucs-set-char #x721F ?$(Hm[(B) ; C02-H-6D5B
(ucs-set-char #x7220 ?$(I_T(B) ; C03-I-5F54
(ucs-set-char #x7221 ?$(I`9(B) ; C03-I-6039
(ucs-set-char #x7222 ?$(Ho5(B) ; C02-H-6F35
(ucs-set-char #x7223 ?$(Hp?(B) ; C02-H-703F
(ucs-set-char #x7224 ?$(DJG(B) ; J90-D-4A47
(ucs-set-char #x7224 ?$(IaC(B) ; C03-I-6143
(ucs-set-char #x7225 ?$(IaB(B) ; C03-I-6142
(ucs-set-char #x7226 ?$(Hq&(B) ; C02-H-7126
(ucs-set-char #x7227 ?$(Hr,(B) ; C02-H-722C
(ucs-set-char #x7228 ?$(G}F(B) ; C01-G-7D46
(ucs-set-char #x7228 ?$(K{{(B) ; C05-K-7B7B
(ucs-set-char #x7228 ?$@`&(B) ; J78-@-6026
(ucs-set-char #x7228 ?$Al`(B) ; GB0-A-6C60
(ucs-set-char #x7228 ?$B`&(B) ; J83-B-6026
(ucs-set-char #x7229 ?$(Hr@(B) ; C02-H-7240
(ucs-set-char #x722A ?$(CpP(B) ; KS0-C-7050
(ucs-set-char #x722A ?$(GEW(B) ; C01-G-4557
(ucs-set-char #x722A ?$@D^(B) ; J78-@-445E
(ucs-set-char #x722A ?$AW&(B) ; GB0-A-5726
(ucs-set-char #x722A ?$BD^(B) ; J83-B-445E
(ucs-set-char #x722B ?$(DJH(B) ; J90-D-4A48
(ucs-set-char #x722B ?$(J!Q(B) ; C04-J-2151
(ucs-set-char #x722C ?$(Cwp(B) ; KS0-C-7770
(ucs-set-char #x722C ?$(GNg(B) ; C01-G-4E67
(ucs-set-char #x722C ?$@`((B) ; J78-@-6028
(ucs-set-char #x722C ?$AE@(B) ; GB0-A-4540
(ucs-set-char #x722C ?$B`((B) ; J83-B-6028
(ucs-set-char #x722D ?$(Cn3(B) ; KS0-C-6E33
(ucs-set-char #x722D ?$(GNh(B) ; C01-G-4E68
(ucs-set-char #x722D ?$@`'(B) ; J78-@-6027
(ucs-set-char #x722D ?$B`'(B) ; J83-B-6027
(ucs-set-char #x722E ?$(I-i(B) ; C03-I-2D69
(ucs-set-char #x722F ?$(DJI(B) ; J90-D-4A49
(ucs-set-char #x722F ?$(J**(B) ; C04-J-2A2A
(ucs-set-char #x7230 ?$(Cj:(B) ; KS0-C-6A3A
(ucs-set-char #x7230 ?$(GR;(B) ; C01-G-523B
(ucs-set-char #x7230 ?$@`)(B) ; J78-@-6029
(ucs-set-char #x7230 ?$Ak<(B) ; GB0-A-6B3C
(ucs-set-char #x7230 ?$B`)(B) ; J83-B-6029
(ucs-set-char #x7231 ?$A0.(B) ; GB0-A-302E
(ucs-set-char #x7232 ?$(CjS(B) ; KS0-C-6A53
(ucs-set-char #x7232 ?$(I="(B) ; C03-I-3D22
(ucs-set-char #x7232 ?$@`*(B) ; J78-@-602A
(ucs-set-char #x7232 ?$B`*(B) ; J83-B-602A
(ucs-set-char #x7234 ?$(DJJ(B) ; J90-D-4A4A
(ucs-set-char #x7234 ?$(JJl(B) ; C04-J-4A6C
(ucs-set-char #x7235 ?$(CmI(B) ; KS0-C-6D49
(ucs-set-char #x7235 ?$(Gt:(B) ; C01-G-743A
(ucs-set-char #x7235 ?$(IUE(B) ; C03-I-5545
(ucs-set-char #x7235 ?$@<_(B) ; J78-@-3C5F
(ucs-set-char #x7235 ?$A>t(B) ; GB0-A-3E74
(ucs-set-char #x7235 ?$B<_(B) ; J83-B-3C5F
(ucs-set-char #x7236 ?$(C]+(B) ; KS0-C-5D2B
(ucs-set-char #x7236 ?$(GEX(B) ; C01-G-4558
(ucs-set-char #x7236 ?$@Ic(B) ; J78-@-4963
(ucs-set-char #x7236 ?$A88(B) ; GB0-A-3838
(ucs-set-char #x7236 ?$BIc(B) ; J83-B-4963
(ucs-set-char #x7237 ?$AR/(B) ; GB0-A-522F
(ucs-set-char #x7238 ?$(DJK(B) ; J90-D-4A4B
(ucs-set-char #x7238 ?$(GNi(B) ; C01-G-4E69
(ucs-set-char #x7238 ?$A0V(B) ; GB0-A-3056
(ucs-set-char #x7239 ?$(DJL(B) ; J90-D-4A4C
(ucs-set-char #x7239 ?$(GVU(B) ; C01-G-5655
(ucs-set-char #x7239 ?$A5y(B) ; GB0-A-3579
(ucs-set-char #x723A ?$(Ce,(B) ; KS0-C-652C
(ucs-set-char #x723A ?$(Ge%(B) ; C01-G-6525
(ucs-set-char #x723A ?$@Ll(B) ; J78-@-4C6C
(ucs-set-char #x723A ?$BLl(B) ; J83-B-4C6C
(ucs-set-char #x723B ?$(C}!(B) ; KS0-C-7D21
(ucs-set-char #x723B ?$(GEY(B) ; C01-G-4559
(ucs-set-char #x723B ?$@`+(B) ; J78-@-602B
(ucs-set-char #x723B ?$AX3(B) ; GB0-A-5833
(ucs-set-char #x723B ?$B`+(B) ; J83-B-602B
(ucs-set-char #x723C ?$(I-k(B) ; C03-I-2D6B
(ucs-set-char #x723C ?$@`,(B) ; J78-@-602C
(ucs-set-char #x723C ?$B`,(B) ; J83-B-602C
(ucs-set-char #x723D ?$(C_P(B) ; KS0-C-5F50
(ucs-set-char #x723D ?$(G[s(B) ; C01-G-5B73
(ucs-set-char #x723D ?$@AV(B) ; J78-@-4156
(ucs-set-char #x723D ?$AK,(B) ; GB0-A-4B2C
(ucs-set-char #x723D ?$BAV(B) ; J83-B-4156
(ucs-set-char #x723E ?$(Cl3(B) ; KS0-C-6C33
(ucs-set-char #x723E ?$(Gi_(B) ; C01-G-695F
(ucs-set-char #x723E ?$@<$(B) ; J78-@-3C24
(ucs-set-char #x723E ?$B<$(B) ; J83-B-3C24
(ucs-set-char #x723F ?$(H!B(B) ; C02-H-2142
(ucs-set-char #x723F ?$@`-(B) ; J78-@-602D
(ucs-set-char #x723F ?$Ac](B) ; GB0-A-635D
(ucs-set-char #x723F ?$B`-(B) ; J83-B-602D
(ucs-set-char #x7240 ?$(C_Q(B) ; KS0-C-5F51
(ucs-set-char #x7240 ?$(I)|(B) ; C03-I-297C
(ucs-set-char #x7240 ?$@`.(B) ; J78-@-602E
(ucs-set-char #x7240 ?$B`.(B) ; J83-B-602E
(ucs-set-char #x7241 ?$(DJM(B) ; J90-D-4A4D
(ucs-set-char #x7241 ?$(H+w(B) ; C02-H-2B77
(ucs-set-char #x7242 ?$(DJN(B) ; J90-D-4A4E
(ucs-set-char #x7242 ?$(H0`(B) ; C02-H-3060
(ucs-set-char #x7243 ?$(DJO(B) ; J90-D-4A4F
(ucs-set-char #x7243 ?$(J>L(B) ; C04-J-3E4C
(ucs-set-char #x7244 ?$(HKk(B) ; C02-H-4B6B
(ucs-set-char #x7245 ?$(DJP(B) ; J90-D-4A50
(ucs-set-char #x7245 ?$(JJm(B) ; C04-J-4A6D
(ucs-set-char #x7246 ?$(Cmm(B) ; KS0-C-6D6D
(ucs-set-char #x7246 ?$(Gt;(B) ; C01-G-743B
(ucs-set-char #x7246 ?$@`/(B) ; J78-@-602F
(ucs-set-char #x7246 ?$B`/(B) ; J83-B-602F
(ucs-set-char #x7247 ?$(Cx8(B) ; KS0-C-7838
(ucs-set-char #x7247 ?$(GEZ(B) ; C01-G-455A
(ucs-set-char #x7247 ?$@JR(B) ; J78-@-4A52
(ucs-set-char #x7247 ?$AF,(B) ; GB0-A-462C
(ucs-set-char #x7247 ?$BJR(B) ; J83-B-4A52
(ucs-set-char #x7248 ?$(Cwz(B) ; KS0-C-777A
(ucs-set-char #x7248 ?$(GNj(B) ; C01-G-4E6A
(ucs-set-char #x7248 ?$@HG(B) ; J78-@-4847
(ucs-set-char #x7248 ?$A0f(B) ; GB0-A-3066
(ucs-set-char #x7248 ?$BHG(B) ; J83-B-4847
(ucs-set-char #x7249 ?$(H+x(B) ; C02-H-2B78
(ucs-set-char #x724A ?$(H+y(B) ; C02-H-2B79
(ucs-set-char #x724B ?$(H=j(B) ; C02-H-3D6A
(ucs-set-char #x724B ?$@`0(B) ; J78-@-6030
(ucs-set-char #x724B ?$B`0(B) ; J83-B-6030
(ucs-set-char #x724C ?$(Cx+(B) ; KS0-C-782B
(ucs-set-char #x724C ?$(G`V(B) ; C01-G-6056
(ucs-set-char #x724C ?$@GW(B) ; J78-@-4757
(ucs-set-char #x724C ?$AEF(B) ; GB0-A-4546
(ucs-set-char #x724C ?$BGW(B) ; J83-B-4757
(ucs-set-char #x724D ?$Ak9(B) ; GB0-A-6B39
(ucs-set-char #x724E ?$(DJQ(B) ; J90-D-4A51
(ucs-set-char #x724E ?$(IB](B) ; C03-I-425D
(ucs-set-char #x724F ?$(DJR(B) ; J90-D-4A52
(ucs-set-char #x724F ?$(HDh(B) ; C02-H-4468
(ucs-set-char #x7250 ?$(DJS(B) ; J90-D-4A53
(ucs-set-char #x7250 ?$(IB\(B) ; C03-I-425C
(ucs-set-char #x7251 ?$(IB[(B) ; C03-I-425B
(ucs-set-char #x7252 ?$(Ct`(B) ; KS0-C-7460
(ucs-set-char #x7252 ?$(Ge&(B) ; C01-G-6526
(ucs-set-char #x7252 ?$@D-(B) ; J78-@-442D
(ucs-set-char #x7252 ?$Ak:(B) ; GB0-A-6B3A
(ucs-set-char #x7252 ?$BD-(B) ; J83-B-442D
(ucs-set-char #x7253 ?$(DJT(B) ; J90-D-4A54
(ucs-set-char #x7253 ?$(HKl(B) ; C02-H-4B6C
(ucs-set-char #x7254 ?$(JD^(B) ; C04-J-445E
(ucs-set-char #x7255 ?$(DJU(B) ; J90-D-4A55
(ucs-set-char #x7255 ?$(IM.(B) ; C03-I-4D2E
(ucs-set-char #x7256 ?$(DJV(B) ; J90-D-4A56
(ucs-set-char #x7256 ?$(Gmb(B) ; C01-G-6D62
(ucs-set-char #x7256 ?$Ak;(B) ; GB0-A-6B3B
(ucs-set-char #x7257 ?$(IM-(B) ; C03-I-4D2D
(ucs-set-char #x7258 ?$(CT:(B) ; KS0-C-543A
(ucs-set-char #x7258 ?$(GxI(B) ; C01-G-7849
(ucs-set-char #x7258 ?$@`1(B) ; J78-@-6031
(ucs-set-char #x7258 ?$B`1(B) ; J83-B-6031
(ucs-set-char #x7259 ?$(Cd3(B) ; KS0-C-6433
(ucs-set-char #x7259 ?$(GE[(B) ; C01-G-455B
(ucs-set-char #x7259 ?$@2g(B) ; J78-@-3267
(ucs-set-char #x7259 ?$AQ@(B) ; GB0-A-5140
(ucs-set-char #x7259 ?$B2g(B) ; J83-B-3267
(ucs-set-char #x725A ?$(DJW(B) ; J90-D-4A57
(ucs-set-char #x725A ?$(H=k(B) ; C02-H-3D6B
(ucs-set-char #x725B ?$(CiZ(B) ; KS0-C-695A
(ucs-set-char #x725B ?$(GE\(B) ; C01-G-455C
(ucs-set-char #x725B ?$@5m(B) ; J78-@-356D
(ucs-set-char #x725B ?$AE#(B) ; GB0-A-4523
(ucs-set-char #x725B ?$B5m(B) ; J83-B-356D
(ucs-set-char #x725C ?$(DJX(B) ; J90-D-4A58
(ucs-set-char #x725D ?$(C^6(B) ; KS0-C-5E36
(ucs-set-char #x725D ?$(GHJ(B) ; C01-G-484A
(ucs-set-char #x725D ?$@LF(B) ; J78-@-4C46
(ucs-set-char #x725D ?$Ajr(B) ; GB0-A-6A72
(ucs-set-char #x725D ?$BLF(B) ; J83-B-4C46
(ucs-set-char #x725E ?$(DJY(B) ; J90-D-4A59
(ucs-set-char #x725E ?$(H"b(B) ; C02-H-2262
(ucs-set-char #x725F ?$(CY?(B) ; KS0-C-593F
(ucs-set-char #x725F ?$(GHI(B) ; C01-G-4849
(ucs-set-char #x725F ?$@L6(B) ; J78-@-4C36
(ucs-set-char #x725F ?$AD2(B) ; GB0-A-4432
(ucs-set-char #x725F ?$BL6(B) ; J83-B-4C36
(ucs-set-char #x7260 ?$(DJZ(B) ; J90-D-4A5A
(ucs-set-char #x7260 ?$(GK((B) ; C01-G-4B28
(ucs-set-char #x7261 ?$(CY@(B) ; KS0-C-5940
(ucs-set-char #x7261 ?$(GK'(B) ; C01-G-4B27
(ucs-set-char #x7261 ?$@24(B) ; J78-@-3234
(ucs-set-char #x7261 ?$AD5(B) ; GB0-A-4435
(ucs-set-char #x7261 ?$B24(B) ; J83-B-3234
(ucs-set-char #x7262 ?$(CVo(B) ; KS0-C-566F
(ucs-set-char #x7262 ?$(GK&(B) ; C01-G-4B26
(ucs-set-char #x7262 ?$@O4(B) ; J78-@-4F34
(ucs-set-char #x7262 ?$A@N(B) ; GB0-A-404E
(ucs-set-char #x7262 ?$BO4(B) ; J83-B-4F34
(ucs-set-char #x7263 ?$(DJ[(B) ; J90-D-4A5B
(ucs-set-char #x7263 ?$(H$`(B) ; C02-H-2460
(ucs-set-char #x7264 ?$(I&d(B) ; C03-I-2664
(ucs-set-char #x7265 ?$(I*!(B) ; C03-I-2A21
(ucs-set-char #x7266 ?$(I*"(B) ; C03-I-2A22
(ucs-set-char #x7266 ?$Ajs(B) ; GB0-A-6A73
(ucs-set-char #x7267 ?$(CYL(B) ; KS0-C-594C
(ucs-set-char #x7267 ?$(GNk(B) ; C01-G-4E6B
(ucs-set-char #x7267 ?$@KR(B) ; J78-@-4B52
(ucs-set-char #x7267 ?$ADA(B) ; GB0-A-4441
(ucs-set-char #x7267 ?$BKR(B) ; J83-B-4B52
(ucs-set-char #x7268 ?$(DJ\(B) ; J90-D-4A5C
(ucs-set-char #x7268 ?$(I*#(B) ; C03-I-2A23
(ucs-set-char #x7269 ?$(CZ*(B) ; KS0-C-5A2A
(ucs-set-char #x7269 ?$(GNl(B) ; C01-G-4E6C
(ucs-set-char #x7269 ?$@J*(B) ; J78-@-4A2A
(ucs-set-char #x7269 ?$ANo(B) ; GB0-A-4E6F
(ucs-set-char #x7269 ?$BJ*(B) ; J83-B-4A2A
(ucs-set-char #x726A ?$(H'{(B) ; C02-H-277B
(ucs-set-char #x726B ?$(DJ](B) ; J90-D-4A5D
(ucs-set-char #x726B ?$(J'1(B) ; C04-J-2731
(ucs-set-char #x726C ?$(H+z(B) ; C02-H-2B7A
(ucs-set-char #x726D ?$(I-m(B) ; C03-I-2D6D
(ucs-set-char #x726E ?$(DJ^(B) ; J90-D-4A5E
(ucs-set-char #x726E ?$(H+}(B) ; C02-H-2B7D
(ucs-set-char #x726E ?$Ajp(B) ; GB0-A-6A70
(ucs-set-char #x726F ?$(DJ_(B) ; J90-D-4A5F
(ucs-set-char #x726F ?$(GR=(B) ; C01-G-523D
(ucs-set-char #x726F ?$Ajt(B) ; GB0-A-6A74
(ucs-set-char #x7270 ?$(H+{(B) ; C02-H-2B7B
(ucs-set-char #x7271 ?$(DJ`(B) ; J90-D-4A60
(ucs-set-char #x7271 ?$(J*/(B) ; C04-J-2A2F
(ucs-set-char #x7272 ?$(C_e(B) ; KS0-C-5F65
(ucs-set-char #x7272 ?$(GR<(B) ; C01-G-523C
(ucs-set-char #x7272 ?$@@7(B) ; J78-@-4037
(ucs-set-char #x7272 ?$AI|(B) ; GB0-A-497C
(ucs-set-char #x7272 ?$B@7(B) ; J83-B-4037
(ucs-set-char #x7273 ?$(H+|(B) ; C02-H-2B7C
(ucs-set-char #x7274 ?$(GR>(B) ; C01-G-523E
(ucs-set-char #x7274 ?$@`2(B) ; J78-@-6032
(ucs-set-char #x7274 ?$B`2(B) ; J83-B-6032
(ucs-set-char #x7275 ?$AG#(B) ; GB0-A-4723
(ucs-set-char #x7276 ?$(H0c(B) ; C02-H-3063
(ucs-set-char #x7277 ?$(DJa(B) ; J90-D-4A61
(ucs-set-char #x7277 ?$(H0b(B) ; C02-H-3062
(ucs-set-char #x7278 ?$(DJb(B) ; J90-D-4A62
(ucs-set-char #x7278 ?$(H0a(B) ; C02-H-3061
(ucs-set-char #x7279 ?$(Cwe(B) ; KS0-C-7765
(ucs-set-char #x7279 ?$(GVV(B) ; C01-G-5656
(ucs-set-char #x7279 ?$@FC(B) ; J78-@-4643
(ucs-set-char #x7279 ?$ALX(B) ; GB0-A-4C58
(ucs-set-char #x7279 ?$BFC(B) ; J83-B-4643
(ucs-set-char #x727A ?$(I26(B) ; C03-I-3236
(ucs-set-char #x727A ?$AN~(B) ; GB0-A-4E7E
(ucs-set-char #x727B ?$(DJc(B) ; J90-D-4A63
(ucs-set-char #x727B ?$(H7"(B) ; C02-H-3722
(ucs-set-char #x727C ?$(DJd(B) ; J90-D-4A64
(ucs-set-char #x727C ?$(H7#(B) ; C02-H-3723
(ucs-set-char #x727D ?$(CL2(B) ; KS0-C-4C32
(ucs-set-char #x727D ?$(G[t(B) ; C01-G-5B74
(ucs-set-char #x727D ?$@8#(B) ; J78-@-3823
(ucs-set-char #x727D ?$B8#(B) ; J83-B-3823
(ucs-set-char #x727E ?$(H7!(B) ; C02-H-3721
(ucs-set-char #x727E ?$@`3(B) ; J78-@-6033
(ucs-set-char #x727E ?$Aju(B) ; GB0-A-6A75
(ucs-set-char #x727E ?$B`3(B) ; J83-B-6033
(ucs-set-char #x727F ?$(DJe(B) ; J90-D-4A65
(ucs-set-char #x727F ?$(H7$(B) ; C02-H-3724
(ucs-set-char #x727F ?$Ajv(B) ; GB0-A-6A76
(ucs-set-char #x7280 ?$(C_y(B) ; KS0-C-5F79
(ucs-set-char #x7280 ?$(G`X(B) ; C01-G-6058
(ucs-set-char #x7280 ?$@:T(B) ; J78-@-3A54
(ucs-set-char #x7280 ?$AO,(B) ; GB0-A-4F2C
(ucs-set-char #x7280 ?$B:T(B) ; J83-B-3A54
(ucs-set-char #x7281 ?$(CW`(B) ; KS0-C-5760
(ucs-set-char #x7281 ?$(G[u(B) ; C01-G-5B75
(ucs-set-char #x7281 ?$@`5(B) ; J78-@-6035
(ucs-set-char #x7281 ?$A@g(B) ; GB0-A-4067
(ucs-set-char #x7281 ?$B`5(B) ; J83-B-6035
(ucs-set-char #x7282 ?$(I=$(B) ; C03-I-3D24
(ucs-set-char #x7282 ?$@`4(B) ; J78-@-6034
(ucs-set-char #x7282 ?$B`4(B) ; J83-B-6034
(ucs-set-char #x7283 ?$(I=#(B) ; C03-I-3D23
(ucs-set-char #x7284 ?$(DJf(B) ; J90-D-4A66
(ucs-set-char #x7284 ?$(G`W(B) ; C01-G-6057
(ucs-set-char #x7284 ?$Ajw(B) ; GB0-A-6A77
(ucs-set-char #x7285 ?$(H=o(B) ; C02-H-3D6F
(ucs-set-char #x7286 ?$(H=n(B) ; C02-H-3D6E
(ucs-set-char #x7287 ?$(I=%(B) ; C03-I-3D25
(ucs-set-char #x7287 ?$@`6(B) ; J78-@-6036
(ucs-set-char #x7287 ?$B`6(B) ; J83-B-6036
(ucs-set-char #x7288 ?$(H=l(B) ; C02-H-3D6C
(ucs-set-char #x7289 ?$(DJg(B) ; J90-D-4A67
(ucs-set-char #x7289 ?$(H=m(B) ; C02-H-3D6D
(ucs-set-char #x728A ?$A6?(B) ; GB0-A-363F
(ucs-set-char #x728B ?$(H=p(B) ; C02-H-3D70
(ucs-set-char #x728B ?$Ajx(B) ; GB0-A-6A78
(ucs-set-char #x728C ?$(HDj(B) ; C02-H-446A
(ucs-set-char #x728D ?$(DJh(B) ; J90-D-4A68
(ucs-set-char #x728D ?$(HDi(B) ; C02-H-4469
(ucs-set-char #x728D ?$Ajy(B) ; GB0-A-6A79
(ucs-set-char #x728E ?$(DJi(B) ; J90-D-4A69
(ucs-set-char #x728E ?$(HDm(B) ; C02-H-446D
(ucs-set-char #x728F ?$(J>O(B) ; C04-J-3E4F
(ucs-set-char #x728F ?$Ajz(B) ; GB0-A-6A7A
(ucs-set-char #x7290 ?$(HDl(B) ; C02-H-446C
(ucs-set-char #x7291 ?$(HDk(B) ; C02-H-446B
(ucs-set-char #x7292 ?$(Gi`(B) ; C01-G-6960
(ucs-set-char #x7292 ?$@`7(B) ; J78-@-6037
(ucs-set-char #x7292 ?$Aj{(B) ; GB0-A-6A7B
(ucs-set-char #x7292 ?$B`7(B) ; J83-B-6037
(ucs-set-char #x7293 ?$(DJj(B) ; J90-D-4A6A
(ucs-set-char #x7293 ?$(HKo(B) ; C02-H-4B6F
(ucs-set-char #x7294 ?$(IGu(B) ; C03-I-4775
(ucs-set-char #x7295 ?$(HKn(B) ; C02-H-4B6E
(ucs-set-char #x7296 ?$(Gia(B) ; C01-G-6961
(ucs-set-char #x7296 ?$@`8(B) ; J78-@-6038
(ucs-set-char #x7296 ?$B`8(B) ; J83-B-6038
(ucs-set-char #x7297 ?$(HKm(B) ; C02-H-4B6D
(ucs-set-char #x7298 ?$(HQ{(B) ; C02-H-517B
(ucs-set-char #x7299 ?$(IM/(B) ; C03-I-4D2F
(ucs-set-char #x729A ?$(HQ|(B) ; C02-H-517C
(ucs-set-char #x729B ?$(DJk(B) ; J90-D-4A6B
(ucs-set-char #x729B ?$(Gmc(B) ; C01-G-6D63
(ucs-set-char #x729C ?$(JQ-(B) ; C04-J-512D
(ucs-set-char #x729D ?$(HXE(B) ; C02-H-5845
(ucs-set-char #x729E ?$(HXF(B) ; C02-H-5846
(ucs-set-char #x729F ?$(KN7(B) ; C05-K-4E37
(ucs-set-char #x729F ?$Ajq(B) ; GB0-A-6A71
(ucs-set-char #x72A0 ?$@5>(B) ; J78-@-353E
(ucs-set-char #x72A0 ?$B5>(B) ; J83-B-353E
(ucs-set-char #x72A1 ?$(He|(B) ; C02-H-657C
(ucs-set-char #x72A2 ?$(CT;(B) ; KS0-C-543B
(ucs-set-char #x72A2 ?$(GxJ(B) ; C01-G-784A
(ucs-set-char #x72A2 ?$@`9(B) ; J78-@-6039
(ucs-set-char #x72A2 ?$B`9(B) ; J83-B-6039
(ucs-set-char #x72A3 ?$(He{(B) ; C02-H-657B
(ucs-set-char #x72A4 ?$(Hez(B) ; C02-H-657A
(ucs-set-char #x72A5 ?$(Hex(B) ; C02-H-6578
(ucs-set-char #x72A6 ?$(Hey(B) ; C02-H-6579
(ucs-set-char #x72A7 ?$(C}z(B) ; KS0-C-7D7A
(ucs-set-char #x72A7 ?$(Gzv(B) ; C01-G-7A76
(ucs-set-char #x72A7 ?$@`:(B) ; J78-@-603A
(ucs-set-char #x72A7 ?$B`:(B) ; J83-B-603A
(ucs-set-char #x72A8 ?$(DJl(B) ; J90-D-4A6C
(ucs-set-char #x72A8 ?$(Hi;(B) ; C02-H-693B
(ucs-set-char #x72A9 ?$(Hm\(B) ; C02-H-6D5C
(ucs-set-char #x72AA ?$(Hq'(B) ; C02-H-7127
(ucs-set-char #x72AB ?$(Ia{(B) ; C03-I-617B
(ucs-set-char #x72AC ?$(CL3(B) ; KS0-C-4C33
(ucs-set-char #x72AC ?$(GE](B) ; C01-G-455D
(ucs-set-char #x72AC ?$@8$(B) ; J78-@-3824
(ucs-set-char #x72AC ?$AH.(B) ; GB0-A-482E
(ucs-set-char #x72AC ?$B8$(B) ; J83-B-3824
(ucs-set-char #x72AD ?$(DJm(B) ; J90-D-4A6D
(ucs-set-char #x72AD ?$(J!8(B) ; C04-J-2138
(ucs-set-char #x72AD ?$Aak(B) ; GB0-A-616B
(ucs-set-char #x72AE ?$(DJn(B) ; J90-D-4A6E
(ucs-set-char #x72AE ?$(H!d(B) ; C02-H-2164
(ucs-set-char #x72AF ?$(C[s(B) ; KS0-C-5B73
(ucs-set-char #x72AF ?$(GFg(B) ; C01-G-4667
(ucs-set-char #x72AF ?$@HH(B) ; J78-@-4848
(ucs-set-char #x72AF ?$A78(B) ; GB0-A-3738
(ucs-set-char #x72AF ?$BHH(B) ; J83-B-4848
(ucs-set-char #x72B0 ?$(H!e(B) ; C02-H-2165
(ucs-set-char #x72B0 ?$Aal(B) ; GB0-A-616C
(ucs-set-char #x72B1 ?$(DJo(B) ; J90-D-4A6F
(ucs-set-char #x72B1 ?$(I$,(B) ; C03-I-242C
(ucs-set-char #x72B2 ?$(I$-(B) ; C03-I-242D
(ucs-set-char #x72B2 ?$@`<(B) ; J78-@-603C
(ucs-set-char #x72B2 ?$B`<(B) ; J83-B-603C
(ucs-set-char #x72B3 ?$(J#'(B) ; C04-J-2327
(ucs-set-char #x72B4 ?$(DJp(B) ; J90-D-4A70
(ucs-set-char #x72B4 ?$(H"c(B) ; C02-H-2263
(ucs-set-char #x72B4 ?$Aam(B) ; GB0-A-616D
(ucs-set-char #x72B5 ?$(H"d(B) ; C02-H-2264
(ucs-set-char #x72B6 ?$(I&k(B) ; C03-I-266B
(ucs-set-char #x72B6 ?$@>u(B) ; J78-@-3E75
(ucs-set-char #x72B6 ?$AW4(B) ; GB0-A-5734
(ucs-set-char #x72B6 ?$B>u(B) ; J83-B-3E75
(ucs-set-char #x72B7 ?$Aan(B) ; GB0-A-616E
(ucs-set-char #x72B8 ?$Aao(B) ; GB0-A-616F
(ucs-set-char #x72B9 ?$(I&i(B) ; C03-I-2669
(ucs-set-char #x72B9 ?$@`;(B) ; J78-@-603B
(ucs-set-char #x72B9 ?$ASL(B) ; GB0-A-534C
(ucs-set-char #x72B9 ?$B`;(B) ; J83-B-603B
(ucs-set-char #x72BA ?$(H$f(B) ; C02-H-2466
(ucs-set-char #x72BB ?$(I&f(B) ; C03-I-2666
(ucs-set-char #x72BC ?$(I&g(B) ; C03-I-2667
(ucs-set-char #x72BD ?$(H$b(B) ; C02-H-2462
(ucs-set-char #x72BE ?$(DJq(B) ; J90-D-4A71
(ucs-set-char #x72BE ?$(I&j(B) ; C03-I-266A
(ucs-set-char #x72BF ?$(H$a(B) ; C02-H-2461
(ucs-set-char #x72C0 ?$(C_R(B) ; KS0-C-5F52
(ucs-set-char #x72C0 ?$(GNm(B) ; C01-G-4E6D
(ucs-set-char #x72C1 ?$(DJr(B) ; J90-D-4A72
(ucs-set-char #x72C1 ?$(H$e(B) ; C02-H-2465
(ucs-set-char #x72C1 ?$Aaq(B) ; GB0-A-6171
(ucs-set-char #x72C2 ?$(CNJ(B) ; KS0-C-4E4A
(ucs-set-char #x72C2 ?$(GK*(B) ; C01-G-4B2A
(ucs-set-char #x72C2 ?$@68(B) ; J78-@-3638
(ucs-set-char #x72C2 ?$A?q(B) ; GB0-A-3F71
(ucs-set-char #x72C2 ?$B68(B) ; J83-B-3638
(ucs-set-char #x72C3 ?$(H$c(B) ; C02-H-2463
(ucs-set-char #x72C3 ?$@`=(B) ; J78-@-603D
(ucs-set-char #x72C3 ?$Aap(B) ; GB0-A-6170
(ucs-set-char #x72C3 ?$B`=(B) ; J83-B-603D
(ucs-set-char #x72C4 ?$(CnZ(B) ; KS0-C-6E5A
(ucs-set-char #x72C4 ?$(GK)(B) ; C01-G-4B29
(ucs-set-char #x72C4 ?$@`?(B) ; J78-@-603F
(ucs-set-char #x72C4 ?$A5R(B) ; GB0-A-3552
(ucs-set-char #x72C4 ?$B`?(B) ; J83-B-603F
(ucs-set-char #x72C5 ?$(H$g(B) ; C02-H-2467
(ucs-set-char #x72C6 ?$(H$d(B) ; C02-H-2464
(ucs-set-char #x72C6 ?$@`>(B) ; J78-@-603E
(ucs-set-char #x72C6 ?$B`>(B) ; J83-B-603E
(ucs-set-char #x72C7 ?$(DJs(B) ; J90-D-4A73
(ucs-set-char #x72C7 ?$(I&h(B) ; C03-I-2668
(ucs-set-char #x72C8 ?$A17(B) ; GB0-A-3137
(ucs-set-char #x72C9 ?$(DJt(B) ; J90-D-4A74
(ucs-set-char #x72C9 ?$(H(!(B) ; C02-H-2821
(ucs-set-char #x72CA ?$(H+~(B) ; C02-H-2B7E
(ucs-set-char #x72CB ?$(H'}(B) ; C02-H-277D
(ucs-set-char #x72CC ?$(DJu(B) ; J90-D-4A75
(ucs-set-char #x72CC ?$(H(&(B) ; C02-H-2826
(ucs-set-char #x72CD ?$(I*&(B) ; C03-I-2A26
(ucs-set-char #x72CD ?$Aas(B) ; GB0-A-6173
(ucs-set-char #x72CE ?$(Cdd(B) ; KS0-C-6464
(ucs-set-char #x72CE ?$(GNn(B) ; C01-G-4E6E
(ucs-set-char #x72CE ?$@`@(B) ; J78-@-6040
(ucs-set-char #x72CE ?$Aar(B) ; GB0-A-6172
(ucs-set-char #x72CE ?$B`@(B) ; J83-B-6040
(ucs-set-char #x72CF ?$(I**(B) ; C03-I-2A2A
(ucs-set-char #x72D0 ?$(C{O(B) ; KS0-C-7B4F
(ucs-set-char #x72D0 ?$(GNq(B) ; C01-G-4E71
(ucs-set-char #x72D0 ?$@8Q(B) ; J78-@-3851
(ucs-set-char #x72D0 ?$A:|(B) ; GB0-A-3A7C
(ucs-set-char #x72D0 ?$B8Q(B) ; J83-B-3851
(ucs-set-char #x72D1 ?$(H('(B) ; C02-H-2827
(ucs-set-char #x72D2 ?$(H(#(B) ; C02-H-2823
(ucs-set-char #x72D2 ?$@`A(B) ; J78-@-6041
(ucs-set-char #x72D2 ?$Aat(B) ; GB0-A-6174
(ucs-set-char #x72D2 ?$B`A(B) ; J83-B-6041
(ucs-set-char #x72D3 ?$(I*'(B) ; C03-I-2A27
(ucs-set-char #x72D4 ?$(H($(B) ; C02-H-2824
(ucs-set-char #x72D5 ?$(DJv(B) ; J90-D-4A76
(ucs-set-char #x72D5 ?$(J'6(B) ; C04-J-2736
(ucs-set-char #x72D6 ?$(DJw(B) ; J90-D-4A77
(ucs-set-char #x72D6 ?$(H'|(B) ; C02-H-277C
(ucs-set-char #x72D7 ?$(CO7(B) ; KS0-C-4F37
(ucs-set-char #x72D7 ?$(GNp(B) ; C01-G-4E70
(ucs-set-char #x72D7 ?$@6i(B) ; J78-@-3669
(ucs-set-char #x72D7 ?$A97(B) ; GB0-A-3937
(ucs-set-char #x72D7 ?$B6i(B) ; J83-B-3669
(ucs-set-char #x72D8 ?$(DJx(B) ; J90-D-4A78
(ucs-set-char #x72D8 ?$(H'~(B) ; C02-H-277E
(ucs-set-char #x72D9 ?$(CnC(B) ; KS0-C-6E43
(ucs-set-char #x72D9 ?$(GNo(B) ; C01-G-4E6F
(ucs-set-char #x72D9 ?$@A@(B) ; J78-@-4140
(ucs-set-char #x72D9 ?$A>Q(B) ; GB0-A-3E51
(ucs-set-char #x72D9 ?$BA@(B) ; J83-B-4140
(ucs-set-char #x72DA ?$(H(%(B) ; C02-H-2825
(ucs-set-char #x72DB ?$(I*((B) ; C03-I-2A28
(ucs-set-char #x72DB ?$@9}(B) ; J78-@-397D
(ucs-set-char #x72DB ?$B9}(B) ; J83-B-397D
(ucs-set-char #x72DC ?$(H("(B) ; C02-H-2822
(ucs-set-char #x72DE ?$AD|(B) ; GB0-A-447C
(ucs-set-char #x72DF ?$(DJy(B) ; J90-D-4A79
(ucs-set-char #x72DF ?$(H,$(B) ; C02-H-2C24
(ucs-set-char #x72E0 ?$(GR@(B) ; C01-G-5240
(ucs-set-char #x72E0 ?$@`C(B) ; J78-@-6043
(ucs-set-char #x72E0 ?$A:](B) ; GB0-A-3A5D
(ucs-set-char #x72E0 ?$B`C(B) ; J83-B-6043
(ucs-set-char #x72E1 ?$(CNj(B) ; KS0-C-4E6A
(ucs-set-char #x72E1 ?$(GRA(B) ; C01-G-5241
(ucs-set-char #x72E1 ?$@`D(B) ; J78-@-6044
(ucs-set-char #x72E1 ?$A=F(B) ; GB0-A-3D46
(ucs-set-char #x72E1 ?$B`D(B) ; J83-B-6044
(ucs-set-char #x72E2 ?$(I-u(B) ; C03-I-2D75
(ucs-set-char #x72E2 ?$@`B(B) ; J78-@-6042
(ucs-set-char #x72E2 ?$B`B(B) ; J83-B-6042
(ucs-set-char #x72E3 ?$(H,'(B) ; C02-H-2C27
(ucs-set-char #x72E4 ?$(H,!(B) ; C02-H-2C21
(ucs-set-char #x72E5 ?$(DJz(B) ; J90-D-4A7A
(ucs-set-char #x72E5 ?$(I-t(B) ; C03-I-2D74
(ucs-set-char #x72E6 ?$(H,&(B) ; C02-H-2C26
(ucs-set-char #x72E7 ?$(I-p(B) ; C03-I-2D70
(ucs-set-char #x72E8 ?$(H,"(B) ; C02-H-2C22
(ucs-set-char #x72E8 ?$Aau(B) ; GB0-A-6175
(ucs-set-char #x72E9 ?$(Cb-(B) ; KS0-C-622D
(ucs-set-char #x72E9 ?$(GR?(B) ; C01-G-523F
(ucs-set-char #x72E9 ?$@<m(B) ; J78-@-3C6D
(ucs-set-char #x72E9 ?$Aaw(B) ; GB0-A-6177
(ucs-set-char #x72E9 ?$B<m(B) ; J83-B-3C6D
(ucs-set-char #x72EA ?$(H,%(B) ; C02-H-2C25
(ucs-set-char #x72EB ?$(H,#(B) ; C02-H-2C23
(ucs-set-char #x72EC ?$(I-s(B) ; C03-I-2D73
(ucs-set-char #x72EC ?$@FH(B) ; J78-@-4648
(ucs-set-char #x72EC ?$A6@(B) ; GB0-A-3640
(ucs-set-char #x72EC ?$BFH(B) ; J83-B-4648
(ucs-set-char #x72ED ?$(I-q(B) ; C03-I-2D71
(ucs-set-char #x72ED ?$@69(B) ; J78-@-3639
(ucs-set-char #x72ED ?$AOA(B) ; GB0-A-4F41
(ucs-set-char #x72ED ?$B69(B) ; J83-B-3639
(ucs-set-char #x72EE ?$AJ((B) ; GB0-A-4A28
(ucs-set-char #x72EF ?$Aav(B) ; GB0-A-6176
(ucs-set-char #x72F0 ?$AUx(B) ; GB0-A-5578
(ucs-set-char #x72F1 ?$AS|(B) ; GB0-A-537C
(ucs-set-char #x72F2 ?$Aax(B) ; GB0-A-6178
(ucs-set-char #x72F3 ?$(DJ{(B) ; J90-D-4A7B
(ucs-set-char #x72F3 ?$(H0i(B) ; C02-H-3069
(ucs-set-char #x72F3 ?$Aa|(B) ; GB0-A-617C
(ucs-set-char #x72F4 ?$(DJ|(B) ; J90-D-4A7C
(ucs-set-char #x72F4 ?$(H0f(B) ; C02-H-3066
(ucs-set-char #x72F4 ?$Aay(B) ; GB0-A-6179
(ucs-set-char #x72F5 ?$(I28(B) ; C03-I-3238
(ucs-set-char #x72F6 ?$(H0h(B) ; C02-H-3068
(ucs-set-char #x72F7 ?$(GV[(B) ; C01-G-565B
(ucs-set-char #x72F7 ?$@`F(B) ; J78-@-6046
(ucs-set-char #x72F7 ?$Aaz(B) ; GB0-A-617A
(ucs-set-char #x72F7 ?$B`F(B) ; J83-B-6046
(ucs-set-char #x72F8 ?$(CWa(B) ; KS0-C-5761
(ucs-set-char #x72F8 ?$(GVZ(B) ; C01-G-565A
(ucs-set-char #x72F8 ?$@C,(B) ; J78-@-432C
(ucs-set-char #x72F8 ?$A@j(B) ; GB0-A-406A
(ucs-set-char #x72F8 ?$BC,(B) ; J83-B-432C
(ucs-set-char #x72F9 ?$(Czu(B) ; KS0-C-7A75
(ucs-set-char #x72F9 ?$(GVX(B) ; C01-G-5658
(ucs-set-char #x72F9 ?$@`E(B) ; J78-@-6045
(ucs-set-char #x72F9 ?$B`E(B) ; J83-B-6045
(ucs-set-char #x72FA ?$(DJ}(B) ; J90-D-4A7D
(ucs-set-char #x72FA ?$(H0e(B) ; C02-H-3065
(ucs-set-char #x72FA ?$Aa~(B) ; GB0-A-617E
(ucs-set-char #x72FB ?$(DJ~(B) ; J90-D-4A7E
(ucs-set-char #x72FB ?$(H0j(B) ; C02-H-306A
(ucs-set-char #x72FB ?$Ab!(B) ; GB0-A-6221
(ucs-set-char #x72FC ?$(CUI(B) ; KS0-C-5549
(ucs-set-char #x72FC ?$(GVW(B) ; C01-G-5657
(ucs-set-char #x72FC ?$@O5(B) ; J78-@-4F35
(ucs-set-char #x72FC ?$A@G(B) ; GB0-A-4047
(ucs-set-char #x72FC ?$BO5(B) ; J83-B-4F35
(ucs-set-char #x72FD ?$(Cx,(B) ; KS0-C-782C
(ucs-set-char #x72FD ?$(GVY(B) ; C01-G-5659
(ucs-set-char #x72FD ?$@Gb(B) ; J78-@-4762
(ucs-set-char #x72FD ?$BGb(B) ; J83-B-4762
(ucs-set-char #x72FE ?$(DK!(B) ; J90-D-4B21
(ucs-set-char #x72FE ?$(H0g(B) ; C02-H-3067
(ucs-set-char #x72FF ?$(H7,(B) ; C02-H-372C
(ucs-set-char #x7300 ?$(H0d(B) ; C02-H-3064
(ucs-set-char #x7301 ?$(H0k(B) ; C02-H-306B
(ucs-set-char #x7301 ?$Aa{(B) ; GB0-A-617B
(ucs-set-char #x7302 ?$(DK"(B) ; J90-D-4B22
(ucs-set-char #x7302 ?$(I29(B) ; C03-I-3239
(ucs-set-char #x7303 ?$Aa}(B) ; GB0-A-617D
(ucs-set-char #x7304 ?$(DK#(B) ; J90-D-4B23
(ucs-set-char #x7304 ?$(J3#(B) ; C04-J-3323
(ucs-set-char #x7305 ?$(DK$(B) ; J90-D-4B24
(ucs-set-char #x7305 ?$(J3*(B) ; C04-J-332A
(ucs-set-char #x7306 ?$(I=&(B) ; C03-I-3D26
(ucs-set-char #x7307 ?$(DK%(B) ; J90-D-4B25
(ucs-set-char #x7307 ?$(H7'(B) ; C02-H-3727
(ucs-set-char #x7308 ?$(H7+(B) ; C02-H-372B
(ucs-set-char #x7309 ?$(K3T(B) ; C05-K-3354
(ucs-set-char #x730A ?$(CgY(B) ; KS0-C-6759
(ucs-set-char #x730A ?$(H7*(B) ; C02-H-372A
(ucs-set-char #x730A ?$@`I(B) ; J78-@-6049
(ucs-set-char #x730A ?$Ab%(B) ; GB0-A-6225
(ucs-set-char #x730A ?$B`I(B) ; J83-B-6049
(ucs-set-char #x730B ?$(DK&(B) ; J90-D-4B26
(ucs-set-char #x730B ?$(H=r(B) ; C02-H-3D72
(ucs-set-char #x730C ?$(H=}(B) ; C02-H-3D7D
(ucs-set-char #x730D ?$(DK'(B) ; J90-D-4B27
(ucs-set-char #x730D ?$(J3-(B) ; C04-J-332D
(ucs-set-char #x730E ?$(I7;(B) ; C03-I-373B
(ucs-set-char #x730E ?$AAT(B) ; GB0-A-4154
(ucs-set-char #x730F ?$(H7-(B) ; C02-H-372D
(ucs-set-char #x7310 ?$(I7:(B) ; C03-I-373A
(ucs-set-char #x7311 ?$(H7((B) ; C02-H-3728
(ucs-set-char #x7312 ?$(DK((B) ; J90-D-4B28
(ucs-set-char #x7312 ?$(H=q(B) ; C02-H-3D71
(ucs-set-char #x7313 ?$(DK)(B) ; J90-D-4B29
(ucs-set-char #x7313 ?$(G[y(B) ; C01-G-5B79
(ucs-set-char #x7313 ?$Ab#(B) ; GB0-A-6223
(ucs-set-char #x7314 ?$(J3"(B) ; C04-J-3322
(ucs-set-char #x7315 ?$(J3,(B) ; C04-J-332C
(ucs-set-char #x7315 ?$Ab((B) ; GB0-A-6228
(ucs-set-char #x7316 ?$(Csi(B) ; KS0-C-7369
(ucs-set-char #x7316 ?$(G[x(B) ; C01-G-5B78
(ucs-set-char #x7316 ?$@`K(B) ; J78-@-604B
(ucs-set-char #x7316 ?$A2~(B) ; GB0-A-327E
(ucs-set-char #x7316 ?$B`K(B) ; J83-B-604B
(ucs-set-char #x7317 ?$(H7&(B) ; C02-H-3726
(ucs-set-char #x7317 ?$@`H(B) ; J78-@-6048
(ucs-set-char #x7317 ?$Ab"(B) ; GB0-A-6222
(ucs-set-char #x7317 ?$B`H(B) ; J83-B-6048
(ucs-set-char #x7318 ?$(DK*(B) ; J90-D-4B2A
(ucs-set-char #x7318 ?$(H7)(B) ; C02-H-3729
(ucs-set-char #x7319 ?$(DK+(B) ; J90-D-4B2B
(ucs-set-char #x7319 ?$(G[z(B) ; C01-G-5B7A
(ucs-set-char #x731A ?$(I79(B) ; C03-I-3739
(ucs-set-char #x731B ?$(CXm(B) ; KS0-C-586D
(ucs-set-char #x731B ?$(G[w(B) ; C01-G-5B77
(ucs-set-char #x731B ?$@LT(B) ; J78-@-4C54
(ucs-set-char #x731B ?$ACM(B) ; GB0-A-434D
(ucs-set-char #x731B ?$BLT(B) ; J83-B-4C54
(ucs-set-char #x731C ?$(CcD(B) ; KS0-C-6344
(ucs-set-char #x731C ?$(G[v(B) ; C01-G-5B76
(ucs-set-char #x731C ?$@`J(B) ; J78-@-604A
(ucs-set-char #x731C ?$A2B(B) ; GB0-A-3242
(ucs-set-char #x731C ?$B`J(B) ; J83-B-604A
(ucs-set-char #x731D ?$(Cpq(B) ; KS0-C-7071
(ucs-set-char #x731D ?$(H7%(B) ; C02-H-3725
(ucs-set-char #x731D ?$@`L(B) ; J78-@-604C
(ucs-set-char #x731D ?$Ab'(B) ; GB0-A-6227
(ucs-set-char #x731D ?$B`L(B) ; J83-B-604C
(ucs-set-char #x731E ?$(DK,(B) ; J90-D-4B2C
(ucs-set-char #x731E ?$(H7.(B) ; C02-H-372E
(ucs-set-char #x731E ?$Ab&(B) ; GB0-A-6226
(ucs-set-char #x731F ?$@ND(B) ; J78-@-4E44
(ucs-set-char #x731F ?$BND(B) ; J83-B-4E44
(ucs-set-char #x7321 ?$Ab$(B) ; GB0-A-6224
(ucs-set-char #x7322 ?$(DK-(B) ; J90-D-4B2D
(ucs-set-char #x7322 ?$(H=t(B) ; C02-H-3D74
(ucs-set-char #x7322 ?$Ab)(B) ; GB0-A-6229
(ucs-set-char #x7323 ?$(H={(B) ; C02-H-3D7B
(ucs-set-char #x7324 ?$(DK.(B) ; J90-D-4B2E
(ucs-set-char #x7324 ?$(I='(B) ; C03-I-3D27
(ucs-set-char #x7325 ?$(Che(B) ; KS0-C-6865
(ucs-set-char #x7325 ?$(G`Z(B) ; C01-G-605A
(ucs-set-char #x7325 ?$@`P(B) ; J78-@-6050
(ucs-set-char #x7325 ?$Ab+(B) ; GB0-A-622B
(ucs-set-char #x7325 ?$B`P(B) ; J83-B-6050
(ucs-set-char #x7326 ?$(H=z(B) ; C02-H-3D7A
(ucs-set-char #x7327 ?$(DK/(B) ; J90-D-4B2F
(ucs-set-char #x7327 ?$(H=w(B) ; C02-H-3D77
(ucs-set-char #x7328 ?$(DK0(B) ; J90-D-4B30
(ucs-set-char #x7328 ?$(I=.(B) ; C03-I-3D2E
(ucs-set-char #x7329 ?$(C`z(B) ; KS0-C-607A
(ucs-set-char #x7329 ?$(G`\(B) ; C01-G-605C
(ucs-set-char #x7329 ?$@`O(B) ; J78-@-604F
(ucs-set-char #x7329 ?$API(B) ; GB0-A-5049
(ucs-set-char #x7329 ?$B`O(B) ; J83-B-604F
(ucs-set-char #x732A ?$(CnD(B) ; KS0-C-6E44
(ucs-set-char #x732A ?$(I=)(B) ; C03-I-3D29
(ucs-set-char #x732A ?$@Cv(B) ; J78-@-4376
(ucs-set-char #x732A ?$AVm(B) ; GB0-A-566D
(ucs-set-char #x732A ?$BCv(B) ; J83-B-4376
(ucs-set-char #x732B ?$(CY^(B) ; KS0-C-595E
(ucs-set-char #x732B ?$(I=+(B) ; C03-I-3D2B
(ucs-set-char #x732B ?$@G-(B) ; J78-@-472D
(ucs-set-char #x732B ?$AC((B) ; GB0-A-4328
(ucs-set-char #x732B ?$BG-(B) ; J83-B-472D
(ucs-set-char #x732C ?$(DK1(B) ; J90-D-4B31
(ucs-set-char #x732C ?$(I=*(B) ; C03-I-3D2A
(ucs-set-char #x732C ?$Ab,(B) ; GB0-A-622C
(ucs-set-char #x732D ?$(H=y(B) ; C02-H-3D79
(ucs-set-char #x732E ?$(IBa(B) ; C03-I-4261
(ucs-set-char #x732E ?$@8%(B) ; J78-@-3825
(ucs-set-char #x732E ?$AOW(B) ; GB0-A-4F57
(ucs-set-char #x732E ?$B8%(B) ; J83-B-3825
(ucs-set-char #x732F ?$(I=-(B) ; C03-I-3D2D
(ucs-set-char #x732F ?$@`N(B) ; J78-@-604E
(ucs-set-char #x732F ?$B`N(B) ; J83-B-604E
(ucs-set-char #x7330 ?$(H=s(B) ; C02-H-3D73
(ucs-set-char #x7331 ?$(DK2(B) ; J90-D-4B32
(ucs-set-char #x7331 ?$(H=u(B) ; C02-H-3D75
(ucs-set-char #x7331 ?$Ab.(B) ; GB0-A-622E
(ucs-set-char #x7332 ?$(DK3(B) ; J90-D-4B33
(ucs-set-char #x7332 ?$(H=x(B) ; C02-H-3D78
(ucs-set-char #x7333 ?$(H=v(B) ; C02-H-3D76
(ucs-set-char #x7334 ?$(G`[(B) ; C01-G-605B
(ucs-set-char #x7334 ?$@`M(B) ; J78-@-604D
(ucs-set-char #x7334 ?$A:o(B) ; GB0-A-3A6F
(ucs-set-char #x7334 ?$B`M(B) ; J83-B-604D
(ucs-set-char #x7335 ?$(DK4(B) ; J90-D-4B34
(ucs-set-char #x7335 ?$(H=|(B) ; C02-H-3D7C
(ucs-set-char #x7336 ?$(Ck"(B) ; KS0-C-6B22
(ucs-set-char #x7336 ?$(G`Y(B) ; C01-G-6059
(ucs-set-char #x7336 ?$@M1(B) ; J78-@-4D31
(ucs-set-char #x7336 ?$BM1(B) ; J83-B-4D31
(ucs-set-char #x7337 ?$(Ck#(B) ; KS0-C-6B23
(ucs-set-char #x7337 ?$(Ge'(B) ; C01-G-6527
(ucs-set-char #x7337 ?$@M2(B) ; J78-@-4D32
(ucs-set-char #x7337 ?$Ai`(B) ; GB0-A-6960
(ucs-set-char #x7337 ?$BM2(B) ; J83-B-4D32
(ucs-set-char #x7338 ?$(I=((B) ; C03-I-3D28
(ucs-set-char #x7338 ?$Ab-(B) ; GB0-A-622D
(ucs-set-char #x7339 ?$Ab*(B) ; GB0-A-622A
(ucs-set-char #x733A ?$(DK5(B) ; J90-D-4B35
(ucs-set-char #x733A ?$(HDq(B) ; C02-H-4471
(ucs-set-char #x733B ?$(DK6(B) ; J90-D-4B36
(ucs-set-char #x733B ?$(HDp(B) ; C02-H-4470
(ucs-set-char #x733C ?$(HDn(B) ; C02-H-446E
(ucs-set-char #x733D ?$(DK7(B) ; J90-D-4B37
(ucs-set-char #x733D ?$(LT|(B) ; C06-L-547C
(ucs-set-char #x733E ?$(C|B(B) ; KS0-C-7C42
(ucs-set-char #x733E ?$(Ge*(B) ; C01-G-652A
(ucs-set-char #x733E ?$@`Q(B) ; J78-@-6051
(ucs-set-char #x733E ?$A;+(B) ; GB0-A-3B2B
(ucs-set-char #x733E ?$B`Q(B) ; J83-B-6051
(ucs-set-char #x733F ?$(Cj;(B) ; KS0-C-6A3B
(ucs-set-char #x733F ?$(Ge)(B) ; C01-G-6529
(ucs-set-char #x733F ?$@1n(B) ; J78-@-316E
(ucs-set-char #x733F ?$AT3(B) ; GB0-A-5433
(ucs-set-char #x733F ?$B1n(B) ; J83-B-316E
(ucs-set-char #x7340 ?$(HDr(B) ; C02-H-4472
(ucs-set-char #x7341 ?$(IB_(B) ; C03-I-425F
(ucs-set-char #x7342 ?$(HDo(B) ; C02-H-446F
(ucs-set-char #x7343 ?$(DK8(B) ; J90-D-4B38
(ucs-set-char #x7343 ?$(HKp(B) ; C02-H-4B70
(ucs-set-char #x7344 ?$(Ch+(B) ; KS0-C-682B
(ucs-set-char #x7344 ?$(Gib(B) ; C01-G-6962
(ucs-set-char #x7344 ?$@9v(B) ; J78-@-3976
(ucs-set-char #x7344 ?$B9v(B) ; J83-B-3976
(ucs-set-char #x7345 ?$(C^b(B) ; KS0-C-5E62
(ucs-set-char #x7345 ?$(Ge((B) ; C01-G-6528
(ucs-set-char #x7345 ?$@;b(B) ; J78-@-3B62
(ucs-set-char #x7345 ?$B;b(B) ; J83-B-3B62
(ucs-set-char #x7346 ?$(IBb(B) ; C03-I-4262
(ucs-set-char #x7349 ?$(HDt(B) ; C02-H-4474
(ucs-set-char #x734A ?$(HDs(B) ; C02-H-4473
(ucs-set-char #x734B ?$(IM0(B) ; C03-I-4D30
(ucs-set-char #x734C ?$(HKs(B) ; C02-H-4B73
(ucs-set-char #x734D ?$(DK9(B) ; J90-D-4B39
(ucs-set-char #x734D ?$(HKq(B) ; C02-H-4B71
(ucs-set-char #x734D ?$Ab0(B) ; GB0-A-6230
(ucs-set-char #x734E ?$(Gmd(B) ; C01-G-6D64
(ucs-set-char #x734E ?$@`R(B) ; J78-@-6052
(ucs-set-char #x734E ?$B`R(B) ; J83-B-6052
(ucs-set-char #x734F ?$(IGy(B) ; C03-I-4779
(ucs-set-char #x734F ?$@`S(B) ; J78-@-6053
(ucs-set-char #x734F ?$B`S(B) ; J83-B-6053
(ucs-set-char #x7350 ?$(Cmo(B) ; KS0-C-6D6F
(ucs-set-char #x7350 ?$(DK:(B) ; J90-D-4B3A
(ucs-set-char #x7350 ?$(Gic(B) ; C01-G-6963
(ucs-set-char #x7350 ?$Ab/(B) ; GB0-A-622F
(ucs-set-char #x7351 ?$(HKr(B) ; C02-H-4B72
(ucs-set-char #x7352 ?$(Ch#(B) ; KS0-C-6823
(ucs-set-char #x7352 ?$(DK;(B) ; J90-D-4B3B
(ucs-set-char #x7352 ?$(HQ~(B) ; C02-H-517E
(ucs-set-char #x7352 ?$Aia(B) ; GB0-A-6961
(ucs-set-char #x7353 ?$(IGx(B) ; C03-I-4778
(ucs-set-char #x7354 ?$(IGz(B) ; C03-I-477A
(ucs-set-char #x7355 ?$(IGw(B) ; C03-I-4777
(ucs-set-char #x7356 ?$(DK<(B) ; J90-D-4B3C
(ucs-set-char #x7356 ?$(JJw(B) ; C04-J-4A77
(ucs-set-char #x7357 ?$(COq(B) ; KS0-C-4F71
(ucs-set-char #x7357 ?$(Gme(B) ; C01-G-6D65
(ucs-set-char #x7357 ?$@`U(B) ; J78-@-6055
(ucs-set-char #x7357 ?$Ab1(B) ; GB0-A-6231
(ucs-set-char #x7357 ?$B`U(B) ; J83-B-6055
(ucs-set-char #x7358 ?$(DK=(B) ; J90-D-4B3D
(ucs-set-char #x7358 ?$(HQ}(B) ; C02-H-517D
(ucs-set-char #x7359 ?$(HR((B) ; C02-H-5228
(ucs-set-char #x735A ?$(HR'(B) ; C02-H-5227
(ucs-set-char #x735B ?$(HR%(B) ; C02-H-5225
(ucs-set-char #x735C ?$(JJu(B) ; C04-J-4A75
(ucs-set-char #x735D ?$(DK>(B) ; J90-D-4B3E
(ucs-set-char #x735D ?$(HR$(B) ; C02-H-5224
(ucs-set-char #x735E ?$(DK?(B) ; J90-D-4B3F
(ucs-set-char #x735E ?$(HR!(B) ; C02-H-5221
(ucs-set-char #x735F ?$(DK@(B) ; J90-D-4B40
(ucs-set-char #x735F ?$(HR"(B) ; C02-H-5222
(ucs-set-char #x7360 ?$(DKA(B) ; J90-D-4B41
(ucs-set-char #x7360 ?$(HR#(B) ; C02-H-5223
(ucs-set-char #x7360 ?$Ab2(B) ; GB0-A-6232
(ucs-set-char #x7361 ?$(HR&(B) ; C02-H-5226
(ucs-set-char #x7362 ?$(HR)(B) ; C02-H-5229
(ucs-set-char #x7363 ?$@=C(B) ; J78-@-3D43
(ucs-set-char #x7363 ?$B=C(B) ; J83-B-3D43
(ucs-set-char #x7365 ?$(HXK(B) ; C02-H-584B
(ucs-set-char #x7366 ?$(DKB(B) ; J90-D-4B42
(ucs-set-char #x7366 ?$(HXH(B) ; C02-H-5848
(ucs-set-char #x7367 ?$(DKC(B) ; J90-D-4B43
(ucs-set-char #x7367 ?$(HXI(B) ; C02-H-5849
(ucs-set-char #x7368 ?$(CT<(B) ; KS0-C-543C
(ucs-set-char #x7368 ?$(GqA(B) ; C01-G-7141
(ucs-set-char #x7368 ?$@`W(B) ; J78-@-6057
(ucs-set-char #x7368 ?$B`W(B) ; J83-B-6057
(ucs-set-char #x7369 ?$(DKD(B) ; J90-D-4B44
(ucs-set-char #x7369 ?$(HXG(B) ; C02-H-5847
(ucs-set-char #x736A ?$(C|j(B) ; KS0-C-7C6A
(ucs-set-char #x736A ?$(HXM(B) ; C02-H-584D
(ucs-set-char #x736A ?$@`V(B) ; J78-@-6056
(ucs-set-char #x736A ?$B`V(B) ; J83-B-6056
(ucs-set-char #x736B ?$(DKE(B) ; J90-D-4B45
(ucs-set-char #x736B ?$(HXL(B) ; C02-H-584C
(ucs-set-char #x736C ?$(DKF(B) ; J90-D-4B46
(ucs-set-char #x736C ?$(HXJ(B) ; C02-H-584A
(ucs-set-char #x736C ?$Ab3(B) ; GB0-A-6233
(ucs-set-char #x736D ?$AL!(B) ; GB0-A-4C21
(ucs-set-char #x736E ?$(DKG(B) ; J90-D-4B47
(ucs-set-char #x736E ?$(H]P(B) ; C02-H-5D50
(ucs-set-char #x736F ?$(DKH(B) ; J90-D-4B48
(ucs-set-char #x736F ?$(H]Q(B) ; C02-H-5D51
(ucs-set-char #x736F ?$Ab4(B) ; GB0-A-6234
(ucs-set-char #x7370 ?$(Cg>(B) ; KS0-C-673E
(ucs-set-char #x7370 ?$(Gt<(B) ; C01-G-743C
(ucs-set-char #x7370 ?$@`X(B) ; J78-@-6058
(ucs-set-char #x7370 ?$B`X(B) ; J83-B-6058
(ucs-set-char #x7371 ?$(DKI(B) ; J90-D-4B49
(ucs-set-char #x7371 ?$(IUI(B) ; C03-I-5549
(ucs-set-char #x7372 ?$(C|r(B) ; KS0-C-7C72
(ucs-set-char #x7372 ?$(Gt=(B) ; C01-G-743D
(ucs-set-char #x7372 ?$@3M(B) ; J78-@-334D
(ucs-set-char #x7372 ?$B3M(B) ; J83-B-334D
(ucs-set-char #x7373 ?$(H]O(B) ; C02-H-5D4F
(ucs-set-char #x7374 ?$(JVl(B) ; C04-J-566C
(ucs-set-char #x7375 ?$(CV4(B) ; KS0-C-5634
(ucs-set-char #x7375 ?$(Gve(B) ; C01-G-7665
(ucs-set-char #x7375 ?$@`Z(B) ; J78-@-605A
(ucs-set-char #x7375 ?$B`Z(B) ; J83-B-605A
(ucs-set-char #x7376 ?$(Hb,(B) ; C02-H-622C
(ucs-set-char #x7377 ?$(DKJ(B) ; J90-D-4B4A
(ucs-set-char #x7377 ?$(Gvd(B) ; C01-G-7664
(ucs-set-char #x7378 ?$(Cb.(B) ; KS0-C-622E
(ucs-set-char #x7378 ?$(GxK(B) ; C01-G-784B
(ucs-set-char #x7378 ?$@`Y(B) ; J78-@-6059
(ucs-set-char #x7378 ?$B`Y(B) ; J83-B-6059
(ucs-set-char #x7379 ?$(DKK(B) ; J90-D-4B4B
(ucs-set-char #x7379 ?$(J`%(B) ; C04-J-6025
(ucs-set-char #x737A ?$(CS7(B) ; KS0-C-5337
(ucs-set-char #x737A ?$(GxL(B) ; C01-G-784C
(ucs-set-char #x737A ?$@`\(B) ; J78-@-605C
(ucs-set-char #x737A ?$B`\(B) ; J83-B-605C
(ucs-set-char #x737B ?$(CzL(B) ; KS0-C-7A4C
(ucs-set-char #x737B ?$(Gyx(B) ; C01-G-7978
(ucs-set-char #x737B ?$@`[(B) ; J78-@-605B
(ucs-set-char #x737B ?$B`[(B) ; J83-B-605B
(ucs-set-char #x737C ?$(DKL(B) ; J90-D-4B4C
(ucs-set-char #x737C ?$(Hi=(B) ; C02-H-693D
(ucs-set-char #x737D ?$(Hi<(B) ; C02-H-693C
(ucs-set-char #x737E ?$(Hkk(B) ; C02-H-6B6B
(ucs-set-char #x737E ?$Ab5(B) ; GB0-A-6235
(ucs-set-char #x737F ?$(Hm](B) ; C02-H-6D5D
(ucs-set-char #x7380 ?$(DKM(B) ; J90-D-4B4D
(ucs-set-char #x7380 ?$(G{f(B) ; C01-G-7B66
(ucs-set-char #x7381 ?$(DKN(B) ; J90-D-4B4E
(ucs-set-char #x7381 ?$(Ho7(B) ; C02-H-6F37
(ucs-set-char #x7382 ?$(Ho6(B) ; C02-H-6F36
(ucs-set-char #x7383 ?$(DKO(B) ; J90-D-4B4F
(ucs-set-char #x7383 ?$(Ho8(B) ; C02-H-6F38

(ucs-set-char #x7384 ?$AP~(B) ; GB0-A-507E
(ucs-set-char #x7384 ?$(Cz\(B) ; KS0-C-7A5C
(ucs-set-char #x7384 ?$(GFh(B) ; C01-G-4668
(ucs-set-char #x7384 ?$@8<(B) ; J78-@-383C
(ucs-set-char #x7384 ?$B8<(B) ; J83-B-383C

(ucs-set-char #x7385 ?$(DKP(B) ; J90-D-4B50
(ucs-set-char #x7385 ?$(H,((B) ; C02-H-2C28
(ucs-set-char #x7386 ?$(Cm5(B) ; KS0-C-6D35
(ucs-set-char #x7386 ?$(DKQ(B) ; J90-D-4B51
(ucs-set-char #x7386 ?$(GV\(B) ; C01-G-565C
(ucs-set-char #x7387 ?$(Cac(B) ; KS0-C-6163
(ucs-set-char #x7387 ?$(G[{(B) ; C01-G-5B7B
(ucs-set-char #x7387 ?$@N((B) ; J78-@-4E28
(ucs-set-char #x7387 ?$ABJ(B) ; GB0-A-424A
(ucs-set-char #x7387 ?$BN((B) ; J83-B-4E28
(ucs-set-char #x7388 ?$(H7/(B) ; C02-H-372F
(ucs-set-char #x7389 ?$(Ch,(B) ; KS0-C-682C
(ucs-set-char #x7389 ?$(GFi(B) ; C01-G-4669
(ucs-set-char #x7389 ?$@6L(B) ; J78-@-364C
(ucs-set-char #x7389 ?$ASq(B) ; GB0-A-5371
(ucs-set-char #x7389 ?$B6L(B) ; J83-B-364C
(ucs-set-char #x738A ?$(H!f(B) ; C02-H-2166
(ucs-set-char #x738B ?$(Ch](B) ; KS0-C-685D
(ucs-set-char #x738B ?$(GE^(B) ; C01-G-455E
(ucs-set-char #x738B ?$@2&(B) ; J78-@-3226
(ucs-set-char #x738B ?$AMu(B) ; GB0-A-4D75
(ucs-set-char #x738B ?$B2&(B) ; J83-B-3226
(ucs-set-char #x738C ?$(I"Z(B) ; C03-I-225A
(ucs-set-char #x738D ?$(I!k(B) ; C03-I-216B
(ucs-set-char #x738E ?$(Coi(B) ; KS0-C-6F69
(ucs-set-char #x738E ?$(DKR(B) ; J90-D-4B52
(ucs-set-char #x738E ?$(H"e(B) ; C02-H-2265
(ucs-set-char #x738E ?$Ag`(B) ; GB0-A-6760
(ucs-set-char #x738F ?$(I$/(B) ; C03-I-242F
(ucs-set-char #x7390 ?$(DKS(B) ; J90-D-4B53
(ucs-set-char #x7390 ?$(J#*(B) ; C04-J-232A
(ucs-set-char #x7391 ?$Aga(B) ; GB0-A-6761
(ucs-set-char #x7392 ?$(H$l(B) ; C02-H-246C
(ucs-set-char #x7393 ?$(DKT(B) ; J90-D-4B54
(ucs-set-char #x7393 ?$(H$j(B) ; C02-H-246A
(ucs-set-char #x7394 ?$(Ct=(B) ; KS0-C-743D
(ucs-set-char #x7394 ?$(H$k(B) ; C02-H-246B
(ucs-set-char #x7395 ?$(DKU(B) ; J90-D-4B55
(ucs-set-char #x7395 ?$(H$h(B) ; C02-H-2468
(ucs-set-char #x7396 ?$(CO8(B) ; KS0-C-4F38
(ucs-set-char #x7396 ?$(GK+(B) ; C01-G-4B2B
(ucs-set-char #x7396 ?$@6j(B) ; J78-@-366A
(ucs-set-char #x7396 ?$A>A(B) ; GB0-A-3E41
(ucs-set-char #x7396 ?$B6j(B) ; J83-B-366A
(ucs-set-char #x7397 ?$(Ci[(B) ; KS0-C-695B
(ucs-set-char #x7397 ?$(DKV(B) ; J90-D-4B56
(ucs-set-char #x7397 ?$(H$i(B) ; C02-H-2469
(ucs-set-char #x7398 ?$(CQ,(B) ; KS0-C-512C
(ucs-set-char #x7398 ?$(DKW(B) ; J90-D-4B57
(ucs-set-char #x7398 ?$(I&n(B) ; C03-I-266E
(ucs-set-char #x739B ?$ABj(B) ; GB0-A-426A
(ucs-set-char #x739C ?$(DKX(B) ; J90-D-4B58
(ucs-set-char #x739C ?$(I*3(B) ; C03-I-2A33
(ucs-set-char #x739D ?$(H(/(B) ; C02-H-282F
(ucs-set-char #x739E ?$(DKY(B) ; J90-D-4B59
(ucs-set-char #x739E ?$(I*-(B) ; C03-I-2A2D
(ucs-set-char #x739F ?$(CZG(B) ; KS0-C-5A47
(ucs-set-char #x739F ?$(DKZ(B) ; J90-D-4B5A
(ucs-set-char #x739F ?$(GNt(B) ; C01-G-4E74
(ucs-set-char #x739F ?$Agd(B) ; GB0-A-6764
(ucs-set-char #x73A0 ?$(DK[(B) ; J90-D-4B5B
(ucs-set-char #x73A0 ?$(H(-(B) ; C02-H-282D
(ucs-set-char #x73A1 ?$(H()(B) ; C02-H-2829
(ucs-set-char #x73A2 ?$(DK\(B) ; J90-D-4B5C
(ucs-set-char #x73A2 ?$(H(,(B) ; C02-H-282C
(ucs-set-char #x73A2 ?$Agc(B) ; GB0-A-6763
(ucs-set-char #x73A3 ?$(I*,(B) ; C03-I-2A2C
(ucs-set-char #x73A4 ?$(H(((B) ; C02-H-2828
(ucs-set-char #x73A5 ?$(DK](B) ; J90-D-4B5D
(ucs-set-char #x73A5 ?$(GNv(B) ; C01-G-4E76
(ucs-set-char #x73A6 ?$(DK^(B) ; J90-D-4B5E
(ucs-set-char #x73A6 ?$(H(+(B) ; C02-H-282B
(ucs-set-char #x73A7 ?$(CkI(B) ; KS0-C-6B49
(ucs-set-char #x73A7 ?$(I*+(B) ; C03-I-2A2B
(ucs-set-char #x73A8 ?$(GNs(B) ; C01-G-4E73
(ucs-set-char #x73A9 ?$(ChL(B) ; KS0-C-684C
(ucs-set-char #x73A9 ?$(GNr(B) ; C01-G-4E72
(ucs-set-char #x73A9 ?$@4a(B) ; J78-@-3461
(ucs-set-char #x73A9 ?$AMf(B) ; GB0-A-4D66
(ucs-set-char #x73A9 ?$B4a(B) ; J83-B-3461
(ucs-set-char #x73AA ?$(DK_(B) ; J90-D-4B5F
(ucs-set-char #x73AA ?$(I*2(B) ; C03-I-2A32
(ucs-set-char #x73AB ?$(DK`(B) ; J90-D-4B60
(ucs-set-char #x73AB ?$(GNu(B) ; C01-G-4E75
(ucs-set-char #x73AB ?$AC5(B) ; GB0-A-4335
(ucs-set-char #x73AC ?$(H(.(B) ; C02-H-282E
(ucs-set-char #x73AD ?$(C^7(B) ; KS0-C-5E37
(ucs-set-char #x73AD ?$(DKa(B) ; J90-D-4B61
(ucs-set-char #x73AD ?$(H(*(B) ; C02-H-282A
(ucs-set-char #x73AE ?$Agb(B) ; GB0-A-6762
(ucs-set-char #x73AF ?$(I*/(B) ; C03-I-2A2F
(ucs-set-char #x73AF ?$A;7(B) ; GB0-A-3B37
(ucs-set-char #x73B0 ?$AOV(B) ; GB0-A-4F56
(ucs-set-char #x73B2 ?$(CV<(B) ; KS0-C-563C
(ucs-set-char #x73B2 ?$(GRE(B) ; C01-G-5245
(ucs-set-char #x73B2 ?$@Nh(B) ; J78-@-4E68
(ucs-set-char #x73B2 ?$AAa(B) ; GB0-A-4161
(ucs-set-char #x73B2 ?$BNh(B) ; J83-B-4E68
(ucs-set-char #x73B3 ?$(CSe(B) ; KS0-C-5365
(ucs-set-char #x73B3 ?$(GRH(B) ; C01-G-5248
(ucs-set-char #x73B3 ?$@`^(B) ; J78-@-605E
(ucs-set-char #x73B3 ?$Agi(B) ; GB0-A-6769
(ucs-set-char #x73B3 ?$B`^(B) ; J83-B-605E
(ucs-set-char #x73B4 ?$(H,0(B) ; C02-H-2C30
(ucs-set-char #x73B5 ?$(DKb(B) ; J90-D-4B62
(ucs-set-char #x73B5 ?$(H,/(B) ; C02-H-2C2F
(ucs-set-char #x73B6 ?$(H,.(B) ; C02-H-2C2E
(ucs-set-char #x73B7 ?$(DKc(B) ; J90-D-4B63
(ucs-set-char #x73B7 ?$(GRB(B) ; C01-G-5242
(ucs-set-char #x73B7 ?$Agh(B) ; GB0-A-6768
(ucs-set-char #x73B8 ?$(H,7(B) ; C02-H-2C37
(ucs-set-char #x73B9 ?$(Cz](B) ; KS0-C-7A5D
(ucs-set-char #x73B9 ?$(DKd(B) ; J90-D-4B64
(ucs-set-char #x73B9 ?$(H,-(B) ; C02-H-2C2D
(ucs-set-char #x73BA ?$(J.*(B) ; C04-J-2E2A
(ucs-set-char #x73BA ?$Agt(B) ; GB0-A-6774
(ucs-set-char #x73BB ?$(GRD(B) ; C01-G-5244
(ucs-set-char #x73BB ?$@``(B) ; J78-@-6060
(ucs-set-char #x73BB ?$A2#(B) ; GB0-A-3223
(ucs-set-char #x73BB ?$B``(B) ; J83-B-6060
(ucs-set-char #x73BC ?$(DKe(B) ; J90-D-4B65
(ucs-set-char #x73BC ?$(H0p(B) ; C02-H-3070
(ucs-set-char #x73BD ?$(DKf(B) ; J90-D-4B66
(ucs-set-char #x73BD ?$(I-x(B) ; C03-I-2D78
(ucs-set-char #x73BE ?$(H,4(B) ; C02-H-2C34
(ucs-set-char #x73BF ?$(DKg(B) ; J90-D-4B67
(ucs-set-char #x73BF ?$(H,2(B) ; C02-H-2C32
(ucs-set-char #x73C0 ?$(CZV(B) ; KS0-C-5A56
(ucs-set-char #x73C0 ?$(GRG(B) ; C01-G-5247
(ucs-set-char #x73C0 ?$@`a(B) ; J78-@-6061
(ucs-set-char #x73C0 ?$Agj(B) ; GB0-A-676A
(ucs-set-char #x73C0 ?$B`a(B) ; J83-B-6061
(ucs-set-char #x73C1 ?$(I-{(B) ; C03-I-2D7B
(ucs-set-char #x73C2 ?$(CJ1(B) ; KS0-C-4A31
(ucs-set-char #x73C2 ?$(H,*(B) ; C02-H-2C2A
(ucs-set-char #x73C2 ?$@2Q(B) ; J78-@-3251
(ucs-set-char #x73C2 ?$Agf(B) ; GB0-A-6766
(ucs-set-char #x73C2 ?$B2Q(B) ; J83-B-3251
(ucs-set-char #x73C3 ?$(H,5(B) ; C02-H-2C35
(ucs-set-char #x73C4 ?$(I-w(B) ; C03-I-2D77
(ucs-set-char #x73C5 ?$(DKh(B) ; J90-D-4B68
(ucs-set-char #x73C5 ?$(H,,(B) ; C02-H-2C2C
(ucs-set-char #x73C6 ?$(DKi(B) ; J90-D-4B69
(ucs-set-char #x73C6 ?$(H,6(B) ; C02-H-2C36
(ucs-set-char #x73C7 ?$(H,3(B) ; C02-H-2C33
(ucs-set-char #x73C8 ?$(H,+(B) ; C02-H-2C2B
(ucs-set-char #x73C8 ?$@`](B) ; J78-@-605D
(ucs-set-char #x73C8 ?$Agl(B) ; GB0-A-676C
(ucs-set-char #x73C8 ?$B`](B) ; J83-B-605D
(ucs-set-char #x73C9 ?$(CZH(B) ; KS0-C-5A48
(ucs-set-char #x73C9 ?$(DKj(B) ; J90-D-4B6A
(ucs-set-char #x73C9 ?$(I-z(B) ; C03-I-2D7A
(ucs-set-char #x73C9 ?$Agk(B) ; GB0-A-676B
(ucs-set-char #x73CA ?$(C_&(B) ; KS0-C-5F26
(ucs-set-char #x73CA ?$(GRC(B) ; C01-G-5243
(ucs-set-char #x73CA ?$@;9(B) ; J78-@-3B39
(ucs-set-char #x73CA ?$AI:(B) ; GB0-A-493A
(ucs-set-char #x73CA ?$B;9(B) ; J83-B-3B39
(ucs-set-char #x73CB ?$(DKk(B) ; J90-D-4B6B
(ucs-set-char #x73CB ?$(H,8(B) ; C02-H-2C38
(ucs-set-char #x73CC ?$(Cy3(B) ; KS0-C-7933
(ucs-set-char #x73CC ?$(DKl(B) ; J90-D-4B6C
(ucs-set-char #x73CC ?$(H,)(B) ; C02-H-2C29
(ucs-set-char #x73CD ?$(CrR(B) ; KS0-C-7252
(ucs-set-char #x73CD ?$(GRF(B) ; C01-G-5246
(ucs-set-char #x73CD ?$@DA(B) ; J78-@-4441
(ucs-set-char #x73CD ?$AUd(B) ; GB0-A-5564
(ucs-set-char #x73CD ?$BDA(B) ; J83-B-4441
(ucs-set-char #x73CE ?$(I-~(B) ; C03-I-2D7E
(ucs-set-char #x73CE ?$@`_(B) ; J78-@-605F
(ucs-set-char #x73CE ?$B`_(B) ; J83-B-605F
(ucs-set-char #x73CF ?$(CJD(B) ; KS0-C-4A44
(ucs-set-char #x73CF ?$(DKm(B) ; J90-D-4B6D
(ucs-set-char #x73CF ?$(I-y(B) ; C03-I-2D79
(ucs-set-char #x73CF ?$Age(B) ; GB0-A-6765
(ucs-set-char #x73D0 ?$(I-|(B) ; C03-I-2D7C
(ucs-set-char #x73D0 ?$A7)(B) ; GB0-A-3729
(ucs-set-char #x73D1 ?$Agg(B) ; GB0-A-6767
(ucs-set-char #x73D2 ?$(DKn(B) ; J90-D-4B6E
(ucs-set-char #x73D2 ?$(H0u(B) ; C02-H-3075
(ucs-set-char #x73D3 ?$(DKo(B) ; J90-D-4B6F
(ucs-set-char #x73D3 ?$(H0l(B) ; C02-H-306C
(ucs-set-char #x73D4 ?$(H0w(B) ; C02-H-3077
(ucs-set-char #x73D5 ?$(I2>(B) ; C03-I-323E
(ucs-set-char #x73D6 ?$(CNK(B) ; KS0-C-4E4B
(ucs-set-char #x73D6 ?$(DKp(B) ; J90-D-4B70
(ucs-set-char #x73D6 ?$(H0o(B) ; C02-H-306F
(ucs-set-char #x73D7 ?$(H0z(B) ; C02-H-307A
(ucs-set-char #x73D8 ?$(H0{(B) ; C02-H-307B
(ucs-set-char #x73D9 ?$(CMu(B) ; KS0-C-4D75
(ucs-set-char #x73D9 ?$(DKq(B) ; J90-D-4B71
(ucs-set-char #x73D9 ?$(H0m(B) ; C02-H-306D
(ucs-set-char #x73D9 ?$Agn(B) ; GB0-A-676E
(ucs-set-char #x73DA ?$(H0y(B) ; C02-H-3079
(ucs-set-char #x73DB ?$(H0v(B) ; C02-H-3076
(ucs-set-char #x73DC ?$(H0t(B) ; C02-H-3074
(ucs-set-char #x73DD ?$(C}0(B) ; KS0-C-7D30
(ucs-set-char #x73DD ?$(DKr(B) ; J90-D-4B72
(ucs-set-char #x73DD ?$(H0x(B) ; C02-H-3078
(ucs-set-char #x73DE ?$(CU((B) ; KS0-C-5528
(ucs-set-char #x73DE ?$(GVb(B) ; C01-G-5662
(ucs-set-char #x73DE ?$@`d(B) ; J78-@-6064
(ucs-set-char #x73DE ?$Ags(B) ; GB0-A-6773
(ucs-set-char #x73DE ?$B`d(B) ; J83-B-6064
(ucs-set-char #x73DF ?$(I2@(B) ; C03-I-3240
(ucs-set-char #x73E0 ?$(CqA(B) ; KS0-C-7141
(ucs-set-char #x73E0 ?$(GV`(B) ; C01-G-5660
(ucs-set-char #x73E0 ?$@<n(B) ; J78-@-3C6E
(ucs-set-char #x73E0 ?$AVi(B) ; GB0-A-5669
(ucs-set-char #x73E0 ?$B<n(B) ; J83-B-3C6E
(ucs-set-char #x73E1 ?$(DKs(B) ; J90-D-4B73
(ucs-set-char #x73E1 ?$(I2G(B) ; C03-I-3247
(ucs-set-char #x73E2 ?$(I2<(B) ; C03-I-323C
(ucs-set-char #x73E3 ?$(Cbi(B) ; KS0-C-6269
(ucs-set-char #x73E3 ?$(DKt(B) ; J90-D-4B74
(ucs-set-char #x73E3 ?$(H0r(B) ; C02-H-3072
(ucs-set-char #x73E4 ?$(C\J(B) ; KS0-C-5C4A
(ucs-set-char #x73E4 ?$(I2F(B) ; C03-I-3246
(ucs-set-char #x73E5 ?$(Cl4(B) ; KS0-C-6C34
(ucs-set-char #x73E5 ?$(H0n(B) ; C02-H-306E
(ucs-set-char #x73E5 ?$@`b(B) ; J78-@-6062
(ucs-set-char #x73E5 ?$Agm(B) ; GB0-A-676D
(ucs-set-char #x73E5 ?$B`b(B) ; J83-B-6062
(ucs-set-char #x73E6 ?$(Cz@(B) ; KS0-C-7A40
(ucs-set-char #x73E6 ?$(DKu(B) ; J90-D-4B75
(ucs-set-char #x73E6 ?$(I2A(B) ; C03-I-3241
(ucs-set-char #x73E7 ?$(DKv(B) ; J90-D-4B76
(ucs-set-char #x73E7 ?$(H0q(B) ; C02-H-3071
(ucs-set-char #x73E7 ?$Agr(B) ; GB0-A-6772
(ucs-set-char #x73E8 ?$(H0|(B) ; C02-H-307C
(ucs-set-char #x73E9 ?$(C{((B) ; KS0-C-7B28
(ucs-set-char #x73E9 ?$(DKw(B) ; J90-D-4B77
(ucs-set-char #x73E9 ?$(H0s(B) ; C02-H-3073
(ucs-set-char #x73E9 ?$Agq(B) ; GB0-A-6771
(ucs-set-char #x73EA ?$(CP((B) ; KS0-C-5028
(ucs-set-char #x73EA ?$(GVa(B) ; C01-G-5661
(ucs-set-char #x73EA ?$@7>(B) ; J78-@-373E
(ucs-set-char #x73EA ?$B7>(B) ; J83-B-373E
(ucs-set-char #x73EB ?$(H,1(B) ; C02-H-2C31
(ucs-set-char #x73EC ?$(I2=(B) ; C03-I-323D
(ucs-set-char #x73ED ?$(CZl(B) ; KS0-C-5A6C
(ucs-set-char #x73ED ?$(GV](B) ; C01-G-565D
(ucs-set-char #x73ED ?$@HI(B) ; J78-@-4849
(ucs-set-char #x73ED ?$A0`(B) ; GB0-A-3060
(ucs-set-char #x73ED ?$BHI(B) ; J83-B-4849
(ucs-set-char #x73EE ?$(GV_(B) ; C01-G-565F
(ucs-set-char #x73EE ?$@`c(B) ; J78-@-6063
(ucs-set-char #x73EE ?$B`c(B) ; J83-B-6063
(ucs-set-char #x73F1 ?$@`~(B) ; J78-@-607E
(ucs-set-char #x73F1 ?$B`~(B) ; J83-B-607E
(ucs-set-char #x73F2 ?$Agu(B) ; GB0-A-6775
(ucs-set-char #x73F3 ?$(I7=(B) ; C03-I-373D
(ucs-set-char #x73F4 ?$(DKx(B) ; J90-D-4B78
(ucs-set-char #x73F4 ?$(H7=(B) ; C02-H-373D
(ucs-set-char #x73F5 ?$(DKy(B) ; J90-D-4B79
(ucs-set-char #x73F5 ?$(H72(B) ; C02-H-3732
(ucs-set-char #x73F6 ?$(H70(B) ; C02-H-3730
(ucs-set-char #x73F7 ?$(CYn(B) ; KS0-C-596E
(ucs-set-char #x73F7 ?$(DKz(B) ; J90-D-4B7A
(ucs-set-char #x73F7 ?$(I=8(B) ; C03-I-3D38
(ucs-set-char #x73F8 ?$(H71(B) ; C02-H-3731
(ucs-set-char #x73F8 ?$@`i(B) ; J78-@-6069
(ucs-set-char #x73F8 ?$B`i(B) ; J83-B-6069
(ucs-set-char #x73F9 ?$(C`{(B) ; KS0-C-607B
(ucs-set-char #x73F9 ?$(DK{(B) ; J90-D-4B7B
(ucs-set-char #x73F9 ?$(I2?(B) ; C03-I-323F
(ucs-set-char #x73FA ?$(DK|(B) ; J90-D-4B7C
(ucs-set-char #x73FA ?$(H78(B) ; C02-H-3738
(ucs-set-char #x73FB ?$(DK}(B) ; J90-D-4B7D
(ucs-set-char #x73FB ?$(I7@(B) ; C03-I-3740
(ucs-set-char #x73FC ?$(H79(B) ; C02-H-3739
(ucs-set-char #x73FD ?$(Coj(B) ; KS0-C-6F6A
(ucs-set-char #x73FD ?$(DK~(B) ; J90-D-4B7E
(ucs-set-char #x73FD ?$(H75(B) ; C02-H-3735
(ucs-set-char #x73FE ?$(Cz^(B) ; KS0-C-7A5E
(ucs-set-char #x73FE ?$(G\"(B) ; C01-G-5C22
(ucs-set-char #x73FE ?$@8=(B) ; J78-@-383D
(ucs-set-char #x73FE ?$B8=(B) ; J83-B-383D
(ucs-set-char #x73FF ?$(DL!(B) ; J90-D-4C21
(ucs-set-char #x73FF ?$(H7:(B) ; C02-H-373A
(ucs-set-char #x7400 ?$(DL"(B) ; J90-D-4C22
(ucs-set-char #x7400 ?$(H77(B) ; C02-H-3737
(ucs-set-char #x7401 ?$(C`D(B) ; KS0-C-6044
(ucs-set-char #x7401 ?$(DL#(B) ; J90-D-4C23
(ucs-set-char #x7401 ?$(H74(B) ; C02-H-3734
(ucs-set-char #x7402 ?$(I7<(B) ; C03-I-373C
(ucs-set-char #x7403 ?$(CO9(B) ; KS0-C-4F39
(ucs-set-char #x7403 ?$(G[~(B) ; C01-G-5B7E
(ucs-set-char #x7403 ?$@5e(B) ; J78-@-3565
(ucs-set-char #x7403 ?$AGr(B) ; GB0-A-4772
(ucs-set-char #x7403 ?$B5e(B) ; J83-B-3565
(ucs-set-char #x7404 ?$(DL$(B) ; J90-D-4C24
(ucs-set-char #x7404 ?$(H73(B) ; C02-H-3733
(ucs-set-char #x7405 ?$(CUJ(B) ; KS0-C-554A
(ucs-set-char #x7405 ?$(G[|(B) ; C01-G-5B7C
(ucs-set-char #x7405 ?$@`f(B) ; J78-@-6066
(ucs-set-char #x7405 ?$A@E(B) ; GB0-A-4045
(ucs-set-char #x7405 ?$B`f(B) ; J83-B-6066
(ucs-set-char #x7406 ?$(CWb(B) ; KS0-C-5762
(ucs-set-char #x7406 ?$(G\!(B) ; C01-G-5C21
(ucs-set-char #x7406 ?$@M}(B) ; J78-@-4D7D
(ucs-set-char #x7406 ?$A@m(B) ; GB0-A-406D
(ucs-set-char #x7406 ?$BM}(B) ; J83-B-4D7D
(ucs-set-char #x7407 ?$(Cb/(B) ; KS0-C-622F
(ucs-set-char #x7407 ?$(DL%(B) ; J90-D-4C25
(ucs-set-char #x7407 ?$(H76(B) ; C02-H-3736
(ucs-set-char #x7408 ?$(H7>(B) ; C02-H-373E
(ucs-set-char #x7409 ?$(CW8(B) ; KS0-C-5738
(ucs-set-char #x7409 ?$(GV^(B) ; C01-G-565E
(ucs-set-char #x7409 ?$@N0(B) ; J78-@-4E30
(ucs-set-char #x7409 ?$AAp(B) ; GB0-A-4170
(ucs-set-char #x7409 ?$BN0(B) ; J83-B-4E30
(ucs-set-char #x740A ?$(DL&(B) ; J90-D-4C26
(ucs-set-char #x740A ?$(G[}(B) ; C01-G-5B7D
(ucs-set-char #x740A ?$Agp(B) ; GB0-A-6770
(ucs-set-char #x740B ?$(H7<(B) ; C02-H-373C
(ucs-set-char #x740C ?$(H7;(B) ; C02-H-373B
(ucs-set-char #x740D ?$(G\#(B) ; C01-G-5C23
(ucs-set-char #x740F ?$Agv(B) ; GB0-A-6776
(ucs-set-char #x7410 ?$AKv(B) ; GB0-A-4B76
(ucs-set-char #x7411 ?$(DL'(B) ; J90-D-4C27
(ucs-set-char #x7413 ?$(ChM(B) ; KS0-C-684D
(ucs-set-char #x7414 ?$(I=6(B) ; C03-I-3D36
(ucs-set-char #x7415 ?$(I=:(B) ; C03-I-3D3A
(ucs-set-char #x7416 ?$(H>$(B) ; C02-H-3E24
(ucs-set-char #x7417 ?$(I=/(B) ; C03-I-3D2F
(ucs-set-char #x7418 ?$(I=;(B) ; C03-I-3D3B
(ucs-set-char #x7419 ?$(I=2(B) ; C03-I-3D32
(ucs-set-char #x741A ?$(DL((B) ; J90-D-4C28
(ucs-set-char #x741A ?$(H>%(B) ; C02-H-3E25
(ucs-set-char #x741A ?$Ah"(B) ; GB0-A-6822
(ucs-set-char #x741B ?$(CvZ(B) ; KS0-C-765A
(ucs-set-char #x741B ?$(DL)(B) ; J90-D-4C29
(ucs-set-char #x741B ?$(G`f(B) ; C01-G-6066
(ucs-set-char #x741B ?$Ah!(B) ; GB0-A-6821
(ucs-set-char #x741C ?$(I=9(B) ; C03-I-3D39
(ucs-set-char #x741D ?$(H>+(B) ; C02-H-3E2B
(ucs-set-char #x741E ?$(IBm(B) ; C03-I-426D
(ucs-set-char #x741F ?$(I=5(B) ; C03-I-3D35
(ucs-set-char #x7420 ?$(Co"(B) ; KS0-C-6F22
(ucs-set-char #x7420 ?$(H>-(B) ; C02-H-3E2D
(ucs-set-char #x7421 ?$(CbZ(B) ; KS0-C-625A
(ucs-set-char #x7421 ?$(H>&(B) ; C02-H-3E26
(ucs-set-char #x7422 ?$(Cv|(B) ; KS0-C-767C
(ucs-set-char #x7422 ?$(G``(B) ; C01-G-6060
(ucs-set-char #x7422 ?$@Bv(B) ; J78-@-4276
(ucs-set-char #x7422 ?$AWA(B) ; GB0-A-5741
(ucs-set-char #x7422 ?$BBv(B) ; J83-B-4276
(ucs-set-char #x7423 ?$(H>*(B) ; C02-H-3E2A
(ucs-set-char #x7424 ?$(DL*(B) ; J90-D-4C2A
(ucs-set-char #x7424 ?$(H>)(B) ; C02-H-3E29
(ucs-set-char #x7425 ?$(C{P(B) ; KS0-C-7B50
(ucs-set-char #x7425 ?$(G`a(B) ; C01-G-6061
(ucs-set-char #x7425 ?$@`h(B) ; J78-@-6068
(ucs-set-char #x7425 ?$Agz(B) ; GB0-A-677A
(ucs-set-char #x7425 ?$B`h(B) ; J83-B-6068
(ucs-set-char #x7426 ?$(CQ-(B) ; KS0-C-512D
(ucs-set-char #x7426 ?$(DL+(B) ; J90-D-4C2B
(ucs-set-char #x7426 ?$(G`g(B) ; C01-G-6067
(ucs-set-char #x7426 ?$Agy(B) ; GB0-A-6779
(ucs-set-char #x7427 ?$(IBd(B) ; C03-I-4264
(ucs-set-char #x7428 ?$(CMd(B) ; KS0-C-4D64
(ucs-set-char #x7428 ?$(DL,(B) ; J90-D-4C2C
(ucs-set-char #x7428 ?$(G`h(B) ; C01-G-6068
(ucs-set-char #x7428 ?$Ag{(B) ; GB0-A-677B
(ucs-set-char #x7429 ?$(DL-(B) ; J90-D-4C2D
(ucs-set-char #x7429 ?$(H>,(B) ; C02-H-3E2C
(ucs-set-char #x742A ?$(CQ.(B) ; KS0-C-512E
(ucs-set-char #x742A ?$(DL.(B) ; J90-D-4C2E
(ucs-set-char #x742A ?$(G`^(B) ; C01-G-605E
(ucs-set-char #x742A ?$Agw(B) ; GB0-A-6777
(ucs-set-char #x742B ?$(C\m(B) ; KS0-C-5C6D
(ucs-set-char #x742B ?$(DL/(B) ; J90-D-4C2F
(ucs-set-char #x742B ?$(H>#(B) ; C02-H-3E23
(ucs-set-char #x742C ?$(ChN(B) ; KS0-C-684E
(ucs-set-char #x742C ?$(DL0(B) ; J90-D-4C30
(ucs-set-char #x742C ?$(H>!(B) ; C02-H-3E21
(ucs-set-char #x742C ?$Ag~(B) ; GB0-A-677E
(ucs-set-char #x742D ?$(DL1(B) ; J90-D-4C31
(ucs-set-char #x742D ?$(H>'(B) ; C02-H-3E27
(ucs-set-char #x742E ?$(Cpy(B) ; KS0-C-7079
(ucs-set-char #x742E ?$(DL2(B) ; J90-D-4C32
(ucs-set-char #x742E ?$(H=~(B) ; C02-H-3D7E
(ucs-set-char #x742E ?$Ag}(B) ; GB0-A-677D
(ucs-set-char #x742F ?$(CN5(B) ; KS0-C-4E35
(ucs-set-char #x742F ?$(DL3(B) ; J90-D-4C33
(ucs-set-char #x742F ?$(G`e(B) ; C01-G-6065
(ucs-set-char #x7430 ?$(Cf|(B) ; KS0-C-667C
(ucs-set-char #x7430 ?$(DL4(B) ; J90-D-4C34
(ucs-set-char #x7430 ?$(H>"(B) ; C02-H-3E22
(ucs-set-char #x7430 ?$Ag|(B) ; GB0-A-677C
(ucs-set-char #x7431 ?$(DL5(B) ; J90-D-4C35
(ucs-set-char #x7431 ?$(H>((B) ; C02-H-3E28
(ucs-set-char #x7432 ?$(H>.(B) ; C02-H-3E2E
(ucs-set-char #x7432 ?$@`j(B) ; J78-@-606A
(ucs-set-char #x7432 ?$B`j(B) ; J83-B-606A
(ucs-set-char #x7433 ?$(CW{(B) ; KS0-C-577B
(ucs-set-char #x7433 ?$(G`_(B) ; C01-G-605F
(ucs-set-char #x7433 ?$@NV(B) ; J78-@-4E56
(ucs-set-char #x7433 ?$AAU(B) ; GB0-A-4155
(ucs-set-char #x7433 ?$BNV(B) ; J83-B-4E56
(ucs-set-char #x7434 ?$(CPV(B) ; KS0-C-5056
(ucs-set-char #x7434 ?$(G`d(B) ; C01-G-6064
(ucs-set-char #x7434 ?$@6W(B) ; J78-@-3657
(ucs-set-char #x7434 ?$AGY(B) ; GB0-A-4759
(ucs-set-char #x7434 ?$B6W(B) ; J83-B-3657
(ucs-set-char #x7435 ?$(C]u(B) ; KS0-C-5D75
(ucs-set-char #x7435 ?$(G`b(B) ; C01-G-6062
(ucs-set-char #x7435 ?$@H|(B) ; J78-@-487C
(ucs-set-char #x7435 ?$AE}(B) ; GB0-A-457D
(ucs-set-char #x7435 ?$BH|(B) ; J83-B-487C
(ucs-set-char #x7436 ?$(Cwq(B) ; KS0-C-7771
(ucs-set-char #x7436 ?$(G`c(B) ; C01-G-6063
(ucs-set-char #x7436 ?$@GJ(B) ; J78-@-474A
(ucs-set-char #x7436 ?$AEC(B) ; GB0-A-4543
(ucs-set-char #x7436 ?$BGJ(B) ; J83-B-474A
(ucs-set-char #x7438 ?$(Cv}(B) ; KS0-C-767D
(ucs-set-char #x7438 ?$(I=3(B) ; C03-I-3D33
(ucs-set-char #x7439 ?$(DL6(B) ; J90-D-4C36
(ucs-set-char #x7439 ?$(I=<(B) ; C03-I-3D3C
(ucs-set-char #x743A ?$(C[w(B) ; KS0-C-5B77
(ucs-set-char #x743A ?$(G`](B) ; C01-G-605D
(ucs-set-char #x743A ?$@`k(B) ; J78-@-606B
(ucs-set-char #x743A ?$B`k(B) ; J83-B-606B
(ucs-set-char #x743C ?$(I=7(B) ; C03-I-3D37
(ucs-set-char #x743C ?$AGm(B) ; GB0-A-476D
(ucs-set-char #x743D ?$(IBh(B) ; C03-I-4268
(ucs-set-char #x743E ?$(IBu(B) ; C03-I-4275
(ucs-set-char #x743F ?$(C{j(B) ; KS0-C-7B6A
(ucs-set-char #x743F ?$(Ge1(B) ; C01-G-6531
(ucs-set-char #x743F ?$@`m(B) ; J78-@-606D
(ucs-set-char #x743F ?$B`m(B) ; J83-B-606D
(ucs-set-char #x7440 ?$(Ci\(B) ; KS0-C-695C
(ucs-set-char #x7440 ?$(DL7(B) ; J90-D-4C37
(ucs-set-char #x7440 ?$(HD{(B) ; C02-H-447B
(ucs-set-char #x7441 ?$(CYA(B) ; KS0-C-5941
(ucs-set-char #x7441 ?$(Ge0(B) ; C01-G-6530
(ucs-set-char #x7441 ?$@`p(B) ; J78-@-6070
(ucs-set-char #x7441 ?$Ah#(B) ; GB0-A-6823
(ucs-set-char #x7441 ?$B`p(B) ; J83-B-6070
(ucs-set-char #x7442 ?$(HE!(B) ; C02-H-4521
(ucs-set-char #x7443 ?$(Cur(B) ; KS0-C-7572
(ucs-set-char #x7443 ?$(DL8(B) ; J90-D-4C38
(ucs-set-char #x7443 ?$(IBo(B) ; C03-I-426F
(ucs-set-char #x7444 ?$(C`E(B) ; KS0-C-6045
(ucs-set-char #x7444 ?$(DL9(B) ; J90-D-4C39
(ucs-set-char #x7444 ?$(HDu(B) ; C02-H-4475
(ucs-set-char #x7445 ?$(IBt(B) ; C03-I-4274
(ucs-set-char #x7446 ?$(DL:(B) ; J90-D-4C3A
(ucs-set-char #x7446 ?$(HE"(B) ; C02-H-4522
(ucs-set-char #x7447 ?$(DL;(B) ; J90-D-4C3B
(ucs-set-char #x7447 ?$(IBn(B) ; C03-I-426E
(ucs-set-char #x7448 ?$(IBf(B) ; C03-I-4266
(ucs-set-char #x7449 ?$(IBq(B) ; C03-I-4271
(ucs-set-char #x744A ?$(HDv(B) ; C02-H-4476
(ucs-set-char #x744B ?$(CjT(B) ; KS0-C-6A54
(ucs-set-char #x744B ?$(DL<(B) ; J90-D-4C3C
(ucs-set-char #x744B ?$(HDw(B) ; C02-H-4477
(ucs-set-char #x744C ?$(IBs(B) ; C03-I-4273
(ucs-set-char #x744D ?$(DL=(B) ; J90-D-4C3D
(ucs-set-char #x744D ?$(HE#(B) ; C02-H-4523
(ucs-set-char #x744E ?$(HD~(B) ; C02-H-447E
(ucs-set-char #x744F ?$(HD|(B) ; C02-H-447C
(ucs-set-char #x7450 ?$(HD}(B) ; C02-H-447D
(ucs-set-char #x7451 ?$(DL>(B) ; J90-D-4C3E
(ucs-set-char #x7451 ?$(HDy(B) ; C02-H-4479
(ucs-set-char #x7452 ?$(DL?(B) ; J90-D-4C3F
(ucs-set-char #x7452 ?$(HDx(B) ; C02-H-4478
(ucs-set-char #x7453 ?$(IBg(B) ; C03-I-4267
(ucs-set-char #x7454 ?$(HE$(B) ; C02-H-4524
(ucs-set-char #x7455 ?$(CyB(B) ; KS0-C-7942
(ucs-set-char #x7455 ?$(Ge-(B) ; C01-G-652D
(ucs-set-char #x7455 ?$@`l(B) ; J78-@-606C
(ucs-set-char #x7455 ?$Ah&(B) ; GB0-A-6826
(ucs-set-char #x7455 ?$B`l(B) ; J83-B-606C
(ucs-set-char #x7456 ?$(IBk(B) ; C03-I-426B
(ucs-set-char #x7457 ?$(Cj<(B) ; KS0-C-6A3C
(ucs-set-char #x7457 ?$(DL@(B) ; J90-D-4C40
(ucs-set-char #x7457 ?$(HDz(B) ; C02-H-447A
(ucs-set-char #x7457 ?$Ah%(B) ; GB0-A-6825
(ucs-set-char #x7458 ?$(IBp(B) ; C03-I-4270
(ucs-set-char #x7459 ?$(CRE(B) ; KS0-C-5245
(ucs-set-char #x7459 ?$(Ge2(B) ; C01-G-6532
(ucs-set-char #x7459 ?$@`o(B) ; J78-@-606F
(ucs-set-char #x7459 ?$Ah'(B) ; GB0-A-6827
(ucs-set-char #x7459 ?$B`o(B) ; J83-B-606F
(ucs-set-char #x745A ?$(C{Q(B) ; KS0-C-7B51
(ucs-set-char #x745A ?$(Ge,(B) ; C01-G-652C
(ucs-set-char #x745A ?$@8j(B) ; J78-@-386A
(ucs-set-char #x745A ?$A:w(B) ; GB0-A-3A77
(ucs-set-char #x745A ?$B8j(B) ; J83-B-386A
(ucs-set-char #x745B ?$(Cg@(B) ; KS0-C-6740
(ucs-set-char #x745B ?$(Ge3(B) ; C01-G-6533
(ucs-set-char #x745B ?$@1M(B) ; J78-@-314D
(ucs-set-char #x745B ?$Agx(B) ; GB0-A-6778
(ucs-set-char #x745B ?$B1M(B) ; J83-B-314D
(ucs-set-char #x745C ?$(Ck%(B) ; KS0-C-6B25
(ucs-set-char #x745C ?$(Ge4(B) ; C01-G-6534
(ucs-set-char #x745C ?$@`q(B) ; J78-@-6071
(ucs-set-char #x745C ?$Ah$(B) ; GB0-A-6824
(ucs-set-char #x745C ?$B`q(B) ; J83-B-6071
(ucs-set-char #x745D ?$(DLA(B) ; J90-D-4C41
(ucs-set-char #x745D ?$(IBj(B) ; C03-I-426A
(ucs-set-char #x745E ?$(C_z(B) ; KS0-C-5F7A
(ucs-set-char #x745E ?$(Ge/(B) ; C01-G-652F
(ucs-set-char #x745E ?$@?p(B) ; J78-@-3F70
(ucs-set-char #x745E ?$AHp(B) ; GB0-A-4870
(ucs-set-char #x745E ?$B?p(B) ; J83-B-3F70
(ucs-set-char #x745F ?$(Cc"(B) ; KS0-C-6322
(ucs-set-char #x745F ?$(Ge.(B) ; C01-G-652E
(ucs-set-char #x745F ?$@`n(B) ; J78-@-606E
(ucs-set-char #x745F ?$AI*(B) ; GB0-A-492A
(ucs-set-char #x745F ?$B`n(B) ; J83-B-606E
(ucs-set-char #x7460 ?$(CW9(B) ; KS0-C-5739
(ucs-set-char #x7460 ?$(IH%(B) ; C03-I-4825
(ucs-set-char #x7460 ?$@N\(B) ; J78-@-4E5C
(ucs-set-char #x7460 ?$BN\(B) ; J83-B-4E5C
(ucs-set-char #x7461 ?$(IG~(B) ; C03-I-477E
(ucs-set-char #x7462 ?$(CiC(B) ; KS0-C-6943
(ucs-set-char #x7462 ?$(DLB(B) ; J90-D-4C42
(ucs-set-char #x7462 ?$(HKt(B) ; C02-H-4B74
(ucs-set-char #x7463 ?$(Gie(B) ; C01-G-6965
(ucs-set-char #x7463 ?$@`t(B) ; J78-@-6074
(ucs-set-char #x7463 ?$B`t(B) ; J83-B-6074
(ucs-set-char #x7464 ?$(Ch}(B) ; KS0-C-687D
(ucs-set-char #x7464 ?$(Gid(B) ; C01-G-6964
(ucs-set-char #x7464 ?$@`v(B) ; J78-@-6076
(ucs-set-char #x7464 ?$Bt$(B) ; J83-B-7424
(ucs-set-char #x7465 ?$(Ch/(B) ; KS0-C-682F
(ucs-set-char #x7465 ?$(IG|(B) ; C03-I-477C
(ucs-set-char #x7466 ?$(DLC(B) ; J90-D-4C43
(ucs-set-char #x7466 ?$(IG}(B) ; C03-I-477D
(ucs-set-char #x7467 ?$(DLD(B) ; J90-D-4C44
(ucs-set-char #x7467 ?$(HKy(B) ; C02-H-4B79
(ucs-set-char #x7468 ?$(CrS(B) ; KS0-C-7253
(ucs-set-char #x7468 ?$(DLE(B) ; J90-D-4C45
(ucs-set-char #x7468 ?$(IH"(B) ; C03-I-4822
(ucs-set-char #x7469 ?$(C{)(B) ; KS0-C-7B29
(ucs-set-char #x7469 ?$(Gmf(B) ; C01-G-6D66
(ucs-set-char #x7469 ?$@`r(B) ; J78-@-6072
(ucs-set-char #x7469 ?$B`r(B) ; J83-B-6072
(ucs-set-char #x746A ?$(CX%(B) ; KS0-C-5825
(ucs-set-char #x746A ?$(Gif(B) ; C01-G-6966
(ucs-set-char #x746A ?$@`u(B) ; J78-@-6075
(ucs-set-char #x746A ?$B`u(B) ; J83-B-6075
(ucs-set-char #x746B ?$(DLF(B) ; J90-D-4C46
(ucs-set-char #x746B ?$(IH!(B) ; C03-I-4821
(ucs-set-char #x746C ?$(IG{(B) ; C03-I-477B
(ucs-set-char #x746D ?$(DLG(B) ; J90-D-4C47
(ucs-set-char #x746D ?$(Gih(B) ; C01-G-6968
(ucs-set-char #x746D ?$Ah)(B) ; GB0-A-6829
(ucs-set-char #x746E ?$(DLH(B) ; J90-D-4C48
(ucs-set-char #x746E ?$(HKz(B) ; C02-H-4B7A
(ucs-set-char #x746F ?$(CUK(B) ; KS0-C-554B
(ucs-set-char #x746F ?$(Ge+(B) ; C01-G-652B
(ucs-set-char #x746F ?$@`g(B) ; J78-@-6067
(ucs-set-char #x746F ?$B`g(B) ; J83-B-6067
(ucs-set-char #x7470 ?$(Gig(B) ; C01-G-6967
(ucs-set-char #x7470 ?$@`s(B) ; J78-@-6073
(ucs-set-char #x7470 ?$A9e(B) ; GB0-A-3965
(ucs-set-char #x7470 ?$B`s(B) ; J83-B-6073
(ucs-set-char #x7471 ?$(DLI(B) ; J90-D-4C49
(ucs-set-char #x7471 ?$(HKv(B) ; C02-H-4B76
(ucs-set-char #x7472 ?$(DLJ(B) ; J90-D-4C4A
(ucs-set-char #x7472 ?$(HKx(B) ; C02-H-4B78
(ucs-set-char #x7473 ?$(HKu(B) ; C02-H-4B75
(ucs-set-char #x7473 ?$@:<(B) ; J78-@-3A3C
(ucs-set-char #x7473 ?$B:<(B) ; J83-B-3A3C
(ucs-set-char #x7474 ?$(IH'(B) ; C03-I-4827
(ucs-set-char #x7475 ?$(HKw(B) ; C02-H-4B77
(ucs-set-char #x7476 ?$(IH#(B) ; C03-I-4823
(ucs-set-char #x7476 ?$AQ~(B) ; GB0-A-517E
(ucs-set-char #x7476 ?$B`v(B) ; J83-B-6076
(ucs-set-char #x7477 ?$Ah((B) ; GB0-A-6828
(ucs-set-char #x7479 ?$(HR3(B) ; C02-H-5233
(ucs-set-char #x747A ?$(IM1(B) ; C03-I-4D31
(ucs-set-char #x747B ?$(IM;(B) ; C03-I-4D3B
(ucs-set-char #x747C ?$(HR2(B) ; C02-H-5232
(ucs-set-char #x747D ?$(HR/(B) ; C02-H-522F
(ucs-set-char #x747E ?$(CPH(B) ; KS0-C-5048
(ucs-set-char #x747E ?$(Gmi(B) ; C01-G-6D69
(ucs-set-char #x747E ?$@`w(B) ; J78-@-6077
(ucs-set-char #x747E ?$Ah*(B) ; GB0-A-682A
(ucs-set-char #x747E ?$B`w(B) ; J83-B-6077
(ucs-set-char #x747F ?$(HXN(B) ; C02-H-584E
(ucs-set-char #x7480 ?$(DLK(B) ; J90-D-4C4B
(ucs-set-char #x7480 ?$(Gmj(B) ; C01-G-6D6A
(ucs-set-char #x7480 ?$Ah-(B) ; GB0-A-682D
(ucs-set-char #x7481 ?$(DLL(B) ; J90-D-4C4C
(ucs-set-char #x7481 ?$(HR.(B) ; C02-H-522E
(ucs-set-char #x7481 ?$Ah.(B) ; GB0-A-682E
(ucs-set-char #x7482 ?$(CQ/(B) ; KS0-C-512F
(ucs-set-char #x7482 ?$(IM9(B) ; C03-I-4D39
(ucs-set-char #x7483 ?$(CWc(B) ; KS0-C-5763
(ucs-set-char #x7483 ?$(Gmh(B) ; C01-G-6D68
(ucs-set-char #x7483 ?$@M~(B) ; J78-@-4D7E
(ucs-set-char #x7483 ?$AA'(B) ; GB0-A-4127
(ucs-set-char #x7483 ?$BM~(B) ; J83-B-4D7E
(ucs-set-char #x7484 ?$(IM6(B) ; C03-I-4D36
(ucs-set-char #x7485 ?$(DLM(B) ; J90-D-4C4D
(ucs-set-char #x7485 ?$(HR0(B) ; C02-H-5230
(ucs-set-char #x7486 ?$(DLN(B) ; J90-D-4C4E
(ucs-set-char #x7486 ?$(HR-(B) ; C02-H-522D
(ucs-set-char #x7487 ?$(C`F(B) ; KS0-C-6046
(ucs-set-char #x7487 ?$(DLO(B) ; J90-D-4C4F
(ucs-set-char #x7487 ?$(HR*(B) ; C02-H-522A
(ucs-set-char #x7487 ?$Ah/(B) ; GB0-A-682F
(ucs-set-char #x7488 ?$(HR1(B) ; C02-H-5231
(ucs-set-char #x7489 ?$(CV"(B) ; KS0-C-5622
(ucs-set-char #x7489 ?$(DLP(B) ; J90-D-4C50
(ucs-set-char #x7489 ?$(HR+(B) ; C02-H-522B
(ucs-set-char #x748A ?$(HR,(B) ; C02-H-522C
(ucs-set-char #x748B ?$(Cmp(B) ; KS0-C-6D70
(ucs-set-char #x748B ?$(Gmg(B) ; C01-G-6D67
(ucs-set-char #x748B ?$@`x(B) ; J78-@-6078
(ucs-set-char #x748B ?$Ah0(B) ; GB0-A-6830
(ucs-set-char #x748B ?$B`x(B) ; J83-B-6078
(ucs-set-char #x748C ?$(IM5(B) ; C03-I-4D35
(ucs-set-char #x748E ?$Ah,(B) ; GB0-A-682C
(ucs-set-char #x748F ?$(DLQ(B) ; J90-D-4C51
(ucs-set-char #x748F ?$(JQ9(B) ; C04-J-5139
(ucs-set-char #x7490 ?$(DLR(B) ; J90-D-4C52
(ucs-set-char #x7490 ?$(H]U(B) ; C02-H-5D55
(ucs-set-char #x7490 ?$Ah4(B) ; GB0-A-6834
(ucs-set-char #x7491 ?$(DLS(B) ; J90-D-4C53
(ucs-set-char #x7491 ?$(JQ:(B) ; C04-J-513A
(ucs-set-char #x7492 ?$(DLT(B) ; J90-D-4C54
(ucs-set-char #x7492 ?$(HXR(B) ; C02-H-5852
(ucs-set-char #x7493 ?$(IM:(B) ; C03-I-4D3A
(ucs-set-char #x7494 ?$(HXQ(B) ; C02-H-5851
(ucs-set-char #x7495 ?$(HXS(B) ; C02-H-5853
(ucs-set-char #x7496 ?$(IQj(B) ; C03-I-516A
(ucs-set-char #x7497 ?$(H]R(B) ; C02-H-5D52
(ucs-set-char #x7498 ?$(CWs(B) ; KS0-C-5773
(ucs-set-char #x7498 ?$(DLU(B) ; J90-D-4C55
(ucs-set-char #x7498 ?$(GqD(B) ; C01-G-7144
(ucs-set-char #x7499 ?$(DLV(B) ; J90-D-4C56
(ucs-set-char #x7499 ?$(JQ8(B) ; C04-J-5138
(ucs-set-char #x749A ?$(DLW(B) ; J90-D-4C57
(ucs-set-char #x749A ?$(HXO(B) ; C02-H-584F
(ucs-set-char #x749B ?$(IQg(B) ; C03-I-5167
(ucs-set-char #x749C ?$(C|T(B) ; KS0-C-7C54
(ucs-set-char #x749C ?$(DLX(B) ; J90-D-4C58
(ucs-set-char #x749C ?$(GqB(B) ; C01-G-7142
(ucs-set-char #x749C ?$Ah+(B) ; GB0-A-682B
(ucs-set-char #x749D ?$(IQl(B) ; C03-I-516C
(ucs-set-char #x749E ?$(CZW(B) ; KS0-C-5A57
(ucs-set-char #x749E ?$(GqF(B) ; C01-G-7146
(ucs-set-char #x749E ?$@`y(B) ; J78-@-6079
(ucs-set-char #x749E ?$Ah1(B) ; GB0-A-6831
(ucs-set-char #x749E ?$B`y(B) ; J83-B-6079
(ucs-set-char #x749F ?$(CL_(B) ; KS0-C-4C5F
(ucs-set-char #x749F ?$(DLY(B) ; J90-D-4C59
(ucs-set-char #x749F ?$(GqE(B) ; C01-G-7145
(ucs-set-char #x74A0 ?$(DLZ(B) ; J90-D-4C5A
(ucs-set-char #x74A0 ?$(HXP(B) ; C02-H-5850
(ucs-set-char #x74A1 ?$(CrT(B) ; KS0-C-7254
(ucs-set-char #x74A1 ?$(DL[(B) ; J90-D-4C5B
(ucs-set-char #x74A1 ?$(HXT(B) ; C02-H-5854
(ucs-set-char #x74A2 ?$(IQk(B) ; C03-I-516B
(ucs-set-char #x74A2 ?$@`e(B) ; J78-@-6065
(ucs-set-char #x74A2 ?$B`e(B) ; J83-B-6065
(ucs-set-char #x74A3 ?$(CQ0(B) ; KS0-C-5130
(ucs-set-char #x74A3 ?$(DL\(B) ; J90-D-4C5C
(ucs-set-char #x74A3 ?$(GqC(B) ; C01-G-7143
(ucs-set-char #x74A5 ?$(CL`(B) ; KS0-C-4C60
(ucs-set-char #x74A5 ?$(H]Y(B) ; C02-H-5D59
(ucs-set-char #x74A6 ?$(DL](B) ; J90-D-4C5D
(ucs-set-char #x74A6 ?$(Gt@(B) ; C01-G-7440
(ucs-set-char #x74A7 ?$(C[}(B) ; KS0-C-5B7D
(ucs-set-char #x74A7 ?$(Gvf(B) ; C01-G-7666
(ucs-set-char #x74A7 ?$@`z(B) ; J78-@-607A
(ucs-set-char #x74A7 ?$Ah5(B) ; GB0-A-6835
(ucs-set-char #x74A7 ?$B`z(B) ; J83-B-607A
(ucs-set-char #x74A8 ?$(Cs?(B) ; KS0-C-733F
(ucs-set-char #x74A8 ?$(DL^(B) ; J90-D-4C5E
(ucs-set-char #x74A8 ?$(GtA(B) ; C01-G-7441
(ucs-set-char #x74A8 ?$Ah2(B) ; GB0-A-6832
(ucs-set-char #x74A9 ?$(DL_(B) ; J90-D-4C5F
(ucs-set-char #x74A9 ?$(Gt>(B) ; C01-G-743E
(ucs-set-char #x74A9 ?$Ah3(B) ; GB0-A-6833
(ucs-set-char #x74AA ?$(CpQ(B) ; KS0-C-7051
(ucs-set-char #x74AA ?$(DL`(B) ; J90-D-4C60
(ucs-set-char #x74AA ?$(H]V(B) ; C02-H-5D56
(ucs-set-char #x74AB ?$(DLa(B) ; J90-D-4C61
(ucs-set-char #x74AB ?$(H]T(B) ; C02-H-5D54
(ucs-set-char #x74AC ?$(IUO(B) ; C03-I-554F
(ucs-set-char #x74AD ?$(H]W(B) ; C02-H-5D57
(ucs-set-char #x74AE ?$(DLb(B) ; J90-D-4C62
(ucs-set-char #x74AE ?$(IUK(B) ; C03-I-554B
(ucs-set-char #x74AF ?$(DLc(B) ; J90-D-4C63
(ucs-set-char #x74AF ?$(H]Z(B) ; C02-H-5D5A
(ucs-set-char #x74B0 ?$(C|;(B) ; KS0-C-7C3B
(ucs-set-char #x74B0 ?$(Gt?(B) ; C01-G-743F
(ucs-set-char #x74B0 ?$@4D(B) ; J78-@-3444
(ucs-set-char #x74B0 ?$B4D(B) ; J83-B-3444
(ucs-set-char #x74B1 ?$(DLd(B) ; J90-D-4C64
(ucs-set-char #x74B1 ?$(H]X(B) ; C02-H-5D58
(ucs-set-char #x74B2 ?$(Cb0(B) ; KS0-C-6230
(ucs-set-char #x74B2 ?$(DLe(B) ; J90-D-4C65
(ucs-set-char #x74B2 ?$(H]S(B) ; C02-H-5D53
(ucs-set-char #x74B3 ?$(IUM(B) ; C03-I-554D
(ucs-set-char #x74B5 ?$(Cf%(B) ; KS0-C-6625
(ucs-set-char #x74B5 ?$(DLf(B) ; J90-D-4C66
(ucs-set-char #x74B5 ?$(Hb/(B) ; C02-H-622F
(ucs-set-char #x74B6 ?$(Hb2(B) ; C02-H-6232
(ucs-set-char #x74B7 ?$(Hf!(B) ; C02-H-6621
(ucs-set-char #x74B8 ?$(Hb-(B) ; C02-H-622D
(ucs-set-char #x74B9 ?$(Cb[(B) ; KS0-C-625B
(ucs-set-char #x74B9 ?$(DLg(B) ; J90-D-4C67
(ucs-set-char #x74B9 ?$(IX/(B) ; C03-I-582F
(ucs-set-char #x74BA ?$(Hi>(B) ; C02-H-693E
(ucs-set-char #x74BA ?$Ah7(B) ; GB0-A-6837
(ucs-set-char #x74BB ?$(DLh(B) ; J90-D-4C68
(ucs-set-char #x74BB ?$(Hb3(B) ; C02-H-6233
(ucs-set-char #x74BC ?$(IX0(B) ; C03-I-5830
(ucs-set-char #x74BD ?$(C_^(B) ; KS0-C-5F5E
(ucs-set-char #x74BD ?$(GxM(B) ; C01-G-784D
(ucs-set-char #x74BD ?$@<%(B) ; J78-@-3C25
(ucs-set-char #x74BD ?$B<%(B) ; J83-B-3C25
(ucs-set-char #x74BE ?$(Hb1(B) ; C02-H-6231
(ucs-set-char #x74BF ?$(C`G(B) ; KS0-C-6047
(ucs-set-char #x74BF ?$(DLi(B) ; J90-D-4C69
(ucs-set-char #x74BF ?$(Gvg(B) ; C01-G-7667
(ucs-set-char #x74C0 ?$(Hb.(B) ; C02-H-622E
(ucs-set-char #x74C1 ?$(Hb0(B) ; C02-H-6230
(ucs-set-char #x74C2 ?$(Hb4(B) ; C02-H-6234
(ucs-set-char #x74C3 ?$(Hf"(B) ; C02-H-6622
(ucs-set-char #x74C4 ?$(IZZ(B) ; C03-I-5A5A
(ucs-set-char #x74C5 ?$(He~(B) ; C02-H-657E
(ucs-set-char #x74C6 ?$(Cro(B) ; KS0-C-726F
(ucs-set-char #x74C6 ?$(J`'(B) ; C04-J-6027
(ucs-set-char #x74C7 ?$(IZ\(B) ; C03-I-5A5C
(ucs-set-char #x74C8 ?$(DLj(B) ; J90-D-4C6A
(ucs-set-char #x74C8 ?$(IZ](B) ; C03-I-5A5D
(ucs-set-char #x74C9 ?$(DLk(B) ; J90-D-4C6B
(ucs-set-char #x74C9 ?$(IZ[(B) ; C03-I-5A5B
(ucs-set-char #x74CA ?$(CLa(B) ; KS0-C-4C61
(ucs-set-char #x74CA ?$(GxN(B) ; C01-G-784E
(ucs-set-char #x74CA ?$@`{(B) ; J78-@-607B
(ucs-set-char #x74CA ?$B`{(B) ; J83-B-607B
(ucs-set-char #x74CB ?$(He}(B) ; C02-H-657D
(ucs-set-char #x74CC ?$(DLl(B) ; J90-D-4C6C
(ucs-set-char #x74CC ?$(I\^(B) ; C03-I-5C5E
(ucs-set-char #x74CD ?$(I\\(B) ; C03-I-5C5C
(ucs-set-char #x74CE ?$(I\_(B) ; C03-I-5C5F
(ucs-set-char #x74CF ?$(CVj(B) ; KS0-C-566A
(ucs-set-char #x74CF ?$(Gyy(B) ; C01-G-7979
(ucs-set-char #x74CF ?$@`|(B) ; J78-@-607C
(ucs-set-char #x74CF ?$B`|(B) ; J83-B-607C
(ucs-set-char #x74D0 ?$(DLm(B) ; J90-D-4C6D
(ucs-set-char #x74D0 ?$(I\](B) ; C03-I-5C5D
(ucs-set-char #x74D1 ?$(I\`(B) ; C03-I-5C60
(ucs-set-char #x74D2 ?$Ah6(B) ; GB0-A-6836
(ucs-set-char #x74D3 ?$(DLn(B) ; J90-D-4C6E
(ucs-set-char #x74D3 ?$(I^=(B) ; C03-I-5E3D
(ucs-set-char #x74D4 ?$(CgB(B) ; KS0-C-6742
(ucs-set-char #x74D4 ?$(Gzx(B) ; C01-G-7A78
(ucs-set-char #x74D4 ?$@`}(B) ; J78-@-607D
(ucs-set-char #x74D4 ?$B`}(B) ; J83-B-607D
(ucs-set-char #x74D5 ?$(Hm_(B) ; C02-H-6D5F
(ucs-set-char #x74D6 ?$(Gzw(B) ; C01-G-7A77
(ucs-set-char #x74D7 ?$(Hma(B) ; C02-H-6D61
(ucs-set-char #x74D8 ?$(CN6(B) ; KS0-C-4E36
(ucs-set-char #x74D8 ?$(DLo(B) ; J90-D-4C6F
(ucs-set-char #x74D8 ?$(Hm^(B) ; C02-H-6D5E
(ucs-set-char #x74D9 ?$(Hm`(B) ; C02-H-6D60
(ucs-set-char #x74DA ?$(Cs@(B) ; KS0-C-7340
(ucs-set-char #x74DA ?$(DLp(B) ; J90-D-4C70
(ucs-set-char #x74DA ?$(G|<(B) ; C01-G-7C3C
(ucs-set-char #x74DB ?$(DLq(B) ; J90-D-4C71
(ucs-set-char #x74DB ?$(Hp@(B) ; C02-H-7040
(ucs-set-char #x74DC ?$(CM~(B) ; KS0-C-4D7E
(ucs-set-char #x74DC ?$(GFj(B) ; C01-G-466A
(ucs-set-char #x74DC ?$@1;(B) ; J78-@-313B
(ucs-set-char #x74DC ?$A9O(B) ; GB0-A-394F
(ucs-set-char #x74DC ?$B1;(B) ; J83-B-313B
(ucs-set-char #x74DD ?$(H(0(B) ; C02-H-2830
(ucs-set-char #x74DE ?$(DLr(B) ; J90-D-4C72
(ucs-set-char #x74DE ?$(H0}(B) ; C02-H-307D
(ucs-set-char #x74DE ?$Ap,(B) ; GB0-A-702C
(ucs-set-char #x74DF ?$(DLs(B) ; J90-D-4C73
(ucs-set-char #x74DF ?$(H0~(B) ; C02-H-307E
(ucs-set-char #x74E0 ?$(C{R(B) ; KS0-C-7B52
(ucs-set-char #x74E0 ?$(G\$(B) ; C01-G-5C24
(ucs-set-char #x74E0 ?$@a!(B) ; J78-@-6121
(ucs-set-char #x74E0 ?$Ap-(B) ; GB0-A-702D
(ucs-set-char #x74E0 ?$Ba!(B) ; J83-B-6121
(ucs-set-char #x74E1 ?$(HE%(B) ; C02-H-4525
(ucs-set-char #x74E2 ?$(Cxx(B) ; KS0-C-7878
(ucs-set-char #x74E2 ?$(GqG(B) ; C01-G-7147
(ucs-set-char #x74E2 ?$@I;(B) ; J78-@-493B
(ucs-set-char #x74E2 ?$AF0(B) ; GB0-A-4630
(ucs-set-char #x74E2 ?$BI;(B) ; J83-B-493B
(ucs-set-char #x74E3 ?$(Cw{(B) ; KS0-C-777B
(ucs-set-char #x74E3 ?$(GxO(B) ; C01-G-784F
(ucs-set-char #x74E3 ?$@a"(B) ; J78-@-6122
(ucs-set-char #x74E3 ?$A0j(B) ; GB0-A-306A
(ucs-set-char #x74E3 ?$Ba"(B) ; J83-B-6122
(ucs-set-char #x74E4 ?$(DLt(B) ; J90-D-4C74
(ucs-set-char #x74E4 ?$(G{g(B) ; C01-G-7B67
(ucs-set-char #x74E4 ?$AH?(B) ; GB0-A-483F
(ucs-set-char #x74E5 ?$(HpA(B) ; C02-H-7041
(ucs-set-char #x74E6 ?$(Ch?(B) ; KS0-C-683F
(ucs-set-char #x74E6 ?$(GFk(B) ; C01-G-466B
(ucs-set-char #x74E6 ?$@4$(B) ; J78-@-3424
(ucs-set-char #x74E6 ?$AM_(B) ; GB0-A-4D5F
(ucs-set-char #x74E6 ?$B4$(B) ; J83-B-3424
(ucs-set-char #x74E7 ?$@a#(B) ; J78-@-6123
(ucs-set-char #x74E7 ?$Ba#(B) ; J83-B-6123
(ucs-set-char #x74E8 ?$(DLu(B) ; J90-D-4C75
(ucs-set-char #x74E8 ?$(H(1(B) ; C02-H-2831
(ucs-set-char #x74E9 ?$(G#"(B) ; C01-G-2322
(ucs-set-char #x74E9 ?$@a$(B) ; J78-@-6124
(ucs-set-char #x74E9 ?$Ba$(B) ; J83-B-6124
(ucs-set-char #x74EA ?$(DLv(B) ; J90-D-4C76
(ucs-set-char #x74EA ?$(J*<(B) ; C04-J-2A3C
(ucs-set-char #x74EB ?$(DLw(B) ; J90-D-4C77
(ucs-set-char #x74EB ?$(I."(B) ; C03-I-2E22
(ucs-set-char #x74EC ?$(H,9(B) ; C02-H-2C39
(ucs-set-char #x74ED ?$(I.!(B) ; C03-I-2E21
(ucs-set-char #x74EE ?$(Ch7(B) ; KS0-C-6837
(ucs-set-char #x74EE ?$(H,:(B) ; C02-H-2C3A
(ucs-set-char #x74EE ?$@a%(B) ; J78-@-6125
(ucs-set-char #x74EE ?$ANM(B) ; GB0-A-4E4D
(ucs-set-char #x74EE ?$Ba%(B) ; J83-B-6125
(ucs-set-char #x74EF ?$(DLx(B) ; J90-D-4C78
(ucs-set-char #x74EF ?$(I.$(B) ; C03-I-2E24
(ucs-set-char #x74EF ?$Aj1(B) ; GB0-A-6A31
(ucs-set-char #x74F0 ?$@a'(B) ; J78-@-6127
(ucs-set-char #x74F0 ?$Ba'(B) ; J83-B-6127
(ucs-set-char #x74F1 ?$@a((B) ; J78-@-6128
(ucs-set-char #x74F1 ?$Ba((B) ; J83-B-6128
(ucs-set-char #x74F2 ?$@a&(B) ; J78-@-6126
(ucs-set-char #x74F2 ?$Ba&(B) ; J83-B-6126
(ucs-set-char #x74F3 ?$(I2H(B) ; C03-I-3248
(ucs-set-char #x74F4 ?$(DLy(B) ; J90-D-4C79
(ucs-set-char #x74F4 ?$(H1!(B) ; C02-H-3121
(ucs-set-char #x74F4 ?$Aj2(B) ; GB0-A-6A32
(ucs-set-char #x74F5 ?$(H1"(B) ; C02-H-3122
(ucs-set-char #x74F6 ?$(G\%(B) ; C01-G-5C25
(ucs-set-char #x74F6 ?$@IS(B) ; J78-@-4953
(ucs-set-char #x74F6 ?$AF?(B) ; GB0-A-463F
(ucs-set-char #x74F6 ?$BIS(B) ; J83-B-4953
(ucs-set-char #x74F7 ?$(Cm6(B) ; KS0-C-6D36
(ucs-set-char #x74F7 ?$(G\&(B) ; C01-G-5C26
(ucs-set-char #x74F7 ?$@a*(B) ; J78-@-612A
(ucs-set-char #x74F7 ?$A4I(B) ; GB0-A-3449
(ucs-set-char #x74F7 ?$Ba*(B) ; J83-B-612A
(ucs-set-char #x74F8 ?$@a)(B) ; J78-@-6129
(ucs-set-char #x74F8 ?$Ba)(B) ; J83-B-6129
(ucs-set-char #x74F9 ?$(I==(B) ; C03-I-3D3D
(ucs-set-char #x74FA ?$(DLz(B) ; J90-D-4C7A
(ucs-set-char #x74FA ?$(J9%(B) ; C04-J-3925
(ucs-set-char #x74FB ?$(DL{(B) ; J90-D-4C7B
(ucs-set-char #x74FB ?$(H>/(B) ; C02-H-3E2F
(ucs-set-char #x74FC ?$(DL|(B) ; J90-D-4C7C
(ucs-set-char #x74FD ?$(HE((B) ; C02-H-4528
(ucs-set-char #x74FE ?$(HE'(B) ; C02-H-4527
(ucs-set-char #x74FF ?$(DL}(B) ; J90-D-4C7D
(ucs-set-char #x74FF ?$(HE&(B) ; C02-H-4526
(ucs-set-char #x74FF ?$Aj3(B) ; GB0-A-6A33
(ucs-set-char #x7500 ?$(HK{(B) ; C02-H-4B7B
(ucs-set-char #x7501 ?$(C\:(B) ; KS0-C-5C3A
(ucs-set-char #x7501 ?$(IBw(B) ; C03-I-4277
(ucs-set-char #x7502 ?$(HK|(B) ; C02-H-4B7C
(ucs-set-char #x7503 ?$(HK}(B) ; C02-H-4B7D
(ucs-set-char #x7503 ?$@a,(B) ; J78-@-612C
(ucs-set-char #x7503 ?$Ba,(B) ; J83-B-612C
(ucs-set-char #x7504 ?$(CL4(B) ; KS0-C-4C34
(ucs-set-char #x7504 ?$(Gii(B) ; C01-G-6969
(ucs-set-char #x7504 ?$@a+(B) ; J78-@-612B
(ucs-set-char #x7504 ?$AUg(B) ; GB0-A-5567
(ucs-set-char #x7504 ?$Ba+(B) ; J83-B-612B
(ucs-set-char #x7505 ?$@a-(B) ; J78-@-612D
(ucs-set-char #x7505 ?$Ba-(B) ; J83-B-612D
(ucs-set-char #x7506 ?$(DL~(B) ; J90-D-4C7E
(ucs-set-char #x7506 ?$(IH((B) ; C03-I-4828
(ucs-set-char #x7507 ?$(HR5(B) ; C02-H-5235
(ucs-set-char #x7508 ?$(HR4(B) ; C02-H-5234
(ucs-set-char #x7509 ?$(IM=(B) ; C03-I-4D3D
(ucs-set-char #x750A ?$(IQm(B) ; C03-I-516D
(ucs-set-char #x750B ?$(HXU(B) ; C02-H-5855
(ucs-set-char #x750C ?$(GqH(B) ; C01-G-7148
(ucs-set-char #x750C ?$@a.(B) ; J78-@-612E
(ucs-set-char #x750C ?$Ba.(B) ; J83-B-612E
(ucs-set-char #x750D ?$(GqI(B) ; C01-G-7149
(ucs-set-char #x750D ?$@a0(B) ; J78-@-6130
(ucs-set-char #x750D ?$A]y(B) ; GB0-A-5D79
(ucs-set-char #x750D ?$Ba0(B) ; J83-B-6130
(ucs-set-char #x750E ?$(IQn(B) ; C03-I-516E
(ucs-set-char #x750E ?$@a/(B) ; J78-@-612F
(ucs-set-char #x750E ?$Ba/(B) ; J83-B-612F
(ucs-set-char #x750F ?$(H]^(B) ; C02-H-5D5E
(ucs-set-char #x750F ?$Aj4(B) ; GB0-A-6A34
(ucs-set-char #x7510 ?$(H][(B) ; C02-H-5D5B
(ucs-set-char #x7511 ?$(Cqw(B) ; KS0-C-7177
(ucs-set-char #x7511 ?$(H]\(B) ; C02-H-5D5C
(ucs-set-char #x7511 ?$@9y(B) ; J78-@-3979
(ucs-set-char #x7511 ?$Aj5(B) ; GB0-A-6A35
(ucs-set-char #x7511 ?$B9y(B) ; J83-B-3979
(ucs-set-char #x7512 ?$(DM!(B) ; J90-D-4D21
(ucs-set-char #x7512 ?$(H]](B) ; C02-H-5D5D
(ucs-set-char #x7513 ?$(Hb6(B) ; C02-H-6236
(ucs-set-char #x7513 ?$@a2(B) ; J78-@-6132
(ucs-set-char #x7513 ?$Aj6(B) ; GB0-A-6A36
(ucs-set-char #x7513 ?$Ba2(B) ; J83-B-6132
(ucs-set-char #x7514 ?$(Hb5(B) ; C02-H-6235
(ucs-set-char #x7515 ?$(Ch8(B) ; KS0-C-6838
(ucs-set-char #x7515 ?$(Gvh(B) ; C01-G-7668
(ucs-set-char #x7515 ?$@a1(B) ; J78-@-6131
(ucs-set-char #x7515 ?$Ba1(B) ; J83-B-6131
(ucs-set-char #x7516 ?$(DM"(B) ; J90-D-4D22
(ucs-set-char #x7516 ?$(Hf#(B) ; C02-H-6623
(ucs-set-char #x7517 ?$(DM#(B) ; J90-D-4D23
(ucs-set-char #x7517 ?$(Hkl(B) ; C02-H-6B6C
(ucs-set-char #x7518 ?$(CJv(B) ; KS0-C-4A76
(ucs-set-char #x7518 ?$(GFl(B) ; C01-G-466C
(ucs-set-char #x7518 ?$@4E(B) ; J78-@-3445
(ucs-set-char #x7518 ?$A8J(B) ; GB0-A-384A
(ucs-set-char #x7518 ?$B4E(B) ; J83-B-3445
(ucs-set-char #x7519 ?$A_0(B) ; GB0-A-5F30
(ucs-set-char #x751A ?$(Cd$(B) ; KS0-C-6424
(ucs-set-char #x751A ?$(GRI(B) ; C01-G-5249
(ucs-set-char #x751A ?$@?S(B) ; J78-@-3F53
(ucs-set-char #x751A ?$AIu(B) ; GB0-A-4975
(ucs-set-char #x751A ?$B?S(B) ; J83-B-3F53
(ucs-set-char #x751B ?$(CtV(B) ; KS0-C-7456
(ucs-set-char #x751B ?$(I7D(B) ; C03-I-3744
(ucs-set-char #x751C ?$(G\'(B) ; C01-G-5C27
(ucs-set-char #x751C ?$@E<(B) ; J78-@-453C
(ucs-set-char #x751C ?$ALp(B) ; GB0-A-4C70
(ucs-set-char #x751C ?$BE<(B) ; J83-B-453C
(ucs-set-char #x751D ?$(HE)(B) ; C02-H-4529
(ucs-set-char #x751E ?$(IBx(B) ; C03-I-4278
(ucs-set-char #x751E ?$@a3(B) ; J78-@-6133
(ucs-set-char #x751E ?$Ba3(B) ; J83-B-6133
(ucs-set-char #x751F ?$(C_f(B) ; KS0-C-5F66
(ucs-set-char #x751F ?$(GFm(B) ; C01-G-466D
(ucs-set-char #x751F ?$@@8(B) ; J78-@-4038
(ucs-set-char #x751F ?$AIz(B) ; GB0-A-497A
(ucs-set-char #x751F ?$B@8(B) ; J83-B-4038
(ucs-set-char #x7520 ?$(DM$(B) ; J90-D-4D24
(ucs-set-char #x7520 ?$(J*@(B) ; C04-J-2A40
(ucs-set-char #x7521 ?$(DM%(B) ; J90-D-4D25
(ucs-set-char #x7521 ?$(H1#(B) ; C02-H-3123
(ucs-set-char #x7522 ?$(G\((B) ; C01-G-5C28
(ucs-set-char #x7523 ?$(C_'(B) ; KS0-C-5F27
(ucs-set-char #x7523 ?$(I7E(B) ; C03-I-3745
(ucs-set-char #x7523 ?$@;:(B) ; J78-@-3B3A
(ucs-set-char #x7523 ?$B;:(B) ; J83-B-3B3A
(ucs-set-char #x7524 ?$(DM&(B) ; J90-D-4D26
(ucs-set-char #x7524 ?$(I=>(B) ; C03-I-3D3E
(ucs-set-char #x7524 ?$(I=?(B) ; C03-I-3D3F
(ucs-set-char #x7525 ?$(C_g(B) ; KS0-C-5F67
(ucs-set-char #x7525 ?$(G`i(B) ; C01-G-6069
(ucs-set-char #x7525 ?$@1y(B) ; J78-@-3179
(ucs-set-char #x7525 ?$AI{(B) ; GB0-A-497B
(ucs-set-char #x7525 ?$B1y(B) ; J83-B-3179
(ucs-set-char #x7526 ?$(CaA(B) ; KS0-C-6141
(ucs-set-char #x7526 ?$(G`j(B) ; C01-G-606A
(ucs-set-char #x7526 ?$@a4(B) ; J78-@-6134
(ucs-set-char #x7526 ?$Ba4(B) ; J83-B-6134
(ucs-set-char #x7527 ?$(DM'(B) ; J90-D-4D27
(ucs-set-char #x7527 ?$(KGI(B) ; C05-K-4749
(ucs-set-char #x7528 ?$(CiD(B) ; KS0-C-6944
(ucs-set-char #x7528 ?$(GFn(B) ; C01-G-466E
(ucs-set-char #x7528 ?$@MQ(B) ; J78-@-4D51
(ucs-set-char #x7528 ?$ASC(B) ; GB0-A-5343
(ucs-set-char #x7528 ?$BMQ(B) ; J83-B-4D51
(ucs-set-char #x7529 ?$(DM((B) ; J90-D-4D28
(ucs-set-char #x7529 ?$(GFo(B) ; C01-G-466F
(ucs-set-char #x7529 ?$AK&(B) ; GB0-A-4B26
(ucs-set-char #x752A ?$(DM)(B) ; J90-D-4D29
(ucs-set-char #x752A ?$(H"f(B) ; C02-H-2266
(ucs-set-char #x752B ?$(C\K(B) ; KS0-C-5C4B
(ucs-set-char #x752B ?$(GK-(B) ; C01-G-4B2D
(ucs-set-char #x752B ?$@Jc(B) ; J78-@-4A63
(ucs-set-char #x752B ?$A8&(B) ; GB0-A-3826
(ucs-set-char #x752B ?$BJc(B) ; J83-B-4A63
(ucs-set-char #x752C ?$(CiE(B) ; KS0-C-6945
(ucs-set-char #x752C ?$(GK,(B) ; C01-G-4B2C
(ucs-set-char #x752C ?$@a5(B) ; J78-@-6135
(ucs-set-char #x752C ?$Ap.(B) ; GB0-A-702E
(ucs-set-char #x752C ?$Ba5(B) ; J83-B-6135
(ucs-set-char #x752D ?$(GRJ(B) ; C01-G-524A
(ucs-set-char #x752D ?$A1B(B) ; GB0-A-3142
(ucs-set-char #x752E ?$(H,;(B) ; C02-H-2C3B
(ucs-set-char #x752F ?$(DM*(B) ; J90-D-4D2A
(ucs-set-char #x752F ?$(H>0(B) ; C02-H-3E30
(ucs-set-char #x752F ?$Ae8(B) ; GB0-A-6538
(ucs-set-char #x7530 ?$(Co#(B) ; KS0-C-6F23
(ucs-set-char #x7530 ?$(GFp(B) ; C01-G-4670
(ucs-set-char #x7530 ?$@ED(B) ; J78-@-4544
(ucs-set-char #x7530 ?$ALo(B) ; GB0-A-4C6F
(ucs-set-char #x7530 ?$BED(B) ; J83-B-4544
(ucs-set-char #x7531 ?$(Ck&(B) ; KS0-C-6B26
(ucs-set-char #x7531 ?$(GFq(B) ; C01-G-4671
(ucs-set-char #x7531 ?$@M3(B) ; J78-@-4D33
(ucs-set-char #x7531 ?$ASI(B) ; GB0-A-5349
(ucs-set-char #x7531 ?$BM3(B) ; J83-B-4D33
(ucs-set-char #x7532 ?$(CK#(B) ; KS0-C-4B23
(ucs-set-char #x7532 ?$(GFr(B) ; C01-G-4672
(ucs-set-char #x7532 ?$@9C(B) ; J78-@-3943
(ucs-set-char #x7532 ?$A<W(B) ; GB0-A-3C57
(ucs-set-char #x7532 ?$B9C(B) ; J83-B-3943
(ucs-set-char #x7533 ?$(Cci(B) ; KS0-C-6369
(ucs-set-char #x7533 ?$(GFs(B) ; C01-G-4673
(ucs-set-char #x7533 ?$@?=(B) ; J78-@-3F3D
(ucs-set-char #x7533 ?$AIj(B) ; GB0-A-496A
(ucs-set-char #x7533 ?$B?=(B) ; J83-B-3F3D
(ucs-set-char #x7535 ?$A5g(B) ; GB0-A-3567
(ucs-set-char #x7536 ?$(DM+(B) ; J90-D-4D2B
(ucs-set-char #x7536 ?$(J#+(B) ; C04-J-232B
(ucs-set-char #x7537 ?$(CQ{(B) ; KS0-C-517B
(ucs-set-char #x7537 ?$(GK.(B) ; C01-G-4B2E
(ucs-set-char #x7537 ?$@CK(B) ; J78-@-434B
(ucs-set-char #x7537 ?$ADP(B) ; GB0-A-4450
(ucs-set-char #x7537 ?$BCK(B) ; J83-B-434B
(ucs-set-char #x7538 ?$(Co$(B) ; KS0-C-6F24
(ucs-set-char #x7538 ?$(GK/(B) ; C01-G-4B2F
(ucs-set-char #x7538 ?$@R4(B) ; J78-@-5234
(ucs-set-char #x7538 ?$A5i(B) ; GB0-A-3569
(ucs-set-char #x7538 ?$BR4(B) ; J83-B-5234
(ucs-set-char #x7539 ?$(DM,(B) ; J90-D-4D2C
(ucs-set-char #x7539 ?$(H$n(B) ; C02-H-246E
(ucs-set-char #x753A ?$(Cok(B) ; KS0-C-6F6B
(ucs-set-char #x753A ?$(H$m(B) ; C02-H-246D
(ucs-set-char #x753A ?$@D.(B) ; J78-@-442E
(ucs-set-char #x753A ?$An.(B) ; GB0-A-6E2E
(ucs-set-char #x753A ?$BD.(B) ; J83-B-442E
(ucs-set-char #x753B ?$(I*7(B) ; C03-I-2A37
(ucs-set-char #x753B ?$@2h(B) ; J78-@-3268
(ucs-set-char #x753B ?$A;-(B) ; GB0-A-3B2D
(ucs-set-char #x753B ?$B2h(B) ; J83-B-3268
(ucs-set-char #x753C ?$@a6(B) ; J78-@-6136
(ucs-set-char #x753C ?$Ba6(B) ; J83-B-6136
(ucs-set-char #x753D ?$(DM-(B) ; J90-D-4D2D
(ucs-set-char #x753D ?$(GNw(B) ; C01-G-4E77
(ucs-set-char #x753E ?$(DM.(B) ; J90-D-4D2E
(ucs-set-char #x753E ?$(H(4(B) ; C02-H-2834
(ucs-set-char #x753E ?$Ag^(B) ; GB0-A-675E
(ucs-set-char #x753F ?$(DM/(B) ; J90-D-4D2F
(ucs-set-char #x753F ?$(H(2(B) ; C02-H-2832
(ucs-set-char #x7540 ?$(DM0(B) ; J90-D-4D30
(ucs-set-char #x7540 ?$(H(3(B) ; C02-H-2833
(ucs-set-char #x7540 ?$An/(B) ; GB0-A-6E2F
(ucs-set-char #x7541 ?$(I*8(B) ; C03-I-2A38
(ucs-set-char #x7542 ?$(I*5(B) ; C03-I-2A35
(ucs-set-char #x7543 ?$(DM1(B) ; J90-D-4D31
(ucs-set-char #x7543 ?$(J'@(B) ; C04-J-2740
(ucs-set-char #x7544 ?$(I*6(B) ; C03-I-2A36
(ucs-set-char #x7544 ?$@a7(B) ; J78-@-6137
(ucs-set-char #x7544 ?$Ba7(B) ; J83-B-6137
(ucs-set-char #x7545 ?$A3)(B) ; GB0-A-3329
(ucs-set-char #x7546 ?$(I.'(B) ; C03-I-2E27
(ucs-set-char #x7546 ?$@a<(B) ; J78-@-613C
(ucs-set-char #x7546 ?$Ba<(B) ; J83-B-613C
(ucs-set-char #x7547 ?$(CP4(B) ; KS0-C-5034
(ucs-set-char #x7547 ?$(DM2(B) ; J90-D-4D32
(ucs-set-char #x7547 ?$(H,<(B) ; C02-H-2C3C
(ucs-set-char #x7548 ?$(DM3(B) ; J90-D-4D33
(ucs-set-char #x7548 ?$(H,=(B) ; C02-H-2C3D
(ucs-set-char #x7548 ?$An2(B) ; GB0-A-6E32
(ucs-set-char #x7549 ?$(I.%(B) ; C03-I-2E25
(ucs-set-char #x7549 ?$@a:(B) ; J78-@-613A
(ucs-set-char #x7549 ?$Ba:(B) ; J83-B-613A
(ucs-set-char #x754A ?$(I.((B) ; C03-I-2E28
(ucs-set-char #x754A ?$@a9(B) ; J78-@-6139
(ucs-set-char #x754A ?$Ba9(B) ; J83-B-6139
(ucs-set-char #x754B ?$(GRN(B) ; C01-G-524E
(ucs-set-char #x754B ?$@ZB(B) ; J78-@-5A42
(ucs-set-char #x754B ?$An1(B) ; GB0-A-6E31
(ucs-set-char #x754B ?$BZB(B) ; J83-B-5A42
(ucs-set-char #x754C ?$(CM#(B) ; KS0-C-4D23
(ucs-set-char #x754C ?$(GRL(B) ; C01-G-524C
(ucs-set-char #x754C ?$@3&(B) ; J78-@-3326
(ucs-set-char #x754C ?$A=g(B) ; GB0-A-3D67
(ucs-set-char #x754C ?$B3&(B) ; J83-B-3326
(ucs-set-char #x754D ?$(I.*(B) ; C03-I-2E2A
(ucs-set-char #x754D ?$@a8(B) ; J78-@-6138
(ucs-set-char #x754D ?$Ba8(B) ; J83-B-6138
(ucs-set-char #x754E ?$(DM4(B) ; J90-D-4D34
(ucs-set-char #x754E ?$(GRM(B) ; C01-G-524D
(ucs-set-char #x754E ?$An0(B) ; GB0-A-6E30
(ucs-set-char #x754F ?$(Chf(B) ; KS0-C-6866
(ucs-set-char #x754F ?$(GRK(B) ; C01-G-524B
(ucs-set-char #x754F ?$@0Z(B) ; J78-@-305A
(ucs-set-char #x754F ?$AN7(B) ; GB0-A-4E37
(ucs-set-char #x754F ?$B0Z(B) ; J83-B-305A
(ucs-set-char #x7550 ?$(DM5(B) ; J90-D-4D35
(ucs-set-char #x7550 ?$(I.&(B) ; C03-I-2E26
(ucs-set-char #x7551 ?$(Co%(B) ; KS0-C-6F25
(ucs-set-char #x7551 ?$@H*(B) ; J78-@-482A
(ucs-set-char #x7551 ?$BH*(B) ; J83-B-482A
(ucs-set-char #x7552 ?$(DM6(B) ; J90-D-4D36
(ucs-set-char #x7553 ?$(CSL(B) ; KS0-C-534C
(ucs-set-char #x7554 ?$(CZm(B) ; KS0-C-5A6D
(ucs-set-char #x7554 ?$(GVc(B) ; C01-G-5663
(ucs-set-char #x7554 ?$@HJ(B) ; J78-@-484A
(ucs-set-char #x7554 ?$AEO(B) ; GB0-A-454F
(ucs-set-char #x7554 ?$BHJ(B) ; J83-B-484A
(ucs-set-char #x7555 ?$(I2N(B) ; C03-I-324E
(ucs-set-char #x7556 ?$(I2M(B) ; C03-I-324D
(ucs-set-char #x7557 ?$(DM7(B) ; J90-D-4D37
(ucs-set-char #x7557 ?$(I2P(B) ; C03-I-3250
(ucs-set-char #x7558 ?$(I2O(B) ; C03-I-324F
(ucs-set-char #x7559 ?$(CW:(B) ; KS0-C-573A
(ucs-set-char #x7559 ?$(GVg(B) ; C01-G-5667
(ucs-set-char #x7559 ?$@N1(B) ; J78-@-4E31
(ucs-set-char #x7559 ?$AAt(B) ; GB0-A-4174
(ucs-set-char #x7559 ?$BN1(B) ; J83-B-4E31
(ucs-set-char #x755A ?$(GVf(B) ; C01-G-5666
(ucs-set-char #x755A ?$@a=(B) ; J78-@-613D
(ucs-set-char #x755A ?$A[N(B) ; GB0-A-5B4E
(ucs-set-char #x755A ?$Ba=(B) ; J83-B-613D
(ucs-set-char #x755B ?$(CrU(B) ; KS0-C-7255
(ucs-set-char #x755B ?$(H1$(B) ; C02-H-3124
(ucs-set-char #x755B ?$@a;(B) ; J78-@-613B
(ucs-set-char #x755B ?$An3(B) ; GB0-A-6E33
(ucs-set-char #x755B ?$Ba;(B) ; J83-B-613B
(ucs-set-char #x755C ?$(Cue(B) ; KS0-C-7565
(ucs-set-char #x755C ?$(GVe(B) ; C01-G-5665
(ucs-set-char #x755C ?$@C\(B) ; J78-@-435C
(ucs-set-char #x755C ?$APs(B) ; GB0-A-5073
(ucs-set-char #x755C ?$BC\(B) ; J83-B-435C
(ucs-set-char #x755D ?$(CYo(B) ; KS0-C-596F
(ucs-set-char #x755D ?$(GVd(B) ; C01-G-5664
(ucs-set-char #x755D ?$@@&(B) ; J78-@-4026
(ucs-set-char #x755D ?$B@&(B) ; J83-B-4026
(ucs-set-char #x755E ?$(DM8(B) ; J90-D-4D38
(ucs-set-char #x755E ?$(I2Q(B) ; C03-I-3251
(ucs-set-char #x755F ?$(DM9(B) ; J90-D-4D39
(ucs-set-char #x755F ?$(H1%(B) ; C02-H-3125
(ucs-set-char #x7560 ?$@H+(B) ; J78-@-482B
(ucs-set-char #x7560 ?$BH+(B) ; J83-B-482B
(ucs-set-char #x7561 ?$(DM:(B) ; J90-D-4D3A
(ucs-set-char #x7561 ?$(I7F(B) ; C03-I-3746
(ucs-set-char #x7562 ?$(Cy4(B) ; KS0-C-7934
(ucs-set-char #x7562 ?$(G\+(B) ; C01-G-5C2B
(ucs-set-char #x7562 ?$@I-(B) ; J78-@-492D
(ucs-set-char #x7562 ?$BI-(B) ; J83-B-492D
(ucs-set-char #x7563 ?$(H7@(B) ; C02-H-3740
(ucs-set-char #x7564 ?$(H7?(B) ; C02-H-373F
(ucs-set-char #x7564 ?$@a?(B) ; J78-@-613F
(ucs-set-char #x7564 ?$Ba?(B) ; J83-B-613F
(ucs-set-char #x7565 ?$(CUT(B) ; KS0-C-5554
(ucs-set-char #x7565 ?$(G\)(B) ; C01-G-5C29
(ucs-set-char #x7565 ?$@N,(B) ; J78-@-4E2C
(ucs-set-char #x7565 ?$ABT(B) ; GB0-A-4254
(ucs-set-char #x7565 ?$BN,(B) ; J83-B-4E2C
(ucs-set-char #x7566 ?$(C}O(B) ; KS0-C-7D4F
(ucs-set-char #x7566 ?$(G\*(B) ; C01-G-5C2A
(ucs-set-char #x7566 ?$@7M(B) ; J78-@-374D
(ucs-set-char #x7566 ?$AFh(B) ; GB0-A-4668
(ucs-set-char #x7566 ?$B7M(B) ; J83-B-374D
(ucs-set-char #x7567 ?$(I7I(B) ; C03-I-3749
(ucs-set-char #x7567 ?$@a@(B) ; J78-@-6140
(ucs-set-char #x7567 ?$Ba@(B) ; J83-B-6140
(ucs-set-char #x7568 ?$(I7G(B) ; C03-I-3747
(ucs-set-char #x7569 ?$@a>(B) ; J78-@-613E
(ucs-set-char #x7569 ?$Ba>(B) ; J83-B-613E
(ucs-set-char #x756A ?$(C[c(B) ; KS0-C-5B63
(ucs-set-char #x756A ?$(G`l(B) ; C01-G-606C
(ucs-set-char #x756A ?$@HV(B) ; J78-@-4856
(ucs-set-char #x756A ?$A7,(B) ; GB0-A-372C
(ucs-set-char #x756A ?$BHV(B) ; J83-B-4856
(ucs-set-char #x756B ?$(G`k(B) ; C01-G-606B
(ucs-set-char #x756B ?$@aA(B) ; J78-@-6141
(ucs-set-char #x756B ?$BaA(B) ; J83-B-6141
(ucs-set-char #x756C ?$(H>2(B) ; C02-H-3E32
(ucs-set-char #x756D ?$(I=C(B) ; C03-I-3D43
(ucs-set-char #x756D ?$@aB(B) ; J78-@-6142
(ucs-set-char #x756D ?$BaB(B) ; J83-B-6142
(ucs-set-char #x756E ?$(I=B(B) ; C03-I-3D42
(ucs-set-char #x756F ?$(Cqa(B) ; KS0-C-7161
(ucs-set-char #x756F ?$(DM;(B) ; J90-D-4D3B
(ucs-set-char #x756F ?$(H>1(B) ; C02-H-3E31
(ucs-set-char #x7570 ?$(Cl6(B) ; KS0-C-6C36
(ucs-set-char #x7570 ?$(G\,(B) ; C01-G-5C2C
(ucs-set-char #x7570 ?$(LKV(B) ; C06-L-4B56
(ucs-set-char #x7570 ?$@0[(B) ; J78-@-305B
(ucs-set-char #x7570 ?$B0[(B) ; J83-B-305B
(ucs-set-char #x7571 ?$(DM<(B) ; J90-D-4D3C
(ucs-set-char #x7571 ?$(I=D(B) ; C03-I-3D44
(ucs-set-char #x7572 ?$(J9,(B) ; C04-J-392C
(ucs-set-char #x7572 ?$An4(B) ; GB0-A-6E34
(ucs-set-char #x7573 ?$@>v(B) ; J78-@-3E76
(ucs-set-char #x7573 ?$B>v(B) ; J83-B-3E76
(ucs-set-char #x7574 ?$@aG(B) ; J78-@-6147
(ucs-set-char #x7574 ?$A3k(B) ; GB0-A-336B
(ucs-set-char #x7574 ?$BaG(B) ; J83-B-6147
(ucs-set-char #x7575 ?$(C{~(B) ; KS0-C-7B7E
(ucs-set-char #x7575 ?$(J>k(B) ; C04-J-3E6B
(ucs-set-char #x7576 ?$(CSW(B) ; KS0-C-5357
(ucs-set-char #x7576 ?$(Ge5(B) ; C01-G-6535
(ucs-set-char #x7576 ?$@aD(B) ; J78-@-6144
(ucs-set-char #x7576 ?$BaD(B) ; J83-B-6144
(ucs-set-char #x7577 ?$(HE+(B) ; C02-H-452B
(ucs-set-char #x7577 ?$@Fm(B) ; J78-@-466D
(ucs-set-char #x7577 ?$BFm(B) ; J83-B-466D
(ucs-set-char #x7578 ?$(CQ1(B) ; KS0-C-5131
(ucs-set-char #x7578 ?$(Ge6(B) ; C01-G-6536
(ucs-set-char #x7578 ?$@aC(B) ; J78-@-6143
(ucs-set-char #x7578 ?$A;{(B) ; GB0-A-3B7B
(ucs-set-char #x7578 ?$BaC(B) ; J83-B-6143
(ucs-set-char #x7579 ?$(DM=(B) ; J90-D-4D3D
(ucs-set-char #x7579 ?$(HE*(B) ; C02-H-452A
(ucs-set-char #x7579 ?$An5(B) ; GB0-A-6E35
(ucs-set-char #x757A ?$(CK1(B) ; KS0-C-4B31
(ucs-set-char #x757A ?$(DM>(B) ; J90-D-4D3E
(ucs-set-char #x757A ?$(IB{(B) ; C03-I-427B
(ucs-set-char #x757B ?$(DM?(B) ; J90-D-4D3F
(ucs-set-char #x757B ?$(JD|(B) ; C04-J-447C
(ucs-set-char #x757C ?$(DM@(B) ; J90-D-4D40
(ucs-set-char #x757C ?$(JD{(B) ; C04-J-447B
(ucs-set-char #x757D ?$(DMA(B) ; J90-D-4D41
(ucs-set-char #x757D ?$(HK~(B) ; C02-H-4B7E
(ucs-set-char #x757E ?$(DMB(B) ; J90-D-4D42
(ucs-set-char #x757E ?$(HR6(B) ; C02-H-5236
(ucs-set-char #x757F ?$(CQ2(B) ; KS0-C-5132
(ucs-set-char #x757F ?$(Gmk(B) ; C01-G-6D6B
(ucs-set-char #x757F ?$@5&(B) ; J78-@-3526
(ucs-set-char #x757F ?$Ag\(B) ; GB0-A-675C
(ucs-set-char #x757F ?$B5&(B) ; J83-B-3526
(ucs-set-char #x7580 ?$(HXV(B) ; C02-H-5856
(ucs-set-char #x7581 ?$(DMC(B) ; J90-D-4D43
(ucs-set-char #x7581 ?$(IQp(B) ; C03-I-5170
(ucs-set-char #x7582 ?$@aJ(B) ; J78-@-614A
(ucs-set-char #x7582 ?$BaJ(B) ; J83-B-614A
(ucs-set-char #x7583 ?$(IUR(B) ; C03-I-5552
(ucs-set-char #x7583 ?$An6(B) ; GB0-A-6E36
(ucs-set-char #x7584 ?$(H]_(B) ; C02-H-5D5F
(ucs-set-char #x7585 ?$(DMD(B) ; J90-D-4D44
(ucs-set-char #x7585 ?$(J[t(B) ; C04-J-5B74
(ucs-set-char #x7586 ?$(CK2(B) ; KS0-C-4B32
(ucs-set-char #x7586 ?$(GxQ(B) ; C01-G-7851
(ucs-set-char #x7586 ?$@aE(B) ; J78-@-6145
(ucs-set-char #x7586 ?$A=.(B) ; GB0-A-3D2E
(ucs-set-char #x7586 ?$BaE(B) ; J83-B-6145
(ucs-set-char #x7587 ?$(CqB(B) ; KS0-C-7142
(ucs-set-char #x7587 ?$(GxP(B) ; C01-G-7850
(ucs-set-char #x7587 ?$@aF(B) ; J78-@-6146
(ucs-set-char #x7587 ?$BaF(B) ; J83-B-6146
(ucs-set-char #x7588 ?$(Jch(B) ; C04-J-6368
(ucs-set-char #x7589 ?$(I\b(B) ; C03-I-5C62
(ucs-set-char #x7589 ?$@aI(B) ; J78-@-6149
(ucs-set-char #x7589 ?$BaI(B) ; J83-B-6149
(ucs-set-char #x758A ?$(Cta(B) ; KS0-C-7461
(ucs-set-char #x758A ?$(G{h(B) ; C01-G-7B68
(ucs-set-char #x758A ?$@aH(B) ; J78-@-6148
(ucs-set-char #x758A ?$BaH(B) ; J83-B-6148
(ucs-set-char #x758B ?$(Cy5(B) ; KS0-C-7935
(ucs-set-char #x758B ?$(GFt(B) ; C01-G-4674
(ucs-set-char #x758B ?$@I%(B) ; J78-@-4925
(ucs-set-char #x758B ?$Aqb(B) ; GB0-A-7162
(ucs-set-char #x758B ?$BI%(B) ; J83-B-4925
(ucs-set-char #x758C ?$(H(5(B) ; C02-H-2835
(ucs-set-char #x758E ?$(CaC(B) ; KS0-C-6143
(ucs-set-char #x758E ?$(I=E(B) ; C03-I-3D45
(ucs-set-char #x758E ?$@AB(B) ; J78-@-4142
(ucs-set-char #x758E ?$BAB(B) ; J83-B-4142
(ucs-set-char #x758F ?$(CaB(B) ; KS0-C-6142
(ucs-set-char #x758F ?$(G\-(B) ; C01-G-5C2D
(ucs-set-char #x758F ?$@AA(B) ; J78-@-4141
(ucs-set-char #x758F ?$AJh(B) ; GB0-A-4A68
(ucs-set-char #x758F ?$BAA(B) ; J83-B-4141
(ucs-set-char #x7590 ?$(DME(B) ; J90-D-4D45
(ucs-set-char #x7590 ?$(HL!(B) ; C02-H-4C21
(ucs-set-char #x7591 ?$(Ckw(B) ; KS0-C-6B77
(ucs-set-char #x7591 ?$(Gij(B) ; C01-G-696A
(ucs-set-char #x7591 ?$@5?(B) ; J78-@-353F
(ucs-set-char #x7591 ?$ARI(B) ; GB0-A-5249
(ucs-set-char #x7591 ?$B5?(B) ; J83-B-353F
(ucs-set-char #x7592 ?$(DMF(B) ; J90-D-4D46
(ucs-set-char #x7592 ?$(I"[(B) ; C03-I-225B
(ucs-set-char #x7592 ?$ApZ(B) ; GB0-A-705A
(ucs-set-char #x7593 ?$(DMG(B) ; J90-D-4D47
(ucs-set-char #x7593 ?$(I&s(B) ; C03-I-2673
(ucs-set-char #x7594 ?$(H$o(B) ; C02-H-246F
(ucs-set-char #x7594 ?$@aK(B) ; J78-@-614B
(ucs-set-char #x7594 ?$Ap[(B) ; GB0-A-705B
(ucs-set-char #x7594 ?$BaK(B) ; J83-B-614B
(ucs-set-char #x7595 ?$(DMH(B) ; J90-D-4D48
(ucs-set-char #x7595 ?$(H$p(B) ; C02-H-2470
(ucs-set-char #x7596 ?$Ap\(B) ; GB0-A-705C
(ucs-set-char #x7597 ?$AAF(B) ; GB0-A-4146
(ucs-set-char #x7598 ?$(H(6(B) ; C02-H-2836
(ucs-set-char #x7599 ?$(DMI(B) ; J90-D-4D49
(ucs-set-char #x7599 ?$(GNy(B) ; C01-G-4E79
(ucs-set-char #x7599 ?$A8m(B) ; GB0-A-386D
(ucs-set-char #x759A ?$(GNz(B) ; C01-G-4E7A
(ucs-set-char #x759A ?$@aL(B) ; J78-@-614C
(ucs-set-char #x759A ?$A>N(B) ; GB0-A-3E4E
(ucs-set-char #x759A ?$BaL(B) ; J83-B-614C
(ucs-set-char #x759B ?$(I*:(B) ; C03-I-2A3A
(ucs-set-char #x759C ?$(DMJ(B) ; J90-D-4D4A
(ucs-set-char #x759C ?$(J'C(B) ; C04-J-2743
(ucs-set-char #x759D ?$(C_((B) ; KS0-C-5F28
(ucs-set-char #x759D ?$(GNx(B) ; C01-G-4E78
(ucs-set-char #x759D ?$@aM(B) ; J78-@-614D
(ucs-set-char #x759D ?$Ap^(B) ; GB0-A-705E
(ucs-set-char #x759D ?$BaM(B) ; J83-B-614D
(ucs-set-char #x759E ?$(I*;(B) ; C03-I-2A3B
(ucs-set-char #x759F ?$AE1(B) ; GB0-A-4531
(ucs-set-char #x75A0 ?$Ap](B) ; GB0-A-705D
(ucs-set-char #x75A1 ?$AQq(B) ; GB0-A-5171
(ucs-set-char #x75A2 ?$(DMK(B) ; J90-D-4D4B
(ucs-set-char #x75A2 ?$(GRR(B) ; C01-G-5252
(ucs-set-char #x75A3 ?$(GRS(B) ; C01-G-5253
(ucs-set-char #x75A3 ?$@aO(B) ; J78-@-614F
(ucs-set-char #x75A3 ?$Ap`(B) ; GB0-A-7060
(ucs-set-char #x75A3 ?$BaO(B) ; J83-B-614F
(ucs-set-char #x75A4 ?$(DML(B) ; J90-D-4D4C
(ucs-set-char #x75A4 ?$(GRP(B) ; C01-G-5250
(ucs-set-char #x75A4 ?$A0L(B) ; GB0-A-304C
(ucs-set-char #x75A5 ?$(CKJ(B) ; KS0-C-4B4A
(ucs-set-char #x75A5 ?$(GRQ(B) ; C01-G-5251
(ucs-set-char #x75A5 ?$@aN(B) ; J78-@-614E
(ucs-set-char #x75A5 ?$A=j(B) ; GB0-A-3D6A
(ucs-set-char #x75A5 ?$BaN(B) ; J83-B-614E
(ucs-set-char #x75A6 ?$(I.+(B) ; C03-I-2E2B
(ucs-set-char #x75A7 ?$(H,>(B) ; C02-H-2C3E
(ucs-set-char #x75A8 ?$(I./(B) ; C03-I-2E2F
(ucs-set-char #x75A9 ?$(J*J(B) ; C04-J-2A4A
(ucs-set-char #x75AA ?$(H,?(B) ; C02-H-2C3F
(ucs-set-char #x75AB ?$(Cf9(B) ; KS0-C-6639
(ucs-set-char #x75AB ?$(GRO(B) ; C01-G-524F
(ucs-set-char #x75AB ?$@1V(B) ; J78-@-3156
(ucs-set-char #x75AB ?$AR_(B) ; GB0-A-525F
(ucs-set-char #x75AB ?$B1V(B) ; J83-B-3156
(ucs-set-char #x75AC ?$Ap_(B) ; GB0-A-705F
(ucs-set-char #x75AE ?$A4/(B) ; GB0-A-342F
(ucs-set-char #x75AF ?$A7h(B) ; GB0-A-3768
(ucs-set-char #x75B0 ?$(H1&(B) ; C02-H-3126
(ucs-set-char #x75B0 ?$Apf(B) ; GB0-A-7066
(ucs-set-char #x75B1 ?$(Cx^(B) ; KS0-C-785E
(ucs-set-char #x75B1 ?$(I2W(B) ; C03-I-3257
(ucs-set-char #x75B1 ?$@aW(B) ; J78-@-6157
(ucs-set-char #x75B1 ?$Ape(B) ; GB0-A-7065
(ucs-set-char #x75B1 ?$BaW(B) ; J83-B-6157
(ucs-set-char #x75B2 ?$(Cy*(B) ; KS0-C-792A
(ucs-set-char #x75B2 ?$(GVk(B) ; C01-G-566B
(ucs-set-char #x75B2 ?$@Hh(B) ; J78-@-4868
(ucs-set-char #x75B2 ?$AF#(B) ; GB0-A-4623
(ucs-set-char #x75B2 ?$BHh(B) ; J83-B-4868
(ucs-set-char #x75B3 ?$(CJw(B) ; KS0-C-4A77
(ucs-set-char #x75B3 ?$(GVl(B) ; C01-G-566C
(ucs-set-char #x75B3 ?$@aQ(B) ; J78-@-6151
(ucs-set-char #x75B3 ?$Apa(B) ; GB0-A-7061
(ucs-set-char #x75B3 ?$BaQ(B) ; J83-B-6151
(ucs-set-char #x75B4 ?$(DMM(B) ; J90-D-4D4D
(ucs-set-char #x75B4 ?$(I2U(B) ; C03-I-3255
(ucs-set-char #x75B4 ?$Apb(B) ; GB0-A-7062
(ucs-set-char #x75B5 ?$(Cm7(B) ; KS0-C-6D37
(ucs-set-char #x75B5 ?$(G\0(B) ; C01-G-5C30
(ucs-set-char #x75B5 ?$@aS(B) ; J78-@-6153
(ucs-set-char #x75B5 ?$A4C(B) ; GB0-A-3443
(ucs-set-char #x75B5 ?$BaS(B) ; J83-B-6153
(ucs-set-char #x75B6 ?$(H1,(B) ; C02-H-312C
(ucs-set-char #x75B7 ?$(J.@(B) ; C04-J-2E40
(ucs-set-char #x75B8 ?$(CS8(B) ; KS0-C-5338
(ucs-set-char #x75B8 ?$(GVq(B) ; C01-G-5671
(ucs-set-char #x75B8 ?$@aU(B) ; J78-@-6155
(ucs-set-char #x75B8 ?$Apc(B) ; GB0-A-7063
(ucs-set-char #x75B8 ?$BaU(B) ; J83-B-6155
(ucs-set-char #x75B9 ?$(CrV(B) ; KS0-C-7256
(ucs-set-char #x75B9 ?$(GVo(B) ; C01-G-566F
(ucs-set-char #x75B9 ?$@?>(B) ; J78-@-3F3E
(ucs-set-char #x75B9 ?$AUn(B) ; GB0-A-556E
(ucs-set-char #x75B9 ?$B?>(B) ; J83-B-3F3E
(ucs-set-char #x75BA ?$(DMN(B) ; J90-D-4D4E
(ucs-set-char #x75BA ?$(H1-(B) ; C02-H-312D
(ucs-set-char #x75BB ?$(H1((B) ; C02-H-3128
(ucs-set-char #x75BC ?$(CTY(B) ; KS0-C-5459
(ucs-set-char #x75BC ?$(GVn(B) ; C01-G-566E
(ucs-set-char #x75BC ?$@aV(B) ; J78-@-6156
(ucs-set-char #x75BC ?$AL[(B) ; GB0-A-4C5B
(ucs-set-char #x75BC ?$BaV(B) ; J83-B-6156
(ucs-set-char #x75BD ?$(CnE(B) ; KS0-C-6E45
(ucs-set-char #x75BD ?$(GVm(B) ; C01-G-566D
(ucs-set-char #x75BD ?$@aT(B) ; J78-@-6154
(ucs-set-char #x75BD ?$A>R(B) ; GB0-A-3E52
(ucs-set-char #x75BD ?$BaT(B) ; J83-B-6154
(ucs-set-char #x75BE ?$(Crp(B) ; KS0-C-7270
(ucs-set-char #x75BE ?$(GVh(B) ; C01-G-5668
(ucs-set-char #x75BE ?$@<@(B) ; J78-@-3C40
(ucs-set-char #x75BE ?$A<2(B) ; GB0-A-3C32
(ucs-set-char #x75BE ?$B<@(B) ; J83-B-3C40
(ucs-set-char #x75BF ?$(DMO(B) ; J90-D-4D4F
(ucs-set-char #x75BF ?$(H1+(B) ; C02-H-312B
(ucs-set-char #x75C0 ?$(DMP(B) ; J90-D-4D50
(ucs-set-char #x75C0 ?$(H1*(B) ; C02-H-312A
(ucs-set-char #x75C1 ?$(DMQ(B) ; J90-D-4D51
(ucs-set-char #x75C1 ?$(H1'(B) ; C02-H-3127
(ucs-set-char #x75C2 ?$(CJ2(B) ; KS0-C-4A32
(ucs-set-char #x75C2 ?$(GVp(B) ; C01-G-5670
(ucs-set-char #x75C2 ?$@aP(B) ; J78-@-6150
(ucs-set-char #x75C2 ?$Aph(B) ; GB0-A-7068
(ucs-set-char #x75C2 ?$BaP(B) ; J83-B-6150
(ucs-set-char #x75C3 ?$(I2R(B) ; C03-I-3252
(ucs-set-char #x75C3 ?$@aR(B) ; J78-@-6152
(ucs-set-char #x75C3 ?$Apg(B) ; GB0-A-7067
(ucs-set-char #x75C3 ?$BaR(B) ; J83-B-6152
(ucs-set-char #x75C4 ?$(DMR(B) ; J90-D-4D52
(ucs-set-char #x75C4 ?$(H1)(B) ; C02-H-3129
(ucs-set-char #x75C4 ?$Apd(B) ; GB0-A-7064
(ucs-set-char #x75C5 ?$(C\;(B) ; KS0-C-5C3B
(ucs-set-char #x75C5 ?$(GVi(B) ; C01-G-5669
(ucs-set-char #x75C5 ?$@IB(B) ; J78-@-4942
(ucs-set-char #x75C5 ?$A2!(B) ; GB0-A-3221
(ucs-set-char #x75C5 ?$BIB(B) ; J83-B-4942
(ucs-set-char #x75C6 ?$(DMS(B) ; J90-D-4D53
(ucs-set-char #x75C6 ?$(J.4(B) ; C04-J-2E34
(ucs-set-char #x75C7 ?$(Cqx(B) ; KS0-C-7178
(ucs-set-char #x75C7 ?$(GVj(B) ; C01-G-566A
(ucs-set-char #x75C7 ?$@>I(B) ; J78-@-3E49
(ucs-set-char #x75C7 ?$AV"(B) ; GB0-A-5622
(ucs-set-char #x75C7 ?$B>I(B) ; J83-B-3E49
(ucs-set-char #x75C8 ?$AS8(B) ; GB0-A-5338
(ucs-set-char #x75C9 ?$A>7(B) ; GB0-A-3E37
(ucs-set-char #x75CA ?$(G\1(B) ; C01-G-5C31
(ucs-set-char #x75CA ?$@aY(B) ; J78-@-6159
(ucs-set-char #x75CA ?$AH,(B) ; GB0-A-482C
(ucs-set-char #x75CA ?$BaY(B) ; J83-B-6159
(ucs-set-char #x75CB ?$(H7D(B) ; C02-H-3744
(ucs-set-char #x75CC ?$(DMT(B) ; J90-D-4D54
(ucs-set-char #x75CC ?$(H7E(B) ; C02-H-3745
(ucs-set-char #x75CD ?$(Cl7(B) ; KS0-C-6C37
(ucs-set-char #x75CD ?$(G\2(B) ; C01-G-5C32
(ucs-set-char #x75CD ?$@aX(B) ; J78-@-6158
(ucs-set-char #x75CD ?$Apj(B) ; GB0-A-706A
(ucs-set-char #x75CD ?$BaX(B) ; J83-B-6158
(ucs-set-char #x75CE ?$(DMU(B) ; J90-D-4D55
(ucs-set-char #x75CE ?$(H7A(B) ; C02-H-3741
(ucs-set-char #x75CF ?$(DMV(B) ; J90-D-4D56
(ucs-set-char #x75CF ?$(H7C(B) ; C02-H-3743
(ucs-set-char #x75D0 ?$(H7G(B) ; C02-H-3747
(ucs-set-char #x75D1 ?$(H7F(B) ; C02-H-3746
(ucs-set-char #x75D2 ?$(CeJ(B) ; KS0-C-654A
(ucs-set-char #x75D2 ?$(H7B(B) ; C02-H-3742
(ucs-set-char #x75D2 ?$@aZ(B) ; J78-@-615A
(ucs-set-char #x75D2 ?$AQw(B) ; GB0-A-5177
(ucs-set-char #x75D2 ?$BaZ(B) ; J83-B-615A
(ucs-set-char #x75D3 ?$(I7J(B) ; C03-I-374A
(ucs-set-char #x75D4 ?$(Cv@(B) ; KS0-C-7640
(ucs-set-char #x75D4 ?$(G\.(B) ; C01-G-5C2E
(ucs-set-char #x75D4 ?$@<&(B) ; J78-@-3C26
(ucs-set-char #x75D4 ?$AVL(B) ; GB0-A-564C
(ucs-set-char #x75D4 ?$B<&(B) ; J83-B-3C26
(ucs-set-char #x75D5 ?$(C}](B) ; KS0-C-7D5D
(ucs-set-char #x75D5 ?$(G\/(B) ; C01-G-5C2F
(ucs-set-char #x75D5 ?$@:/(B) ; J78-@-3A2F
(ucs-set-char #x75D5 ?$A:[(B) ; GB0-A-3A5B
(ucs-set-char #x75D5 ?$B:/(B) ; J83-B-3A2F
(ucs-set-char #x75D6 ?$Api(B) ; GB0-A-7069
(ucs-set-char #x75D7 ?$(DMW(B) ; J90-D-4D57
(ucs-set-char #x75D7 ?$(H>:(B) ; C02-H-3E3A
(ucs-set-char #x75D8 ?$(CTc(B) ; KS0-C-5463
(ucs-set-char #x75D8 ?$(G`q(B) ; C01-G-6071
(ucs-set-char #x75D8 ?$@Ew(B) ; J78-@-4577
(ucs-set-char #x75D8 ?$A6;(B) ; GB0-A-363B
(ucs-set-char #x75D8 ?$BEw(B) ; J83-B-4577
(ucs-set-char #x75D9 ?$(CLb(B) ; KS0-C-4C62
(ucs-set-char #x75D9 ?$(G`p(B) ; C01-G-6070
(ucs-set-char #x75D9 ?$@a[(B) ; J78-@-615B
(ucs-set-char #x75D9 ?$Ba[(B) ; J83-B-615B
(ucs-set-char #x75DA ?$(H>4(B) ; C02-H-3E34
(ucs-set-char #x75DB ?$(CwT(B) ; KS0-C-7754
(ucs-set-char #x75DB ?$(G`n(B) ; C01-G-606E
(ucs-set-char #x75DB ?$@DK(B) ; J78-@-444B
(ucs-set-char #x75DB ?$AM4(B) ; GB0-A-4D34
(ucs-set-char #x75DB ?$BDK(B) ; J83-B-444B
(ucs-set-char #x75DC ?$(DMX(B) ; J90-D-4D58
(ucs-set-char #x75DC ?$(J94(B) ; C04-J-3934
(ucs-set-char #x75DD ?$(H>7(B) ; C02-H-3E37
(ucs-set-char #x75DE ?$(G`r(B) ; C01-G-6072
(ucs-set-char #x75DE ?$@a](B) ; J78-@-615D
(ucs-set-char #x75DE ?$AF&(B) ; GB0-A-4626
(ucs-set-char #x75DE ?$Ba](B) ; J83-B-615D
(ucs-set-char #x75DF ?$(DMY(B) ; J90-D-4D59
(ucs-set-char #x75DF ?$(H>8(B) ; C02-H-3E38
(ucs-set-char #x75E0 ?$(DMZ(B) ; J90-D-4D5A
(ucs-set-char #x75E0 ?$(G`s(B) ; C01-G-6073
(ucs-set-char #x75E1 ?$(DM[(B) ; J90-D-4D5B
(ucs-set-char #x75E1 ?$(H>5(B) ; C02-H-3E35
(ucs-set-char #x75E2 ?$(CWe(B) ; KS0-C-5765
(ucs-set-char #x75E2 ?$(G`m(B) ; C01-G-606D
(ucs-set-char #x75E2 ?$@N!(B) ; J78-@-4E21
(ucs-set-char #x75E2 ?$AA!(B) ; GB0-A-4121
(ucs-set-char #x75E2 ?$BN!(B) ; J83-B-4E21
(ucs-set-char #x75E3 ?$(G`o(B) ; C01-G-606F
(ucs-set-char #x75E3 ?$@a\(B) ; J78-@-615C
(ucs-set-char #x75E3 ?$Apk(B) ; GB0-A-706B
(ucs-set-char #x75E3 ?$Ba\(B) ; J83-B-615C
(ucs-set-char #x75E4 ?$(DM\(B) ; J90-D-4D5C
(ucs-set-char #x75E4 ?$(H>9(B) ; C02-H-3E39
(ucs-set-char #x75E4 ?$Apn(B) ; GB0-A-706E
(ucs-set-char #x75E5 ?$(I=G(B) ; C03-I-3D47
(ucs-set-char #x75E6 ?$(H>6(B) ; C02-H-3E36
(ucs-set-char #x75E6 ?$Apm(B) ; GB0-A-706D
(ucs-set-char #x75E7 ?$(DM](B) ; J90-D-4D5D
(ucs-set-char #x75E7 ?$(H>3(B) ; C02-H-3E33
(ucs-set-char #x75E7 ?$App(B) ; GB0-A-7070
(ucs-set-char #x75E8 ?$Apl(B) ; GB0-A-706C
(ucs-set-char #x75E9 ?$BAi(B) ; J83-B-4169
(ucs-set-char #x75EA ?$A;>(B) ; GB0-A-3B3E
(ucs-set-char #x75EB ?$Apo(B) ; GB0-A-706F
(ucs-set-char #x75EC ?$(DM^(B) ; J90-D-4D5E
(ucs-set-char #x75EC ?$(J>w(B) ; C04-J-3E77
(ucs-set-char #x75ED ?$(HE8(B) ; C02-H-4538
(ucs-set-char #x75EE ?$(DM_(B) ; J90-D-4D5F
(ucs-set-char #x75EE ?$(IB|(B) ; C03-I-427C
(ucs-set-char #x75EF ?$(DM`(B) ; J90-D-4D60
(ucs-set-char #x75EF ?$(HE-(B) ; C02-H-452D
(ucs-set-char #x75F0 ?$(CSC(B) ; KS0-C-5343
(ucs-set-char #x75F0 ?$(Ge8(B) ; C01-G-6538
(ucs-set-char #x75F0 ?$@ab(B) ; J78-@-6162
(ucs-set-char #x75F0 ?$AL5(B) ; GB0-A-4C35
(ucs-set-char #x75F0 ?$Bab(B) ; J83-B-6162
(ucs-set-char #x75F1 ?$(DMa(B) ; J90-D-4D61
(ucs-set-char #x75F1 ?$(Ge;(B) ; C01-G-653B
(ucs-set-char #x75F1 ?$Apr(B) ; GB0-A-7072
(ucs-set-char #x75F2 ?$(CX&(B) ; KS0-C-5826
(ucs-set-char #x75F2 ?$(Ge:(B) ; C01-G-653A
(ucs-set-char #x75F2 ?$@ad(B) ; J78-@-6164
(ucs-set-char #x75F2 ?$Bad(B) ; J83-B-6164
(ucs-set-char #x75F3 ?$(Ge?(B) ; C01-G-653F
(ucs-set-char #x75F3 ?$@ae(B) ; J78-@-6165
(ucs-set-char #x75F3 ?$Bae(B) ; J83-B-6165
(ucs-set-char #x75F4 ?$(CvA(B) ; KS0-C-7641
(ucs-set-char #x75F4 ?$(Ge>(B) ; C01-G-653E
(ucs-set-char #x75F4 ?$@CT(B) ; J78-@-4354
(ucs-set-char #x75F4 ?$A3U(B) ; GB0-A-3355
(ucs-set-char #x75F4 ?$BCT(B) ; J83-B-4354
(ucs-set-char #x75F5 ?$(HE9(B) ; C02-H-4539
(ucs-set-char #x75F6 ?$(HE7(B) ; C02-H-4537
(ucs-set-char #x75F7 ?$(HE0(B) ; C02-H-4530
(ucs-set-char #x75F8 ?$(HE4(B) ; C02-H-4534
(ucs-set-char #x75F9 ?$(DMb(B) ; J90-D-4D62
(ucs-set-char #x75F9 ?$(HE3(B) ; C02-H-4533
(ucs-set-char #x75F9 ?$A1T(B) ; GB0-A-3154
(ucs-set-char #x75FA ?$(C]v(B) ; KS0-C-5D76
(ucs-set-char #x75FA ?$(Ge<(B) ; C01-G-653C
(ucs-set-char #x75FA ?$@ac(B) ; J78-@-6163
(ucs-set-char #x75FA ?$Bac(B) ; J83-B-6163
(ucs-set-char #x75FB ?$(HE6(B) ; C02-H-4536
(ucs-set-char #x75FC ?$(CM@(B) ; KS0-C-4D40
(ucs-set-char #x75FC ?$(HE2(B) ; C02-H-4532
(ucs-set-char #x75FC ?$@a`(B) ; J78-@-6160
(ucs-set-char #x75FC ?$Aps(B) ; GB0-A-7073
(ucs-set-char #x75FC ?$Ba`(B) ; J83-B-6160
(ucs-set-char #x75FD ?$(HE:(B) ; C02-H-453A
(ucs-set-char #x75FE ?$(HE1(B) ; C02-H-4531
(ucs-set-char #x75FE ?$@a^(B) ; J78-@-615E
(ucs-set-char #x75FE ?$Ba^(B) ; J83-B-615E
(ucs-set-char #x75FF ?$(Ge=(B) ; C01-G-653D
(ucs-set-char #x75FF ?$@a_(B) ; J78-@-615F
(ucs-set-char #x75FF ?$Apt(B) ; GB0-A-7074
(ucs-set-char #x75FF ?$Ba_(B) ; J83-B-615F
(ucs-set-char #x7600 ?$(Ce\(B) ; KS0-C-655C
(ucs-set-char #x7600 ?$(DMc(B) ; J90-D-4D63
(ucs-set-char #x7600 ?$(Ge7(B) ; C01-G-6537
(ucs-set-char #x7600 ?$Apv(B) ; GB0-A-7076
(ucs-set-char #x7601 ?$(Ge9(B) ; C01-G-6539
(ucs-set-char #x7601 ?$@aa(B) ; J78-@-6161
(ucs-set-char #x7601 ?$A4a(B) ; GB0-A-3461
(ucs-set-char #x7601 ?$Baa(B) ; J83-B-6161
(ucs-set-char #x7602 ?$(DMd(B) ; J90-D-4D64
(ucs-set-char #x7602 ?$(IB}(B) ; C03-I-427D
(ucs-set-char #x7603 ?$(DMe(B) ; J90-D-4D65
(ucs-set-char #x7603 ?$(HE/(B) ; C02-H-452F
(ucs-set-char #x7603 ?$Apq(B) ; GB0-A-7071
(ucs-set-char #x7604 ?$(DMf(B) ; J90-D-4D66
(ucs-set-char #x7605 ?$Apw(B) ; GB0-A-7077
(ucs-set-char #x7607 ?$(DMg(B) ; J90-D-4D67
(ucs-set-char #x7607 ?$(IH+(B) ; C03-I-482B
(ucs-set-char #x7608 ?$(DMh(B) ; J90-D-4D68
(ucs-set-char #x7608 ?$(HL#(B) ; C02-H-4C23
(ucs-set-char #x7609 ?$(Gin(B) ; C01-G-696E
(ucs-set-char #x7609 ?$@ah(B) ; J78-@-6168
(ucs-set-char #x7609 ?$Bah(B) ; J83-B-6168
(ucs-set-char #x760A ?$(DMi(B) ; J90-D-4D69
(ucs-set-char #x760A ?$(HL'(B) ; C02-H-4C27
(ucs-set-char #x760A ?$Apz(B) ; GB0-A-707A
(ucs-set-char #x760B ?$(Gim(B) ; C01-G-696D
(ucs-set-char #x760B ?$@af(B) ; J78-@-6166
(ucs-set-char #x760B ?$Baf(B) ; J83-B-6166
(ucs-set-char #x760C ?$(DMj(B) ; J90-D-4D6A
(ucs-set-char #x760C ?$(HL$(B) ; C02-H-4C24
(ucs-set-char #x760C ?$Apx(B) ; GB0-A-7078
(ucs-set-char #x760D ?$(CeK(B) ; KS0-C-654B
(ucs-set-char #x760D ?$(Gil(B) ; C01-G-696C
(ucs-set-char #x760D ?$@ag(B) ; J78-@-6167
(ucs-set-char #x760D ?$Bag(B) ; J83-B-6167
(ucs-set-char #x760E ?$(IH)(B) ; C03-I-4829
(ucs-set-char #x760F ?$(DMk(B) ; J90-D-4D6B
(ucs-set-char #x760F ?$(HE.(B) ; C02-H-452E
(ucs-set-char #x7610 ?$(HE5(B) ; C02-H-4535
(ucs-set-char #x7610 ?$Apu(B) ; GB0-A-7075
(ucs-set-char #x7611 ?$(HL&(B) ; C02-H-4C26
(ucs-set-char #x7612 ?$(DMl(B) ; J90-D-4D6C
(ucs-set-char #x7612 ?$(JD~(B) ; C04-J-447E
(ucs-set-char #x7613 ?$(DMm(B) ; J90-D-4D6D
(ucs-set-char #x7613 ?$(Gio(B) ; C01-G-696F
(ucs-set-char #x7614 ?$(HL((B) ; C02-H-4C28
(ucs-set-char #x7615 ?$(DMn(B) ; J90-D-4D6E
(ucs-set-char #x7615 ?$(HL%(B) ; C02-H-4C25
(ucs-set-char #x7615 ?$Ap}(B) ; GB0-A-707D
(ucs-set-char #x7616 ?$(DMo(B) ; J90-D-4D6F
(ucs-set-char #x7616 ?$(HL"(B) ; C02-H-4C22
(ucs-set-char #x7617 ?$Apy(B) ; GB0-A-7079
(ucs-set-char #x7618 ?$Ap|(B) ; GB0-A-707C
(ucs-set-char #x7619 ?$(CaD(B) ; KS0-C-6144
(ucs-set-char #x7619 ?$(DMp(B) ; J90-D-4D70
(ucs-set-char #x7619 ?$(HR9(B) ; C02-H-5239
(ucs-set-char #x7619 ?$Ap~(B) ; GB0-A-707E
(ucs-set-char #x761A ?$(HR=(B) ; C02-H-523D
(ucs-set-char #x761B ?$(DMq(B) ; J90-D-4D71
(ucs-set-char #x761B ?$(HR?(B) ; C02-H-523F
(ucs-set-char #x761B ?$Aq!(B) ; GB0-A-7121
(ucs-set-char #x761C ?$(DMr(B) ; J90-D-4D72
(ucs-set-char #x761C ?$(HR;(B) ; C02-H-523B
(ucs-set-char #x761D ?$(DMs(B) ; J90-D-4D73
(ucs-set-char #x761D ?$(HR:(B) ; C02-H-523A
(ucs-set-char #x761E ?$(DMt(B) ; J90-D-4D74
(ucs-set-char #x761E ?$(HR8(B) ; C02-H-5238
(ucs-set-char #x761F ?$(Ch0(B) ; KS0-C-6830
(ucs-set-char #x761F ?$(Gmn(B) ; C01-G-6D6E
(ucs-set-char #x761F ?$@ai(B) ; J78-@-6169
(ucs-set-char #x761F ?$ANA(B) ; GB0-A-4E41
(ucs-set-char #x761F ?$Bai(B) ; J83-B-6169
(ucs-set-char #x7620 ?$(Ct0(B) ; KS0-C-7430
(ucs-set-char #x7620 ?$(Gml(B) ; C01-G-6D6C
(ucs-set-char #x7620 ?$@ak(B) ; J78-@-616B
(ucs-set-char #x7620 ?$Aq$(B) ; GB0-A-7124
(ucs-set-char #x7620 ?$Bak(B) ; J83-B-616B
(ucs-set-char #x7621 ?$(Csj(B) ; KS0-C-736A
(ucs-set-char #x7621 ?$(Gmq(B) ; C01-G-6D71
(ucs-set-char #x7621 ?$@al(B) ; J78-@-616C
(ucs-set-char #x7621 ?$Bal(B) ; J83-B-616C
(ucs-set-char #x7622 ?$(CZn(B) ; KS0-C-5A6E
(ucs-set-char #x7622 ?$(Gmr(B) ; C01-G-6D72
(ucs-set-char #x7622 ?$@am(B) ; J78-@-616D
(ucs-set-char #x7622 ?$Aq#(B) ; GB0-A-7123
(ucs-set-char #x7622 ?$Bam(B) ; J83-B-616D
(ucs-set-char #x7623 ?$(DMu(B) ; J90-D-4D75
(ucs-set-char #x7623 ?$(HR<(B) ; C02-H-523C
(ucs-set-char #x7624 ?$(CW;(B) ; KS0-C-573B
(ucs-set-char #x7624 ?$(Gmo(B) ; C01-G-6D6F
(ucs-set-char #x7624 ?$@an(B) ; J78-@-616E
(ucs-set-char #x7624 ?$AAv(B) ; GB0-A-4176
(ucs-set-char #x7624 ?$Ban(B) ; J83-B-616E
(ucs-set-char #x7625 ?$(DMv(B) ; J90-D-4D76
(ucs-set-char #x7625 ?$(HR7(B) ; C02-H-5237
(ucs-set-char #x7625 ?$Ap{(B) ; GB0-A-707B
(ucs-set-char #x7626 ?$(Cb1(B) ; KS0-C-6231
(ucs-set-char #x7626 ?$(DMw(B) ; J90-D-4D77
(ucs-set-char #x7626 ?$(Gmp(B) ; C01-G-6D70
(ucs-set-char #x7626 ?$@Ai(B) ; J78-@-4169
(ucs-set-char #x7626 ?$AJ](B) ; GB0-A-4A5D
(ucs-set-char #x7627 ?$(Gik(B) ; C01-G-696B
(ucs-set-char #x7627 ?$@aj(B) ; J78-@-616A
(ucs-set-char #x7627 ?$Baj(B) ; J83-B-616A
(ucs-set-char #x7628 ?$(HR>(B) ; C02-H-523E
(ucs-set-char #x7629 ?$(DMx(B) ; J90-D-4D78
(ucs-set-char #x7629 ?$(Gmm(B) ; C01-G-6D6D
(ucs-set-char #x7629 ?$A4q(B) ; GB0-A-3471
(ucs-set-char #x762A ?$A1q(B) ; GB0-A-3171
(ucs-set-char #x762B ?$AL1(B) ; GB0-A-4C31
(ucs-set-char #x762C ?$(IQq(B) ; C03-I-5171
(ucs-set-char #x762D ?$(DMy(B) ; J90-D-4D79
(ucs-set-char #x762D ?$(HXX(B) ; C02-H-5858
(ucs-set-char #x762D ?$Aq&(B) ; GB0-A-7126
(ucs-set-char #x762E ?$(JQO(B) ; C04-J-514F
(ucs-set-char #x762F ?$(HXW(B) ; C02-H-5857
(ucs-set-char #x7630 ?$(HX_(B) ; C02-H-585F
(ucs-set-char #x7630 ?$@ap(B) ; J78-@-6170
(ucs-set-char #x7630 ?$Aq'(B) ; GB0-A-7127
(ucs-set-char #x7630 ?$Bap(B) ; J83-B-6170
(ucs-set-char #x7631 ?$(HXY(B) ; C02-H-5859
(ucs-set-char #x7632 ?$(DMz(B) ; J90-D-4D7A
(ucs-set-char #x7632 ?$(HX^(B) ; C02-H-585E
(ucs-set-char #x7633 ?$(DM{(B) ; J90-D-4D7B
(ucs-set-char #x7633 ?$(HX[(B) ; C02-H-585B
(ucs-set-char #x7633 ?$Aq,(B) ; GB0-A-712C
(ucs-set-char #x7634 ?$(GqJ(B) ; C01-G-714A
(ucs-set-char #x7634 ?$@ao(B) ; J78-@-616F
(ucs-set-char #x7634 ?$AUN(B) ; GB0-A-554E
(ucs-set-char #x7634 ?$Bao(B) ; J83-B-616F
(ucs-set-char #x7635 ?$(DM|(B) ; J90-D-4D7C
(ucs-set-char #x7635 ?$(HX](B) ; C02-H-585D
(ucs-set-char #x7635 ?$Aq)(B) ; GB0-A-7129
(ucs-set-char #x7636 ?$(IQs(B) ; C03-I-5173
(ucs-set-char #x7637 ?$(IQr(B) ; C03-I-5172
(ucs-set-char #x7638 ?$(DM}(B) ; J90-D-4D7D
(ucs-set-char #x7638 ?$(GqK(B) ; C01-G-714B
(ucs-set-char #x7638 ?$AH3(B) ; GB0-A-4833
(ucs-set-char #x7639 ?$(DM~(B) ; J90-D-4D7E
(ucs-set-char #x7639 ?$(JQM(B) ; C04-J-514D
(ucs-set-char #x763A ?$(DN!(B) ; J90-D-4E21
(ucs-set-char #x763A ?$(GqL(B) ; C01-G-714C
(ucs-set-char #x763B ?$(CW*(B) ; KS0-C-572A
(ucs-set-char #x763B ?$(IQt(B) ; C03-I-5174
(ucs-set-char #x763B ?$@aq(B) ; J78-@-6171
(ucs-set-char #x763B ?$Baq(B) ; J83-B-6171
(ucs-set-char #x763C ?$(DN"(B) ; J90-D-4E22
(ucs-set-char #x763C ?$(HX\(B) ; C02-H-585C
(ucs-set-char #x763C ?$Aq"(B) ; GB0-A-7122
(ucs-set-char #x763D ?$(HXZ(B) ; C02-H-585A
(ucs-set-char #x763E ?$Aq+(B) ; GB0-A-712B
(ucs-set-char #x763F ?$Aq((B) ; GB0-A-7128
(ucs-set-char #x7640 ?$(DN$(B) ; J90-D-4E24
(ucs-set-char #x7640 ?$(JW!(B) ; C04-J-5721
(ucs-set-char #x7640 ?$Aq%(B) ; GB0-A-7125
(ucs-set-char #x7641 ?$(DN%(B) ; J90-D-4E25
(ucs-set-char #x7641 ?$(JW$(B) ; C04-J-5724
(ucs-set-char #x7642 ?$(CV{(B) ; KS0-C-567B
(ucs-set-char #x7642 ?$(GtC(B) ; C01-G-7443
(ucs-set-char #x7642 ?$@NE(B) ; J78-@-4E45
(ucs-set-char #x7642 ?$BNE(B) ; J83-B-4E45
(ucs-set-char #x7643 ?$(DN&(B) ; J90-D-4E26
(ucs-set-char #x7643 ?$(H]`(B) ; C02-H-5D60
(ucs-set-char #x7643 ?$Aq*(B) ; GB0-A-712A
(ucs-set-char #x7644 ?$(DN'(B) ; J90-D-4E27
(ucs-set-char #x7644 ?$(IUU(B) ; C03-I-5555
(ucs-set-char #x7645 ?$(DN((B) ; J90-D-4E28
(ucs-set-char #x7645 ?$(IUS(B) ; C03-I-5553
(ucs-set-char #x7646 ?$(GtB(B) ; C01-G-7442
(ucs-set-char #x7646 ?$@at(B) ; J78-@-6174
(ucs-set-char #x7646 ?$Bat(B) ; J83-B-6174
(ucs-set-char #x7647 ?$(H]c(B) ; C02-H-5D63
(ucs-set-char #x7647 ?$@ar(B) ; J78-@-6172
(ucs-set-char #x7647 ?$Bar(B) ; J83-B-6172
(ucs-set-char #x7648 ?$(H]a(B) ; C02-H-5D61
(ucs-set-char #x7648 ?$@as(B) ; J78-@-6173
(ucs-set-char #x7648 ?$Bas(B) ; J83-B-6173
(ucs-set-char #x7649 ?$(DN)(B) ; J90-D-4E29
(ucs-set-char #x7649 ?$(H]b(B) ; C02-H-5D62
(ucs-set-char #x764A ?$(DN#(B) ; J90-D-4E23
(ucs-set-char #x764A ?$(KUi(B) ; C05-K-5569
(ucs-set-char #x764B ?$(DN*(B) ; J90-D-4E2A
(ucs-set-char #x764B ?$(K\6(B) ; C05-K-5C36
(ucs-set-char #x764C ?$(Cd_(B) ; KS0-C-645F
(ucs-set-char #x764C ?$(GtD(B) ; C01-G-7444
(ucs-set-char #x764C ?$@4b(B) ; J78-@-3462
(ucs-set-char #x764C ?$A0)(B) ; GB0-A-3029
(ucs-set-char #x764C ?$B4b(B) ; J83-B-3462
(ucs-set-char #x764D ?$Aq-(B) ; GB0-A-712D
(ucs-set-char #x764E ?$(CJV(B) ; KS0-C-4A56
(ucs-set-char #x764E ?$(IUT(B) ; C03-I-5554
(ucs-set-char #x764F ?$(IX4(B) ; C03-I-5834
(ucs-set-char #x7650 ?$(Hb:(B) ; C02-H-623A
(ucs-set-char #x7651 ?$(IX3(B) ; C03-I-5833
(ucs-set-char #x7652 ?$(Ck((B) ; KS0-C-6B28
(ucs-set-char #x7652 ?$(Gvk(B) ; C01-G-766B
(ucs-set-char #x7652 ?$@L~(B) ; J78-@-4C7E
(ucs-set-char #x7652 ?$BL~(B) ; J83-B-4C7E
(ucs-set-char #x7653 ?$(Hb;(B) ; C02-H-623B
(ucs-set-char #x7654 ?$(J[u(B) ; C04-J-5B75
(ucs-set-char #x7654 ?$Aq/(B) ; GB0-A-712F
(ucs-set-char #x7655 ?$(DN+(B) ; J90-D-4E2B
(ucs-set-char #x7655 ?$(J[y(B) ; C04-J-5B79
(ucs-set-char #x7656 ?$(C[~(B) ; KS0-C-5B7E
(ucs-set-char #x7656 ?$(Gvi(B) ; C01-G-7669
(ucs-set-char #x7656 ?$@JJ(B) ; J78-@-4A4A
(ucs-set-char #x7656 ?$Aq1(B) ; GB0-A-7131
(ucs-set-char #x7656 ?$BJJ(B) ; J83-B-4A4A
(ucs-set-char #x7657 ?$(Hb<(B) ; C02-H-623C
(ucs-set-char #x7658 ?$(Gvj(B) ; C01-G-766A
(ucs-set-char #x7658 ?$@av(B) ; J78-@-6176
(ucs-set-char #x7658 ?$Bav(B) ; J83-B-6176
(ucs-set-char #x7659 ?$(DN,(B) ; J90-D-4E2C
(ucs-set-char #x7659 ?$(Hb9(B) ; C02-H-6239
(ucs-set-char #x765A ?$(Hb=(B) ; C02-H-623D
(ucs-set-char #x765B ?$(IX2(B) ; C03-I-5832
(ucs-set-char #x765C ?$(Hb7(B) ; C02-H-6237
(ucs-set-char #x765C ?$@au(B) ; J78-@-6175
(ucs-set-char #x765C ?$Aq0(B) ; GB0-A-7130
(ucs-set-char #x765C ?$Bau(B) ; J83-B-6175
(ucs-set-char #x765E ?$Aq.(B) ; GB0-A-712E
(ucs-set-char #x765F ?$(DN-(B) ; J90-D-4E2D
(ucs-set-char #x765F ?$(GxR(B) ; C01-G-7852
(ucs-set-char #x7660 ?$(Hf$(B) ; C02-H-6624
(ucs-set-char #x7661 ?$(CvB(B) ; KS0-C-7642
(ucs-set-char #x7661 ?$(GxS(B) ; C01-G-7853
(ucs-set-char #x7661 ?$@aw(B) ; J78-@-6177
(ucs-set-char #x7661 ?$Baw(B) ; J83-B-6177
(ucs-set-char #x7662 ?$(Gyz(B) ; C01-G-797A
(ucs-set-char #x7662 ?$@ax(B) ; J78-@-6178
(ucs-set-char #x7662 ?$Bax(B) ; J83-B-6178
(ucs-set-char #x7663 ?$AQ"(B) ; GB0-A-5122
(ucs-set-char #x7664 ?$(Co;(B) ; KS0-C-6F3B
(ucs-set-char #x7664 ?$(DN.(B) ; J90-D-4E2E
(ucs-set-char #x7664 ?$(Hb8(B) ; C02-H-6238
(ucs-set-char #x7665 ?$(DN/(B) ; J90-D-4E2F
(ucs-set-char #x7665 ?$(Gy{(B) ; C01-G-797B
(ucs-set-char #x7667 ?$(I^?(B) ; C03-I-5E3F
(ucs-set-char #x7667 ?$@a|(B) ; J78-@-617C
(ucs-set-char #x7667 ?$Ba|(B) ; J83-B-617C
(ucs-set-char #x7668 ?$(I^>(B) ; C03-I-5E3E
(ucs-set-char #x7668 ?$@ay(B) ; J78-@-6179
(ucs-set-char #x7668 ?$Bay(B) ; J83-B-6179
(ucs-set-char #x7669 ?$(CT}(B) ; KS0-C-547D
(ucs-set-char #x7669 ?$(Gzy(B) ; C01-G-7A79
(ucs-set-char #x7669 ?$@az(B) ; J78-@-617A
(ucs-set-char #x7669 ?$Baz(B) ; J83-B-617A
(ucs-set-char #x766A ?$(Hkm(B) ; C02-H-6B6D
(ucs-set-char #x766A ?$@a{(B) ; J78-@-617B
(ucs-set-char #x766A ?$Ba{(B) ; J83-B-617B
(ucs-set-char #x766B ?$Aq2(B) ; GB0-A-7132
(ucs-set-char #x766C ?$(C`H(B) ; KS0-C-6048
(ucs-set-char #x766C ?$(G{j(B) ; C01-G-7B6A
(ucs-set-char #x766C ?$@a}(B) ; J78-@-617D
(ucs-set-char #x766C ?$Ba}(B) ; J83-B-617D
(ucs-set-char #x766D ?$(DN0(B) ; J90-D-4E30
(ucs-set-char #x766D ?$(Hmb(B) ; C02-H-6D62
(ucs-set-char #x766E ?$(DN1(B) ; J90-D-4E31
(ucs-set-char #x766E ?$(G{i(B) ; C01-G-7B69
(ucs-set-char #x766F ?$(DN2(B) ; J90-D-4E32
(ucs-set-char #x766F ?$(I`;(B) ; C03-I-603B
(ucs-set-char #x766F ?$Aq3(B) ; GB0-A-7133
(ucs-set-char #x7670 ?$(Ch9(B) ; KS0-C-6839
(ucs-set-char #x7670 ?$(Ho9(B) ; C02-H-6F39
(ucs-set-char #x7670 ?$@a~(B) ; J78-@-617E
(ucs-set-char #x7670 ?$Ba~(B) ; J83-B-617E
(ucs-set-char #x7671 ?$(DN3(B) ; J90-D-4E33
(ucs-set-char #x7671 ?$(G|a(B) ; C01-G-7C61
(ucs-set-char #x7672 ?$(Co&(B) ; KS0-C-6F26
(ucs-set-char #x7672 ?$(G|b(B) ; C01-G-7C62
(ucs-set-char #x7672 ?$@b!(B) ; J78-@-6221
(ucs-set-char #x7672 ?$Bb!(B) ; J83-B-6221
(ucs-set-char #x7674 ?$(DN4(B) ; J90-D-4E34
(ucs-set-char #x7674 ?$(MdR(B) ; C07-M-6452
(ucs-set-char #x7675 ?$(Hr:(B) ; C02-H-723A
(ucs-set-char #x7676 ?$(I"\(B) ; C03-I-225C
(ucs-set-char #x7676 ?$@b"(B) ; J78-@-6222
(ucs-set-char #x7676 ?$Bb"(B) ; J83-B-6222
(ucs-set-char #x7678 ?$(CM$(B) ; KS0-C-4D24
(ucs-set-char #x7678 ?$(GRT(B) ; C01-G-5254
(ucs-set-char #x7678 ?$@b#(B) ; J78-@-6223
(ucs-set-char #x7678 ?$A9o(B) ; GB0-A-396F
(ucs-set-char #x7678 ?$Bb#(B) ; J83-B-6223
(ucs-set-char #x7679 ?$(H,@(B) ; C02-H-2C40
(ucs-set-char #x767A ?$@H/(B) ; J78-@-482F
(ucs-set-char #x767A ?$BH/(B) ; J83-B-482F
(ucs-set-char #x767B ?$(CTt(B) ; KS0-C-5474
(ucs-set-char #x767B ?$(G`t(B) ; C01-G-6074
(ucs-set-char #x767B ?$@EP(B) ; J78-@-4550
(ucs-set-char #x767B ?$A5G(B) ; GB0-A-3547
(ucs-set-char #x767B ?$BEP(B) ; J83-B-4550
(ucs-set-char #x767C ?$(C[!(B) ; KS0-C-5B21
(ucs-set-char #x767C ?$(G`u(B) ; C01-G-6075
(ucs-set-char #x767C ?$@b$(B) ; J78-@-6224
(ucs-set-char #x767C ?$Bb$(B) ; J83-B-6224
(ucs-set-char #x767D ?$(C[\(B) ; KS0-C-5B5C
(ucs-set-char #x767D ?$(GFu(B) ; C01-G-4675
(ucs-set-char #x767D ?$@Gr(B) ; J78-@-4772
(ucs-set-char #x767D ?$A0W(B) ; GB0-A-3057
(ucs-set-char #x767D ?$BGr(B) ; J83-B-4772
(ucs-set-char #x767E ?$(C[](B) ; KS0-C-5B5D
(ucs-set-char #x767E ?$(GHK(B) ; C01-G-484B
(ucs-set-char #x767E ?$@I4(B) ; J78-@-4934
(ucs-set-char #x767E ?$A0Y(B) ; GB0-A-3059
(ucs-set-char #x767E ?$BI4(B) ; J83-B-4934
(ucs-set-char #x767F ?$(H"g(B) ; C02-H-2267
(ucs-set-char #x7680 ?$(I&t(B) ; C03-I-2674
(ucs-set-char #x7680 ?$@b%(B) ; J78-@-6225
(ucs-set-char #x7680 ?$Bb%(B) ; J83-B-6225
(ucs-set-char #x7681 ?$(DN5(B) ; J90-D-4E35
(ucs-set-char #x7681 ?$(H$q(B) ; C02-H-2471
(ucs-set-char #x7682 ?$(GK0(B) ; C01-G-4B30
(ucs-set-char #x7682 ?$ATm(B) ; GB0-A-546D
(ucs-set-char #x7683 ?$(I&v(B) ; C03-I-2676
(ucs-set-char #x7683 ?$@b&(B) ; J78-@-6226
(ucs-set-char #x7683 ?$Bb&(B) ; J83-B-6226
(ucs-set-char #x7684 ?$(Cn\(B) ; KS0-C-6E5C
(ucs-set-char #x7684 ?$(GN{(B) ; C01-G-4E7B
(ucs-set-char #x7684 ?$@E*(B) ; J78-@-452A
(ucs-set-char #x7684 ?$A5D(B) ; GB0-A-3544
(ucs-set-char #x7684 ?$BE*(B) ; J83-B-452A
(ucs-set-char #x7685 ?$(DN6(B) ; J90-D-4E36
(ucs-set-char #x7685 ?$(J*L(B) ; C04-J-2A4C
(ucs-set-char #x7686 ?$(CKK(B) ; KS0-C-4B4B
(ucs-set-char #x7686 ?$(GRU(B) ; C01-G-5255
(ucs-set-char #x7686 ?$@3'(B) ; J78-@-3327
(ucs-set-char #x7686 ?$A=T(B) ; GB0-A-3D54
(ucs-set-char #x7686 ?$B3'(B) ; J83-B-3327
(ucs-set-char #x7687 ?$(C|U(B) ; KS0-C-7C55
(ucs-set-char #x7687 ?$(GRV(B) ; C01-G-5256
(ucs-set-char #x7687 ?$@9D(B) ; J78-@-3944
(ucs-set-char #x7687 ?$A;J(B) ; GB0-A-3B4A
(ucs-set-char #x7687 ?$B9D(B) ; J83-B-3944
(ucs-set-char #x7688 ?$(GRW(B) ; C01-G-5257
(ucs-set-char #x7688 ?$@b'(B) ; J78-@-6227
(ucs-set-char #x7688 ?$Ap'(B) ; GB0-A-7027
(ucs-set-char #x7688 ?$Bb'(B) ; J83-B-6227
(ucs-set-char #x7689 ?$(H7I(B) ; C02-H-3749
(ucs-set-char #x768A ?$(H1.(B) ; C02-H-312E
(ucs-set-char #x768B ?$(GVr(B) ; C01-G-5672
(ucs-set-char #x768B ?$@b((B) ; J78-@-6228
(ucs-set-char #x768B ?$A8^(B) ; GB0-A-385E
(ucs-set-char #x768B ?$Bb((B) ; J83-B-6228
(ucs-set-char #x768C ?$(DN7(B) ; J90-D-4E37
(ucs-set-char #x768C ?$(J.A(B) ; C04-J-2E41
(ucs-set-char #x768D ?$(DN8(B) ; J90-D-4E38
(ucs-set-char #x768D ?$(J.C(B) ; C04-J-2E43
(ucs-set-char #x768E ?$(CNk(B) ; KS0-C-4E6B
(ucs-set-char #x768E ?$(G\3(B) ; C01-G-5C33
(ucs-set-char #x768E ?$@b)(B) ; J78-@-6229
(ucs-set-char #x768E ?$Ap((B) ; GB0-A-7028
(ucs-set-char #x768E ?$Bb)(B) ; J83-B-6229
(ucs-set-char #x768F ?$(H7H(B) ; C02-H-3748
(ucs-set-char #x7690 ?$(CMA(B) ; KS0-C-4D41
(ucs-set-char #x7690 ?$(I7M(B) ; C03-I-374D
(ucs-set-char #x7690 ?$@;)(B) ; J78-@-3B29
(ucs-set-char #x7690 ?$B;)(B) ; J83-B-3B29
(ucs-set-char #x7691 ?$A0((B) ; GB0-A-3028
(ucs-set-char #x7692 ?$(H><(B) ; C02-H-3E3C
(ucs-set-char #x7693 ?$(C{S(B) ; KS0-C-7B53
(ucs-set-char #x7693 ?$(G`w(B) ; C01-G-6077
(ucs-set-char #x7693 ?$@b+(B) ; J78-@-622B
(ucs-set-char #x7693 ?$Ap)(B) ; GB0-A-7029
(ucs-set-char #x7693 ?$Bb+(B) ; J83-B-622B
(ucs-set-char #x7694 ?$(I=L(B) ; C03-I-3D4C
(ucs-set-char #x7695 ?$(DN9(B) ; J90-D-4E39
(ucs-set-char #x7695 ?$(H>;(B) ; C02-H-3E3B
(ucs-set-char #x7696 ?$(G`v(B) ; C01-G-6076
(ucs-set-char #x7696 ?$@b*(B) ; J78-@-622A
(ucs-set-char #x7696 ?$AMn(B) ; GB0-A-4D6E
(ucs-set-char #x7696 ?$Bb*(B) ; J83-B-622A
(ucs-set-char #x7697 ?$(IB~(B) ; C03-I-427E
(ucs-set-char #x7698 ?$(IC!(B) ; C03-I-4321
(ucs-set-char #x7699 ?$(HE;(B) ; C02-H-453B
(ucs-set-char #x7699 ?$@b,(B) ; J78-@-622C
(ucs-set-char #x7699 ?$Ap*(B) ; GB0-A-702A
(ucs-set-char #x7699 ?$Bb,(B) ; J83-B-622C
(ucs-set-char #x769A ?$(Gms(B) ; C01-G-6D73
(ucs-set-char #x769A ?$@b-(B) ; J78-@-622D
(ucs-set-char #x769A ?$Bb-(B) ; J83-B-622D
(ucs-set-char #x769B ?$(DN:(B) ; J90-D-4E3A
(ucs-set-char #x769B ?$(HRC(B) ; C02-H-5243
(ucs-set-char #x769C ?$(DN;(B) ; J90-D-4E3B
(ucs-set-char #x769C ?$(HR@(B) ; C02-H-5240
(ucs-set-char #x769D ?$(DN<(B) ; J90-D-4E3C
(ucs-set-char #x769D ?$(HRA(B) ; C02-H-5241
(ucs-set-char #x769E ?$(HRB(B) ; C02-H-5242
(ucs-set-char #x769F ?$(DN=(B) ; J90-D-4E3D
(ucs-set-char #x769F ?$(JQT(B) ; C04-J-5154
(ucs-set-char #x76A0 ?$(DN>(B) ; J90-D-4E3E
(ucs-set-char #x76A0 ?$(JQU(B) ; C04-J-5155
(ucs-set-char #x76A1 ?$(IQv(B) ; C03-I-5176
(ucs-set-char #x76A2 ?$(DN?(B) ; J90-D-4E3F
(ucs-set-char #x76A2 ?$(K\C(B) ; C05-K-5C43
(ucs-set-char #x76A3 ?$(DN@(B) ; J90-D-4E40
(ucs-set-char #x76A3 ?$(IUV(B) ; C03-I-5556
(ucs-set-char #x76A4 ?$(DNA(B) ; J90-D-4E41
(ucs-set-char #x76A4 ?$(H]d(B) ; C02-H-5D64
(ucs-set-char #x76A4 ?$Ap+(B) ; GB0-A-702B
(ucs-set-char #x76A5 ?$(DNB(B) ; J90-D-4E42
(ucs-set-char #x76A5 ?$(IUW(B) ; C03-I-5557
(ucs-set-char #x76A6 ?$(DNC(B) ; J90-D-4E43
(ucs-set-char #x76A6 ?$(Hb>(B) ; C02-H-623E
(ucs-set-char #x76A7 ?$(DND(B) ; J90-D-4E44
(ucs-set-char #x76A7 ?$(J[|(B) ; C04-J-5B7C
(ucs-set-char #x76A8 ?$(DNE(B) ; J90-D-4E45
(ucs-set-char #x76A8 ?$(J[}(B) ; C04-J-5B7D
(ucs-set-char #x76A9 ?$(IZ^(B) ; C03-I-5A5E
(ucs-set-char #x76AA ?$(DNF(B) ; J90-D-4E46
(ucs-set-char #x76AA ?$(Hi@(B) ; C02-H-6940
(ucs-set-char #x76AB ?$(Hi?(B) ; C02-H-693F
(ucs-set-char #x76AC ?$(JfZ(B) ; C04-J-665A
(ucs-set-char #x76AD ?$(DNG(B) ; J90-D-4E47
(ucs-set-char #x76AD ?$(Hmc(B) ; C02-H-6D63
(ucs-set-char #x76AE ?$(Cy+(B) ; KS0-C-792B
(ucs-set-char #x76AE ?$(GFv(B) ; C01-G-4676
(ucs-set-char #x76AE ?$@Hi(B) ; J78-@-4869
(ucs-set-char #x76AE ?$AF$(B) ; GB0-A-4624
(ucs-set-char #x76AE ?$BHi(B) ; J83-B-4869
(ucs-set-char #x76AF ?$(H(7(B) ; C02-H-2837
(ucs-set-char #x76B0 ?$(GVs(B) ; C01-G-5673
(ucs-set-char #x76B0 ?$@b.(B) ; J78-@-622E
(ucs-set-char #x76B0 ?$Bb.(B) ; J83-B-622E
(ucs-set-char #x76B1 ?$AVe(B) ; GB0-A-5665
(ucs-set-char #x76B2 ?$Aqd(B) ; GB0-A-7164
(ucs-set-char #x76B3 ?$(I=M(B) ; C03-I-3D4D
(ucs-set-char #x76B4 ?$(G`x(B) ; C01-G-6078
(ucs-set-char #x76B4 ?$@b/(B) ; J78-@-622F
(ucs-set-char #x76B4 ?$Aqe(B) ; GB0-A-7165
(ucs-set-char #x76B4 ?$Bb/(B) ; J83-B-622F
(ucs-set-char #x76B5 ?$(HE<(B) ; C02-H-453C
(ucs-set-char #x76B6 ?$(JE4(B) ; C04-J-4534
(ucs-set-char #x76B7 ?$(IH0(B) ; C03-I-4830
(ucs-set-char #x76B7 ?$@si(B) ; J78-@-7369
(ucs-set-char #x76B7 ?$Bsi(B) ; J83-B-7369
(ucs-set-char #x76B8 ?$(HL)(B) ; C02-H-4C29
(ucs-set-char #x76B8 ?$@b0(B) ; J78-@-6230
(ucs-set-char #x76B8 ?$Bb0(B) ; J83-B-6230
(ucs-set-char #x76B9 ?$(IH.(B) ; C03-I-482E
(ucs-set-char #x76B9 ?$@b1(B) ; J78-@-6231
(ucs-set-char #x76B9 ?$Bb1(B) ; J83-B-6231
(ucs-set-char #x76BA ?$(CuT(B) ; KS0-C-7554
(ucs-set-char #x76BA ?$(Gmt(B) ; C01-G-6D74
(ucs-set-char #x76BA ?$@b2(B) ; J78-@-6232
(ucs-set-char #x76BA ?$Bb2(B) ; J83-B-6232
(ucs-set-char #x76BB ?$(HX`(B) ; C02-H-5860
(ucs-set-char #x76BD ?$(DNH(B) ; J90-D-4E48
(ucs-set-char #x76BD ?$(Hb?(B) ; C02-H-623F
(ucs-set-char #x76BE ?$(HiA(B) ; C02-H-6941
(ucs-set-char #x76BF ?$(CY)(B) ; KS0-C-5929
(ucs-set-char #x76BF ?$(GFw(B) ; C01-G-4677
(ucs-set-char #x76BF ?$@;.(B) ; J78-@-3B2E
(ucs-set-char #x76BF ?$ACs(B) ; GB0-A-4373
(ucs-set-char #x76BF ?$B;.(B) ; J83-B-3B2E
(ucs-set-char #x76C0 ?$(I&w(B) ; C03-I-2677
(ucs-set-char #x76C1 ?$(DNI(B) ; J90-D-4E49
(ucs-set-char #x76C1 ?$(I&x(B) ; C03-I-2678
(ucs-set-char #x76C2 ?$(Ci](B) ; KS0-C-695D
(ucs-set-char #x76C2 ?$(GN|(B) ; C01-G-4E7C
(ucs-set-char #x76C2 ?$@b3(B) ; J78-@-6233
(ucs-set-char #x76C2 ?$AS[(B) ; GB0-A-535B
(ucs-set-char #x76C2 ?$Bb3(B) ; J83-B-6233
(ucs-set-char #x76C3 ?$(C[M(B) ; KS0-C-5B4D
(ucs-set-char #x76C3 ?$(GRZ(B) ; C01-G-525A
(ucs-set-char #x76C3 ?$@GV(B) ; J78-@-4756
(ucs-set-char #x76C3 ?$BGV(B) ; J83-B-4756
(ucs-set-char #x76C4 ?$(H,A(B) ; C02-H-2C41
(ucs-set-char #x76C5 ?$(DNJ(B) ; J90-D-4E4A
(ucs-set-char #x76C5 ?$(GR[(B) ; C01-G-525B
(ucs-set-char #x76C5 ?$AVQ(B) ; GB0-A-5651
(ucs-set-char #x76C6 ?$(C]N(B) ; KS0-C-5D4E
(ucs-set-char #x76C6 ?$(GRY(B) ; C01-G-5259
(ucs-set-char #x76C6 ?$@K_(B) ; J78-@-4B5F
(ucs-set-char #x76C6 ?$AEh(B) ; GB0-A-4568
(ucs-set-char #x76C6 ?$BK_(B) ; J83-B-4B5F
(ucs-set-char #x76C7 ?$(I.2(B) ; C03-I-2E32
(ucs-set-char #x76C8 ?$(CgC(B) ; KS0-C-6743
(ucs-set-char #x76C8 ?$(GRX(B) ; C01-G-5258
(ucs-set-char #x76C8 ?$@1N(B) ; J78-@-314E
(ucs-set-char #x76C8 ?$AS/(B) ; GB0-A-532F
(ucs-set-char #x76C8 ?$B1N(B) ; J83-B-314E
(ucs-set-char #x76C9 ?$(DNK(B) ; J90-D-4E4B
(ucs-set-char #x76C9 ?$(H1/(B) ; C02-H-312F
(ucs-set-char #x76CA ?$(ClL(B) ; KS0-C-6C4C
(ucs-set-char #x76CA ?$(GVt(B) ; C01-G-5674
(ucs-set-char #x76CA ?$@1W(B) ; J78-@-3157
(ucs-set-char #x76CA ?$ARf(B) ; GB0-A-5266
(ucs-set-char #x76CA ?$B1W(B) ; J83-B-3157
(ucs-set-char #x76CB ?$(DNL(B) ; J90-D-4E4C
(ucs-set-char #x76CB ?$(I2Z(B) ; C03-I-325A
(ucs-set-char #x76CC ?$(DNM(B) ; J90-D-4E4D
(ucs-set-char #x76CC ?$(I2[(B) ; C03-I-325B
(ucs-set-char #x76CD ?$(GVu(B) ; C01-G-5675
(ucs-set-char #x76CD ?$@b4(B) ; J78-@-6234
(ucs-set-char #x76CD ?$AnA(B) ; GB0-A-6E41
(ucs-set-char #x76CD ?$Bb4(B) ; J83-B-6234
(ucs-set-char #x76CE ?$(DNN(B) ; J90-D-4E4E
(ucs-set-char #x76CE ?$(GVv(B) ; C01-G-5676
(ucs-set-char #x76CE ?$A0;(B) ; GB0-A-303B
(ucs-set-char #x76CF ?$AU5(B) ; GB0-A-5535
(ucs-set-char #x76D0 ?$AQN(B) ; GB0-A-514E
(ucs-set-char #x76D1 ?$A<`(B) ; GB0-A-3C60
(ucs-set-char #x76D2 ?$(Cyl(B) ; KS0-C-796C
(ucs-set-char #x76D2 ?$(G\5(B) ; C01-G-5C35
(ucs-set-char #x76D2 ?$@b6(B) ; J78-@-6236
(ucs-set-char #x76D2 ?$A:P(B) ; GB0-A-3A50
(ucs-set-char #x76D2 ?$Bb6(B) ; J83-B-6236
(ucs-set-char #x76D3 ?$(H7J(B) ; C02-H-374A
(ucs-set-char #x76D4 ?$(DNO(B) ; J90-D-4E4F
(ucs-set-char #x76D4 ?$(G\4(B) ; C01-G-5C34
(ucs-set-char #x76D4 ?$A?x(B) ; GB0-A-3F78
(ucs-set-char #x76D5 ?$(I7P(B) ; C03-I-3750
(ucs-set-char #x76D6 ?$(CKL(B) ; KS0-C-4B4C
(ucs-set-char #x76D6 ?$(I7R(B) ; C03-I-3752
(ucs-set-char #x76D6 ?$@b5(B) ; J78-@-6235
(ucs-set-char #x76D6 ?$A8G(B) ; GB0-A-3847
(ucs-set-char #x76D6 ?$Bb5(B) ; J83-B-6235
(ucs-set-char #x76D7 ?$(I7Q(B) ; C03-I-3751
(ucs-set-char #x76D7 ?$@Ep(B) ; J78-@-4570
(ucs-set-char #x76D7 ?$A5A(B) ; GB0-A-3541
(ucs-set-char #x76D7 ?$BEp(B) ; J83-B-4570
(ucs-set-char #x76D8 ?$AEL(B) ; GB0-A-454C
(ucs-set-char #x76D9 ?$(DNP(B) ; J90-D-4E50
(ucs-set-char #x76D9 ?$(I=O(B) ; C03-I-3D4F
(ucs-set-char #x76DA ?$(H>=(B) ; C02-H-3E3D
(ucs-set-char #x76DB ?$(C`|(B) ; KS0-C-607C
(ucs-set-char #x76DB ?$(G\6(B) ; C01-G-5C36
(ucs-set-char #x76DB ?$@@9(B) ; J78-@-4039
(ucs-set-char #x76DB ?$AJ"(B) ; GB0-A-4A22
(ucs-set-char #x76DB ?$B@9(B) ; J83-B-4039
(ucs-set-char #x76DC ?$(CT((B) ; KS0-C-5428
(ucs-set-char #x76DC ?$(G`y(B) ; C01-G-6079
(ucs-set-char #x76DC ?$@]9(B) ; J78-@-5D39
(ucs-set-char #x76DC ?$B]9(B) ; J83-B-5D39
(ucs-set-char #x76DD ?$(HE=(B) ; C02-H-453D
(ucs-set-char #x76DE ?$(CmS(B) ; KS0-C-6D53
(ucs-set-char #x76DE ?$(Ge@(B) ; C01-G-6540
(ucs-set-char #x76DE ?$@b7(B) ; J78-@-6237
(ucs-set-char #x76DE ?$Bb7(B) ; J83-B-6237
(ucs-set-char #x76DF ?$(CXo(B) ; KS0-C-586F
(ucs-set-char #x76DF ?$(GeA(B) ; C01-G-6541
(ucs-set-char #x76DF ?$@LA(B) ; J78-@-4C41
(ucs-set-char #x76DF ?$ACK(B) ; GB0-A-434B
(ucs-set-char #x76DF ?$BLA(B) ; J83-B-4C41
(ucs-set-char #x76E0 ?$(DNQ(B) ; J90-D-4E51
(ucs-set-char #x76E0 ?$(JE5(B) ; C04-J-4535
(ucs-set-char #x76E1 ?$(CrW(B) ; KS0-C-7257
(ucs-set-char #x76E1 ?$(Gip(B) ; C01-G-6970
(ucs-set-char #x76E1 ?$@b8(B) ; J78-@-6238
(ucs-set-char #x76E1 ?$Bb8(B) ; J83-B-6238
(ucs-set-char #x76E2 ?$(IH1(B) ; C03-I-4831
(ucs-set-char #x76E3 ?$(CJx(B) ; KS0-C-4A78
(ucs-set-char #x76E3 ?$(Giq(B) ; C01-G-6971
(ucs-set-char #x76E3 ?$@4F(B) ; J78-@-3446
(ucs-set-char #x76E3 ?$B4F(B) ; J83-B-3446
(ucs-set-char #x76E4 ?$(CZo(B) ; KS0-C-5A6F
(ucs-set-char #x76E4 ?$(Gmu(B) ; C01-G-6D75
(ucs-set-char #x76E4 ?$@HW(B) ; J78-@-4857
(ucs-set-char #x76E4 ?$BHW(B) ; J83-B-4857
(ucs-set-char #x76E5 ?$(GqN(B) ; C01-G-714E
(ucs-set-char #x76E5 ?$@b9(B) ; J78-@-6239
(ucs-set-char #x76E5 ?$AnB(B) ; GB0-A-6E42
(ucs-set-char #x76E5 ?$Bb9(B) ; J83-B-6239
(ucs-set-char #x76E6 ?$(DNR(B) ; J90-D-4E52
(ucs-set-char #x76E6 ?$(HXa(B) ; C02-H-5861
(ucs-set-char #x76E7 ?$(CVT(B) ; KS0-C-5654
(ucs-set-char #x76E7 ?$(GqM(B) ; C01-G-714D
(ucs-set-char #x76E7 ?$@b:(B) ; J78-@-623A
(ucs-set-char #x76E7 ?$Bb:(B) ; J83-B-623A
(ucs-set-char #x76E8 ?$(DNS(B) ; J90-D-4E53
(ucs-set-char #x76E8 ?$(JW-(B) ; C04-J-572D
(ucs-set-char #x76E9 ?$(H]e(B) ; C02-H-5D65
(ucs-set-char #x76EA ?$(GtE(B) ; C01-G-7445
(ucs-set-char #x76EA ?$@b;(B) ; J78-@-623B
(ucs-set-char #x76EA ?$Bb;(B) ; J83-B-623B
(ucs-set-char #x76EB ?$(IX5(B) ; C03-I-5835
(ucs-set-char #x76EC ?$(DNT(B) ; J90-D-4E54
(ucs-set-char #x76EC ?$(Hb@(B) ; C02-H-6240
(ucs-set-char #x76ED ?$(HiB(B) ; C02-H-6942
(ucs-set-char #x76EE ?$(CYM(B) ; KS0-C-594D
(ucs-set-char #x76EE ?$(GFx(B) ; C01-G-4678
(ucs-set-char #x76EE ?$@L\(B) ; J78-@-4C5C
(ucs-set-char #x76EE ?$AD?(B) ; GB0-A-443F
(ucs-set-char #x76EE ?$BL\(B) ; J83-B-4C5C
(ucs-set-char #x76EF ?$(GK1(B) ; C01-G-4B31
(ucs-set-char #x76EF ?$A6"(B) ; GB0-A-3622
(ucs-set-char #x76F0 ?$(DNU(B) ; J90-D-4E55
(ucs-set-char #x76F0 ?$(H(:(B) ; C02-H-283A
(ucs-set-char #x76F1 ?$(DNV(B) ; J90-D-4E56
(ucs-set-char #x76F1 ?$(H(9(B) ; C02-H-2839
(ucs-set-char #x76F1 ?$Aml(B) ; GB0-A-6D6C
(ucs-set-char #x76F2 ?$(CXn(B) ; KS0-C-586E
(ucs-set-char #x76F2 ?$(GN}(B) ; C01-G-4E7D
(ucs-set-char #x76F2 ?$@LU(B) ; J78-@-4C55
(ucs-set-char #x76F2 ?$AC$(B) ; GB0-A-4324
(ucs-set-char #x76F2 ?$BLU(B) ; J83-B-4C55
(ucs-set-char #x76F3 ?$(H(8(B) ; C02-H-2838
(ucs-set-char #x76F4 ?$(CrA(B) ; KS0-C-7241
(ucs-set-char #x76F4 ?$(GN~(B) ; C01-G-4E7E
(ucs-set-char #x76F4 ?$(L-E(B) ; C06-L-2D45
(ucs-set-char #x76F4 ?$@D>(B) ; J78-@-443E
(ucs-set-char #x76F4 ?$AV1(B) ; GB0-A-5631
(ucs-set-char #x76F4 ?$BD>(B) ; J83-B-443E
(ucs-set-char #x76F5 ?$(H(;(B) ; C02-H-283B
(ucs-set-char #x76F6 ?$(DNW(B) ; J90-D-4E57
(ucs-set-char #x76F6 ?$(J*U(B) ; C04-J-2A55
(ucs-set-char #x76F7 ?$(H,G(B) ; C02-H-2C47
(ucs-set-char #x76F8 ?$(C_S(B) ; KS0-C-5F53
(ucs-set-char #x76F8 ?$(GR^(B) ; C01-G-525E
(ucs-set-char #x76F8 ?$@Aj(B) ; J78-@-416A
(ucs-set-char #x76F8 ?$AO`(B) ; GB0-A-4F60
(ucs-set-char #x76F8 ?$BAj(B) ; J83-B-416A
(ucs-set-char #x76F9 ?$(DNX(B) ; J90-D-4E58
(ucs-set-char #x76F9 ?$(GR](B) ; C01-G-525D
(ucs-set-char #x76F9 ?$Amo(B) ; GB0-A-6D6F
(ucs-set-char #x76FA ?$(H,I(B) ; C02-H-2C49
(ucs-set-char #x76FB ?$(H,H(B) ; C02-H-2C48
(ucs-set-char #x76FB ?$@b=(B) ; J78-@-623D
(ucs-set-char #x76FB ?$Bb=(B) ; J83-B-623D
(ucs-set-char #x76FC ?$(CZp(B) ; KS0-C-5A70
(ucs-set-char #x76FC ?$(DNY(B) ; J90-D-4E59
(ucs-set-char #x76FC ?$(GRb(B) ; C01-G-5262
(ucs-set-char #x76FC ?$AEN(B) ; GB0-A-454E
(ucs-set-char #x76FD ?$(I.5(B) ; C03-I-2E35
(ucs-set-char #x76FE ?$(Cbj(B) ; KS0-C-626A
(ucs-set-char #x76FE ?$(GRa(B) ; C01-G-5261
(ucs-set-char #x76FE ?$@=b(B) ; J78-@-3D62
(ucs-set-char #x76FE ?$A6\(B) ; GB0-A-365C
(ucs-set-char #x76FE ?$B=b(B) ; J83-B-3D62
(ucs-set-char #x76FF ?$(I.3(B) ; C03-I-2E33
(ucs-set-char #x7700 ?$(DNZ(B) ; J90-D-4E5A
(ucs-set-char #x7700 ?$(J*Y(B) ; C04-J-2A59
(ucs-set-char #x7701 ?$(C`}(B) ; KS0-C-607D
(ucs-set-char #x7701 ?$(GR\(B) ; C01-G-525C
(ucs-set-char #x7701 ?$@>J(B) ; J78-@-3E4A
(ucs-set-char #x7701 ?$AJ!(B) ; GB0-A-4A21
(ucs-set-char #x7701 ?$B>J(B) ; J83-B-3E4A
(ucs-set-char #x7702 ?$(J*](B) ; C04-J-2A5D
(ucs-set-char #x7703 ?$(H,C(B) ; C02-H-2C43
(ucs-set-char #x7704 ?$(CXx(B) ; KS0-C-5878
(ucs-set-char #x7704 ?$(H,D(B) ; C02-H-2C44
(ucs-set-char #x7704 ?$@b@(B) ; J78-@-6240
(ucs-set-char #x7704 ?$Amm(B) ; GB0-A-6D6D
(ucs-set-char #x7704 ?$Bb@(B) ; J83-B-6240
(ucs-set-char #x7705 ?$(H,E(B) ; C02-H-2C45
(ucs-set-char #x7706 ?$(DN[(B) ; J90-D-4E5B
(ucs-set-char #x7706 ?$(J*R(B) ; C04-J-2A52
(ucs-set-char #x7707 ?$(GRc(B) ; C01-G-5263
(ucs-set-char #x7707 ?$@b?(B) ; J78-@-623F
(ucs-set-char #x7707 ?$Amp(B) ; GB0-A-6D70
(ucs-set-char #x7707 ?$Bb?(B) ; J83-B-623F
(ucs-set-char #x7708 ?$(Cw/(B) ; KS0-C-772F
(ucs-set-char #x7708 ?$(H,B(B) ; C02-H-2C42
(ucs-set-char #x7708 ?$@b>(B) ; J78-@-623E
(ucs-set-char #x7708 ?$Amq(B) ; GB0-A-6D71
(ucs-set-char #x7708 ?$Bb>(B) ; J83-B-623E
(ucs-set-char #x7709 ?$(CZ6(B) ; KS0-C-5A36
(ucs-set-char #x7709 ?$(GR_(B) ; C01-G-525F
(ucs-set-char #x7709 ?$@H}(B) ; J78-@-487D
(ucs-set-char #x7709 ?$AC<(B) ; GB0-A-433C
(ucs-set-char #x7709 ?$BH}(B) ; J83-B-487D
(ucs-set-char #x770A ?$(DN\(B) ; J90-D-4E5C
(ucs-set-char #x770A ?$(H,F(B) ; C02-H-2C46
(ucs-set-char #x770B ?$(CJW(B) ; KS0-C-4A57
(ucs-set-char #x770B ?$(GR`(B) ; C01-G-5260
(ucs-set-char #x770B ?$@4G(B) ; J78-@-3447
(ucs-set-char #x770B ?$A?4(B) ; GB0-A-3F34
(ucs-set-char #x770B ?$B4G(B) ; J83-B-3447
(ucs-set-char #x770C ?$@8)(B) ; J78-@-3829
(ucs-set-char #x770C ?$B8)(B) ; J83-B-3829
(ucs-set-char #x770D ?$Amn(B) ; GB0-A-6D6E
(ucs-set-char #x770E ?$(DN](B) ; J90-D-4E5D
(ucs-set-char #x770E ?$(I2d(B) ; C03-I-3264
(ucs-set-char #x770F ?$(I2_(B) ; C03-I-325F
(ucs-set-char #x7710 ?$(H12(B) ; C02-H-3132
(ucs-set-char #x7711 ?$(H16(B) ; C02-H-3136
(ucs-set-char #x7712 ?$(DN^(B) ; J90-D-4E5E
(ucs-set-char #x7712 ?$(H14(B) ; C02-H-3134
(ucs-set-char #x7713 ?$(H13(B) ; C02-H-3133
(ucs-set-char #x7714 ?$(DN_(B) ; J90-D-4E5F
(ucs-set-char #x7714 ?$(J.U(B) ; C04-J-2E55
(ucs-set-char #x7715 ?$(DN`(B) ; J90-D-4E60
(ucs-set-char #x7715 ?$(H17(B) ; C02-H-3137
(ucs-set-char #x7716 ?$(I2^(B) ; C03-I-325E
(ucs-set-char #x7717 ?$(DNa(B) ; J90-D-4E61
(ucs-set-char #x7717 ?$(J.O(B) ; C04-J-2E4F
(ucs-set-char #x7718 ?$(I2h(B) ; C03-I-3268
(ucs-set-char #x7719 ?$(DNb(B) ; J90-D-4E62
(ucs-set-char #x7719 ?$(H18(B) ; C02-H-3138
(ucs-set-char #x7719 ?$Amt(B) ; GB0-A-6D74
(ucs-set-char #x771A ?$(DNc(B) ; J90-D-4E63
(ucs-set-char #x771A ?$(H19(B) ; C02-H-3139
(ucs-set-char #x771A ?$Amr(B) ; GB0-A-6D72
(ucs-set-char #x771B ?$(H11(B) ; C02-H-3131
(ucs-set-char #x771B ?$@bF(B) ; J78-@-6246
(ucs-set-char #x771B ?$BbF(B) ; J83-B-6246
(ucs-set-char #x771C ?$(DNd(B) ; J90-D-4E64
(ucs-set-char #x771C ?$(J.Q(B) ; C04-J-2E51
(ucs-set-char #x771D ?$(H10(B) ; C02-H-3130
(ucs-set-char #x771E ?$(CrX(B) ; KS0-C-7258
(ucs-set-char #x771E ?$(I7Y(B) ; C03-I-3759
(ucs-set-char #x771E ?$@bC(B) ; J78-@-6243
(ucs-set-char #x771E ?$BbC(B) ; J83-B-6243
(ucs-set-char #x771F ?$(GVx(B) ; C01-G-5678
(ucs-set-char #x771F ?$(L:-(B) ; C06-L-3A2D
(ucs-set-char #x771F ?$@??(B) ; J78-@-3F3F
(ucs-set-char #x771F ?$AUf(B) ; GB0-A-5566
(ucs-set-char #x771F ?$B??(B) ; J83-B-3F3F
(ucs-set-char #x7720 ?$(CXy(B) ; KS0-C-5879
(ucs-set-char #x7720 ?$(GVy(B) ; C01-G-5679
(ucs-set-char #x7720 ?$@L2(B) ; J78-@-4C32
(ucs-set-char #x7720 ?$AC_(B) ; GB0-A-435F
(ucs-set-char #x7720 ?$BL2(B) ; J83-B-4C32
(ucs-set-char #x7721 ?$(I2g(B) ; C03-I-3267
(ucs-set-char #x7722 ?$(DNe(B) ; J90-D-4E65
(ucs-set-char #x7722 ?$(H1:(B) ; C02-H-313A
(ucs-set-char #x7722 ?$Ams(B) ; GB0-A-6D73
(ucs-set-char #x7723 ?$(H15(B) ; C02-H-3135
(ucs-set-char #x7724 ?$(I2e(B) ; C03-I-3265
(ucs-set-char #x7724 ?$@bB(B) ; J78-@-6242
(ucs-set-char #x7724 ?$BbB(B) ; J83-B-6242
(ucs-set-char #x7725 ?$(H7S(B) ; C02-H-3753
(ucs-set-char #x7725 ?$@bD(B) ; J78-@-6244
(ucs-set-char #x7725 ?$BbD(B) ; J83-B-6244
(ucs-set-char #x7726 ?$(I7U(B) ; C03-I-3755
(ucs-set-char #x7726 ?$@bE(B) ; J78-@-6245
(ucs-set-char #x7726 ?$Amv(B) ; GB0-A-6D76
(ucs-set-char #x7726 ?$BbE(B) ; J83-B-6245
(ucs-set-char #x7727 ?$(H1;(B) ; C02-H-313B
(ucs-set-char #x7728 ?$(DNf(B) ; J90-D-4E66
(ucs-set-char #x7728 ?$(GVz(B) ; C01-G-567A
(ucs-set-char #x7728 ?$AU#(B) ; GB0-A-5523
(ucs-set-char #x7729 ?$(Cz_(B) ; KS0-C-7A5F
(ucs-set-char #x7729 ?$(GVw(B) ; C01-G-5677
(ucs-set-char #x7729 ?$@bA(B) ; J78-@-6241
(ucs-set-char #x7729 ?$AQ#(B) ; GB0-A-5123
(ucs-set-char #x7729 ?$BbA(B) ; J83-B-6241
(ucs-set-char #x772A ?$(I2\(B) ; C03-I-325C
(ucs-set-char #x772B ?$(I2c(B) ; C03-I-3263
(ucs-set-char #x772D ?$(DNg(B) ; J90-D-4E67
(ucs-set-char #x772D ?$(H7M(B) ; C02-H-374D
(ucs-set-char #x772D ?$Amu(B) ; GB0-A-6D75
(ucs-set-char #x772E ?$(DNh(B) ; J90-D-4E68
(ucs-set-char #x772E ?$(J3O(B) ; C04-J-334F
(ucs-set-char #x772F ?$(DNi(B) ; J90-D-4E69
(ucs-set-char #x772F ?$(H7L(B) ; C02-H-374C
(ucs-set-char #x772F ?$ACP(B) ; GB0-A-4350
(ucs-set-char #x7730 ?$(I7S(B) ; C03-I-3753
(ucs-set-char #x7731 ?$(H7N(B) ; C02-H-374E
(ucs-set-char #x7732 ?$(H7O(B) ; C02-H-374F
(ucs-set-char #x7733 ?$(H7Q(B) ; C02-H-3751
(ucs-set-char #x7734 ?$(DNj(B) ; J90-D-4E6A
(ucs-set-char #x7734 ?$(H7P(B) ; C02-H-3750
(ucs-set-char #x7735 ?$(DNk(B) ; J90-D-4E6B
(ucs-set-char #x7735 ?$(H7U(B) ; C02-H-3755
(ucs-set-char #x7735 ?$Amw(B) ; GB0-A-6D77
(ucs-set-char #x7736 ?$(DNl(B) ; J90-D-4E6C
(ucs-set-char #x7736 ?$(G\:(B) ; C01-G-5C3A
(ucs-set-char #x7736 ?$A?t(B) ; GB0-A-3F74
(ucs-set-char #x7737 ?$(COo(B) ; KS0-C-4F6F
(ucs-set-char #x7737 ?$(G\7(B) ; C01-G-5C37
(ucs-set-char #x7737 ?$@bG(B) ; J78-@-6247
(ucs-set-char #x7737 ?$A>l(B) ; GB0-A-3E6C
(ucs-set-char #x7737 ?$BbG(B) ; J83-B-6247
(ucs-set-char #x7738 ?$(CYB(B) ; KS0-C-5942
(ucs-set-char #x7738 ?$(G\;(B) ; C01-G-5C3B
(ucs-set-char #x7738 ?$@bH(B) ; J78-@-6248
(ucs-set-char #x7738 ?$Amx(B) ; GB0-A-6D78
(ucs-set-char #x7738 ?$BbH(B) ; J83-B-6248
(ucs-set-char #x7739 ?$(DNm(B) ; J90-D-4E6D
(ucs-set-char #x7739 ?$(H7K(B) ; C02-H-374B
(ucs-set-char #x773A ?$(CpR(B) ; KS0-C-7052
(ucs-set-char #x773A ?$(G\<(B) ; C01-G-5C3C
(ucs-set-char #x773A ?$@D/(B) ; J78-@-442F
(ucs-set-char #x773A ?$ALw(B) ; GB0-A-4C77
(ucs-set-char #x773A ?$BD/(B) ; J83-B-442F
(ucs-set-char #x773B ?$(H7T(B) ; C02-H-3754
(ucs-set-char #x773C ?$(CdQ(B) ; KS0-C-6451
(ucs-set-char #x773C ?$(G\9(B) ; C01-G-5C39
(ucs-set-char #x773C ?$@4c(B) ; J78-@-3463
(ucs-set-char #x773C ?$AQ[(B) ; GB0-A-515B
(ucs-set-char #x773C ?$B4c(B) ; J83-B-3463
(ucs-set-char #x773D ?$(DNn(B) ; J90-D-4E6E
(ucs-set-char #x773D ?$(H7R(B) ; C02-H-3752
(ucs-set-char #x773E ?$(DNo(B) ; J90-D-4E6F
(ucs-set-char #x773E ?$(G\8(B) ; C01-G-5C38
(ucs-set-char #x773F ?$(I2b(B) ; C03-I-3262
(ucs-set-char #x7740 ?$(Cs7(B) ; KS0-C-7337
(ucs-set-char #x7740 ?$(I7W(B) ; C03-I-3757
(ucs-set-char #x7740 ?$@Ce(B) ; J78-@-4365
(ucs-set-char #x7740 ?$AWE(B) ; GB0-A-5745
(ucs-set-char #x7740 ?$BCe(B) ; J83-B-4365
(ucs-set-char #x7741 ?$(J3V(B) ; C04-J-3356
(ucs-set-char #x7741 ?$AUv(B) ; GB0-A-5576
(ucs-set-char #x7742 ?$(DNp(B) ; J90-D-4E70
(ucs-set-char #x7742 ?$(I=V(B) ; C03-I-3D56
(ucs-set-char #x7743 ?$(I=S(B) ; C03-I-3D53
(ucs-set-char #x7743 ?$Am|(B) ; GB0-A-6D7C
(ucs-set-char #x7744 ?$(H>@(B) ; C02-H-3E40
(ucs-set-char #x7745 ?$(DNq(B) ; J90-D-4E71
(ucs-set-char #x7745 ?$(H>B(B) ; C02-H-3E42
(ucs-set-char #x7746 ?$(DNr(B) ; J90-D-4E72
(ucs-set-char #x7746 ?$(H>>(B) ; C02-H-3E3E
(ucs-set-char #x7747 ?$(H>?(B) ; C02-H-3E3F
(ucs-set-char #x7747 ?$@bI(B) ; J78-@-6249
(ucs-set-char #x7747 ?$Am{(B) ; GB0-A-6D7B
(ucs-set-char #x7747 ?$BbI(B) ; J83-B-6249
(ucs-set-char #x7748 ?$(I=Q(B) ; C03-I-3D51
(ucs-set-char #x7749 ?$(I=R(B) ; C03-I-3D52
(ucs-set-char #x774A ?$(DNs(B) ; J90-D-4E73
(ucs-set-char #x774A ?$(H>C(B) ; C02-H-3E43
(ucs-set-char #x774B ?$(H>E(B) ; C02-H-3E45
(ucs-set-char #x774C ?$(H>F(B) ; C02-H-3E46
(ucs-set-char #x774D ?$(Cz`(B) ; KS0-C-7A60
(ucs-set-char #x774D ?$(DNt(B) ; J90-D-4E74
(ucs-set-char #x774D ?$(H>A(B) ; C02-H-3E41
(ucs-set-char #x774E ?$(DNu(B) ; J90-D-4E75
(ucs-set-char #x774E ?$(H>D(B) ; C02-H-3E44
(ucs-set-char #x774F ?$(DNv(B) ; J90-D-4E76
(ucs-set-char #x774F ?$(G`z(B) ; C01-G-607A
(ucs-set-char #x7750 ?$Amy(B) ; GB0-A-6D79
(ucs-set-char #x7751 ?$Amz(B) ; GB0-A-6D7A
(ucs-set-char #x7752 ?$(DNw(B) ; J90-D-4E77
(ucs-set-char #x7752 ?$(HEA(B) ; C02-H-4541
(ucs-set-char #x7753 ?$(IC'(B) ; C03-I-4327
(ucs-set-char #x7754 ?$(HEF(B) ; C02-H-4546
(ucs-set-char #x7755 ?$(HE>(B) ; C02-H-453E
(ucs-set-char #x7756 ?$(DNx(B) ; J90-D-4E78
(ucs-set-char #x7756 ?$(HEB(B) ; C02-H-4542
(ucs-set-char #x7757 ?$(DNy(B) ; J90-D-4E79
(ucs-set-char #x7757 ?$(J?)(B) ; C04-J-3F29
(ucs-set-char #x7758 ?$(IC((B) ; C03-I-4328
(ucs-set-char #x7759 ?$(HEG(B) ; C02-H-4547
(ucs-set-char #x775A ?$(HEC(B) ; C02-H-4543
(ucs-set-char #x775A ?$@bJ(B) ; J78-@-624A
(ucs-set-char #x775A ?$Am}(B) ; GB0-A-6D7D
(ucs-set-char #x775A ?$BbJ(B) ; J83-B-624A
(ucs-set-char #x775B ?$(Col(B) ; KS0-C-6F6C
(ucs-set-char #x775B ?$(GeB(B) ; C01-G-6542
(ucs-set-char #x775B ?$@bM(B) ; J78-@-624D
(ucs-set-char #x775B ?$A>&(B) ; GB0-A-3E26
(ucs-set-char #x775B ?$BbM(B) ; J83-B-624D
(ucs-set-char #x775C ?$(DNz(B) ; J90-D-4E7A
(ucs-set-char #x775C ?$(GeJ(B) ; C01-G-654A
(ucs-set-char #x775D ?$(IC%(B) ; C03-I-4325
(ucs-set-char #x775E ?$(DN{(B) ; J90-D-4E7B
(ucs-set-char #x775E ?$(GeE(B) ; C01-G-6545
(ucs-set-char #x775F ?$(DN|(B) ; J90-D-4E7C
(ucs-set-char #x775F ?$(HE?(B) ; C02-H-453F
(ucs-set-char #x7760 ?$(DN}(B) ; J90-D-4E7D
(ucs-set-char #x7760 ?$(HE@(B) ; C02-H-4540
(ucs-set-char #x7761 ?$(Cb2(B) ; KS0-C-6232
(ucs-set-char #x7761 ?$(Giu(B) ; C01-G-6975
(ucs-set-char #x7761 ?$@?g(B) ; J78-@-3F67
(ucs-set-char #x7761 ?$AK/(B) ; GB0-A-4B2F
(ucs-set-char #x7761 ?$B?g(B) ; J83-B-3F67
(ucs-set-char #x7762 ?$(DN~(B) ; J90-D-4E7E
(ucs-set-char #x7762 ?$(GeM(B) ; C01-G-654D
(ucs-set-char #x7762 ?$An!(B) ; GB0-A-6E21
(ucs-set-char #x7763 ?$(CT=(B) ; KS0-C-543D
(ucs-set-char #x7763 ?$(GeF(B) ; C01-G-6546
(ucs-set-char #x7763 ?$@FD(B) ; J78-@-4644
(ucs-set-char #x7763 ?$A6=(B) ; GB0-A-363D
(ucs-set-char #x7763 ?$BFD(B) ; J83-B-4644
(ucs-set-char #x7764 ?$(DO!(B) ; J90-D-4F21
(ucs-set-char #x7764 ?$(IC&(B) ; C03-I-4326
(ucs-set-char #x7765 ?$(GeK(B) ; C01-G-654B
(ucs-set-char #x7765 ?$@bN(B) ; J78-@-624E
(ucs-set-char #x7765 ?$An"(B) ; GB0-A-6E22
(ucs-set-char #x7765 ?$BbN(B) ; J83-B-624E
(ucs-set-char #x7766 ?$(CYN(B) ; KS0-C-594E
(ucs-set-char #x7766 ?$(GeD(B) ; C01-G-6544
(ucs-set-char #x7766 ?$@KS(B) ; J78-@-4B53
(ucs-set-char #x7766 ?$AD@(B) ; GB0-A-4440
(ucs-set-char #x7766 ?$BKS(B) ; J83-B-4B53
(ucs-set-char #x7767 ?$(DO"(B) ; J90-D-4F22
(ucs-set-char #x7767 ?$(HEE(B) ; C02-H-4545
(ucs-set-char #x7768 ?$(GeL(B) ; C01-G-654C
(ucs-set-char #x7768 ?$@bK(B) ; J78-@-624B
(ucs-set-char #x7768 ?$Am~(B) ; GB0-A-6D7E
(ucs-set-char #x7768 ?$BbK(B) ; J83-B-624B
(ucs-set-char #x7769 ?$(HED(B) ; C02-H-4544
(ucs-set-char #x776A ?$(DO#(B) ; J90-D-4F23
(ucs-set-char #x776A ?$(GeH(B) ; C01-G-6548
(ucs-set-char #x776B ?$(Ctb(B) ; KS0-C-7462
(ucs-set-char #x776B ?$(GeC(B) ; C01-G-6543
(ucs-set-char #x776B ?$@bL(B) ; J78-@-624C
(ucs-set-char #x776B ?$A=^(B) ; GB0-A-3D5E
(ucs-set-char #x776B ?$BbL(B) ; J83-B-624C
(ucs-set-char #x776C ?$(DO$(B) ; J90-D-4F24
(ucs-set-char #x776C ?$(GeI(B) ; C01-G-6549
(ucs-set-char #x776C ?$A2G(B) ; GB0-A-3247
(ucs-set-char #x776D ?$(HEH(B) ; C02-H-4548
(ucs-set-char #x776E ?$(HL.(B) ; C02-H-4C2E
(ucs-set-char #x776F ?$(HL0(B) ; C02-H-4C30
(ucs-set-char #x7770 ?$(DO%(B) ; J90-D-4F25
(ucs-set-char #x7770 ?$(JEB(B) ; C04-J-4542
(ucs-set-char #x7771 ?$(IH9(B) ; C03-I-4839
(ucs-set-char #x7772 ?$(DO&(B) ; J90-D-4F26
(ucs-set-char #x7772 ?$(JE@(B) ; C04-J-4540
(ucs-set-char #x7773 ?$(DO'(B) ; J90-D-4F27
(ucs-set-char #x7773 ?$(JE=(B) ; C04-J-453D
(ucs-set-char #x7774 ?$(DO((B) ; J90-D-4F28
(ucs-set-char #x7774 ?$(IH3(B) ; C03-I-4833
(ucs-set-char #x7775 ?$(IH6(B) ; C03-I-4836
(ucs-set-char #x7776 ?$(IH5(B) ; C03-I-4835
(ucs-set-char #x7777 ?$(IH4(B) ; C03-I-4834
(ucs-set-char #x7778 ?$(IH8(B) ; C03-I-4838
(ucs-set-char #x7779 ?$(CT)(B) ; KS0-C-5429
(ucs-set-char #x7779 ?$(GeG(B) ; C01-G-6547
(ucs-set-char #x7779 ?$@bQ(B) ; J78-@-6251
(ucs-set-char #x7779 ?$A6C(B) ; GB0-A-3643
(ucs-set-char #x7779 ?$BbQ(B) ; J83-B-6251
(ucs-set-char #x777A ?$(DO)(B) ; J90-D-4F29
(ucs-set-char #x777A ?$(IH;(B) ; C03-I-483B
(ucs-set-char #x777B ?$(IH=(B) ; C03-I-483D
(ucs-set-char #x777C ?$(HL+(B) ; C02-H-4C2B
(ucs-set-char #x777D ?$(DO*(B) ; J90-D-4F2A
(ucs-set-char #x777D ?$(Gis(B) ; C01-G-6973
(ucs-set-char #x777D ?$An%(B) ; GB0-A-6E25
(ucs-set-char #x777E ?$(CMB(B) ; KS0-C-4D42
(ucs-set-char #x777E ?$(HL1(B) ; C02-H-4C31
(ucs-set-char #x777E ?$@bP(B) ; J78-@-6250
(ucs-set-char #x777E ?$AX:(B) ; GB0-A-583A
(ucs-set-char #x777E ?$BbP(B) ; J83-B-6250
(ucs-set-char #x777F ?$(CgZ(B) ; KS0-C-675A
(ucs-set-char #x777F ?$(Git(B) ; C01-G-6974
(ucs-set-char #x777F ?$@bO(B) ; J78-@-624F
(ucs-set-char #x777F ?$An#(B) ; GB0-A-6E23
(ucs-set-char #x777F ?$BbO(B) ; J83-B-624F
(ucs-set-char #x7780 ?$(DO+(B) ; J90-D-4F2B
(ucs-set-char #x7780 ?$(HL/(B) ; C02-H-4C2F
(ucs-set-char #x7780 ?$An&(B) ; GB0-A-6E26
(ucs-set-char #x7781 ?$(HL*(B) ; C02-H-4C2A
(ucs-set-char #x7782 ?$(HL-(B) ; C02-H-4C2D
(ucs-set-char #x7783 ?$(HL2(B) ; C02-H-4C32
(ucs-set-char #x7784 ?$(DO,(B) ; J90-D-4F2C
(ucs-set-char #x7784 ?$(Gir(B) ; C01-G-6972
(ucs-set-char #x7784 ?$ACi(B) ; GB0-A-4369
(ucs-set-char #x7785 ?$(HL,(B) ; C02-H-4C2C
(ucs-set-char #x7785 ?$A3r(B) ; GB0-A-3372
(ucs-set-char #x7787 ?$(Gmw(B) ; C01-G-6D77
(ucs-set-char #x7788 ?$(HRG(B) ; C02-H-5247
(ucs-set-char #x7789 ?$(HRF(B) ; C02-H-5246
(ucs-set-char #x778A ?$(IMD(B) ; C03-I-4D44
(ucs-set-char #x778B ?$(CrY(B) ; KS0-C-7259
(ucs-set-char #x778B ?$(Gmz(B) ; C01-G-6D7A
(ucs-set-char #x778B ?$@bS(B) ; J78-@-6253
(ucs-set-char #x778B ?$BbS(B) ; J83-B-6253
(ucs-set-char #x778C ?$(DO-(B) ; J90-D-4F2D
(ucs-set-char #x778C ?$(Gmx(B) ; C01-G-6D78
(ucs-set-char #x778C ?$An'(B) ; GB0-A-6E27
(ucs-set-char #x778D ?$(DO.(B) ; J90-D-4F2E
(ucs-set-char #x778D ?$(HRD(B) ; C02-H-5244
(ucs-set-char #x778D ?$An$(B) ; GB0-A-6E24
(ucs-set-char #x778E ?$(Gmv(B) ; C01-G-6D76
(ucs-set-char #x778E ?$@bR(B) ; J78-@-6252
(ucs-set-char #x778E ?$AO9(B) ; GB0-A-4F39
(ucs-set-char #x778E ?$BbR(B) ; J83-B-6252
(ucs-set-char #x778F ?$(HRE(B) ; C02-H-5245
(ucs-set-char #x7790 ?$(IMF(B) ; C03-I-4D46
(ucs-set-char #x7791 ?$(CY*(B) ; KS0-C-592A
(ucs-set-char #x7791 ?$(Gmy(B) ; C01-G-6D79
(ucs-set-char #x7791 ?$@bT(B) ; J78-@-6254
(ucs-set-char #x7791 ?$An((B) ; GB0-A-6E28
(ucs-set-char #x7791 ?$BbT(B) ; J83-B-6254
(ucs-set-char #x7792 ?$ABw(B) ; GB0-A-4277
(ucs-set-char #x7794 ?$(DO/(B) ; J90-D-4F2F
(ucs-set-char #x7794 ?$(JQ_(B) ; C04-J-515F
(ucs-set-char #x7795 ?$(DO0(B) ; J90-D-4F30
(ucs-set-char #x7795 ?$(HXi(B) ; C02-H-5869
(ucs-set-char #x7796 ?$(DO1(B) ; J90-D-4F31
(ucs-set-char #x7796 ?$(IQ{(B) ; C03-I-517B
(ucs-set-char #x7797 ?$(HXk(B) ; C02-H-586B
(ucs-set-char #x7798 ?$(IQy(B) ; C03-I-5179
(ucs-set-char #x7799 ?$(HXj(B) ; C02-H-586A
(ucs-set-char #x779A ?$(DO2(B) ; J90-D-4F32
(ucs-set-char #x779A ?$(HXb(B) ; C02-H-5862
(ucs-set-char #x779B ?$(HXf(B) ; C02-H-5866
(ucs-set-char #x779C ?$(HXe(B) ; C02-H-5865
(ucs-set-char #x779D ?$(HXc(B) ; C02-H-5863
(ucs-set-char #x779E ?$(CX>(B) ; KS0-C-583E
(ucs-set-char #x779E ?$(GqP(B) ; C01-G-7150
(ucs-set-char #x779E ?$@bV(B) ; J78-@-6256
(ucs-set-char #x779E ?$BbV(B) ; J83-B-6256
(ucs-set-char #x779F ?$(DO3(B) ; J90-D-4F33
(ucs-set-char #x779F ?$(GqQ(B) ; C01-G-7151
(ucs-set-char #x779F ?$An)(B) ; GB0-A-6E29
(ucs-set-char #x77A0 ?$(GqO(B) ; C01-G-714F
(ucs-set-char #x77A0 ?$@bU(B) ; J78-@-6255
(ucs-set-char #x77A0 ?$An*(B) ; GB0-A-6E2A
(ucs-set-char #x77A0 ?$BbU(B) ; J83-B-6255
(ucs-set-char #x77A1 ?$(HXd(B) ; C02-H-5864
(ucs-set-char #x77A2 ?$(DO4(B) ; J90-D-4F34
(ucs-set-char #x77A2 ?$(HXg(B) ; C02-H-5867
(ucs-set-char #x77A2 ?$A^+(B) ; GB0-A-5E2B
(ucs-set-char #x77A3 ?$(HXh(B) ; C02-H-5868
(ucs-set-char #x77A4 ?$(IUY(B) ; C03-I-5559
(ucs-set-char #x77A5 ?$(C\-(B) ; KS0-C-5C2D
(ucs-set-char #x77A5 ?$(GqR(B) ; C01-G-7152
(ucs-set-char #x77A5 ?$@JM(B) ; J78-@-4A4D
(ucs-set-char #x77A5 ?$AF3(B) ; GB0-A-4633
(ucs-set-char #x77A5 ?$BJM(B) ; J83-B-4A4D
(ucs-set-char #x77A6 ?$(IUX(B) ; C03-I-5558
(ucs-set-char #x77A7 ?$(DO5(B) ; J90-D-4F35
(ucs-set-char #x77A7 ?$(GtJ(B) ; C01-G-744A
(ucs-set-char #x77A7 ?$AGF(B) ; GB0-A-4746
(ucs-set-char #x77A8 ?$(H]m(B) ; C02-H-5D6D
(ucs-set-char #x77A9 ?$(IU[(B) ; C03-I-555B
(ucs-set-char #x77A9 ?$AVu(B) ; GB0-A-5675
(ucs-set-char #x77AA ?$(DO6(B) ; J90-D-4F36
(ucs-set-char #x77AA ?$(GtG(B) ; C01-G-7447
(ucs-set-char #x77AA ?$A5I(B) ; GB0-A-3549
(ucs-set-char #x77AB ?$(H]g(B) ; C02-H-5D67
(ucs-set-char #x77AC ?$(Cbk(B) ; KS0-C-626B
(ucs-set-char #x77AC ?$(GtI(B) ; C01-G-7449
(ucs-set-char #x77AC ?$@=V(B) ; J78-@-3D56
(ucs-set-char #x77AC ?$AK2(B) ; GB0-A-4B32
(ucs-set-char #x77AC ?$B=V(B) ; J83-B-3D56
(ucs-set-char #x77AD ?$(CV|(B) ; KS0-C-567C
(ucs-set-char #x77AD ?$(GtK(B) ; C01-G-744B
(ucs-set-char #x77AD ?$@NF(B) ; J78-@-4E46
(ucs-set-char #x77AD ?$BNF(B) ; J83-B-4E46
(ucs-set-char #x77AE ?$(DO7(B) ; J90-D-4F37
(ucs-set-char #x77AE ?$(JQa(B) ; C04-J-5161
(ucs-set-char #x77AF ?$(DO8(B) ; J90-D-4F38
(ucs-set-char #x77AF ?$(IU\(B) ; C03-I-555C
(ucs-set-char #x77B0 ?$(CJy(B) ; KS0-C-4A79
(ucs-set-char #x77B0 ?$(GtH(B) ; C01-G-7448
(ucs-set-char #x77B0 ?$@bW(B) ; J78-@-6257
(ucs-set-char #x77B0 ?$An+(B) ; GB0-A-6E2B
(ucs-set-char #x77B0 ?$BbW(B) ; J83-B-6257
(ucs-set-char #x77B1 ?$(DO9(B) ; J90-D-4F39
(ucs-set-char #x77B1 ?$(H]l(B) ; C02-H-5D6C
(ucs-set-char #x77B2 ?$(H]h(B) ; C02-H-5D68
(ucs-set-char #x77B3 ?$(CTZ(B) ; KS0-C-545A
(ucs-set-char #x77B3 ?$(GtF(B) ; C01-G-7446
(ucs-set-char #x77B3 ?$@F7(B) ; J78-@-4637
(ucs-set-char #x77B3 ?$AM+(B) ; GB0-A-4D2B
(ucs-set-char #x77B3 ?$BF7(B) ; J83-B-4637
(ucs-set-char #x77B4 ?$(H]k(B) ; C02-H-5D6B
(ucs-set-char #x77B5 ?$(DO:(B) ; J90-D-4F3A
(ucs-set-char #x77B5 ?$(H]f(B) ; C02-H-5D66
(ucs-set-char #x77B5 ?$An,(B) ; GB0-A-6E2C
(ucs-set-char #x77B6 ?$(H]j(B) ; C02-H-5D6A
(ucs-set-char #x77B6 ?$@bX(B) ; J78-@-6258
(ucs-set-char #x77B6 ?$BbX(B) ; J83-B-6258
(ucs-set-char #x77B7 ?$(H]i(B) ; C02-H-5D69
(ucs-set-char #x77B8 ?$(IX6(B) ; C03-I-5836
(ucs-set-char #x77B9 ?$(IX8(B) ; C03-I-5838
(ucs-set-char #x77B9 ?$@bY(B) ; J78-@-6259
(ucs-set-char #x77B9 ?$BbY(B) ; J83-B-6259
(ucs-set-char #x77BA ?$(HbB(B) ; C02-H-6242
(ucs-set-char #x77BB ?$(CtW(B) ; KS0-C-7457
(ucs-set-char #x77BB ?$(Gvn(B) ; C01-G-766E
(ucs-set-char #x77BB ?$@b](B) ; J78-@-625D
(ucs-set-char #x77BB ?$AU0(B) ; GB0-A-5530
(ucs-set-char #x77BB ?$Bb](B) ; J83-B-625D
(ucs-set-char #x77BC ?$(CL!(B) ; KS0-C-4C21
(ucs-set-char #x77BC ?$(Gvo(B) ; C01-G-766F
(ucs-set-char #x77BC ?$@b[(B) ; J78-@-625B
(ucs-set-char #x77BC ?$Bb[(B) ; J83-B-625B
(ucs-set-char #x77BD ?$(Gvl(B) ; C01-G-766C
(ucs-set-char #x77BD ?$@b\(B) ; J78-@-625C
(ucs-set-char #x77BD ?$An-(B) ; GB0-A-6E2D
(ucs-set-char #x77BD ?$Bb\(B) ; J83-B-625C
(ucs-set-char #x77BE ?$(DO;(B) ; J90-D-4F3B
(ucs-set-char #x77BE ?$(IX;(B) ; C03-I-583B
(ucs-set-char #x77BF ?$(CO:(B) ; KS0-C-4F3A
(ucs-set-char #x77BF ?$(Gvm(B) ; C01-G-766D
(ucs-set-char #x77BF ?$@bZ(B) ; J78-@-625A
(ucs-set-char #x77BF ?$AvD(B) ; GB0-A-7644
(ucs-set-char #x77BF ?$BbZ(B) ; J83-B-625A
(ucs-set-char #x77C0 ?$(IX:(B) ; C03-I-583A
(ucs-set-char #x77C1 ?$(IX9(B) ; C03-I-5839
(ucs-set-char #x77C2 ?$(HbA(B) ; C02-H-6241
(ucs-set-char #x77C3 ?$(DO<(B) ; J90-D-4F3C
(ucs-set-char #x77C3 ?$(J`9(B) ; C04-J-6039
(ucs-set-char #x77C4 ?$(Hf'(B) ; C02-H-6627
(ucs-set-char #x77C5 ?$(IZ`(B) ; C03-I-5A60
(ucs-set-char #x77C6 ?$(IZ_(B) ; C03-I-5A5F
(ucs-set-char #x77C7 ?$(GxT(B) ; C01-G-7854
(ucs-set-char #x77C7 ?$@b^(B) ; J78-@-625E
(ucs-set-char #x77C7 ?$Bb^(B) ; J83-B-625E
(ucs-set-char #x77C9 ?$(DO=(B) ; J90-D-4F3D
(ucs-set-char #x77C9 ?$(Hf%(B) ; C02-H-6625
(ucs-set-char #x77CA ?$(Hf&(B) ; C02-H-6626
(ucs-set-char #x77CC ?$(HiC(B) ; C02-H-6943
(ucs-set-char #x77CD ?$(HiF(B) ; C02-H-6946
(ucs-set-char #x77CD ?$@b_(B) ; J78-@-625F
(ucs-set-char #x77CD ?$A[G(B) ; GB0-A-5B47
(ucs-set-char #x77CD ?$Bb_(B) ; J83-B-625F
(ucs-set-char #x77CE ?$(HiD(B) ; C02-H-6944
(ucs-set-char #x77CF ?$(HiE(B) ; C02-H-6945
(ucs-set-char #x77D0 ?$(Hkn(B) ; C02-H-6B6E
(ucs-set-char #x77D1 ?$(DO>(B) ; J90-D-4F3E
(ucs-set-char #x77D1 ?$(I^B(B) ; C03-I-5E42
(ucs-set-char #x77D2 ?$(DO?(B) ; J90-D-4F3F
(ucs-set-char #x77D2 ?$(Jf^(B) ; C04-J-665E
(ucs-set-char #x77D3 ?$(Gzz(B) ; C01-G-7A7A
(ucs-set-char #x77D4 ?$(Ho:(B) ; C02-H-6F3A
(ucs-set-char #x77D5 ?$(DO@(B) ; J90-D-4F40
(ucs-set-char #x77D5 ?$(HpB(B) ; C02-H-7042
(ucs-set-char #x77D6 ?$(Jkt(B) ; C04-J-6B74
(ucs-set-char #x77D7 ?$(Cu8(B) ; KS0-C-7538
(ucs-set-char #x77D7 ?$(G|c(B) ; C01-G-7C63
(ucs-set-char #x77D7 ?$@b`(B) ; J78-@-6260
(ucs-set-char #x77D7 ?$A4#(B) ; GB0-A-3423
(ucs-set-char #x77D7 ?$Bb`(B) ; J83-B-6260
(ucs-set-char #x77D8 ?$(Hq((B) ; C02-H-7128
(ucs-set-char #x77D9 ?$(DOA(B) ; J90-D-4F41
(ucs-set-char #x77D9 ?$(Hq)(B) ; C02-H-7129
(ucs-set-char #x77DA ?$(G}3(B) ; C01-G-7D33
(ucs-set-char #x77DA ?$@ba(B) ; J78-@-6261
(ucs-set-char #x77DA ?$Bba(B) ; J83-B-6261
(ucs-set-char #x77DB ?$(CYC(B) ; KS0-C-5943
(ucs-set-char #x77DB ?$(GFy(B) ; C01-G-4679
(ucs-set-char #x77DB ?$@L7(B) ; J78-@-4C37
(ucs-set-char #x77DB ?$AC,(B) ; GB0-A-432C
(ucs-set-char #x77DB ?$BL7(B) ; J83-B-4C37
(ucs-set-char #x77DC ?$(CPh(B) ; KS0-C-5068
(ucs-set-char #x77DC ?$(GRd(B) ; C01-G-5264
(ucs-set-char #x77DC ?$@bb(B) ; J78-@-6262
(ucs-set-char #x77DC ?$Aqf(B) ; GB0-A-7166
(ucs-set-char #x77DC ?$Bbb(B) ; J83-B-6262
(ucs-set-char #x77DD ?$(I2i(B) ; C03-I-3269
(ucs-set-char #x77DE ?$(DOB(B) ; J90-D-4F42
(ucs-set-char #x77DE ?$(H>G(B) ; C02-H-3E47
(ucs-set-char #x77DF ?$(DOC(B) ; J90-D-4F43
(ucs-set-char #x77DF ?$(I=W(B) ; C03-I-3D57
(ucs-set-char #x77E0 ?$(DOD(B) ; J90-D-4F44
(ucs-set-char #x77E0 ?$(HEI(B) ; C02-H-4549
(ucs-set-char #x77E1 ?$(Jlv(B) ; C04-J-6C76
(ucs-set-char #x77E2 ?$(CcE(B) ; KS0-C-6345
(ucs-set-char #x77E2 ?$(GFz(B) ; C01-G-467A
(ucs-set-char #x77E2 ?$@Lp(B) ; J78-@-4C70
(ucs-set-char #x77E2 ?$AJ8(B) ; GB0-A-4A38
(ucs-set-char #x77E2 ?$BLp(B) ; J83-B-4C70
(ucs-set-char #x77E3 ?$(Ckx(B) ; KS0-C-6B78
(ucs-set-char #x77E3 ?$(GK2(B) ; C01-G-4B32
(ucs-set-char #x77E3 ?$@bc(B) ; J78-@-6263
(ucs-set-char #x77E3 ?$ARS(B) ; GB0-A-5253
(ucs-set-char #x77E3 ?$Bbc(B) ; J83-B-6263
(ucs-set-char #x77E4 ?$(DOE(B) ; J90-D-4F45
(ucs-set-char #x77E4 ?$(J'R(B) ; C04-J-2752
(ucs-set-char #x77E5 ?$(Cr1(B) ; KS0-C-7231
(ucs-set-char #x77E5 ?$(GO!(B) ; C01-G-4F21
(ucs-set-char #x77E5 ?$@CN(B) ; J78-@-434E
(ucs-set-char #x77E5 ?$AV*(B) ; GB0-A-562A
(ucs-set-char #x77E5 ?$BCN(B) ; J83-B-434E
(ucs-set-char #x77E6 ?$(DOF(B) ; J90-D-4F46
(ucs-set-char #x77E6 ?$(I.6(B) ; C03-I-2E36
(ucs-set-char #x77E7 ?$(H,J(B) ; C02-H-2C4A
(ucs-set-char #x77E7 ?$@Gj(B) ; J78-@-476A
(ucs-set-char #x77E7 ?$Aor(B) ; GB0-A-6F72
(ucs-set-char #x77E7 ?$BGj(B) ; J83-B-476A
(ucs-set-char #x77E8 ?$(H,K(B) ; C02-H-2C4B
(ucs-set-char #x77E9 ?$(CO;(B) ; KS0-C-4F3B
(ucs-set-char #x77E9 ?$(GV{(B) ; C01-G-567B
(ucs-set-char #x77E9 ?$@6k(B) ; J78-@-366B
(ucs-set-char #x77E9 ?$A>X(B) ; GB0-A-3E58
(ucs-set-char #x77E9 ?$B6k(B) ; J83-B-366B
(ucs-set-char #x77EA ?$(DOG(B) ; J90-D-4F47
(ucs-set-char #x77EA ?$(J3[(B) ; C04-J-335B
(ucs-set-char #x77EB ?$A=C(B) ; GB0-A-3D43
(ucs-set-char #x77EC ?$(DOH(B) ; J90-D-4F48
(ucs-set-char #x77EC ?$(H>H(B) ; C02-H-3E48
(ucs-set-char #x77EC ?$Aos(B) ; GB0-A-6F73
(ucs-set-char #x77ED ?$(CS-(B) ; KS0-C-532D
(ucs-set-char #x77ED ?$(G`{(B) ; C01-G-607B
(ucs-set-char #x77ED ?$@C;(B) ; J78-@-433B
(ucs-set-char #x77ED ?$A6L(B) ; GB0-A-364C
(ucs-set-char #x77ED ?$BC;(B) ; J83-B-433B
(ucs-set-char #x77EE ?$(Cha(B) ; KS0-C-6861
(ucs-set-char #x77EE ?$(GeN(B) ; C01-G-654E
(ucs-set-char #x77EE ?$@bd(B) ; J78-@-6264
(ucs-set-char #x77EE ?$A0+(B) ; GB0-A-302B
(ucs-set-char #x77EE ?$Bbd(B) ; J83-B-6264
(ucs-set-char #x77EF ?$(CNl(B) ; KS0-C-4E6C
(ucs-set-char #x77EF ?$(GtL(B) ; C01-G-744C
(ucs-set-char #x77EF ?$@6:(B) ; J78-@-363A
(ucs-set-char #x77EF ?$B6:(B) ; J83-B-363A
(ucs-set-char #x77F0 ?$(DOI(B) ; J90-D-4F49
(ucs-set-char #x77F0 ?$(H]n(B) ; C02-H-5D6E
(ucs-set-char #x77F1 ?$(DOJ(B) ; J90-D-4F4A
(ucs-set-char #x77F1 ?$(Hf((B) ; C02-H-6628
(ucs-set-char #x77F2 ?$(HiG(B) ; C02-H-6947
(ucs-set-char #x77F3 ?$(C`4(B) ; KS0-C-6034
(ucs-set-char #x77F3 ?$(GF{(B) ; C01-G-467B
(ucs-set-char #x77F3 ?$@@P(B) ; J78-@-4050
(ucs-set-char #x77F3 ?$AJ/(B) ; GB0-A-4A2F
(ucs-set-char #x77F3 ?$B@P(B) ; J83-B-4050
(ucs-set-char #x77F4 ?$(DOK(B) ; J90-D-4F4B
(ucs-set-char #x77F4 ?$(I&{(B) ; C03-I-267B
(ucs-set-char #x77F5 ?$(I&|(B) ; C03-I-267C
(ucs-set-char #x77F6 ?$Am6(B) ; GB0-A-6D36
(ucs-set-char #x77F7 ?$(H(A(B) ; C02-H-2841
(ucs-set-char #x77F8 ?$(DOL(B) ; J90-D-4F4C
(ucs-set-char #x77F8 ?$(H(<(B) ; C02-H-283C
(ucs-set-char #x77F8 ?$Am7(B) ; GB0-A-6D37
(ucs-set-char #x77F9 ?$(H(>(B) ; C02-H-283E
(ucs-set-char #x77FA ?$(H(@(B) ; C02-H-2840
(ucs-set-char #x77FB ?$(DOM(B) ; J90-D-4F4D
(ucs-set-char #x77FB ?$(H(?(B) ; C02-H-283F
(ucs-set-char #x77FC ?$(H(=(B) ; C02-H-283D
(ucs-set-char #x77FC ?$@be(B) ; J78-@-6265
(ucs-set-char #x77FC ?$Bbe(B) ; J83-B-6265
(ucs-set-char #x77FD ?$(GO"(B) ; C01-G-4F22
(ucs-set-char #x77FD ?$ANy(B) ; GB0-A-4E79
(ucs-set-char #x77FE ?$A7/(B) ; GB0-A-372F
(ucs-set-char #x77FF ?$A?s(B) ; GB0-A-3F73
(ucs-set-char #x7800 ?$Am8(B) ; GB0-A-6D38
(ucs-set-char #x7801 ?$ABk(B) ; GB0-A-426B
(ucs-set-char #x7802 ?$(C^c(B) ; KS0-C-5E63
(ucs-set-char #x7802 ?$(GRe(B) ; C01-G-5265
(ucs-set-char #x7802 ?$@:=(B) ; J78-@-3A3D
(ucs-set-char #x7802 ?$AI0(B) ; GB0-A-4930
(ucs-set-char #x7802 ?$B:=(B) ; J83-B-3A3D
(ucs-set-char #x7803 ?$(H,T(B) ; C02-H-2C54
(ucs-set-char #x7804 ?$(I.9(B) ; C03-I-2E39
(ucs-set-char #x7805 ?$(DON(B) ; J90-D-4F4E
(ucs-set-char #x7805 ?$(H,O(B) ; C02-H-2C4F
(ucs-set-char #x7806 ?$(DOO(B) ; J90-D-4F4F
(ucs-set-char #x7806 ?$(H,L(B) ; C02-H-2C4C
(ucs-set-char #x7807 ?$(I.;(B) ; C03-I-2E3B
(ucs-set-char #x7808 ?$(I.>(B) ; C03-I-2E3E
(ucs-set-char #x7809 ?$(DOP(B) ; J90-D-4F50
(ucs-set-char #x7809 ?$(H,S(B) ; C02-H-2C53
(ucs-set-char #x7809 ?$Am9(B) ; GB0-A-6D39
(ucs-set-char #x780A ?$(I.7(B) ; C03-I-2E37
(ucs-set-char #x780B ?$(I.:(B) ; C03-I-2E3A
(ucs-set-char #x780C ?$(GRg(B) ; C01-G-5267
(ucs-set-char #x780C ?$@bf(B) ; J78-@-6266
(ucs-set-char #x780C ?$AFv(B) ; GB0-A-4676
(ucs-set-char #x780C ?$Bbf(B) ; J83-B-6266
(ucs-set-char #x780D ?$(DOQ(B) ; J90-D-4F51
(ucs-set-char #x780D ?$(GRh(B) ; C01-G-5268
(ucs-set-char #x780D ?$A?3(B) ; GB0-A-3F33
(ucs-set-char #x780E ?$(DOR(B) ; J90-D-4F52
(ucs-set-char #x780E ?$(H,R(B) ; C02-H-2C52
(ucs-set-char #x780F ?$(H,Q(B) ; C02-H-2C51
(ucs-set-char #x7810 ?$(H,P(B) ; C02-H-2C50
(ucs-set-char #x7811 ?$(DOS(B) ; J90-D-4F53
(ucs-set-char #x7811 ?$(H,M(B) ; C02-H-2C4D
(ucs-set-char #x7811 ?$Am<(B) ; GB0-A-6D3C
(ucs-set-char #x7812 ?$(C]w(B) ; KS0-C-5D77
(ucs-set-char #x7812 ?$(H,N(B) ; C02-H-2C4E
(ucs-set-char #x7812 ?$@bg(B) ; J78-@-6267
(ucs-set-char #x7812 ?$AEx(B) ; GB0-A-4578
(ucs-set-char #x7812 ?$Bbg(B) ; J83-B-6267
(ucs-set-char #x7813 ?$(H,U(B) ; C02-H-2C55
(ucs-set-char #x7814 ?$(GRf(B) ; C01-G-5266
(ucs-set-char #x7814 ?$@8&(B) ; J78-@-3826
(ucs-set-char #x7814 ?$AQP(B) ; GB0-A-5150
(ucs-set-char #x7814 ?$B8&(B) ; J83-B-3826
(ucs-set-char #x7815 ?$(I.=(B) ; C03-I-2E3D
(ucs-set-char #x7815 ?$@:U(B) ; J78-@-3A55
(ucs-set-char #x7815 ?$B:U(B) ; J83-B-3A55
(ucs-set-char #x7816 ?$AW)(B) ; GB0-A-5729
(ucs-set-char #x7817 ?$Am:(B) ; GB0-A-6D3A
(ucs-set-char #x7818 ?$Am;(B) ; GB0-A-6D3B
(ucs-set-char #x781A ?$AQb(B) ; GB0-A-5162
(ucs-set-char #x781C ?$Am?(B) ; GB0-A-6D3F
(ucs-set-char #x781D ?$(DOT(B) ; J90-D-4F54
(ucs-set-char #x781D ?$(GW!(B) ; C01-G-5721
(ucs-set-char #x781D ?$Am@(B) ; GB0-A-6D40
(ucs-set-char #x781E ?$(J.Y(B) ; C04-J-2E59
(ucs-set-char #x781F ?$(GW'(B) ; C01-G-5727
(ucs-set-char #x781F ?$AmD(B) ; GB0-A-6D44
(ucs-set-char #x7820 ?$(GW&(B) ; C01-G-5726
(ucs-set-char #x7820 ?$@bi(B) ; J78-@-6269
(ucs-set-char #x7820 ?$Bbi(B) ; J83-B-6269
(ucs-set-char #x7821 ?$(DOU(B) ; J90-D-4F55
(ucs-set-char #x7821 ?$(H1D(B) ; C02-H-3144
(ucs-set-char #x7822 ?$(DOV(B) ; J90-D-4F56
(ucs-set-char #x7822 ?$(H1>(B) ; C02-H-313E
(ucs-set-char #x7823 ?$(DOW(B) ; J90-D-4F57
(ucs-set-char #x7823 ?$(H1<(B) ; C02-H-313C
(ucs-set-char #x7823 ?$AmH(B) ; GB0-A-6D48
(ucs-set-char #x7824 ?$(I2l(B) ; C03-I-326C
(ucs-set-char #x7825 ?$(Cr2(B) ; KS0-C-7232
(ucs-set-char #x7825 ?$(GW$(B) ; C01-G-5724
(ucs-set-char #x7825 ?$@EV(B) ; J78-@-4556
(ucs-set-char #x7825 ?$AmF(B) ; GB0-A-6D46
(ucs-set-char #x7825 ?$BEV(B) ; J83-B-4556
(ucs-set-char #x7826 ?$(Csv(B) ; KS0-C-7376
(ucs-set-char #x7826 ?$(H7\(B) ; C02-H-375C
(ucs-set-char #x7826 ?$@:V(B) ; J78-@-3A56
(ucs-set-char #x7826 ?$AmN(B) ; GB0-A-6D4E
(ucs-set-char #x7826 ?$B:V(B) ; J83-B-3A56
(ucs-set-char #x7827 ?$(Cv[(B) ; KS0-C-765B
(ucs-set-char #x7827 ?$(GV}(B) ; C01-G-567D
(ucs-set-char #x7827 ?$@5N(B) ; J78-@-354E
(ucs-set-char #x7827 ?$AUh(B) ; GB0-A-5568
(ucs-set-char #x7827 ?$B5N(B) ; J83-B-354E
(ucs-set-char #x7828 ?$(H1A(B) ; C02-H-3141
(ucs-set-char #x7829 ?$(H1E(B) ; C02-H-3145
(ucs-set-char #x7829 ?$AmI(B) ; GB0-A-6D49
(ucs-set-char #x782A ?$(H1G(B) ; C02-H-3147
(ucs-set-char #x782B ?$(H1C(B) ; C02-H-3143
(ucs-set-char #x782C ?$(CW~(B) ; KS0-C-577E
(ucs-set-char #x782C ?$(H1=(B) ; C02-H-313D
(ucs-set-char #x782C ?$AmG(B) ; GB0-A-6D47
(ucs-set-char #x782D ?$(DOX(B) ; J90-D-4F58
(ucs-set-char #x782D ?$(GW%(B) ; C01-G-5725
(ucs-set-char #x782D ?$Am>(B) ; GB0-A-6D3E
(ucs-set-char #x782E ?$(DOY(B) ; J90-D-4F59
(ucs-set-char #x782E ?$(H1B(B) ; C02-H-3142
(ucs-set-char #x782F ?$(H1@(B) ; C02-H-3140
(ucs-set-char #x7830 ?$(DOZ(B) ; J90-D-4F5A
(ucs-set-char #x7830 ?$(GV|(B) ; C01-G-567C
(ucs-set-char #x7830 ?$AEi(B) ; GB0-A-4569
(ucs-set-char #x7831 ?$(H1H(B) ; C02-H-3148
(ucs-set-char #x7832 ?$(Cx_(B) ; KS0-C-785F
(ucs-set-char #x7832 ?$(GW((B) ; C01-G-5728
(ucs-set-char #x7832 ?$@K$(B) ; J78-@-4B24
(ucs-set-char #x7832 ?$BK$(B) ; J83-B-4B24
(ucs-set-char #x7833 ?$(H1F(B) ; C02-H-3146
(ucs-set-char #x7834 ?$(Cwr(B) ; KS0-C-7772
(ucs-set-char #x7834 ?$(GW"(B) ; C01-G-5722
(ucs-set-char #x7834 ?$@GK(B) ; J78-@-474B
(ucs-set-char #x7834 ?$AFF(B) ; GB0-A-4646
(ucs-set-char #x7834 ?$BGK(B) ; J83-B-474B
(ucs-set-char #x7835 ?$(DO[(B) ; J90-D-4F5B
(ucs-set-char #x7835 ?$(H1?(B) ; C02-H-313F
(ucs-set-char #x7836 ?$(I2m(B) ; C03-I-326D
(ucs-set-char #x7837 ?$(DO\(B) ; J90-D-4F5C
(ucs-set-char #x7837 ?$(GW#(B) ; C01-G-5723
(ucs-set-char #x7837 ?$AIi(B) ; GB0-A-4969
(ucs-set-char #x7838 ?$(GV~(B) ; C01-G-567E
(ucs-set-char #x7838 ?$ATR(B) ; GB0-A-5452
(ucs-set-char #x7839 ?$AmA(B) ; GB0-A-6D41
(ucs-set-char #x783A ?$@bj(B) ; J78-@-626A
(ucs-set-char #x783A ?$AmB(B) ; GB0-A-6D42
(ucs-set-char #x783A ?$BEW(B) ; J83-B-4557
(ucs-set-char #x783B ?$AmC(B) ; GB0-A-6D43
(ucs-set-char #x783C ?$AmE(B) ; GB0-A-6D45
(ucs-set-char #x783E ?$A@y(B) ; GB0-A-4079
(ucs-set-char #x783F ?$@bh(B) ; J78-@-6268
(ucs-set-char #x783F ?$B9\(B) ; J83-B-395C
(ucs-set-char #x7840 ?$A4!(B) ; GB0-A-3421
(ucs-set-char #x7842 ?$(I7b(B) ; C03-I-3762
(ucs-set-char #x7843 ?$(DO](B) ; J90-D-4F5D
(ucs-set-char #x7843 ?$(G\>(B) ; C01-G-5C3E
(ucs-set-char #x7844 ?$(DO^(B) ; J90-D-4F5E
(ucs-set-char #x7844 ?$(J3](B) ; C04-J-335D
(ucs-set-char #x7845 ?$(CP)(B) ; KS0-C-5029
(ucs-set-char #x7845 ?$(H7](B) ; C02-H-375D
(ucs-set-char #x7845 ?$@bk(B) ; J78-@-626B
(ucs-set-char #x7845 ?$A9h(B) ; GB0-A-3968
(ucs-set-char #x7845 ?$Bbk(B) ; J83-B-626B
(ucs-set-char #x7846 ?$(I7c(B) ; C03-I-3763
(ucs-set-char #x7847 ?$(DO_(B) ; J90-D-4F5F
(ucs-set-char #x7847 ?$(I7](B) ; C03-I-375D
(ucs-set-char #x7847 ?$AmP(B) ; GB0-A-6D50
(ucs-set-char #x7848 ?$(DO`(B) ; J90-D-4F60
(ucs-set-char #x7848 ?$(H7V(B) ; C02-H-3756
(ucs-set-char #x7849 ?$(H7X(B) ; C02-H-3758
(ucs-set-char #x784A ?$(H7Z(B) ; C02-H-375A
(ucs-set-char #x784B ?$(I7_(B) ; C03-I-375F
(ucs-set-char #x784C ?$(DOa(B) ; J90-D-4F61
(ucs-set-char #x784C ?$(H7[(B) ; C02-H-375B
(ucs-set-char #x784C ?$AmQ(B) ; GB0-A-6D51
(ucs-set-char #x784D ?$(H7Y(B) ; C02-H-3759
(ucs-set-char #x784E ?$(DOb(B) ; J90-D-4F62
(ucs-set-char #x784E ?$(G\?(B) ; C01-G-5C3F
(ucs-set-char #x784E ?$AmJ(B) ; GB0-A-6D4A
(ucs-set-char #x784F ?$(CfZ(B) ; KS0-C-665A
(ucs-set-char #x784F ?$(I7a(B) ; C03-I-3761
(ucs-set-char #x7850 ?$(H7^(B) ; C02-H-375E
(ucs-set-char #x7850 ?$AmO(B) ; GB0-A-6D4F
(ucs-set-char #x7851 ?$(I7`(B) ; C03-I-3760
(ucs-set-char #x7852 ?$(DOc(B) ; J90-D-4F63
(ucs-set-char #x7852 ?$(H7W(B) ; C02-H-3757
(ucs-set-char #x7852 ?$ANx(B) ; GB0-A-4E78
(ucs-set-char #x7855 ?$AK6(B) ; GB0-A-4B36
(ucs-set-char #x7856 ?$AmL(B) ; GB0-A-6D4C
(ucs-set-char #x7857 ?$AmM(B) ; GB0-A-6D4D
(ucs-set-char #x785C ?$(DOd(B) ; J90-D-4F64
(ucs-set-char #x785C ?$(H>L(B) ; C02-H-3E4C
(ucs-set-char #x785D ?$(Cu&(B) ; KS0-C-7526
(ucs-set-char #x785D ?$(G`|(B) ; C01-G-607C
(ucs-set-char #x785D ?$@>K(B) ; J78-@-3E4B
(ucs-set-char #x785D ?$AOu(B) ; GB0-A-4F75
(ucs-set-char #x785D ?$B>K(B) ; J83-B-3E4B
(ucs-set-char #x785E ?$(DOe(B) ; J90-D-4F65
(ucs-set-char #x785E ?$(H>T(B) ; C02-H-3E54
(ucs-set-char #x785F ?$(I=\(B) ; C03-I-3D5C
(ucs-set-char #x7860 ?$(DOf(B) ; J90-D-4F66
(ucs-set-char #x7860 ?$(H>I(B) ; C02-H-3E49
(ucs-set-char #x7861 ?$(DOg(B) ; J90-D-4F67
(ucs-set-char #x7861 ?$(LL/(B) ; C06-L-4C2F
(ucs-set-char #x7862 ?$(H>U(B) ; C02-H-3E55
(ucs-set-char #x7863 ?$(DOh(B) ; J90-D-4F68
(ucs-set-char #x7863 ?$(I=Y(B) ; C03-I-3D59
(ucs-set-char #x7864 ?$(DOi(B) ; J90-D-4F69
(ucs-set-char #x7864 ?$(H>J(B) ; C02-H-3E4A
(ucs-set-char #x7865 ?$(H>K(B) ; C02-H-3E4B
(ucs-set-char #x7866 ?$(I=](B) ; C03-I-3D5D
(ucs-set-char #x7867 ?$(J9T(B) ; C04-J-3954
(ucs-set-char #x7868 ?$(DOj(B) ; J90-D-4F6A
(ucs-set-char #x7868 ?$(H>S(B) ; C02-H-3E53
(ucs-set-char #x7869 ?$(H>R(B) ; C02-H-3E52
(ucs-set-char #x786A ?$(DOk(B) ; J90-D-4F6B
(ucs-set-char #x786A ?$(H>O(B) ; C02-H-3E4F
(ucs-set-char #x786A ?$AmR(B) ; GB0-A-6D52
(ucs-set-char #x786B ?$(CW<(B) ; KS0-C-573C
(ucs-set-char #x786B ?$(G\=(B) ; C01-G-5C3D
(ucs-set-char #x786B ?$@N2(B) ; J78-@-4E32
(ucs-set-char #x786B ?$AAr(B) ; GB0-A-4172
(ucs-set-char #x786B ?$BN2(B) ; J83-B-4E32
(ucs-set-char #x786C ?$(CLc(B) ; KS0-C-4C63
(ucs-set-char #x786C ?$(G`}(B) ; C01-G-607D
(ucs-set-char #x786C ?$@9E(B) ; J78-@-3945
(ucs-set-char #x786C ?$AS2(B) ; GB0-A-5332
(ucs-set-char #x786C ?$B9E(B) ; J83-B-3945
(ucs-set-char #x786D ?$(H>M(B) ; C02-H-3E4D
(ucs-set-char #x786D ?$AmK(B) ; GB0-A-6D4B
(ucs-set-char #x786E ?$(DOl(B) ; J90-D-4F6C
(ucs-set-char #x786E ?$(H>P(B) ; C02-H-3E50
(ucs-set-char #x786E ?$AH7(B) ; GB0-A-4837
(ucs-set-char #x786F ?$(Cf[(B) ; KS0-C-665B
(ucs-set-char #x786F ?$(G`~(B) ; C01-G-607E
(ucs-set-char #x786F ?$@8'(B) ; J78-@-3827
(ucs-set-char #x786F ?$B8'(B) ; J83-B-3827
(ucs-set-char #x7870 ?$(H>Q(B) ; C02-H-3E51
(ucs-set-char #x7871 ?$(H>N(B) ; C02-H-3E4E
(ucs-set-char #x7872 ?$@H#(B) ; J78-@-4823
(ucs-set-char #x7872 ?$BH#(B) ; J83-B-4823
(ucs-set-char #x7874 ?$@bm(B) ; J78-@-626D
(ucs-set-char #x7874 ?$Bbm(B) ; J83-B-626D
(ucs-set-char #x7876 ?$(I=Z(B) ; C03-I-3D5A
(ucs-set-char #x7877 ?$A<o(B) ; GB0-A-3C6F
(ucs-set-char #x7878 ?$(IC1(B) ; C03-I-4331
(ucs-set-char #x7879 ?$(HET(B) ; C02-H-4554
(ucs-set-char #x787A ?$(DOm(B) ; J90-D-4F6D
(ucs-set-char #x787A ?$(IC-(B) ; C03-I-432D
(ucs-set-char #x787B ?$(HEX(B) ; C02-H-4558
(ucs-set-char #x787C ?$(C]](B) ; KS0-C-5D5D
(ucs-set-char #x787C ?$(GeU(B) ; C01-G-6555
(ucs-set-char #x787C ?$@bo(B) ; J78-@-626F
(ucs-set-char #x787C ?$AEp(B) ; GB0-A-4570
(ucs-set-char #x787C ?$Bbo(B) ; J83-B-626F
(ucs-set-char #x787D ?$(IC.(B) ; C03-I-432E
(ucs-set-char #x787E ?$(DOn(B) ; J90-D-4F6E
(ucs-set-char #x787E ?$(HL8(B) ; C02-H-4C38
(ucs-set-char #x787F ?$(GeX(B) ; C01-G-6558
(ucs-set-char #x7880 ?$(HEV(B) ; C02-H-4556
(ucs-set-char #x7881 ?$(CQ3(B) ; KS0-C-5133
(ucs-set-char #x7881 ?$(IC7(B) ; C03-I-4337
(ucs-set-char #x7881 ?$@8k(B) ; J78-@-386B
(ucs-set-char #x7881 ?$B8k(B) ; J83-B-386B
(ucs-set-char #x7882 ?$(IC)(B) ; C03-I-4329
(ucs-set-char #x7883 ?$(HES(B) ; C02-H-4553
(ucs-set-char #x7884 ?$(HEN(B) ; C02-H-454E
(ucs-set-char #x7885 ?$(HEP(B) ; C02-H-4550
(ucs-set-char #x7886 ?$(HEQ(B) ; C02-H-4551
(ucs-set-char #x7886 ?$@bn(B) ; J78-@-626E
(ucs-set-char #x7886 ?$Bbn(B) ; J83-B-626E
(ucs-set-char #x7887 ?$(Com(B) ; KS0-C-6F6D
(ucs-set-char #x7887 ?$(HEJ(B) ; C02-H-454A
(ucs-set-char #x7887 ?$@Dv(B) ; J78-@-4476
(ucs-set-char #x7887 ?$AmV(B) ; GB0-A-6D56
(ucs-set-char #x7887 ?$BDv(B) ; J83-B-4476
(ucs-set-char #x7888 ?$(IC5(B) ; C03-I-4335
(ucs-set-char #x7889 ?$(GeT(B) ; C01-G-6554
(ucs-set-char #x7889 ?$A5o(B) ; GB0-A-356F
(ucs-set-char #x788A ?$(DOo(B) ; J90-D-4F6F
(ucs-set-char #x788A ?$(IC+(B) ; C03-I-432B
(ucs-set-char #x788B ?$(IC0(B) ; C03-I-4330
(ucs-set-char #x788C ?$(CV^(B) ; KS0-C-565E
(ucs-set-char #x788C ?$(GeS(B) ; C01-G-6553
(ucs-set-char #x788C ?$@bq(B) ; J78-@-6271
(ucs-set-char #x788C ?$AB5(B) ; GB0-A-4235
(ucs-set-char #x788C ?$Bbq(B) ; J83-B-6271
(ucs-set-char #x788D ?$(Cdt(B) ; KS0-C-6474
(ucs-set-char #x788D ?$(IC4(B) ; C03-I-4334
(ucs-set-char #x788D ?$@37(B) ; J78-@-3337
(ucs-set-char #x788D ?$A0-(B) ; GB0-A-302D
(ucs-set-char #x788D ?$B37(B) ; J83-B-3337
(ucs-set-char #x788E ?$(Cao(B) ; KS0-C-616F
(ucs-set-char #x788E ?$(GeO(B) ; C01-G-654F
(ucs-set-char #x788E ?$@bl(B) ; J78-@-626C
(ucs-set-char #x788E ?$AKi(B) ; GB0-A-4B69
(ucs-set-char #x788E ?$Bbl(B) ; J83-B-626C
(ucs-set-char #x788F ?$(DOp(B) ; J90-D-4F70
(ucs-set-char #x788F ?$(HEM(B) ; C02-H-454D
(ucs-set-char #x7890 ?$(IC*(B) ; C03-I-432A
(ucs-set-char #x7891 ?$(C]x(B) ; KS0-C-5D78
(ucs-set-char #x7891 ?$(GeV(B) ; C01-G-6556
(ucs-set-char #x7891 ?$@Hj(B) ; J78-@-486A
(ucs-set-char #x7891 ?$A1.(B) ; GB0-A-312E
(ucs-set-char #x7891 ?$BHj(B) ; J83-B-486A
(ucs-set-char #x7892 ?$(IC6(B) ; C03-I-4336
(ucs-set-char #x7893 ?$(GeW(B) ; C01-G-6557
(ucs-set-char #x7893 ?$@10(B) ; J78-@-3130
(ucs-set-char #x7893 ?$AmT(B) ; GB0-A-6D54
(ucs-set-char #x7893 ?$B10(B) ; J83-B-3130
(ucs-set-char #x7894 ?$(DOq(B) ; J90-D-4F71
(ucs-set-char #x7894 ?$(HEL(B) ; C02-H-454C
(ucs-set-char #x7895 ?$(HEO(B) ; C02-H-454F
(ucs-set-char #x7895 ?$@:l(B) ; J78-@-3A6C
(ucs-set-char #x7895 ?$B:l(B) ; J83-B-3A6C
(ucs-set-char #x7896 ?$(HEW(B) ; C02-H-4557
(ucs-set-char #x7897 ?$(ChO(B) ; KS0-C-684F
(ucs-set-char #x7897 ?$(GeQ(B) ; C01-G-6551
(ucs-set-char #x7897 ?$@OR(B) ; J78-@-4F52
(ucs-set-char #x7897 ?$AMk(B) ; GB0-A-4D6B
(ucs-set-char #x7897 ?$BOR(B) ; J83-B-4F52
(ucs-set-char #x7898 ?$(DOr(B) ; J90-D-4F72
(ucs-set-char #x7898 ?$(GeR(B) ; C01-G-6552
(ucs-set-char #x7898 ?$A5b(B) ; GB0-A-3562
(ucs-set-char #x7899 ?$(HEU(B) ; C02-H-4555
(ucs-set-char #x789A ?$(HEK(B) ; C02-H-454B
(ucs-set-char #x789A ?$@bp(B) ; J78-@-6270
(ucs-set-char #x789A ?$AmU(B) ; GB0-A-6D55
(ucs-set-char #x789A ?$Bbp(B) ; J83-B-6270
(ucs-set-char #x789B ?$AmS(B) ; GB0-A-6D53
(ucs-set-char #x789C ?$AmW(B) ; GB0-A-6D57
(ucs-set-char #x789D ?$(DOt(B) ; J90-D-4F74
(ucs-set-char #x789D ?$(JES(B) ; C04-J-4553
(ucs-set-char #x789E ?$(DOu(B) ; J90-D-4F75
(ucs-set-char #x789E ?$(HL:(B) ; C02-H-4C3A
(ucs-set-char #x789F ?$(DOv(B) ; J90-D-4F76
(ucs-set-char #x789F ?$(Giw(B) ; C01-G-6977
(ucs-set-char #x789F ?$A5z(B) ; GB0-A-357A
(ucs-set-char #x78A0 ?$(HL<(B) ; C02-H-4C3C
(ucs-set-char #x78A1 ?$(DOs(B) ; J90-D-4F73
(ucs-set-char #x78A1 ?$(HER(B) ; C02-H-4552
(ucs-set-char #x78A1 ?$AmX(B) ; GB0-A-6D58
(ucs-set-char #x78A2 ?$(HL>(B) ; C02-H-4C3E
(ucs-set-char #x78A3 ?$(CJe(B) ; KS0-C-4A65
(ucs-set-char #x78A3 ?$(Gi{(B) ; C01-G-697B
(ucs-set-char #x78A3 ?$@br(B) ; J78-@-6272
(ucs-set-char #x78A3 ?$AmY(B) ; GB0-A-6D59
(ucs-set-char #x78A3 ?$Bbr(B) ; J83-B-6272
(ucs-set-char #x78A4 ?$(DOw(B) ; J90-D-4F77
(ucs-set-char #x78A4 ?$(HL?(B) ; C02-H-4C3F
(ucs-set-char #x78A5 ?$(HL;(B) ; C02-H-4C3B
(ucs-set-char #x78A5 ?$Am\(B) ; GB0-A-6D5C
(ucs-set-char #x78A6 ?$(IH>(B) ; C03-I-483E
(ucs-set-char #x78A7 ?$(C\!(B) ; KS0-C-5C21
(ucs-set-char #x78A7 ?$(Gix(B) ; C01-G-6978
(ucs-set-char #x78A7 ?$@JK(B) ; J78-@-4A4B
(ucs-set-char #x78A7 ?$A1L(B) ; GB0-A-314C
(ucs-set-char #x78A7 ?$BJK(B) ; J83-B-4A4B
(ucs-set-char #x78A8 ?$(DOx(B) ; J90-D-4F78
(ucs-set-char #x78A8 ?$(HL7(B) ; C02-H-4C37
(ucs-set-char #x78A9 ?$(C`5(B) ; KS0-C-6035
(ucs-set-char #x78A9 ?$(Giz(B) ; C01-G-697A
(ucs-set-char #x78A9 ?$@@Y(B) ; J78-@-4059
(ucs-set-char #x78A9 ?$B@Y(B) ; J83-B-4059
(ucs-set-char #x78AA ?$(HL4(B) ; C02-H-4C34
(ucs-set-char #x78AA ?$@bt(B) ; J78-@-6274
(ucs-set-char #x78AA ?$Bbt(B) ; J83-B-6274
(ucs-set-char #x78AB ?$(HL9(B) ; C02-H-4C39
(ucs-set-char #x78AC ?$(DOy(B) ; J90-D-4F79
(ucs-set-char #x78AC ?$(HL=(B) ; C02-H-4C3D
(ucs-set-char #x78AD ?$(DOz(B) ; J90-D-4F7A
(ucs-set-char #x78AD ?$(HL6(B) ; C02-H-4C36
(ucs-set-char #x78AE ?$(IH?(B) ; C03-I-483F
(ucs-set-char #x78AF ?$(IHE(B) ; C03-I-4845
(ucs-set-char #x78AF ?$@bu(B) ; J78-@-6275
(ucs-set-char #x78AF ?$Bbu(B) ; J83-B-6275
(ucs-set-char #x78B0 ?$(DO{(B) ; J90-D-4F7B
(ucs-set-char #x78B0 ?$(GeP(B) ; C01-G-6550
(ucs-set-char #x78B0 ?$AEv(B) ; GB0-A-4576
(ucs-set-char #x78B1 ?$(DO|(B) ; J90-D-4F7C
(ucs-set-char #x78B1 ?$(IHD(B) ; C03-I-4844
(ucs-set-char #x78B1 ?$A<n(B) ; GB0-A-3C6E
(ucs-set-char #x78B2 ?$(DO}(B) ; J90-D-4F7D
(ucs-set-char #x78B2 ?$(HL3(B) ; C02-H-4C33
(ucs-set-char #x78B2 ?$AmZ(B) ; GB0-A-6D5A
(ucs-set-char #x78B3 ?$(DO~(B) ; J90-D-4F7E
(ucs-set-char #x78B3 ?$(Giy(B) ; C01-G-6979
(ucs-set-char #x78B3 ?$AL<(B) ; GB0-A-4C3C
(ucs-set-char #x78B4 ?$(HL5(B) ; C02-H-4C35
(ucs-set-char #x78B4 ?$A2j(B) ; GB0-A-326A
(ucs-set-char #x78B5 ?$@bs(B) ; J78-@-6273
(ucs-set-char #x78B5 ?$Bbs(B) ; J83-B-6273
(ucs-set-char #x78B8 ?$(IH@(B) ; C03-I-4840
(ucs-set-char #x78B9 ?$Am[(B) ; GB0-A-6D5B
(ucs-set-char #x78BA ?$(C|,(B) ; KS0-C-7C2C
(ucs-set-char #x78BA ?$(Gm}(B) ; C01-G-6D7D
(ucs-set-char #x78BA ?$@3N(B) ; J78-@-334E
(ucs-set-char #x78BA ?$B3N(B) ; J83-B-334E
(ucs-set-char #x78BB ?$(C|-(B) ; KS0-C-7C2D
(ucs-set-char #x78BB ?$(DP!(B) ; J90-D-5021
(ucs-set-char #x78BB ?$(HRI(B) ; C02-H-5249
(ucs-set-char #x78BC ?$(CX'(B) ; KS0-C-5827
(ucs-set-char #x78BC ?$(Gn#(B) ; C01-G-6E23
(ucs-set-char #x78BC ?$@b{(B) ; J78-@-627B
(ucs-set-char #x78BC ?$Bb{(B) ; J83-B-627B
(ucs-set-char #x78BD ?$(DP"(B) ; J90-D-5022
(ucs-set-char #x78BD ?$(JKY(B) ; C04-J-4B59
(ucs-set-char #x78BE ?$(Gn!(B) ; C01-G-6E21
(ucs-set-char #x78BE ?$@bz(B) ; J78-@-627A
(ucs-set-char #x78BE ?$ADk(B) ; GB0-A-446B
(ucs-set-char #x78BE ?$Bbz(B) ; J83-B-627A
(ucs-set-char #x78BF ?$(DP#(B) ; J90-D-5023
(ucs-set-char #x78BF ?$(JKW(B) ; C04-J-4B57
(ucs-set-char #x78C0 ?$(IMJ(B) ; C03-I-4D4A
(ucs-set-char #x78C1 ?$(Cm8(B) ; KS0-C-6D38
(ucs-set-char #x78C1 ?$(Giv(B) ; C01-G-6976
(ucs-set-char #x78C1 ?$@<'(B) ; J78-@-3C27
(ucs-set-char #x78C1 ?$A4E(B) ; GB0-A-3445
(ucs-set-char #x78C1 ?$B<'(B) ; J83-B-3C27
(ucs-set-char #x78C2 ?$(IMM(B) ; C03-I-4D4D
(ucs-set-char #x78C3 ?$(HRP(B) ; C02-H-5250
(ucs-set-char #x78C4 ?$(HRQ(B) ; C02-H-5251
(ucs-set-char #x78C5 ?$(C[6(B) ; KS0-C-5B36
(ucs-set-char #x78C5 ?$(Gm|(B) ; C01-G-6D7C
(ucs-set-char #x78C5 ?$@b|(B) ; J78-@-627C
(ucs-set-char #x78C5 ?$A0u(B) ; GB0-A-3075
(ucs-set-char #x78C5 ?$Bb|(B) ; J83-B-627C
(ucs-set-char #x78C6 ?$(IMH(B) ; C03-I-4D48
(ucs-set-char #x78C6 ?$@bw(B) ; J78-@-6277
(ucs-set-char #x78C6 ?$Bbw(B) ; J83-B-6277
(ucs-set-char #x78C7 ?$(DP$(B) ; J90-D-5024
(ucs-set-char #x78C7 ?$(IML(B) ; C03-I-4D4C
(ucs-set-char #x78C8 ?$(DP%(B) ; J90-D-5025
(ucs-set-char #x78C8 ?$(HRO(B) ; C02-H-524F
(ucs-set-char #x78C9 ?$(DP&(B) ; J90-D-5026
(ucs-set-char #x78C9 ?$(HRR(B) ; C02-H-5252
(ucs-set-char #x78C9 ?$Am_(B) ; GB0-A-6D5F
(ucs-set-char #x78CA ?$(CVp(B) ; KS0-C-5670
(ucs-set-char #x78CA ?$(Gm~(B) ; C01-G-6D7E
(ucs-set-char #x78CA ?$@b}(B) ; J78-@-627D
(ucs-set-char #x78CA ?$A@Z(B) ; GB0-A-405A
(ucs-set-char #x78CA ?$Bb}(B) ; J83-B-627D
(ucs-set-char #x78CB ?$(Cs/(B) ; KS0-C-732F
(ucs-set-char #x78CB ?$(Gm{(B) ; C01-G-6D7B
(ucs-set-char #x78CB ?$@bx(B) ; J78-@-6278
(ucs-set-char #x78CB ?$A4h(B) ; GB0-A-3468
(ucs-set-char #x78CB ?$Bbx(B) ; J83-B-6278
(ucs-set-char #x78CC ?$(DP'(B) ; J90-D-5027
(ucs-set-char #x78CC ?$(HRK(B) ; C02-H-524B
(ucs-set-char #x78CD ?$(HRH(B) ; C02-H-5248
(ucs-set-char #x78CE ?$(CM%(B) ; KS0-C-4D25
(ucs-set-char #x78CE ?$(DP((B) ; J90-D-5028
(ucs-set-char #x78CE ?$(HRM(B) ; C02-H-524D
(ucs-set-char #x78CF ?$(HRJ(B) ; C02-H-524A
(ucs-set-char #x78D0 ?$(CZq(B) ; KS0-C-5A71
(ucs-set-char #x78D0 ?$(Gn$(B) ; C01-G-6E24
(ucs-set-char #x78D0 ?$@HX(B) ; J78-@-4858
(ucs-set-char #x78D0 ?$AEM(B) ; GB0-A-454D
(ucs-set-char #x78D0 ?$BHX(B) ; J83-B-4858
(ucs-set-char #x78D1 ?$(HRL(B) ; C02-H-524C
(ucs-set-char #x78D1 ?$@bv(B) ; J78-@-6276
(ucs-set-char #x78D1 ?$Bbv(B) ; J83-B-6276
(ucs-set-char #x78D2 ?$(DP)(B) ; J90-D-5029
(ucs-set-char #x78D2 ?$(IMK(B) ; C03-I-4D4B
(ucs-set-char #x78D3 ?$(DP*(B) ; J90-D-502A
(ucs-set-char #x78D3 ?$(IMI(B) ; C03-I-4D49
(ucs-set-char #x78D4 ?$(HRN(B) ; C02-H-524E
(ucs-set-char #x78D4 ?$@by(B) ; J78-@-6279
(ucs-set-char #x78D4 ?$Am](B) ; GB0-A-6D5D
(ucs-set-char #x78D4 ?$Bby(B) ; J83-B-6279
(ucs-set-char #x78D5 ?$(DP+(B) ; J90-D-502B
(ucs-set-char #x78D5 ?$(Gn"(B) ; C01-G-6E22
(ucs-set-char #x78D5 ?$A?D(B) ; GB0-A-3F44
(ucs-set-char #x78D6 ?$(DP,(B) ; J90-D-502C
(ucs-set-char #x78D6 ?$(IR!(B) ; C03-I-5221
(ucs-set-char #x78D9 ?$Am^(B) ; GB0-A-6D5E
(ucs-set-char #x78DA ?$(GqT(B) ; C01-G-7154
(ucs-set-char #x78DA ?$@c"(B) ; J78-@-6322
(ucs-set-char #x78DA ?$Bc"(B) ; J83-B-6322
(ucs-set-char #x78DB ?$(DP.(B) ; J90-D-502E
(ucs-set-char #x78DB ?$(HXr(B) ; C02-H-5872
(ucs-set-char #x78DC ?$(IR$(B) ; C03-I-5224
(ucs-set-char #x78DD ?$(HXl(B) ; C02-H-586C
(ucs-set-char #x78DE ?$(HXp(B) ; C02-H-5870
(ucs-set-char #x78DF ?$(DP/(B) ; J90-D-502F
(ucs-set-char #x78DF ?$(HXv(B) ; C02-H-5876
(ucs-set-char #x78E0 ?$(DP0(B) ; J90-D-5030
(ucs-set-char #x78E0 ?$(HXw(B) ; C02-H-5877
(ucs-set-char #x78E1 ?$(DP1(B) ; J90-D-5031
(ucs-set-char #x78E1 ?$(HXs(B) ; C02-H-5873
(ucs-set-char #x78E2 ?$(HXt(B) ; C02-H-5874
(ucs-set-char #x78E3 ?$(HXq(B) ; C02-H-5871
(ucs-set-char #x78E4 ?$(DP-(B) ; J90-D-502D
(ucs-set-char #x78E4 ?$(JK](B) ; C04-J-4B5D
(ucs-set-char #x78E5 ?$(HXn(B) ; C02-H-586E
(ucs-set-char #x78E6 ?$(DP2(B) ; J90-D-5032
(ucs-set-char #x78E6 ?$(JQn(B) ; C04-J-516E
(ucs-set-char #x78E7 ?$(GqV(B) ; C01-G-7156
(ucs-set-char #x78E7 ?$@c!(B) ; J78-@-6321
(ucs-set-char #x78E7 ?$Bc!(B) ; J83-B-6321
(ucs-set-char #x78E8 ?$(CX((B) ; KS0-C-5828
(ucs-set-char #x78E8 ?$(GqS(B) ; C01-G-7153
(ucs-set-char #x78E8 ?$@Ka(B) ; J78-@-4B61
(ucs-set-char #x78E8 ?$AD%(B) ; GB0-A-4425
(ucs-set-char #x78E8 ?$BKa(B) ; J83-B-4B61
(ucs-set-char #x78E9 ?$(HXm(B) ; C02-H-586D
(ucs-set-char #x78EA ?$(DP3(B) ; J90-D-5033
(ucs-set-char #x78EA ?$(HXo(B) ; C02-H-586F
(ucs-set-char #x78EB ?$(IR"(B) ; C03-I-5222
(ucs-set-char #x78EC ?$(CLd(B) ; KS0-C-4C64
(ucs-set-char #x78EC ?$(GqU(B) ; C01-G-7155
(ucs-set-char #x78EC ?$@b~(B) ; J78-@-627E
(ucs-set-char #x78EC ?$Am`(B) ; GB0-A-6D60
(ucs-set-char #x78EC ?$Bb~(B) ; J83-B-627E
(ucs-set-char #x78ED ?$(HXu(B) ; C02-H-5875
(ucs-set-char #x78EF ?$(CQ4(B) ; KS0-C-5134
(ucs-set-char #x78EF ?$(GtP(B) ; C01-G-7450
(ucs-set-char #x78EF ?$@0k(B) ; J78-@-306B
(ucs-set-char #x78EF ?$B0k(B) ; J83-B-306B
(ucs-set-char #x78F0 ?$(IU`(B) ; C03-I-5560
(ucs-set-char #x78F1 ?$(IUb(B) ; C03-I-5562
(ucs-set-char #x78F2 ?$(DP4(B) ; J90-D-5034
(ucs-set-char #x78F2 ?$(H]u(B) ; C02-H-5D75
(ucs-set-char #x78F2 ?$Ama(B) ; GB0-A-6D61
(ucs-set-char #x78F3 ?$(DP5(B) ; J90-D-5035
(ucs-set-char #x78F3 ?$(H]o(B) ; C02-H-5D6F
(ucs-set-char #x78F4 ?$(GtO(B) ; C01-G-744F
(ucs-set-char #x78F4 ?$@c$(B) ; J78-@-6324
(ucs-set-char #x78F4 ?$Amc(B) ; GB0-A-6D63
(ucs-set-char #x78F4 ?$Bc$(B) ; J83-B-6324
(ucs-set-char #x78F5 ?$(CJX(B) ; KS0-C-4A58
(ucs-set-char #x78F6 ?$(DP7(B) ; J90-D-5037
(ucs-set-char #x78F6 ?$(JW>(B) ; C04-J-573E
(ucs-set-char #x78F7 ?$(DP8(B) ; J90-D-5038
(ucs-set-char #x78F7 ?$(GtM(B) ; C01-G-744D
(ucs-set-char #x78F7 ?$AAW(B) ; GB0-A-4157
(ucs-set-char #x78F8 ?$(IUa(B) ; C03-I-5561
(ucs-set-char #x78F9 ?$(H]w(B) ; C02-H-5D77
(ucs-set-char #x78FA ?$(DP9(B) ; J90-D-5039
(ucs-set-char #x78FA ?$(GtN(B) ; C01-G-744E
(ucs-set-char #x78FA ?$A;G(B) ; GB0-A-3B47
(ucs-set-char #x78FB ?$(CZr(B) ; KS0-C-5A72
(ucs-set-char #x78FB ?$(DP:(B) ; J90-D-503A
(ucs-set-char #x78FB ?$(H]r(B) ; C02-H-5D72
(ucs-set-char #x78FC ?$(H]s(B) ; C02-H-5D73
(ucs-set-char #x78FD ?$(H]p(B) ; C02-H-5D70
(ucs-set-char #x78FD ?$@c#(B) ; J78-@-6323
(ucs-set-char #x78FD ?$Bc#(B) ; J83-B-6323
(ucs-set-char #x78FE ?$(H]x(B) ; C02-H-5D78
(ucs-set-char #x78FF ?$(DP;(B) ; J90-D-503B
(ucs-set-char #x78FF ?$(H]t(B) ; C02-H-5D74
(ucs-set-char #x7900 ?$(DP6(B) ; J90-D-5036
(ucs-set-char #x7900 ?$(JW@(B) ; C04-J-5740
(ucs-set-char #x7901 ?$(Cu'(B) ; KS0-C-7527
(ucs-set-char #x7901 ?$(GtQ(B) ; C01-G-7451
(ucs-set-char #x7901 ?$@>L(B) ; J78-@-3E4C
(ucs-set-char #x7901 ?$A=8(B) ; GB0-A-3D38
(ucs-set-char #x7901 ?$B>L(B) ; J83-B-3E4C
(ucs-set-char #x7902 ?$(H]q(B) ; C02-H-5D71
(ucs-set-char #x7904 ?$(H]y(B) ; C02-H-5D79
(ucs-set-char #x7905 ?$(H]v(B) ; C02-H-5D76
(ucs-set-char #x7905 ?$Amb(B) ; GB0-A-6D62
(ucs-set-char #x7906 ?$(DP<(B) ; J90-D-503C
(ucs-set-char #x7906 ?$(IXC(B) ; C03-I-5843
(ucs-set-char #x7907 ?$(IX>(B) ; C03-I-583E
(ucs-set-char #x7907 ?$@c%(B) ; J78-@-6325
(ucs-set-char #x7907 ?$Bc%(B) ; J83-B-6325
(ucs-set-char #x7908 ?$(IX@(B) ; C03-I-5840
(ucs-set-char #x7909 ?$(HbF(B) ; C02-H-6246
(ucs-set-char #x790A ?$(IX?(B) ; C03-I-583F
(ucs-set-char #x790B ?$(IX<(B) ; C03-I-583C
(ucs-set-char #x790C ?$(DP=(B) ; J90-D-503D
(ucs-set-char #x790C ?$(HbC(B) ; C02-H-6243
(ucs-set-char #x790D ?$(IXB(B) ; C03-I-5842
(ucs-set-char #x790E ?$(Cu((B) ; KS0-C-7528
(ucs-set-char #x790E ?$(Gvp(B) ; C01-G-7670
(ucs-set-char #x790E ?$@AC(B) ; J78-@-4143
(ucs-set-char #x790E ?$BAC(B) ; J83-B-4143
(ucs-set-char #x790F ?$(J\2(B) ; C04-J-5C32
(ucs-set-char #x7910 ?$(DP>(B) ; J90-D-503E
(ucs-set-char #x7910 ?$(HbG(B) ; C02-H-6247
(ucs-set-char #x7911 ?$(HbI(B) ; C02-H-6249
(ucs-set-char #x7911 ?$@c'(B) ; J78-@-6327
(ucs-set-char #x7911 ?$Bc'(B) ; J83-B-6327
(ucs-set-char #x7912 ?$(HbH(B) ; C02-H-6248
(ucs-set-char #x7912 ?$@c&(B) ; J78-@-6326
(ucs-set-char #x7912 ?$Bc&(B) ; J83-B-6326
(ucs-set-char #x7913 ?$(HbD(B) ; C02-H-6244
(ucs-set-char #x7913 ?$Amd(B) ; GB0-A-6D64
(ucs-set-char #x7914 ?$(HbE(B) ; C02-H-6245
(ucs-set-char #x7915 ?$(IXD(B) ; C03-I-5844
(ucs-set-char #x7916 ?$(Cf&(B) ; KS0-C-6626
(ucs-set-char #x7917 ?$(Hf-(B) ; C02-H-662D
(ucs-set-char #x7918 ?$(IZa(B) ; C03-I-5A61
(ucs-set-char #x7919 ?$(GxU(B) ; C01-G-7855
(ucs-set-char #x7919 ?$@c((B) ; J78-@-6328
(ucs-set-char #x7919 ?$Bc((B) ; J83-B-6328
(ucs-set-char #x791A ?$(DP?(B) ; J90-D-503F
(ucs-set-char #x791A ?$(IZb(B) ; C03-I-5A62
(ucs-set-char #x791B ?$(Hf*(B) ; C02-H-662A
(ucs-set-char #x791C ?$(DP@(B) ; J90-D-5040
(ucs-set-char #x791C ?$(Hf,(B) ; C02-H-662C
(ucs-set-char #x791D ?$(Hf)(B) ; C02-H-6629
(ucs-set-char #x791E ?$(DPA(B) ; J90-D-5041
(ucs-set-char #x791E ?$(Hf.(B) ; C02-H-662E
(ucs-set-char #x791E ?$Amf(B) ; GB0-A-6D66
(ucs-set-char #x791F ?$(DPB(B) ; J90-D-5042
(ucs-set-char #x791F ?$(J`B(B) ; C04-J-6042
(ucs-set-char #x7920 ?$(DPC(B) ; J90-D-5043
(ucs-set-char #x7920 ?$(IZc(B) ; C03-I-5A63
(ucs-set-char #x7921 ?$(Hf+(B) ; C02-H-662B
(ucs-set-char #x7923 ?$(HiI(B) ; C02-H-6949
(ucs-set-char #x7924 ?$(HiL(B) ; C02-H-694C
(ucs-set-char #x7924 ?$Ame(B) ; GB0-A-6D65
(ucs-set-char #x7925 ?$(DPD(B) ; J90-D-5044
(ucs-set-char #x7925 ?$(HiH(B) ; C02-H-6948
(ucs-set-char #x7926 ?$(Gy|(B) ; C01-G-797C
(ucs-set-char #x7926 ?$@9\(B) ; J78-@-395C
(ucs-set-char #x7926 ?$Bbh(B) ; J83-B-6268
(ucs-set-char #x7927 ?$(DPE(B) ; J90-D-5045
(ucs-set-char #x7927 ?$(HiJ(B) ; C02-H-694A
(ucs-set-char #x7928 ?$(HiK(B) ; C02-H-694B
(ucs-set-char #x7929 ?$(DPF(B) ; J90-D-5046
(ucs-set-char #x7929 ?$(HiM(B) ; C02-H-694D
(ucs-set-char #x792A ?$(CUl(B) ; KS0-C-556C
(ucs-set-char #x792A ?$(Gy}(B) ; C01-G-797D
(ucs-set-char #x792A ?$@EW(B) ; J78-@-4557
(ucs-set-char #x792A ?$Bbj(B) ; J83-B-626A
(ucs-set-char #x792B ?$(CUx(B) ; KS0-C-5578
(ucs-set-char #x792B ?$(Gz!(B) ; C01-G-7A21
(ucs-set-char #x792B ?$@c*(B) ; J78-@-632A
(ucs-set-char #x792B ?$Bc*(B) ; J83-B-632A
(ucs-set-char #x792C ?$(CZs(B) ; KS0-C-5A73
(ucs-set-char #x792C ?$(Gy~(B) ; C01-G-797E
(ucs-set-char #x792C ?$@c)(B) ; J78-@-6329
(ucs-set-char #x792C ?$Bc)(B) ; J83-B-6329
(ucs-set-char #x792D ?$(DPG(B) ; J90-D-5047
(ucs-set-char #x792D ?$(Hko(B) ; C02-H-6B6F
(ucs-set-char #x792E ?$(I^E(B) ; C03-I-5E45
(ucs-set-char #x792F ?$(Hkq(B) ; C02-H-6B71
(ucs-set-char #x7930 ?$(I^C(B) ; C03-I-5E43
(ucs-set-char #x7931 ?$(DPH(B) ; J90-D-5048
(ucs-set-char #x7931 ?$(Hkp(B) ; C02-H-6B70
(ucs-set-char #x7932 ?$(I^D(B) ; C03-I-5E44
(ucs-set-char #x7934 ?$(DPI(B) ; J90-D-5049
(ucs-set-char #x7934 ?$Amg(B) ; GB0-A-6D67
(ucs-set-char #x7935 ?$(DPJ(B) ; J90-D-504A
(ucs-set-char #x7935 ?$(Hmd(B) ; C02-H-6D64
(ucs-set-char #x7937 ?$(I`<(B) ; C03-I-603C
(ucs-set-char #x7938 ?$(HpC(B) ; C02-H-7043
(ucs-set-char #x7939 ?$(Hq*(B) ; C02-H-712A
(ucs-set-char #x793A ?$(CcF(B) ; KS0-C-6346
(ucs-set-char #x793A ?$(GF|(B) ; C01-G-467C
(ucs-set-char #x793A ?$@<((B) ; J78-@-3C28
(ucs-set-char #x793A ?$AJ>(B) ; GB0-A-4A3E
(ucs-set-char #x793A ?$B<((B) ; J83-B-3C28
(ucs-set-char #x793B ?$(DPK(B) ; J90-D-504B
(ucs-set-char #x793B ?$Alj(B) ; GB0-A-6C6A
(ucs-set-char #x793C ?$(I$3(B) ; C03-I-2433
(ucs-set-char #x793C ?$@Ni(B) ; J78-@-4E69
(ucs-set-char #x793C ?$A@q(B) ; GB0-A-4071
(ucs-set-char #x793C ?$BNi(B) ; J83-B-4E69
(ucs-set-char #x793D ?$(DPL(B) ; J90-D-504C
(ucs-set-char #x793D ?$(H$r(B) ; C02-H-2472
(ucs-set-char #x793E ?$(C^d(B) ; KS0-C-5E64
(ucs-set-char #x793E ?$(GO#(B) ; C01-G-4F23
(ucs-set-char #x793E ?$@<R(B) ; J78-@-3C52
(ucs-set-char #x793E ?$AIg(B) ; GB0-A-4967
(ucs-set-char #x793E ?$B<R(B) ; J83-B-3C52
(ucs-set-char #x793F ?$(DPM(B) ; J90-D-504D
(ucs-set-char #x793F ?$(H(C(B) ; C02-H-2843
(ucs-set-char #x7940 ?$(C^e(B) ; KS0-C-5E65
(ucs-set-char #x7940 ?$(GO$(B) ; C01-G-4F24
(ucs-set-char #x7940 ?$@c+(B) ; J78-@-632B
(ucs-set-char #x7940 ?$Alk(B) ; GB0-A-6C6B
(ucs-set-char #x7940 ?$Bc+(B) ; J83-B-632B
(ucs-set-char #x7941 ?$(CQ5(B) ; KS0-C-5135
(ucs-set-char #x7941 ?$(GO%(B) ; C01-G-4F25
(ucs-set-char #x7941 ?$@77(B) ; J78-@-3737
(ucs-set-char #x7941 ?$AFn(B) ; GB0-A-466E
(ucs-set-char #x7941 ?$B77(B) ; J83-B-3737
(ucs-set-char #x7942 ?$(H(B(B) ; C02-H-2842
(ucs-set-char #x7944 ?$(DPN(B) ; J90-D-504E
(ucs-set-char #x7944 ?$(H,Z(B) ; C02-H-2C5A
(ucs-set-char #x7945 ?$(DPO(B) ; J90-D-504F
(ucs-set-char #x7945 ?$(H,Y(B) ; C02-H-2C59
(ucs-set-char #x7946 ?$(DPP(B) ; J90-D-5050
(ucs-set-char #x7946 ?$(GRi(B) ; C01-G-5269
(ucs-set-char #x7946 ?$All(B) ; GB0-A-6C6C
(ucs-set-char #x7947 ?$(CQ6(B) ; KS0-C-5136
(ucs-set-char #x7947 ?$(GRl(B) ; C01-G-526C
(ucs-set-char #x7947 ?$@5@(B) ; J78-@-3540
(ucs-set-char #x7947 ?$B5@(B) ; J83-B-3540
(ucs-set-char #x7948 ?$(CQ7(B) ; KS0-C-5137
(ucs-set-char #x7948 ?$(GRk(B) ; C01-G-526B
(ucs-set-char #x7948 ?$@5'(B) ; J78-@-3527
(ucs-set-char #x7948 ?$AFm(B) ; GB0-A-466D
(ucs-set-char #x7948 ?$B5'(B) ; J83-B-3527
(ucs-set-char #x7949 ?$(Cr3(B) ; KS0-C-7233
(ucs-set-char #x7949 ?$(GRj(B) ; C01-G-526A
(ucs-set-char #x7949 ?$@;c(B) ; J78-@-3B63
(ucs-set-char #x7949 ?$Alm(B) ; GB0-A-6C6D
(ucs-set-char #x7949 ?$B;c(B) ; J83-B-3B63
(ucs-set-char #x794A ?$(DPQ(B) ; J90-D-5051
(ucs-set-char #x794A ?$(H,V(B) ; C02-H-2C56
(ucs-set-char #x794B ?$(DPR(B) ; J90-D-5052
(ucs-set-char #x794B ?$(H,X(B) ; C02-H-2C58
(ucs-set-char #x794C ?$(H,W(B) ; C02-H-2C57
(ucs-set-char #x794F ?$(DPS(B) ; J90-D-5053
(ucs-set-char #x794F ?$(H1K(B) ; C02-H-314B
(ucs-set-char #x7950 ?$(Ci^(B) ; KS0-C-695E
(ucs-set-char #x7950 ?$(GW*(B) ; C01-G-572A
(ucs-set-char #x7950 ?$@M4(B) ; J78-@-4D34
(ucs-set-char #x7950 ?$BM4(B) ; J83-B-4D34
(ucs-set-char #x7951 ?$(DPT(B) ; J90-D-5054
(ucs-set-char #x7951 ?$(H1O(B) ; C02-H-314F
(ucs-set-char #x7952 ?$(H1N(B) ; C02-H-314E
(ucs-set-char #x7953 ?$(H1M(B) ; C02-H-314D
(ucs-set-char #x7953 ?$@c1(B) ; J78-@-6331
(ucs-set-char #x7953 ?$Alp(B) ; GB0-A-6C70
(ucs-set-char #x7953 ?$Bc1(B) ; J83-B-6331
(ucs-set-char #x7954 ?$(DPU(B) ; J90-D-5055
(ucs-set-char #x7954 ?$(H1I(B) ; C02-H-3149
(ucs-set-char #x7955 ?$(GW)(B) ; C01-G-5729
(ucs-set-char #x7955 ?$@c0(B) ; J78-@-6330
(ucs-set-char #x7955 ?$Bc0(B) ; J83-B-6330
(ucs-set-char #x7956 ?$(CpS(B) ; KS0-C-7053
(ucs-set-char #x7956 ?$(GW-(B) ; C01-G-572D
(ucs-set-char #x7956 ?$@AD(B) ; J78-@-4144
(ucs-set-char #x7956 ?$AWf(B) ; GB0-A-5766
(ucs-set-char #x7956 ?$BAD(B) ; J83-B-4144
(ucs-set-char #x7957 ?$(Cr4(B) ; KS0-C-7234
(ucs-set-char #x7957 ?$(GW0(B) ; C01-G-5730
(ucs-set-char #x7957 ?$@c-(B) ; J78-@-632D
(ucs-set-char #x7957 ?$Als(B) ; GB0-A-6C73
(ucs-set-char #x7957 ?$Bc-(B) ; J83-B-632D
(ucs-set-char #x7958 ?$(DPV(B) ; J90-D-5056
(ucs-set-char #x7958 ?$(I2o(B) ; C03-I-326F
(ucs-set-char #x7959 ?$(I2p(B) ; C03-I-3270
(ucs-set-char #x795A ?$(CpT(B) ; KS0-C-7054
(ucs-set-char #x795A ?$(GW1(B) ; C01-G-5731
(ucs-set-char #x795A ?$@c/(B) ; J78-@-632F
(ucs-set-char #x795A ?$Alq(B) ; GB0-A-6C71
(ucs-set-char #x795A ?$Bc/(B) ; J83-B-632F
(ucs-set-char #x795B ?$(CKd(B) ; KS0-C-4B64
(ucs-set-char #x795B ?$(DPW(B) ; J90-D-5057
(ucs-set-char #x795B ?$(H1J(B) ; C02-H-314A
(ucs-set-char #x795B ?$Aln(B) ; GB0-A-6C6E
(ucs-set-char #x795C ?$(C{T(B) ; KS0-C-7B54
(ucs-set-char #x795C ?$(DPX(B) ; J90-D-5058
(ucs-set-char #x795C ?$(H1L(B) ; C02-H-314C
(ucs-set-char #x795C ?$Alo(B) ; GB0-A-6C6F
(ucs-set-char #x795D ?$(Cuf(B) ; KS0-C-7566
(ucs-set-char #x795D ?$(GW/(B) ; C01-G-572F
(ucs-set-char #x795D ?$@=K(B) ; J78-@-3D4B
(ucs-set-char #x795D ?$AW#(B) ; GB0-A-5723
(ucs-set-char #x795D ?$B=K(B) ; J83-B-3D4B
(ucs-set-char #x795E ?$(Ccj(B) ; KS0-C-636A
(ucs-set-char #x795E ?$(GW.(B) ; C01-G-572E
(ucs-set-char #x795E ?$@?@(B) ; J78-@-3F40
(ucs-set-char #x795E ?$AIq(B) ; GB0-A-4971
(ucs-set-char #x795E ?$B?@(B) ; J83-B-3F40
(ucs-set-char #x795F ?$(GW,(B) ; C01-G-572C
(ucs-set-char #x795F ?$@c.(B) ; J78-@-632E
(ucs-set-char #x795F ?$AKn(B) ; GB0-A-4B6E
(ucs-set-char #x795F ?$Bc.(B) ; J83-B-632E
(ucs-set-char #x7960 ?$(C^f(B) ; KS0-C-5E66
(ucs-set-char #x7960 ?$(GW+(B) ; C01-G-572B
(ucs-set-char #x7960 ?$@c,(B) ; J78-@-632C
(ucs-set-char #x7960 ?$Alt(B) ; GB0-A-6C74
(ucs-set-char #x7960 ?$Bc,(B) ; J83-B-632C
(ucs-set-char #x7961 ?$(H7e(B) ; C02-H-3765
(ucs-set-char #x7962 ?$(I2r(B) ; C03-I-3272
(ucs-set-char #x7962 ?$@G*(B) ; J78-@-472A
(ucs-set-char #x7962 ?$Alr(B) ; GB0-A-6C72
(ucs-set-char #x7962 ?$BG*(B) ; J83-B-472A
(ucs-set-char #x7963 ?$(H7c(B) ; C02-H-3763
(ucs-set-char #x7964 ?$(H7_(B) ; C02-H-375F
(ucs-set-char #x7965 ?$(C_T(B) ; KS0-C-5F54
(ucs-set-char #x7965 ?$(G\@(B) ; C01-G-5C40
(ucs-set-char #x7965 ?$@>M(B) ; J78-@-3E4D
(ucs-set-char #x7965 ?$AOi(B) ; GB0-A-4F69
(ucs-set-char #x7965 ?$B>M(B) ; J83-B-3E4D
(ucs-set-char #x7966 ?$(I=^(B) ; C03-I-3D5E
(ucs-set-char #x7967 ?$(DPY(B) ; J90-D-5059
(ucs-set-char #x7967 ?$(H7`(B) ; C02-H-3760
(ucs-set-char #x7967 ?$Alv(B) ; GB0-A-6C76
(ucs-set-char #x7968 ?$(Cxy(B) ; KS0-C-7879
(ucs-set-char #x7968 ?$(G\A(B) ; C01-G-5C41
(ucs-set-char #x7968 ?$@I<(B) ; J78-@-493C
(ucs-set-char #x7968 ?$AF1(B) ; GB0-A-4631
(ucs-set-char #x7968 ?$BI<(B) ; J83-B-493C
(ucs-set-char #x7969 ?$(DPZ(B) ; J90-D-505A
(ucs-set-char #x7969 ?$(H7a(B) ; C02-H-3761
(ucs-set-char #x796A ?$(H7b(B) ; C02-H-3762
(ucs-set-char #x796B ?$(DP[(B) ; J90-D-505B
(ucs-set-char #x796B ?$(H7d(B) ; C02-H-3764
(ucs-set-char #x796C ?$(I7f(B) ; C03-I-3766
(ucs-set-char #x796D ?$(Cp.(B) ; KS0-C-702E
(ucs-set-char #x796D ?$(G\B(B) ; C01-G-5C42
(ucs-set-char #x796D ?$@:W(B) ; J78-@-3A57
(ucs-set-char #x796D ?$A<@(B) ; GB0-A-3C40
(ucs-set-char #x796D ?$B:W(B) ; J83-B-3A57
(ucs-set-char #x796E ?$(I7e(B) ; C03-I-3765
(ucs-set-char #x796F ?$Alu(B) ; GB0-A-6C75
(ucs-set-char #x7970 ?$(H>Y(B) ; C02-H-3E59
(ucs-set-char #x7971 ?$(I=_(B) ; C03-I-3D5F
(ucs-set-char #x7972 ?$(DP\(B) ; J90-D-505C
(ucs-set-char #x7972 ?$(H>X(B) ; C02-H-3E58
(ucs-set-char #x7973 ?$(H>W(B) ; C02-H-3E57
(ucs-set-char #x7974 ?$(H>V(B) ; C02-H-3E56
(ucs-set-char #x7975 ?$(I=d(B) ; C03-I-3D64
(ucs-set-char #x7976 ?$(I=b(B) ; C03-I-3D62
(ucs-set-char #x7977 ?$(J9Z(B) ; C04-J-395A
(ucs-set-char #x7977 ?$A5;(B) ; GB0-A-353B
(ucs-set-char #x7977 ?$BEx(B) ; J83-B-4578
(ucs-set-char #x7978 ?$A;v(B) ; GB0-A-3B76
(ucs-set-char #x7979 ?$(DP](B) ; J90-D-505D
(ucs-set-char #x7979 ?$(HE\(B) ; C02-H-455C
(ucs-set-char #x797A ?$(CQ8(B) ; KS0-C-5138
(ucs-set-char #x797A ?$(GeY(B) ; C01-G-6559
(ucs-set-char #x797A ?$@c2(B) ; J78-@-6332
(ucs-set-char #x797A ?$Alw(B) ; GB0-A-6C77
(ucs-set-char #x797A ?$Bc2(B) ; J83-B-6332
(ucs-set-char #x797B ?$(DP^(B) ; J90-D-505E
(ucs-set-char #x797B ?$(J?F(B) ; C04-J-3F46
(ucs-set-char #x797C ?$(DP_(B) ; J90-D-505F
(ucs-set-char #x797C ?$(HEY(B) ; C02-H-4559
(ucs-set-char #x797D ?$(HE[(B) ; C02-H-455B
(ucs-set-char #x797E ?$(DP`(B) ; J90-D-5060
(ucs-set-char #x797E ?$(IC8(B) ; C03-I-4338
(ucs-set-char #x797F ?$(CV_(B) ; KS0-C-565F
(ucs-set-char #x797F ?$(GeZ(B) ; C01-G-655A
(ucs-set-char #x797F ?$@c3(B) ; J78-@-6333
(ucs-set-char #x797F ?$Bc3(B) ; J83-B-6333
(ucs-set-char #x7980 ?$(IC=(B) ; C03-I-433D
(ucs-set-char #x7980 ?$@cI(B) ; J78-@-6349
(ucs-set-char #x7980 ?$AYw(B) ; GB0-A-5977
(ucs-set-char #x7980 ?$BcI(B) ; J83-B-6349
(ucs-set-char #x7981 ?$(CPW(B) ; KS0-C-5057
(ucs-set-char #x7981 ?$(Ge[(B) ; C01-G-655B
(ucs-set-char #x7981 ?$@6X(B) ; J78-@-3658
(ucs-set-char #x7981 ?$A={(B) ; GB0-A-3D7B
(ucs-set-char #x7981 ?$B6X(B) ; J83-B-3658
(ucs-set-char #x7982 ?$(HEZ(B) ; C02-H-455A
(ucs-set-char #x7983 ?$(IC9(B) ; C03-I-4339
(ucs-set-char #x7984 ?$(I=c(B) ; C03-I-3D63
(ucs-set-char #x7984 ?$@O=(B) ; J78-@-4F3D
(ucs-set-char #x7984 ?$AB;(B) ; GB0-A-423B
(ucs-set-char #x7984 ?$BO=(B) ; J83-B-4F3D
(ucs-set-char #x7985 ?$@A5(B) ; J78-@-4135
(ucs-set-char #x7985 ?$Alx(B) ; GB0-A-6C78
(ucs-set-char #x7985 ?$BA5(B) ; J83-B-4135
(ucs-set-char #x7987 ?$(IHH(B) ; C03-I-4848
(ucs-set-char #x7988 ?$(HLH(B) ; C02-H-4C48
(ucs-set-char #x7989 ?$(IHG(B) ; C03-I-4847
(ucs-set-char #x798A ?$(HLA(B) ; C02-H-4C41
(ucs-set-char #x798A ?$@c4(B) ; J78-@-6334
(ucs-set-char #x798A ?$Aly(B) ; GB0-A-6C79
(ucs-set-char #x798A ?$Bc4(B) ; J83-B-6334
(ucs-set-char #x798B ?$(DPa(B) ; J90-D-5061
(ucs-set-char #x798B ?$(HLB(B) ; C02-H-4C42
(ucs-set-char #x798C ?$(DPb(B) ; J90-D-5062
(ucs-set-char #x798C ?$(KG~(B) ; C05-K-477E
(ucs-set-char #x798D ?$(C|!(B) ; KS0-C-7C21
(ucs-set-char #x798D ?$(Gi~(B) ; C01-G-697E
(ucs-set-char #x798D ?$@2R(B) ; J78-@-3252
(ucs-set-char #x798D ?$B2R(B) ; J83-B-3252
(ucs-set-char #x798E ?$(Con(B) ; KS0-C-6F6E
(ucs-set-char #x798E ?$(Gi|(B) ; C01-G-697C
(ucs-set-char #x798E ?$@Dw(B) ; J78-@-4477
(ucs-set-char #x798E ?$BDw(B) ; J83-B-4477
(ucs-set-char #x798F ?$(C\X(B) ; KS0-C-5C58
(ucs-set-char #x798F ?$(Gi}(B) ; C01-G-697D
(ucs-set-char #x798F ?$@J!(B) ; J78-@-4A21
(ucs-set-char #x798F ?$A8#(B) ; GB0-A-3823
(ucs-set-char #x798F ?$BJ!(B) ; J83-B-4A21
(ucs-set-char #x7990 ?$(HLJ(B) ; C02-H-4C4A
(ucs-set-char #x7991 ?$(Ci_(B) ; KS0-C-695F
(ucs-set-char #x7991 ?$(DPc(B) ; J90-D-5063
(ucs-set-char #x7991 ?$(KH"(B) ; C05-K-4822
(ucs-set-char #x7992 ?$(HLI(B) ; C02-H-4C49
(ucs-set-char #x7993 ?$(DPd(B) ; J90-D-5064
(ucs-set-char #x7993 ?$(HLF(B) ; C02-H-4C46
(ucs-set-char #x7994 ?$(DPe(B) ; J90-D-5065
(ucs-set-char #x7994 ?$(HLE(B) ; C02-H-4C45
(ucs-set-char #x7995 ?$(DPf(B) ; J90-D-5066
(ucs-set-char #x7995 ?$(HLD(B) ; C02-H-4C44
(ucs-set-char #x7996 ?$(DPg(B) ; J90-D-5067
(ucs-set-char #x7996 ?$(HLC(B) ; C02-H-4C43
(ucs-set-char #x7997 ?$(HLG(B) ; C02-H-4C47
(ucs-set-char #x7998 ?$(DPh(B) ; J90-D-5068
(ucs-set-char #x7998 ?$(HL@(B) ; C02-H-4C40
(ucs-set-char #x799A ?$(HRS(B) ; C02-H-5253
(ucs-set-char #x799A ?$Alz(B) ; GB0-A-6C7A
(ucs-set-char #x799B ?$(DPi(B) ; J90-D-5069
(ucs-set-char #x799B ?$(HRX(B) ; C02-H-5258
(ucs-set-char #x799C ?$(DPj(B) ; J90-D-506A
(ucs-set-char #x799C ?$(HRV(B) ; C02-H-5256
(ucs-set-char #x799D ?$(IMP(B) ; C03-I-4D50
(ucs-set-char #x799D ?$@c5(B) ; J78-@-6335
(ucs-set-char #x799D ?$Bc5(B) ; J83-B-6335
(ucs-set-char #x799E ?$(IMQ(B) ; C03-I-4D51
(ucs-set-char #x799F ?$(IMO(B) ; C03-I-4D4F
(ucs-set-char #x79A0 ?$(HRU(B) ; C02-H-5255
(ucs-set-char #x79A1 ?$(DPk(B) ; J90-D-506B
(ucs-set-char #x79A1 ?$(HRT(B) ; C02-H-5254
(ucs-set-char #x79A2 ?$(HRW(B) ; C02-H-5257
(ucs-set-char #x79A4 ?$(HXx(B) ; C02-H-5878
(ucs-set-char #x79A5 ?$(IR&(B) ; C03-I-5226
(ucs-set-char #x79A6 ?$(Ce](B) ; KS0-C-655D
(ucs-set-char #x79A6 ?$(GqW(B) ; C01-G-7157
(ucs-set-char #x79A6 ?$@5z(B) ; J78-@-357A
(ucs-set-char #x79A6 ?$B5z(B) ; J83-B-357A
(ucs-set-char #x79A7 ?$(C}{(B) ; KS0-C-7D7B
(ucs-set-char #x79A7 ?$(GtR(B) ; C01-G-7452
(ucs-set-char #x79A7 ?$@c6(B) ; J78-@-6336
(ucs-set-char #x79A7 ?$Al{(B) ; GB0-A-6C7B
(ucs-set-char #x79A7 ?$Bc6(B) ; J83-B-6336
(ucs-set-char #x79A8 ?$(DPl(B) ; J90-D-506C
(ucs-set-char #x79A8 ?$(H]{(B) ; C02-H-5D7B
(ucs-set-char #x79A9 ?$(DPm(B) ; J90-D-506D
(ucs-set-char #x79A9 ?$(IR'(B) ; C03-I-5227
(ucs-set-char #x79AA ?$(C`I(B) ; KS0-C-6049
(ucs-set-char #x79AA ?$(GtS(B) ; C01-G-7453
(ucs-set-char #x79AA ?$@c8(B) ; J78-@-6338
(ucs-set-char #x79AA ?$Bc8(B) ; J83-B-6338
(ucs-set-char #x79AB ?$(DPn(B) ; J90-D-506E
(ucs-set-char #x79AB ?$(H]z(B) ; C02-H-5D7A
(ucs-set-char #x79AC ?$(HbK(B) ; C02-H-624B
(ucs-set-char #x79AD ?$(HbJ(B) ; C02-H-624A
(ucs-set-char #x79AE ?$(CVI(B) ; KS0-C-5649
(ucs-set-char #x79AE ?$(Gvq(B) ; C01-G-7671
(ucs-set-char #x79AE ?$@c9(B) ; J78-@-6339
(ucs-set-char #x79AE ?$Bc9(B) ; J83-B-6339
(ucs-set-char #x79AF ?$(DPo(B) ; J90-D-506F
(ucs-set-char #x79AF ?$(IXE(B) ; C03-I-5845
(ucs-set-char #x79B0 ?$(Hf/(B) ; C02-H-662F
(ucs-set-char #x79B0 ?$@G)(B) ; J78-@-4729
(ucs-set-char #x79B0 ?$BG)(B) ; J83-B-4729
(ucs-set-char #x79B1 ?$(CT*(B) ; KS0-C-542A
(ucs-set-char #x79B1 ?$(DPp(B) ; J90-D-5070
(ucs-set-char #x79B1 ?$(GxV(B) ; C01-G-7856
(ucs-set-char #x79B1 ?$@Ex(B) ; J78-@-4578
(ucs-set-char #x79B2 ?$(HiN(B) ; C02-H-694E
(ucs-set-char #x79B3 ?$(CeL(B) ; KS0-C-654C
(ucs-set-char #x79B3 ?$(G{k(B) ; C01-G-7B6B
(ucs-set-char #x79B3 ?$@c:(B) ; J78-@-633A
(ucs-set-char #x79B3 ?$Al|(B) ; GB0-A-6C7C
(ucs-set-char #x79B3 ?$Bc:(B) ; J83-B-633A
(ucs-set-char #x79B4 ?$(DPq(B) ; J90-D-5071
(ucs-set-char #x79B4 ?$(Hme(B) ; C02-H-6D65
(ucs-set-char #x79B5 ?$(I`=(B) ; C03-I-603D
(ucs-set-char #x79B6 ?$(HpE(B) ; C02-H-7045
(ucs-set-char #x79B7 ?$(HpD(B) ; C02-H-7044
(ucs-set-char #x79B8 ?$(DPr(B) ; J90-D-5072
(ucs-set-char #x79B8 ?$(H!g(B) ; C02-H-2167
(ucs-set-char #x79B9 ?$(Ci`(B) ; KS0-C-6960
(ucs-set-char #x79B9 ?$(GRm(B) ; C01-G-526D
(ucs-set-char #x79B9 ?$@c;(B) ; J78-@-633B
(ucs-set-char #x79B9 ?$ASm(B) ; GB0-A-536D
(ucs-set-char #x79B9 ?$Bc;(B) ; J83-B-633B
(ucs-set-char #x79BA ?$(GRn(B) ; C01-G-526E
(ucs-set-char #x79BA ?$@c<(B) ; J78-@-633C
(ucs-set-char #x79BA ?$AX.(B) ; GB0-A-582E
(ucs-set-char #x79BA ?$Bc<(B) ; J83-B-633C
(ucs-set-char #x79BB ?$(DPs(B) ; J90-D-5073
(ucs-set-char #x79BB ?$(H7f(B) ; C02-H-3766
(ucs-set-char #x79BB ?$A@k(B) ; GB0-A-406B
(ucs-set-char #x79BC ?$(J9[(B) ; C04-J-395B
(ucs-set-char #x79BD ?$(CPX(B) ; KS0-C-5058
(ucs-set-char #x79BD ?$(Ge](B) ; C01-G-655D
(ucs-set-char #x79BD ?$@6Y(B) ; J78-@-3659
(ucs-set-char #x79BD ?$AG](B) ; GB0-A-475D
(ucs-set-char #x79BD ?$B6Y(B) ; J83-B-3659
(ucs-set-char #x79BE ?$(C|"(B) ; KS0-C-7C22
(ucs-set-char #x79BE ?$(GF}(B) ; C01-G-467D
(ucs-set-char #x79BE ?$@2S(B) ; J78-@-3253
(ucs-set-char #x79BE ?$A:L(B) ; GB0-A-3A4C
(ucs-set-char #x79BE ?$B2S(B) ; J83-B-3253
(ucs-set-char #x79BF ?$(CT>(B) ; KS0-C-543E
(ucs-set-char #x79BF ?$(GK5(B) ; C01-G-4B35
(ucs-set-char #x79BF ?$@FE(B) ; J78-@-4645
(ucs-set-char #x79BF ?$BFE(B) ; J83-B-4645
(ucs-set-char #x79C0 ?$(Cb3(B) ; KS0-C-6233
(ucs-set-char #x79C0 ?$(GK4(B) ; C01-G-4B34
(ucs-set-char #x79C0 ?$@=((B) ; J78-@-3D28
(ucs-set-char #x79C0 ?$APc(B) ; GB0-A-5063
(ucs-set-char #x79C0 ?$B=((B) ; J83-B-3D28
(ucs-set-char #x79C1 ?$(C^g(B) ; KS0-C-5E67
(ucs-set-char #x79C1 ?$(GK3(B) ; C01-G-4B33
(ucs-set-char #x79C1 ?$@;d(B) ; J78-@-3B64
(ucs-set-char #x79C1 ?$AK=(B) ; GB0-A-4B3D
(ucs-set-char #x79C1 ?$B;d(B) ; J83-B-3B64
(ucs-set-char #x79C2 ?$(DPt(B) ; J90-D-5074
(ucs-set-char #x79C2 ?$(J$h(B) ; C04-J-2468
(ucs-set-char #x79C3 ?$(I*>(B) ; C03-I-2A3E
(ucs-set-char #x79C3 ?$AM:(B) ; GB0-A-4D3A
(ucs-set-char #x79C4 ?$(DPu(B) ; J90-D-5075
(ucs-set-char #x79C4 ?$(I*=(B) ; C03-I-2A3D
(ucs-set-char #x79C5 ?$(H(D(B) ; C02-H-2844
(ucs-set-char #x79C6 ?$(I*?(B) ; C03-I-2A3F
(ucs-set-char #x79C6 ?$A8Q(B) ; GB0-A-3851
(ucs-set-char #x79C7 ?$(DPv(B) ; J90-D-5076
(ucs-set-char #x79C7 ?$(I*B(B) ; C03-I-2A42
(ucs-set-char #x79C8 ?$(DPw(B) ; J90-D-5077
(ucs-set-char #x79C8 ?$(GO'(B) ; C01-G-4F27
(ucs-set-char #x79C9 ?$(C\<(B) ; KS0-C-5C3C
(ucs-set-char #x79C9 ?$(GO&(B) ; C01-G-4F26
(ucs-set-char #x79C9 ?$@c=(B) ; J78-@-633D
(ucs-set-char #x79C9 ?$A1|(B) ; GB0-A-317C
(ucs-set-char #x79C9 ?$Bc=(B) ; J83-B-633D
(ucs-set-char #x79CA ?$(CR6(B) ; KS0-C-5236
(ucs-set-char #x79CA ?$(DPx(B) ; J90-D-5078
(ucs-set-char #x79CA ?$(I*D(B) ; C03-I-2A44
(ucs-set-char #x79CB ?$(CuU(B) ; KS0-C-7555
(ucs-set-char #x79CB ?$(GRq(B) ; C01-G-5271
(ucs-set-char #x79CB ?$@=)(B) ; J78-@-3D29
(ucs-set-char #x79CB ?$AGo(B) ; GB0-A-476F
(ucs-set-char #x79CB ?$B=)(B) ; J83-B-3D29
(ucs-set-char #x79CC ?$(J*n(B) ; C04-J-2A6E
(ucs-set-char #x79CD ?$(H,\(B) ; C02-H-2C5C
(ucs-set-char #x79CD ?$AVV(B) ; GB0-A-5656
(ucs-set-char #x79CE ?$(H,_(B) ; C02-H-2C5F
(ucs-set-char #x79CF ?$(DPy(B) ; J90-D-5079
(ucs-set-char #x79CF ?$(H,](B) ; C02-H-2C5D
(ucs-set-char #x79D0 ?$(I.B(B) ; C03-I-2E42
(ucs-set-char #x79D1 ?$(CN!(B) ; KS0-C-4E21
(ucs-set-char #x79D1 ?$(GRo(B) ; C01-G-526F
(ucs-set-char #x79D1 ?$@2J(B) ; J78-@-324A
(ucs-set-char #x79D1 ?$A?F(B) ; GB0-A-3F46
(ucs-set-char #x79D1 ?$B2J(B) ; J83-B-324A
(ucs-set-char #x79D2 ?$(Cu)(B) ; KS0-C-7529
(ucs-set-char #x79D2 ?$(GRp(B) ; C01-G-5270
(ucs-set-char #x79D2 ?$@IC(B) ; J78-@-4943
(ucs-set-char #x79D2 ?$ACk(B) ; GB0-A-436B
(ucs-set-char #x79D2 ?$BIC(B) ; J83-B-4943
(ucs-set-char #x79D3 ?$(I.@(B) ; C03-I-2E40
(ucs-set-char #x79D4 ?$(DPz(B) ; J90-D-507A
(ucs-set-char #x79D4 ?$(I.A(B) ; C03-I-2E41
(ucs-set-char #x79D5 ?$(C]y(B) ; KS0-C-5D79
(ucs-set-char #x79D5 ?$(H,[(B) ; C02-H-2C5B
(ucs-set-char #x79D5 ?$@c>(B) ; J78-@-633E
(ucs-set-char #x79D5 ?$Aou(B) ; GB0-A-6F75
(ucs-set-char #x79D5 ?$Bc>(B) ; J83-B-633E
(ucs-set-char #x79D6 ?$(DP{(B) ; J90-D-507B
(ucs-set-char #x79D6 ?$(H,^(B) ; C02-H-2C5E
(ucs-set-char #x79D7 ?$(I.C(B) ; C03-I-2E43
(ucs-set-char #x79D8 ?$(C]z(B) ; KS0-C-5D7A
(ucs-set-char #x79D8 ?$(GW8(B) ; C01-G-5738
(ucs-set-char #x79D8 ?$@Hk(B) ; J78-@-486B
(ucs-set-char #x79D8 ?$ACX(B) ; GB0-A-4358
(ucs-set-char #x79D8 ?$BHk(B) ; J83-B-486B
(ucs-set-char #x79D9 ?$(I2t(B) ; C03-I-3274
(ucs-set-char #x79DA ?$(DP|(B) ; J90-D-507C
(ucs-set-char #x79DA ?$(I2s(B) ; C03-I-3273
(ucs-set-char #x79DB ?$(I2y(B) ; C03-I-3279
(ucs-set-char #x79DC ?$(H1V(B) ; C02-H-3156
(ucs-set-char #x79DD ?$(DP}(B) ; J90-D-507D
(ucs-set-char #x79DD ?$(H1X(B) ; C02-H-3158
(ucs-set-char #x79DE ?$(DP~(B) ; J90-D-507E
(ucs-set-char #x79DE ?$(H1W(B) ; C02-H-3157
(ucs-set-char #x79DF ?$(CpU(B) ; KS0-C-7055
(ucs-set-char #x79DF ?$(GW5(B) ; C01-G-5735
(ucs-set-char #x79DF ?$@AE(B) ; J78-@-4145
(ucs-set-char #x79DF ?$AWb(B) ; GB0-A-5762
(ucs-set-char #x79DF ?$BAE(B) ; J83-B-4145
(ucs-set-char #x79E0 ?$(DQ!(B) ; J90-D-5121
(ucs-set-char #x79E0 ?$(H1R(B) ; C02-H-3152
(ucs-set-char #x79E1 ?$(I2v(B) ; C03-I-3276
(ucs-set-char #x79E1 ?$@cA(B) ; J78-@-6341
(ucs-set-char #x79E1 ?$BcA(B) ; J83-B-6341
(ucs-set-char #x79E2 ?$(DQ"(B) ; J90-D-5122
(ucs-set-char #x79E2 ?$(I2{(B) ; C03-I-327B
(ucs-set-char #x79E3 ?$(GW3(B) ; C01-G-5733
(ucs-set-char #x79E3 ?$@cB(B) ; J78-@-6342
(ucs-set-char #x79E3 ?$Aow(B) ; GB0-A-6F77
(ucs-set-char #x79E3 ?$BcB(B) ; J83-B-6342
(ucs-set-char #x79E4 ?$(Cv_(B) ; KS0-C-765F
(ucs-set-char #x79E4 ?$(GW2(B) ; C01-G-5732
(ucs-set-char #x79E4 ?$@Gi(B) ; J78-@-4769
(ucs-set-char #x79E4 ?$A3S(B) ; GB0-A-3353
(ucs-set-char #x79E4 ?$BGi(B) ; J83-B-4769
(ucs-set-char #x79E5 ?$(DQ#(B) ; J90-D-5123
(ucs-set-char #x79E5 ?$(I2w(B) ; C03-I-3277
(ucs-set-char #x79E6 ?$(CrZ(B) ; KS0-C-725A
(ucs-set-char #x79E6 ?$(GW6(B) ; C01-G-5736
(ucs-set-char #x79E6 ?$@?A(B) ; J78-@-3F41
(ucs-set-char #x79E6 ?$AGX(B) ; GB0-A-4758
(ucs-set-char #x79E6 ?$B?A(B) ; J83-B-3F41
(ucs-set-char #x79E7 ?$(Cdk(B) ; KS0-C-646B
(ucs-set-char #x79E7 ?$(GW4(B) ; C01-G-5734
(ucs-set-char #x79E7 ?$@c?(B) ; J78-@-633F
(ucs-set-char #x79E7 ?$AQm(B) ; GB0-A-516D
(ucs-set-char #x79E7 ?$Bc?(B) ; J83-B-633F
(ucs-set-char #x79E8 ?$(I2x(B) ; C03-I-3278
(ucs-set-char #x79E9 ?$(Crq(B) ; KS0-C-7271
(ucs-set-char #x79E9 ?$(GW7(B) ; C01-G-5737
(ucs-set-char #x79E9 ?$@Ca(B) ; J78-@-4361
(ucs-set-char #x79E9 ?$AVH(B) ; GB0-A-5648
(ucs-set-char #x79E9 ?$BCa(B) ; J83-B-4361
(ucs-set-char #x79EA ?$(DQ$(B) ; J90-D-5124
(ucs-set-char #x79EA ?$(H1U(B) ; C02-H-3155
(ucs-set-char #x79EB ?$(DQ%(B) ; J90-D-5125
(ucs-set-char #x79EB ?$(H1P(B) ; C02-H-3150
(ucs-set-char #x79EB ?$(L:C(B) ; C06-L-3A43
(ucs-set-char #x79EB ?$Aox(B) ; GB0-A-6F78
(ucs-set-char #x79EC ?$(H1Q(B) ; C02-H-3151
(ucs-set-char #x79EC ?$@c@(B) ; J78-@-6340
(ucs-set-char #x79EC ?$Bc@(B) ; J83-B-6340
(ucs-set-char #x79ED ?$(DQ&(B) ; J90-D-5126
(ucs-set-char #x79ED ?$(H1T(B) ; C02-H-3154
(ucs-set-char #x79ED ?$Aov(B) ; GB0-A-6F76
(ucs-set-char #x79EE ?$(H1S(B) ; C02-H-3153
(ucs-set-char #x79EF ?$A;}(B) ; GB0-A-3B7D
(ucs-set-char #x79F0 ?$(I2|(B) ; C03-I-327C
(ucs-set-char #x79F0 ?$@>N(B) ; J78-@-3E4E
(ucs-set-char #x79F0 ?$A3F(B) ; GB0-A-3346
(ucs-set-char #x79F0 ?$B>N(B) ; J83-B-3E4E
(ucs-set-char #x79F1 ?$(DQ'(B) ; J90-D-5127
(ucs-set-char #x79F1 ?$(I7i(B) ; C03-I-3769
(ucs-set-char #x79F2 ?$(I7g(B) ; C03-I-3767
(ucs-set-char #x79F3 ?$(I7k(B) ; C03-I-376B
(ucs-set-char #x79F5 ?$(I7j(B) ; C03-I-376A
(ucs-set-char #x79F6 ?$(H7i(B) ; C02-H-3769
(ucs-set-char #x79F7 ?$(H7j(B) ; C02-H-376A
(ucs-set-char #x79F8 ?$(DQ((B) ; J90-D-5128
(ucs-set-char #x79F8 ?$(H7h(B) ; C02-H-3768
(ucs-set-char #x79F8 ?$A=U(B) ; GB0-A-3D55
(ucs-set-char #x79F9 ?$(I7l(B) ; C03-I-376C
(ucs-set-char #x79FA ?$(H7g(B) ; C02-H-3767
(ucs-set-char #x79FB ?$(Cl9(B) ; KS0-C-6C39
(ucs-set-char #x79FB ?$(G\C(B) ; C01-G-5C43
(ucs-set-char #x79FB ?$@0\(B) ; J78-@-305C
(ucs-set-char #x79FB ?$ARF(B) ; GB0-A-5246
(ucs-set-char #x79FB ?$B0\(B) ; J83-B-305C
(ucs-set-char #x79FC ?$(DQ)(B) ; J90-D-5129
(ucs-set-char #x79FD ?$A;`(B) ; GB0-A-3B60
(ucs-set-char #x79FF ?$(I=e(B) ; C03-I-3D65
(ucs-set-char #x7A00 ?$(C}|(B) ; KS0-C-7D7C
(ucs-set-char #x7A00 ?$(Ga%(B) ; C01-G-6125
(ucs-set-char #x7A00 ?$@5)(B) ; J78-@-3529
(ucs-set-char #x7A00 ?$AO!(B) ; GB0-A-4F21
(ucs-set-char #x7A00 ?$B5)(B) ; J83-B-3529
(ucs-set-char #x7A01 ?$(LLH(B) ; C06-L-4C48
(ucs-set-char #x7A02 ?$(DQ*(B) ; J90-D-512A
(ucs-set-char #x7A02 ?$(H>Z(B) ; C02-H-3E5A
(ucs-set-char #x7A02 ?$Ao|(B) ; GB0-A-6F7C
(ucs-set-char #x7A03 ?$(DQ+(B) ; J90-D-512B
(ucs-set-char #x7A03 ?$(H>\(B) ; C02-H-3E5C
(ucs-set-char #x7A03 ?$Ao{(B) ; GB0-A-6F7B
(ucs-set-char #x7A04 ?$(H>^(B) ; C02-H-3E5E
(ucs-set-char #x7A05 ?$(Ca*(B) ; KS0-C-612A
(ucs-set-char #x7A05 ?$(Ga$(B) ; C01-G-6124
(ucs-set-char #x7A06 ?$(LLC(B) ; C06-L-4C43
(ucs-set-char #x7A06 ?$Aoy(B) ; GB0-A-6F79
(ucs-set-char #x7A07 ?$(DQ,(B) ; J90-D-512C
(ucs-set-char #x7A07 ?$(I=f(B) ; C03-I-3D66
(ucs-set-char #x7A08 ?$(CJY(B) ; KS0-C-4A59
(ucs-set-char #x7A08 ?$(Ga"(B) ; C01-G-6122
(ucs-set-char #x7A08 ?$@cC(B) ; J78-@-6343
(ucs-set-char #x7A08 ?$BcC(B) ; J83-B-6343
(ucs-set-char #x7A09 ?$(DQ-(B) ; J90-D-512D
(ucs-set-char #x7A09 ?$(I=i(B) ; C03-I-3D69
(ucs-set-char #x7A0A ?$(DQ.(B) ; J90-D-512E
(ucs-set-char #x7A0A ?$(H>[(B) ; C02-H-3E5B
(ucs-set-char #x7A0B ?$(Coo(B) ; KS0-C-6F6F
(ucs-set-char #x7A0B ?$(Ga#(B) ; C01-G-6123
(ucs-set-char #x7A0B ?$@Dx(B) ; J78-@-4478
(ucs-set-char #x7A0B ?$A3L(B) ; GB0-A-334C
(ucs-set-char #x7A0B ?$BDx(B) ; J83-B-4478
(ucs-set-char #x7A0C ?$(DQ/(B) ; J90-D-512F
(ucs-set-char #x7A0C ?$(H>](B) ; C02-H-3E5D
(ucs-set-char #x7A0D ?$(Cu*(B) ; KS0-C-752A
(ucs-set-char #x7A0D ?$(Ga!(B) ; C01-G-6121
(ucs-set-char #x7A0D ?$@cD(B) ; J78-@-6344
(ucs-set-char #x7A0D ?$AIT(B) ; GB0-A-4954
(ucs-set-char #x7A0D ?$BcD(B) ; J83-B-6344
(ucs-set-char #x7A0E ?$(I=h(B) ; C03-I-3D68
(ucs-set-char #x7A0E ?$@@G(B) ; J78-@-4047
(ucs-set-char #x7A0E ?$AK0(B) ; GB0-A-4B30
(ucs-set-char #x7A0E ?$B@G(B) ; J83-B-4047
(ucs-set-char #x7A0F ?$(ICA(B) ; C03-I-4341
(ucs-set-char #x7A10 ?$(HEf(B) ; C02-H-4566
(ucs-set-char #x7A11 ?$(DQ0(B) ; J90-D-5130
(ucs-set-char #x7A11 ?$(HE](B) ; C02-H-455D
(ucs-set-char #x7A12 ?$(HE`(B) ; C02-H-4560
(ucs-set-char #x7A13 ?$(HEd(B) ; C02-H-4564
(ucs-set-char #x7A14 ?$(Cly(B) ; KS0-C-6C79
(ucs-set-char #x7A14 ?$(Gea(B) ; C01-G-6561
(ucs-set-char #x7A14 ?$@L-(B) ; J78-@-4C2D
(ucs-set-char #x7A14 ?$Ao~(B) ; GB0-A-6F7E
(ucs-set-char #x7A14 ?$BL-(B) ; J83-B-4C2D
(ucs-set-char #x7A15 ?$(DQ1(B) ; J90-D-5131
(ucs-set-char #x7A15 ?$(HEb(B) ; C02-H-4562
(ucs-set-char #x7A16 ?$(J?P(B) ; C04-J-3F50
(ucs-set-char #x7A17 ?$(Cx-(B) ; KS0-C-782D
(ucs-set-char #x7A17 ?$(HEa(B) ; C02-H-4561
(ucs-set-char #x7A17 ?$@I#(B) ; J78-@-4923
(ucs-set-char #x7A17 ?$A0^(B) ; GB0-A-305E
(ucs-set-char #x7A17 ?$BI#(B) ; J83-B-4923
(ucs-set-char #x7A18 ?$(HE^(B) ; C02-H-455E
(ucs-set-char #x7A18 ?$@cE(B) ; J78-@-6345
(ucs-set-char #x7A18 ?$BcE(B) ; J83-B-6345
(ucs-set-char #x7A19 ?$(CrB(B) ; KS0-C-7242
(ucs-set-char #x7A19 ?$(HE_(B) ; C02-H-455F
(ucs-set-char #x7A19 ?$@cF(B) ; J78-@-6346
(ucs-set-char #x7A19 ?$BcF(B) ; J83-B-6346
(ucs-set-char #x7A1A ?$(CvC(B) ; KS0-C-7643
(ucs-set-char #x7A1A ?$(Ge_(B) ; C01-G-655F
(ucs-set-char #x7A1A ?$@CU(B) ; J78-@-4355
(ucs-set-char #x7A1A ?$AVI(B) ; GB0-A-5649
(ucs-set-char #x7A1A ?$BCU(B) ; J83-B-4355
(ucs-set-char #x7A1B ?$(DQ2(B) ; J90-D-5132
(ucs-set-char #x7A1B ?$(HEe(B) ; C02-H-4565
(ucs-set-char #x7A1C ?$(CWR(B) ; KS0-C-5752
(ucs-set-char #x7A1C ?$(Ge^(B) ; C01-G-655E
(ucs-set-char #x7A1C ?$@NG(B) ; J78-@-4E47
(ucs-set-char #x7A1C ?$BNG(B) ; J83-B-4E47
(ucs-set-char #x7A1D ?$(ICD(B) ; C03-I-4344
(ucs-set-char #x7A1E ?$(DQ3(B) ; J90-D-5133
(ucs-set-char #x7A1E ?$(Gec(B) ; C01-G-6563
(ucs-set-char #x7A1E ?$Ao}(B) ; GB0-A-6F7D
(ucs-set-char #x7A1F ?$(Cy"(B) ; KS0-C-7922
(ucs-set-char #x7A1F ?$(Geb(B) ; C01-G-6562
(ucs-set-char #x7A1F ?$@cH(B) ; J78-@-6348
(ucs-set-char #x7A1F ?$BcH(B) ; J83-B-6348
(ucs-set-char #x7A20 ?$(CpV(B) ; KS0-C-7056
(ucs-set-char #x7A20 ?$(Ge`(B) ; C01-G-6560
(ucs-set-char #x7A20 ?$@cG(B) ; J78-@-6347
(ucs-set-char #x7A20 ?$A3m(B) ; GB0-A-336D
(ucs-set-char #x7A20 ?$BcG(B) ; J83-B-6347
(ucs-set-char #x7A21 ?$(DQ4(B) ; J90-D-5134
(ucs-set-char #x7A21 ?$(J?J(B) ; C04-J-3F4A
(ucs-set-char #x7A22 ?$(HEc(B) ; C02-H-4563
(ucs-set-char #x7A23 ?$AvU(B) ; GB0-A-7655
(ucs-set-char #x7A26 ?$(HLP(B) ; C02-H-4C50
(ucs-set-char #x7A27 ?$(DQ5(B) ; J90-D-5135
(ucs-set-char #x7A27 ?$(JE](B) ; C04-J-455D
(ucs-set-char #x7A28 ?$(HLO(B) ; C02-H-4C4F
(ucs-set-char #x7A29 ?$(IHK(B) ; C03-I-484B
(ucs-set-char #x7A2A ?$(IHM(B) ; C03-I-484D
(ucs-set-char #x7A2B ?$(DQ6(B) ; J90-D-5136
(ucs-set-char #x7A2B ?$(HLK(B) ; C02-H-4C4B
(ucs-set-char #x7A2C ?$(IHP(B) ; C03-I-4850
(ucs-set-char #x7A2D ?$(DQ7(B) ; J90-D-5137
(ucs-set-char #x7A2D ?$(IHO(B) ; C03-I-484F
(ucs-set-char #x7A2E ?$(Cpz(B) ; KS0-C-707A
(ucs-set-char #x7A2E ?$(Gj!(B) ; C01-G-6A21
(ucs-set-char #x7A2E ?$@<o(B) ; J78-@-3C6F
(ucs-set-char #x7A2E ?$B<o(B) ; J83-B-3C6F
(ucs-set-char #x7A2F ?$(DQ8(B) ; J90-D-5138
(ucs-set-char #x7A2F ?$(HLN(B) ; C02-H-4C4E
(ucs-set-char #x7A30 ?$(DQ9(B) ; J90-D-5139
(ucs-set-char #x7A30 ?$(HLM(B) ; C02-H-4C4D
(ucs-set-char #x7A31 ?$(Cv`(B) ; KS0-C-7660
(ucs-set-char #x7A31 ?$(Gj"(B) ; C01-G-6A22
(ucs-set-char #x7A31 ?$@cJ(B) ; J78-@-634A
(ucs-set-char #x7A31 ?$BcJ(B) ; J83-B-634A
(ucs-set-char #x7A32 ?$(IHR(B) ; C03-I-4852
(ucs-set-char #x7A32 ?$@0p(B) ; J78-@-3070
(ucs-set-char #x7A32 ?$B0p(B) ; J83-B-3070
(ucs-set-char #x7A33 ?$ANH(B) ; GB0-A-4E48
(ucs-set-char #x7A34 ?$(DQ:(B) ; J90-D-513A
(ucs-set-char #x7A34 ?$(JKc(B) ; C04-J-4B63
(ucs-set-char #x7A35 ?$(DQ;(B) ; J90-D-513B
(ucs-set-char #x7A35 ?$(JE^(B) ; C04-J-455E
(ucs-set-char #x7A36 ?$(Cis(B) ; KS0-C-6973
(ucs-set-char #x7A36 ?$(JKk(B) ; C04-J-4B6B
(ucs-set-char #x7A37 ?$(CrC(B) ; KS0-C-7243
(ucs-set-char #x7A37 ?$(Gn)(B) ; C01-G-6E29
(ucs-set-char #x7A37 ?$@cM(B) ; J78-@-634D
(ucs-set-char #x7A37 ?$Ap"(B) ; GB0-A-7022
(ucs-set-char #x7A37 ?$BcM(B) ; J83-B-634D
(ucs-set-char #x7A38 ?$(DQ<(B) ; J90-D-513C
(ucs-set-char #x7A38 ?$(IMU(B) ; C03-I-4D55
(ucs-set-char #x7A39 ?$(DQ=(B) ; J90-D-513D
(ucs-set-char #x7A39 ?$(HRZ(B) ; C02-H-525A
(ucs-set-char #x7A39 ?$Ap!(B) ; GB0-A-7021
(ucs-set-char #x7A3A ?$(DQ>(B) ; J90-D-513E
(ucs-set-char #x7A3A ?$(IMV(B) ; C03-I-4D56
(ucs-set-char #x7A3B ?$(CT+(B) ; KS0-C-542B
(ucs-set-char #x7A3B ?$(Gn*(B) ; C01-G-6E2A
(ucs-set-char #x7A3B ?$@cK(B) ; J78-@-634B
(ucs-set-char #x7A3B ?$A5>(B) ; GB0-A-353E
(ucs-set-char #x7A3B ?$BcK(B) ; J83-B-634B
(ucs-set-char #x7A3C ?$(CJ3(B) ; KS0-C-4A33
(ucs-set-char #x7A3C ?$(Gn&(B) ; C01-G-6E26
(ucs-set-char #x7A3C ?$@2T(B) ; J78-@-3254
(ucs-set-char #x7A3C ?$A<Z(B) ; GB0-A-3C5A
(ucs-set-char #x7A3C ?$B2T(B) ; J83-B-3254
(ucs-set-char #x7A3D ?$(CM&(B) ; KS0-C-4D26
(ucs-set-char #x7A3D ?$(Gn((B) ; C01-G-6E28
(ucs-set-char #x7A3D ?$@7N(B) ; J78-@-374E
(ucs-set-char #x7A3D ?$A;|(B) ; GB0-A-3B7C
(ucs-set-char #x7A3D ?$B7N(B) ; J83-B-374E
(ucs-set-char #x7A3E ?$(IMZ(B) ; C03-I-4D5A
(ucs-set-char #x7A3E ?$@cL(B) ; J78-@-634C
(ucs-set-char #x7A3E ?$BcL(B) ; J83-B-634C
(ucs-set-char #x7A3F ?$(CMC(B) ; KS0-C-4D43
(ucs-set-char #x7A3F ?$(Gn%(B) ; C01-G-6E25
(ucs-set-char #x7A3F ?$@9F(B) ; J78-@-3946
(ucs-set-char #x7A3F ?$A8e(B) ; GB0-A-3865
(ucs-set-char #x7A3F ?$B9F(B) ; J83-B-3946
(ucs-set-char #x7A40 ?$(CMZ(B) ; KS0-C-4D5A
(ucs-set-char #x7A40 ?$(Gn'(B) ; C01-G-6E27
(ucs-set-char #x7A40 ?$@9r(B) ; J78-@-3972
(ucs-set-char #x7A40 ?$B9r(B) ; J83-B-3972
(ucs-set-char #x7A41 ?$(IMS(B) ; C03-I-4D53
(ucs-set-char #x7A42 ?$(IMW(B) ; C03-I-4D57
(ucs-set-char #x7A42 ?$@Jf(B) ; J78-@-4A66
(ucs-set-char #x7A42 ?$BJf(B) ; J83-B-4A66
(ucs-set-char #x7A43 ?$@cN(B) ; J78-@-634E
(ucs-set-char #x7A43 ?$BcN(B) ; J83-B-634E
(ucs-set-char #x7A44 ?$(DQ?(B) ; J90-D-513F
(ucs-set-char #x7A44 ?$(HXy(B) ; C02-H-5879
(ucs-set-char #x7A45 ?$(DQ@(B) ; J90-D-5140
(ucs-set-char #x7A45 ?$(IR*(B) ; C03-I-522A
(ucs-set-char #x7A46 ?$(CYO(B) ; KS0-C-594F
(ucs-set-char #x7A46 ?$(GqZ(B) ; C01-G-715A
(ucs-set-char #x7A46 ?$@KT(B) ; J78-@-4B54
(ucs-set-char #x7A46 ?$ADB(B) ; GB0-A-4442
(ucs-set-char #x7A46 ?$BKT(B) ; J83-B-4B54
(ucs-set-char #x7A47 ?$(DQA(B) ; J90-D-5141
(ucs-set-char #x7A47 ?$(HX{(B) ; C02-H-587B
(ucs-set-char #x7A48 ?$(DQB(B) ; J90-D-5142
(ucs-set-char #x7A48 ?$(HXz(B) ; C02-H-587A
(ucs-set-char #x7A49 ?$(CvD(B) ; KS0-C-7644
(ucs-set-char #x7A49 ?$(IUd(B) ; C03-I-5564
(ucs-set-char #x7A49 ?$@cP(B) ; J78-@-6350
(ucs-set-char #x7A49 ?$BcP(B) ; J83-B-6350
(ucs-set-char #x7A4A ?$(HLL(B) ; C02-H-4C4C
(ucs-set-char #x7A4B ?$(Gq\(B) ; C01-G-715C
(ucs-set-char #x7A4C ?$(DQC(B) ; J90-D-5143
(ucs-set-char #x7A4C ?$(Gq[(B) ; C01-G-715B
(ucs-set-char #x7A4D ?$(Cn](B) ; KS0-C-6E5D
(ucs-set-char #x7A4D ?$(GqX(B) ; C01-G-7158
(ucs-set-char #x7A4D ?$@@Q(B) ; J78-@-4051
(ucs-set-char #x7A4D ?$B@Q(B) ; J83-B-4051
(ucs-set-char #x7A4E ?$(CgD(B) ; KS0-C-6744
(ucs-set-char #x7A4E ?$(GqY(B) ; C01-G-7159
(ucs-set-char #x7A4E ?$@1O(B) ; J78-@-314F
(ucs-set-char #x7A4E ?$B1O(B) ; J83-B-314F
(ucs-set-char #x7A4F ?$(IR,(B) ; C03-I-522C
(ucs-set-char #x7A4F ?$@2:(B) ; J78-@-323A
(ucs-set-char #x7A4F ?$B2:(B) ; J83-B-323A
(ucs-set-char #x7A50 ?$@0,(B) ; J78-@-302C
(ucs-set-char #x7A50 ?$B0,(B) ; J83-B-302C
(ucs-set-char #x7A51 ?$Ap#(B) ; GB0-A-7023
(ucs-set-char #x7A53 ?$(IR)(B) ; C03-I-5229
(ucs-set-char #x7A54 ?$(H^"(B) ; C02-H-5E22
(ucs-set-char #x7A55 ?$(DQD(B) ; J90-D-5144
(ucs-set-char #x7A55 ?$(JWI(B) ; C04-J-5749
(ucs-set-char #x7A56 ?$(DQE(B) ; J90-D-5145
(ucs-set-char #x7A56 ?$(H]~(B) ; C02-H-5D7E
(ucs-set-char #x7A57 ?$(Cb4(B) ; KS0-C-6234
(ucs-set-char #x7A57 ?$(GtT(B) ; C01-G-7454
(ucs-set-char #x7A57 ?$@cO(B) ; J78-@-634F
(ucs-set-char #x7A57 ?$AKk(B) ; GB0-A-4B6B
(ucs-set-char #x7A57 ?$BcO(B) ; J83-B-634F
(ucs-set-char #x7A58 ?$(H^!(B) ; C02-H-5E21
(ucs-set-char #x7A59 ?$(DQF(B) ; J90-D-5146
(ucs-set-char #x7A59 ?$(JWH(B) ; C04-J-5748
(ucs-set-char #x7A5A ?$(H^#(B) ; C02-H-5E23
(ucs-set-char #x7A5B ?$(H]}(B) ; C02-H-5D7D
(ucs-set-char #x7A5C ?$(DQG(B) ; J90-D-5147
(ucs-set-char #x7A5C ?$(H]|(B) ; C02-H-5D7C
(ucs-set-char #x7A5D ?$(DQH(B) ; J90-D-5148
(ucs-set-char #x7A5F ?$(DQI(B) ; J90-D-5149
(ucs-set-char #x7A5F ?$(HbL(B) ; C02-H-624C
(ucs-set-char #x7A60 ?$(DQJ(B) ; J90-D-514A
(ucs-set-char #x7A60 ?$(Gvt(B) ; C01-G-7674
(ucs-set-char #x7A61 ?$(C_b(B) ; KS0-C-5F62
(ucs-set-char #x7A61 ?$(Gvr(B) ; C01-G-7672
(ucs-set-char #x7A61 ?$@cQ(B) ; J78-@-6351
(ucs-set-char #x7A61 ?$BcQ(B) ; J83-B-6351
(ucs-set-char #x7A62 ?$(Cg[(B) ; KS0-C-675B
(ucs-set-char #x7A62 ?$(Gvs(B) ; C01-G-7673
(ucs-set-char #x7A62 ?$@cR(B) ; J78-@-6352
(ucs-set-char #x7A62 ?$BcR(B) ; J83-B-6352
(ucs-set-char #x7A63 ?$@>w(B) ; J78-@-3E77
(ucs-set-char #x7A63 ?$B>w(B) ; J83-B-3E77
(ucs-set-char #x7A64 ?$(IZf(B) ; C03-I-5A66
(ucs-set-char #x7A65 ?$(DQK(B) ; J90-D-514B
(ucs-set-char #x7A65 ?$(J`E(B) ; C04-J-6045
(ucs-set-char #x7A66 ?$(IZe(B) ; C03-I-5A65
(ucs-set-char #x7A67 ?$(DQL(B) ; J90-D-514C
(ucs-set-char #x7A67 ?$(Hf0(B) ; C02-H-6630
(ucs-set-char #x7A68 ?$(Hf1(B) ; C02-H-6631
(ucs-set-char #x7A69 ?$(Ch1(B) ; KS0-C-6831
(ucs-set-char #x7A69 ?$(GxX(B) ; C01-G-7858
(ucs-set-char #x7A69 ?$@cS(B) ; J78-@-6353
(ucs-set-char #x7A69 ?$BcS(B) ; J83-B-6353
(ucs-set-char #x7A6A ?$(DQM(B) ; J90-D-514D
(ucs-set-char #x7A6A ?$(IZg(B) ; C03-I-5A67
(ucs-set-char #x7A6B ?$(C|.(B) ; KS0-C-7C2E
(ucs-set-char #x7A6B ?$(GxW(B) ; C01-G-7857
(ucs-set-char #x7A6B ?$@3O(B) ; J78-@-334F
(ucs-set-char #x7A6B ?$B3O(B) ; J83-B-334F
(ucs-set-char #x7A6C ?$(HiP(B) ; C02-H-6950
(ucs-set-char #x7A6D ?$(DQN(B) ; J90-D-514E
(ucs-set-char #x7A6D ?$(HiQ(B) ; C02-H-6951
(ucs-set-char #x7A6E ?$(HiO(B) ; C02-H-694F
(ucs-set-char #x7A6F ?$(I\d(B) ; C03-I-5C64
(ucs-set-char #x7A70 ?$(CeM(B) ; KS0-C-654D
(ucs-set-char #x7A70 ?$(Hmf(B) ; C02-H-6D66
(ucs-set-char #x7A70 ?$@cU(B) ; J78-@-6355
(ucs-set-char #x7A70 ?$Ap&(B) ; GB0-A-7026
(ucs-set-char #x7A70 ?$BcU(B) ; J83-B-6355
(ucs-set-char #x7A71 ?$(Hmg(B) ; C02-H-6D67
(ucs-set-char #x7A72 ?$(I`v(B) ; C03-I-6076
(ucs-set-char #x7A73 ?$(I`w(B) ; C03-I-6077
(ucs-set-char #x7A74 ?$(Czk(B) ; KS0-C-7A6B
(ucs-set-char #x7A74 ?$(GF~(B) ; C01-G-467E
(ucs-set-char #x7A74 ?$@7j(B) ; J78-@-376A
(ucs-set-char #x7A74 ?$AQ((B) ; GB0-A-5128
(ucs-set-char #x7A74 ?$B7j(B) ; J83-B-376A
(ucs-set-char #x7A75 ?$(DQO(B) ; J90-D-514F
(ucs-set-char #x7A75 ?$(H"h(B) ; C02-H-2268
(ucs-set-char #x7A76 ?$(CO<(B) ; KS0-C-4F3C
(ucs-set-char #x7A76 ?$(GK6(B) ; C01-G-4B36
(ucs-set-char #x7A76 ?$@5f(B) ; J78-@-3566
(ucs-set-char #x7A76 ?$A>?(B) ; GB0-A-3E3F
(ucs-set-char #x7A76 ?$B5f(B) ; J83-B-3566
(ucs-set-char #x7A77 ?$AGn(B) ; GB0-A-476E
(ucs-set-char #x7A78 ?$(DQP(B) ; J90-D-5150
(ucs-set-char #x7A78 ?$(H(E(B) ; C02-H-2845
(ucs-set-char #x7A78 ?$Aq6(B) ; GB0-A-7136
(ucs-set-char #x7A79 ?$(COb(B) ; KS0-C-4F62
(ucs-set-char #x7A79 ?$(GO)(B) ; C01-G-4F29
(ucs-set-char #x7A79 ?$@cV(B) ; J78-@-6356
(ucs-set-char #x7A79 ?$Aq7(B) ; GB0-A-7137
(ucs-set-char #x7A79 ?$BcV(B) ; J83-B-6356
(ucs-set-char #x7A7A ?$(CMv(B) ; KS0-C-4D76
(ucs-set-char #x7A7A ?$(GO((B) ; C01-G-4F28
(ucs-set-char #x7A7A ?$@6u(B) ; J78-@-3675
(ucs-set-char #x7A7A ?$A?U(B) ; GB0-A-3F55
(ucs-set-char #x7A7A ?$B6u(B) ; J83-B-3675
(ucs-set-char #x7A7B ?$(H(F(B) ; C02-H-2846
(ucs-set-char #x7A7C ?$(I.D(B) ; C03-I-2E44
(ucs-set-char #x7A7D ?$(Cop(B) ; KS0-C-6F70
(ucs-set-char #x7A7D ?$(I.G(B) ; C03-I-2E47
(ucs-set-char #x7A7D ?$@cW(B) ; J78-@-6357
(ucs-set-char #x7A7D ?$BcW(B) ; J83-B-6357
(ucs-set-char #x7A7E ?$(DQQ(B) ; J90-D-5151
(ucs-set-char #x7A7E ?$(H,a(B) ; C02-H-2C61
(ucs-set-char #x7A7F ?$(Ct>(B) ; KS0-C-743E
(ucs-set-char #x7A7F ?$(GRr(B) ; C01-G-5272
(ucs-set-char #x7A7F ?$@@|(B) ; J78-@-407C
(ucs-set-char #x7A7F ?$A4)(B) ; GB0-A-3429
(ucs-set-char #x7A7F ?$B@|(B) ; J83-B-407C
(ucs-set-char #x7A80 ?$(DQR(B) ; J90-D-5152
(ucs-set-char #x7A80 ?$(H,`(B) ; C02-H-2C60
(ucs-set-char #x7A80 ?$Aq8(B) ; GB0-A-7138
(ucs-set-char #x7A81 ?$(CTM(B) ; KS0-C-544D
(ucs-set-char #x7A81 ?$(GRs(B) ; C01-G-5273
(ucs-set-char #x7A81 ?$(I*E(B) ; C03-I-2A45
(ucs-set-char #x7A81 ?$@FM(B) ; J78-@-464D
(ucs-set-char #x7A81 ?$AM;(B) ; GB0-A-4D3B
(ucs-set-char #x7A81 ?$BFM(B) ; J83-B-464D
(ucs-set-char #x7A82 ?$(DQS(B) ; J90-D-5153
(ucs-set-char #x7A82 ?$(I.I(B) ; C03-I-2E49
(ucs-set-char #x7A83 ?$(I.H(B) ; C03-I-2E48
(ucs-set-char #x7A83 ?$@@`(B) ; J78-@-4060
(ucs-set-char #x7A83 ?$AGT(B) ; GB0-A-4754
(ucs-set-char #x7A83 ?$B@`(B) ; J83-B-4060
(ucs-set-char #x7A84 ?$(Cs8(B) ; KS0-C-7338
(ucs-set-char #x7A84 ?$(GW9(B) ; C01-G-5739
(ucs-set-char #x7A84 ?$@:u(B) ; J78-@-3A75
(ucs-set-char #x7A84 ?$AU-(B) ; GB0-A-552D
(ucs-set-char #x7A84 ?$B:u(B) ; J83-B-3A75
(ucs-set-char #x7A85 ?$(DQT(B) ; J90-D-5154
(ucs-set-char #x7A85 ?$(H1[(B) ; C02-H-315B
(ucs-set-char #x7A86 ?$(DQU(B) ; J90-D-5155
(ucs-set-char #x7A86 ?$(H1Y(B) ; C02-H-3159
(ucs-set-char #x7A86 ?$Aq9(B) ; GB0-A-7139
(ucs-set-char #x7A87 ?$(H1_(B) ; C02-H-315F
(ucs-set-char #x7A88 ?$(Ci!(B) ; KS0-C-6921
(ucs-set-char #x7A88 ?$(GW:(B) ; C01-G-573A
(ucs-set-char #x7A88 ?$@cX(B) ; J78-@-6358
(ucs-set-char #x7A88 ?$Aq:(B) ; GB0-A-713A
(ucs-set-char #x7A88 ?$BcX(B) ; J83-B-6358
(ucs-set-char #x7A89 ?$(H1Z(B) ; C02-H-315A
(ucs-set-char #x7A8A ?$(DQV(B) ; J90-D-5156
(ucs-set-char #x7A8A ?$(H1^(B) ; C02-H-315E
(ucs-set-char #x7A8B ?$(DQW(B) ; J90-D-5157
(ucs-set-char #x7A8B ?$(H1\(B) ; C02-H-315C
(ucs-set-char #x7A8C ?$(H1](B) ; C02-H-315D
(ucs-set-char #x7A8D ?$AGO(B) ; GB0-A-474F
(ucs-set-char #x7A8F ?$(H7k(B) ; C02-H-376B
(ucs-set-char #x7A90 ?$(DQX(B) ; J90-D-5158
(ucs-set-char #x7A90 ?$(H7m(B) ; C02-H-376D
(ucs-set-char #x7A91 ?$(DQY(B) ; J90-D-5159
(ucs-set-char #x7A91 ?$(I7r(B) ; C03-I-3772
(ucs-set-char #x7A91 ?$AR$(B) ; GB0-A-5224
(ucs-set-char #x7A92 ?$(Crr(B) ; KS0-C-7272
(ucs-set-char #x7A92 ?$(G\D(B) ; C01-G-5C44
(ucs-set-char #x7A92 ?$@Cb(B) ; J78-@-4362
(ucs-set-char #x7A92 ?$AVO(B) ; GB0-A-564F
(ucs-set-char #x7A92 ?$BCb(B) ; J83-B-4362
(ucs-set-char #x7A93 ?$(Csk(B) ; KS0-C-736B
(ucs-set-char #x7A93 ?$(I7q(B) ; C03-I-3771
(ucs-set-char #x7A93 ?$@Ak(B) ; J78-@-416B
(ucs-set-char #x7A93 ?$BAk(B) ; J83-B-416B
(ucs-set-char #x7A94 ?$(DQZ(B) ; J90-D-515A
(ucs-set-char #x7A94 ?$(H7l(B) ; C02-H-376C
(ucs-set-char #x7A95 ?$(CpW(B) ; KS0-C-7057
(ucs-set-char #x7A95 ?$(G\E(B) ; C01-G-5C45
(ucs-set-char #x7A95 ?$@cZ(B) ; J78-@-635A
(ucs-set-char #x7A95 ?$Aq;(B) ; GB0-A-713B
(ucs-set-char #x7A95 ?$BcZ(B) ; J83-B-635A
(ucs-set-char #x7A96 ?$(Ga((B) ; C01-G-6128
(ucs-set-char #x7A96 ?$@c\(B) ; J78-@-635C
(ucs-set-char #x7A96 ?$A=Q(B) ; GB0-A-3D51
(ucs-set-char #x7A96 ?$Bc\(B) ; J83-B-635C
(ucs-set-char #x7A97 ?$(Ga'(B) ; C01-G-6127
(ucs-set-char #x7A97 ?$@cY(B) ; J78-@-6359
(ucs-set-char #x7A97 ?$A40(B) ; GB0-A-3430
(ucs-set-char #x7A97 ?$BcY(B) ; J83-B-6359
(ucs-set-char #x7A98 ?$(COW(B) ; KS0-C-4F57
(ucs-set-char #x7A98 ?$(Ga&(B) ; C01-G-6126
(ucs-set-char #x7A98 ?$@c[(B) ; J78-@-635B
(ucs-set-char #x7A98 ?$A>=(B) ; GB0-A-3E3D
(ucs-set-char #x7A98 ?$Bc[(B) ; J83-B-635B
(ucs-set-char #x7A99 ?$(H>_(B) ; C02-H-3E5F
(ucs-set-char #x7A9A ?$(I7p(B) ; C03-I-3770
(ucs-set-char #x7A9B ?$(J9e(B) ; C04-J-3965
(ucs-set-char #x7A9C ?$A4\(B) ; GB0-A-345C
(ucs-set-char #x7A9D ?$ANQ(B) ; GB0-A-4E51
(ucs-set-char #x7A9E ?$(DQ[(B) ; J90-D-515B
(ucs-set-char #x7A9E ?$(HEi(B) ; C02-H-4569
(ucs-set-char #x7A9F ?$(CO_(B) ; KS0-C-4F5F
(ucs-set-char #x7A9F ?$(Ged(B) ; C01-G-6564
(ucs-set-char #x7A9F ?$@7"(B) ; J78-@-3722
(ucs-set-char #x7A9F ?$A?_(B) ; GB0-A-3F5F
(ucs-set-char #x7A9F ?$B7"(B) ; J83-B-3722
(ucs-set-char #x7AA0 ?$(DQ\(B) ; J90-D-515C
(ucs-set-char #x7AA0 ?$(Gee(B) ; C01-G-6565
(ucs-set-char #x7AA0 ?$Aq=(B) ; GB0-A-713D
(ucs-set-char #x7AA1 ?$(ICF(B) ; C03-I-4346
(ucs-set-char #x7AA2 ?$(HEh(B) ; C02-H-4568
(ucs-set-char #x7AA3 ?$(DQ](B) ; J90-D-515D
(ucs-set-char #x7AA3 ?$(HEg(B) ; C02-H-4567
(ucs-set-char #x7AA4 ?$(ICG(B) ; C03-I-4347
(ucs-set-char #x7AA5 ?$A?z(B) ; GB0-A-3F7A
(ucs-set-char #x7AA6 ?$Aq<(B) ; GB0-A-713C
(ucs-set-char #x7AA8 ?$(HLQ(B) ; C02-H-4C51
(ucs-set-char #x7AA8 ?$Aq?(B) ; GB0-A-713F
(ucs-set-char #x7AA9 ?$(Ch@(B) ; KS0-C-6840
(ucs-set-char #x7AA9 ?$(Gj$(B) ; C01-G-6A24
(ucs-set-char #x7AA9 ?$@c](B) ; J78-@-635D
(ucs-set-char #x7AA9 ?$Bc](B) ; J83-B-635D
(ucs-set-char #x7AAA ?$(ChA(B) ; KS0-C-6841
(ucs-set-char #x7AAA ?$(Gj#(B) ; C01-G-6A23
(ucs-set-char #x7AAA ?$@7&(B) ; J78-@-3726
(ucs-set-char #x7AAA ?$B7&(B) ; J83-B-3726
(ucs-set-char #x7AAB ?$(HLR(B) ; C02-H-4C52
(ucs-set-char #x7AAC ?$(DQ^(B) ; J90-D-515E
(ucs-set-char #x7AAC ?$(HLS(B) ; C02-H-4C53
(ucs-set-char #x7AAC ?$Aq>(B) ; GB0-A-713E
(ucs-set-char #x7AAD ?$Aq@(B) ; GB0-A-7140
(ucs-set-char #x7AAE ?$(COc(B) ; KS0-C-4F63
(ucs-set-char #x7AAE ?$(Gn,(B) ; C01-G-6E2C
(ucs-set-char #x7AAE ?$@5g(B) ; J78-@-3567
(ucs-set-char #x7AAE ?$B5g(B) ; J83-B-3567
(ucs-set-char #x7AAF ?$(Ci"(B) ; KS0-C-6922
(ucs-set-char #x7AAF ?$(Gn+(B) ; C01-G-6E2B
(ucs-set-char #x7AAF ?$@MR(B) ; J78-@-4D52
(ucs-set-char #x7AAF ?$BMR(B) ; J83-B-4D52
(ucs-set-char #x7AB0 ?$(IM[(B) ; C03-I-4D5B
(ucs-set-char #x7AB0 ?$@c_(B) ; J78-@-635F
(ucs-set-char #x7AB0 ?$Bc_(B) ; J83-B-635F
(ucs-set-char #x7AB1 ?$(HY!(B) ; C02-H-5921
(ucs-set-char #x7AB2 ?$(HR[(B) ; C02-H-525B
(ucs-set-char #x7AB3 ?$(DQ_(B) ; J90-D-515F
(ucs-set-char #x7AB3 ?$(HR](B) ; C02-H-525D
(ucs-set-char #x7AB3 ?$AqA(B) ; GB0-A-7141
(ucs-set-char #x7AB4 ?$(HR\(B) ; C02-H-525C
(ucs-set-char #x7AB5 ?$(DQ`(B) ; J90-D-5160
(ucs-set-char #x7AB5 ?$(HX~(B) ; C02-H-587E
(ucs-set-char #x7AB6 ?$(HX|(B) ; C02-H-587C
(ucs-set-char #x7AB6 ?$@c`(B) ; J78-@-6360
(ucs-set-char #x7AB6 ?$Bc`(B) ; J83-B-6360
(ucs-set-char #x7AB7 ?$(HY"(B) ; C02-H-5922
(ucs-set-char #x7AB8 ?$(HX}(B) ; C02-H-587D
(ucs-set-char #x7AB9 ?$(DQa(B) ; J90-D-5161
(ucs-set-char #x7AB9 ?$(KVR(B) ; C05-K-5652
(ucs-set-char #x7ABA ?$(CP*(B) ; KS0-C-502A
(ucs-set-char #x7ABA ?$(Gq](B) ; C01-G-715D
(ucs-set-char #x7ABA ?$@1.(B) ; J78-@-312E
(ucs-set-char #x7ABA ?$B1.(B) ; J83-B-312E
(ucs-set-char #x7ABB ?$(DQb(B) ; J90-D-5162
(ucs-set-char #x7ABB ?$(IR/(B) ; C03-I-522F
(ucs-set-char #x7ABC ?$(DQc(B) ; J90-D-5163
(ucs-set-char #x7ABC ?$(JR'(B) ; C04-J-5227
(ucs-set-char #x7ABD ?$(IR.(B) ; C03-I-522E
(ucs-set-char #x7ABE ?$(H^$(B) ; C02-H-5E24
(ucs-set-char #x7ABF ?$(GtU(B) ; C01-G-7455
(ucs-set-char #x7ABF ?$@cc(B) ; J78-@-6363
(ucs-set-char #x7ABF ?$AA~(B) ; GB0-A-417E
(ucs-set-char #x7ABF ?$Bcc(B) ; J83-B-6363
(ucs-set-char #x7AC0 ?$(H^%(B) ; C02-H-5E25
(ucs-set-char #x7AC1 ?$(H^&(B) ; C02-H-5E26
(ucs-set-char #x7AC2 ?$(IUh(B) ; C03-I-5568
(ucs-set-char #x7AC3 ?$@c^(B) ; J78-@-635E
(ucs-set-char #x7AC3 ?$B3v(B) ; J83-B-3376
(ucs-set-char #x7AC4 ?$(CsA(B) ; KS0-C-7341
(ucs-set-char #x7AC4 ?$(Gvu(B) ; C01-G-7675
(ucs-set-char #x7AC4 ?$@cb(B) ; J78-@-6362
(ucs-set-char #x7AC4 ?$Bcb(B) ; J83-B-6362
(ucs-set-char #x7AC5 ?$(CP+(B) ; KS0-C-502B
(ucs-set-char #x7AC5 ?$(Gvv(B) ; C01-G-7676
(ucs-set-char #x7AC5 ?$@ca(B) ; J78-@-6361
(ucs-set-char #x7AC5 ?$Bca(B) ; J83-B-6361
(ucs-set-char #x7AC6 ?$(DQd(B) ; J90-D-5164
(ucs-set-char #x7AC6 ?$(J`K(B) ; C04-J-604B
(ucs-set-char #x7AC7 ?$(CTd(B) ; KS0-C-5464
(ucs-set-char #x7AC7 ?$(Gz"(B) ; C01-G-7A22
(ucs-set-char #x7AC7 ?$@ce(B) ; J78-@-6365
(ucs-set-char #x7AC7 ?$Bce(B) ; J83-B-6365
(ucs-set-char #x7AC8 ?$(I^I(B) ; C03-I-5E49
(ucs-set-char #x7AC8 ?$@3v(B) ; J78-@-3376
(ucs-set-char #x7AC8 ?$Bc^(B) ; J83-B-635E
(ucs-set-char #x7AC9 ?$(DQe(B) ; J90-D-5165
(ucs-set-char #x7AC9 ?$(I^H(B) ; C03-I-5E48
(ucs-set-char #x7ACA ?$(Co<(B) ; KS0-C-6F3C
(ucs-set-char #x7ACA ?$(G|=(B) ; C01-G-7C3D
(ucs-set-char #x7ACA ?$@cf(B) ; J78-@-6366
(ucs-set-char #x7ACA ?$Bcf(B) ; J83-B-6366
(ucs-set-char #x7ACB ?$(CX!(B) ; KS0-C-5821
(ucs-set-char #x7ACB ?$(GG!(B) ; C01-G-4721
(ucs-set-char #x7ACB ?$@N)(B) ; J78-@-4E29
(ucs-set-char #x7ACB ?$AA"(B) ; GB0-A-4122
(ucs-set-char #x7ACB ?$BN)(B) ; J83-B-4E29
(ucs-set-char #x7ACC ?$(DQf(B) ; J90-D-5166
(ucs-set-char #x7ACC ?$(I&~(B) ; C03-I-267E
(ucs-set-char #x7ACD ?$(I'!(B) ; C03-I-2721
(ucs-set-char #x7ACD ?$@cg(B) ; J78-@-6367
(ucs-set-char #x7ACD ?$Bcg(B) ; J83-B-6367
(ucs-set-char #x7ACE ?$(DQg(B) ; J90-D-5167
(ucs-set-char #x7ACE ?$(J'[(B) ; C04-J-275B
(ucs-set-char #x7ACF ?$(I*G(B) ; C03-I-2A47
(ucs-set-char #x7ACF ?$@ch(B) ; J78-@-6368
(ucs-set-char #x7ACF ?$Bch(B) ; J83-B-6368
(ucs-set-char #x7AD0 ?$(I.N(B) ; C03-I-2E4E
(ucs-set-char #x7AD1 ?$(DQh(B) ; J90-D-5168
(ucs-set-char #x7AD1 ?$(H,b(B) ; C02-H-2C62
(ucs-set-char #x7AD2 ?$(I.O(B) ; C03-I-2E4F
(ucs-set-char #x7AD2 ?$@Tt(B) ; J78-@-5474
(ucs-set-char #x7AD2 ?$BTt(B) ; J83-B-5474
(ucs-set-char #x7AD3 ?$(I.M(B) ; C03-I-2E4D
(ucs-set-char #x7AD3 ?$@cj(B) ; J78-@-636A
(ucs-set-char #x7AD3 ?$Bcj(B) ; J83-B-636A
(ucs-set-char #x7AD4 ?$(I.K(B) ; C03-I-2E4B
(ucs-set-char #x7AD5 ?$(I.L(B) ; C03-I-2E4C
(ucs-set-char #x7AD5 ?$@ci(B) ; J78-@-6369
(ucs-set-char #x7AD5 ?$Bci(B) ; J83-B-6369
(ucs-set-char #x7AD6 ?$AJz(B) ; GB0-A-4A7A
(ucs-set-char #x7AD7 ?$(CY_(B) ; KS0-C-595F
(ucs-set-char #x7AD8 ?$(H1`(B) ; C02-H-3160
(ucs-set-char #x7AD9 ?$(CsW(B) ; KS0-C-7357
(ucs-set-char #x7AD9 ?$(GW;(B) ; C01-G-573B
(ucs-set-char #x7AD9 ?$@ck(B) ; J78-@-636B
(ucs-set-char #x7AD9 ?$AU>(B) ; GB0-A-553E
(ucs-set-char #x7AD9 ?$Bck(B) ; J83-B-636B
(ucs-set-char #x7ADA ?$(I3#(B) ; C03-I-3323
(ucs-set-char #x7ADA ?$@cl(B) ; J78-@-636C
(ucs-set-char #x7ADA ?$Bcl(B) ; J83-B-636C
(ucs-set-char #x7ADB ?$(DQi(B) ; J90-D-5169
(ucs-set-char #x7ADB ?$(I3&(B) ; C03-I-3326
(ucs-set-char #x7ADC ?$(I3'(B) ; C03-I-3327
(ucs-set-char #x7ADC ?$@N5(B) ; J78-@-4E35
(ucs-set-char #x7ADC ?$BN5(B) ; J83-B-4E35
(ucs-set-char #x7ADD ?$(C\=(B) ; KS0-C-5C3D
(ucs-set-char #x7ADD ?$(I3$(B) ; C03-I-3324
(ucs-set-char #x7ADD ?$@cm(B) ; J78-@-636D
(ucs-set-char #x7ADD ?$Bcm(B) ; J83-B-636D
(ucs-set-char #x7ADE ?$A>:(B) ; GB0-A-3E3A
(ucs-set-char #x7ADF ?$(CLe(B) ; KS0-C-4C65
(ucs-set-char #x7ADF ?$(G]~(B) ; C01-G-5D7E
(ucs-set-char #x7ADF ?$@po(B) ; J78-@-706F
(ucs-set-char #x7ADF ?$A>9(B) ; GB0-A-3E39
(ucs-set-char #x7ADF ?$Bpo(B) ; J83-B-706F
(ucs-set-char #x7AE0 ?$(Cmq(B) ; KS0-C-6D71
(ucs-set-char #x7AE0 ?$(G]}(B) ; C01-G-5D7D
(ucs-set-char #x7AE0 ?$@>O(B) ; J78-@-3E4F
(ucs-set-char #x7AE0 ?$AUB(B) ; GB0-A-5542
(ucs-set-char #x7AE0 ?$B>O(B) ; J83-B-3E4F
(ucs-set-char #x7AE1 ?$(I7s(B) ; C03-I-3773
(ucs-set-char #x7AE1 ?$@cn(B) ; J78-@-636E
(ucs-set-char #x7AE1 ?$Bcn(B) ; J83-B-636E
(ucs-set-char #x7AE2 ?$(I=q(B) ; C03-I-3D71
(ucs-set-char #x7AE2 ?$@co(B) ; J78-@-636F
(ucs-set-char #x7AE2 ?$Bco(B) ; J83-B-636F
(ucs-set-char #x7AE3 ?$(Cqb(B) ; KS0-C-7162
(ucs-set-char #x7AE3 ?$(Ga*(B) ; C01-G-612A
(ucs-set-char #x7AE3 ?$@=W(B) ; J78-@-3D57
(ucs-set-char #x7AE3 ?$A?"(B) ; GB0-A-3F22
(ucs-set-char #x7AE3 ?$B=W(B) ; J83-B-3D57
(ucs-set-char #x7AE4 ?$(H>a(B) ; C02-H-3E61
(ucs-set-char #x7AE5 ?$(CT[(B) ; KS0-C-545B
(ucs-set-char #x7AE5 ?$(Ga)(B) ; C01-G-6129
(ucs-set-char #x7AE5 ?$@F8(B) ; J78-@-4638
(ucs-set-char #x7AE5 ?$AM/(B) ; GB0-A-4D2F
(ucs-set-char #x7AE5 ?$BF8(B) ; J83-B-4638
(ucs-set-char #x7AE6 ?$(H>`(B) ; C02-H-3E60
(ucs-set-char #x7AE6 ?$@cp(B) ; J78-@-6370
(ucs-set-char #x7AE6 ?$Aq5(B) ; GB0-A-7135
(ucs-set-char #x7AE6 ?$Bcp(B) ; J83-B-6370
(ucs-set-char #x7AE7 ?$(I=p(B) ; C03-I-3D70
(ucs-set-char #x7AE8 ?$(DQj(B) ; J90-D-516A
(ucs-set-char #x7AE8 ?$(J?W(B) ; C04-J-3F57
(ucs-set-char #x7AE9 ?$(DQk(B) ; J90-D-516B
(ucs-set-char #x7AE9 ?$(ICI(B) ; C03-I-4349
(ucs-set-char #x7AEA ?$(Cb5(B) ; KS0-C-6235
(ucs-set-char #x7AEA ?$(ICJ(B) ; C03-I-434A
(ucs-set-char #x7AEA ?$@C((B) ; J78-@-4328
(ucs-set-char #x7AEA ?$BC((B) ; J83-B-4328
(ucs-set-char #x7AEB ?$(DQl(B) ; J90-D-516C
(ucs-set-char #x7AEB ?$(HEj(B) ; C02-H-456A
(ucs-set-char #x7AEC ?$(DQm(B) ; J90-D-516D
(ucs-set-char #x7AEC ?$(IHT(B) ; C03-I-4854
(ucs-set-char #x7AED ?$(CJf(B) ; KS0-C-4A66
(ucs-set-char #x7AED ?$(Gj%(B) ; C01-G-6A25
(ucs-set-char #x7AED ?$@cq(B) ; J78-@-6371
(ucs-set-char #x7AED ?$A=_(B) ; GB0-A-3D5F
(ucs-set-char #x7AED ?$Bcq(B) ; J83-B-6371
(ucs-set-char #x7AEE ?$(HLT(B) ; C02-H-4C54
(ucs-set-char #x7AEF ?$(CS.(B) ; KS0-C-532E
(ucs-set-char #x7AEF ?$(Gj&(B) ; C01-G-6A26
(ucs-set-char #x7AEF ?$@C<(B) ; J78-@-433C
(ucs-set-char #x7AEF ?$A6K(B) ; GB0-A-364B
(ucs-set-char #x7AEF ?$BC<(B) ; J83-B-433C
(ucs-set-char #x7AF0 ?$(IHU(B) ; C03-I-4855
(ucs-set-char #x7AF0 ?$@cr(B) ; J78-@-6372
(ucs-set-char #x7AF0 ?$Bcr(B) ; J83-B-6372
(ucs-set-char #x7AF1 ?$(DQn(B) ; J90-D-516E
(ucs-set-char #x7AF1 ?$(IR0(B) ; C03-I-5230
(ucs-set-char #x7AF2 ?$(IUi(B) ; C03-I-5569
(ucs-set-char #x7AF3 ?$(IUj(B) ; C03-I-556A
(ucs-set-char #x7AF4 ?$(DQo(B) ; J90-D-516F
(ucs-set-char #x7AF4 ?$(JWP(B) ; C04-J-5750
(ucs-set-char #x7AF5 ?$(IXI(B) ; C03-I-5849
(ucs-set-char #x7AF6 ?$(CLf(B) ; KS0-C-4C66
(ucs-set-char #x7AF6 ?$(Gz#(B) ; C01-G-7A23
(ucs-set-char #x7AF6 ?$@6%(B) ; J78-@-3625
(ucs-set-char #x7AF6 ?$B6%(B) ; J83-B-3625
(ucs-set-char #x7AF7 ?$(HiR(B) ; C02-H-6952
(ucs-set-char #x7AF8 ?$(I_U(B) ; C03-I-5F55
(ucs-set-char #x7AF8 ?$@Q?(B) ; J78-@-513F
(ucs-set-char #x7AF8 ?$BQ?(B) ; J83-B-513F
(ucs-set-char #x7AF9 ?$(CqS(B) ; KS0-C-7153
(ucs-set-char #x7AF9 ?$(GHL(B) ; C01-G-484C
(ucs-set-char #x7AF9 ?$@C](B) ; J78-@-435D
(ucs-set-char #x7AF9 ?$AVq(B) ; GB0-A-5671
(ucs-set-char #x7AF9 ?$BC](B) ; J83-B-435D
(ucs-set-char #x7AFA ?$(Cug(B) ; KS0-C-7567
(ucs-set-char #x7AFA ?$(GO*(B) ; C01-G-4F2A
(ucs-set-char #x7AFA ?$@<3(B) ; J78-@-3C33
(ucs-set-char #x7AFA ?$AsC(B) ; GB0-A-7343
(ucs-set-char #x7AFA ?$B<3(B) ; J83-B-3C33
(ucs-set-char #x7AFB ?$(DQp(B) ; J90-D-5170
(ucs-set-char #x7AFB ?$(H(G(B) ; C02-H-2847
(ucs-set-char #x7AFC ?$(I.Q(B) ; C03-I-2E51
(ucs-set-char #x7AFD ?$(DQq(B) ; J90-D-5171
(ucs-set-char #x7AFD ?$(GRu(B) ; C01-G-5275
(ucs-set-char #x7AFD ?$AsD(B) ; GB0-A-7344
(ucs-set-char #x7AFE ?$(DQr(B) ; J90-D-5172
(ucs-set-char #x7AFE ?$(I.P(B) ; C03-I-2E50
(ucs-set-char #x7AFF ?$(CJZ(B) ; KS0-C-4A5A
(ucs-set-char #x7AFF ?$(GRt(B) ; C01-G-5274
(ucs-set-char #x7AFF ?$@4H(B) ; J78-@-3448
(ucs-set-char #x7AFF ?$A8M(B) ; GB0-A-384D
(ucs-set-char #x7AFF ?$B4H(B) ; J83-B-3448
(ucs-set-char #x7B00 ?$(H,c(B) ; C02-H-2C63
(ucs-set-char #x7B01 ?$(H,d(B) ; C02-H-2C64
(ucs-set-char #x7B02 ?$@cs(B) ; J78-@-6373
(ucs-set-char #x7B02 ?$Bcs(B) ; J83-B-6373
(ucs-set-char #x7B03 ?$AsF(B) ; GB0-A-7346
(ucs-set-char #x7B04 ?$(H1b(B) ; C02-H-3162
(ucs-set-char #x7B04 ?$@d"(B) ; J78-@-6422
(ucs-set-char #x7B04 ?$AsG(B) ; GB0-A-7347
(ucs-set-char #x7B04 ?$Bd"(B) ; J83-B-6422
(ucs-set-char #x7B05 ?$(H1d(B) ; C02-H-3164
(ucs-set-char #x7B06 ?$(GW<(B) ; C01-G-573C
(ucs-set-char #x7B06 ?$@cv(B) ; J78-@-6376
(ucs-set-char #x7B06 ?$A0J(B) ; GB0-A-304A
(ucs-set-char #x7B06 ?$Bcv(B) ; J83-B-6376
(ucs-set-char #x7B07 ?$(DQs(B) ; J90-D-5173
(ucs-set-char #x7B08 ?$(H1f(B) ; C02-H-3166
(ucs-set-char #x7B08 ?$@5h(B) ; J78-@-3568
(ucs-set-char #x7B08 ?$AsE(B) ; GB0-A-7345
(ucs-set-char #x7B08 ?$B5h(B) ; J83-B-3568
(ucs-set-char #x7B09 ?$(H1i(B) ; C02-H-3169
(ucs-set-char #x7B0A ?$(H1g(B) ; C02-H-3167
(ucs-set-char #x7B0A ?$@cu(B) ; J78-@-6375
(ucs-set-char #x7B0A ?$AsI(B) ; GB0-A-7349
(ucs-set-char #x7B0A ?$Bcu(B) ; J83-B-6375
(ucs-set-char #x7B0B ?$(I3+(B) ; C03-I-332B
(ucs-set-char #x7B0B ?$@d$(B) ; J78-@-6424
(ucs-set-char #x7B0B ?$AKq(B) ; GB0-A-4B71
(ucs-set-char #x7B0B ?$Bd$(B) ; J83-B-6424
(ucs-set-char #x7B0C ?$(J.q(B) ; C04-J-2E71
(ucs-set-char #x7B0D ?$(I3*(B) ; C03-I-332A
(ucs-set-char #x7B0E ?$(H1h(B) ; C02-H-3168
(ucs-set-char #x7B0F ?$(C{n(B) ; KS0-C-7B6E
(ucs-set-char #x7B0F ?$(H1e(B) ; C02-H-3165
(ucs-set-char #x7B0F ?$@ct(B) ; J78-@-6374
(ucs-set-char #x7B0F ?$AsK(B) ; GB0-A-734B
(ucs-set-char #x7B0F ?$Bct(B) ; J83-B-6374
(ucs-set-char #x7B10 ?$(H1a(B) ; C02-H-3161
(ucs-set-char #x7B11 ?$(CaE(B) ; KS0-C-6145
(ucs-set-char #x7B11 ?$(GW=(B) ; C01-G-573D
(ucs-set-char #x7B11 ?$@>P(B) ; J78-@-3E50
(ucs-set-char #x7B11 ?$AP&(B) ; GB0-A-5026
(ucs-set-char #x7B11 ?$B>P(B) ; J83-B-3E50
(ucs-set-char #x7B12 ?$(H1j(B) ; C02-H-316A
(ucs-set-char #x7B13 ?$(H1c(B) ; C02-H-3163
(ucs-set-char #x7B14 ?$(DQt(B) ; J90-D-5174
(ucs-set-char #x7B14 ?$(I3,(B) ; C03-I-332C
(ucs-set-char #x7B14 ?$A1J(B) ; GB0-A-314A
(ucs-set-char #x7B15 ?$AsH(B) ; GB0-A-7348
(ucs-set-char #x7B16 ?$(I7x(B) ; C03-I-3778
(ucs-set-char #x7B17 ?$(I7y(B) ; C03-I-3779
(ucs-set-char #x7B18 ?$(H7v(B) ; C02-H-3776
(ucs-set-char #x7B18 ?$@cx(B) ; J78-@-6378
(ucs-set-char #x7B18 ?$Bcx(B) ; J83-B-6378
(ucs-set-char #x7B19 ?$(C_i(B) ; KS0-C-5F69
(ucs-set-char #x7B19 ?$(G\K(B) ; C01-G-5C4B
(ucs-set-char #x7B19 ?$@cy(B) ; J78-@-6379
(ucs-set-char #x7B19 ?$AsO(B) ; GB0-A-734F
(ucs-set-char #x7B19 ?$Bcy(B) ; J83-B-6379
(ucs-set-char #x7B1A ?$(H8!(B) ; C02-H-3821
(ucs-set-char #x7B1B ?$(Cn^(B) ; KS0-C-6E5E
(ucs-set-char #x7B1B ?$(G\H(B) ; C01-G-5C48
(ucs-set-char #x7B1B ?$@E+(B) ; J78-@-452B
(ucs-set-char #x7B1B ?$A5Q(B) ; GB0-A-3551
(ucs-set-char #x7B1B ?$BE+(B) ; J83-B-452B
(ucs-set-char #x7B1C ?$(I7w(B) ; C03-I-3777
(ucs-set-char #x7B1D ?$(H7x(B) ; C02-H-3778
(ucs-set-char #x7B1E ?$(CwB(B) ; KS0-C-7742
(ucs-set-char #x7B1E ?$(G\L(B) ; C01-G-5C4C
(ucs-set-char #x7B1E ?$@cz(B) ; J78-@-637A
(ucs-set-char #x7B1E ?$AsW(B) ; GB0-A-7357
(ucs-set-char #x7B1E ?$Bcz(B) ; J83-B-637A
(ucs-set-char #x7B1F ?$(DQu(B) ; J90-D-5175
(ucs-set-char #x7B1F ?$(I7{(B) ; C03-I-377B
(ucs-set-char #x7B20 ?$(CX"(B) ; KS0-C-5822
(ucs-set-char #x7B20 ?$(G\F(B) ; C01-G-5C46
(ucs-set-char #x7B20 ?$@3^(B) ; J78-@-335E
(ucs-set-char #x7B20 ?$AsR(B) ; GB0-A-7352
(ucs-set-char #x7B20 ?$B3^(B) ; J83-B-335E
(ucs-set-char #x7B21 ?$(I7v(B) ; C03-I-3776
(ucs-set-char #x7B22 ?$(H7s(B) ; C02-H-3773
(ucs-set-char #x7B23 ?$(DQv(B) ; J90-D-5176
(ucs-set-char #x7B23 ?$(H8"(B) ; C02-H-3822
(ucs-set-char #x7B24 ?$(H7t(B) ; C02-H-3774
(ucs-set-char #x7B24 ?$AsT(B) ; GB0-A-7354
(ucs-set-char #x7B25 ?$(H7q(B) ; C02-H-3771
(ucs-set-char #x7B25 ?$@?Z(B) ; J78-@-3F5A
(ucs-set-char #x7B25 ?$AsS(B) ; GB0-A-7353
(ucs-set-char #x7B25 ?$B?Z(B) ; J83-B-3F5A
(ucs-set-char #x7B26 ?$(C],(B) ; KS0-C-5D2C
(ucs-set-char #x7B26 ?$(G\J(B) ; C01-G-5C4A
(ucs-set-char #x7B26 ?$@Id(B) ; J78-@-4964
(ucs-set-char #x7B26 ?$A7{(B) ; GB0-A-377B
(ucs-set-char #x7B26 ?$BId(B) ; J83-B-4964
(ucs-set-char #x7B27 ?$(DQw(B) ; J90-D-5177
(ucs-set-char #x7B27 ?$(J3|(B) ; C04-J-337C
(ucs-set-char #x7B28 ?$(G\G(B) ; C01-G-5C47
(ucs-set-char #x7B28 ?$@c|(B) ; J78-@-637C
(ucs-set-char #x7B28 ?$A1?(B) ; GB0-A-313F
(ucs-set-char #x7B28 ?$Bc|(B) ; J83-B-637C
(ucs-set-char #x7B29 ?$(DQx(B) ; J90-D-5178
(ucs-set-char #x7B29 ?$(J3z(B) ; C04-J-337A
(ucs-set-char #x7B2A ?$(DQy(B) ; J90-D-5179
(ucs-set-char #x7B2A ?$(H7w(B) ; C02-H-3777
(ucs-set-char #x7B2A ?$AsN(B) ; GB0-A-734E
(ucs-set-char #x7B2B ?$(DQz(B) ; J90-D-517A
(ucs-set-char #x7B2B ?$(H7z(B) ; C02-H-377A
(ucs-set-char #x7B2B ?$AsJ(B) ; GB0-A-734A
(ucs-set-char #x7B2C ?$(Cp/(B) ; KS0-C-702F
(ucs-set-char #x7B2C ?$(G\I(B) ; C01-G-5C49
(ucs-set-char #x7B2C ?$@Bh(B) ; J78-@-4268
(ucs-set-char #x7B2C ?$A5Z(B) ; GB0-A-355A
(ucs-set-char #x7B2C ?$BBh(B) ; J83-B-4268
(ucs-set-char #x7B2D ?$(CV=(B) ; KS0-C-563D
(ucs-set-char #x7B2D ?$(DQ{(B) ; J90-D-517B
(ucs-set-char #x7B2D ?$(H7{(B) ; C02-H-377B
(ucs-set-char #x7B2E ?$(DQ|(B) ; J90-D-517C
(ucs-set-char #x7B2E ?$(G\M(B) ; C01-G-5C4D
(ucs-set-char #x7B2E ?$AsP(B) ; GB0-A-7350
(ucs-set-char #x7B2F ?$(DQ}(B) ; J90-D-517D
(ucs-set-char #x7B2F ?$(H7|(B) ; C02-H-377C
(ucs-set-char #x7B30 ?$(DQ~(B) ; J90-D-517E
(ucs-set-char #x7B30 ?$(H7r(B) ; C02-H-3772
(ucs-set-char #x7B31 ?$(DR!(B) ; J90-D-5221
(ucs-set-char #x7B31 ?$(H7y(B) ; C02-H-3779
(ucs-set-char #x7B31 ?$AsQ(B) ; GB0-A-7351
(ucs-set-char #x7B32 ?$(H7}(B) ; C02-H-377D
(ucs-set-char #x7B33 ?$(H7u(B) ; C02-H-3775
(ucs-set-char #x7B33 ?$@cw(B) ; J78-@-6377
(ucs-set-char #x7B33 ?$AsU(B) ; GB0-A-7355
(ucs-set-char #x7B33 ?$Bcw(B) ; J83-B-6377
(ucs-set-char #x7B34 ?$(DR"(B) ; J90-D-5222
(ucs-set-char #x7B34 ?$(H7p(B) ; C02-H-3770
(ucs-set-char #x7B35 ?$(H7n(B) ; C02-H-376E
(ucs-set-char #x7B35 ?$@c{(B) ; J78-@-637B
(ucs-set-char #x7B35 ?$Bc{(B) ; J83-B-637B
(ucs-set-char #x7B36 ?$(I7z(B) ; C03-I-377A
(ucs-set-char #x7B36 ?$@c}(B) ; J78-@-637D
(ucs-set-char #x7B36 ?$Bc}(B) ; J83-B-637D
(ucs-set-char #x7B38 ?$(H7~(B) ; C02-H-377E
(ucs-set-char #x7B38 ?$AsM(B) ; GB0-A-734D
(ucs-set-char #x7B39 ?$(Ca+(B) ; KS0-C-612B
(ucs-set-char #x7B39 ?$@:{(B) ; J78-@-3A7B
(ucs-set-char #x7B39 ?$B:{(B) ; J83-B-3A7B
(ucs-set-char #x7B3A ?$A<c(B) ; GB0-A-3C63
(ucs-set-char #x7B3B ?$(H7o(B) ; C02-H-376F
(ucs-set-char #x7B3C ?$AA}(B) ; GB0-A-417D
(ucs-set-char #x7B3D ?$(DR#(B) ; J90-D-5223
(ucs-set-char #x7B3E ?$AsV(B) ; GB0-A-7356
(ucs-set-char #x7B3F ?$(DR$(B) ; J90-D-5224
(ucs-set-char #x7B3F ?$(K;$(B) ; C05-K-3B24
(ucs-set-char #x7B40 ?$(DR%(B) ; J90-D-5225
(ucs-set-char #x7B40 ?$(H>h(B) ; C02-H-3E68
(ucs-set-char #x7B41 ?$(DR&(B) ; J90-D-5226
(ucs-set-char #x7B41 ?$(I={(B) ; C03-I-3D7B
(ucs-set-char #x7B42 ?$(I=x(B) ; C03-I-3D78
(ucs-set-char #x7B43 ?$(I=u(B) ; C03-I-3D75
(ucs-set-char #x7B44 ?$(H>d(B) ; C02-H-3E64
(ucs-set-char #x7B45 ?$(H>j(B) ; C02-H-3E6A
(ucs-set-char #x7B45 ?$@d&(B) ; J78-@-6426
(ucs-set-char #x7B45 ?$AsZ(B) ; GB0-A-735A
(ucs-set-char #x7B45 ?$Bd&(B) ; J83-B-6426
(ucs-set-char #x7B46 ?$(Cy6(B) ; KS0-C-7936
(ucs-set-char #x7B46 ?$(Ga-(B) ; C01-G-612D
(ucs-set-char #x7B46 ?$@I.(B) ; J78-@-492E
(ucs-set-char #x7B46 ?$BI.(B) ; J83-B-492E
(ucs-set-char #x7B47 ?$(DR'(B) ; J90-D-5227
(ucs-set-char #x7B47 ?$(H>c(B) ; C02-H-3E63
(ucs-set-char #x7B47 ?$AsL(B) ; GB0-A-734C
(ucs-set-char #x7B48 ?$(H>e(B) ; C02-H-3E65
(ucs-set-char #x7B48 ?$@H&(B) ; J78-@-4826
(ucs-set-char #x7B48 ?$BH&(B) ; J83-B-4826
(ucs-set-char #x7B49 ?$(CTu(B) ; KS0-C-5475
(ucs-set-char #x7B49 ?$(Ga+(B) ; C01-G-612B
(ucs-set-char #x7B49 ?$@Ey(B) ; J78-@-4579
(ucs-set-char #x7B49 ?$A5H(B) ; GB0-A-3548
(ucs-set-char #x7B49 ?$BEy(B) ; J83-B-4579
(ucs-set-char #x7B4A ?$(H>b(B) ; C02-H-3E62
(ucs-set-char #x7B4B ?$(CPI(B) ; KS0-C-5049
(ucs-set-char #x7B4B ?$(Ga2(B) ; C01-G-6132
(ucs-set-char #x7B4B ?$@6Z(B) ; J78-@-365A
(ucs-set-char #x7B4B ?$A=n(B) ; GB0-A-3D6E
(ucs-set-char #x7B4B ?$B6Z(B) ; J83-B-365A
(ucs-set-char #x7B4C ?$(Co'(B) ; KS0-C-6F27
(ucs-set-char #x7B4C ?$(H>f(B) ; C02-H-3E66
(ucs-set-char #x7B4C ?$@d%(B) ; J78-@-6425
(ucs-set-char #x7B4C ?$As\(B) ; GB0-A-735C
(ucs-set-char #x7B4C ?$Bd%(B) ; J83-B-6425
(ucs-set-char #x7B4D ?$(Cbl(B) ; KS0-C-626C
(ucs-set-char #x7B4D ?$(Ga1(B) ; C01-G-6131
(ucs-set-char #x7B4D ?$@d#(B) ; J78-@-6423
(ucs-set-char #x7B4D ?$Bd#(B) ; J83-B-6423
(ucs-set-char #x7B4E ?$(DR((B) ; J90-D-5228
(ucs-set-char #x7B4E ?$(H>g(B) ; C02-H-3E67
(ucs-set-char #x7B4F ?$(C[j(B) ; KS0-C-5B6A
(ucs-set-char #x7B4F ?$(Ga3(B) ; C01-G-6133
(ucs-set-char #x7B4F ?$@H5(B) ; J78-@-4835
(ucs-set-char #x7B4F ?$A7$(B) ; GB0-A-3724
(ucs-set-char #x7B4F ?$BH5(B) ; J83-B-4835
(ucs-set-char #x7B50 ?$(CNL(B) ; KS0-C-4E4C
(ucs-set-char #x7B50 ?$(Ga.(B) ; C01-G-612E
(ucs-set-char #x7B50 ?$@c~(B) ; J78-@-637E
(ucs-set-char #x7B50 ?$A?p(B) ; GB0-A-3F70
(ucs-set-char #x7B50 ?$Bc~(B) ; J83-B-637E
(ucs-set-char #x7B51 ?$(Cuh(B) ; KS0-C-7568
(ucs-set-char #x7B51 ?$(Ga4(B) ; C01-G-6134
(ucs-set-char #x7B51 ?$@C^(B) ; J78-@-435E
(ucs-set-char #x7B51 ?$AV~(B) ; GB0-A-567E
(ucs-set-char #x7B51 ?$BC^(B) ; J83-B-435E
(ucs-set-char #x7B52 ?$(CwU(B) ; KS0-C-7755
(ucs-set-char #x7B52 ?$(Ga/(B) ; C01-G-612F
(ucs-set-char #x7B52 ?$@E{(B) ; J78-@-457B
(ucs-set-char #x7B52 ?$AM2(B) ; GB0-A-4D32
(ucs-set-char #x7B52 ?$BE{(B) ; J83-B-457B
(ucs-set-char #x7B53 ?$(I=y(B) ; C03-I-3D79
(ucs-set-char #x7B54 ?$(CSM(B) ; KS0-C-534D
(ucs-set-char #x7B54 ?$(Ga0(B) ; C01-G-6130
(ucs-set-char #x7B54 ?$@Ez(B) ; J78-@-457A
(ucs-set-char #x7B54 ?$A4p(B) ; GB0-A-3470
(ucs-set-char #x7B54 ?$BEz(B) ; J83-B-457A
(ucs-set-char #x7B55 ?$(DR)(B) ; J90-D-5229
(ucs-set-char #x7B55 ?$(I=r(B) ; C03-I-3D72
(ucs-set-char #x7B56 ?$(Cs~(B) ; KS0-C-737E
(ucs-set-char #x7B56 ?$(Ga,(B) ; C01-G-612C
(ucs-set-char #x7B56 ?$@:v(B) ; J78-@-3A76
(ucs-set-char #x7B56 ?$A2_(B) ; GB0-A-325F
(ucs-set-char #x7B56 ?$B:v(B) ; J83-B-3A76
(ucs-set-char #x7B57 ?$(I=v(B) ; C03-I-3D76
(ucs-set-char #x7B58 ?$(H>i(B) ; C02-H-3E69
(ucs-set-char #x7B58 ?$AsX(B) ; GB0-A-7358
(ucs-set-char #x7B5A ?$AsY(B) ; GB0-A-7359
(ucs-set-char #x7B5B ?$AI8(B) ; GB0-A-4938
(ucs-set-char #x7B5D ?$@d8(B) ; J78-@-6438
(ucs-set-char #x7B5D ?$As](B) ; GB0-A-735D
(ucs-set-char #x7B5D ?$Bd8(B) ; J83-B-6438
(ucs-set-char #x7B5E ?$(ICO(B) ; C03-I-434F
(ucs-set-char #x7B5F ?$(J?g(B) ; C04-J-3F67
(ucs-set-char #x7B60 ?$(CP5(B) ; KS0-C-5035
(ucs-set-char #x7B60 ?$(DR*(B) ; J90-D-522A
(ucs-set-char #x7B60 ?$(Geh(B) ; C01-G-6568
(ucs-set-char #x7B60 ?$As^(B) ; GB0-A-735E
(ucs-set-char #x7B61 ?$(HEu(B) ; C02-H-4575
(ucs-set-char #x7B62 ?$(ICL(B) ; C03-I-434C
(ucs-set-char #x7B62 ?$Asa(B) ; GB0-A-7361
(ucs-set-char #x7B63 ?$(HEx(B) ; C02-H-4578
(ucs-set-char #x7B64 ?$(DR+(B) ; J90-D-522B
(ucs-set-char #x7B64 ?$(HEl(B) ; C02-H-456C
(ucs-set-char #x7B65 ?$(HEq(B) ; C02-H-4571
(ucs-set-char #x7B65 ?$@d((B) ; J78-@-6428
(ucs-set-char #x7B65 ?$Bd((B) ; J83-B-6428
(ucs-set-char #x7B66 ?$(DR,(B) ; J90-D-522C
(ucs-set-char #x7B66 ?$(HEk(B) ; C02-H-456B
(ucs-set-char #x7B67 ?$(Gej(B) ; C01-G-656A
(ucs-set-char #x7B67 ?$@d*(B) ; J78-@-642A
(ucs-set-char #x7B67 ?$Bd*(B) ; J83-B-642A
(ucs-set-char #x7B68 ?$(ICU(B) ; C03-I-4355
(ucs-set-char #x7B69 ?$(DR-(B) ; J90-D-522D
(ucs-set-char #x7B69 ?$(HEo(B) ; C02-H-456F
(ucs-set-char #x7B6A ?$(DR.(B) ; J90-D-522E
(ucs-set-char #x7B6A ?$(J?^(B) ; C04-J-3F5E
(ucs-set-char #x7B6B ?$(ICM(B) ; C03-I-434D
(ucs-set-char #x7B6C ?$(C`~(B) ; KS0-C-607E
(ucs-set-char #x7B6C ?$(I=w(B) ; C03-I-3D77
(ucs-set-char #x7B6C ?$@d-(B) ; J78-@-642D
(ucs-set-char #x7B6C ?$Bd-(B) ; J83-B-642D
(ucs-set-char #x7B6D ?$(DR/(B) ; J90-D-522F
(ucs-set-char #x7B6D ?$(HEm(B) ; C02-H-456D
(ucs-set-char #x7B6E ?$(C_{(B) ; KS0-C-5F7B
(ucs-set-char #x7B6E ?$(Gei(B) ; C01-G-6569
(ucs-set-char #x7B6E ?$@d.(B) ; J78-@-642E
(ucs-set-char #x7B6E ?$As_(B) ; GB0-A-735F
(ucs-set-char #x7B6E ?$Bd.(B) ; J83-B-642E
(ucs-set-char #x7B6F ?$(DR0(B) ; J90-D-5230
(ucs-set-char #x7B6F ?$(ICT(B) ; C03-I-4354
(ucs-set-char #x7B70 ?$(HEt(B) ; C02-H-4574
(ucs-set-char #x7B70 ?$@d+(B) ; J78-@-642B
(ucs-set-char #x7B70 ?$Bd+(B) ; J83-B-642B
(ucs-set-char #x7B71 ?$(HEs(B) ; C02-H-4573
(ucs-set-char #x7B71 ?$@d,(B) ; J78-@-642C
(ucs-set-char #x7B71 ?$Asc(B) ; GB0-A-7363
(ucs-set-char #x7B71 ?$Bd,(B) ; J83-B-642C
(ucs-set-char #x7B72 ?$(DR1(B) ; J90-D-5231
(ucs-set-char #x7B72 ?$(HEp(B) ; C02-H-4570
(ucs-set-char #x7B72 ?$Asb(B) ; GB0-A-7362
(ucs-set-char #x7B73 ?$(DR2(B) ; J90-D-5232
(ucs-set-char #x7B73 ?$(HEr(B) ; C02-H-4572
(ucs-set-char #x7B74 ?$(HEn(B) ; C02-H-456E
(ucs-set-char #x7B74 ?$@d)(B) ; J78-@-6429
(ucs-set-char #x7B74 ?$Bd)(B) ; J83-B-6429
(ucs-set-char #x7B75 ?$(Cf](B) ; KS0-C-665D
(ucs-set-char #x7B75 ?$(Gj*(B) ; C01-G-6A2A
(ucs-set-char #x7B75 ?$@d'(B) ; J78-@-6427
(ucs-set-char #x7B75 ?$As[(B) ; GB0-A-735B
(ucs-set-char #x7B75 ?$Bd'(B) ; J83-B-6427
(ucs-set-char #x7B76 ?$(HEw(B) ; C02-H-4577
(ucs-set-char #x7B77 ?$(DR3(B) ; J90-D-5233
(ucs-set-char #x7B77 ?$(Gef(B) ; C01-G-6566
(ucs-set-char #x7B77 ?$A?j(B) ; GB0-A-3F6A
(ucs-set-char #x7B78 ?$(HEv(B) ; C02-H-4576
(ucs-set-char #x7B79 ?$(ICQ(B) ; C03-I-4351
(ucs-set-char #x7B79 ?$A3o(B) ; GB0-A-336F
(ucs-set-char #x7B7A ?$@d!(B) ; J78-@-6421
(ucs-set-char #x7B7A ?$Bd!(B) ; J83-B-6421
(ucs-set-char #x7B7B ?$As`(B) ; GB0-A-7360
(ucs-set-char #x7B7D ?$(Ch$(B) ; KS0-C-6824
(ucs-set-char #x7B7E ?$AG)(B) ; GB0-A-4729
(ucs-set-char #x7B80 ?$A<r(B) ; GB0-A-3C72
(ucs-set-char #x7B81 ?$(IHV(B) ; C03-I-4856
(ucs-set-char #x7B82 ?$(HLd(B) ; C02-H-4C64
(ucs-set-char #x7B83 ?$(IHX(B) ; C03-I-4858
(ucs-set-char #x7B84 ?$(DR4(B) ; J90-D-5234
(ucs-set-char #x7B84 ?$(Gj1(B) ; C01-G-6A31
(ucs-set-char #x7B85 ?$(HL_(B) ; C02-H-4C5F
(ucs-set-char #x7B85 ?$Ask(B) ; GB0-A-736B
(ucs-set-char #x7B86 ?$(IH`(B) ; C03-I-4860
(ucs-set-char #x7B86 ?$@JO(B) ; J78-@-4A4F
(ucs-set-char #x7B86 ?$BJO(B) ; J83-B-4A4F
(ucs-set-char #x7B87 ?$(CKM(B) ; KS0-C-4B4D
(ucs-set-char #x7B87 ?$(Gj0(B) ; C01-G-6A30
(ucs-set-char #x7B87 ?$@2U(B) ; J78-@-3255
(ucs-set-char #x7B87 ?$B2U(B) ; J83-B-3255
(ucs-set-char #x7B88 ?$(HLU(B) ; C02-H-4C55
(ucs-set-char #x7B89 ?$(DR5(B) ; J90-D-5235
(ucs-set-char #x7B89 ?$(JEk(B) ; C04-J-456B
(ucs-set-char #x7B8A ?$(HLW(B) ; C02-H-4C57
(ucs-set-char #x7B8B ?$(Co((B) ; KS0-C-6F28
(ucs-set-char #x7B8B ?$(Gj)(B) ; C01-G-6A29
(ucs-set-char #x7B8B ?$@d5(B) ; J78-@-6435
(ucs-set-char #x7B8B ?$Bd5(B) ; J83-B-6435
(ucs-set-char #x7B8C ?$(HL\(B) ; C02-H-4C5C
(ucs-set-char #x7B8D ?$(HL[(B) ; C02-H-4C5B
(ucs-set-char #x7B8D ?$@d2(B) ; J78-@-6432
(ucs-set-char #x7B8D ?$A9?(B) ; GB0-A-393F
(ucs-set-char #x7B8D ?$Bd2(B) ; J83-B-6432
(ucs-set-char #x7B8E ?$(DR6(B) ; J90-D-5236
(ucs-set-char #x7B8E ?$(HL^(B) ; C02-H-4C5E
(ucs-set-char #x7B8F ?$(Cn4(B) ; KS0-C-6E34
(ucs-set-char #x7B8F ?$(Gj.(B) ; C01-G-6A2E
(ucs-set-char #x7B8F ?$@d7(B) ; J78-@-6437
(ucs-set-char #x7B8F ?$Bd7(B) ; J83-B-6437
(ucs-set-char #x7B90 ?$(DR7(B) ; J90-D-5237
(ucs-set-char #x7B90 ?$(HLY(B) ; C02-H-4C59
(ucs-set-char #x7B90 ?$Asd(B) ; GB0-A-7364
(ucs-set-char #x7B91 ?$(DR8(B) ; J90-D-5238
(ucs-set-char #x7B91 ?$(HLX(B) ; C02-H-4C58
(ucs-set-char #x7B92 ?$(IHZ(B) ; C03-I-485A
(ucs-set-char #x7B92 ?$@d6(B) ; J78-@-6436
(ucs-set-char #x7B92 ?$Bd6(B) ; J83-B-6436
(ucs-set-char #x7B93 ?$(IH^(B) ; C03-I-485E
(ucs-set-char #x7B94 ?$(CZX(B) ; KS0-C-5A58
(ucs-set-char #x7B94 ?$(Gj-(B) ; C01-G-6A2D
(ucs-set-char #x7B94 ?$@Gs(B) ; J78-@-4773
(ucs-set-char #x7B94 ?$A2-(B) ; GB0-A-322D
(ucs-set-char #x7B94 ?$BGs(B) ; J83-B-4773
(ucs-set-char #x7B95 ?$(CQ9(B) ; KS0-C-5139
(ucs-set-char #x7B95 ?$(Gj((B) ; C01-G-6A28
(ucs-set-char #x7B95 ?$@L'(B) ; J78-@-4C27
(ucs-set-char #x7B95 ?$A;~(B) ; GB0-A-3B7E
(ucs-set-char #x7B95 ?$BL'(B) ; J83-B-4C27
(ucs-set-char #x7B96 ?$(DR9(B) ; J90-D-5239
(ucs-set-char #x7B96 ?$(HLZ(B) ; C02-H-4C5A
(ucs-set-char #x7B97 ?$(C_)(B) ; KS0-C-5F29
(ucs-set-char #x7B97 ?$(Gj+(B) ; C01-G-6A2B
(ucs-set-char #x7B97 ?$@;;(B) ; J78-@-3B3B
(ucs-set-char #x7B97 ?$AKc(B) ; GB0-A-4B63
(ucs-set-char #x7B97 ?$B;;(B) ; J83-B-3B3B
(ucs-set-char #x7B98 ?$(HL`(B) ; C02-H-4C60
(ucs-set-char #x7B98 ?$@d0(B) ; J78-@-6430
(ucs-set-char #x7B98 ?$Bd0(B) ; J83-B-6430
(ucs-set-char #x7B99 ?$(HLb(B) ; C02-H-4C62
(ucs-set-char #x7B99 ?$@d9(B) ; J78-@-6439
(ucs-set-char #x7B99 ?$Bd9(B) ; J83-B-6439
(ucs-set-char #x7B9A ?$(Cs0(B) ; KS0-C-7330
(ucs-set-char #x7B9A ?$@d4(B) ; J78-@-6434
(ucs-set-char #x7B9A ?$Bd4(B) ; J83-B-6434
(ucs-set-char #x7B9B ?$(DR:(B) ; J90-D-523A
(ucs-set-char #x7B9B ?$(HL](B) ; C02-H-4C5D
(ucs-set-char #x7B9C ?$(HLV(B) ; C02-H-4C56
(ucs-set-char #x7B9C ?$@d3(B) ; J78-@-6433
(ucs-set-char #x7B9C ?$Asm(B) ; GB0-A-736D
(ucs-set-char #x7B9C ?$Bd3(B) ; J83-B-6433
(ucs-set-char #x7B9D ?$(CLD(B) ; KS0-C-4C44
(ucs-set-char #x7B9D ?$(Gj,(B) ; C01-G-6A2C
(ucs-set-char #x7B9D ?$@d/(B) ; J78-@-642F
(ucs-set-char #x7B9D ?$Asi(B) ; GB0-A-7369
(ucs-set-char #x7B9D ?$Bd/(B) ; J83-B-642F
(ucs-set-char #x7B9E ?$(DR;(B) ; J90-D-523B
(ucs-set-char #x7B9E ?$(IHW(B) ; C03-I-4857
(ucs-set-char #x7B9F ?$(IH](B) ; C03-I-485D
(ucs-set-char #x7B9F ?$@d1(B) ; J78-@-6431
(ucs-set-char #x7B9F ?$Bd1(B) ; J83-B-6431
(ucs-set-char #x7BA0 ?$(DR<(B) ; J90-D-523C
(ucs-set-char #x7BA0 ?$(Gn4(B) ; C01-G-6E34
(ucs-set-char #x7BA1 ?$(CN7(B) ; KS0-C-4E37
(ucs-set-char #x7BA1 ?$(Gj'(B) ; C01-G-6A27
(ucs-set-char #x7BA1 ?$@4I(B) ; J78-@-3449
(ucs-set-char #x7BA1 ?$A9\(B) ; GB0-A-395C
(ucs-set-char #x7BA1 ?$B4I(B) ; J83-B-3449
(ucs-set-char #x7BA2 ?$(JEd(B) ; C04-J-4564
(ucs-set-char #x7BA2 ?$Asn(B) ; GB0-A-736E
(ucs-set-char #x7BA3 ?$(IH\(B) ; C03-I-485C
(ucs-set-char #x7BA4 ?$(HLc(B) ; C02-H-4C63
(ucs-set-char #x7BA5 ?$(DR=(B) ; J90-D-523D
(ucs-set-char #x7BA5 ?$(JEp(B) ; C04-J-4570
(ucs-set-char #x7BA6 ?$Ase(B) ; GB0-A-7365
(ucs-set-char #x7BA7 ?$Asf(B) ; GB0-A-7366
(ucs-set-char #x7BA8 ?$Asj(B) ; GB0-A-736A
(ucs-set-char #x7BA9 ?$ABa(B) ; GB0-A-4261
(ucs-set-char #x7BAA ?$Asl(B) ; GB0-A-736C
(ucs-set-char #x7BAA ?$BC=(B) ; J83-B-433D
(ucs-set-char #x7BAB ?$Aso(B) ; GB0-A-736F
(ucs-set-char #x7BAC ?$(DR>(B) ; J90-D-523E
(ucs-set-char #x7BAC ?$(HRa(B) ; C02-H-5261
(ucs-set-char #x7BAC ?$Ash(B) ; GB0-A-7368
(ucs-set-char #x7BAD ?$(Co)(B) ; KS0-C-6F29
(ucs-set-char #x7BAD ?$(Gn-(B) ; C01-G-6E2D
(ucs-set-char #x7BAD ?$@@}(B) ; J78-@-407D
(ucs-set-char #x7BAD ?$A<}(B) ; GB0-A-3C7D
(ucs-set-char #x7BAD ?$B@}(B) ; J83-B-407D
(ucs-set-char #x7BAE ?$(IM\(B) ; C03-I-4D5C
(ucs-set-char #x7BAF ?$(DR?(B) ; J90-D-523F
(ucs-set-char #x7BAF ?$(HRc(B) ; C02-H-5263
(ucs-set-char #x7BB0 ?$(DR@(B) ; J90-D-5240
(ucs-set-char #x7BB0 ?$(JL+(B) ; C04-J-4C2B
(ucs-set-char #x7BB1 ?$(C_U(B) ; KS0-C-5F55
(ucs-set-char #x7BB1 ?$(Gn.(B) ; C01-G-6E2E
(ucs-set-char #x7BB1 ?$@H"(B) ; J78-@-4822
(ucs-set-char #x7BB1 ?$AOd(B) ; GB0-A-4F64
(ucs-set-char #x7BB1 ?$BH"(B) ; J83-B-4822
(ucs-set-char #x7BB2 ?$(DRA(B) ; J90-D-5241
(ucs-set-char #x7BB2 ?$(IMe(B) ; C03-I-4D65
(ucs-set-char #x7BB3 ?$(IM](B) ; C03-I-4D5D
(ucs-set-char #x7BB4 ?$(CmW(B) ; KS0-C-6D57
(ucs-set-char #x7BB4 ?$(Gn0(B) ; C01-G-6E30
(ucs-set-char #x7BB4 ?$@d>(B) ; J78-@-643E
(ucs-set-char #x7BB4 ?$Asp(B) ; GB0-A-7370
(ucs-set-char #x7BB4 ?$Bd>(B) ; J83-B-643E
(ucs-set-char #x7BB5 ?$(DRB(B) ; J90-D-5242
(ucs-set-char #x7BB5 ?$(HRf(B) ; C02-H-5266
(ucs-set-char #x7BB6 ?$(DRC(B) ; J90-D-5243
(ucs-set-char #x7BB6 ?$(JKz(B) ; C04-J-4B7A
(ucs-set-char #x7BB7 ?$(HR^(B) ; C02-H-525E
(ucs-set-char #x7BB8 ?$(CnF(B) ; KS0-C-6E46
(ucs-set-char #x7BB8 ?$(Gj/(B) ; C01-G-6A2F
(ucs-set-char #x7BB8 ?$@H$(B) ; J78-@-4824
(ucs-set-char #x7BB8 ?$Asg(B) ; GB0-A-7367
(ucs-set-char #x7BB8 ?$BH$(B) ; J83-B-4824
(ucs-set-char #x7BB9 ?$(HRd(B) ; C02-H-5264
(ucs-set-char #x7BBA ?$(DRD(B) ; J90-D-5244
(ucs-set-char #x7BBA ?$(JKs(B) ; C04-J-4B73
(ucs-set-char #x7BBB ?$(DRE(B) ; J90-D-5245
(ucs-set-char #x7BBB ?$(JL1(B) ; C04-J-4C31
(ucs-set-char #x7BBC ?$(DRF(B) ; J90-D-5246
(ucs-set-char #x7BBC ?$(JKt(B) ; C04-J-4B74
(ucs-set-char #x7BBD ?$(DRG(B) ; J90-D-5247
(ucs-set-char #x7BBD ?$(JL*(B) ; C04-J-4C2A
(ucs-set-char #x7BBE ?$(HR`(B) ; C02-H-5260
(ucs-set-char #x7BBF ?$(IM`(B) ; C03-I-4D60
(ucs-set-char #x7BC0 ?$(Co=(B) ; KS0-C-6F3D
(ucs-set-char #x7BC0 ?$(Geg(B) ; C01-G-6567
(ucs-set-char #x7BC0 ?$@@a(B) ; J78-@-4061
(ucs-set-char #x7BC0 ?$B@a(B) ; J83-B-4061
(ucs-set-char #x7BC1 ?$(C|V(B) ; KS0-C-7C56
(ucs-set-char #x7BC1 ?$(Gn3(B) ; C01-G-6E33
(ucs-set-char #x7BC1 ?$@d;(B) ; J78-@-643B
(ucs-set-char #x7BC1 ?$Asr(B) ; GB0-A-7372
(ucs-set-char #x7BC1 ?$Bd;(B) ; J83-B-643B
(ucs-set-char #x7BC2 ?$(DRH(B) ; J90-D-5248
(ucs-set-char #x7BC2 ?$(JL!(B) ; C04-J-4C21
(ucs-set-char #x7BC3 ?$(JKx(B) ; C04-J-4B78
(ucs-set-char #x7BC4 ?$(C[t(B) ; KS0-C-5B74
(ucs-set-char #x7BC4 ?$(Gn/(B) ; C01-G-6E2F
(ucs-set-char #x7BC4 ?$@HO(B) ; J78-@-484F
(ucs-set-char #x7BC4 ?$BHO(B) ; J83-B-484F
(ucs-set-char #x7BC5 ?$(DRI(B) ; J90-D-5249
(ucs-set-char #x7BC5 ?$(JL&(B) ; C04-J-4C26
(ucs-set-char #x7BC6 ?$(Co*(B) ; KS0-C-6F2A
(ucs-set-char #x7BC6 ?$(Gn1(B) ; C01-G-6E31
(ucs-set-char #x7BC6 ?$@d?(B) ; J78-@-643F
(ucs-set-char #x7BC6 ?$AW-(B) ; GB0-A-572D
(ucs-set-char #x7BC6 ?$Bd?(B) ; J83-B-643F
(ucs-set-char #x7BC7 ?$(Cx9(B) ; KS0-C-7839
(ucs-set-char #x7BC7 ?$(Gn2(B) ; C01-G-6E32
(ucs-set-char #x7BC7 ?$@JS(B) ; J78-@-4A53
(ucs-set-char #x7BC7 ?$AF*(B) ; GB0-A-462A
(ucs-set-char #x7BC7 ?$BJS(B) ; J83-B-4A53
(ucs-set-char #x7BC8 ?$(DRJ(B) ; J90-D-524A
(ucs-set-char #x7BC8 ?$(JKv(B) ; C04-J-4B76
(ucs-set-char #x7BC9 ?$(Cui(B) ; KS0-C-7569
(ucs-set-char #x7BC9 ?$(Gq`(B) ; C01-G-7160
(ucs-set-char #x7BC9 ?$@C[(B) ; J78-@-435B
(ucs-set-char #x7BC9 ?$BC[(B) ; J83-B-435B
(ucs-set-char #x7BCA ?$(DRK(B) ; J90-D-524B
(ucs-set-char #x7BCA ?$(HRe(B) ; C02-H-5265
(ucs-set-char #x7BCB ?$(HR_(B) ; C02-H-525F
(ucs-set-char #x7BCB ?$@d:(B) ; J78-@-643A
(ucs-set-char #x7BCB ?$Bd:(B) ; J83-B-643A
(ucs-set-char #x7BCC ?$(Gn5(B) ; C01-G-6E35
(ucs-set-char #x7BCC ?$@d<(B) ; J78-@-643C
(ucs-set-char #x7BCC ?$Ass(B) ; GB0-A-7373
(ucs-set-char #x7BCC ?$Bd<(B) ; J83-B-643C
(ucs-set-char #x7BCD ?$(IMc(B) ; C03-I-4D63
(ucs-set-char #x7BCE ?$(HRb(B) ; C02-H-5262
(ucs-set-char #x7BCF ?$@d=(B) ; J78-@-643D
(ucs-set-char #x7BCF ?$Bd=(B) ; J83-B-643D
(ucs-set-char #x7BD1 ?$Asq(B) ; GB0-A-7371
(ucs-set-char #x7BD2 ?$(CcY(B) ; KS0-C-6359
(ucs-set-char #x7BD3 ?$AB((B) ; GB0-A-4228
(ucs-set-char #x7BD4 ?$(DRL(B) ; J90-D-524C
(ucs-set-char #x7BD4 ?$(HY,(B) ; C02-H-592C
(ucs-set-char #x7BD5 ?$(HY'(B) ; C02-H-5927
(ucs-set-char #x7BD6 ?$(DRM(B) ; J90-D-524D
(ucs-set-char #x7BD6 ?$(JR-(B) ; C04-J-522D
(ucs-set-char #x7BD7 ?$(DRN(B) ; J90-D-524E
(ucs-set-char #x7BD7 ?$(KVi(B) ; C05-K-5669
(ucs-set-char #x7BD8 ?$(HY1(B) ; C02-H-5931
(ucs-set-char #x7BD9 ?$(DRO(B) ; J90-D-524F
(ucs-set-char #x7BD9 ?$(Gq^(B) ; C01-G-715E
(ucs-set-char #x7BD9 ?$A8](B) ; GB0-A-385D
(ucs-set-char #x7BDA ?$(DRP(B) ; J90-D-5250
(ucs-set-char #x7BDA ?$(HY)(B) ; C02-H-5929
(ucs-set-char #x7BDA ?$Asu(B) ; GB0-A-7375
(ucs-set-char #x7BDB ?$(DRQ(B) ; J90-D-5251
(ucs-set-char #x7BDB ?$(Gqb(B) ; C01-G-7162
(ucs-set-char #x7BDC ?$(HY/(B) ; C02-H-592F
(ucs-set-char #x7BDD ?$(HY&(B) ; C02-H-5926
(ucs-set-char #x7BDD ?$@d@(B) ; J78-@-6440
(ucs-set-char #x7BDD ?$Ast(B) ; GB0-A-7374
(ucs-set-char #x7BDD ?$Bd@(B) ; J83-B-6440
(ucs-set-char #x7BDE ?$(HY#(B) ; C02-H-5923
(ucs-set-char #x7BDF ?$(HY2(B) ; C02-H-5932
(ucs-set-char #x7BE0 ?$(CaF(B) ; KS0-C-6146
(ucs-set-char #x7BE0 ?$(Gt[(B) ; C01-G-745B
(ucs-set-char #x7BE0 ?$@<D(B) ; J78-@-3C44
(ucs-set-char #x7BE0 ?$B<D(B) ; J83-B-3C44
(ucs-set-char #x7BE1 ?$(Gqc(B) ; C01-G-7163
(ucs-set-char #x7BE1 ?$A4[(B) ; GB0-A-345B
(ucs-set-char #x7BE2 ?$(HY.(B) ; C02-H-592E
(ucs-set-char #x7BE3 ?$(HY$(B) ; C02-H-5924
(ucs-set-char #x7BE4 ?$(CT?(B) ; KS0-C-543F
(ucs-set-char #x7BE4 ?$(Gqa(B) ; C01-G-7161
(ucs-set-char #x7BE4 ?$@FF(B) ; J78-@-4646
(ucs-set-char #x7BE4 ?$BFF(B) ; J83-B-4646
(ucs-set-char #x7BE5 ?$(HY((B) ; C02-H-5928
(ucs-set-char #x7BE5 ?$@dE(B) ; J78-@-6445
(ucs-set-char #x7BE5 ?$Asv(B) ; GB0-A-7376
(ucs-set-char #x7BE5 ?$BdE(B) ; J83-B-6445
(ucs-set-char #x7BE6 ?$(Gqe(B) ; C01-G-7165
(ucs-set-char #x7BE6 ?$@dD(B) ; J78-@-6444
(ucs-set-char #x7BE6 ?$Asw(B) ; GB0-A-7377
(ucs-set-char #x7BE6 ?$BdD(B) ; J83-B-6444
(ucs-set-char #x7BE7 ?$(HY%(B) ; C02-H-5925
(ucs-set-char #x7BE8 ?$(DRR(B) ; J90-D-5252
(ucs-set-char #x7BE8 ?$(HY*(B) ; C02-H-592A
(ucs-set-char #x7BE9 ?$(C^h(B) ; KS0-C-5E68
(ucs-set-char #x7BE9 ?$(Gqd(B) ; C01-G-7164
(ucs-set-char #x7BE9 ?$@dA(B) ; J78-@-6441
(ucs-set-char #x7BE9 ?$BdA(B) ; J83-B-6441
(ucs-set-char #x7BEA ?$(DRS(B) ; J90-D-5253
(ucs-set-char #x7BEA ?$(HY-(B) ; C02-H-592D
(ucs-set-char #x7BEA ?$Asx(B) ; GB0-A-7378
(ucs-set-char #x7BEB ?$(HY0(B) ; C02-H-5930
(ucs-set-char #x7BEC ?$(IR3(B) ; C03-I-5233
(ucs-set-char #x7BED ?$(IR4(B) ; C03-I-5234
(ucs-set-char #x7BED ?$@dF(B) ; J78-@-6446
(ucs-set-char #x7BED ?$BO6(B) ; J83-B-4F36
(ucs-set-char #x7BEE ?$A@:(B) ; GB0-A-403A
(ucs-set-char #x7BF0 ?$(H^8(B) ; C02-H-5E38
(ucs-set-char #x7BF1 ?$(H^9(B) ; C02-H-5E39
(ucs-set-char #x7BF1 ?$A@i(B) ; GB0-A-4069
(ucs-set-char #x7BF2 ?$(DRT(B) ; J90-D-5254
(ucs-set-char #x7BF2 ?$(H^)(B) ; C02-H-5E29
(ucs-set-char #x7BF3 ?$(H^0(B) ; C02-H-5E30
(ucs-set-char #x7BF3 ?$@dJ(B) ; J78-@-644A
(ucs-set-char #x7BF3 ?$BdJ(B) ; J83-B-644A
(ucs-set-char #x7BF4 ?$(DRU(B) ; J90-D-5255
(ucs-set-char #x7BF4 ?$(H^.(B) ; C02-H-5E2E
(ucs-set-char #x7BF5 ?$(DRV(B) ; J90-D-5256
(ucs-set-char #x7BF5 ?$(JW_(B) ; C04-J-575F
(ucs-set-char #x7BF6 ?$(IUm(B) ; C03-I-556D
(ucs-set-char #x7BF6 ?$@dN(B) ; J78-@-644E
(ucs-set-char #x7BF6 ?$BdN(B) ; J83-B-644E
(ucs-set-char #x7BF7 ?$(GtY(B) ; C01-G-7459
(ucs-set-char #x7BF7 ?$@dK(B) ; J78-@-644B
(ucs-set-char #x7BF7 ?$AEq(B) ; GB0-A-4571
(ucs-set-char #x7BF7 ?$BdK(B) ; J83-B-644B
(ucs-set-char #x7BF8 ?$(DRW(B) ; J90-D-5257
(ucs-set-char #x7BF8 ?$(H^5(B) ; C02-H-5E35
(ucs-set-char #x7BF9 ?$(DRX(B) ; J90-D-5258
(ucs-set-char #x7BF9 ?$(HY+(B) ; C02-H-592B
(ucs-set-char #x7BFA ?$(DRY(B) ; J90-D-5259
(ucs-set-char #x7BFA ?$(IUk(B) ; C03-I-556B
(ucs-set-char #x7BFB ?$(H^,(B) ; C02-H-5E2C
(ucs-set-char #x7BFC ?$(DRZ(B) ; J90-D-525A
(ucs-set-char #x7BFC ?$(IUn(B) ; C03-I-556E
(ucs-set-char #x7BFC ?$As{(B) ; GB0-A-737B
(ucs-set-char #x7BFD ?$(H^6(B) ; C02-H-5E36
(ucs-set-char #x7BFE ?$(DR[(B) ; J90-D-525B
(ucs-set-char #x7BFE ?$(GtX(B) ; C01-G-7458
(ucs-set-char #x7BFE ?$Asz(B) ; GB0-A-737A
(ucs-set-char #x7BFF ?$(H^+(B) ; C02-H-5E2B
(ucs-set-char #x7C00 ?$(H^*(B) ; C02-H-5E2A
(ucs-set-char #x7C00 ?$@dG(B) ; J78-@-6447
(ucs-set-char #x7C00 ?$BdG(B) ; J83-B-6447
(ucs-set-char #x7C01 ?$(DR\(B) ; J90-D-525C
(ucs-set-char #x7C01 ?$(H^4(B) ; C02-H-5E34
(ucs-set-char #x7C02 ?$(DR](B) ; J90-D-525D
(ucs-set-char #x7C02 ?$(H^1(B) ; C02-H-5E31
(ucs-set-char #x7C03 ?$(DR^(B) ; J90-D-525E
(ucs-set-char #x7C03 ?$(H^3(B) ; C02-H-5E33
(ucs-set-char #x7C04 ?$(DR_(B) ; J90-D-525F
(ucs-set-char #x7C04 ?$(JWT(B) ; C04-J-5754
(ucs-set-char #x7C05 ?$(H^'(B) ; C02-H-5E27
(ucs-set-char #x7C06 ?$(DR`(B) ; J90-D-5260
(ucs-set-char #x7C06 ?$(H^7(B) ; C02-H-5E37
(ucs-set-char #x7C07 ?$(Cpj(B) ; KS0-C-706A
(ucs-set-char #x7C07 ?$(GtV(B) ; C01-G-7456
(ucs-set-char #x7C07 ?$@dH(B) ; J78-@-6448
(ucs-set-char #x7C07 ?$A4X(B) ; GB0-A-3458
(ucs-set-char #x7C07 ?$BdH(B) ; J83-B-6448
(ucs-set-char #x7C08 ?$(IUp(B) ; C03-I-5570
(ucs-set-char #x7C09 ?$(DRa(B) ; J90-D-5261
(ucs-set-char #x7C09 ?$(H^2(B) ; C02-H-5E32
(ucs-set-char #x7C0A ?$(H^;(B) ; C02-H-5E3B
(ucs-set-char #x7C0B ?$(DRb(B) ; J90-D-5262
(ucs-set-char #x7C0B ?$(H^/(B) ; C02-H-5E2F
(ucs-set-char #x7C0B ?$As~(B) ; GB0-A-737E
(ucs-set-char #x7C0C ?$(DRc(B) ; J90-D-5263
(ucs-set-char #x7C0C ?$(GtZ(B) ; C01-G-745A
(ucs-set-char #x7C0C ?$Asy(B) ; GB0-A-7379
(ucs-set-char #x7C0D ?$(GtW(B) ; C01-G-7457
(ucs-set-char #x7C0D ?$@dM(B) ; J78-@-644D
(ucs-set-char #x7C0D ?$BdM(B) ; J83-B-644D
(ucs-set-char #x7C0E ?$(DRd(B) ; J90-D-5264
(ucs-set-char #x7C0E ?$(H^-(B) ; C02-H-5E2D
(ucs-set-char #x7C0F ?$(DRe(B) ; J90-D-5265
(ucs-set-char #x7C0F ?$(H^((B) ; C02-H-5E28
(ucs-set-char #x7C0F ?$As|(B) ; GB0-A-737C
(ucs-set-char #x7C10 ?$(H^:(B) ; C02-H-5E3A
(ucs-set-char #x7C11 ?$(Gq_(B) ; C01-G-715F
(ucs-set-char #x7C11 ?$@dB(B) ; J78-@-6442
(ucs-set-char #x7C11 ?$BdB(B) ; J83-B-6442
(ucs-set-char #x7C12 ?$(CsB(B) ; KS0-C-7342
(ucs-set-char #x7C12 ?$(IUq(B) ; C03-I-5571
(ucs-set-char #x7C12 ?$@RU(B) ; J78-@-5255
(ucs-set-char #x7C12 ?$BRU(B) ; J83-B-5255
(ucs-set-char #x7C13 ?$@dI(B) ; J78-@-6449
(ucs-set-char #x7C13 ?$BdI(B) ; J83-B-6449
(ucs-set-char #x7C14 ?$@dC(B) ; J78-@-6443
(ucs-set-char #x7C14 ?$BdC(B) ; J83-B-6443
(ucs-set-char #x7C15 ?$(JWW(B) ; C04-J-5757
(ucs-set-char #x7C16 ?$As}(B) ; GB0-A-737D
(ucs-set-char #x7C17 ?$@dL(B) ; J78-@-644C
(ucs-set-char #x7C17 ?$BdL(B) ; J83-B-644C
(ucs-set-char #x7C18 ?$(IUo(B) ; C03-I-556F
(ucs-set-char #x7C19 ?$(DRf(B) ; J90-D-5266
(ucs-set-char #x7C19 ?$(HbO(B) ; C02-H-624F
(ucs-set-char #x7C1A ?$(IXP(B) ; C03-I-5850
(ucs-set-char #x7C1B ?$(DRg(B) ; J90-D-5267
(ucs-set-char #x7C1B ?$(IXN(B) ; C03-I-584E
(ucs-set-char #x7C1C ?$(HbM(B) ; C02-H-624D
(ucs-set-char #x7C1D ?$(HbS(B) ; C02-H-6253
(ucs-set-char #x7C1E ?$(CS/(B) ; KS0-C-532F
(ucs-set-char #x7C1E ?$(Gvz(B) ; C01-G-767A
(ucs-set-char #x7C1E ?$@C=(B) ; J78-@-433D
(ucs-set-char #x7C1F ?$(HbQ(B) ; C02-H-6251
(ucs-set-char #x7C1F ?$@dR(B) ; J78-@-6452
(ucs-set-char #x7C1F ?$At!(B) ; GB0-A-7421
(ucs-set-char #x7C1F ?$BdR(B) ; J83-B-6452
(ucs-set-char #x7C20 ?$(DRh(B) ; J90-D-5268
(ucs-set-char #x7C20 ?$(HbP(B) ; C02-H-6250
(ucs-set-char #x7C21 ?$(CJ[(B) ; KS0-C-4A5B
(ucs-set-char #x7C21 ?$(Gv|(B) ; C01-G-767C
(ucs-set-char #x7C21 ?$@4J(B) ; J78-@-344A
(ucs-set-char #x7C21 ?$B4J(B) ; J83-B-344A
(ucs-set-char #x7C22 ?$(HbV(B) ; C02-H-6256
(ucs-set-char #x7C23 ?$(Gv{(B) ; C01-G-767B
(ucs-set-char #x7C23 ?$@dO(B) ; J78-@-644F
(ucs-set-char #x7C23 ?$BdO(B) ; J83-B-644F
(ucs-set-char #x7C24 ?$(IXQ(B) ; C03-I-5851
(ucs-set-char #x7C25 ?$(DRi(B) ; J90-D-5269
(ucs-set-char #x7C25 ?$(HbW(B) ; C02-H-6257
(ucs-set-char #x7C26 ?$(DRj(B) ; J90-D-526A
(ucs-set-char #x7C26 ?$(HbT(B) ; C02-H-6254
(ucs-set-char #x7C26 ?$At#(B) ; GB0-A-7423
(ucs-set-char #x7C27 ?$(C|W(B) ; KS0-C-7C57
(ucs-set-char #x7C27 ?$(Gvx(B) ; C01-G-7678
(ucs-set-char #x7C27 ?$@dP(B) ; J78-@-6450
(ucs-set-char #x7C27 ?$A;I(B) ; GB0-A-3B49
(ucs-set-char #x7C27 ?$BdP(B) ; J83-B-6450
(ucs-set-char #x7C28 ?$(DRk(B) ; J90-D-526B
(ucs-set-char #x7C28 ?$(HbU(B) ; C02-H-6255
(ucs-set-char #x7C29 ?$(HbN(B) ; C02-H-624E
(ucs-set-char #x7C2A ?$(CmX(B) ; KS0-C-6D58
(ucs-set-char #x7C2A ?$(Gvy(B) ; C01-G-7679
(ucs-set-char #x7C2A ?$@dQ(B) ; J78-@-6451
(ucs-set-char #x7C2A ?$At"(B) ; GB0-A-7422
(ucs-set-char #x7C2A ?$BdQ(B) ; J83-B-6451
(ucs-set-char #x7C2B ?$(CaG(B) ; KS0-C-6147
(ucs-set-char #x7C2B ?$(Gvw(B) ; C01-G-7677
(ucs-set-char #x7C2B ?$@dT(B) ; J78-@-6454
(ucs-set-char #x7C2B ?$BdT(B) ; J83-B-6454
(ucs-set-char #x7C2C ?$(DRl(B) ; J90-D-526C
(ucs-set-char #x7C2C ?$(Hf5(B) ; C02-H-6635
(ucs-set-char #x7C2D ?$(HbR(B) ; C02-H-6252
(ucs-set-char #x7C2E ?$(IXL(B) ; C03-I-584C
(ucs-set-char #x7C30 ?$(HbX(B) ; C02-H-6258
(ucs-set-char #x7C31 ?$(DRm(B) ; J90-D-526D
(ucs-set-char #x7C33 ?$(DRn(B) ; J90-D-526E
(ucs-set-char #x7C33 ?$(Hf2(B) ; C02-H-6632
(ucs-set-char #x7C34 ?$(DRo(B) ; J90-D-526F
(ucs-set-char #x7C34 ?$(IZo(B) ; C03-I-5A6F
(ucs-set-char #x7C35 ?$(IZn(B) ; C03-I-5A6E
(ucs-set-char #x7C36 ?$(DRp(B) ; J90-D-5270
(ucs-set-char #x7C36 ?$(J`N(B) ; C04-J-604E
(ucs-set-char #x7C37 ?$(Gx](B) ; C01-G-785D
(ucs-set-char #x7C37 ?$@dS(B) ; J78-@-6453
(ucs-set-char #x7C37 ?$BdS(B) ; J83-B-6453
(ucs-set-char #x7C38 ?$(Gx[(B) ; C01-G-785B
(ucs-set-char #x7C38 ?$@Hv(B) ; J78-@-4876
(ucs-set-char #x7C38 ?$At$(B) ; GB0-A-7424
(ucs-set-char #x7C38 ?$BHv(B) ; J83-B-4876
(ucs-set-char #x7C39 ?$(DRq(B) ; J90-D-5271
(ucs-set-char #x7C39 ?$(Hf4(B) ; C02-H-6634
(ucs-set-char #x7C3A ?$(DRr(B) ; J90-D-5272
(ucs-set-char #x7C3A ?$(J`L(B) ; C04-J-604C
(ucs-set-char #x7C3B ?$(Hf6(B) ; C02-H-6636
(ucs-set-char #x7C3C ?$(Hf3(B) ; C02-H-6633
(ucs-set-char #x7C3D ?$(CtX(B) ; KS0-C-7458
(ucs-set-char #x7C3D ?$(Gx\(B) ; C01-G-785C
(ucs-set-char #x7C3D ?$@dU(B) ; J78-@-6455
(ucs-set-char #x7C3D ?$BdU(B) ; J83-B-6455
(ucs-set-char #x7C3E ?$(CV3(B) ; KS0-C-5633
(ucs-set-char #x7C3E ?$(GxY(B) ; C01-G-7859
(ucs-set-char #x7C3E ?$@N|(B) ; J78-@-4E7C
(ucs-set-char #x7C3E ?$BN|(B) ; J83-B-4E7C
(ucs-set-char #x7C3F ?$(C]-(B) ; KS0-C-5D2D
(ucs-set-char #x7C3F ?$(GxZ(B) ; C01-G-785A
(ucs-set-char #x7C3F ?$@Jm(B) ; J78-@-4A6D
(ucs-set-char #x7C3F ?$A2>(B) ; GB0-A-323E
(ucs-set-char #x7C3F ?$BJm(B) ; J83-B-4A6D
(ucs-set-char #x7C40 ?$(Gx^(B) ; C01-G-785E
(ucs-set-char #x7C40 ?$@dZ(B) ; J78-@-645A
(ucs-set-char #x7C40 ?$At&(B) ; GB0-A-7426
(ucs-set-char #x7C40 ?$BdZ(B) ; J83-B-645A
(ucs-set-char #x7C41 ?$At%(B) ; GB0-A-7425
(ucs-set-char #x7C43 ?$(CU>(B) ; KS0-C-553E
(ucs-set-char #x7C43 ?$(Gz%(B) ; C01-G-7A25
(ucs-set-char #x7C43 ?$@dW(B) ; J78-@-6457
(ucs-set-char #x7C43 ?$BdW(B) ; J83-B-6457
(ucs-set-char #x7C44 ?$(I\f(B) ; C03-I-5C66
(ucs-set-char #x7C45 ?$(HiW(B) ; C02-H-6957
(ucs-set-char #x7C46 ?$(DRs(B) ; J90-D-5273
(ucs-set-char #x7C46 ?$(Kly(B) ; C05-K-6C79
(ucs-set-char #x7C47 ?$(HiV(B) ; C02-H-6956
(ucs-set-char #x7C48 ?$(HiT(B) ; C02-H-6954
(ucs-set-char #x7C49 ?$(HiS(B) ; C02-H-6953
(ucs-set-char #x7C4A ?$(DRt(B) ; J90-D-5274
(ucs-set-char #x7C4A ?$(HiU(B) ; C02-H-6955
(ucs-set-char #x7C4B ?$(I\e(B) ; C03-I-5C65
(ucs-set-char #x7C4C ?$(CqC(B) ; KS0-C-7143
(ucs-set-char #x7C4C ?$(Gz$(B) ; C01-G-7A24
(ucs-set-char #x7C4C ?$@dV(B) ; J78-@-6456
(ucs-set-char #x7C4C ?$BdV(B) ; J83-B-6456
(ucs-set-char #x7C4D ?$(Cn_(B) ; KS0-C-6E5F
(ucs-set-char #x7C4D ?$(Gz&(B) ; C01-G-7A26
(ucs-set-char #x7C4D ?$@@R(B) ; J78-@-4052
(ucs-set-char #x7C4D ?$A<.(B) ; GB0-A-3C2E
(ucs-set-char #x7C4D ?$B@R(B) ; J83-B-4052
(ucs-set-char #x7C4F ?$@dY(B) ; J78-@-6459
(ucs-set-char #x7C4F ?$BdY(B) ; J83-B-6459
(ucs-set-char #x7C50 ?$(Gz{(B) ; C01-G-7A7B
(ucs-set-char #x7C50 ?$@d[(B) ; J78-@-645B
(ucs-set-char #x7C50 ?$Bd[(B) ; J83-B-645B
(ucs-set-char #x7C51 ?$(DRv(B) ; J90-D-5276
(ucs-set-char #x7C51 ?$(I^L(B) ; C03-I-5E4C
(ucs-set-char #x7C52 ?$(DRw(B) ; J90-D-5277
(ucs-set-char #x7C52 ?$(Jfo(B) ; C04-J-666F
(ucs-set-char #x7C53 ?$(DRx(B) ; J90-D-5278
(ucs-set-char #x7C53 ?$(Hks(B) ; C02-H-6B73
(ucs-set-char #x7C54 ?$(Hkr(B) ; C02-H-6B72
(ucs-set-char #x7C54 ?$@dX(B) ; J78-@-6458
(ucs-set-char #x7C54 ?$BdX(B) ; J83-B-6458
(ucs-set-char #x7C55 ?$(DRu(B) ; J90-D-5275
(ucs-set-char #x7C55 ?$(I\g(B) ; C03-I-5C67
(ucs-set-char #x7C56 ?$(I^K(B) ; C03-I-5E4B
(ucs-set-char #x7C56 ?$@d_(B) ; J78-@-645F
(ucs-set-char #x7C56 ?$Bd_(B) ; J83-B-645F
(ucs-set-char #x7C57 ?$(Hmh(B) ; C02-H-6D68
(ucs-set-char #x7C58 ?$(I_X(B) ; C03-I-5F58
(ucs-set-char #x7C58 ?$@d\(B) ; J78-@-645C
(ucs-set-char #x7C58 ?$Bd\(B) ; J83-B-645C
(ucs-set-char #x7C59 ?$(DRy(B) ; J90-D-5279
(ucs-set-char #x7C59 ?$(Hmj(B) ; C02-H-6D6A
(ucs-set-char #x7C5A ?$(DRz(B) ; J90-D-527A
(ucs-set-char #x7C5A ?$(Hml(B) ; C02-H-6D6C
(ucs-set-char #x7C5B ?$(DR{(B) ; J90-D-527B
(ucs-set-char #x7C5B ?$(Hmk(B) ; C02-H-6D6B
(ucs-set-char #x7C5C ?$(DR|(B) ; J90-D-527C
(ucs-set-char #x7C5C ?$(Hmi(B) ; C02-H-6D69
(ucs-set-char #x7C5D ?$(DR}(B) ; J90-D-527D
(ucs-set-char #x7C5D ?$(I_W(B) ; C03-I-5F57
(ucs-set-char #x7C5E ?$(DR~(B) ; J90-D-527E
(ucs-set-char #x7C5E ?$(I`?(B) ; C03-I-603F
(ucs-set-char #x7C5F ?$(G{m(B) ; C01-G-7B6D
(ucs-set-char #x7C5F ?$@d](B) ; J78-@-645D
(ucs-set-char #x7C5F ?$Bd](B) ; J83-B-645D
(ucs-set-char #x7C60 ?$(CVk(B) ; KS0-C-566B
(ucs-set-char #x7C60 ?$(G{l(B) ; C01-G-7B6C
(ucs-set-char #x7C60 ?$@O6(B) ; J78-@-4F36
(ucs-set-char #x7C60 ?$BdF(B) ; J83-B-6446
(ucs-set-char #x7C61 ?$(DS!(B) ; J90-D-5321
(ucs-set-char #x7C61 ?$(KsG(B) ; C05-K-7347
(ucs-set-char #x7C62 ?$(I`>(B) ; C03-I-603E
(ucs-set-char #x7C63 ?$(DS"(B) ; J90-D-5322
(ucs-set-char #x7C63 ?$(G|?(B) ; C01-G-7C3F
(ucs-set-char #x7C64 ?$(CtY(B) ; KS0-C-7459
(ucs-set-char #x7C64 ?$(G|>(B) ; C01-G-7C3E
(ucs-set-char #x7C64 ?$@d^(B) ; J78-@-645E
(ucs-set-char #x7C64 ?$Bd^(B) ; J83-B-645E
(ucs-set-char #x7C65 ?$(G|@(B) ; C01-G-7C40
(ucs-set-char #x7C65 ?$@d`(B) ; J78-@-6460
(ucs-set-char #x7C65 ?$Bd`(B) ; J83-B-6460
(ucs-set-char #x7C66 ?$(Ho<(B) ; C02-H-6F3C
(ucs-set-char #x7C67 ?$(DS#(B) ; J90-D-5323
(ucs-set-char #x7C67 ?$(Ho;(B) ; C02-H-6F3B
(ucs-set-char #x7C69 ?$(DS$(B) ; J90-D-5324
(ucs-set-char #x7C69 ?$(Hq+(B) ; C02-H-712B
(ucs-set-char #x7C6A ?$(HpF(B) ; C02-H-7046
(ucs-set-char #x7C6B ?$(Hq,(B) ; C02-H-712C
(ucs-set-char #x7C6C ?$(CWf(B) ; KS0-C-5766
(ucs-set-char #x7C6C ?$(G}%(B) ; C01-G-7D25
(ucs-set-char #x7C6C ?$@da(B) ; J78-@-6461
(ucs-set-char #x7C6C ?$Bda(B) ; J83-B-6461
(ucs-set-char #x7C6D ?$(DS%(B) ; J90-D-5325
(ucs-set-char #x7C6D ?$(IaD(B) ; C03-I-6144
(ucs-set-char #x7C6E ?$(DS&(B) ; J90-D-5326
(ucs-set-char #x7C6E ?$(G}&(B) ; C01-G-7D26
(ucs-set-char #x7C6F ?$(Hq\(B) ; C02-H-715C
(ucs-set-char #x7C70 ?$(DS'(B) ; J90-D-5327
(ucs-set-char #x7C70 ?$(Jm[(B) ; C04-J-6D5B
(ucs-set-char #x7C71 ?$(Ib:(B) ; C03-I-623A
(ucs-set-char #x7C72 ?$(DS((B) ; J90-D-5328
(ucs-set-char #x7C72 ?$(G}K(B) ; C01-G-7D4B
(ucs-set-char #x7C73 ?$(CZ7(B) ; KS0-C-5A37
(ucs-set-char #x7C73 ?$(GHM(B) ; C01-G-484D
(ucs-set-char #x7C73 ?$@JF(B) ; J78-@-4A46
(ucs-set-char #x7C73 ?$ACW(B) ; GB0-A-4357
(ucs-set-char #x7C73 ?$BJF(B) ; J83-B-4A46
(ucs-set-char #x7C74 ?$(I*I(B) ; C03-I-2A49
(ucs-set-char #x7C74 ?$AYa(B) ; GB0-A-5961
(ucs-set-char #x7C75 ?$(H(H(B) ; C02-H-2848
(ucs-set-char #x7C75 ?$@db(B) ; J78-@-6462
(ucs-set-char #x7C75 ?$Bdb(B) ; J83-B-6462
(ucs-set-char #x7C76 ?$(I*H(B) ; C03-I-2A48
(ucs-set-char #x7C77 ?$(I.R(B) ; C03-I-2E52
(ucs-set-char #x7C78 ?$(H,f(B) ; C02-H-2C66
(ucs-set-char #x7C79 ?$(DS)(B) ; J90-D-5329
(ucs-set-char #x7C79 ?$(H,g(B) ; C02-H-2C67
(ucs-set-char #x7C7A ?$(H,e(B) ; C02-H-2C65
(ucs-set-char #x7C7B ?$(I.T(B) ; C03-I-2E54
(ucs-set-char #x7C7B ?$A@`(B) ; GB0-A-4060
(ucs-set-char #x7C7C ?$(DS*(B) ; J90-D-532A
(ucs-set-char #x7C7C ?$(I.S(B) ; C03-I-2E53
(ucs-set-char #x7C7C ?$AtL(B) ; GB0-A-744C
(ucs-set-char #x7C7D ?$(DS+(B) ; J90-D-532B
(ucs-set-char #x7C7D ?$(GRv(B) ; C01-G-5276
(ucs-set-char #x7C7D ?$AWQ(B) ; GB0-A-5751
(ucs-set-char #x7C7E ?$@Lb(B) ; J78-@-4C62
(ucs-set-char #x7C7E ?$BLb(B) ; J83-B-4C62
(ucs-set-char #x7C7F ?$(H,h(B) ; C02-H-2C68
(ucs-set-char #x7C80 ?$(H,i(B) ; C02-H-2C69
(ucs-set-char #x7C81 ?$(H,j(B) ; C02-H-2C6A
(ucs-set-char #x7C81 ?$@6N(B) ; J78-@-364E
(ucs-set-char #x7C81 ?$B6N(B) ; J83-B-364E
(ucs-set-char #x7C82 ?$@7)(B) ; J78-@-3729
(ucs-set-char #x7C82 ?$B7)(B) ; J83-B-3729
(ucs-set-char #x7C83 ?$(C]{(B) ; KS0-C-5D7B
(ucs-set-char #x7C83 ?$(I31(B) ; C03-I-3331
(ucs-set-char #x7C83 ?$@dc(B) ; J78-@-6463
(ucs-set-char #x7C83 ?$Bdc(B) ; J83-B-6463
(ucs-set-char #x7C84 ?$(H1k(B) ; C02-H-316B
(ucs-set-char #x7C85 ?$(H1q(B) ; C02-H-3171
(ucs-set-char #x7C86 ?$(DS,(B) ; J90-D-532C
(ucs-set-char #x7C86 ?$(I3.(B) ; C03-I-332E
(ucs-set-char #x7C87 ?$(DS-(B) ; J90-D-532D
(ucs-set-char #x7C87 ?$(I30(B) ; C03-I-3330
(ucs-set-char #x7C88 ?$(H1o(B) ; C02-H-316F
(ucs-set-char #x7C89 ?$(C]O(B) ; KS0-C-5D4F
(ucs-set-char #x7C89 ?$(GW>(B) ; C01-G-573E
(ucs-set-char #x7C89 ?$@J4(B) ; J78-@-4A34
(ucs-set-char #x7C89 ?$A7[(B) ; GB0-A-375B
(ucs-set-char #x7C89 ?$BJ4(B) ; J83-B-4A34
(ucs-set-char #x7C8A ?$(H1m(B) ; C02-H-316D
(ucs-set-char #x7C8B ?$(I32(B) ; C03-I-3332
(ucs-set-char #x7C8B ?$@?h(B) ; J78-@-3F68
(ucs-set-char #x7C8B ?$B?h(B) ; J83-B-3F68
(ucs-set-char #x7C8C ?$(H1n(B) ; C02-H-316E
(ucs-set-char #x7C8D ?$(H1p(B) ; C02-H-3170
(ucs-set-char #x7C8D ?$@L0(B) ; J78-@-4C30
(ucs-set-char #x7C8D ?$BL0(B) ; J83-B-4C30
(ucs-set-char #x7C8E ?$(I3-(B) ; C03-I-332D
(ucs-set-char #x7C8F ?$(DS.(B) ; J90-D-532E
(ucs-set-char #x7C90 ?$@dd(B) ; J78-@-6464
(ucs-set-char #x7C90 ?$Bdd(B) ; J83-B-6464
(ucs-set-char #x7C91 ?$(H1l(B) ; C02-H-316C
(ucs-set-char #x7C91 ?$AtN(B) ; GB0-A-744E
(ucs-set-char #x7C92 ?$(CX#(B) ; KS0-C-5823
(ucs-set-char #x7C92 ?$(G\N(B) ; C01-G-5C4E
(ucs-set-char #x7C92 ?$@N3(B) ; J78-@-4E33
(ucs-set-char #x7C92 ?$AA#(B) ; GB0-A-4123
(ucs-set-char #x7C92 ?$BN3(B) ; J83-B-4E33
(ucs-set-char #x7C93 ?$(I7}(B) ; C03-I-377D
(ucs-set-char #x7C94 ?$(DS/(B) ; J90-D-532F
(ucs-set-char #x7C94 ?$(H8#(B) ; C02-H-3823
(ucs-set-char #x7C95 ?$(CZY(B) ; KS0-C-5A59
(ucs-set-char #x7C95 ?$(G\P(B) ; C01-G-5C50
(ucs-set-char #x7C95 ?$@Gt(B) ; J78-@-4774
(ucs-set-char #x7C95 ?$AFI(B) ; GB0-A-4649
(ucs-set-char #x7C95 ?$BGt(B) ; J83-B-4774
(ucs-set-char #x7C96 ?$(H8%(B) ; C02-H-3825
(ucs-set-char #x7C97 ?$(CpX(B) ; KS0-C-7058
(ucs-set-char #x7C97 ?$(G\O(B) ; C01-G-5C4F
(ucs-set-char #x7C97 ?$@AF(B) ; J78-@-4146
(ucs-set-char #x7C97 ?$A4V(B) ; GB0-A-3456
(ucs-set-char #x7C97 ?$BAF(B) ; J83-B-4146
(ucs-set-char #x7C98 ?$(CoD(B) ; KS0-C-6F44
(ucs-set-char #x7C98 ?$(H8$(B) ; C02-H-3824
(ucs-set-char #x7C98 ?$@G4(B) ; J78-@-4734
(ucs-set-char #x7C98 ?$AU3(B) ; GB0-A-5533
(ucs-set-char #x7C98 ?$BG4(B) ; J83-B-4734
(ucs-set-char #x7C99 ?$(I7~(B) ; C03-I-377E
(ucs-set-char #x7C9A ?$(I8!(B) ; C03-I-3821
(ucs-set-char #x7C9B ?$(I8>(B) ; C03-I-383E
(ucs-set-char #x7C9B ?$@=M(B) ; J78-@-3D4D
(ucs-set-char #x7C9B ?$B=M(B) ; J83-B-3D4D
(ucs-set-char #x7C9C ?$(I8"(B) ; C03-I-3822
(ucs-set-char #x7C9C ?$AtP(B) ; GB0-A-7450
(ucs-set-char #x7C9D ?$(J4"(B) ; C04-J-3422
(ucs-set-char #x7C9D ?$AtO(B) ; GB0-A-744F
(ucs-set-char #x7C9E ?$(DS0(B) ; J90-D-5330
(ucs-set-char #x7C9E ?$(H>l(B) ; C02-H-3E6C
(ucs-set-char #x7C9E ?$AtQ(B) ; GB0-A-7451
(ucs-set-char #x7C9F ?$(CaX(B) ; KS0-C-6158
(ucs-set-char #x7C9F ?$(Ga5(B) ; C01-G-6135
(ucs-set-char #x7C9F ?$@0@(B) ; J78-@-3040
(ucs-set-char #x7C9F ?$AKZ(B) ; GB0-A-4B5A
(ucs-set-char #x7C9F ?$B0@(B) ; J83-B-3040
(ucs-set-char #x7CA0 ?$(DS1(B) ; J90-D-5331
(ucs-set-char #x7CA0 ?$(I>!(B) ; C03-I-3E21
(ucs-set-char #x7CA1 ?$(H>n(B) ; C02-H-3E6E
(ucs-set-char #x7CA1 ?$@di(B) ; J78-@-6469
(ucs-set-char #x7CA1 ?$Bdi(B) ; J83-B-6469
(ucs-set-char #x7CA2 ?$(H>k(B) ; C02-H-3E6B
(ucs-set-char #x7CA2 ?$@dg(B) ; J78-@-6467
(ucs-set-char #x7CA2 ?$AtR(B) ; GB0-A-7452
(ucs-set-char #x7CA2 ?$Bdg(B) ; J83-B-6467
(ucs-set-char #x7CA3 ?$(H8&(B) ; C02-H-3826
(ucs-set-char #x7CA4 ?$(I>#(B) ; C03-I-3E23
(ucs-set-char #x7CA4 ?$@de(B) ; J78-@-6465
(ucs-set-char #x7CA4 ?$ATA(B) ; GB0-A-5441
(ucs-set-char #x7CA4 ?$Bde(B) ; J83-B-6465
(ucs-set-char #x7CA5 ?$(CqT(B) ; KS0-C-7154
(ucs-set-char #x7CA5 ?$(Ga6(B) ; C01-G-6136
(ucs-set-char #x7CA5 ?$@4!(B) ; J78-@-3421
(ucs-set-char #x7CA5 ?$AV`(B) ; GB0-A-5660
(ucs-set-char #x7CA5 ?$B4!(B) ; J83-B-3421
(ucs-set-char #x7CA6 ?$(DS2(B) ; J90-D-5332
(ucs-set-char #x7CA6 ?$(I>"(B) ; C03-I-3E22
(ucs-set-char #x7CA7 ?$(Cmr(B) ; KS0-C-6D72
(ucs-set-char #x7CA7 ?$(I=~(B) ; C03-I-3D7E
(ucs-set-char #x7CA7 ?$@>Q(B) ; J78-@-3E51
(ucs-set-char #x7CA7 ?$B>Q(B) ; J83-B-3E51
(ucs-set-char #x7CA8 ?$(H>m(B) ; C02-H-3E6D
(ucs-set-char #x7CA8 ?$@dj(B) ; J78-@-646A
(ucs-set-char #x7CA8 ?$Bdj(B) ; J83-B-646A
(ucs-set-char #x7CAA ?$A7`(B) ; GB0-A-3760
(ucs-set-char #x7CAB ?$@dh(B) ; J78-@-6468
(ucs-set-char #x7CAB ?$Bdh(B) ; J83-B-6468
(ucs-set-char #x7CAD ?$@df(B) ; J78-@-6466
(ucs-set-char #x7CAD ?$Bdf(B) ; J83-B-6466
(ucs-set-char #x7CAE ?$(CU[(B) ; KS0-C-555B
(ucs-set-char #x7CAE ?$(ICX(B) ; C03-I-4358
(ucs-set-char #x7CAE ?$@dn(B) ; J78-@-646E
(ucs-set-char #x7CAE ?$AA8(B) ; GB0-A-4138
(ucs-set-char #x7CAE ?$Bdn(B) ; J83-B-646E
(ucs-set-char #x7CAF ?$(HE{(B) ; C02-H-457B
(ucs-set-char #x7CB0 ?$(DS3(B) ; J90-D-5333
(ucs-set-char #x7CB0 ?$(IC\(B) ; C03-I-435C
(ucs-set-char #x7CB1 ?$(CU\(B) ; KS0-C-555C
(ucs-set-char #x7CB1 ?$(Gek(B) ; C01-G-656B
(ucs-set-char #x7CB1 ?$@dm(B) ; J78-@-646D
(ucs-set-char #x7CB1 ?$AA;(B) ; GB0-A-413B
(ucs-set-char #x7CB1 ?$Bdm(B) ; J83-B-646D
(ucs-set-char #x7CB2 ?$(CsD(B) ; KS0-C-7344
(ucs-set-char #x7CB2 ?$(HEy(B) ; C02-H-4579
(ucs-set-char #x7CB2 ?$@dl(B) ; J78-@-646C
(ucs-set-char #x7CB2 ?$AtS(B) ; GB0-A-7453
(ucs-set-char #x7CB2 ?$Bdl(B) ; J83-B-646C
(ucs-set-char #x7CB3 ?$(CKW(B) ; KS0-C-4B57
(ucs-set-char #x7CB3 ?$(Gel(B) ; C01-G-656C
(ucs-set-char #x7CB3 ?$@dk(B) ; J78-@-646B
(ucs-set-char #x7CB3 ?$A>,(B) ; GB0-A-3E2C
(ucs-set-char #x7CB3 ?$Bdk(B) ; J83-B-646B
(ucs-set-char #x7CB4 ?$(HEz(B) ; C02-H-457A
(ucs-set-char #x7CB5 ?$(Gem(B) ; C01-G-656D
(ucs-set-char #x7CB6 ?$(DS4(B) ; J90-D-5334
(ucs-set-char #x7CB6 ?$(JEt(B) ; C04-J-4574
(ucs-set-char #x7CB7 ?$(DS5(B) ; J90-D-5335
(ucs-set-char #x7CB7 ?$(IHb(B) ; C03-I-4862
(ucs-set-char #x7CB8 ?$(IHa(B) ; C03-I-4861
(ucs-set-char #x7CB9 ?$(Cb6(B) ; KS0-C-6236
(ucs-set-char #x7CB9 ?$(Gj2(B) ; C01-G-6A32
(ucs-set-char #x7CB9 ?$@do(B) ; J78-@-646F
(ucs-set-char #x7CB9 ?$A4b(B) ; GB0-A-3462
(ucs-set-char #x7CB9 ?$Bdo(B) ; J83-B-646F
(ucs-set-char #x7CBA ?$(DS6(B) ; J90-D-5336
(ucs-set-char #x7CBA ?$(HLh(B) ; C02-H-4C68
(ucs-set-char #x7CBB ?$(DS7(B) ; J90-D-5337
(ucs-set-char #x7CBB ?$(HLe(B) ; C02-H-4C65
(ucs-set-char #x7CBC ?$(DS8(B) ; J90-D-5338
(ucs-set-char #x7CBC ?$(HLg(B) ; C02-H-4C67
(ucs-set-char #x7CBC ?$AtT(B) ; GB0-A-7454
(ucs-set-char #x7CBD ?$(Gj3(B) ; C01-G-6A33
(ucs-set-char #x7CBD ?$@dp(B) ; J78-@-6470
(ucs-set-char #x7CBD ?$AtU(B) ; GB0-A-7455
(ucs-set-char #x7CBD ?$Bdp(B) ; J83-B-6470
(ucs-set-char #x7CBE ?$(Coq(B) ; KS0-C-6F71
(ucs-set-char #x7CBE ?$(Gj4(B) ; C01-G-6A34
(ucs-set-char #x7CBE ?$@@:(B) ; J78-@-403A
(ucs-set-char #x7CBE ?$A>+(B) ; GB0-A-3E2B
(ucs-set-char #x7CBE ?$B@:(B) ; J83-B-403A
(ucs-set-char #x7CBF ?$(DS9(B) ; J90-D-5339
(ucs-set-char #x7CBF ?$(HLf(B) ; C02-H-4C66
(ucs-set-char #x7CC0 ?$@dq(B) ; J78-@-6471
(ucs-set-char #x7CC0 ?$Bdq(B) ; J83-B-6471
(ucs-set-char #x7CC1 ?$AtV(B) ; GB0-A-7456
(ucs-set-char #x7CC2 ?$(IMo(B) ; C03-I-4D6F
(ucs-set-char #x7CC2 ?$@ds(B) ; J78-@-6473
(ucs-set-char #x7CC2 ?$Bds(B) ; J83-B-6473
(ucs-set-char #x7CC3 ?$(IMq(B) ; C03-I-4D71
(ucs-set-char #x7CC4 ?$(DS:(B) ; J90-D-533A
(ucs-set-char #x7CC4 ?$(IMm(B) ; C03-I-4D6D
(ucs-set-char #x7CC5 ?$(HRg(B) ; C02-H-5267
(ucs-set-char #x7CC5 ?$@dr(B) ; J78-@-6472
(ucs-set-char #x7CC5 ?$At[(B) ; GB0-A-745B
(ucs-set-char #x7CC5 ?$Bdr(B) ; J83-B-6472
(ucs-set-char #x7CC6 ?$(IMp(B) ; C03-I-4D70
(ucs-set-char #x7CC7 ?$(DS;(B) ; J90-D-533B
(ucs-set-char #x7CC7 ?$(IMs(B) ; C03-I-4D73
(ucs-set-char #x7CC7 ?$AtW(B) ; GB0-A-7457
(ucs-set-char #x7CC8 ?$(DS<(B) ; J90-D-533C
(ucs-set-char #x7CC8 ?$(HRh(B) ; C02-H-5268
(ucs-set-char #x7CC8 ?$AtZ(B) ; GB0-A-745A
(ucs-set-char #x7CC9 ?$(DS=(B) ; J90-D-533D
(ucs-set-char #x7CC9 ?$(IMr(B) ; C03-I-4D72
(ucs-set-char #x7CCA ?$(C{U(B) ; KS0-C-7B55
(ucs-set-char #x7CCA ?$(Gn6(B) ; C01-G-6E36
(ucs-set-char #x7CCA ?$@8R(B) ; J78-@-3852
(ucs-set-char #x7CCA ?$A:}(B) ; GB0-A-3A7D
(ucs-set-char #x7CCA ?$B8R(B) ; J83-B-3852
(ucs-set-char #x7CCB ?$(HRj(B) ; C02-H-526A
(ucs-set-char #x7CCC ?$(HRi(B) ; C02-H-5269
(ucs-set-char #x7CCC ?$AtX(B) ; GB0-A-7458
(ucs-set-char #x7CCD ?$(DS>(B) ; J90-D-533E
(ucs-set-char #x7CCD ?$(IMn(B) ; C03-I-4D6E
(ucs-set-char #x7CCD ?$AtY(B) ; GB0-A-7459
(ucs-set-char #x7CCE ?$(G##(B) ; C01-G-2323
(ucs-set-char #x7CCE ?$@A8(B) ; J78-@-4138
(ucs-set-char #x7CCE ?$BA8(B) ; J83-B-4138
(ucs-set-char #x7CCF ?$(DS?(B) ; J90-D-533F
(ucs-set-char #x7CCF ?$(JRD(B) ; C04-J-5244
(ucs-set-char #x7CD0 ?$(HY6(B) ; C02-H-5936
(ucs-set-char #x7CD1 ?$(HY7(B) ; C02-H-5937
(ucs-set-char #x7CD2 ?$(HY3(B) ; C02-H-5933
(ucs-set-char #x7CD2 ?$(M1-(B) ; C07-M-312D
(ucs-set-char #x7CD2 ?$@du(B) ; J78-@-6475
(ucs-set-char #x7CD2 ?$Bdu(B) ; J83-B-6475
(ucs-set-char #x7CD3 ?$(DS@(B) ; J90-D-5340
(ucs-set-char #x7CD3 ?$(IR7(B) ; C03-I-5237
(ucs-set-char #x7CD4 ?$(DSA(B) ; J90-D-5341
(ucs-set-char #x7CD4 ?$(HY4(B) ; C02-H-5934
(ucs-set-char #x7CD5 ?$(DSB(B) ; J90-D-5342
(ucs-set-char #x7CD5 ?$(Gqf(B) ; C01-G-7166
(ucs-set-char #x7CD5 ?$A8b(B) ; GB0-A-3862
(ucs-set-char #x7CD6 ?$(CSX(B) ; KS0-C-5358
(ucs-set-char #x7CD6 ?$(Gqg(B) ; C01-G-7167
(ucs-set-char #x7CD6 ?$@E|(B) ; J78-@-457C
(ucs-set-char #x7CD6 ?$ALG(B) ; GB0-A-4C47
(ucs-set-char #x7CD6 ?$BE|(B) ; J83-B-457C
(ucs-set-char #x7CD7 ?$(DSC(B) ; J90-D-5343
(ucs-set-char #x7CD7 ?$(HY5(B) ; C02-H-5935
(ucs-set-char #x7CD7 ?$At\(B) ; GB0-A-745C
(ucs-set-char #x7CD8 ?$@dt(B) ; J78-@-6474
(ucs-set-char #x7CD8 ?$Bdt(B) ; J83-B-6474
(ucs-set-char #x7CD9 ?$(DSD(B) ; J90-D-5344
(ucs-set-char #x7CD9 ?$(Gta(B) ; C01-G-7461
(ucs-set-char #x7CD9 ?$A2Z(B) ; GB0-A-325A
(ucs-set-char #x7CDA ?$(DSE(B) ; J90-D-5345
(ucs-set-char #x7CDA ?$(IUu(B) ; C03-I-5575
(ucs-set-char #x7CDB ?$(IUt(B) ; C03-I-5574
(ucs-set-char #x7CDC ?$(Gt](B) ; C01-G-745D
(ucs-set-char #x7CDC ?$@dv(B) ; J78-@-6476
(ucs-set-char #x7CDC ?$ACS(B) ; GB0-A-4353
(ucs-set-char #x7CDC ?$Bdv(B) ; J83-B-6476
(ucs-set-char #x7CDD ?$(DSF(B) ; J90-D-5346
(ucs-set-char #x7CDD ?$(Gtb(B) ; C01-G-7462
(ucs-set-char #x7CDE ?$(C]P(B) ; KS0-C-5D50
(ucs-set-char #x7CDE ?$(Gt^(B) ; C01-G-745E
(ucs-set-char #x7CDE ?$@J5(B) ; J78-@-4A35
(ucs-set-char #x7CDE ?$BJ5(B) ; J83-B-4A35
(ucs-set-char #x7CDF ?$(CpY(B) ; KS0-C-7059
(ucs-set-char #x7CDF ?$(Gt`(B) ; C01-G-7460
(ucs-set-char #x7CDF ?$@Al(B) ; J78-@-416C
(ucs-set-char #x7CDF ?$ATc(B) ; GB0-A-5463
(ucs-set-char #x7CDF ?$BAl(B) ; J83-B-416C
(ucs-set-char #x7CE0 ?$(CK3(B) ; KS0-C-4B33
(ucs-set-char #x7CE0 ?$(Gt\(B) ; C01-G-745C
(ucs-set-char #x7CE0 ?$@9G(B) ; J78-@-3947
(ucs-set-char #x7CE0 ?$A?7(B) ; GB0-A-3F37
(ucs-set-char #x7CE0 ?$B9G(B) ; J83-B-3947
(ucs-set-char #x7CE1 ?$(IR9(B) ; C03-I-5239
(ucs-set-char #x7CE2 ?$(Gt_(B) ; C01-G-745F
(ucs-set-char #x7CE2 ?$@dw(B) ; J78-@-6477
(ucs-set-char #x7CE2 ?$Bdw(B) ; J83-B-6477
(ucs-set-char #x7CE3 ?$(IXU(B) ; C03-I-5855
(ucs-set-char #x7CE4 ?$(J\Z(B) ; C04-J-5C5A
(ucs-set-char #x7CE5 ?$(J\[(B) ; C04-J-5C5B
(ucs-set-char #x7CE6 ?$(DSG(B) ; J90-D-5347
(ucs-set-char #x7CE6 ?$(IXT(B) ; C03-I-5854
(ucs-set-char #x7CE7 ?$(CU](B) ; KS0-C-555D
(ucs-set-char #x7CE7 ?$(Gv}(B) ; C01-G-767D
(ucs-set-char #x7CE7 ?$@NH(B) ; J78-@-4E48
(ucs-set-char #x7CE7 ?$BNH(B) ; J83-B-4E48
(ucs-set-char #x7CE8 ?$(H^<(B) ; C02-H-5E3C
(ucs-set-char #x7CE8 ?$At](B) ; GB0-A-745D
(ucs-set-char #x7CE9 ?$(DSH(B) ; J90-D-5348
(ucs-set-char #x7CE9 ?$(MHW(B) ; C07-M-4857
(ucs-set-char #x7CEA ?$(Hf8(B) ; C02-H-6638
(ucs-set-char #x7CEB ?$(DSI(B) ; J90-D-5349
(ucs-set-char #x7CEB ?$(J`Z(B) ; C04-J-605A
(ucs-set-char #x7CEC ?$(Hf7(B) ; C02-H-6637
(ucs-set-char #x7CED ?$(J`j(B) ; C04-J-606A
(ucs-set-char #x7CEE ?$(HiX(B) ; C02-H-6958
(ucs-set-char #x7CEF ?$(Gz'(B) ; C01-G-7A27
(ucs-set-char #x7CEF ?$@dy(B) ; J78-@-6479
(ucs-set-char #x7CEF ?$AE4(B) ; GB0-A-4534
(ucs-set-char #x7CEF ?$Bdy(B) ; J83-B-6479
(ucs-set-char #x7CF0 ?$(Gz((B) ; C01-G-7A28
(ucs-set-char #x7CF1 ?$(Hmn(B) ; C02-H-6D6E
(ucs-set-char #x7CF2 ?$(Hkt(B) ; C02-H-6B74
(ucs-set-char #x7CF2 ?$@dz(B) ; J78-@-647A
(ucs-set-char #x7CF2 ?$Bdz(B) ; J83-B-647A
(ucs-set-char #x7CF3 ?$(Iai(B) ; C03-I-6169
(ucs-set-char #x7CF4 ?$(Hmm(B) ; C02-H-6D6D
(ucs-set-char #x7CF4 ?$@d{(B) ; J78-@-647B
(ucs-set-char #x7CF4 ?$Bd{(B) ; J83-B-647B
(ucs-set-char #x7CF5 ?$(DSJ(B) ; J90-D-534A
(ucs-set-char #x7CF5 ?$(I`@(B) ; C03-I-6040
(ucs-set-char #x7CF6 ?$(Hq-(B) ; C02-H-712D
(ucs-set-char #x7CF6 ?$@d|(B) ; J78-@-647C
(ucs-set-char #x7CF6 ?$Bd|(B) ; J83-B-647C
(ucs-set-char #x7CF7 ?$(Hqr(B) ; C02-H-7172
(ucs-set-char #x7CF8 ?$(GHN(B) ; C01-G-484E
(ucs-set-char #x7CF8 ?$@;e(B) ; J78-@-3B65
(ucs-set-char #x7CF8 ?$Ati(B) ; GB0-A-7469
(ucs-set-char #x7CF8 ?$B;e(B) ; J83-B-3B65
(ucs-set-char #x7CFA ?$(I'"(B) ; C03-I-2722
(ucs-set-char #x7CFA ?$@d}(B) ; J78-@-647D
(ucs-set-char #x7CFA ?$Bd}(B) ; J83-B-647D
(ucs-set-char #x7CFB ?$(CM'(B) ; KS0-C-4D27
(ucs-set-char #x7CFB ?$(GK7(B) ; C01-G-4B37
(ucs-set-char #x7CFB ?$@7O(B) ; J78-@-374F
(ucs-set-char #x7CFB ?$AO5(B) ; GB0-A-4F35
(ucs-set-char #x7CFB ?$B7O(B) ; J83-B-374F
(ucs-set-char #x7CFC ?$(I*K(B) ; C03-I-2A4B
(ucs-set-char #x7CFD ?$(H(I(B) ; C02-H-2849
(ucs-set-char #x7CFE ?$(CP,(B) ; KS0-C-502C
(ucs-set-char #x7CFE ?$(GO+(B) ; C01-G-4F2B
(ucs-set-char #x7CFE ?$@5j(B) ; J78-@-356A
(ucs-set-char #x7CFE ?$B5j(B) ; J83-B-356A
(ucs-set-char #x7CFF ?$(I*J(B) ; C03-I-2A4A
(ucs-set-char #x7D00 ?$(CQ:(B) ; KS0-C-513A
(ucs-set-char #x7D00 ?$(GRy(B) ; C01-G-5279
(ucs-set-char #x7D00 ?$@5*(B) ; J78-@-352A
(ucs-set-char #x7D00 ?$B5*(B) ; J83-B-352A
(ucs-set-char #x7D01 ?$(H,m(B) ; C02-H-2C6D
(ucs-set-char #x7D02 ?$(CqD(B) ; KS0-C-7144
(ucs-set-char #x7D02 ?$(GRw(B) ; C01-G-5277
(ucs-set-char #x7D02 ?$@e!(B) ; J78-@-6521
(ucs-set-char #x7D02 ?$Be!(B) ; J83-B-6521
(ucs-set-char #x7D03 ?$(DSK(B) ; J90-D-534B
(ucs-set-char #x7D03 ?$(H,k(B) ; C02-H-2C6B
(ucs-set-char #x7D04 ?$(Ce3(B) ; KS0-C-6533
(ucs-set-char #x7D04 ?$(GR|(B) ; C01-G-527C
(ucs-set-char #x7D04 ?$@Ls(B) ; J78-@-4C73
(ucs-set-char #x7D04 ?$BLs(B) ; J83-B-4C73
(ucs-set-char #x7D05 ?$(C{u(B) ; KS0-C-7B75
(ucs-set-char #x7D05 ?$(GRx(B) ; C01-G-5278
(ucs-set-char #x7D05 ?$@9H(B) ; J78-@-3948
(ucs-set-char #x7D05 ?$B9H(B) ; J83-B-3948
(ucs-set-char #x7D06 ?$(Cia(B) ; KS0-C-6961
(ucs-set-char #x7D06 ?$(GR}(B) ; C01-G-527D
(ucs-set-char #x7D06 ?$@d~(B) ; J78-@-647E
(ucs-set-char #x7D06 ?$Bd~(B) ; J83-B-647E
(ucs-set-char #x7D07 ?$(C}`(B) ; KS0-C-7D60
(ucs-set-char #x7D07 ?$(DSL(B) ; J90-D-534C
(ucs-set-char #x7D07 ?$(GR{(B) ; C01-G-527B
(ucs-set-char #x7D08 ?$(C|<(B) ; KS0-C-7C3C
(ucs-set-char #x7D08 ?$(DSM(B) ; J90-D-534D
(ucs-set-char #x7D08 ?$(H,l(B) ; C02-H-2C6C
(ucs-set-char #x7D09 ?$(DSN(B) ; J90-D-534E
(ucs-set-char #x7D09 ?$(GRz(B) ; C01-G-527A
(ucs-set-char #x7D0A ?$(CZ"(B) ; KS0-C-5A22
(ucs-set-char #x7D0A ?$(GWB(B) ; C01-G-5742
(ucs-set-char #x7D0A ?$@e$(B) ; J78-@-6524
(ucs-set-char #x7D0A ?$ANI(B) ; GB0-A-4E49
(ucs-set-char #x7D0A ?$Be$(B) ; J83-B-6524
(ucs-set-char #x7D0B ?$(CZ#(B) ; KS0-C-5A23
(ucs-set-char #x7D0B ?$(GWA(B) ; C01-G-5741
(ucs-set-char #x7D0B ?$@Lf(B) ; J78-@-4C66
(ucs-set-char #x7D0B ?$BLf(B) ; J83-B-4C66
(ucs-set-char #x7D0C ?$(H1|(B) ; C02-H-317C
(ucs-set-char #x7D0D ?$(CR!(B) ; KS0-C-5221
(ucs-set-char #x7D0D ?$(GWJ(B) ; C01-G-574A
(ucs-set-char #x7D0D ?$@G<(B) ; J78-@-473C
(ucs-set-char #x7D0D ?$BG<(B) ; J83-B-473C
(ucs-set-char #x7D0E ?$(H1u(B) ; C02-H-3175
(ucs-set-char #x7D0F ?$(DSO(B) ; J90-D-534F
(ucs-set-char #x7D0F ?$(H1{(B) ; C02-H-317B
(ucs-set-char #x7D10 ?$(CRo(B) ; KS0-C-526F
(ucs-set-char #x7D10 ?$(GWF(B) ; C01-G-5746
(ucs-set-char #x7D10 ?$@I3(B) ; J78-@-4933
(ucs-set-char #x7D10 ?$BI3(B) ; J83-B-4933
(ucs-set-char #x7D11 ?$(DSP(B) ; J90-D-5350
(ucs-set-char #x7D11 ?$(H1t(B) ; C02-H-3174
(ucs-set-char #x7D12 ?$(DSQ(B) ; J90-D-5351
(ucs-set-char #x7D12 ?$(H1z(B) ; C02-H-317A
(ucs-set-char #x7D13 ?$(DSR(B) ; J90-D-5352
(ucs-set-char #x7D13 ?$(H1x(B) ; C02-H-3178
(ucs-set-char #x7D14 ?$(Cbm(B) ; KS0-C-626D
(ucs-set-char #x7D14 ?$(GWE(B) ; C01-G-5745
(ucs-set-char #x7D14 ?$@=c(B) ; J78-@-3D63
(ucs-set-char #x7D14 ?$B=c(B) ; J83-B-3D63
(ucs-set-char #x7D15 ?$(GWG(B) ; C01-G-5747
(ucs-set-char #x7D15 ?$@e#(B) ; J78-@-6523
(ucs-set-char #x7D15 ?$Be#(B) ; J83-B-6523
(ucs-set-char #x7D16 ?$(DSS(B) ; J90-D-5353
(ucs-set-char #x7D16 ?$(H1w(B) ; C02-H-3177
(ucs-set-char #x7D17 ?$(C^i(B) ; KS0-C-5E69
(ucs-set-char #x7D17 ?$(GW@(B) ; C01-G-5740
(ucs-set-char #x7D17 ?$@<S(B) ; J78-@-3C53
(ucs-set-char #x7D17 ?$B<S(B) ; J83-B-3C53
(ucs-set-char #x7D18 ?$(CN\(B) ; KS0-C-4E5C
(ucs-set-char #x7D18 ?$(H1v(B) ; C02-H-3176
(ucs-set-char #x7D18 ?$@9I(B) ; J78-@-3949
(ucs-set-char #x7D18 ?$B9I(B) ; J83-B-3949
(ucs-set-char #x7D19 ?$(Cr5(B) ; KS0-C-7235
(ucs-set-char #x7D19 ?$(GWK(B) ; C01-G-574B
(ucs-set-char #x7D19 ?$@;f(B) ; J78-@-3B66
(ucs-set-char #x7D19 ?$B;f(B) ; J83-B-3B66
(ucs-set-char #x7D1A ?$(CPd(B) ; KS0-C-5064
(ucs-set-char #x7D1A ?$(GWH(B) ; C01-G-5748
(ucs-set-char #x7D1A ?$@5i(B) ; J78-@-3569
(ucs-set-char #x7D1A ?$B5i(B) ; J83-B-3569
(ucs-set-char #x7D1B ?$(C]Q(B) ; KS0-C-5D51
(ucs-set-char #x7D1B ?$(GWL(B) ; C01-G-574C
(ucs-set-char #x7D1B ?$@J6(B) ; J78-@-4A36
(ucs-set-char #x7D1B ?$BJ6(B) ; J83-B-4A36
(ucs-set-char #x7D1C ?$(GWI(B) ; C01-G-5749
(ucs-set-char #x7D1C ?$@e"(B) ; J78-@-6522
(ucs-set-char #x7D1C ?$Be"(B) ; J83-B-6522
(ucs-set-char #x7D1D ?$(DST(B) ; J90-D-5354
(ucs-set-char #x7D1D ?$(H1s(B) ; C02-H-3173
(ucs-set-char #x7D1E ?$(DSU(B) ; J90-D-5355
(ucs-set-char #x7D1E ?$(H1r(B) ; C02-H-3172
(ucs-set-char #x7D1F ?$(H1y(B) ; C02-H-3179
(ucs-set-char #x7D20 ?$(CaH(B) ; KS0-C-6148
(ucs-set-char #x7D20 ?$(GWC(B) ; C01-G-5743
(ucs-set-char #x7D20 ?$@AG(B) ; J78-@-4147
(ucs-set-char #x7D20 ?$AKX(B) ; GB0-A-4B58
(ucs-set-char #x7D20 ?$BAG(B) ; J83-B-4147
(ucs-set-char #x7D21 ?$(C[7(B) ; KS0-C-5B37
(ucs-set-char #x7D21 ?$(GW?(B) ; C01-G-573F
(ucs-set-char #x7D21 ?$@KB(B) ; J78-@-4B42
(ucs-set-char #x7D21 ?$BKB(B) ; J83-B-4B42
(ucs-set-char #x7D22 ?$(C_c(B) ; KS0-C-5F63
(ucs-set-char #x7D22 ?$(GWD(B) ; C01-G-5744
(ucs-set-char #x7D22 ?$@:w(B) ; J78-@-3A77
(ucs-set-char #x7D22 ?$AKw(B) ; GB0-A-4B77
(ucs-set-char #x7D22 ?$B:w(B) ; J83-B-3A77
(ucs-set-char #x7D23 ?$(DSV(B) ; J90-D-5356
(ucs-set-char #x7D23 ?$(J/%(B) ; C04-J-2F25
(ucs-set-char #x7D24 ?$(I37(B) ; C03-I-3337
(ucs-set-char #x7D25 ?$(I3;(B) ; C03-I-333B
(ucs-set-char #x7D26 ?$(DSW(B) ; J90-D-5357
(ucs-set-char #x7D27 ?$A=t(B) ; GB0-A-3D74
(ucs-set-char #x7D28 ?$(H85(B) ; C02-H-3835
(ucs-set-char #x7D29 ?$(H8.(B) ; C02-H-382E
(ucs-set-char #x7D2A ?$(DSX(B) ; J90-D-5358
(ucs-set-char #x7D2A ?$(J:&(B) ; C04-J-3A26
(ucs-set-char #x7D2B ?$(Cm9(B) ; KS0-C-6D39
(ucs-set-char #x7D2B ?$(Ga;(B) ; C01-G-613B
(ucs-set-char #x7D2B ?$@;g(B) ; J78-@-3B67
(ucs-set-char #x7D2B ?$AWO(B) ; GB0-A-574F
(ucs-set-char #x7D2B ?$B;g(B) ; J83-B-3B67
(ucs-set-char #x7D2C ?$(CqE(B) ; KS0-C-7145
(ucs-set-char #x7D2C ?$(H8-(B) ; C02-H-382D
(ucs-set-char #x7D2C ?$@D](B) ; J78-@-445D
(ucs-set-char #x7D2C ?$BD](B) ; J83-B-445D
(ucs-set-char #x7D2D ?$(DSY(B) ; J90-D-5359
(ucs-set-char #x7D2D ?$(I8)(B) ; C03-I-3829
(ucs-set-char #x7D2E ?$(CsO(B) ; KS0-C-734F
(ucs-set-char #x7D2E ?$(G\T(B) ; C01-G-5C54
(ucs-set-char #x7D2E ?$@e'(B) ; J78-@-6527
(ucs-set-char #x7D2E ?$Be'(B) ; J83-B-6527
(ucs-set-char #x7D2F ?$(CW+(B) ; KS0-C-572B
(ucs-set-char #x7D2F ?$(G\[(B) ; C01-G-5C5B
(ucs-set-char #x7D2F ?$@N_(B) ; J78-@-4E5F
(ucs-set-char #x7D2F ?$A@[(B) ; GB0-A-405B
(ucs-set-char #x7D2F ?$BN_(B) ; J83-B-4E5F
(ucs-set-char #x7D30 ?$(Ca,(B) ; KS0-C-612C
(ucs-set-char #x7D30 ?$(G\X(B) ; C01-G-5C58
(ucs-set-char #x7D30 ?$@:Y(B) ; J78-@-3A59
(ucs-set-char #x7D30 ?$B:Y(B) ; J83-B-3A59
(ucs-set-char #x7D31 ?$(DSZ(B) ; J90-D-535A
(ucs-set-char #x7D31 ?$(G\^(B) ; C01-G-5C5E
(ucs-set-char #x7D32 ?$(G\](B) ; C01-G-5C5D
(ucs-set-char #x7D32 ?$@e((B) ; J78-@-6528
(ucs-set-char #x7D32 ?$Be((B) ; J83-B-6528
(ucs-set-char #x7D33 ?$(Cck(B) ; KS0-C-636B
(ucs-set-char #x7D33 ?$(G\Y(B) ; C01-G-5C59
(ucs-set-char #x7D33 ?$@?B(B) ; J78-@-3F42
(ucs-set-char #x7D33 ?$B?B(B) ; J83-B-3F42
(ucs-set-char #x7D34 ?$(I8&(B) ; C03-I-3826
(ucs-set-char #x7D35 ?$(CnG(B) ; KS0-C-6E47
(ucs-set-char #x7D35 ?$(H8'(B) ; C02-H-3827
(ucs-set-char #x7D35 ?$@e*(B) ; J78-@-652A
(ucs-set-char #x7D35 ?$Be*(B) ; J83-B-652A
(ucs-set-char #x7D36 ?$(H8*(B) ; C02-H-382A
(ucs-set-char #x7D37 ?$(I8'(B) ; C03-I-3827
(ucs-set-char #x7D38 ?$(H8)(B) ; C02-H-3829
(ucs-set-char #x7D39 ?$(CaI(B) ; KS0-C-6149
(ucs-set-char #x7D39 ?$(G\U(B) ; C01-G-5C55
(ucs-set-char #x7D39 ?$@>R(B) ; J78-@-3E52
(ucs-set-char #x7D39 ?$B>R(B) ; J83-B-3E52
(ucs-set-char #x7D3A ?$(CJz(B) ; KS0-C-4A7A
(ucs-set-char #x7D3A ?$(H8+(B) ; C02-H-382B
(ucs-set-char #x7D3A ?$@:0(B) ; J78-@-3A30
(ucs-set-char #x7D3A ?$B:0(B) ; J83-B-3A30
(ucs-set-char #x7D3B ?$(H84(B) ; C02-H-3834
(ucs-set-char #x7D3C ?$(DS[(B) ; J90-D-535B
(ucs-set-char #x7D3C ?$(G\V(B) ; C01-G-5C56
(ucs-set-char #x7D3D ?$(DS\(B) ; J90-D-535C
(ucs-set-char #x7D3D ?$(H8((B) ; C02-H-3828
(ucs-set-char #x7D3E ?$(DS](B) ; J90-D-535D
(ucs-set-char #x7D3E ?$(H81(B) ; C02-H-3831
(ucs-set-char #x7D3F ?$(H82(B) ; C02-H-3832
(ucs-set-char #x7D3F ?$@e)(B) ; J78-@-6529
(ucs-set-char #x7D3F ?$Be)(B) ; J83-B-6529
(ucs-set-char #x7D40 ?$(DS^(B) ; J90-D-535E
(ucs-set-char #x7D40 ?$(G\W(B) ; C01-G-5C57
(ucs-set-char #x7D41 ?$(DS_(B) ; J90-D-535F
(ucs-set-char #x7D41 ?$(H8/(B) ; C02-H-382F
(ucs-set-char #x7D42 ?$(Cp{(B) ; KS0-C-707B
(ucs-set-char #x7D42 ?$(G\\(B) ; C01-G-5C5C
(ucs-set-char #x7D42 ?$@=*(B) ; J78-@-3D2A
(ucs-set-char #x7D42 ?$B=*(B) ; J83-B-3D2A
(ucs-set-char #x7D43 ?$(Cza(B) ; KS0-C-7A61
(ucs-set-char #x7D43 ?$(G\R(B) ; C01-G-5C52
(ucs-set-char #x7D43 ?$@8>(B) ; J78-@-383E
(ucs-set-char #x7D43 ?$B8>(B) ; J83-B-383E
(ucs-set-char #x7D44 ?$(CpZ(B) ; KS0-C-705A
(ucs-set-char #x7D44 ?$(G\Z(B) ; C01-G-5C5A
(ucs-set-char #x7D44 ?$@AH(B) ; J78-@-4148
(ucs-set-char #x7D44 ?$BAH(B) ; J83-B-4148
(ucs-set-char #x7D45 ?$(CLg(B) ; KS0-C-4C67
(ucs-set-char #x7D45 ?$(H8,(B) ; C02-H-382C
(ucs-set-char #x7D45 ?$@e%(B) ; J78-@-6525
(ucs-set-char #x7D45 ?$Be%(B) ; J83-B-6525
(ucs-set-char #x7D46 ?$(CZt(B) ; KS0-C-5A74
(ucs-set-char #x7D46 ?$(G\Q(B) ; C01-G-5C51
(ucs-set-char #x7D46 ?$@e+(B) ; J78-@-652B
(ucs-set-char #x7D46 ?$Be+(B) ; J83-B-652B
(ucs-set-char #x7D47 ?$(DS`(B) ; J90-D-5360
(ucs-set-char #x7D47 ?$(H80(B) ; C02-H-3830
(ucs-set-char #x7D48 ?$(DSa(B) ; J90-D-5361
(ucs-set-char #x7D48 ?$(I8.(B) ; C03-I-382E
(ucs-set-char #x7D49 ?$(I8$(B) ; C03-I-3824
(ucs-set-char #x7D4A ?$(H83(B) ; C02-H-3833
(ucs-set-char #x7D4B ?$@e&(B) ; J78-@-6526
(ucs-set-char #x7D4B ?$Be&(B) ; J83-B-6526
(ucs-set-char #x7D4C ?$(I8+(B) ; C03-I-382B
(ucs-set-char #x7D4C ?$@7P(B) ; J78-@-3750
(ucs-set-char #x7D4C ?$B7P(B) ; J83-B-3750
(ucs-set-char #x7D4D ?$(DSb(B) ; J90-D-5362
(ucs-set-char #x7D4D ?$(I>4(B) ; C03-I-3E34
(ucs-set-char #x7D4E ?$(H?!(B) ; C02-H-3F21
(ucs-set-char #x7D4E ?$@e.(B) ; J78-@-652E
(ucs-set-char #x7D4E ?$Be.(B) ; J83-B-652E
(ucs-set-char #x7D4F ?$(H>v(B) ; C02-H-3E76
(ucs-set-char #x7D4F ?$@e2(B) ; J78-@-6532
(ucs-set-char #x7D4F ?$Be2(B) ; J83-B-6532
(ucs-set-char #x7D50 ?$(CL?(B) ; KS0-C-4C3F
(ucs-set-char #x7D50 ?$(Ga8(B) ; C01-G-6138
(ucs-set-char #x7D50 ?$@7k(B) ; J78-@-376B
(ucs-set-char #x7D50 ?$B7k(B) ; J83-B-376B
(ucs-set-char #x7D51 ?$(DSc(B) ; J90-D-5363
(ucs-set-char #x7D51 ?$(H>}(B) ; C02-H-3E7D
(ucs-set-char #x7D52 ?$(H>z(B) ; C02-H-3E7A
(ucs-set-char #x7D53 ?$(DSd(B) ; J90-D-5364
(ucs-set-char #x7D53 ?$(H>r(B) ; C02-H-3E72
(ucs-set-char #x7D54 ?$(H>{(B) ; C02-H-3E7B
(ucs-set-char #x7D55 ?$(Ga:(B) ; C01-G-613A
(ucs-set-char #x7D56 ?$(H>s(B) ; C02-H-3E73
(ucs-set-char #x7D56 ?$@e-(B) ; J78-@-652D
(ucs-set-char #x7D56 ?$Be-(B) ; J83-B-652D
(ucs-set-char #x7D57 ?$(DSe(B) ; J90-D-5365
(ucs-set-char #x7D57 ?$(I>)(B) ; C03-I-3E29
(ucs-set-char #x7D58 ?$(H>o(B) ; C02-H-3E6F
(ucs-set-char #x7D59 ?$(DSf(B) ; J90-D-5366
(ucs-set-char #x7D59 ?$(I>&(B) ; C03-I-3E26
(ucs-set-char #x7D5A ?$(DSg(B) ; J90-D-5367
(ucs-set-char #x7D5A ?$(I>.(B) ; C03-I-3E2E
(ucs-set-char #x7D5B ?$(Ges(B) ; C01-G-6573
(ucs-set-char #x7D5B ?$@e6(B) ; J78-@-6536
(ucs-set-char #x7D5B ?$Be6(B) ; J83-B-6536
(ucs-set-char #x7D5C ?$(DSh(B) ; J90-D-5368
(ucs-set-char #x7D5C ?$(H>x(B) ; C02-H-3E78
(ucs-set-char #x7D5D ?$(DSi(B) ; J90-D-5369
(ucs-set-char #x7D5D ?$(I>/(B) ; C03-I-3E2F
(ucs-set-char #x7D5E ?$(CNm(B) ; KS0-C-4E6D
(ucs-set-char #x7D5E ?$(Ga7(B) ; C01-G-6137
(ucs-set-char #x7D5E ?$@9J(B) ; J78-@-394A
(ucs-set-char #x7D5E ?$B9J(B) ; J83-B-394A
(ucs-set-char #x7D5F ?$(H>~(B) ; C02-H-3E7E
(ucs-set-char #x7D60 ?$(I>((B) ; C03-I-3E28
(ucs-set-char #x7D61 ?$(CU)(B) ; KS0-C-5529
(ucs-set-char #x7D61 ?$(Ga>(B) ; C01-G-613E
(ucs-set-char #x7D61 ?$@Mm(B) ; J78-@-4D6D
(ucs-set-char #x7D61 ?$BMm(B) ; J83-B-4D6D
(ucs-set-char #x7D62 ?$(Czb(B) ; KS0-C-7A62
(ucs-set-char #x7D62 ?$(Ga@(B) ; C01-G-6140
(ucs-set-char #x7D62 ?$@0<(B) ; J78-@-303C
(ucs-set-char #x7D62 ?$B0<(B) ; J83-B-303C
(ucs-set-char #x7D63 ?$(H>q(B) ; C02-H-3E71
(ucs-set-char #x7D63 ?$(IHj(B) ; C03-I-486A
(ucs-set-char #x7D63 ?$@e3(B) ; J78-@-6533
(ucs-set-char #x7D63 ?$Be3(B) ; J83-B-6533
(ucs-set-char #x7D64 ?$(I>,(B) ; C03-I-3E2C
(ucs-set-char #x7D65 ?$(DSj(B) ; J90-D-536A
(ucs-set-char #x7D65 ?$(J:'(B) ; C04-J-3A27
(ucs-set-char #x7D66 ?$(CPe(B) ; KS0-C-5065
(ucs-set-char #x7D66 ?$(Ga?(B) ; C01-G-613F
(ucs-set-char #x7D66 ?$@5k(B) ; J78-@-356B
(ucs-set-char #x7D66 ?$B5k(B) ; J83-B-356B
(ucs-set-char #x7D67 ?$(DSk(B) ; J90-D-536B
(ucs-set-char #x7D67 ?$(H>t(B) ; C02-H-3E74
(ucs-set-char #x7D68 ?$(CkV(B) ; KS0-C-6B56
(ucs-set-char #x7D68 ?$(Ga9(B) ; C01-G-6139
(ucs-set-char #x7D68 ?$@e0(B) ; J78-@-6530
(ucs-set-char #x7D68 ?$Be0(B) ; J83-B-6530
(ucs-set-char #x7D69 ?$(H>|(B) ; C02-H-3E7C
(ucs-set-char #x7D6A ?$(Cl_(B) ; KS0-C-6C5F
(ucs-set-char #x7D6A ?$(DSl(B) ; J90-D-536C
(ucs-set-char #x7D6A ?$(H>u(B) ; C02-H-3E75
(ucs-set-char #x7D6B ?$(H>y(B) ; C02-H-3E79
(ucs-set-char #x7D6C ?$(I>*(B) ; C03-I-3E2A
(ucs-set-char #x7D6D ?$(H>w(B) ; C02-H-3E77
(ucs-set-char #x7D6E ?$(C_|(B) ; KS0-C-5F7C
(ucs-set-char #x7D6E ?$(Ga<(B) ; C01-G-613C
(ucs-set-char #x7D6E ?$@e1(B) ; J78-@-6531
(ucs-set-char #x7D6E ?$APu(B) ; GB0-A-5075
(ucs-set-char #x7D6E ?$Be1(B) ; J83-B-6531
(ucs-set-char #x7D6F ?$(H>p(B) ; C02-H-3E70
(ucs-set-char #x7D70 ?$(DSm(B) ; J90-D-536D
(ucs-set-char #x7D70 ?$(GaA(B) ; C01-G-6141
(ucs-set-char #x7D71 ?$(CwV(B) ; KS0-C-7756
(ucs-set-char #x7D71 ?$(G\S(B) ; C01-G-5C53
(ucs-set-char #x7D71 ?$@E}(B) ; J78-@-457D
(ucs-set-char #x7D71 ?$BE}(B) ; J83-B-457D
(ucs-set-char #x7D72 ?$(C^j(B) ; KS0-C-5E6A
(ucs-set-char #x7D72 ?$(Ga=(B) ; C01-G-613D
(ucs-set-char #x7D72 ?$@e/(B) ; J78-@-652F
(ucs-set-char #x7D72 ?$Be/(B) ; J83-B-652F
(ucs-set-char #x7D73 ?$(CK4(B) ; KS0-C-4B34
(ucs-set-char #x7D73 ?$(GaB(B) ; C01-G-6142
(ucs-set-char #x7D73 ?$@e,(B) ; J78-@-652C
(ucs-set-char #x7D73 ?$Be,(B) ; J83-B-652C
(ucs-set-char #x7D74 ?$(I>$(B) ; C03-I-3E24
(ucs-set-char #x7D75 ?$(I>5(B) ; C03-I-3E35
(ucs-set-char #x7D75 ?$@3((B) ; J78-@-3328
(ucs-set-char #x7D75 ?$B3((B) ; J83-B-3328
(ucs-set-char #x7D76 ?$(Co>(B) ; KS0-C-6F3E
(ucs-set-char #x7D76 ?$(I>3(B) ; C03-I-3E33
(ucs-set-char #x7D76 ?$@@d(B) ; J78-@-4064
(ucs-set-char #x7D76 ?$B@d(B) ; J83-B-4064
(ucs-set-char #x7D77 ?$Atj(B) ; GB0-A-746A
(ucs-set-char #x7D78 ?$(DSn(B) ; J90-D-536E
(ucs-set-char #x7D78 ?$(ICg(B) ; C03-I-4367
(ucs-set-char #x7D79 ?$(CL5(B) ; KS0-C-4C35
(ucs-set-char #x7D79 ?$(Geo(B) ; C01-G-656F
(ucs-set-char #x7D79 ?$@8((B) ; J78-@-3828
(ucs-set-char #x7D79 ?$B8((B) ; J83-B-3828
(ucs-set-char #x7D7A ?$(DSo(B) ; J90-D-536F
(ucs-set-char #x7D7A ?$(HF$(B) ; C02-H-4624
(ucs-set-char #x7D7B ?$(DSp(B) ; J90-D-5370
(ucs-set-char #x7D7B ?$(HF&(B) ; C02-H-4626
(ucs-set-char #x7D7C ?$(HF((B) ; C02-H-4628
(ucs-set-char #x7D7D ?$(HF,(B) ; C02-H-462C
(ucs-set-char #x7D7D ?$@e8(B) ; J78-@-6538
(ucs-set-char #x7D7D ?$Be8(B) ; J83-B-6538
(ucs-set-char #x7D7E ?$(I>+(B) ; C03-I-3E2B
(ucs-set-char #x7D7F ?$(CO=(B) ; KS0-C-4F3D
(ucs-set-char #x7D7F ?$(DSq(B) ; J90-D-5371
(ucs-set-char #x7D7F ?$(HF"(B) ; C02-H-4622
(ucs-set-char #x7D80 ?$(HE~(B) ; C02-H-457E
(ucs-set-char #x7D81 ?$(DSr(B) ; J90-D-5372
(ucs-set-char #x7D81 ?$(Geq(B) ; C01-G-6571
(ucs-set-char #x7D82 ?$(DSs(B) ; J90-D-5373
(ucs-set-char #x7D82 ?$(J?q(B) ; C04-J-3F71
(ucs-set-char #x7D83 ?$(DSt(B) ; J90-D-5374
(ucs-set-char #x7D83 ?$(HF'(B) ; C02-H-4627
(ucs-set-char #x7D84 ?$(HF+(B) ; C02-H-462B
(ucs-set-char #x7D85 ?$(DSu(B) ; J90-D-5375
(ucs-set-char #x7D85 ?$(HF#(B) ; C02-H-4623
(ucs-set-char #x7D86 ?$(DSv(B) ; J90-D-5376
(ucs-set-char #x7D86 ?$(HE}(B) ; C02-H-457D
(ucs-set-char #x7D87 ?$(ICf(B) ; C03-I-4366
(ucs-set-char #x7D88 ?$(DSw(B) ; J90-D-5377
(ucs-set-char #x7D88 ?$(HE|(B) ; C02-H-457C
(ucs-set-char #x7D89 ?$(ICi(B) ; C03-I-4369
(ucs-set-char #x7D89 ?$@e5(B) ; J78-@-6535
(ucs-set-char #x7D89 ?$Be5(B) ; J83-B-6535
(ucs-set-char #x7D8A ?$(IC`(B) ; C03-I-4360
(ucs-set-char #x7D8B ?$(DSx(B) ; J90-D-5378
(ucs-set-char #x7D8B ?$(ICb(B) ; C03-I-4362
(ucs-set-char #x7D8C ?$(DSy(B) ; J90-D-5379
(ucs-set-char #x7D8C ?$(HF)(B) ; C02-H-4629
(ucs-set-char #x7D8D ?$(DSz(B) ; J90-D-537A
(ucs-set-char #x7D8D ?$(HF!(B) ; C02-H-4621
(ucs-set-char #x7D8E ?$(Cor(B) ; KS0-C-6F72
(ucs-set-char #x7D8E ?$(HF%(B) ; C02-H-4625
(ucs-set-char #x7D8F ?$(Cb7(B) ; KS0-C-6237
(ucs-set-char #x7D8F ?$(Ger(B) ; C01-G-6572
(ucs-set-char #x7D8F ?$@e7(B) ; J78-@-6537
(ucs-set-char #x7D8F ?$Be7(B) ; J83-B-6537
(ucs-set-char #x7D90 ?$(IC^(B) ; C03-I-435E
(ucs-set-char #x7D91 ?$(DS{(B) ; J90-D-537B
(ucs-set-char #x7D91 ?$(Gep(B) ; C01-G-6570
(ucs-set-char #x7D92 ?$(HF-(B) ; C02-H-462D
(ucs-set-char #x7D93 ?$(CLh(B) ; KS0-C-4C68
(ucs-set-char #x7D93 ?$(Gen(B) ; C01-G-656E
(ucs-set-char #x7D93 ?$@e4(B) ; J78-@-6534
(ucs-set-char #x7D93 ?$Be4(B) ; J83-B-6534
(ucs-set-char #x7D94 ?$(HF*(B) ; C02-H-462A
(ucs-set-char #x7D95 ?$(ICd(B) ; C03-I-4364
(ucs-set-char #x7D96 ?$(DS|(B) ; J90-D-537C
(ucs-set-char #x7D96 ?$(HLy(B) ; C02-H-4C79
(ucs-set-char #x7D97 ?$(DS}(B) ; J90-D-537D
(ucs-set-char #x7D97 ?$(ICh(B) ; C03-I-4368
(ucs-set-char #x7D98 ?$(ICj(B) ; C03-I-436A
(ucs-set-char #x7D99 ?$(ICc(B) ; C03-I-4363
(ucs-set-char #x7D99 ?$@7Q(B) ; J78-@-3751
(ucs-set-char #x7D99 ?$B7Q(B) ; J83-B-3751
(ucs-set-char #x7D9A ?$@B3(B) ; J78-@-4233
(ucs-set-char #x7D9A ?$BB3(B) ; J83-B-4233
(ucs-set-char #x7D9B ?$@e9(B) ; J78-@-6539
(ucs-set-char #x7D9B ?$Be9(B) ; J83-B-6539
(ucs-set-char #x7D9C ?$(Cp|(B) ; KS0-C-707C
(ucs-set-char #x7D9C ?$(Gj7(B) ; C01-G-6A37
(ucs-set-char #x7D9C ?$@An(B) ; J78-@-416E
(ucs-set-char #x7D9C ?$BAn(B) ; J83-B-416E
(ucs-set-char #x7D9D ?$(DS~(B) ; J90-D-537E
(ucs-set-char #x7D9D ?$(HLq(B) ; C02-H-4C71
(ucs-set-char #x7D9E ?$(DT!(B) ; J90-D-5421
(ucs-set-char #x7D9E ?$(GnC(B) ; C01-G-6E43
(ucs-set-char #x7D9F ?$(HL{(B) ; C02-H-4C7B
(ucs-set-char #x7D9F ?$@eF(B) ; J78-@-6546
(ucs-set-char #x7D9F ?$BeF(B) ; J83-B-6546
(ucs-set-char #x7DA0 ?$(CV`(B) ; KS0-C-5660
(ucs-set-char #x7DA0 ?$(Gj:(B) ; C01-G-6A3A
(ucs-set-char #x7DA1 ?$(HM!(B) ; C02-H-4D21
(ucs-set-char #x7DA2 ?$(CqF(B) ; KS0-C-7146
(ucs-set-char #x7DA2 ?$(Gj@(B) ; C01-G-6A40
(ucs-set-char #x7DA2 ?$@eB(B) ; J78-@-6542
(ucs-set-char #x7DA2 ?$BeB(B) ; J83-B-6542
(ucs-set-char #x7DA3 ?$(HLl(B) ; C02-H-4C6C
(ucs-set-char #x7DA3 ?$@e<(B) ; J78-@-653C
(ucs-set-char #x7DA3 ?$Be<(B) ; J83-B-653C
(ucs-set-char #x7DA4 ?$(IHt(B) ; C03-I-4874
(ucs-set-char #x7DA5 ?$(JE{(B) ; C04-J-457B
(ucs-set-char #x7DA6 ?$(DT"(B) ; J90-D-5422
(ucs-set-char #x7DA6 ?$(HL|(B) ; C02-H-4C7C
(ucs-set-char #x7DA6 ?$Atk(B) ; GB0-A-746B
(ucs-set-char #x7DA7 ?$(DT#(B) ; J90-D-5423
(ucs-set-char #x7DA7 ?$(HLi(B) ; C02-H-4C69
(ucs-set-char #x7DA8 ?$(IHm(B) ; C03-I-486D
(ucs-set-char #x7DA9 ?$(HL~(B) ; C02-H-4C7E
(ucs-set-char #x7DAA ?$(DT$(B) ; J90-D-5424
(ucs-set-char #x7DAA ?$(HLm(B) ; C02-H-4C6D
(ucs-set-char #x7DAB ?$(IHn(B) ; C03-I-486E
(ucs-set-char #x7DAB ?$@e@(B) ; J78-@-6540
(ucs-set-char #x7DAB ?$Be@(B) ; J83-B-6540
(ucs-set-char #x7DAC ?$(Cb8(B) ; KS0-C-6238
(ucs-set-char #x7DAC ?$(GjG(B) ; C01-G-6A47
(ucs-set-char #x7DAC ?$@<z(B) ; J78-@-3C7A
(ucs-set-char #x7DAC ?$B<z(B) ; J83-B-3C7A
(ucs-set-char #x7DAD ?$(Ck+(B) ; KS0-C-6B2B
(ucs-set-char #x7DAD ?$(GjD(B) ; C01-G-6A44
(ucs-set-char #x7DAD ?$@0](B) ; J78-@-305D
(ucs-set-char #x7DAD ?$B0](B) ; J83-B-305D
(ucs-set-char #x7DAE ?$(HL}(B) ; C02-H-4C7D
(ucs-set-char #x7DAE ?$@e;(B) ; J78-@-653B
(ucs-set-char #x7DAE ?$Atl(B) ; GB0-A-746C
(ucs-set-char #x7DAE ?$Be;(B) ; J83-B-653B
(ucs-set-char #x7DAF ?$(HLw(B) ; C02-H-4C77
(ucs-set-char #x7DAF ?$@eC(B) ; J78-@-6543
(ucs-set-char #x7DAF ?$BeC(B) ; J83-B-6543
(ucs-set-char #x7DB0 ?$(Gj6(B) ; C01-G-6A36
(ucs-set-char #x7DB0 ?$@eG(B) ; J78-@-6547
(ucs-set-char #x7DB0 ?$BeG(B) ; J83-B-6547
(ucs-set-char #x7DB1 ?$(CK5(B) ; KS0-C-4B35
(ucs-set-char #x7DB1 ?$(Gj>(B) ; C01-G-6A3E
(ucs-set-char #x7DB1 ?$@9K(B) ; J78-@-394B
(ucs-set-char #x7DB1 ?$B9K(B) ; J83-B-394B
(ucs-set-char #x7DB2 ?$(CXQ(B) ; KS0-C-5851
(ucs-set-char #x7DB2 ?$(Gj=(B) ; C01-G-6A3D
(ucs-set-char #x7DB2 ?$@LV(B) ; J78-@-4C56
(ucs-set-char #x7DB2 ?$BLV(B) ; J83-B-4C56
(ucs-set-char #x7DB3 ?$(DT%(B) ; J90-D-5425
(ucs-set-char #x7DB3 ?$(IHp(B) ; C03-I-4870
(ucs-set-char #x7DB4 ?$(CtN(B) ; KS0-C-744E
(ucs-set-char #x7DB4 ?$(Gj<(B) ; C01-G-6A3C
(ucs-set-char #x7DB4 ?$@DV(B) ; J78-@-4456
(ucs-set-char #x7DB4 ?$BDV(B) ; J83-B-4456
(ucs-set-char #x7DB5 ?$(Csw(B) ; KS0-C-7377
(ucs-set-char #x7DB5 ?$(GjB(B) ; C01-G-6A42
(ucs-set-char #x7DB5 ?$@e=(B) ; J78-@-653D
(ucs-set-char #x7DB5 ?$Be=(B) ; J83-B-653D
(ucs-set-char #x7DB6 ?$(DT&(B) ; J90-D-5426
(ucs-set-char #x7DB6 ?$(IHi(B) ; C03-I-4869
(ucs-set-char #x7DB7 ?$(DT'(B) ; J90-D-5427
(ucs-set-char #x7DB7 ?$(HLj(B) ; C02-H-4C6A
(ucs-set-char #x7DB8 ?$(CWF(B) ; KS0-C-5746
(ucs-set-char #x7DB8 ?$(GjC(B) ; C01-G-6A43
(ucs-set-char #x7DB8 ?$@eE(B) ; J78-@-6545
(ucs-set-char #x7DB8 ?$BeE(B) ; J83-B-6545
(ucs-set-char #x7DB9 ?$(DT((B) ; J90-D-5428
(ucs-set-char #x7DB9 ?$(HLx(B) ; C02-H-4C78
(ucs-set-char #x7DBA ?$(CQ;(B) ; KS0-C-513B
(ucs-set-char #x7DBA ?$(Gj?(B) ; C01-G-6A3F
(ucs-set-char #x7DBA ?$@e:(B) ; J78-@-653A
(ucs-set-char #x7DBA ?$Be:(B) ; J83-B-653A
(ucs-set-char #x7DBB ?$(Cw*(B) ; KS0-C-772A
(ucs-set-char #x7DBB ?$(Gj5(B) ; C01-G-6A35
(ucs-set-char #x7DBB ?$@C>(B) ; J78-@-433E
(ucs-set-char #x7DBB ?$BC>(B) ; J83-B-433E
(ucs-set-char #x7DBC ?$(HLz(B) ; C02-H-4C7A
(ucs-set-char #x7DBD ?$(CmJ(B) ; KS0-C-6D4A
(ucs-set-char #x7DBD ?$(Gj8(B) ; C01-G-6A38
(ucs-set-char #x7DBD ?$@e?(B) ; J78-@-653F
(ucs-set-char #x7DBD ?$Be?(B) ; J83-B-653F
(ucs-set-char #x7DBE ?$(CWS(B) ; KS0-C-5753
(ucs-set-char #x7DBE ?$(Gj9(B) ; C01-G-6A39
(ucs-set-char #x7DBE ?$@0=(B) ; J78-@-303D
(ucs-set-char #x7DBE ?$B0=(B) ; J83-B-303D
(ucs-set-char #x7DBF ?$(CXz(B) ; KS0-C-587A
(ucs-set-char #x7DBF ?$(GjA(B) ; C01-G-6A41
(ucs-set-char #x7DBF ?$@LJ(B) ; J78-@-4C4A
(ucs-set-char #x7DBF ?$BLJ(B) ; J83-B-4C4A
(ucs-set-char #x7DC0 ?$(HLo(B) ; C02-H-4C6F
(ucs-set-char #x7DC1 ?$(HLn(B) ; C02-H-4C6E
(ucs-set-char #x7DC2 ?$(DT)(B) ; J90-D-5429
(ucs-set-char #x7DC2 ?$(HLk(B) ; C02-H-4C6B
(ucs-set-char #x7DC3 ?$(DT*(B) ; J90-D-542A
(ucs-set-char #x7DC3 ?$(JE|(B) ; C04-J-457C
(ucs-set-char #x7DC4 ?$(DT+(B) ; J90-D-542B
(ucs-set-char #x7DC4 ?$(HLs(B) ; C02-H-4C73
(ucs-set-char #x7DC5 ?$(DT,(B) ; J90-D-542C
(ucs-set-char #x7DC5 ?$(HLp(B) ; C02-H-4C70
(ucs-set-char #x7DC6 ?$(DT-(B) ; J90-D-542D
(ucs-set-char #x7DC6 ?$(HLt(B) ; C02-H-4C74
(ucs-set-char #x7DC7 ?$(CvE(B) ; KS0-C-7645
(ucs-set-char #x7DC7 ?$(GjF(B) ; C01-G-6A46
(ucs-set-char #x7DC7 ?$@e>(B) ; J78-@-653E
(ucs-set-char #x7DC7 ?$Be>(B) ; J83-B-653E
(ucs-set-char #x7DC8 ?$(IHh(B) ; C03-I-4868
(ucs-set-char #x7DC9 ?$(HM"(B) ; C02-H-4D22
(ucs-set-char #x7DCA ?$(CQL(B) ; KS0-C-514C
(ucs-set-char #x7DCA ?$(Gj;(B) ; C01-G-6A3B
(ucs-set-char #x7DCA ?$@6[(B) ; J78-@-365B
(ucs-set-char #x7DCA ?$B6[(B) ; J83-B-365B
(ucs-set-char #x7DCB ?$(C]|(B) ; KS0-C-5D7C
(ucs-set-char #x7DCB ?$(HLu(B) ; C02-H-4C75
(ucs-set-char #x7DCB ?$@Hl(B) ; J78-@-486C
(ucs-set-char #x7DCB ?$BHl(B) ; J83-B-486C
(ucs-set-char #x7DCC ?$(DT.(B) ; J90-D-542E
(ucs-set-char #x7DCC ?$(HLv(B) ; C02-H-4C76
(ucs-set-char #x7DCD ?$(DT/(B) ; J90-D-542F
(ucs-set-char #x7DCD ?$(IHq(B) ; C03-I-4871
(ucs-set-char #x7DCE ?$(DT0(B) ; J90-D-5430
(ucs-set-char #x7DCE ?$(HLr(B) ; C02-H-4C72
(ucs-set-char #x7DCF ?$(IHs(B) ; C03-I-4873
(ucs-set-char #x7DCF ?$@Am(B) ; J78-@-416D
(ucs-set-char #x7DCF ?$BAm(B) ; J83-B-416D
(ucs-set-char #x7DD0 ?$(J?s(B) ; C04-J-3F73
(ucs-set-char #x7DD1 ?$(IHk(B) ; C03-I-486B
(ucs-set-char #x7DD1 ?$@NP(B) ; J78-@-4E50
(ucs-set-char #x7DD1 ?$BNP(B) ; J83-B-4E50
(ucs-set-char #x7DD2 ?$(GjE(B) ; C01-G-6A45
(ucs-set-char #x7DD2 ?$@=o(B) ; J78-@-3D6F
(ucs-set-char #x7DD2 ?$B=o(B) ; J83-B-3D6F
(ucs-set-char #x7DD5 ?$@en(B) ; J78-@-656E
(ucs-set-char #x7DD5 ?$Ben(B) ; J83-B-656E
(ucs-set-char #x7DD6 ?$(C_}(B) ; KS0-C-5F7D
(ucs-set-char #x7DD6 ?$(IN"(B) ; C03-I-4E22
(ucs-set-char #x7DD7 ?$(DT1(B) ; J90-D-5431
(ucs-set-char #x7DD7 ?$(HRo(B) ; C02-H-526F
(ucs-set-char #x7DD8 ?$(Cye(B) ; KS0-C-7965
(ucs-set-char #x7DD8 ?$(Gn;(B) ; C01-G-6E3B
(ucs-set-char #x7DD8 ?$@eH(B) ; J78-@-6548
(ucs-set-char #x7DD8 ?$BeH(B) ; J83-B-6548
(ucs-set-char #x7DD9 ?$(DT2(B) ; J90-D-5432
(ucs-set-char #x7DD9 ?$(GnD(B) ; C01-G-6E44
(ucs-set-char #x7DDA ?$(C`J(B) ; KS0-C-604A
(ucs-set-char #x7DDA ?$(Gn@(B) ; C01-G-6E40
(ucs-set-char #x7DDA ?$@@~(B) ; J78-@-407E
(ucs-set-char #x7DDA ?$B@~(B) ; J83-B-407E
(ucs-set-char #x7DDB ?$(HRl(B) ; C02-H-526C
(ucs-set-char #x7DDC ?$(IM|(B) ; C03-I-4D7C
(ucs-set-char #x7DDC ?$@eD(B) ; J78-@-6544
(ucs-set-char #x7DDC ?$BeD(B) ; J83-B-6544
(ucs-set-char #x7DDD ?$(Cr}(B) ; KS0-C-727D
(ucs-set-char #x7DDD ?$(Gn=(B) ; C01-G-6E3D
(ucs-set-char #x7DDD ?$@eI(B) ; J78-@-6549
(ucs-set-char #x7DDD ?$BeI(B) ; J83-B-6549
(ucs-set-char #x7DDE ?$(CS0(B) ; KS0-C-5330
(ucs-set-char #x7DDE ?$(GnA(B) ; C01-G-6E41
(ucs-set-char #x7DDE ?$@eK(B) ; J78-@-654B
(ucs-set-char #x7DDE ?$BeK(B) ; J83-B-654B
(ucs-set-char #x7DDF ?$(HRx(B) ; C02-H-5278
(ucs-set-char #x7DE0 ?$(Cts(B) ; KS0-C-7473
(ucs-set-char #x7DE0 ?$(Gn7(B) ; C01-G-6E37
(ucs-set-char #x7DE0 ?$@Dy(B) ; J78-@-4479
(ucs-set-char #x7DE0 ?$BDy(B) ; J83-B-4479
(ucs-set-char #x7DE1 ?$(CZI(B) ; KS0-C-5A49
(ucs-set-char #x7DE1 ?$(HRp(B) ; C02-H-5270
(ucs-set-char #x7DE1 ?$@eN(B) ; J78-@-654E
(ucs-set-char #x7DE1 ?$BeN(B) ; J83-B-654E
(ucs-set-char #x7DE2 ?$(DT4(B) ; J90-D-5434
(ucs-set-char #x7DE2 ?$(IMx(B) ; C03-I-4D78
(ucs-set-char #x7DE3 ?$(Cf^(B) ; KS0-C-665E
(ucs-set-char #x7DE3 ?$(Gn?(B) ; C01-G-6E3F
(ucs-set-char #x7DE4 ?$(IN$(B) ; C03-I-4E24
(ucs-set-char #x7DE4 ?$@eJ(B) ; J78-@-654A
(ucs-set-char #x7DE4 ?$BeJ(B) ; J83-B-654A
(ucs-set-char #x7DE5 ?$(DT5(B) ; J90-D-5435
(ucs-set-char #x7DE5 ?$(IN/(B) ; C03-I-4E2F
(ucs-set-char #x7DE6 ?$(DT6(B) ; J90-D-5436
(ucs-set-char #x7DE6 ?$(HRs(B) ; C02-H-5273
(ucs-set-char #x7DE7 ?$(HRn(B) ; C02-H-526E
(ucs-set-char #x7DE8 ?$(Cx:(B) ; KS0-C-783A
(ucs-set-char #x7DE8 ?$(Gn>(B) ; C01-G-6E3E
(ucs-set-char #x7DE8 ?$@JT(B) ; J78-@-4A54
(ucs-set-char #x7DE8 ?$BJT(B) ; J83-B-4A54
(ucs-set-char #x7DE9 ?$(ChP(B) ; KS0-C-6850
(ucs-set-char #x7DE9 ?$(GnB(B) ; C01-G-6E42
(ucs-set-char #x7DE9 ?$@4K(B) ; J78-@-344B
(ucs-set-char #x7DE9 ?$B4K(B) ; J83-B-344B
(ucs-set-char #x7DEA ?$(DT7(B) ; J90-D-5437
(ucs-set-char #x7DEA ?$(HRm(B) ; C02-H-526D
(ucs-set-char #x7DEB ?$(DT8(B) ; J90-D-5438
(ucs-set-char #x7DEB ?$(IN.(B) ; C03-I-4E2E
(ucs-set-char #x7DEC ?$(CX{(B) ; KS0-C-587B
(ucs-set-char #x7DEC ?$(Gn<(B) ; C01-G-6E3C
(ucs-set-char #x7DEC ?$@LK(B) ; J78-@-4C4B
(ucs-set-char #x7DEC ?$BLK(B) ; J83-B-4C4B
(ucs-set-char #x7DED ?$(DT9(B) ; J90-D-5439
(ucs-set-char #x7DED ?$(IMw(B) ; C03-I-4D77
(ucs-set-char #x7DEE ?$(HRw(B) ; C02-H-5277
(ucs-set-char #x7DEF ?$(CjU(B) ; KS0-C-6A55
(ucs-set-char #x7DEF ?$(Gn9(B) ; C01-G-6E39
(ucs-set-char #x7DEF ?$@0^(B) ; J78-@-305E
(ucs-set-char #x7DEF ?$B0^(B) ; J83-B-305E
(ucs-set-char #x7DF0 ?$(HRv(B) ; C02-H-5276
(ucs-set-char #x7DF1 ?$(DT:(B) ; J90-D-543A
(ucs-set-char #x7DF1 ?$(HRu(B) ; C02-H-5275
(ucs-set-char #x7DF2 ?$(GnE(B) ; C01-G-6E45
(ucs-set-char #x7DF2 ?$@eM(B) ; J78-@-654D
(ucs-set-char #x7DF2 ?$BeM(B) ; J83-B-654D
(ucs-set-char #x7DF3 ?$(HP;(B) ; C02-H-503B
(ucs-set-char #x7DF4 ?$(CV#(B) ; KS0-C-5623
(ucs-set-char #x7DF4 ?$(Gn8(B) ; C01-G-6E38
(ucs-set-char #x7DF4 ?$@N}(B) ; J78-@-4E7D
(ucs-set-char #x7DF4 ?$BN}(B) ; J83-B-4E7D
(ucs-set-char #x7DF5 ?$(DT;(B) ; J90-D-543B
(ucs-set-char #x7DF5 ?$(IN+(B) ; C03-I-4E2B
(ucs-set-char #x7DF6 ?$(DT<(B) ; J90-D-543C
(ucs-set-char #x7DF6 ?$(HRt(B) ; C02-H-5274
(ucs-set-char #x7DF7 ?$(HRk(B) ; C02-H-526B
(ucs-set-char #x7DF8 ?$(IMu(B) ; C03-I-4D75
(ucs-set-char #x7DF9 ?$(DT=(B) ; J90-D-543D
(ucs-set-char #x7DF9 ?$(GnF(B) ; C01-G-6E46
(ucs-set-char #x7DFA ?$(DT>(B) ; J90-D-543E
(ucs-set-char #x7DFA ?$(HRr(B) ; C02-H-5272
(ucs-set-char #x7DFB ?$(CvF(B) ; KS0-C-7646
(ucs-set-char #x7DFB ?$(Gn:(B) ; C01-G-6E3A
(ucs-set-char #x7DFB ?$@eL(B) ; J78-@-654C
(ucs-set-char #x7DFB ?$BeL(B) ; J83-B-654C
(ucs-set-char #x7DFC ?$(IN((B) ; C03-I-4E28
(ucs-set-char #x7DFD ?$(IN)(B) ; C03-I-4E29
(ucs-set-char #x7DFE ?$(IN%(B) ; C03-I-4E25
(ucs-set-char #x7DFF ?$(IN,(B) ; C03-I-4E2C
(ucs-set-char #x7E00 ?$(DT3(B) ; J90-D-5433
(ucs-set-char #x7E00 ?$(IN'(B) ; C03-I-4E27
(ucs-set-char #x7E01 ?$(IM~(B) ; C03-I-4D7E
(ucs-set-char #x7E01 ?$@1o(B) ; J78-@-316F
(ucs-set-char #x7E01 ?$B1o(B) ; J83-B-316F
(ucs-set-char #x7E02 ?$(IM}(B) ; C03-I-4D7D
(ucs-set-char #x7E03 ?$(HRq(B) ; C02-H-5271
(ucs-set-char #x7E04 ?$(JLE(B) ; C04-J-4C45
(ucs-set-char #x7E04 ?$@Fl(B) ; J78-@-466C
(ucs-set-char #x7E04 ?$BFl(B) ; J83-B-466C
(ucs-set-char #x7E05 ?$@eO(B) ; J78-@-654F
(ucs-set-char #x7E05 ?$BeO(B) ; J83-B-654F
(ucs-set-char #x7E08 ?$(DT?(B) ; J90-D-543F
(ucs-set-char #x7E08 ?$(Gqj(B) ; C01-G-716A
(ucs-set-char #x7E09 ?$(Cr[(B) ; KS0-C-725B
(ucs-set-char #x7E09 ?$(Gqo(B) ; C01-G-716F
(ucs-set-char #x7E09 ?$@eV(B) ; J78-@-6556
(ucs-set-char #x7E09 ?$BeV(B) ; J83-B-6556
(ucs-set-char #x7E0A ?$(Cd|(B) ; KS0-C-647C
(ucs-set-char #x7E0A ?$(Gqh(B) ; C01-G-7168
(ucs-set-char #x7E0A ?$@eP(B) ; J78-@-6550
(ucs-set-char #x7E0A ?$BeP(B) ; J83-B-6550
(ucs-set-char #x7E0B ?$(HYD(B) ; C02-H-5944
(ucs-set-char #x7E0B ?$@eW(B) ; J78-@-6557
(ucs-set-char #x7E0B ?$BeW(B) ; J83-B-6557
(ucs-set-char #x7E0C ?$(HY;(B) ; C02-H-593B
(ucs-set-char #x7E0D ?$(HYG(B) ; C02-H-5947
(ucs-set-char #x7E0E ?$(HY?(B) ; C02-H-593F
(ucs-set-char #x7E0F ?$(HYE(B) ; C02-H-5945
(ucs-set-char #x7E10 ?$(DT@(B) ; J90-D-5440
(ucs-set-char #x7E10 ?$(Gqp(B) ; C01-G-7170
(ucs-set-char #x7E11 ?$(DTA(B) ; J90-D-5441
(ucs-set-char #x7E11 ?$(Gqi(B) ; C01-G-7169
(ucs-set-char #x7E12 ?$(HY8(B) ; C02-H-5938
(ucs-set-char #x7E12 ?$@eS(B) ; J78-@-6553
(ucs-set-char #x7E12 ?$BeS(B) ; J83-B-6553
(ucs-set-char #x7E13 ?$(HY>(B) ; C02-H-593E
(ucs-set-char #x7E14 ?$(HYH(B) ; C02-H-5948
(ucs-set-char #x7E15 ?$(Ch2(B) ; KS0-C-6832
(ucs-set-char #x7E15 ?$(DTB(B) ; J90-D-5442
(ucs-set-char #x7E15 ?$(HYA(B) ; C02-H-5941
(ucs-set-char #x7E16 ?$(HYF(B) ; C02-H-5946
(ucs-set-char #x7E17 ?$(DTC(B) ; J90-D-5443
(ucs-set-char #x7E17 ?$(HY:(B) ; C02-H-593A
(ucs-set-char #x7E18 ?$(JRL(B) ; C04-J-524C
(ucs-set-char #x7E19 ?$(IR;(B) ; C03-I-523B
(ucs-set-char #x7E1A ?$(HYB(B) ; C02-H-5942
(ucs-set-char #x7E1B ?$(CZZ(B) ; KS0-C-5A5A
(ucs-set-char #x7E1B ?$(Gqk(B) ; C01-G-716B
(ucs-set-char #x7E1B ?$@G{(B) ; J78-@-477B
(ucs-set-char #x7E1B ?$BG{(B) ; J83-B-477B
(ucs-set-char #x7E1C ?$(DTD(B) ; J90-D-5444
(ucs-set-char #x7E1C ?$(HY@(B) ; C02-H-5940
(ucs-set-char #x7E1D ?$(Cr\(B) ; KS0-C-725C
(ucs-set-char #x7E1D ?$(DTE(B) ; J90-D-5445
(ucs-set-char #x7E1D ?$(Gqn(B) ; C01-G-716E
(ucs-set-char #x7E1E ?$(C{V(B) ; KS0-C-7B56
(ucs-set-char #x7E1E ?$(Gqm(B) ; C01-G-716D
(ucs-set-char #x7E1E ?$@<J(B) ; J78-@-3C4A
(ucs-set-char #x7E1E ?$B<J(B) ; J83-B-3C4A
(ucs-set-char #x7E1F ?$(Ci2(B) ; KS0-C-6932
(ucs-set-char #x7E1F ?$(HY<(B) ; C02-H-593C
(ucs-set-char #x7E1F ?$@eU(B) ; J78-@-6555
(ucs-set-char #x7E1F ?$BeU(B) ; J83-B-6555
(ucs-set-char #x7E20 ?$(DTF(B) ; J90-D-5446
(ucs-set-char #x7E20 ?$(HY=(B) ; C02-H-593D
(ucs-set-char #x7E21 ?$(Cn-(B) ; KS0-C-6E2D
(ucs-set-char #x7E21 ?$(HY9(B) ; C02-H-5939
(ucs-set-char #x7E21 ?$@eR(B) ; J78-@-6552
(ucs-set-char #x7E21 ?$BeR(B) ; J83-B-6552
(ucs-set-char #x7E22 ?$(HYC(B) ; C02-H-5943
(ucs-set-char #x7E22 ?$@eX(B) ; J78-@-6558
(ucs-set-char #x7E22 ?$BeX(B) ; J83-B-6558
(ucs-set-char #x7E23 ?$(Czc(B) ; KS0-C-7A63
(ucs-set-char #x7E23 ?$(Gql(B) ; C01-G-716C
(ucs-set-char #x7E23 ?$@eQ(B) ; J78-@-6551
(ucs-set-char #x7E23 ?$BeQ(B) ; J83-B-6551
(ucs-set-char #x7E24 ?$(HYJ(B) ; C02-H-594A
(ucs-set-char #x7E25 ?$(HYI(B) ; C02-H-5949
(ucs-set-char #x7E26 ?$(IR@(B) ; C03-I-5240
(ucs-set-char #x7E26 ?$@=D(B) ; J78-@-3D44
(ucs-set-char #x7E26 ?$B=D(B) ; J83-B-3D44
(ucs-set-char #x7E27 ?$(DTG(B) ; J90-D-5447
(ucs-set-char #x7E27 ?$(IR?(B) ; C03-I-523F
(ucs-set-char #x7E28 ?$(DTH(B) ; J90-D-5448
(ucs-set-char #x7E29 ?$(H^G(B) ; C02-H-5E47
(ucs-set-char #x7E2A ?$(H^C(B) ; C02-H-5E43
(ucs-set-char #x7E2B ?$(C\n(B) ; KS0-C-5C6E
(ucs-set-char #x7E2B ?$(Gti(B) ; C01-G-7469
(ucs-set-char #x7E2B ?$@K%(B) ; J78-@-4B25
(ucs-set-char #x7E2B ?$BK%(B) ; J83-B-4B25
(ucs-set-char #x7E2C ?$(DTI(B) ; J90-D-5449
(ucs-set-char #x7E2C ?$(IUy(B) ; C03-I-5579
(ucs-set-char #x7E2D ?$(DTJ(B) ; J90-D-544A
(ucs-set-char #x7E2D ?$(H^=(B) ; C02-H-5E3D
(ucs-set-char #x7E2E ?$(Cuj(B) ; KS0-C-756A
(ucs-set-char #x7E2E ?$(Gtc(B) ; C01-G-7463
(ucs-set-char #x7E2E ?$@=L(B) ; J78-@-3D4C
(ucs-set-char #x7E2E ?$B=L(B) ; J83-B-3D4C
(ucs-set-char #x7E2F ?$(Cf`(B) ; KS0-C-6660
(ucs-set-char #x7E2F ?$(DTK(B) ; J90-D-544B
(ucs-set-char #x7E2F ?$(Gts(B) ; C01-G-7473
(ucs-set-char #x7E30 ?$(H^I(B) ; C02-H-5E49
(ucs-set-char #x7E31 ?$(Cp}(B) ; KS0-C-707D
(ucs-set-char #x7E31 ?$(Gtk(B) ; C01-G-746B
(ucs-set-char #x7E31 ?$@eT(B) ; J78-@-6554
(ucs-set-char #x7E31 ?$BeT(B) ; J83-B-6554
(ucs-set-char #x7E32 ?$(Gtg(B) ; C01-G-7467
(ucs-set-char #x7E32 ?$@e`(B) ; J78-@-6560
(ucs-set-char #x7E32 ?$Be`(B) ; J83-B-6560
(ucs-set-char #x7E33 ?$(DTL(B) ; J90-D-544C
(ucs-set-char #x7E33 ?$(H^@(B) ; C02-H-5E40
(ucs-set-char #x7E34 ?$(Gtn(B) ; C01-G-746E
(ucs-set-char #x7E35 ?$(Gtq(B) ; C01-G-7471
(ucs-set-char #x7E35 ?$@e\(B) ; J78-@-655C
(ucs-set-char #x7E35 ?$Be\(B) ; J83-B-655C
(ucs-set-char #x7E36 ?$(DTM(B) ; J90-D-544D
(ucs-set-char #x7E36 ?$(H^K(B) ; C02-H-5E4B
(ucs-set-char #x7E37 ?$(CW,(B) ; KS0-C-572C
(ucs-set-char #x7E37 ?$(Gtf(B) ; C01-G-7466
(ucs-set-char #x7E37 ?$@e_(B) ; J78-@-655F
(ucs-set-char #x7E37 ?$Be_(B) ; J83-B-655F
(ucs-set-char #x7E38 ?$(H^B(B) ; C02-H-5E42
(ucs-set-char #x7E39 ?$(Gto(B) ; C01-G-746F
(ucs-set-char #x7E39 ?$@e](B) ; J78-@-655D
(ucs-set-char #x7E39 ?$Be](B) ; J83-B-655D
(ucs-set-char #x7E3A ?$(H^M(B) ; C02-H-5E4D
(ucs-set-char #x7E3A ?$@ea(B) ; J78-@-6561
(ucs-set-char #x7E3A ?$Bea(B) ; J83-B-6561
(ucs-set-char #x7E3B ?$(H^J(B) ; C02-H-5E4A
(ucs-set-char #x7E3B ?$@e[(B) ; J78-@-655B
(ucs-set-char #x7E3B ?$Awc(B) ; GB0-A-7763
(ucs-set-char #x7E3B ?$Be[(B) ; J83-B-655B
(ucs-set-char #x7E3C ?$(H^>(B) ; C02-H-5E3E
(ucs-set-char #x7E3D ?$(CuE(B) ; KS0-C-7545
(ucs-set-char #x7E3D ?$(Gtj(B) ; C01-G-746A
(ucs-set-char #x7E3D ?$@eA(B) ; J78-@-6541
(ucs-set-char #x7E3D ?$BeA(B) ; J83-B-6541
(ucs-set-char #x7E3E ?$(Cn`(B) ; KS0-C-6E60
(ucs-set-char #x7E3E ?$(Gtd(B) ; C01-G-7464
(ucs-set-char #x7E3E ?$@@S(B) ; J78-@-4053
(ucs-set-char #x7E3E ?$B@S(B) ; J83-B-4053
(ucs-set-char #x7E3F ?$(DTN(B) ; J90-D-544E
(ucs-set-char #x7E3F ?$(Gtr(B) ; C01-G-7472
(ucs-set-char #x7E40 ?$(H^E(B) ; C02-H-5E45
(ucs-set-char #x7E41 ?$(C[e(B) ; KS0-C-5B65
(ucs-set-char #x7E41 ?$(Gtm(B) ; C01-G-746D
(ucs-set-char #x7E41 ?$@HK(B) ; J78-@-484B
(ucs-set-char #x7E41 ?$A71(B) ; GB0-A-3731
(ucs-set-char #x7E41 ?$BHK(B) ; J83-B-484B
(ucs-set-char #x7E42 ?$(H^?(B) ; C02-H-5E3F
(ucs-set-char #x7E43 ?$(C]^(B) ; KS0-C-5D5E
(ucs-set-char #x7E43 ?$(Gth(B) ; C01-G-7468
(ucs-set-char #x7E43 ?$@e^(B) ; J78-@-655E
(ucs-set-char #x7E43 ?$Be^(B) ; J83-B-655E
(ucs-set-char #x7E44 ?$(DTO(B) ; J90-D-544F
(ucs-set-char #x7E44 ?$(H^L(B) ; C02-H-5E4C
(ucs-set-char #x7E45 ?$(DTP(B) ; J90-D-5450
(ucs-set-char #x7E45 ?$(Gtl(B) ; C01-G-746C
(ucs-set-char #x7E46 ?$(CYp(B) ; KS0-C-5970
(ucs-set-char #x7E46 ?$(Gte(B) ; C01-G-7465
(ucs-set-char #x7E46 ?$@eY(B) ; J78-@-6559
(ucs-set-char #x7E46 ?$BeY(B) ; J83-B-6559
(ucs-set-char #x7E47 ?$(Ci#(B) ; KS0-C-6923
(ucs-set-char #x7E47 ?$(DTQ(B) ; J90-D-5451
(ucs-set-char #x7E47 ?$(H^F(B) ; C02-H-5E46
(ucs-set-char #x7E47 ?$Atm(B) ; GB0-A-746D
(ucs-set-char #x7E48 ?$(Gtp(B) ; C01-G-7470
(ucs-set-char #x7E49 ?$(H^D(B) ; C02-H-5E44
(ucs-set-char #x7E4A ?$@A!(B) ; J78-@-4121
(ucs-set-char #x7E4A ?$BA!(B) ; J83-B-4121
(ucs-set-char #x7E4B ?$B7R(B) ; J83-B-3752
(ucs-set-char #x7E4C ?$(H^H(B) ; C02-H-5E48
(ucs-set-char #x7E4D ?$(IUz(B) ; C03-I-557A
(ucs-set-char #x7E4D ?$B=+(B) ; J83-B-3D2B
(ucs-set-char #x7E4E ?$(DTR(B) ; J90-D-5452
(ucs-set-char #x7E4E ?$(J\_(B) ; C04-J-5C5F
(ucs-set-char #x7E4F ?$(IXY(B) ; C03-I-5859
(ucs-set-char #x7E50 ?$(DTS(B) ; J90-D-5453
(ucs-set-char #x7E50 ?$(HbZ(B) ; C02-H-625A
(ucs-set-char #x7E51 ?$(Hb`(B) ; C02-H-6260
(ucs-set-char #x7E52 ?$(Cqy(B) ; KS0-C-7179
(ucs-set-char #x7E52 ?$(DTT(B) ; J90-D-5454
(ucs-set-char #x7E52 ?$(Gw%(B) ; C01-G-7725
(ucs-set-char #x7E53 ?$(Hbc(B) ; C02-H-6263
(ucs-set-char #x7E54 ?$(CrD(B) ; KS0-C-7244
(ucs-set-char #x7E54 ?$(Gv~(B) ; C01-G-767E
(ucs-set-char #x7E54 ?$@?%(B) ; J78-@-3F25
(ucs-set-char #x7E54 ?$B?%(B) ; J83-B-3F25
(ucs-set-char #x7E55 ?$(C`K(B) ; KS0-C-604B
(ucs-set-char #x7E55 ?$(Gw!(B) ; C01-G-7721
(ucs-set-char #x7E55 ?$@A6(B) ; J78-@-4136
(ucs-set-char #x7E55 ?$BA6(B) ; J83-B-4136
(ucs-set-char #x7E56 ?$(Hb[(B) ; C02-H-625B
(ucs-set-char #x7E56 ?$@ed(B) ; J78-@-6564
(ucs-set-char #x7E56 ?$Bed(B) ; J83-B-6564
(ucs-set-char #x7E57 ?$(Hbb(B) ; C02-H-6262
(ucs-set-char #x7E58 ?$(DTU(B) ; J90-D-5455
(ucs-set-char #x7E58 ?$(Hb](B) ; C02-H-625D
(ucs-set-char #x7E59 ?$(Gw&(B) ; C01-G-7726
(ucs-set-char #x7E59 ?$@ef(B) ; J78-@-6566
(ucs-set-char #x7E59 ?$Bef(B) ; J83-B-6566
(ucs-set-char #x7E5A ?$(Gw#(B) ; C01-G-7723
(ucs-set-char #x7E5A ?$@eg(B) ; J78-@-6567
(ucs-set-char #x7E5A ?$Beg(B) ; J83-B-6567
(ucs-set-char #x7E5B ?$(IX[(B) ; C03-I-585B
(ucs-set-char #x7E5C ?$(HbY(B) ; C02-H-6259
(ucs-set-char #x7E5D ?$(IXX(B) ; C03-I-5858
(ucs-set-char #x7E5D ?$@ec(B) ; J78-@-6563
(ucs-set-char #x7E5D ?$Bec(B) ; J83-B-6563
(ucs-set-char #x7E5E ?$(Ci$(B) ; KS0-C-6924
(ucs-set-char #x7E5E ?$(Gw"(B) ; C01-G-7722
(ucs-set-char #x7E5E ?$@ee(B) ; J78-@-6565
(ucs-set-char #x7E5E ?$Bee(B) ; J83-B-6565
(ucs-set-char #x7E5F ?$(DTV(B) ; J90-D-5456
(ucs-set-char #x7E5F ?$(Hb_(B) ; C02-H-625F
(ucs-set-char #x7E60 ?$(Hba(B) ; C02-H-6261
(ucs-set-char #x7E61 ?$(Cb9(B) ; KS0-C-6239
(ucs-set-char #x7E61 ?$(DTW(B) ; J90-D-5457
(ucs-set-char #x7E61 ?$(Gw$(B) ; C01-G-7724
(ucs-set-char #x7E61 ?$@=+(B) ; J78-@-3D2B
(ucs-set-char #x7E62 ?$(DTX(B) ; J90-D-5458
(ucs-set-char #x7E62 ?$(Hb^(B) ; C02-H-625E
(ucs-set-char #x7E63 ?$(Hb\(B) ; C02-H-625C
(ucs-set-char #x7E64 ?$(MAY(B) ; C07-M-4159
(ucs-set-char #x7E65 ?$(DTY(B) ; J90-D-5459
(ucs-set-char #x7E65 ?$(J\^(B) ; C04-J-5C5E
(ucs-set-char #x7E66 ?$(IXZ(B) ; C03-I-585A
(ucs-set-char #x7E66 ?$@eZ(B) ; J78-@-655A
(ucs-set-char #x7E66 ?$BeZ(B) ; J83-B-655A
(ucs-set-char #x7E67 ?$@eb(B) ; J78-@-6562
(ucs-set-char #x7E67 ?$Beb(B) ; J83-B-6562
(ucs-set-char #x7E68 ?$(HfB(B) ; C02-H-6642
(ucs-set-char #x7E69 ?$(Cc1(B) ; KS0-C-6331
(ucs-set-char #x7E69 ?$(Gxb(B) ; C01-G-7862
(ucs-set-char #x7E69 ?$@ej(B) ; J78-@-656A
(ucs-set-char #x7E69 ?$Bej(B) ; J83-B-656A
(ucs-set-char #x7E6A ?$(C|k(B) ; KS0-C-7C6B
(ucs-set-char #x7E6A ?$(Gxc(B) ; C01-G-7863
(ucs-set-char #x7E6A ?$@ei(B) ; J78-@-6569
(ucs-set-char #x7E6A ?$Bei(B) ; J83-B-6569
(ucs-set-char #x7E6B ?$(CM((B) ; KS0-C-4D28
(ucs-set-char #x7E6B ?$(DTZ(B) ; J90-D-545A
(ucs-set-char #x7E6B ?$(Gx_(B) ; C01-G-785F
(ucs-set-char #x7E6B ?$@7R(B) ; J78-@-3752
(ucs-set-char #x7E6C ?$(IZr(B) ; C03-I-5A72
(ucs-set-char #x7E6D ?$(CL6(B) ; KS0-C-4C36
(ucs-set-char #x7E6D ?$(Gx`(B) ; C01-G-7860
(ucs-set-char #x7E6D ?$@Kz(B) ; J78-@-4B7A
(ucs-set-char #x7E6D ?$BKz(B) ; J83-B-4B7A
(ucs-set-char #x7E6E ?$(DT[(B) ; J90-D-545B
(ucs-set-char #x7E6E ?$(IZt(B) ; C03-I-5A74
(ucs-set-char #x7E6F ?$(DT\(B) ; J90-D-545C
(ucs-set-char #x7E6F ?$(Hf>(B) ; C02-H-663E
(ucs-set-char #x7E70 ?$(Cp[(B) ; KS0-C-705B
(ucs-set-char #x7E70 ?$(Hf<(B) ; C02-H-663C
(ucs-set-char #x7E70 ?$@7+(B) ; J78-@-372B
(ucs-set-char #x7E70 ?$B7+(B) ; J83-B-372B
(ucs-set-char #x7E71 ?$(IZu(B) ; C03-I-5A75
(ucs-set-char #x7E72 ?$(Hf@(B) ; C02-H-6640
(ucs-set-char #x7E73 ?$(DT](B) ; J90-D-545D
(ucs-set-char #x7E73 ?$(Gxd(B) ; C01-G-7864
(ucs-set-char #x7E74 ?$(HfA(B) ; C02-H-6641
(ucs-set-char #x7E75 ?$(Hf:(B) ; C02-H-663A
(ucs-set-char #x7E76 ?$(Hf9(B) ; C02-H-6639
(ucs-set-char #x7E77 ?$(Hf=(B) ; C02-H-663D
(ucs-set-char #x7E78 ?$(DT^(B) ; J90-D-545E
(ucs-set-char #x7E78 ?$(Hf;(B) ; C02-H-663B
(ucs-set-char #x7E79 ?$(Cf:(B) ; KS0-C-663A
(ucs-set-char #x7E79 ?$(Gxa(B) ; C01-G-7861
(ucs-set-char #x7E79 ?$@eh(B) ; J78-@-6568
(ucs-set-char #x7E79 ?$Beh(B) ; J83-B-6568
(ucs-set-char #x7E7A ?$(Hf?(B) ; C02-H-663F
(ucs-set-char #x7E7B ?$(HiY(B) ; C02-H-6959
(ucs-set-char #x7E7B ?$@el(B) ; J78-@-656C
(ucs-set-char #x7E7B ?$Bel(B) ; J83-B-656C
(ucs-set-char #x7E7C ?$(CM)(B) ; KS0-C-4D29
(ucs-set-char #x7E7C ?$(Gz+(B) ; C01-G-7A2B
(ucs-set-char #x7E7C ?$@ek(B) ; J78-@-656B
(ucs-set-char #x7E7C ?$Bek(B) ; J83-B-656B
(ucs-set-char #x7E7D ?$(Gz*(B) ; C01-G-7A2A
(ucs-set-char #x7E7D ?$@eo(B) ; J78-@-656F
(ucs-set-char #x7E7D ?$Beo(B) ; J83-B-656F
(ucs-set-char #x7E7E ?$(DT_(B) ; J90-D-545F
(ucs-set-char #x7E7E ?$(HiZ(B) ; C02-H-695A
(ucs-set-char #x7E7F ?$(I\l(B) ; C03-I-5C6C
(ucs-set-char #x7E7F ?$@eq(B) ; J78-@-6571
(ucs-set-char #x7E7F ?$Beq(B) ; J83-B-6571
(ucs-set-char #x7E80 ?$(Hi\(B) ; C02-H-695C
(ucs-set-char #x7E81 ?$(DT`(B) ; J90-D-5460
(ucs-set-char #x7E81 ?$(Hi[(B) ; C02-H-695B
(ucs-set-char #x7E82 ?$(CsC(B) ; KS0-C-7343
(ucs-set-char #x7E82 ?$(Gz,(B) ; C01-G-7A2C
(ucs-set-char #x7E82 ?$@;<(B) ; J78-@-3B3C
(ucs-set-char #x7E82 ?$AWk(B) ; GB0-A-576B
(ucs-set-char #x7E82 ?$B;<(B) ; J83-B-3B3C
(ucs-set-char #x7E83 ?$@em(B) ; J78-@-656D
(ucs-set-char #x7E83 ?$Bem(B) ; J83-B-656D
(ucs-set-char #x7E84 ?$(I^S(B) ; C03-I-5E53
(ucs-set-char #x7E85 ?$(I^P(B) ; C03-I-5E50
(ucs-set-char #x7E86 ?$(DTa(B) ; J90-D-5461
(ucs-set-char #x7E86 ?$(Hky(B) ; C02-H-6B79
(ucs-set-char #x7E87 ?$(DTb(B) ; J90-D-5462
(ucs-set-char #x7E87 ?$(Hkv(B) ; C02-H-6B76
(ucs-set-char #x7E88 ?$(Hkw(B) ; C02-H-6B77
(ucs-set-char #x7E88 ?$@er(B) ; J78-@-6572
(ucs-set-char #x7E88 ?$Ber(B) ; J83-B-6572
(ucs-set-char #x7E89 ?$(I^Q(B) ; C03-I-5E51
(ucs-set-char #x7E89 ?$@es(B) ; J78-@-6573
(ucs-set-char #x7E89 ?$Bes(B) ; J83-B-6573
(ucs-set-char #x7E8A ?$(DTc(B) ; J90-D-5463
(ucs-set-char #x7E8A ?$(Hku(B) ; C02-H-6B75
(ucs-set-char #x7E8B ?$(Hkx(B) ; C02-H-6B78
(ucs-set-char #x7E8C ?$(CaY(B) ; KS0-C-6159
(ucs-set-char #x7E8C ?$(Gz}(B) ; C01-G-7A7D
(ucs-set-char #x7E8C ?$@et(B) ; J78-@-6574
(ucs-set-char #x7E8C ?$Bet(B) ; J83-B-6574
(ucs-set-char #x7E8D ?$(DTd(B) ; J90-D-5464
(ucs-set-char #x7E8D ?$(Hkz(B) ; C02-H-6B7A
(ucs-set-char #x7E8E ?$(I^R(B) ; C03-I-5E52
(ucs-set-char #x7E8E ?$@ez(B) ; J78-@-657A
(ucs-set-char #x7E8E ?$Bez(B) ; J83-B-657A
(ucs-set-char #x7E8F ?$(Co+(B) ; KS0-C-6F2B
(ucs-set-char #x7E8F ?$(Gz|(B) ; C01-G-7A7C
(ucs-set-char #x7E8F ?$@E;(B) ; J78-@-453B
(ucs-set-char #x7E8F ?$BE;(B) ; J83-B-453B
(ucs-set-char #x7E90 ?$@ev(B) ; J78-@-6576
(ucs-set-char #x7E90 ?$Bev(B) ; J83-B-6576
(ucs-set-char #x7E91 ?$(DTe(B) ; J90-D-5465
(ucs-set-char #x7E91 ?$(Hmo(B) ; C02-H-6D6F
(ucs-set-char #x7E92 ?$(I_Z(B) ; C03-I-5F5A
(ucs-set-char #x7E92 ?$@eu(B) ; J78-@-6575
(ucs-set-char #x7E92 ?$Beu(B) ; J83-B-6575
(ucs-set-char #x7E93 ?$(CgE(B) ; KS0-C-6745
(ucs-set-char #x7E93 ?$(G|A(B) ; C01-G-7C41
(ucs-set-char #x7E93 ?$@ew(B) ; J78-@-6577
(ucs-set-char #x7E93 ?$Bew(B) ; J83-B-6577
(ucs-set-char #x7E94 ?$(G|C(B) ; C01-G-7C43
(ucs-set-char #x7E94 ?$@ex(B) ; J78-@-6578
(ucs-set-char #x7E94 ?$Bex(B) ; J83-B-6578
(ucs-set-char #x7E95 ?$(DTf(B) ; J90-D-5466
(ucs-set-char #x7E95 ?$(Ho=(B) ; C02-H-6F3D
(ucs-set-char #x7E96 ?$(C`i(B) ; KS0-C-6069
(ucs-set-char #x7E96 ?$(G|B(B) ; C01-G-7C42
(ucs-set-char #x7E96 ?$@ey(B) ; J78-@-6579
(ucs-set-char #x7E96 ?$Bey(B) ; J83-B-6579
(ucs-set-char #x7E97 ?$(HpG(B) ; C02-H-7047
(ucs-set-char #x7E98 ?$(CsE(B) ; KS0-C-7345
(ucs-set-char #x7E98 ?$(DTg(B) ; J90-D-5467
(ucs-set-char #x7E98 ?$(Hq/(B) ; C02-H-712F
(ucs-set-char #x7E99 ?$(Hq1(B) ; C02-H-7131
(ucs-set-char #x7E9A ?$(DTh(B) ; J90-D-5468
(ucs-set-char #x7E9A ?$(Hq.(B) ; C02-H-712E
(ucs-set-char #x7E9B ?$(CT@(B) ; KS0-C-5440
(ucs-set-char #x7E9B ?$(Hq0(B) ; C02-H-7130
(ucs-set-char #x7E9B ?$@e{(B) ; J78-@-657B
(ucs-set-char #x7E9B ?$Atn(B) ; GB0-A-746E
(ucs-set-char #x7E9B ?$Be{(B) ; J83-B-657B
(ucs-set-char #x7E9C ?$(CU?(B) ; KS0-C-553F
(ucs-set-char #x7E9C ?$(G}9(B) ; C01-G-7D39
(ucs-set-char #x7E9C ?$@e|(B) ; J78-@-657C
(ucs-set-char #x7E9C ?$Be|(B) ; J83-B-657C
(ucs-set-char #x7E9D ?$(DTi(B) ; J90-D-5469
(ucs-set-char #x7E9D ?$(Jmx(B) ; C04-J-6D78
(ucs-set-char #x7E9E ?$(DTj(B) ; J90-D-546A
(ucs-set-char #x7E9E ?$(Ib5(B) ; C03-I-6235
(ucs-set-char #x7E9F ?$Afy(B) ; GB0-A-6679
(ucs-set-char #x7EA0 ?$A>@(B) ; GB0-A-3E40
(ucs-set-char #x7EA1 ?$Afz(B) ; GB0-A-667A
(ucs-set-char #x7EA2 ?$A:l(B) ; GB0-A-3A6C
(ucs-set-char #x7EA3 ?$Af{(B) ; GB0-A-667B
(ucs-set-char #x7EA4 ?$AOK(B) ; GB0-A-4F4B
(ucs-set-char #x7EA5 ?$Af|(B) ; GB0-A-667C
(ucs-set-char #x7EA6 ?$AT<(B) ; GB0-A-543C
(ucs-set-char #x7EA7 ?$A<6(B) ; GB0-A-3C36
(ucs-set-char #x7EA8 ?$Af}(B) ; GB0-A-667D
(ucs-set-char #x7EA9 ?$Af~(B) ; GB0-A-667E
(ucs-set-char #x7EAA ?$A<M(B) ; GB0-A-3C4D
(ucs-set-char #x7EAB ?$AHR(B) ; GB0-A-4852
(ucs-set-char #x7EAC ?$AN3(B) ; GB0-A-4E33
(ucs-set-char #x7EAD ?$Ag!(B) ; GB0-A-6721
(ucs-set-char #x7EAF ?$A4?(B) ; GB0-A-343F
(ucs-set-char #x7EB0 ?$Ag"(B) ; GB0-A-6722
(ucs-set-char #x7EB1 ?$AI4(B) ; GB0-A-4934
(ucs-set-char #x7EB2 ?$A8Y(B) ; GB0-A-3859
(ucs-set-char #x7EB3 ?$ADI(B) ; GB0-A-4449
(ucs-set-char #x7EB5 ?$AW](B) ; GB0-A-575D
(ucs-set-char #x7EB6 ?$ABZ(B) ; GB0-A-425A
(ucs-set-char #x7EB7 ?$A7W(B) ; GB0-A-3757
(ucs-set-char #x7EB8 ?$AV=(B) ; GB0-A-563D
(ucs-set-char #x7EB9 ?$ANF(B) ; GB0-A-4E46
(ucs-set-char #x7EBA ?$A7D(B) ; GB0-A-3744
(ucs-set-char #x7EBD ?$AE&(B) ; GB0-A-4526
(ucs-set-char #x7EBE ?$Ag#(B) ; GB0-A-6723
(ucs-set-char #x7EBF ?$AO_(B) ; GB0-A-4F5F
(ucs-set-char #x7EC0 ?$Ag$(B) ; GB0-A-6724
(ucs-set-char #x7EC1 ?$Ag%(B) ; GB0-A-6725
(ucs-set-char #x7EC2 ?$Ag&(B) ; GB0-A-6726
(ucs-set-char #x7EC3 ?$AA7(B) ; GB0-A-4137
(ucs-set-char #x7EC4 ?$AWi(B) ; GB0-A-5769
(ucs-set-char #x7EC5 ?$AIp(B) ; GB0-A-4970
(ucs-set-char #x7EC6 ?$AO8(B) ; GB0-A-4F38
(ucs-set-char #x7EC7 ?$AV/(B) ; GB0-A-562F
(ucs-set-char #x7EC8 ?$AVU(B) ; GB0-A-5655
(ucs-set-char #x7EC9 ?$Ag'(B) ; GB0-A-6727
(ucs-set-char #x7ECA ?$A0m(B) ; GB0-A-306D
(ucs-set-char #x7ECB ?$Ag((B) ; GB0-A-6728
(ucs-set-char #x7ECC ?$Ag)(B) ; GB0-A-6729
(ucs-set-char #x7ECD ?$AI\(B) ; GB0-A-495C
(ucs-set-char #x7ECE ?$ARo(B) ; GB0-A-526F
(ucs-set-char #x7ECF ?$A>-(B) ; GB0-A-3E2D
(ucs-set-char #x7ED0 ?$Ag*(B) ; GB0-A-672A
(ucs-set-char #x7ED1 ?$A0s(B) ; GB0-A-3073
(ucs-set-char #x7ED2 ?$AH^(B) ; GB0-A-485E
(ucs-set-char #x7ED3 ?$A=a(B) ; GB0-A-3D61
(ucs-set-char #x7ED4 ?$Ag+(B) ; GB0-A-672B
(ucs-set-char #x7ED5 ?$AHF(B) ; GB0-A-4846
(ucs-set-char #x7ED7 ?$Ag,(B) ; GB0-A-672C
(ucs-set-char #x7ED8 ?$A;f(B) ; GB0-A-3B66
(ucs-set-char #x7ED9 ?$A8x(B) ; GB0-A-3878
(ucs-set-char #x7EDA ?$AQ$(B) ; GB0-A-5124
(ucs-set-char #x7EDB ?$Ag-(B) ; GB0-A-672D
(ucs-set-char #x7EDC ?$ABg(B) ; GB0-A-4267
(ucs-set-char #x7EDD ?$A>x(B) ; GB0-A-3E78
(ucs-set-char #x7EDE ?$A=J(B) ; GB0-A-3D4A
(ucs-set-char #x7EDF ?$AM3(B) ; GB0-A-4D33
(ucs-set-char #x7EE0 ?$Ag.(B) ; GB0-A-672E
(ucs-set-char #x7EE1 ?$Ag/(B) ; GB0-A-672F
(ucs-set-char #x7EE2 ?$A>n(B) ; GB0-A-3E6E
(ucs-set-char #x7EE3 ?$APe(B) ; GB0-A-5065
(ucs-set-char #x7EE5 ?$AKg(B) ; GB0-A-4B67
(ucs-set-char #x7EE6 ?$ALP(B) ; GB0-A-4C50
(ucs-set-char #x7EE7 ?$A<L(B) ; GB0-A-3C4C
(ucs-set-char #x7EE8 ?$Ag0(B) ; GB0-A-6730
(ucs-set-char #x7EE9 ?$A<((B) ; GB0-A-3C28
(ucs-set-char #x7EEA ?$APw(B) ; GB0-A-5077
(ucs-set-char #x7EEB ?$Ag1(B) ; GB0-A-6731
(ucs-set-char #x7EED ?$APx(B) ; GB0-A-5078
(ucs-set-char #x7EEE ?$Ag2(B) ; GB0-A-6732
(ucs-set-char #x7EEF ?$Ag3(B) ; GB0-A-6733
(ucs-set-char #x7EF0 ?$A4B(B) ; GB0-A-3442
(ucs-set-char #x7EF1 ?$Ag4(B) ; GB0-A-6734
(ucs-set-char #x7EF2 ?$Ag5(B) ; GB0-A-6735
(ucs-set-char #x7EF3 ?$AI~(B) ; GB0-A-497E
(ucs-set-char #x7EF4 ?$AN,(B) ; GB0-A-4E2C
(ucs-set-char #x7EF5 ?$AC`(B) ; GB0-A-4360
(ucs-set-char #x7EF6 ?$Ag7(B) ; GB0-A-6737
(ucs-set-char #x7EF7 ?$A1A(B) ; GB0-A-3141
(ucs-set-char #x7EF8 ?$A3q(B) ; GB0-A-3371
(ucs-set-char #x7EFA ?$Ag8(B) ; GB0-A-6738
(ucs-set-char #x7EFB ?$Ag9(B) ; GB0-A-6739
(ucs-set-char #x7EFC ?$AW[(B) ; GB0-A-575B
(ucs-set-char #x7EFD ?$AU@(B) ; GB0-A-5540
(ucs-set-char #x7EFE ?$Ag:(B) ; GB0-A-673A
(ucs-set-char #x7EFF ?$ABL(B) ; GB0-A-424C
(ucs-set-char #x7F00 ?$AW:(B) ; GB0-A-573A
(ucs-set-char #x7F01 ?$Ag;(B) ; GB0-A-673B
(ucs-set-char #x7F02 ?$Ag<(B) ; GB0-A-673C
(ucs-set-char #x7F03 ?$Ag=(B) ; GB0-A-673D
(ucs-set-char #x7F04 ?$A<j(B) ; GB0-A-3C6A
(ucs-set-char #x7F05 ?$ACe(B) ; GB0-A-4365
(ucs-set-char #x7F06 ?$A@B(B) ; GB0-A-4042
(ucs-set-char #x7F07 ?$Ag>(B) ; GB0-A-673E
(ucs-set-char #x7F08 ?$Ag?(B) ; GB0-A-673F
(ucs-set-char #x7F09 ?$A<)(B) ; GB0-A-3C29
(ucs-set-char #x7F0B ?$Ag@(B) ; GB0-A-6740
(ucs-set-char #x7F0C ?$AgA(B) ; GB0-A-6741
(ucs-set-char #x7F0D ?$Ag6(B) ; GB0-A-6736
(ucs-set-char #x7F0E ?$A6P(B) ; GB0-A-3650
(ucs-set-char #x7F0F ?$AgB(B) ; GB0-A-6742
(ucs-set-char #x7F11 ?$AgC(B) ; GB0-A-6743
(ucs-set-char #x7F12 ?$AgD(B) ; GB0-A-6744
(ucs-set-char #x7F13 ?$A;:(B) ; GB0-A-3B3A
(ucs-set-char #x7F14 ?$A5^(B) ; GB0-A-355E
(ucs-set-char #x7F15 ?$ABF(B) ; GB0-A-4246
(ucs-set-char #x7F16 ?$A1`(B) ; GB0-A-3160
(ucs-set-char #x7F17 ?$AgE(B) ; GB0-A-6745
(ucs-set-char #x7F18 ?$AT5(B) ; GB0-A-5435
(ucs-set-char #x7F19 ?$AgF(B) ; GB0-A-6746
(ucs-set-char #x7F1A ?$A8?(B) ; GB0-A-383F
(ucs-set-char #x7F1B ?$AgH(B) ; GB0-A-6748
(ucs-set-char #x7F1C ?$AgG(B) ; GB0-A-6747
(ucs-set-char #x7F1D ?$A7l(B) ; GB0-A-376C
(ucs-set-char #x7F1F ?$AgI(B) ; GB0-A-6749
(ucs-set-char #x7F20 ?$A2x(B) ; GB0-A-3278
(ucs-set-char #x7F21 ?$AgJ(B) ; GB0-A-674A
(ucs-set-char #x7F22 ?$AgK(B) ; GB0-A-674B
(ucs-set-char #x7F23 ?$AgL(B) ; GB0-A-674C
(ucs-set-char #x7F24 ?$AgM(B) ; GB0-A-674D
(ucs-set-char #x7F25 ?$AgN(B) ; GB0-A-674E
(ucs-set-char #x7F26 ?$AgO(B) ; GB0-A-674F
(ucs-set-char #x7F27 ?$AgP(B) ; GB0-A-6750
(ucs-set-char #x7F28 ?$AS'(B) ; GB0-A-5327
(ucs-set-char #x7F29 ?$AKu(B) ; GB0-A-4B75
(ucs-set-char #x7F2A ?$AgQ(B) ; GB0-A-6751
(ucs-set-char #x7F2B ?$AgR(B) ; GB0-A-6752
(ucs-set-char #x7F2C ?$AgS(B) ; GB0-A-6753
(ucs-set-char #x7F2D ?$AgT(B) ; GB0-A-6754
(ucs-set-char #x7F2E ?$AII(B) ; GB0-A-4949
(ucs-set-char #x7F2F ?$AgU(B) ; GB0-A-6755
(ucs-set-char #x7F30 ?$AgV(B) ; GB0-A-6756
(ucs-set-char #x7F31 ?$AgW(B) ; GB0-A-6757
(ucs-set-char #x7F32 ?$AgX(B) ; GB0-A-6758
(ucs-set-char #x7F33 ?$AgY(B) ; GB0-A-6759
(ucs-set-char #x7F34 ?$A=I(B) ; GB0-A-3D49
(ucs-set-char #x7F35 ?$AgZ(B) ; GB0-A-675A
(ucs-set-char #x7F36 ?$(C].(B) ; KS0-C-5D2E
(ucs-set-char #x7F36 ?$(GHO(B) ; C01-G-484F
(ucs-set-char #x7F36 ?$@4L(B) ; J78-@-344C
(ucs-set-char #x7F36 ?$As>(B) ; GB0-A-733E
(ucs-set-char #x7F36 ?$B4L(B) ; J83-B-344C
(ucs-set-char #x7F37 ?$(J%W(B) ; C04-J-2557
(ucs-set-char #x7F38 ?$(Cy|(B) ; KS0-C-797C
(ucs-set-char #x7F38 ?$(GR~(B) ; C01-G-527E
(ucs-set-char #x7F38 ?$@e}(B) ; J78-@-657D
(ucs-set-char #x7F38 ?$A8W(B) ; GB0-A-3857
(ucs-set-char #x7F38 ?$Be}(B) ; J83-B-657D
(ucs-set-char #x7F39 ?$(H0R(B) ; C02-H-3052
(ucs-set-char #x7F3A ?$(CL@(B) ; KS0-C-4C40
(ucs-set-char #x7F3A ?$(GWM(B) ; C01-G-574D
(ucs-set-char #x7F3A ?$@e~(B) ; J78-@-657E
(ucs-set-char #x7F3A ?$AH1(B) ; GB0-A-4831
(ucs-set-char #x7F3A ?$Be~(B) ; J83-B-657E
(ucs-set-char #x7F3B ?$(DTl(B) ; J90-D-546C
(ucs-set-char #x7F3B ?$(I81(B) ; C03-I-3831
(ucs-set-char #x7F3C ?$(DTk(B) ; J90-D-546B
(ucs-set-char #x7F3D ?$(DTm(B) ; J90-D-546D
(ucs-set-char #x7F3D ?$(G\_(B) ; C01-G-5C5F
(ucs-set-char #x7F3E ?$(DTn(B) ; J90-D-546E
(ucs-set-char #x7F3E ?$(H?"(B) ; C02-H-3F22
(ucs-set-char #x7F3F ?$(DTo(B) ; J90-D-546F
(ucs-set-char #x7F3F ?$(H?#(B) ; C02-H-3F23
(ucs-set-char #x7F41 ?$(IHw(B) ; C03-I-4877
(ucs-set-char #x7F42 ?$As?(B) ; GB0-A-733F
(ucs-set-char #x7F43 ?$(DTp(B) ; J90-D-5470
(ucs-set-char #x7F43 ?$(HYK(B) ; C02-H-594B
(ucs-set-char #x7F44 ?$(DTq(B) ; J90-D-5471
(ucs-set-char #x7F44 ?$(Gtt(B) ; C01-G-7474
(ucs-set-char #x7F44 ?$As@(B) ; GB0-A-7340
(ucs-set-char #x7F45 ?$(H^N(B) ; C02-H-5E4E
(ucs-set-char #x7F45 ?$@f!(B) ; J78-@-6621
(ucs-set-char #x7F45 ?$AsA(B) ; GB0-A-7341
(ucs-set-char #x7F45 ?$Bf!(B) ; J83-B-6621
(ucs-set-char #x7F46 ?$(IU}(B) ; C03-I-557D
(ucs-set-char #x7F47 ?$(DTr(B) ; J90-D-5472
(ucs-set-char #x7F47 ?$(IX\(B) ; C03-I-585C
(ucs-set-char #x7F48 ?$(Gw'(B) ; C01-G-7727
(ucs-set-char #x7F4A ?$(HfD(B) ; C02-H-6644
(ucs-set-char #x7F4B ?$(HfC(B) ; C02-H-6643
(ucs-set-char #x7F4C ?$(Ce"(B) ; KS0-C-6522
(ucs-set-char #x7F4C ?$(Gz-(B) ; C01-G-7A2D
(ucs-set-char #x7F4C ?$@f"(B) ; J78-@-6622
(ucs-set-char #x7F4C ?$Bf"(B) ; J83-B-6622
(ucs-set-char #x7F4D ?$(Hk{(B) ; C02-H-6B7B
(ucs-set-char #x7F4D ?$@f#(B) ; J78-@-6623
(ucs-set-char #x7F4D ?$Bf#(B) ; J83-B-6623
(ucs-set-char #x7F4E ?$(I_[(B) ; C03-I-5F5B
(ucs-set-char #x7F4E ?$@f$(B) ; J78-@-6624
(ucs-set-char #x7F4E ?$Bf$(B) ; J83-B-6624
(ucs-set-char #x7F4F ?$(DTs(B) ; J90-D-5473
(ucs-set-char #x7F4F ?$(Hmp(B) ; C02-H-6D70
(ucs-set-char #x7F50 ?$(CN8(B) ; KS0-C-4E38
(ucs-set-char #x7F50 ?$(G|d(B) ; C01-G-7C64
(ucs-set-char #x7F50 ?$@f%(B) ; J78-@-6625
(ucs-set-char #x7F50 ?$A9^(B) ; GB0-A-395E
(ucs-set-char #x7F50 ?$Bf%(B) ; J83-B-6625
(ucs-set-char #x7F51 ?$(H"i(B) ; C02-H-2269
(ucs-set-char #x7F51 ?$@f&(B) ; J78-@-6626
(ucs-set-char #x7F51 ?$AMx(B) ; GB0-A-4D78
(ucs-set-char #x7F51 ?$Bf&(B) ; J83-B-6626
(ucs-set-char #x7F52 ?$(DTt(B) ; J90-D-5474
(ucs-set-char #x7F52 ?$(J"!(B) ; C04-J-2221
(ucs-set-char #x7F53 ?$(DTu(B) ; J90-D-5475
(ucs-set-char #x7F54 ?$(CXR(B) ; KS0-C-5852
(ucs-set-char #x7F54 ?$(GO,(B) ; C01-G-4F2C
(ucs-set-char #x7F54 ?$@f((B) ; J78-@-6628
(ucs-set-char #x7F54 ?$AXh(B) ; GB0-A-5868
(ucs-set-char #x7F54 ?$Bf((B) ; J83-B-6628
(ucs-set-char #x7F55 ?$(CyV(B) ; KS0-C-7956
(ucs-set-char #x7F55 ?$(GK8(B) ; C01-G-4B38
(ucs-set-char #x7F55 ?$@f'(B) ; J78-@-6627
(ucs-set-char #x7F55 ?$A:1(B) ; GB0-A-3A31
(ucs-set-char #x7F55 ?$Bf'(B) ; J83-B-6627
(ucs-set-char #x7F57 ?$AB^(B) ; GB0-A-425E
(ucs-set-char #x7F58 ?$(H,n(B) ; C02-H-2C6E
(ucs-set-char #x7F58 ?$@f)(B) ; J78-@-6629
(ucs-set-char #x7F58 ?$An7(B) ; GB0-A-6E37
(ucs-set-char #x7F58 ?$Bf)(B) ; J83-B-6629
(ucs-set-char #x7F59 ?$(I*N(B) ; C03-I-2A4E
(ucs-set-char #x7F5A ?$A7#(B) ; GB0-A-3723
(ucs-set-char #x7F5B ?$(DTv(B) ; J90-D-5476
(ucs-set-char #x7F5B ?$(H2$(B) ; C02-H-3224
(ucs-set-char #x7F5C ?$(DTw(B) ; J90-D-5477
(ucs-set-char #x7F5C ?$(H1}(B) ; C02-H-317D
(ucs-set-char #x7F5D ?$(DTx(B) ; J90-D-5478
(ucs-set-char #x7F5D ?$(H2#(B) ; C02-H-3223
(ucs-set-char #x7F5E ?$(H2!(B) ; C02-H-3221
(ucs-set-char #x7F5F ?$(GWN(B) ; C01-G-574E
(ucs-set-char #x7F5F ?$@f*(B) ; J78-@-662A
(ucs-set-char #x7F5F ?$An9(B) ; GB0-A-6E39
(ucs-set-char #x7F5F ?$Bf*(B) ; J83-B-662A
(ucs-set-char #x7F60 ?$(H2"(B) ; C02-H-3222
(ucs-set-char #x7F60 ?$@f+(B) ; J78-@-662B
(ucs-set-char #x7F60 ?$Bf+(B) ; J83-B-662B
(ucs-set-char #x7F61 ?$(DTy(B) ; J90-D-5479
(ucs-set-char #x7F61 ?$(H1~(B) ; C02-H-317E
(ucs-set-char #x7F61 ?$An8(B) ; GB0-A-6E38
(ucs-set-char #x7F62 ?$(I3<(B) ; C03-I-333C
(ucs-set-char #x7F62 ?$A0U(B) ; GB0-A-3055
(ucs-set-char #x7F63 ?$(DTz(B) ; J90-D-547A
(ucs-set-char #x7F63 ?$(H86(B) ; C02-H-3836
(ucs-set-char #x7F64 ?$(DT{(B) ; J90-D-547B
(ucs-set-char #x7F64 ?$(J:+(B) ; C04-J-3A2B
(ucs-set-char #x7F65 ?$(DT|(B) ; J90-D-547C
(ucs-set-char #x7F65 ?$(H?$(B) ; C02-H-3F24
(ucs-set-char #x7F66 ?$(DT}(B) ; J90-D-547D
(ucs-set-char #x7F66 ?$(H?%(B) ; C02-H-3F25
(ucs-set-char #x7F67 ?$(HF0(B) ; C02-H-4630
(ucs-set-char #x7F67 ?$@f.(B) ; J78-@-662E
(ucs-set-char #x7F67 ?$Bf.(B) ; J83-B-662E
(ucs-set-char #x7F68 ?$(HF1(B) ; C02-H-4631
(ucs-set-char #x7F68 ?$@f,(B) ; J78-@-662C
(ucs-set-char #x7F68 ?$An;(B) ; GB0-A-6E3B
(ucs-set-char #x7F68 ?$Bf,(B) ; J83-B-662C
(ucs-set-char #x7F69 ?$(Geu(B) ; C01-G-6575
(ucs-set-char #x7F69 ?$@f-(B) ; J78-@-662D
(ucs-set-char #x7F69 ?$AUV(B) ; GB0-A-5556
(ucs-set-char #x7F69 ?$Bf-(B) ; J83-B-662D
(ucs-set-char #x7F6A ?$(Cq*(B) ; KS0-C-712A
(ucs-set-char #x7F6A ?$(Gev(B) ; C01-G-6576
(ucs-set-char #x7F6A ?$@:a(B) ; J78-@-3A61
(ucs-set-char #x7F6A ?$AWo(B) ; GB0-A-576F
(ucs-set-char #x7F6A ?$B:a(B) ; J83-B-3A61
(ucs-set-char #x7F6B ?$(CNQ(B) ; KS0-C-4E51
(ucs-set-char #x7F6B ?$(HF/(B) ; C02-H-462F
(ucs-set-char #x7F6B ?$@7S(B) ; J78-@-3753
(ucs-set-char #x7F6B ?$B7S(B) ; J83-B-3753
(ucs-set-char #x7F6C ?$(HF2(B) ; C02-H-4632
(ucs-set-char #x7F6D ?$(DT~(B) ; J90-D-547E
(ucs-set-char #x7F6D ?$(HF.(B) ; C02-H-462E
(ucs-set-char #x7F6E ?$(CvG(B) ; KS0-C-7647
(ucs-set-char #x7F6E ?$(Get(B) ; C01-G-6574
(ucs-set-char #x7F6E ?$@CV(B) ; J78-@-4356
(ucs-set-char #x7F6E ?$AVC(B) ; GB0-A-5643
(ucs-set-char #x7F6E ?$BCV(B) ; J83-B-4356
(ucs-set-char #x7F6F ?$(IHx(B) ; C03-I-4878
(ucs-set-char #x7F70 ?$(C[k(B) ; KS0-C-5B6B
(ucs-set-char #x7F70 ?$(GjH(B) ; C01-G-6A48
(ucs-set-char #x7F70 ?$@H3(B) ; J78-@-4833
(ucs-set-char #x7F70 ?$BH3(B) ; J83-B-4833
(ucs-set-char #x7F71 ?$(DU!(B) ; J90-D-5521
(ucs-set-char #x7F71 ?$(IHy(B) ; C03-I-4879
(ucs-set-char #x7F71 ?$An=(B) ; GB0-A-6E3D
(ucs-set-char #x7F72 ?$(C_~(B) ; KS0-C-5F7E
(ucs-set-char #x7F72 ?$(Gew(B) ; C01-G-6577
(ucs-set-char #x7F72 ?$@=p(B) ; J78-@-3D70
(ucs-set-char #x7F72 ?$AJp(B) ; GB0-A-4A70
(ucs-set-char #x7F72 ?$B=p(B) ; J83-B-3D70
(ucs-set-char #x7F73 ?$(HM#(B) ; C02-H-4D23
(ucs-set-char #x7F74 ?$An<(B) ; GB0-A-6E3C
(ucs-set-char #x7F75 ?$(CXa(B) ; KS0-C-5861
(ucs-set-char #x7F75 ?$(GnG(B) ; C01-G-6E47
(ucs-set-char #x7F75 ?$@GM(B) ; J78-@-474D
(ucs-set-char #x7F75 ?$BGM(B) ; J83-B-474D
(ucs-set-char #x7F76 ?$(HRy(B) ; C02-H-5279
(ucs-set-char #x7F77 ?$(Cws(B) ; KS0-C-7773
(ucs-set-char #x7F77 ?$(GnH(B) ; C01-G-6E48
(ucs-set-char #x7F77 ?$@Hm(B) ; J78-@-486D
(ucs-set-char #x7F77 ?$BHm(B) ; J83-B-486D
(ucs-set-char #x7F78 ?$(IN0(B) ; C03-I-4E30
(ucs-set-char #x7F78 ?$@f/(B) ; J78-@-662F
(ucs-set-char #x7F78 ?$Bf/(B) ; J83-B-662F
(ucs-set-char #x7F79 ?$(CWg(B) ; KS0-C-5767
(ucs-set-char #x7F79 ?$(Gqq(B) ; C01-G-7171
(ucs-set-char #x7F79 ?$@Xm(B) ; J78-@-586D
(ucs-set-char #x7F79 ?$An>(B) ; GB0-A-6E3E
(ucs-set-char #x7F79 ?$BXm(B) ; J83-B-586D
(ucs-set-char #x7F7A ?$(HYN(B) ; C02-H-594E
(ucs-set-char #x7F7B ?$(HYL(B) ; C02-H-594C
(ucs-set-char #x7F7C ?$(HYM(B) ; C02-H-594D
(ucs-set-char #x7F7D ?$(DU"(B) ; J90-D-5522
(ucs-set-char #x7F7D ?$(H^Q(B) ; C02-H-5E51
(ucs-set-char #x7F7E ?$(DU#(B) ; J90-D-5523
(ucs-set-char #x7F7E ?$(H^P(B) ; C02-H-5E50
(ucs-set-char #x7F7E ?$An@(B) ; GB0-A-6E40
(ucs-set-char #x7F7F ?$(DU$(B) ; J90-D-5524
(ucs-set-char #x7F7F ?$(H^O(B) ; C02-H-5E4F
(ucs-set-char #x7F80 ?$(DU%(B) ; J90-D-5525
(ucs-set-char #x7F80 ?$(MAa(B) ; C07-M-4161
(ucs-set-char #x7F81 ?$An?(B) ; GB0-A-6E3F
(ucs-set-char #x7F82 ?$(J\h(B) ; C04-J-5C68
(ucs-set-char #x7F82 ?$@f0(B) ; J78-@-6630
(ucs-set-char #x7F82 ?$Bf0(B) ; J83-B-6630
(ucs-set-char #x7F83 ?$(HfE(B) ; C02-H-6645
(ucs-set-char #x7F83 ?$@f2(B) ; J78-@-6632
(ucs-set-char #x7F83 ?$Bf2(B) ; J83-B-6632
(ucs-set-char #x7F84 ?$(J`o(B) ; C04-J-606F
(ucs-set-char #x7F85 ?$(CT~(B) ; KS0-C-547E
(ucs-set-char #x7F85 ?$(Gxe(B) ; C01-G-7865
(ucs-set-char #x7F85 ?$@Me(B) ; J78-@-4D65
(ucs-set-char #x7F85 ?$BMe(B) ; J83-B-4D65
(ucs-set-char #x7F86 ?$(HfF(B) ; C02-H-6646
(ucs-set-char #x7F86 ?$@f1(B) ; J78-@-6631
(ucs-set-char #x7F86 ?$Bf1(B) ; J83-B-6631
(ucs-set-char #x7F87 ?$(Hmq(B) ; C02-H-6D71
(ucs-set-char #x7F87 ?$@f4(B) ; J78-@-6634
(ucs-set-char #x7F87 ?$Bf4(B) ; J83-B-6634
(ucs-set-char #x7F88 ?$(CQ<(B) ; KS0-C-513C
(ucs-set-char #x7F88 ?$(G|e(B) ; C01-G-7C65
(ucs-set-char #x7F88 ?$@f3(B) ; J78-@-6633
(ucs-set-char #x7F88 ?$Bf3(B) ; J83-B-6633
(ucs-set-char #x7F89 ?$(HpH(B) ; C02-H-7048
(ucs-set-char #x7F8A ?$(CeO(B) ; KS0-C-654F
(ucs-set-char #x7F8A ?$(GHP(B) ; C01-G-4850
(ucs-set-char #x7F8A ?$@MS(B) ; J78-@-4D53
(ucs-set-char #x7F8A ?$AQr(B) ; GB0-A-5172
(ucs-set-char #x7F8A ?$BMS(B) ; J83-B-4D53
(ucs-set-char #x7F8B ?$(DU&(B) ; J90-D-5526
(ucs-set-char #x7F8B ?$(GO.(B) ; C01-G-4F2E
(ucs-set-char #x7F8C ?$(CK6(B) ; KS0-C-4B36
(ucs-set-char #x7F8C ?$(GO-(B) ; C01-G-4F2D
(ucs-set-char #x7F8C ?$@f5(B) ; J78-@-6635
(ucs-set-char #x7F8C ?$AG<(B) ; GB0-A-473C
(ucs-set-char #x7F8C ?$Bf5(B) ; J83-B-6635
(ucs-set-char #x7F8D ?$(DU'(B) ; J90-D-5527
(ucs-set-char #x7F8D ?$(H,p(B) ; C02-H-2C70
(ucs-set-char #x7F8E ?$(CZ8(B) ; KS0-C-5A38
(ucs-set-char #x7F8E ?$(GS!(B) ; C01-G-5321
(ucs-set-char #x7F8E ?$@H~(B) ; J78-@-487E
(ucs-set-char #x7F8E ?$AC@(B) ; GB0-A-4340
(ucs-set-char #x7F8E ?$BH~(B) ; J83-B-487E
(ucs-set-char #x7F8F ?$(DU((B) ; J90-D-5528
(ucs-set-char #x7F8F ?$(I.](B) ; C03-I-2E5D
(ucs-set-char #x7F90 ?$(DU)(B) ; J90-D-5529
(ucs-set-char #x7F90 ?$(J/0(B) ; C04-J-2F30
(ucs-set-char #x7F91 ?$(DU*(B) ; J90-D-552A
(ucs-set-char #x7F91 ?$(H,o(B) ; C02-H-2C6F
(ucs-set-char #x7F92 ?$(H2&(B) ; C02-H-3226
(ucs-set-char #x7F93 ?$(I3=(B) ; C03-I-333D
(ucs-set-char #x7F94 ?$(CMD(B) ; KS0-C-4D44
(ucs-set-char #x7F94 ?$(GWO(B) ; C01-G-574F
(ucs-set-char #x7F94 ?$@f6(B) ; J78-@-6636
(ucs-set-char #x7F94 ?$A8a(B) ; GB0-A-3861
(ucs-set-char #x7F94 ?$Bf6(B) ; J83-B-6636
(ucs-set-char #x7F95 ?$(H87(B) ; C02-H-3837
(ucs-set-char #x7F96 ?$(DU+(B) ; J90-D-552B
(ucs-set-char #x7F96 ?$(H2%(B) ; C02-H-3225
(ucs-set-char #x7F97 ?$(DU,(B) ; J90-D-552C
(ucs-set-char #x7F97 ?$(I3?(B) ; C03-I-333F
(ucs-set-char #x7F98 ?$(J//(B) ; C04-J-2F2F
(ucs-set-char #x7F99 ?$(I3>(B) ; C03-I-333E
(ucs-set-char #x7F9A ?$(CV>(B) ; KS0-C-563E
(ucs-set-char #x7F9A ?$(G\a(B) ; C01-G-5C61
(ucs-set-char #x7F9A ?$@f9(B) ; J78-@-6639
(ucs-set-char #x7F9A ?$AAg(B) ; GB0-A-4167
(ucs-set-char #x7F9A ?$Bf9(B) ; J83-B-6639
(ucs-set-char #x7F9B ?$(H8:(B) ; C02-H-383A
(ucs-set-char #x7F9C ?$(DU-(B) ; J90-D-552D
(ucs-set-char #x7F9C ?$(H88(B) ; C02-H-3838
(ucs-set-char #x7F9D ?$(H89(B) ; C02-H-3839
(ucs-set-char #x7F9D ?$@f8(B) ; J78-@-6638
(ucs-set-char #x7F9D ?$AtF(B) ; GB0-A-7446
(ucs-set-char #x7F9D ?$Bf8(B) ; J83-B-6638
(ucs-set-char #x7F9E ?$(Cb:(B) ; KS0-C-623A
(ucs-set-char #x7F9E ?$(G\`(B) ; C01-G-5C60
(ucs-set-char #x7F9E ?$@f7(B) ; J78-@-6637
(ucs-set-char #x7F9E ?$AP_(B) ; GB0-A-505F
(ucs-set-char #x7F9E ?$Bf7(B) ; J83-B-6637
(ucs-set-char #x7F9F ?$AtG(B) ; GB0-A-7447
(ucs-set-char #x7FA0 ?$(H?'(B) ; C02-H-3F27
(ucs-set-char #x7FA1 ?$(DU.(B) ; J90-D-552E
(ucs-set-char #x7FA1 ?$(H?((B) ; C02-H-3F28
(ucs-set-char #x7FA1 ?$AO[(B) ; GB0-A-4F5B
(ucs-set-char #x7FA2 ?$(DU/(B) ; J90-D-552F
(ucs-set-char #x7FA2 ?$(H?&(B) ; C02-H-3F26
(ucs-set-char #x7FA3 ?$(ICn(B) ; C03-I-436E
(ucs-set-char #x7FA3 ?$@f:(B) ; J78-@-663A
(ucs-set-char #x7FA3 ?$Bf:(B) ; J83-B-663A
(ucs-set-char #x7FA4 ?$(COX(B) ; KS0-C-4F58
(ucs-set-char #x7FA4 ?$(Gez(B) ; C01-G-657A
(ucs-set-char #x7FA4 ?$@72(B) ; J78-@-3732
(ucs-set-char #x7FA4 ?$AH:(B) ; GB0-A-483A
(ucs-set-char #x7FA4 ?$B72(B) ; J83-B-3732
(ucs-set-char #x7FA5 ?$(HF4(B) ; C02-H-4634
(ucs-set-char #x7FA6 ?$(DU0(B) ; J90-D-5530
(ucs-set-char #x7FA6 ?$(HF3(B) ; C02-H-4633
(ucs-set-char #x7FA7 ?$(HF5(B) ; C02-H-4635
(ucs-set-char #x7FA7 ?$AtH(B) ; GB0-A-7448
(ucs-set-char #x7FA8 ?$(C`L(B) ; KS0-C-604C
(ucs-set-char #x7FA8 ?$(Gey(B) ; C01-G-6579
(ucs-set-char #x7FA8 ?$@A"(B) ; J78-@-4122
(ucs-set-char #x7FA8 ?$BA"(B) ; J83-B-4122
(ucs-set-char #x7FA9 ?$(Cky(B) ; KS0-C-6B79
(ucs-set-char #x7FA9 ?$(Gex(B) ; C01-G-6578
(ucs-set-char #x7FA9 ?$@5A(B) ; J78-@-3541
(ucs-set-char #x7FA9 ?$B5A(B) ; J83-B-3541
(ucs-set-char #x7FAA ?$(DU1(B) ; J90-D-5531
(ucs-set-char #x7FAB ?$(JF&(B) ; C04-J-4626
(ucs-set-char #x7FAC ?$(HRz(B) ; C02-H-527A
(ucs-set-char #x7FAD ?$(DU2(B) ; J90-D-5532
(ucs-set-char #x7FAD ?$(HR|(B) ; C02-H-527C
(ucs-set-char #x7FAE ?$(IN1(B) ; C03-I-4E31
(ucs-set-char #x7FAE ?$@f>(B) ; J78-@-663E
(ucs-set-char #x7FAE ?$Bf>(B) ; J83-B-663E
(ucs-set-char #x7FAF ?$(GnI(B) ; C01-G-6E49
(ucs-set-char #x7FAF ?$@f;(B) ; J78-@-663B
(ucs-set-char #x7FAF ?$AtI(B) ; GB0-A-7449
(ucs-set-char #x7FAF ?$Bf;(B) ; J83-B-663B
(ucs-set-char #x7FB0 ?$(HR{(B) ; C02-H-527B
(ucs-set-char #x7FB0 ?$AtJ(B) ; GB0-A-744A
(ucs-set-char #x7FB1 ?$(HYO(B) ; C02-H-594F
(ucs-set-char #x7FB2 ?$(C}}(B) ; KS0-C-7D7D
(ucs-set-char #x7FB2 ?$(Gqr(B) ; C01-G-7172
(ucs-set-char #x7FB2 ?$@f<(B) ; J78-@-663C
(ucs-set-char #x7FB2 ?$AtK(B) ; GB0-A-744B
(ucs-set-char #x7FB2 ?$Bf<(B) ; J83-B-663C
(ucs-set-char #x7FB3 ?$(Hbe(B) ; C02-H-6265
(ucs-set-char #x7FB4 ?$(DU3(B) ; J90-D-5533
(ucs-set-char #x7FB4 ?$(IX](B) ; C03-I-585D
(ucs-set-char #x7FB5 ?$(Hbd(B) ; C02-H-6264
(ucs-set-char #x7FB6 ?$(Gxf(B) ; C01-G-7866
(ucs-set-char #x7FB6 ?$@f?(B) ; J78-@-663F
(ucs-set-char #x7FB6 ?$Bf?(B) ; J83-B-663F
(ucs-set-char #x7FB7 ?$(HfG(B) ; C02-H-6647
(ucs-set-char #x7FB8 ?$(CWh(B) ; KS0-C-5768
(ucs-set-char #x7FB8 ?$(Gxh(B) ; C01-G-7868
(ucs-set-char #x7FB8 ?$@f@(B) ; J78-@-6640
(ucs-set-char #x7FB8 ?$AYz(B) ; GB0-A-597A
(ucs-set-char #x7FB8 ?$Bf@(B) ; J83-B-6640
(ucs-set-char #x7FB9 ?$(CKX(B) ; KS0-C-4B58
(ucs-set-char #x7FB9 ?$(Gxg(B) ; C01-G-7867
(ucs-set-char #x7FB9 ?$@f=(B) ; J78-@-663D
(ucs-set-char #x7FB9 ?$A8~(B) ; GB0-A-387E
(ucs-set-char #x7FB9 ?$Bf=(B) ; J83-B-663D
(ucs-set-char #x7FBA ?$(Hi](B) ; C02-H-695D
(ucs-set-char #x7FBB ?$(Hk|(B) ; C02-H-6B7C
(ucs-set-char #x7FBC ?$(DU4(B) ; J90-D-5534
(ucs-set-char #x7FBC ?$(Gz~(B) ; C01-G-7A7E
(ucs-set-char #x7FBC ?$Aeq(B) ; GB0-A-6571
(ucs-set-char #x7FBD ?$(Cib(B) ; KS0-C-6962
(ucs-set-char #x7FBD ?$(GHQ(B) ; C01-G-4851
(ucs-set-char #x7FBD ?$@1)(B) ; J78-@-3129
(ucs-set-char #x7FBD ?$ASp(B) ; GB0-A-5370
(ucs-set-char #x7FBD ?$B1)(B) ; J83-B-3129
(ucs-set-char #x7FBE ?$(H,q(B) ; C02-H-2C71
(ucs-set-char #x7FBF ?$(DU5(B) ; J90-D-5535
(ucs-set-char #x7FBF ?$(GS"(B) ; C01-G-5322
(ucs-set-char #x7FBF ?$At`(B) ; GB0-A-7460
(ucs-set-char #x7FC0 ?$(DU6(B) ; J90-D-5536
(ucs-set-char #x7FC0 ?$(H2)(B) ; C02-H-3229
(ucs-set-char #x7FC1 ?$(Ch:(B) ; KS0-C-683A
(ucs-set-char #x7FC1 ?$(GWQ(B) ; C01-G-5751
(ucs-set-char #x7FC1 ?$@2'(B) ; J78-@-3227
(ucs-set-char #x7FC1 ?$ANL(B) ; GB0-A-4E4C
(ucs-set-char #x7FC1 ?$B2'(B) ; J83-B-3227
(ucs-set-char #x7FC2 ?$(H2((B) ; C02-H-3228
(ucs-set-char #x7FC3 ?$(DU7(B) ; J90-D-5537
(ucs-set-char #x7FC3 ?$(H2'(B) ; C02-H-3227
(ucs-set-char #x7FC4 ?$(I3B(B) ; C03-I-3342
(ucs-set-char #x7FC5 ?$(CcG(B) ; KS0-C-6347
(ucs-set-char #x7FC5 ?$(GWP(B) ; C01-G-5750
(ucs-set-char #x7FC5 ?$@fB(B) ; J78-@-6642
(ucs-set-char #x7FC5 ?$A3a(B) ; GB0-A-3361
(ucs-set-char #x7FC5 ?$BfB(B) ; J83-B-6642
(ucs-set-char #x7FC6 ?$(I3C(B) ; C03-I-3343
(ucs-set-char #x7FC6 ?$@fC(B) ; J78-@-6643
(ucs-set-char #x7FC6 ?$BfC(B) ; J83-B-6643
(ucs-set-char #x7FC7 ?$(H8@(B) ; C02-H-3840
(ucs-set-char #x7FC8 ?$(DU8(B) ; J90-D-5538
(ucs-set-char #x7FC8 ?$(J4=(B) ; C04-J-343D
(ucs-set-char #x7FC9 ?$(H8B(B) ; C02-H-3842
(ucs-set-char #x7FCA ?$(ClM(B) ; KS0-C-6C4D
(ucs-set-char #x7FCA ?$(H8;(B) ; C02-H-383B
(ucs-set-char #x7FCA ?$@fD(B) ; J78-@-6644
(ucs-set-char #x7FCA ?$Aq4(B) ; GB0-A-7134
(ucs-set-char #x7FCA ?$BfD(B) ; J83-B-6644
(ucs-set-char #x7FCB ?$(H8<(B) ; C02-H-383C
(ucs-set-char #x7FCC ?$(ClN(B) ; KS0-C-6C4E
(ucs-set-char #x7FCC ?$(G\b(B) ; C01-G-5C62
(ucs-set-char #x7FCC ?$@Mb(B) ; J78-@-4D62
(ucs-set-char #x7FCC ?$ARn(B) ; GB0-A-526E
(ucs-set-char #x7FCC ?$BMb(B) ; J83-B-4D62
(ucs-set-char #x7FCD ?$(H8=(B) ; C02-H-383D
(ucs-set-char #x7FCE ?$(CV?(B) ; KS0-C-563F
(ucs-set-char #x7FCE ?$(DU9(B) ; J90-D-5539
(ucs-set-char #x7FCE ?$(G\c(B) ; C01-G-5C63
(ucs-set-char #x7FCE ?$Ata(B) ; GB0-A-7461
(ucs-set-char #x7FCF ?$(DU:(B) ; J90-D-553A
(ucs-set-char #x7FCF ?$(H8A(B) ; C02-H-3841
(ucs-set-char #x7FD0 ?$(H8>(B) ; C02-H-383E
(ucs-set-char #x7FD1 ?$(H8?(B) ; C02-H-383F
(ucs-set-char #x7FD2 ?$(Cc'(B) ; KS0-C-6327
(ucs-set-char #x7FD2 ?$(G\d(B) ; C01-G-5C64
(ucs-set-char #x7FD2 ?$@=,(B) ; J78-@-3D2C
(ucs-set-char #x7FD2 ?$B=,(B) ; J83-B-3D2C
(ucs-set-char #x7FD3 ?$(I>7(B) ; C03-I-3E37
(ucs-set-char #x7FD4 ?$(C_V(B) ; KS0-C-5F56
(ucs-set-char #x7FD4 ?$(GaD(B) ; C01-G-6144
(ucs-set-char #x7FD4 ?$@fF(B) ; J78-@-6646
(ucs-set-char #x7FD4 ?$AOh(B) ; GB0-A-4F68
(ucs-set-char #x7FD4 ?$BfF(B) ; J83-B-6646
(ucs-set-char #x7FD5 ?$(C}h(B) ; KS0-C-7D68
(ucs-set-char #x7FD5 ?$(GaE(B) ; C01-G-6145
(ucs-set-char #x7FD5 ?$@fE(B) ; J78-@-6645
(ucs-set-char #x7FD5 ?$Atb(B) ; GB0-A-7462
(ucs-set-char #x7FD5 ?$BfE(B) ; J83-B-6645
(ucs-set-char #x7FD6 ?$(I>8(B) ; C03-I-3E38
(ucs-set-char #x7FD7 ?$(H?)(B) ; C02-H-3F29
(ucs-set-char #x7FD8 ?$AGL(B) ; GB0-A-474C
(ucs-set-char #x7FDB ?$(DU;(B) ; J90-D-553B
(ucs-set-char #x7FDB ?$(HF6(B) ; C02-H-4636
(ucs-set-char #x7FDC ?$(HF7(B) ; C02-H-4637
(ucs-set-char #x7FDD ?$(ICr(B) ; C03-I-4372
(ucs-set-char #x7FDE ?$(HM'(B) ; C02-H-4D27
(ucs-set-char #x7FDF ?$(Cna(B) ; KS0-C-6E61
(ucs-set-char #x7FDF ?$(DU<(B) ; J90-D-553C
(ucs-set-char #x7FDF ?$(GjK(B) ; C01-G-6A4B
(ucs-set-char #x7FDF ?$A5T(B) ; GB0-A-3554
(ucs-set-char #x7FE0 ?$(Cv((B) ; KS0-C-7628
(ucs-set-char #x7FE0 ?$(GjI(B) ; C01-G-6A49
(ucs-set-char #x7FE0 ?$@?i(B) ; J78-@-3F69
(ucs-set-char #x7FE0 ?$A4d(B) ; GB0-A-3464
(ucs-set-char #x7FE0 ?$B?i(B) ; J83-B-3F69
(ucs-set-char #x7FE1 ?$(C]}(B) ; KS0-C-5D7D
(ucs-set-char #x7FE1 ?$(GjJ(B) ; C01-G-6A4A
(ucs-set-char #x7FE1 ?$@fG(B) ; J78-@-6647
(ucs-set-char #x7FE1 ?$Atd(B) ; GB0-A-7464
(ucs-set-char #x7FE1 ?$BfG(B) ; J83-B-6647
(ucs-set-char #x7FE2 ?$(HM$(B) ; C02-H-4D24
(ucs-set-char #x7FE3 ?$(DU=(B) ; J90-D-553D
(ucs-set-char #x7FE3 ?$(HM%(B) ; C02-H-4D25
(ucs-set-char #x7FE4 ?$(L`X(B) ; C06-L-6058
(ucs-set-char #x7FE5 ?$(DU>(B) ; J90-D-553E
(ucs-set-char #x7FE5 ?$(HM&(B) ; C02-H-4D26
(ucs-set-char #x7FE5 ?$Atc(B) ; GB0-A-7463
(ucs-set-char #x7FE6 ?$(HS#(B) ; C02-H-5323
(ucs-set-char #x7FE6 ?$@fH(B) ; J78-@-6648
(ucs-set-char #x7FE6 ?$Ate(B) ; GB0-A-7465
(ucs-set-char #x7FE6 ?$BfH(B) ; J83-B-6648
(ucs-set-char #x7FE7 ?$(IN2(B) ; C03-I-4E32
(ucs-set-char #x7FE8 ?$(DU?(B) ; J90-D-553F
(ucs-set-char #x7FE8 ?$(HS$(B) ; C02-H-5324
(ucs-set-char #x7FE9 ?$(Cx;(B) ; KS0-C-783B
(ucs-set-char #x7FE9 ?$(GnJ(B) ; C01-G-6E4A
(ucs-set-char #x7FE9 ?$@fI(B) ; J78-@-6649
(ucs-set-char #x7FE9 ?$Atf(B) ; GB0-A-7466
(ucs-set-char #x7FE9 ?$BfI(B) ; J83-B-6649
(ucs-set-char #x7FEA ?$(HS!(B) ; C02-H-5321
(ucs-set-char #x7FEB ?$(ChQ(B) ; KS0-C-6851
(ucs-set-char #x7FEB ?$(HR~(B) ; C02-H-527E
(ucs-set-char #x7FEB ?$@4e(B) ; J78-@-3465
(ucs-set-char #x7FEB ?$B4e(B) ; J83-B-3465
(ucs-set-char #x7FEC ?$(DU@(B) ; J90-D-5540
(ucs-set-char #x7FEC ?$(HS"(B) ; C02-H-5322
(ucs-set-char #x7FED ?$(HR}(B) ; C02-H-527D
(ucs-set-char #x7FEE ?$(DUA(B) ; J90-D-5541
(ucs-set-char #x7FEE ?$(Gqu(B) ; C01-G-7175
(ucs-set-char #x7FEE ?$Atg(B) ; GB0-A-7467
(ucs-set-char #x7FEF ?$(DUB(B) ; J90-D-5542
(ucs-set-char #x7FEF ?$(HYP(B) ; C02-H-5950
(ucs-set-char #x7FF0 ?$(CyW(B) ; KS0-C-7957
(ucs-set-char #x7FF0 ?$(Gqs(B) ; C01-G-7173
(ucs-set-char #x7FF0 ?$@4M(B) ; J78-@-344D
(ucs-set-char #x7FF0 ?$A:2(B) ; GB0-A-3A32
(ucs-set-char #x7FF0 ?$B4M(B) ; J83-B-344D
(ucs-set-char #x7FF1 ?$(Gqt(B) ; C01-G-7174
(ucs-set-char #x7FF1 ?$A0?(B) ; GB0-A-303F
(ucs-set-char #x7FF2 ?$(DUC(B) ; J90-D-5543
(ucs-set-char #x7FF2 ?$(H^S(B) ; C02-H-5E53
(ucs-set-char #x7FF3 ?$(Gtu(B) ; C01-G-7475
(ucs-set-char #x7FF3 ?$@fJ(B) ; J78-@-664A
(ucs-set-char #x7FF3 ?$Ath(B) ; GB0-A-7468
(ucs-set-char #x7FF3 ?$BfJ(B) ; J83-B-664A
(ucs-set-char #x7FF4 ?$(H^R(B) ; C02-H-5E52
(ucs-set-char #x7FF5 ?$(Ha4(B) ; C02-H-6134
(ucs-set-char #x7FF6 ?$(IU~(B) ; C03-I-557E
(ucs-set-char #x7FF7 ?$(Hbf(B) ; C02-H-6266
(ucs-set-char #x7FF8 ?$(Hbg(B) ; C02-H-6267
(ucs-set-char #x7FF9 ?$(CNn(B) ; KS0-C-4E6E
(ucs-set-char #x7FF9 ?$(Gw((B) ; C01-G-7728
(ucs-set-char #x7FF9 ?$@fK(B) ; J78-@-664B
(ucs-set-char #x7FF9 ?$BfK(B) ; J83-B-664B
(ucs-set-char #x7FFA ?$(DUD(B) ; J90-D-5544
(ucs-set-char #x7FFA ?$(IXa(B) ; C03-I-5861
(ucs-set-char #x7FFB ?$(Gw)(B) ; C01-G-7729
(ucs-set-char #x7FFB ?$@K](B) ; J78-@-4B5D
(ucs-set-char #x7FFB ?$A7-(B) ; GB0-A-372D
(ucs-set-char #x7FFB ?$BK](B) ; J83-B-4B5D
(ucs-set-char #x7FFC ?$(ClO(B) ; KS0-C-6C4F
(ucs-set-char #x7FFC ?$(Gtv(B) ; C01-G-7476
(ucs-set-char #x7FFC ?$@Mc(B) ; J78-@-4D63
(ucs-set-char #x7FFC ?$ARm(B) ; GB0-A-526D
(ucs-set-char #x7FFC ?$BMc(B) ; J83-B-4D63
(ucs-set-char #x7FFD ?$(DUE(B) ; J90-D-5545
(ucs-set-char #x7FFD ?$(HfH(B) ; C02-H-6648
(ucs-set-char #x7FFE ?$(DUF(B) ; J90-D-5546
(ucs-set-char #x7FFE ?$(HfI(B) ; C02-H-6649
(ucs-set-char #x7FFF ?$(DUG(B) ; J90-D-5547
(ucs-set-char #x7FFF ?$(Hi^(B) ; C02-H-695E
(ucs-set-char #x8000 ?$(Ci%(B) ; KS0-C-6925
(ucs-set-char #x8000 ?$(Gz.(B) ; C01-G-7A2E
(ucs-set-char #x8000 ?$@MT(B) ; J78-@-4D54
(ucs-set-char #x8000 ?$AR+(B) ; GB0-A-522B
(ucs-set-char #x8000 ?$BMT(B) ; J83-B-4D54
(ucs-set-char #x8001 ?$(CVU(B) ; KS0-C-5655
(ucs-set-char #x8001 ?$(GHR(B) ; C01-G-4852
(ucs-set-char #x8001 ?$@O7(B) ; J78-@-4F37
(ucs-set-char #x8001 ?$A@O(B) ; GB0-A-404F
(ucs-set-char #x8001 ?$BO7(B) ; J83-B-4F37
(ucs-set-char #x8003 ?$(CME(B) ; KS0-C-4D45
(ucs-set-char #x8003 ?$(GHS(B) ; C01-G-4853
(ucs-set-char #x8003 ?$@9M(B) ; J78-@-394D
(ucs-set-char #x8003 ?$A?<(B) ; GB0-A-3F3C
(ucs-set-char #x8003 ?$B9M(B) ; J83-B-394D
(ucs-set-char #x8004 ?$(GWS(B) ; C01-G-5753
(ucs-set-char #x8004 ?$@fN(B) ; J78-@-664E
(ucs-set-char #x8004 ?$Ak#(B) ; GB0-A-6B23
(ucs-set-char #x8004 ?$BfN(B) ; J83-B-664E
(ucs-set-char #x8005 ?$(Cm:(B) ; KS0-C-6D3A
(ucs-set-char #x8005 ?$(GO/(B) ; C01-G-4F2F
(ucs-set-char #x8005 ?$@<T(B) ; J78-@-3C54
(ucs-set-char #x8005 ?$AU_(B) ; GB0-A-555F
(ucs-set-char #x8005 ?$B<T(B) ; J83-B-3C54
(ucs-set-char #x8006 ?$(CQ=(B) ; KS0-C-513D
(ucs-set-char #x8006 ?$(GWR(B) ; C01-G-5752
(ucs-set-char #x8006 ?$@fM(B) ; J78-@-664D
(ucs-set-char #x8006 ?$AjH(B) ; GB0-A-6A48
(ucs-set-char #x8006 ?$BfM(B) ; J83-B-664D
(ucs-set-char #x8007 ?$(DUH(B) ; J90-D-5548
(ucs-set-char #x8007 ?$(H,r(B) ; C02-H-2C72
(ucs-set-char #x8008 ?$(DUI(B) ; J90-D-5549
(ucs-set-char #x8008 ?$(I86(B) ; C03-I-3836
(ucs-set-char #x8009 ?$(CO>(B) ; KS0-C-4F3E
(ucs-set-char #x8009 ?$(J+%(B) ; C04-J-2B25
(ucs-set-char #x800A ?$(DUJ(B) ; J90-D-554A
(ucs-set-char #x800A ?$(I3D(B) ; C03-I-3344
(ucs-set-char #x800B ?$(GaF(B) ; C01-G-6146
(ucs-set-char #x800B ?$@fO(B) ; J78-@-664F
(ucs-set-char #x800B ?$Aqs(B) ; GB0-A-7173
(ucs-set-char #x800B ?$BfO(B) ; J83-B-664F
(ucs-set-char #x800C ?$(Cl;(B) ; KS0-C-6C3B
(ucs-set-char #x800C ?$(GHT(B) ; C01-G-4854
(ucs-set-char #x800C ?$@<)(B) ; J78-@-3C29
(ucs-set-char #x800C ?$A6x(B) ; GB0-A-3678
(ucs-set-char #x800C ?$B<)(B) ; J83-B-3C29
(ucs-set-char #x800D ?$(DUK(B) ; J90-D-554B
(ucs-set-char #x800D ?$(GS$(B) ; C01-G-5324
(ucs-set-char #x800D ?$AK#(B) ; GB0-A-4B23
(ucs-set-char #x800E ?$(DUL(B) ; J90-D-554C
(ucs-set-char #x800E ?$(H,s(B) ; C02-H-2C73
(ucs-set-char #x800F ?$(DUM(B) ; J90-D-554D
(ucs-set-char #x800F ?$(H,t(B) ; C02-H-2C74
(ucs-set-char #x8010 ?$(CR1(B) ; KS0-C-5231
(ucs-set-char #x8010 ?$(GS#(B) ; C01-G-5323
(ucs-set-char #x8010 ?$@BQ(B) ; J78-@-4251
(ucs-set-char #x8010 ?$ADM(B) ; GB0-A-444D
(ucs-set-char #x8010 ?$BBQ(B) ; J83-B-4251
(ucs-set-char #x8011 ?$(DUN(B) ; J90-D-554E
(ucs-set-char #x8011 ?$(GS%(B) ; C01-G-5325
(ucs-set-char #x8012 ?$(GHU(B) ; C01-G-4855
(ucs-set-char #x8012 ?$@fP(B) ; J78-@-6650
(ucs-set-char #x8012 ?$Aqg(B) ; GB0-A-7167
(ucs-set-char #x8012 ?$BfP(B) ; J83-B-6650
(ucs-set-char #x8013 ?$(DUO(B) ; J90-D-554F
(ucs-set-char #x8013 ?$(J'a(B) ; C04-J-2761
(ucs-set-char #x8014 ?$(DUP(B) ; J90-D-5550
(ucs-set-char #x8014 ?$(H,u(B) ; C02-H-2C75
(ucs-set-char #x8014 ?$Aqh(B) ; GB0-A-7168
(ucs-set-char #x8015 ?$(CLi(B) ; KS0-C-4C69
(ucs-set-char #x8015 ?$(GWU(B) ; C01-G-5755
(ucs-set-char #x8015 ?$@9L(B) ; J78-@-394C
(ucs-set-char #x8015 ?$A8{(B) ; GB0-A-387B
(ucs-set-char #x8015 ?$B9L(B) ; J83-B-394C
(ucs-set-char #x8016 ?$(DUQ(B) ; J90-D-5551
(ucs-set-char #x8016 ?$(H2*(B) ; C02-H-322A
(ucs-set-char #x8016 ?$Aqi(B) ; GB0-A-7169
(ucs-set-char #x8017 ?$(CYD(B) ; KS0-C-5944
(ucs-set-char #x8017 ?$(GWW(B) ; C01-G-5757
(ucs-set-char #x8017 ?$@LW(B) ; J78-@-4C57
(ucs-set-char #x8017 ?$A:D(B) ; GB0-A-3A44
(ucs-set-char #x8017 ?$BLW(B) ; J83-B-4C57
(ucs-set-char #x8018 ?$(Ci|(B) ; KS0-C-697C
(ucs-set-char #x8018 ?$(GWT(B) ; C01-G-5754
(ucs-set-char #x8018 ?$@fQ(B) ; J78-@-6651
(ucs-set-char #x8018 ?$ATE(B) ; GB0-A-5445
(ucs-set-char #x8018 ?$BfQ(B) ; J83-B-6651
(ucs-set-char #x8019 ?$(GWV(B) ; C01-G-5756
(ucs-set-char #x8019 ?$@fR(B) ; J78-@-6652
(ucs-set-char #x8019 ?$A0R(B) ; GB0-A-3052
(ucs-set-char #x8019 ?$BfR(B) ; J83-B-6652
(ucs-set-char #x801A ?$(I87(B) ; C03-I-3837
(ucs-set-char #x801B ?$(H8E(B) ; C02-H-3845
(ucs-set-char #x801C ?$(G\e(B) ; C01-G-5C65
(ucs-set-char #x801C ?$@fS(B) ; J78-@-6653
(ucs-set-char #x801C ?$Aqj(B) ; GB0-A-716A
(ucs-set-char #x801C ?$BfS(B) ; J83-B-6653
(ucs-set-char #x801D ?$(DUR(B) ; J90-D-5552
(ucs-set-char #x801D ?$(I89(B) ; C03-I-3839
(ucs-set-char #x801E ?$(DUS(B) ; J90-D-5553
(ucs-set-char #x801E ?$(H8D(B) ; C02-H-3844
(ucs-set-char #x801F ?$(DUT(B) ; J90-D-5554
(ucs-set-char #x801F ?$(H8C(B) ; C02-H-3843
(ucs-set-char #x8020 ?$(DUU(B) ; J90-D-5555
(ucs-set-char #x8020 ?$(J:8(B) ; C04-J-3A38
(ucs-set-char #x8020 ?$Aqk(B) ; GB0-A-716B
(ucs-set-char #x8021 ?$(HF8(B) ; C02-H-4638
(ucs-set-char #x8021 ?$@fT(B) ; J78-@-6654
(ucs-set-char #x8021 ?$BfT(B) ; J83-B-6654
(ucs-set-char #x8022 ?$Aql(B) ; GB0-A-716C
(ucs-set-char #x8023 ?$(II"(B) ; C03-I-4922
(ucs-set-char #x8024 ?$(DUV(B) ; J90-D-5556
(ucs-set-char #x8024 ?$(HM((B) ; C02-H-4D28
(ucs-set-char #x8025 ?$(JF,(B) ; C04-J-462C
(ucs-set-char #x8025 ?$Aqm(B) ; GB0-A-716D
(ucs-set-char #x8026 ?$(DUW(B) ; J90-D-5557
(ucs-set-char #x8026 ?$(GnK(B) ; C01-G-6E4B
(ucs-set-char #x8026 ?$Aqn(B) ; GB0-A-716E
(ucs-set-char #x8027 ?$Aqo(B) ; GB0-A-716F
(ucs-set-char #x8028 ?$(Gqv(B) ; C01-G-7176
(ucs-set-char #x8028 ?$@fU(B) ; J78-@-6655
(ucs-set-char #x8028 ?$Aqq(B) ; GB0-A-7171
(ucs-set-char #x8028 ?$BfU(B) ; J83-B-6655
(ucs-set-char #x8029 ?$(HYR(B) ; C02-H-5952
(ucs-set-char #x8029 ?$Aqp(B) ; GB0-A-7170
(ucs-set-char #x802A ?$(HYQ(B) ; C02-H-5951
(ucs-set-char #x802A ?$AEU(B) ; GB0-A-4555
(ucs-set-char #x802B ?$(IV!(B) ; C03-I-5621
(ucs-set-char #x802C ?$(DUX(B) ; J90-D-5558
(ucs-set-char #x802C ?$(H^T(B) ; C02-H-5E54
(ucs-set-char #x802D ?$(CQ>(B) ; KS0-C-513E
(ucs-set-char #x802D ?$(J\q(B) ; C04-J-5C71
(ucs-set-char #x802E ?$(DUY(B) ; J90-D-5559
(ucs-set-char #x802E ?$(IXb(B) ; C03-I-5862
(ucs-set-char #x802F ?$(I\o(B) ; C03-I-5C6F
(ucs-set-char #x8030 ?$(DUZ(B) ; J90-D-555A
(ucs-set-char #x8030 ?$(Hk}(B) ; C02-H-6B7D
(ucs-set-char #x8031 ?$(Ji.(B) ; C04-J-692E
(ucs-set-char #x8031 ?$Aqr(B) ; GB0-A-7172
(ucs-set-char #x8032 ?$(Ji-(B) ; C04-J-692D
(ucs-set-char #x8033 ?$(Cl<(B) ; KS0-C-6C3C
(ucs-set-char #x8033 ?$(GHV(B) ; C01-G-4856
(ucs-set-char #x8033 ?$@<*(B) ; J78-@-3C2A
(ucs-set-char #x8033 ?$A6z(B) ; GB0-A-367A
(ucs-set-char #x8033 ?$B<*(B) ; J83-B-3C2A
(ucs-set-char #x8034 ?$(DU[(B) ; J90-D-555B
(ucs-set-char #x8034 ?$(H$s(B) ; C02-H-2473
(ucs-set-char #x8035 ?$(DU\(B) ; J90-D-555C
(ucs-set-char #x8035 ?$(H(J(B) ; C02-H-284A
(ucs-set-char #x8035 ?$Aqt(B) ; GB0-A-7174
(ucs-set-char #x8036 ?$(Ce-(B) ; KS0-C-652D
(ucs-set-char #x8036 ?$(GS&(B) ; C01-G-5326
(ucs-set-char #x8036 ?$@Lm(B) ; J78-@-4C6D
(ucs-set-char #x8036 ?$AR.(B) ; GB0-A-522E
(ucs-set-char #x8036 ?$BLm(B) ; J83-B-4C6D
(ucs-set-char #x8037 ?$(DU](B) ; J90-D-555D
(ucs-set-char #x8037 ?$(H,v(B) ; C02-H-2C76
(ucs-set-char #x8037 ?$A^G(B) ; GB0-A-5E47
(ucs-set-char #x8038 ?$(L;!(B) ; C06-L-3B21
(ucs-set-char #x8038 ?$AKJ(B) ; GB0-A-4B4A
(ucs-set-char #x8039 ?$(DU^(B) ; J90-D-555E
(ucs-set-char #x8039 ?$(H2,(B) ; C02-H-322C
(ucs-set-char #x803A ?$(DU_(B) ; J90-D-555F
(ucs-set-char #x803A ?$(J/:(B) ; C04-J-2F3A
(ucs-set-char #x803B ?$(I3I(B) ; C03-I-3349
(ucs-set-char #x803B ?$@fW(B) ; J78-@-6657
(ucs-set-char #x803B ?$A3\(B) ; GB0-A-335C
(ucs-set-char #x803B ?$BfW(B) ; J83-B-6657
(ucs-set-char #x803C ?$(DU`(B) ; J90-D-5560
(ucs-set-char #x803C ?$(I3H(B) ; C03-I-3348
(ucs-set-char #x803D ?$(Cw0(B) ; KS0-C-7730
(ucs-set-char #x803D ?$(GWX(B) ; C01-G-5758
(ucs-set-char #x803D ?$@C?(B) ; J78-@-433F
(ucs-set-char #x803D ?$A5"(B) ; GB0-A-3522
(ucs-set-char #x803D ?$BC?(B) ; J83-B-433F
(ucs-set-char #x803E ?$(DUa(B) ; J90-D-5561
(ucs-set-char #x803E ?$(H2+(B) ; C02-H-322B
(ucs-set-char #x803F ?$(CLj(B) ; KS0-C-4C6A
(ucs-set-char #x803F ?$(GWY(B) ; C01-G-5759
(ucs-set-char #x803F ?$@fV(B) ; J78-@-6656
(ucs-set-char #x803F ?$A9"(B) ; GB0-A-3922
(ucs-set-char #x803F ?$BfV(B) ; J83-B-6656
(ucs-set-char #x8040 ?$(DUb(B) ; J90-D-5562
(ucs-set-char #x8040 ?$(I3G(B) ; C03-I-3347
(ucs-set-char #x8042 ?$ADt(B) ; GB0-A-4474
(ucs-set-char #x8043 ?$(CSD(B) ; KS0-C-5344
(ucs-set-char #x8043 ?$(H8G(B) ; C02-H-3847
(ucs-set-char #x8043 ?$Aqu(B) ; GB0-A-7175
(ucs-set-char #x8044 ?$(DUc(B) ; J90-D-5563
(ucs-set-char #x8044 ?$(I8=(B) ; C03-I-383D
(ucs-set-char #x8045 ?$(I8<(B) ; C03-I-383C
(ucs-set-char #x8046 ?$(CV@(B) ; KS0-C-5640
(ucs-set-char #x8046 ?$(G\g(B) ; C01-G-5C67
(ucs-set-char #x8046 ?$@fY(B) ; J78-@-6659
(ucs-set-char #x8046 ?$Aqv(B) ; GB0-A-7176
(ucs-set-char #x8046 ?$BfY(B) ; J83-B-6659
(ucs-set-char #x8047 ?$(H8F(B) ; C02-H-3846
(ucs-set-char #x8048 ?$(H8H(B) ; C02-H-3848
(ucs-set-char #x8049 ?$(I8;(B) ; C03-I-383B
(ucs-set-char #x804A ?$(CV}(B) ; KS0-C-567D
(ucs-set-char #x804A ?$(G\f(B) ; C01-G-5C66
(ucs-set-char #x804A ?$@fX(B) ; J78-@-6658
(ucs-set-char #x804A ?$AAD(B) ; GB0-A-4144
(ucs-set-char #x804A ?$BfX(B) ; J83-B-6658
(ucs-set-char #x804B ?$AA{(B) ; GB0-A-417B
(ucs-set-char #x804C ?$AV0(B) ; GB0-A-5630
(ucs-set-char #x804D ?$Aqw(B) ; GB0-A-7177
(ucs-set-char #x804E ?$(I><(B) ; C03-I-3E3C
(ucs-set-char #x804F ?$(H?+(B) ; C02-H-3F2B
(ucs-set-char #x8050 ?$(H?,(B) ; C02-H-3F2C
(ucs-set-char #x8051 ?$(H?*(B) ; C02-H-3F2A
(ucs-set-char #x8052 ?$(GaG(B) ; C01-G-6147
(ucs-set-char #x8052 ?$@fZ(B) ; J78-@-665A
(ucs-set-char #x8052 ?$Aqx(B) ; GB0-A-7178
(ucs-set-char #x8052 ?$BfZ(B) ; J83-B-665A
(ucs-set-char #x8054 ?$AA*(B) ; GB0-A-412A
(ucs-set-char #x8055 ?$(J?|(B) ; C04-J-3F7C
(ucs-set-char #x8056 ?$(Ca!(B) ; KS0-C-6121
(ucs-set-char #x8056 ?$(Ge{(B) ; C01-G-657B
(ucs-set-char #x8056 ?$@@;(B) ; J78-@-403B
(ucs-set-char #x8056 ?$B@;(B) ; J83-B-403B
(ucs-set-char #x8057 ?$(ICs(B) ; C03-I-4373
(ucs-set-char #x8058 ?$(C^=(B) ; KS0-C-5E3D
(ucs-set-char #x8058 ?$(Ge|(B) ; C01-G-657C
(ucs-set-char #x8058 ?$@f[(B) ; J78-@-665B
(ucs-set-char #x8058 ?$AF8(B) ; GB0-A-4638
(ucs-set-char #x8058 ?$Bf[(B) ; J83-B-665B
(ucs-set-char #x8059 ?$(JF3(B) ; C04-J-4633
(ucs-set-char #x805A ?$(Cv)(B) ; KS0-C-7629
(ucs-set-char #x805A ?$(GjM(B) ; C01-G-6A4D
(ucs-set-char #x805A ?$@f\(B) ; J78-@-665C
(ucs-set-char #x805A ?$A>[(B) ; GB0-A-3E5B
(ucs-set-char #x805A ?$Bf\(B) ; J83-B-665C
(ucs-set-char #x805B ?$(II#(B) ; C03-I-4923
(ucs-set-char #x805C ?$(HM*(B) ; C02-H-4D2A
(ucs-set-char #x805D ?$(HM)(B) ; C02-H-4D29
(ucs-set-char #x805E ?$(CZ$(B) ; KS0-C-5A24
(ucs-set-char #x805E ?$(GjL(B) ; C01-G-6A4C
(ucs-set-char #x805E ?$@J9(B) ; J78-@-4A39
(ucs-set-char #x805E ?$BJ9(B) ; J83-B-4A39
(ucs-set-char #x805F ?$(II&(B) ; C03-I-4926
(ucs-set-char #x805F ?$@f](B) ; J78-@-665D
(ucs-set-char #x805F ?$Bf](B) ; J83-B-665D
(ucs-set-char #x8060 ?$(DUd(B) ; J90-D-5564
(ucs-set-char #x8060 ?$(I>;(B) ; C03-I-3E3B
(ucs-set-char #x8061 ?$(II%(B) ; C03-I-4925
(ucs-set-char #x8061 ?$@Ao(B) ; J78-@-416F
(ucs-set-char #x8061 ?$BAo(B) ; J83-B-416F
(ucs-set-char #x8062 ?$@f^(B) ; J78-@-665E
(ucs-set-char #x8062 ?$Bf^(B) ; J83-B-665E
(ucs-set-char #x8064 ?$(DUe(B) ; J90-D-5565
(ucs-set-char #x8064 ?$(HS%(B) ; C02-H-5325
(ucs-set-char #x8065 ?$(IN4(B) ; C03-I-4E34
(ucs-set-char #x8066 ?$(DUf(B) ; J90-D-5566
(ucs-set-char #x8066 ?$(IN6(B) ; C03-I-4E36
(ucs-set-char #x8067 ?$(HS&(B) ; C02-H-5326
(ucs-set-char #x8068 ?$(IN7(B) ; C03-I-4E37
(ucs-set-char #x8068 ?$@f_(B) ; J78-@-665F
(ucs-set-char #x8068 ?$Bf_(B) ; J83-B-665F
(ucs-set-char #x8069 ?$Aqy(B) ; GB0-A-7179
(ucs-set-char #x806A ?$(IN5(B) ; C03-I-4E35
(ucs-set-char #x806A ?$A4O(B) ; GB0-A-344F
(ucs-set-char #x806B ?$(IN8(B) ; C03-I-4E38
(ucs-set-char #x806C ?$(HYS(B) ; C02-H-5953
(ucs-set-char #x806D ?$(DUg(B) ; J90-D-5567
(ucs-set-char #x806D ?$(JR\(B) ; C04-J-525C
(ucs-set-char #x806E ?$(IRC(B) ; C03-I-5243
(ucs-set-char #x806F ?$(CV$(B) ; KS0-C-5624
(ucs-set-char #x806F ?$(Gtz(B) ; C01-G-747A
(ucs-set-char #x806F ?$@N~(B) ; J78-@-4E7E
(ucs-set-char #x806F ?$BN~(B) ; J83-B-4E7E
(ucs-set-char #x8070 ?$(CuF(B) ; KS0-C-7546
(ucs-set-char #x8070 ?$(Gty(B) ; C01-G-7479
(ucs-set-char #x8070 ?$@fb(B) ; J78-@-6662
(ucs-set-char #x8070 ?$Bfb(B) ; J83-B-6662
(ucs-set-char #x8071 ?$(DUh(B) ; J90-D-5568
(ucs-set-char #x8071 ?$(Gtw(B) ; C01-G-7477
(ucs-set-char #x8071 ?$Aqz(B) ; GB0-A-717A
(ucs-set-char #x8072 ?$(Ca"(B) ; KS0-C-6122
(ucs-set-char #x8072 ?$(Gtx(B) ; C01-G-7478
(ucs-set-char #x8072 ?$@fa(B) ; J78-@-6661
(ucs-set-char #x8072 ?$Bfa(B) ; J83-B-6661
(ucs-set-char #x8073 ?$(CiF(B) ; KS0-C-6946
(ucs-set-char #x8073 ?$(Gt{(B) ; C01-G-747B
(ucs-set-char #x8073 ?$@f`(B) ; J78-@-6660
(ucs-set-char #x8073 ?$Bf`(B) ; J83-B-6660
(ucs-set-char #x8074 ?$(IV"(B) ; C03-I-5622
(ucs-set-char #x8074 ?$(IXc(B) ; C03-I-5863
(ucs-set-char #x8074 ?$@D0(B) ; J78-@-4430
(ucs-set-char #x8074 ?$BD0(B) ; J83-B-4430
(ucs-set-char #x8075 ?$(DUi(B) ; J90-D-5569
(ucs-set-char #x8075 ?$(Hbh(B) ; C02-H-6268
(ucs-set-char #x8076 ?$(Gw+(B) ; C01-G-772B
(ucs-set-char #x8076 ?$@fc(B) ; J78-@-6663
(ucs-set-char #x8076 ?$Bfc(B) ; J83-B-6663
(ucs-set-char #x8077 ?$(CrE(B) ; KS0-C-7245
(ucs-set-char #x8077 ?$(Gw*(B) ; C01-G-772A
(ucs-set-char #x8077 ?$@?&(B) ; J78-@-3F26
(ucs-set-char #x8077 ?$B?&(B) ; J83-B-3F26
(ucs-set-char #x8078 ?$(HfJ(B) ; C02-H-664A
(ucs-set-char #x8079 ?$(Hi_(B) ; C02-H-695F
(ucs-set-char #x8079 ?$@fd(B) ; J78-@-6664
(ucs-set-char #x8079 ?$Bfd(B) ; J83-B-6664
(ucs-set-char #x807A ?$(I\p(B) ; C03-I-5C70
(ucs-set-char #x807B ?$(I\q(B) ; C03-I-5C71
(ucs-set-char #x807C ?$(I\r(B) ; C03-I-5C72
(ucs-set-char #x807D ?$(Cti(B) ; KS0-C-7469
(ucs-set-char #x807D ?$(G{o(B) ; C01-G-7B6F
(ucs-set-char #x807D ?$@fe(B) ; J78-@-6665
(ucs-set-char #x807D ?$Bfe(B) ; J83-B-6665
(ucs-set-char #x807E ?$(CVl(B) ; KS0-C-566C
(ucs-set-char #x807E ?$(G{n(B) ; C01-G-7B6E
(ucs-set-char #x807E ?$@O8(B) ; J78-@-4F38
(ucs-set-char #x807E ?$BO8(B) ; J83-B-4F38
(ucs-set-char #x807F ?$(CkS(B) ; KS0-C-6B53
(ucs-set-char #x807F ?$(GHW(B) ; C01-G-4857
(ucs-set-char #x807F ?$@ff(B) ; J78-@-6666
(ucs-set-char #x807F ?$Am2(B) ; GB0-A-6D32
(ucs-set-char #x807F ?$Bff(B) ; J83-B-6666
(ucs-set-char #x8080 ?$Am1(B) ; GB0-A-6D31
(ucs-set-char #x8081 ?$(DUj(B) ; J90-D-556A
(ucs-set-char #x8081 ?$(L;$(B) ; C06-L-3B24
(ucs-set-char #x8082 ?$(H/}(B) ; C02-H-2F7D
(ucs-set-char #x8083 ?$AK`(B) ; GB0-A-4B60
(ucs-set-char #x8084 ?$(Cl=(B) ; KS0-C-6C3D
(ucs-set-char #x8084 ?$(Ge~(B) ; C01-G-657E
(ucs-set-char #x8084 ?$@fg(B) ; J78-@-6667
(ucs-set-char #x8084 ?$AR^(B) ; GB0-A-525E
(ucs-set-char #x8084 ?$Bfg(B) ; J83-B-6667
(ucs-set-char #x8085 ?$(Cb\(B) ; KS0-C-625C
(ucs-set-char #x8085 ?$(GaH(B) ; C01-G-6148
(ucs-set-char #x8085 ?$@fi(B) ; J78-@-6669
(ucs-set-char #x8085 ?$Bfi(B) ; J83-B-6669
(ucs-set-char #x8086 ?$(C^k(B) ; KS0-C-5E6B
(ucs-set-char #x8086 ?$(Ge}(B) ; C01-G-657D
(ucs-set-char #x8086 ?$@fh(B) ; J78-@-6668
(ucs-set-char #x8086 ?$AKA(B) ; GB0-A-4B41
(ucs-set-char #x8086 ?$Bfh(B) ; J83-B-6668
(ucs-set-char #x8087 ?$(Cp\(B) ; KS0-C-705C
(ucs-set-char #x8087 ?$(GjN(B) ; C01-G-6A4E
(ucs-set-char #x8087 ?$@H%(B) ; J78-@-4825
(ucs-set-char #x8087 ?$AUX(B) ; GB0-A-5558
(ucs-set-char #x8087 ?$BH%(B) ; J83-B-4825
(ucs-set-char #x8088 ?$(DUk(B) ; J90-D-556B
(ucs-set-char #x8088 ?$(L``(B) ; C06-L-6060
(ucs-set-char #x8089 ?$(Ck?(B) ; KS0-C-6B3F
(ucs-set-char #x8089 ?$(GHX(B) ; C01-G-4858
(ucs-set-char #x8089 ?$@Fy(B) ; J78-@-4679
(ucs-set-char #x8089 ?$AHb(B) ; GB0-A-4862
(ucs-set-char #x8089 ?$BFy(B) ; J83-B-4679
(ucs-set-char #x808A ?$(H!h(B) ; C02-H-2168
(ucs-set-char #x808B ?$(CWN(B) ; KS0-C-574E
(ucs-set-char #x808B ?$(GHY(B) ; C01-G-4859
(ucs-set-char #x808B ?$@O>(B) ; J78-@-4F3E
(ucs-set-char #x808B ?$A@_(B) ; GB0-A-405F
(ucs-set-char #x808B ?$BO>(B) ; J83-B-4F3E
(ucs-set-char #x808C ?$(CQ?(B) ; KS0-C-513F
(ucs-set-char #x808C ?$(GHZ(B) ; C01-G-485A
(ucs-set-char #x808C ?$@H)(B) ; J78-@-4829
(ucs-set-char #x808C ?$A<!(B) ; GB0-A-3C21
(ucs-set-char #x808C ?$BH)(B) ; J83-B-4829
(ucs-set-char #x808D ?$(I$5(B) ; C03-I-2435
(ucs-set-char #x808E ?$(DUl(B) ; J90-D-556C
(ucs-set-char #x808E ?$(I$6(B) ; C03-I-2436
(ucs-set-char #x808F ?$(H(K(B) ; C02-H-284B
(ucs-set-char #x8090 ?$(H$v(B) ; C02-H-2476
(ucs-set-char #x8091 ?$(I'$(B) ; C03-I-2724
(ucs-set-char #x8092 ?$(H$w(B) ; C02-H-2477
(ucs-set-char #x8093 ?$(GK:(B) ; C01-G-4B3A
(ucs-set-char #x8093 ?$@fk(B) ; J78-@-666B
(ucs-set-char #x8093 ?$AkA(B) ; GB0-A-6B41
(ucs-set-char #x8093 ?$Bfk(B) ; J83-B-666B
(ucs-set-char #x8094 ?$(I'&(B) ; C03-I-2726
(ucs-set-char #x8095 ?$(H$t(B) ; C02-H-2474
(ucs-set-char #x8096 ?$(Cu+(B) ; KS0-C-752B
(ucs-set-char #x8096 ?$(GK9(B) ; C01-G-4B39
(ucs-set-char #x8096 ?$@>S(B) ; J78-@-3E53
(ucs-set-char #x8096 ?$AP$(B) ; GB0-A-5024
(ucs-set-char #x8096 ?$B>S(B) ; J83-B-3E53
(ucs-set-char #x8097 ?$(I'%(B) ; C03-I-2725
(ucs-set-char #x8098 ?$(GK<(B) ; C01-G-4B3C
(ucs-set-char #x8098 ?$@I*(B) ; J78-@-492A
(ucs-set-char #x8098 ?$AVb(B) ; GB0-A-5662
(ucs-set-char #x8098 ?$BI*(B) ; J83-B-492A
(ucs-set-char #x8099 ?$(H$u(B) ; C02-H-2475
(ucs-set-char #x809A ?$(GK>(B) ; C01-G-4B3E
(ucs-set-char #x809A ?$@fl(B) ; J78-@-666C
(ucs-set-char #x809A ?$A6G(B) ; GB0-A-3647
(ucs-set-char #x809A ?$Bfl(B) ; J83-B-666C
(ucs-set-char #x809B ?$(Cy}(B) ; KS0-C-797D
(ucs-set-char #x809B ?$(GK=(B) ; C01-G-4B3D
(ucs-set-char #x809B ?$@fj(B) ; J78-@-666A
(ucs-set-char #x809B ?$A8X(B) ; GB0-A-3858
(ucs-set-char #x809B ?$Bfj(B) ; J83-B-666A
(ucs-set-char #x809C ?$(DUm(B) ; J90-D-556D
(ucs-set-char #x809C ?$(H$x(B) ; C02-H-2478
(ucs-set-char #x809C ?$Ak@(B) ; GB0-A-6B40
(ucs-set-char #x809D ?$(CJ\(B) ; KS0-C-4A5C
(ucs-set-char #x809D ?$(GK;(B) ; C01-G-4B3B
(ucs-set-char #x809D ?$@4N(B) ; J78-@-344E
(ucs-set-char #x809D ?$A8N(B) ; GB0-A-384E
(ucs-set-char #x809D ?$B4N(B) ; J83-B-344E
(ucs-set-char #x809E ?$(DUn(B) ; J90-D-556E
(ucs-set-char #x809E ?$(J$p(B) ; C04-J-2470
(ucs-set-char #x809F ?$(I'#(B) ; C03-I-2723
(ucs-set-char #x809F ?$Ak?(B) ; GB0-A-6B3F
(ucs-set-char #x80A0 ?$A3&(B) ; GB0-A-3326
(ucs-set-char #x80A1 ?$(CMF(B) ; KS0-C-4D46
(ucs-set-char #x80A1 ?$(GO4(B) ; C01-G-4F34
(ucs-set-char #x80A1 ?$@8T(B) ; J78-@-3854
(ucs-set-char #x80A1 ?$A9I(B) ; GB0-A-3949
(ucs-set-char #x80A1 ?$B8T(B) ; J83-B-3854
(ucs-set-char #x80A2 ?$(Cr6(B) ; KS0-C-7236
(ucs-set-char #x80A2 ?$(GO2(B) ; C01-G-4F32
(ucs-set-char #x80A2 ?$@;h(B) ; J78-@-3B68
(ucs-set-char #x80A2 ?$AV+(B) ; GB0-A-562B
(ucs-set-char #x80A2 ?$B;h(B) ; J83-B-3B68
(ucs-set-char #x80A3 ?$(H(M(B) ; C02-H-284D
(ucs-set-char #x80A4 ?$(I*V(B) ; C03-I-2A56
(ucs-set-char #x80A4 ?$A7t(B) ; GB0-A-3774
(ucs-set-char #x80A5 ?$(C]~(B) ; KS0-C-5D7E
(ucs-set-char #x80A5 ?$(GO1(B) ; C01-G-4F31
(ucs-set-char #x80A5 ?$@Hn(B) ; J78-@-486E
(ucs-set-char #x80A5 ?$A7J(B) ; GB0-A-374A
(ucs-set-char #x80A5 ?$BHn(B) ; J83-B-486E
(ucs-set-char #x80A6 ?$(DUo(B) ; J90-D-556F
(ucs-set-char #x80A6 ?$(I*[(B) ; C03-I-2A5B
(ucs-set-char #x80A7 ?$(DUp(B) ; J90-D-5570
(ucs-set-char #x80A7 ?$(I*X(B) ; C03-I-2A58
(ucs-set-char #x80A8 ?$(I*O(B) ; C03-I-2A4F
(ucs-set-char #x80A9 ?$(CL7(B) ; KS0-C-4C37
(ucs-set-char #x80A9 ?$(GO6(B) ; C01-G-4F36
(ucs-set-char #x80A9 ?$@8*(B) ; J78-@-382A
(ucs-set-char #x80A9 ?$A<g(B) ; GB0-A-3C67
(ucs-set-char #x80A9 ?$B8*(B) ; J83-B-382A
(ucs-set-char #x80AA ?$(C[8(B) ; KS0-C-5B38
(ucs-set-char #x80AA ?$(GO8(B) ; C01-G-4F38
(ucs-set-char #x80AA ?$@KC(B) ; J78-@-4B43
(ucs-set-char #x80AA ?$A7>(B) ; GB0-A-373E
(ucs-set-char #x80AA ?$BKC(B) ; J83-B-4B43
(ucs-set-char #x80AB ?$(DUq(B) ; J90-D-5571
(ucs-set-char #x80AB ?$(GO5(B) ; C01-G-4F35
(ucs-set-char #x80AB ?$AkF(B) ; GB0-A-6B46
(ucs-set-char #x80AC ?$(I*Y(B) ; C03-I-2A59
(ucs-set-char #x80AC ?$@fo(B) ; J78-@-666F
(ucs-set-char #x80AC ?$Bfo(B) ; J83-B-666F
(ucs-set-char #x80AD ?$(H(P(B) ; C02-H-2850
(ucs-set-char #x80AD ?$@fm(B) ; J78-@-666D
(ucs-set-char #x80AD ?$AkG(B) ; GB0-A-6B47
(ucs-set-char #x80AD ?$Bfm(B) ; J83-B-666D
(ucs-set-char #x80AE ?$(H(L(B) ; C02-H-284C
(ucs-set-char #x80AE ?$A09(B) ; GB0-A-3039
(ucs-set-char #x80AF ?$(CPi(B) ; KS0-C-5069
(ucs-set-char #x80AF ?$(GO9(B) ; C01-G-4F39
(ucs-set-char #x80AF ?$@9N(B) ; J78-@-394E
(ucs-set-char #x80AF ?$A?O(B) ; GB0-A-3F4F
(ucs-set-char #x80AF ?$B9N(B) ; J83-B-394E
(ucs-set-char #x80B0 ?$(I*R(B) ; C03-I-2A52
(ucs-set-char #x80B1 ?$(CN](B) ; KS0-C-4E5D
(ucs-set-char #x80B1 ?$(GO3(B) ; C01-G-4F33
(ucs-set-char #x80B1 ?$@9O(B) ; J78-@-394F
(ucs-set-char #x80B1 ?$AkE(B) ; GB0-A-6B45
(ucs-set-char #x80B1 ?$B9O(B) ; J83-B-394F
(ucs-set-char #x80B2 ?$(Ck@(B) ; KS0-C-6B40
(ucs-set-char #x80B2 ?$(GK?(B) ; C01-G-4B3F
(ucs-set-char #x80B2 ?$(L-i(B) ; C06-L-2D69
(ucs-set-char #x80B2 ?$@0i(B) ; J78-@-3069
(ucs-set-char #x80B2 ?$AS}(B) ; GB0-A-537D
(ucs-set-char #x80B2 ?$B0i(B) ; J83-B-3069
(ucs-set-char #x80B3 ?$(I*T(B) ; C03-I-2A54
(ucs-set-char #x80B4 ?$(C}"(B) ; KS0-C-7D22
(ucs-set-char #x80B4 ?$(GO7(B) ; C01-G-4F37
(ucs-set-char #x80B4 ?$@:h(B) ; J78-@-3A68
(ucs-set-char #x80B4 ?$AkH(B) ; GB0-A-6B48
(ucs-set-char #x80B4 ?$B:h(B) ; J83-B-3A68
(ucs-set-char #x80B5 ?$(H(O(B) ; C02-H-284F
(ucs-set-char #x80B6 ?$(I*W(B) ; C03-I-2A57
(ucs-set-char #x80B7 ?$(J'd(B) ; C04-J-2764
(ucs-set-char #x80B7 ?$AkI(B) ; GB0-A-6B49
(ucs-set-char #x80B8 ?$(DUr(B) ; J90-D-5572
(ucs-set-char #x80B8 ?$(H(N(B) ; C02-H-284E
(ucs-set-char #x80B9 ?$(DUs(B) ; J90-D-5573
(ucs-set-char #x80B9 ?$(J'i(B) ; C04-J-2769
(ucs-set-char #x80BA ?$(CxK(B) ; KS0-C-784B
(ucs-set-char #x80BA ?$(GO0(B) ; C01-G-4F30
(ucs-set-char #x80BA ?$@GY(B) ; J78-@-4759
(ucs-set-char #x80BA ?$A7N(B) ; GB0-A-374E
(ucs-set-char #x80BA ?$BGY(B) ; J83-B-4759
(ucs-set-char #x80BB ?$(J'j(B) ; C04-J-276A
(ucs-set-char #x80BC ?$AkB(B) ; GB0-A-6B42
(ucs-set-char #x80BD ?$AkD(B) ; GB0-A-6B44
(ucs-set-char #x80BE ?$AIv(B) ; GB0-A-4976
(ucs-set-char #x80BF ?$AVW(B) ; GB0-A-5657
(ucs-set-char #x80C0 ?$AUM(B) ; GB0-A-554D
(ucs-set-char #x80C1 ?$AP2(B) ; GB0-A-5032
(ucs-set-char #x80C2 ?$(H,|(B) ; C02-H-2C7C
(ucs-set-char #x80C2 ?$AkO(B) ; GB0-A-6B4F
(ucs-set-char #x80C3 ?$(CjV(B) ; KS0-C-6A56
(ucs-set-char #x80C3 ?$(GS*(B) ; C01-G-532A
(ucs-set-char #x80C3 ?$@0_(B) ; J78-@-305F
(ucs-set-char #x80C3 ?$AN8(B) ; GB0-A-4E38
(ucs-set-char #x80C3 ?$B0_(B) ; J83-B-305F
(ucs-set-char #x80C4 ?$(Cq0(B) ; KS0-C-7130
(ucs-set-char #x80C4 ?$(GS+(B) ; C01-G-532B
(ucs-set-char #x80C4 ?$@ft(B) ; J78-@-6674
(ucs-set-char #x80C4 ?$AkP(B) ; GB0-A-6B50
(ucs-set-char #x80C4 ?$Bft(B) ; J83-B-6674
(ucs-set-char #x80C5 ?$(H,~(B) ; C02-H-2C7E
(ucs-set-char #x80C6 ?$(I.f(B) ; C03-I-2E66
(ucs-set-char #x80C6 ?$@C@(B) ; J78-@-4340
(ucs-set-char #x80C6 ?$A5((B) ; GB0-A-3528
(ucs-set-char #x80C6 ?$BC@(B) ; J83-B-4340
(ucs-set-char #x80C7 ?$(H,x(B) ; C02-H-2C78
(ucs-set-char #x80C8 ?$(DUt(B) ; J90-D-5574
(ucs-set-char #x80C8 ?$(H,{(B) ; C02-H-2C7B
(ucs-set-char #x80C9 ?$(H-&(B) ; C02-H-2D26
(ucs-set-char #x80CA ?$(H-$(B) ; C02-H-2D24
(ucs-set-char #x80CB ?$(I.`(B) ; C03-I-2E60
(ucs-set-char #x80CC ?$(C[N(B) ; KS0-C-5B4E
(ucs-set-char #x80CC ?$(GS,(B) ; C01-G-532C
(ucs-set-char #x80CC ?$@GX(B) ; J78-@-4758
(ucs-set-char #x80CC ?$A13(B) ; GB0-A-3133
(ucs-set-char #x80CC ?$BGX(B) ; J83-B-4758
(ucs-set-char #x80CD ?$(DUu(B) ; J90-D-5575
(ucs-set-char #x80CD ?$(H-*(B) ; C02-H-2D2A
(ucs-set-char #x80CD ?$AkR(B) ; GB0-A-6B52
(ucs-set-char #x80CE ?$(CwC(B) ; KS0-C-7743
(ucs-set-char #x80CE ?$(GS/(B) ; C01-G-532F
(ucs-set-char #x80CE ?$@B[(B) ; J78-@-425B
(ucs-set-char #x80CE ?$AL%(B) ; GB0-A-4C25
(ucs-set-char #x80CE ?$BB[(B) ; J83-B-425B
(ucs-set-char #x80CF ?$(DUv(B) ; J90-D-5576
(ucs-set-char #x80CF ?$(H-'(B) ; C02-H-2D27
(ucs-set-char #x80D0 ?$(H,}(B) ; C02-H-2C7D
(ucs-set-char #x80D1 ?$(H,z(B) ; C02-H-2C7A
(ucs-set-char #x80D2 ?$(DUw(B) ; J90-D-5577
(ucs-set-char #x80D2 ?$(I.a(B) ; C03-I-2E61
(ucs-set-char #x80D3 ?$(I.^(B) ; C03-I-2E5E
(ucs-set-char #x80D4 ?$(DUx(B) ; J90-D-5578
(ucs-set-char #x80D4 ?$(H?.(B) ; C02-H-3F2E
(ucs-set-char #x80D5 ?$(DUy(B) ; J90-D-5579
(ucs-set-char #x80D5 ?$(H-%(B) ; C02-H-2D25
(ucs-set-char #x80D6 ?$(GS'(B) ; C01-G-5327
(ucs-set-char #x80D6 ?$@fv(B) ; J78-@-6676
(ucs-set-char #x80D6 ?$AEV(B) ; GB0-A-4556
(ucs-set-char #x80D6 ?$Bfv(B) ; J83-B-6676
(ucs-set-char #x80D7 ?$(DUz(B) ; J90-D-557A
(ucs-set-char #x80D7 ?$(H-((B) ; C02-H-2D28
(ucs-set-char #x80D7 ?$AkS(B) ; GB0-A-6B53
(ucs-set-char #x80D8 ?$(DU{(B) ; J90-D-557B
(ucs-set-char #x80D8 ?$(H,w(B) ; C02-H-2C77
(ucs-set-char #x80D9 ?$(H-"(B) ; C02-H-2D22
(ucs-set-char #x80D9 ?$@fr(B) ; J78-@-6672
(ucs-set-char #x80D9 ?$AkQ(B) ; GB0-A-6B51
(ucs-set-char #x80D9 ?$Bfr(B) ; J83-B-6672
(ucs-set-char #x80DA ?$(C[O(B) ; KS0-C-5B4F
(ucs-set-char #x80DA ?$(GS)(B) ; C01-G-5329
(ucs-set-char #x80DA ?$@fu(B) ; J78-@-6675
(ucs-set-char #x80DA ?$AE_(B) ; GB0-A-455F
(ucs-set-char #x80DA ?$Bfu(B) ; J83-B-6675
(ucs-set-char #x80DB ?$(CK$(B) ; KS0-C-4B24
(ucs-set-char #x80DB ?$(GS.(B) ; C01-G-532E
(ucs-set-char #x80DB ?$@fp(B) ; J78-@-6670
(ucs-set-char #x80DB ?$AkN(B) ; GB0-A-6B4E
(ucs-set-char #x80DB ?$Bfp(B) ; J83-B-6670
(ucs-set-char #x80DC ?$(H-#(B) ; C02-H-2D23
(ucs-set-char #x80DC ?$AJ$(B) ; GB0-A-4A24
(ucs-set-char #x80DD ?$(GS2(B) ; C01-G-5332
(ucs-set-char #x80DD ?$@fs(B) ; J78-@-6673
(ucs-set-char #x80DD ?$AkU(B) ; GB0-A-6B55
(ucs-set-char #x80DD ?$Bfs(B) ; J83-B-6673
(ucs-set-char #x80DE ?$(Cx`(B) ; KS0-C-7860
(ucs-set-char #x80DE ?$(GS0(B) ; C01-G-5330
(ucs-set-char #x80DE ?$@K&(B) ; J78-@-4B26
(ucs-set-char #x80DE ?$A0{(B) ; GB0-A-307B
(ucs-set-char #x80DE ?$BK&(B) ; J83-B-4B26
(ucs-set-char #x80DF ?$(I.e(B) ; C03-I-2E65
(ucs-set-char #x80E0 ?$(DU|(B) ; J90-D-557C
(ucs-set-char #x80E0 ?$(H,y(B) ; C02-H-2C79
(ucs-set-char #x80E1 ?$(C{W(B) ; KS0-C-7B57
(ucs-set-char #x80E1 ?$(GS-(B) ; C01-G-532D
(ucs-set-char #x80E1 ?$@8U(B) ; J78-@-3855
(ucs-set-char #x80E1 ?$A:z(B) ; GB0-A-3A7A
(ucs-set-char #x80E1 ?$B8U(B) ; J83-B-3855
(ucs-set-char #x80E2 ?$(I.d(B) ; C03-I-2E64
(ucs-set-char #x80E3 ?$(H-!(B) ; C02-H-2D21
(ucs-set-char #x80E4 ?$(CkJ(B) ; KS0-C-6B4A
(ucs-set-char #x80E4 ?$(GS1(B) ; C01-G-5331
(ucs-set-char #x80E4 ?$@0}(B) ; J78-@-307D
(ucs-set-char #x80E4 ?$AX7(B) ; GB0-A-5837
(ucs-set-char #x80E4 ?$B0}(B) ; J83-B-307D
(ucs-set-char #x80E5 ?$(C`!(B) ; KS0-C-6021
(ucs-set-char #x80E5 ?$(GS((B) ; C01-G-5328
(ucs-set-char #x80E5 ?$@fq(B) ; J78-@-6671
(ucs-set-char #x80E5 ?$Aqc(B) ; GB0-A-7163
(ucs-set-char #x80E5 ?$Bfq(B) ; J83-B-6671
(ucs-set-char #x80E6 ?$(H-)(B) ; C02-H-2D29
(ucs-set-char #x80E7 ?$AkJ(B) ; GB0-A-6B4A
(ucs-set-char #x80E8 ?$AkK(B) ; GB0-A-6B4B
(ucs-set-char #x80E9 ?$AkL(B) ; GB0-A-6B4C
(ucs-set-char #x80EA ?$AkM(B) ; GB0-A-6B4D
(ucs-set-char #x80EB ?$AkV(B) ; GB0-A-6B56
(ucs-set-char #x80EC ?$Af@(B) ; GB0-A-6640
(ucs-set-char #x80ED ?$(DU}(B) ; J90-D-557D
(ucs-set-char #x80ED ?$(GW^(B) ; C01-G-575E
(ucs-set-char #x80ED ?$AkY(B) ; GB0-A-6B59
(ucs-set-char #x80EE ?$(DU~(B) ; J90-D-557E
(ucs-set-char #x80EE ?$(I3L(B) ; C03-I-334C
(ucs-set-char #x80EF ?$(GWg(B) ; C01-G-5767
(ucs-set-char #x80EF ?$@fx(B) ; J78-@-6678
(ucs-set-char #x80EF ?$A?h(B) ; GB0-A-3F68
(ucs-set-char #x80EF ?$Bfx(B) ; J83-B-6678
(ucs-set-char #x80F0 ?$(DV!(B) ; J90-D-5621
(ucs-set-char #x80F0 ?$(GW\(B) ; C01-G-575C
(ucs-set-char #x80F0 ?$ARH(B) ; GB0-A-5248
(ucs-set-char #x80F1 ?$(CNM(B) ; KS0-C-4E4D
(ucs-set-char #x80F1 ?$(GWZ(B) ; C01-G-575A
(ucs-set-char #x80F1 ?$@fy(B) ; J78-@-6679
(ucs-set-char #x80F1 ?$AkW(B) ; GB0-A-6B57
(ucs-set-char #x80F1 ?$Bfy(B) ; J83-B-6679
(ucs-set-char #x80F2 ?$(DV"(B) ; J90-D-5622
(ucs-set-char #x80F2 ?$(H2.(B) ; C02-H-322E
(ucs-set-char #x80F2 ?$Ak\(B) ; GB0-A-6B5C
(ucs-set-char #x80F3 ?$(DV#(B) ; J90-D-5623
(ucs-set-char #x80F3 ?$(GWb(B) ; C01-G-5762
(ucs-set-char #x80F3 ?$A8l(B) ; GB0-A-386C
(ucs-set-char #x80F4 ?$(CT\(B) ; KS0-C-545C
(ucs-set-char #x80F4 ?$(GW_(B) ; C01-G-575F
(ucs-set-char #x80F4 ?$@F9(B) ; J78-@-4639
(ucs-set-char #x80F4 ?$AkX(B) ; GB0-A-6B58
(ucs-set-char #x80F4 ?$BF9(B) ; J83-B-4639
(ucs-set-char #x80F5 ?$(H20(B) ; C02-H-3230
(ucs-set-char #x80F6 ?$(DV$(B) ; J90-D-5624
(ucs-set-char #x80F6 ?$(I3J(B) ; C03-I-334A
(ucs-set-char #x80F6 ?$A=:(B) ; GB0-A-3D3A
(ucs-set-char #x80F7 ?$(I3R(B) ; C03-I-3352
(ucs-set-char #x80F8 ?$(C}X(B) ; KS0-C-7D58
(ucs-set-char #x80F8 ?$(GWa(B) ; C01-G-5761
(ucs-set-char #x80F8 ?$@6;(B) ; J78-@-363B
(ucs-set-char #x80F8 ?$APX(B) ; GB0-A-5058
(ucs-set-char #x80F8 ?$B6;(B) ; J83-B-363B
(ucs-set-char #x80F9 ?$(DV%(B) ; J90-D-5625
(ucs-set-char #x80F9 ?$(H2/(B) ; C02-H-322F
(ucs-set-char #x80FA ?$(DV&(B) ; J90-D-5626
(ucs-set-char #x80FA ?$(H2-(B) ; C02-H-322D
(ucs-set-char #x80FA ?$A07(B) ; GB0-A-3037
(ucs-set-char #x80FB ?$(H22(B) ; C02-H-3232
(ucs-set-char #x80FC ?$(GWf(B) ; C01-G-5766
(ucs-set-char #x80FC ?$@g&(B) ; J78-@-6726
(ucs-set-char #x80FC ?$Ak](B) ; GB0-A-6B5D
(ucs-set-char #x80FC ?$Bg&(B) ; J83-B-6726
(ucs-set-char #x80FD ?$(CRv(B) ; KS0-C-5276
(ucs-set-char #x80FD ?$(GWd(B) ; C01-G-5764
(ucs-set-char #x80FD ?$@G=(B) ; J78-@-473D
(ucs-set-char #x80FD ?$AD\(B) ; GB0-A-445C
(ucs-set-char #x80FD ?$BG=(B) ; J83-B-473D
(ucs-set-char #x80FE ?$(DV'(B) ; J90-D-5627
(ucs-set-char #x80FE ?$(H?-(B) ; C02-H-3F2D
(ucs-set-char #x80FF ?$(I3K(B) ; C03-I-334B
(ucs-set-char #x8100 ?$(H23(B) ; C02-H-3233
(ucs-set-char #x8101 ?$(H21(B) ; C02-H-3231
(ucs-set-char #x8102 ?$(Cr7(B) ; KS0-C-7237
(ucs-set-char #x8102 ?$(GW[(B) ; C01-G-575B
(ucs-set-char #x8102 ?$@;i(B) ; J78-@-3B69
(ucs-set-char #x8102 ?$AV,(B) ; GB0-A-562C
(ucs-set-char #x8102 ?$B;i(B) ; J83-B-3B69
(ucs-set-char #x8103 ?$(DV((B) ; J90-D-5628
(ucs-set-char #x8103 ?$(I3N(B) ; C03-I-334E
(ucs-set-char #x8104 ?$(I3M(B) ; C03-I-334D
(ucs-set-char #x8105 ?$(Czv(B) ; KS0-C-7A76
(ucs-set-char #x8105 ?$(GW](B) ; C01-G-575D
(ucs-set-char #x8105 ?$@6<(B) ; J78-@-363C
(ucs-set-char #x8105 ?$B6<(B) ; J83-B-363C
(ucs-set-char #x8106 ?$(Cv*(B) ; KS0-C-762A
(ucs-set-char #x8106 ?$(GW`(B) ; C01-G-5760
(ucs-set-char #x8106 ?$@@H(B) ; J78-@-4048
(ucs-set-char #x8106 ?$A4`(B) ; GB0-A-3460
(ucs-set-char #x8106 ?$B@H(B) ; J83-B-4048
(ucs-set-char #x8107 ?$(Czw(B) ; KS0-C-7A77
(ucs-set-char #x8107 ?$(I3O(B) ; C03-I-334F
(ucs-set-char #x8107 ?$@OF(B) ; J78-@-4F46
(ucs-set-char #x8107 ?$BOF(B) ; J83-B-4F46
(ucs-set-char #x8108 ?$(CXf(B) ; KS0-C-5866
(ucs-set-char #x8108 ?$(GWc(B) ; C01-G-5763
(ucs-set-char #x8108 ?$@L.(B) ; J78-@-4C2E
(ucs-set-char #x8108 ?$BL.(B) ; J83-B-4C2E
(ucs-set-char #x8109 ?$(I.c(B) ; C03-I-2E63
(ucs-set-char #x8109 ?$@fw(B) ; J78-@-6677
(ucs-set-char #x8109 ?$ABv(B) ; GB0-A-4276
(ucs-set-char #x8109 ?$Bfw(B) ; J83-B-6677
(ucs-set-char #x810A ?$(Ct1(B) ; KS0-C-7431
(ucs-set-char #x810A ?$(GWe(B) ; C01-G-5765
(ucs-set-char #x810A ?$@@T(B) ; J78-@-4054
(ucs-set-char #x810A ?$A<9(B) ; GB0-A-3C39
(ucs-set-char #x810A ?$B@T(B) ; J83-B-4054
(ucs-set-char #x810B ?$(DV)(B) ; J90-D-5629
(ucs-set-char #x810D ?$AkZ(B) ; GB0-A-6B5A
(ucs-set-char #x810E ?$Ak[(B) ; GB0-A-6B5B
(ucs-set-char #x810F ?$AT`(B) ; GB0-A-5460
(ucs-set-char #x8110 ?$AFj(B) ; GB0-A-466A
(ucs-set-char #x8111 ?$ADT(B) ; GB0-A-4454
(ucs-set-char #x8112 ?$Ak_(B) ; GB0-A-6B5F
(ucs-set-char #x8113 ?$AE'(B) ; GB0-A-4527
(ucs-set-char #x8114 ?$(I>D(B) ; C03-I-3E44
(ucs-set-char #x8114 ?$AYu(B) ; GB0-A-5975
(ucs-set-char #x8115 ?$(H8R(B) ; C02-H-3852
(ucs-set-char #x8116 ?$(DV*(B) ; J90-D-562A
(ucs-set-char #x8116 ?$(G\i(B) ; C01-G-5C69
(ucs-set-char #x8116 ?$A21(B) ; GB0-A-3231
(ucs-set-char #x8117 ?$(DV+(B) ; J90-D-562B
(ucs-set-char #x8117 ?$(I8I(B) ; C03-I-3849
(ucs-set-char #x8118 ?$(ChR(B) ; KS0-C-6852
(ucs-set-char #x8118 ?$(DV,(B) ; J90-D-562C
(ucs-set-char #x8118 ?$(H8I(B) ; C02-H-3849
(ucs-set-char #x8118 ?$Akd(B) ; GB0-A-6B64
(ucs-set-char #x8119 ?$(H8K(B) ; C02-H-384B
(ucs-set-char #x811A ?$(CJE(B) ; KS0-C-4A45
(ucs-set-char #x811A ?$(I8G(B) ; C03-I-3847
(ucs-set-char #x811A ?$@5S(B) ; J78-@-3553
(ucs-set-char #x811A ?$A=E(B) ; GB0-A-3D45
(ucs-set-char #x811A ?$B5S(B) ; J83-B-3553
(ucs-set-char #x811B ?$(CLk(B) ; KS0-C-4C6B
(ucs-set-char #x811B ?$(H8L(B) ; C02-H-384C
(ucs-set-char #x811B ?$@fz(B) ; J78-@-667A
(ucs-set-char #x811B ?$Bfz(B) ; J83-B-667A
(ucs-set-char #x811C ?$(DV-(B) ; J90-D-562D
(ucs-set-char #x811C ?$(J4M(B) ; C04-J-344D
(ucs-set-char #x811D ?$(H8T(B) ; C02-H-3854
(ucs-set-char #x811E ?$(DV.(B) ; J90-D-562E
(ucs-set-char #x811E ?$(H8P(B) ; C02-H-3850
(ucs-set-char #x811E ?$Akb(B) ; GB0-A-6B62
(ucs-set-char #x811F ?$(H8N(B) ; C02-H-384E
(ucs-set-char #x8120 ?$(DV/(B) ; J90-D-562F
(ucs-set-char #x8120 ?$(J:;(B) ; C04-J-3A3B
(ucs-set-char #x8121 ?$(H8Q(B) ; C02-H-3851
(ucs-set-char #x8122 ?$(H8U(B) ; C02-H-3855
(ucs-set-char #x8123 ?$(Cbn(B) ; KS0-C-626E
(ucs-set-char #x8123 ?$(G\j(B) ; C01-G-5C6A
(ucs-set-char #x8123 ?$@f|(B) ; J78-@-667C
(ucs-set-char #x8123 ?$Bf|(B) ; J83-B-667C
(ucs-set-char #x8124 ?$(DV0(B) ; J90-D-5630
(ucs-set-char #x8124 ?$(G\n(B) ; C01-G-5C6E
(ucs-set-char #x8125 ?$(H8J(B) ; C02-H-384A
(ucs-set-char #x8126 ?$(J4G(B) ; C04-J-3447
(ucs-set-char #x8127 ?$(DV1(B) ; J90-D-5631
(ucs-set-char #x8127 ?$(H8S(B) ; C02-H-3853
(ucs-set-char #x8128 ?$(J4P(B) ; C04-J-3450
(ucs-set-char #x8129 ?$(Cb;(B) ; KS0-C-623B
(ucs-set-char #x8129 ?$(G\l(B) ; C01-G-5C6C
(ucs-set-char #x8129 ?$@f{(B) ; J78-@-667B
(ucs-set-char #x8129 ?$Bf{(B) ; J83-B-667B
(ucs-set-char #x812A ?$(I8A(B) ; C03-I-3841
(ucs-set-char #x812B ?$(Cw-(B) ; KS0-C-772D
(ucs-set-char #x812B ?$(G\k(B) ; C01-G-5C6B
(ucs-set-char #x812C ?$(DV2(B) ; J90-D-5632
(ucs-set-char #x812C ?$(H8O(B) ; C02-H-384F
(ucs-set-char #x812C ?$Akc(B) ; GB0-A-6B63
(ucs-set-char #x812D ?$(H8M(B) ; C02-H-384D
(ucs-set-char #x812E ?$(I8B(B) ; C03-I-3842
(ucs-set-char #x812F ?$(Cxa(B) ; KS0-C-7861
(ucs-set-char #x812F ?$(G\h(B) ; C01-G-5C68
(ucs-set-char #x812F ?$@f}(B) ; J78-@-667D
(ucs-set-char #x812F ?$A8,(B) ; GB0-A-382C
(ucs-set-char #x812F ?$Bf}(B) ; J83-B-667D
(ucs-set-char #x8130 ?$(DV3(B) ; J90-D-5633
(ucs-set-char #x8130 ?$(G\m(B) ; C01-G-5C6D
(ucs-set-char #x8131 ?$(I8E(B) ; C03-I-3845
(ucs-set-char #x8131 ?$@C&(B) ; J78-@-4326
(ucs-set-char #x8131 ?$AMQ(B) ; GB0-A-4D51
(ucs-set-char #x8131 ?$BC&(B) ; J83-B-4326
(ucs-set-char #x8132 ?$Ake(B) ; GB0-A-6B65
(ucs-set-char #x8133 ?$@G>(B) ; J78-@-473E
(ucs-set-char #x8133 ?$BG>(B) ; J83-B-473E
(ucs-set-char #x8134 ?$(I8H(B) ; C03-I-3848
(ucs-set-char #x8135 ?$(DV4(B) ; J90-D-5634
(ucs-set-char #x8136 ?$Aka(B) ; GB0-A-6B61
(ucs-set-char #x8138 ?$AA3(B) ; GB0-A-4133
(ucs-set-char #x8139 ?$(Csl(B) ; KS0-C-736C
(ucs-set-char #x8139 ?$(GaN(B) ; C01-G-614E
(ucs-set-char #x8139 ?$@D1(B) ; J78-@-4431
(ucs-set-char #x8139 ?$BD1(B) ; J83-B-4431
(ucs-set-char #x813A ?$(DV5(B) ; J90-D-5635
(ucs-set-char #x813A ?$(H?6(B) ; C02-H-3F36
(ucs-set-char #x813B ?$(I>>(B) ; C03-I-3E3E
(ucs-set-char #x813C ?$(DV6(B) ; J90-D-5636
(ucs-set-char #x813C ?$(J:>(B) ; C04-J-3A3E
(ucs-set-char #x813D ?$(H?4(B) ; C02-H-3F34
(ucs-set-char #x813E ?$(C^!(B) ; KS0-C-5E21
(ucs-set-char #x813E ?$(GaP(B) ; C01-G-6150
(ucs-set-char #x813E ?$@g#(B) ; J78-@-6723
(ucs-set-char #x813E ?$AF"(B) ; GB0-A-4622
(ucs-set-char #x813E ?$Bg#(B) ; J83-B-6723
(ucs-set-char #x813F ?$(J:G(B) ; C04-J-3A47
(ucs-set-char #x8140 ?$(I>C(B) ; C03-I-3E43
(ucs-set-char #x8141 ?$(I>E(B) ; C03-I-3E45
(ucs-set-char #x8142 ?$(I>A(B) ; C03-I-3E41
(ucs-set-char #x8143 ?$(H?/(B) ; C02-H-3F2F
(ucs-set-char #x8144 ?$(HFF(B) ; C02-H-4646
(ucs-set-char #x8145 ?$(DV7(B) ; J90-D-5637
(ucs-set-char #x8145 ?$(I>=(B) ; C03-I-3E3D
(ucs-set-char #x8146 ?$(GaO(B) ; C01-G-614F
(ucs-set-char #x8146 ?$@g"(B) ; J78-@-6722
(ucs-set-char #x8146 ?$ALs(B) ; GB0-A-4C73
(ucs-set-char #x8146 ?$Bg"(B) ; J83-B-6722
(ucs-set-char #x8147 ?$(DV8(B) ; J90-D-5638
(ucs-set-char #x8147 ?$(H?3(B) ; C02-H-3F33
(ucs-set-char #x8148 ?$(I>@(B) ; C03-I-3E40
(ucs-set-char #x8148 ?$Akf(B) ; GB0-A-6B66
(ucs-set-char #x8149 ?$(I>B(B) ; C03-I-3E42
(ucs-set-char #x814A ?$(DV9(B) ; J90-D-5639
(ucs-set-char #x814A ?$(H?0(B) ; C02-H-3F30
(ucs-set-char #x814A ?$A@0(B) ; GB0-A-4030
(ucs-set-char #x814B ?$(Cd}(B) ; KS0-C-647D
(ucs-set-char #x814B ?$(GaK(B) ; C01-G-614B
(ucs-set-char #x814B ?$@f~(B) ; J78-@-667E
(ucs-set-char #x814B ?$AR8(B) ; GB0-A-5238
(ucs-set-char #x814B ?$Bf~(B) ; J83-B-667E
(ucs-set-char #x814C ?$(DV:(B) ; J90-D-563A
(ucs-set-char #x814C ?$(GaQ(B) ; C01-G-6151
(ucs-set-char #x814C ?$Akg(B) ; GB0-A-6B67
(ucs-set-char #x814D ?$(H?5(B) ; C02-H-3F35
(ucs-set-char #x814E ?$(Ccl(B) ; KS0-C-636C
(ucs-set-char #x814E ?$(GaM(B) ; C01-G-614D
(ucs-set-char #x814E ?$@?U(B) ; J78-@-3F55
(ucs-set-char #x814E ?$B?U(B) ; J83-B-3F55
(ucs-set-char #x814F ?$(H?2(B) ; C02-H-3F32
(ucs-set-char #x8150 ?$(C]/(B) ; KS0-C-5D2F
(ucs-set-char #x8150 ?$(GjO(B) ; C01-G-6A4F
(ucs-set-char #x8150 ?$@Ie(B) ; J78-@-4965
(ucs-set-char #x8150 ?$A8/(B) ; GB0-A-382F
(ucs-set-char #x8150 ?$BIe(B) ; J83-B-4965
(ucs-set-char #x8151 ?$(C]0(B) ; KS0-C-5D30
(ucs-set-char #x8151 ?$(GaL(B) ; C01-G-614C
(ucs-set-char #x8151 ?$@g%(B) ; J78-@-6725
(ucs-set-char #x8151 ?$A8-(B) ; GB0-A-382D
(ucs-set-char #x8151 ?$Bg%(B) ; J83-B-6725
(ucs-set-char #x8152 ?$(DV;(B) ; J90-D-563B
(ucs-set-char #x8152 ?$(H?1(B) ; C02-H-3F31
(ucs-set-char #x8153 ?$(GaR(B) ; C01-G-6152
(ucs-set-char #x8153 ?$@g$(B) ; J78-@-6724
(ucs-set-char #x8153 ?$Akh(B) ; GB0-A-6B68
(ucs-set-char #x8153 ?$Bg$(B) ; J83-B-6724
(ucs-set-char #x8154 ?$(CK7(B) ; KS0-C-4B37
(ucs-set-char #x8154 ?$(GaJ(B) ; C01-G-614A
(ucs-set-char #x8154 ?$@9P(B) ; J78-@-3950
(ucs-set-char #x8154 ?$AG;(B) ; GB0-A-473B
(ucs-set-char #x8154 ?$B9P(B) ; J83-B-3950
(ucs-set-char #x8155 ?$(ChS(B) ; KS0-C-6853
(ucs-set-char #x8155 ?$(GaI(B) ; C01-G-6149
(ucs-set-char #x8155 ?$@OS(B) ; J78-@-4F53
(ucs-set-char #x8155 ?$AMs(B) ; GB0-A-4D73
(ucs-set-char #x8155 ?$BOS(B) ; J83-B-4F53
(ucs-set-char #x8157 ?$(DV<(B) ; J90-D-563C
(ucs-set-char #x8157 ?$(LMG(B) ; C06-L-4D47
(ucs-set-char #x8159 ?$Akj(B) ; GB0-A-6B6A
(ucs-set-char #x815A ?$Akk(B) ; GB0-A-6B6B
(ucs-set-char #x815B ?$(HF>(B) ; C02-H-463E
(ucs-set-char #x815C ?$(HF<(B) ; C02-H-463C
(ucs-set-char #x815D ?$(IC{(B) ; C03-I-437B
(ucs-set-char #x815E ?$(HFB(B) ; C02-H-4642
(ucs-set-char #x815F ?$(IC~(B) ; C03-I-437E
(ucs-set-char #x815F ?$@g5(B) ; J78-@-6735
(ucs-set-char #x815F ?$Bg5(B) ; J83-B-6735
(ucs-set-char #x8160 ?$(DV=(B) ; J90-D-563D
(ucs-set-char #x8160 ?$(HF:(B) ; C02-H-463A
(ucs-set-char #x8160 ?$Akm(B) ; GB0-A-6B6D
(ucs-set-char #x8161 ?$(DV>(B) ; J90-D-563E
(ucs-set-char #x8161 ?$(HFG(B) ; C02-H-4647
(ucs-set-char #x8162 ?$(HF?(B) ; C02-H-463F
(ucs-set-char #x8163 ?$(ICu(B) ; C03-I-4375
(ucs-set-char #x8164 ?$(HF9(B) ; C02-H-4639
(ucs-set-char #x8165 ?$(Ca#(B) ; KS0-C-6123
(ucs-set-char #x8165 ?$(Gf$(B) ; C01-G-6624
(ucs-set-char #x8165 ?$@g)(B) ; J78-@-6729
(ucs-set-char #x8165 ?$APH(B) ; GB0-A-5048
(ucs-set-char #x8165 ?$Bg)(B) ; J83-B-6729
(ucs-set-char #x8166 ?$(CR`(B) ; KS0-C-5260
(ucs-set-char #x8166 ?$(Gf*(B) ; C01-G-662A
(ucs-set-char #x8166 ?$@g*(B) ; J78-@-672A
(ucs-set-char #x8166 ?$Bg*(B) ; J83-B-672A
(ucs-set-char #x8167 ?$(DV?(B) ; J90-D-563F
(ucs-set-char #x8167 ?$(HFD(B) ; C02-H-4644
(ucs-set-char #x8167 ?$Akr(B) ; GB0-A-6B72
(ucs-set-char #x8168 ?$(DV@(B) ; J90-D-5640
(ucs-set-char #x8168 ?$(J@)(B) ; C04-J-4029
(ucs-set-char #x8169 ?$(DVA(B) ; J90-D-5641
(ucs-set-char #x8169 ?$(HF=(B) ; C02-H-463D
(ucs-set-char #x8169 ?$Akn(B) ; GB0-A-6B6E
(ucs-set-char #x816A ?$(ICv(B) ; C03-I-4376
(ucs-set-char #x816B ?$(Cp~(B) ; KS0-C-707E
(ucs-set-char #x816B ?$(Gf'(B) ; C01-G-6627
(ucs-set-char #x816B ?$@<p(B) ; J78-@-3C70
(ucs-set-char #x816B ?$B<p(B) ; J83-B-3C70
(ucs-set-char #x816C ?$(ICw(B) ; C03-I-4377
(ucs-set-char #x816D ?$(DVB(B) ; J90-D-5642
(ucs-set-char #x816D ?$(ID#(B) ; C03-I-4423
(ucs-set-char #x816D ?$Akq(B) ; GB0-A-6B71
(ucs-set-char #x816E ?$(Gf%(B) ; C01-G-6625
(ucs-set-char #x816E ?$@g((B) ; J78-@-6728
(ucs-set-char #x816E ?$AHy(B) ; GB0-A-4879
(ucs-set-char #x816E ?$Bg((B) ; J83-B-6728
(ucs-set-char #x816F ?$(DVC(B) ; J90-D-5643
(ucs-set-char #x816F ?$(HFE(B) ; C02-H-4645
(ucs-set-char #x8170 ?$(Ci&(B) ; KS0-C-6926
(ucs-set-char #x8170 ?$(Gf"(B) ; C01-G-6622
(ucs-set-char #x8170 ?$@9x(B) ; J78-@-3978
(ucs-set-char #x8170 ?$AQ|(B) ; GB0-A-517C
(ucs-set-char #x8170 ?$B9x(B) ; J83-B-3978
(ucs-set-char #x8171 ?$(CKr(B) ; KS0-C-4B72
(ucs-set-char #x8171 ?$(Gf!(B) ; C01-G-6621
(ucs-set-char #x8171 ?$@g'(B) ; J78-@-6727
(ucs-set-char #x8171 ?$Akl(B) ; GB0-A-6B6C
(ucs-set-char #x8171 ?$Bg'(B) ; J83-B-6727
(ucs-set-char #x8172 ?$(HF@(B) ; C02-H-4640
(ucs-set-char #x8173 ?$(Gf&(B) ; C01-G-6626
(ucs-set-char #x8174 ?$(GaS(B) ; C01-G-6153
(ucs-set-char #x8174 ?$@g+(B) ; J78-@-672B
(ucs-set-char #x8174 ?$Aki(B) ; GB0-A-6B69
(ucs-set-char #x8174 ?$Bg+(B) ; J83-B-672B
(ucs-set-char #x8175 ?$(IC|(B) ; C03-I-437C
(ucs-set-char #x8176 ?$(HFC(B) ; C02-H-4643
(ucs-set-char #x8177 ?$(DVD(B) ; J90-D-5644
(ucs-set-char #x8177 ?$(HF;(B) ; C02-H-463B
(ucs-set-char #x8178 ?$(Cms(B) ; KS0-C-6D73
(ucs-set-char #x8178 ?$(Gf#(B) ; C01-G-6623
(ucs-set-char #x8178 ?$@D2(B) ; J78-@-4432
(ucs-set-char #x8178 ?$BD2(B) ; J83-B-4432
(ucs-set-char #x8179 ?$(C\Y(B) ; KS0-C-5C59
(ucs-set-char #x8179 ?$(Gf((B) ; C01-G-6628
(ucs-set-char #x8179 ?$@J"(B) ; J78-@-4A22
(ucs-set-char #x8179 ?$A89(B) ; GB0-A-3839
(ucs-set-char #x8179 ?$BJ"(B) ; J83-B-4A22
(ucs-set-char #x817A ?$(C`M(B) ; KS0-C-604D
(ucs-set-char #x817A ?$(Gf)(B) ; C01-G-6629
(ucs-set-char #x817A ?$@A#(B) ; J78-@-4123
(ucs-set-char #x817A ?$AOY(B) ; GB0-A-4F59
(ucs-set-char #x817A ?$BA#(B) ; J83-B-4123
(ucs-set-char #x817B ?$ADe(B) ; GB0-A-4465
(ucs-set-char #x817C ?$Ako(B) ; GB0-A-6B6F
(ucs-set-char #x817D ?$(ID"(B) ; C03-I-4422
(ucs-set-char #x817D ?$Akp(B) ; GB0-A-6B70
(ucs-set-char #x817E ?$ALZ(B) ; GB0-A-4C5A
(ucs-set-char #x817F ?$(CwZ(B) ; KS0-C-775A
(ucs-set-char #x817F ?$(GjT(B) ; C01-G-6A54
(ucs-set-char #x817F ?$@B\(B) ; J78-@-425C
(ucs-set-char #x817F ?$AMH(B) ; GB0-A-4D48
(ucs-set-char #x817F ?$BB\(B) ; J83-B-425C
(ucs-set-char #x8180 ?$(C[9(B) ; KS0-C-5B39
(ucs-set-char #x8180 ?$(GjP(B) ; C01-G-6A50
(ucs-set-char #x8180 ?$@g/(B) ; J78-@-672F
(ucs-set-char #x8180 ?$A0r(B) ; GB0-A-3072
(ucs-set-char #x8180 ?$Bg/(B) ; J83-B-672F
(ucs-set-char #x8181 ?$(DVE(B) ; J90-D-5645
(ucs-set-char #x8181 ?$(II'(B) ; C03-I-4927
(ucs-set-char #x8182 ?$(GjU(B) ; C01-G-6A55
(ucs-set-char #x8182 ?$@g0(B) ; J78-@-6730
(ucs-set-char #x8182 ?$Akv(B) ; GB0-A-6B76
(ucs-set-char #x8182 ?$Bg0(B) ; J83-B-6730
(ucs-set-char #x8183 ?$(HM-(B) ; C02-H-4D2D
(ucs-set-char #x8183 ?$@g,(B) ; J78-@-672C
(ucs-set-char #x8183 ?$Bg,(B) ; J83-B-672C
(ucs-set-char #x8184 ?$(DVG(B) ; J90-D-5647
(ucs-set-char #x8184 ?$(II*(B) ; C03-I-492A
(ucs-set-char #x8185 ?$(DVH(B) ; J90-D-5648
(ucs-set-char #x8185 ?$(JF9(B) ; C04-J-4639
(ucs-set-char #x8186 ?$(DVI(B) ; J90-D-5649
(ucs-set-char #x8186 ?$(HM,(B) ; C02-H-4D2C
(ucs-set-char #x8187 ?$(HM.(B) ; C02-H-4D2E
(ucs-set-char #x8188 ?$(CL.(B) ; KS0-C-4C2E
(ucs-set-char #x8188 ?$(GjR(B) ; C01-G-6A52
(ucs-set-char #x8188 ?$@g-(B) ; J78-@-672D
(ucs-set-char #x8188 ?$Aku(B) ; GB0-A-6B75
(ucs-set-char #x8188 ?$Bg-(B) ; J83-B-672D
(ucs-set-char #x8189 ?$(HM+(B) ; C02-H-4D2B
(ucs-set-char #x818A ?$(CZ[(B) ; KS0-C-5A5B
(ucs-set-char #x818A ?$(GjS(B) ; C01-G-6A53
(ucs-set-char #x818A ?$@g.(B) ; J78-@-672E
(ucs-set-char #x818A ?$A22(B) ; GB0-A-3232
(ucs-set-char #x818A ?$Bg.(B) ; J83-B-672E
(ucs-set-char #x818B ?$(DVJ(B) ; J90-D-564A
(ucs-set-char #x818B ?$(HM1(B) ; C02-H-4D31
(ucs-set-char #x818C ?$(HM0(B) ; C02-H-4D30
(ucs-set-char #x818D ?$(HM/(B) ; C02-H-4D2F
(ucs-set-char #x818E ?$(DVK(B) ; J90-D-564B
(ucs-set-char #x818E ?$(JFF(B) ; C04-J-4646
(ucs-set-char #x818F ?$(CMG(B) ; KS0-C-4D47
(ucs-set-char #x818F ?$(GjQ(B) ; C01-G-6A51
(ucs-set-char #x818F ?$@9Q(B) ; J78-@-3951
(ucs-set-char #x818F ?$A8`(B) ; GB0-A-3860
(ucs-set-char #x818F ?$B9Q(B) ; J83-B-3951
(ucs-set-char #x8190 ?$(DVF(B) ; J90-D-5646
(ucs-set-char #x8190 ?$(JRg(B) ; C04-J-5267
(ucs-set-char #x8191 ?$Akw(B) ; GB0-A-6B77
(ucs-set-char #x8192 ?$(IN;(B) ; C03-I-4E3B
(ucs-set-char #x8193 ?$(IN=(B) ; C03-I-4E3D
(ucs-set-char #x8193 ?$@g6(B) ; J78-@-6736
(ucs-set-char #x8193 ?$Bg6(B) ; J83-B-6736
(ucs-set-char #x8194 ?$(IN9(B) ; C03-I-4E39
(ucs-set-char #x8195 ?$(HS*(B) ; C02-H-532A
(ucs-set-char #x8195 ?$@g2(B) ; J78-@-6732
(ucs-set-char #x8195 ?$Bg2(B) ; J83-B-6732
(ucs-set-char #x8196 ?$(DVL(B) ; J90-D-564C
(ucs-set-char #x8196 ?$(IN<(B) ; C03-I-4E3C
(ucs-set-char #x8197 ?$(HS-(B) ; C02-H-532D
(ucs-set-char #x8198 ?$(DVM(B) ; J90-D-564D
(ucs-set-char #x8198 ?$(GnQ(B) ; C01-G-6E51
(ucs-set-char #x8198 ?$A1l(B) ; GB0-A-316C
(ucs-set-char #x8199 ?$(HS,(B) ; C02-H-532C
(ucs-set-char #x819A ?$(C]1(B) ; KS0-C-5D31
(ucs-set-char #x819A ?$(GnP(B) ; C01-G-6E50
(ucs-set-char #x819A ?$@If(B) ; J78-@-4966
(ucs-set-char #x819A ?$BIf(B) ; J83-B-4966
(ucs-set-char #x819B ?$(DVN(B) ; J90-D-564E
(ucs-set-char #x819B ?$(GnL(B) ; C01-G-6E4C
(ucs-set-char #x819B ?$ALE(B) ; GB0-A-4C45
(ucs-set-char #x819C ?$(CX/(B) ; KS0-C-582F
(ucs-set-char #x819C ?$(GnM(B) ; C01-G-6E4D
(ucs-set-char #x819C ?$@Kl(B) ; J78-@-4B6C
(ucs-set-char #x819C ?$AD$(B) ; GB0-A-4424
(ucs-set-char #x819C ?$BKl(B) ; J83-B-4B6C
(ucs-set-char #x819D ?$(Cc#(B) ; KS0-C-6323
(ucs-set-char #x819D ?$(GnN(B) ; C01-G-6E4E
(ucs-set-char #x819D ?$@I((B) ; J78-@-4928
(ucs-set-char #x819D ?$AO%(B) ; GB0-A-4F25
(ucs-set-char #x819D ?$BI((B) ; J83-B-4928
(ucs-set-char #x819E ?$(DVO(B) ; J90-D-564F
(ucs-set-char #x819E ?$(HS)(B) ; C02-H-5329
(ucs-set-char #x819F ?$(HS((B) ; C02-H-5328
(ucs-set-char #x81A0 ?$(CNo(B) ; KS0-C-4E6F
(ucs-set-char #x81A0 ?$(GnO(B) ; C01-G-6E4F
(ucs-set-char #x81A0 ?$@g1(B) ; J78-@-6731
(ucs-set-char #x81A0 ?$Bg1(B) ; J83-B-6731
(ucs-set-char #x81A1 ?$(IN:(B) ; C03-I-4E3A
(ucs-set-char #x81A2 ?$(DVP(B) ; J90-D-5650
(ucs-set-char #x81A2 ?$(HS+(B) ; C02-H-532B
(ucs-set-char #x81A3 ?$(Crs(B) ; KS0-C-7273
(ucs-set-char #x81A3 ?$(HS'(B) ; C02-H-5327
(ucs-set-char #x81A3 ?$@g4(B) ; J78-@-6734
(ucs-set-char #x81A3 ?$Aky(B) ; GB0-A-6B79
(ucs-set-char #x81A3 ?$Bg4(B) ; J83-B-6734
(ucs-set-char #x81A4 ?$@g3(B) ; J78-@-6733
(ucs-set-char #x81A4 ?$Bg3(B) ; J83-B-6733
(ucs-set-char #x81A6 ?$(HYU(B) ; C02-H-5955
(ucs-set-char #x81A6 ?$Al"(B) ; GB0-A-6C22
(ucs-set-char #x81A7 ?$(HY_(B) ; C02-H-595F
(ucs-set-char #x81A8 ?$(Cx3(B) ; KS0-C-7833
(ucs-set-char #x81A8 ?$(Gqy(B) ; C01-G-7179
(ucs-set-char #x81A8 ?$@KD(B) ; J78-@-4B44
(ucs-set-char #x81A8 ?$AEr(B) ; GB0-A-4572
(ucs-set-char #x81A8 ?$BKD(B) ; J83-B-4B44
(ucs-set-char #x81A9 ?$(Gqx(B) ; C01-G-7178
(ucs-set-char #x81A9 ?$@g7(B) ; J78-@-6737
(ucs-set-char #x81A9 ?$Bg7(B) ; J83-B-6737
(ucs-set-char #x81AA ?$(IRI(B) ; C03-I-5249
(ucs-set-char #x81AA ?$Akz(B) ; GB0-A-6B7A
(ucs-set-char #x81AB ?$(HYY(B) ; C02-H-5959
(ucs-set-char #x81AC ?$(HY[(B) ; C02-H-595B
(ucs-set-char #x81AD ?$(IRG(B) ; C03-I-5247
(ucs-set-char #x81AE ?$(DVQ(B) ; J90-D-5651
(ucs-set-char #x81AE ?$(HYV(B) ; C02-H-5956
(ucs-set-char #x81AF ?$(IRD(B) ; C03-I-5244
(ucs-set-char #x81B0 ?$(HYZ(B) ; C02-H-595A
(ucs-set-char #x81B0 ?$@g8(B) ; J78-@-6738
(ucs-set-char #x81B0 ?$Bg8(B) ; J83-B-6738
(ucs-set-char #x81B1 ?$(HYT(B) ; C02-H-5954
(ucs-set-char #x81B2 ?$(DVR(B) ; J90-D-5652
(ucs-set-char #x81B2 ?$(HY](B) ; C02-H-595D
(ucs-set-char #x81B3 ?$(C`N(B) ; KS0-C-604E
(ucs-set-char #x81B3 ?$(Gqw(B) ; C01-G-7177
(ucs-set-char #x81B3 ?$@A7(B) ; J78-@-4137
(ucs-set-char #x81B3 ?$AIE(B) ; GB0-A-4945
(ucs-set-char #x81B3 ?$BA7(B) ; J83-B-4137
(ucs-set-char #x81B4 ?$(DVS(B) ; J90-D-5653
(ucs-set-char #x81B4 ?$(HY\(B) ; C02-H-595C
(ucs-set-char #x81B5 ?$(Cu}(B) ; KS0-C-757D
(ucs-set-char #x81B5 ?$(HYX(B) ; C02-H-5958
(ucs-set-char #x81B5 ?$@g9(B) ; J78-@-6739
(ucs-set-char #x81B5 ?$Bg9(B) ; J83-B-6739
(ucs-set-char #x81B7 ?$(HY^(B) ; C02-H-595E
(ucs-set-char #x81B8 ?$(IV#(B) ; C03-I-5623
(ucs-set-char #x81B8 ?$@g;(B) ; J78-@-673B
(ucs-set-char #x81B8 ?$Bg;(B) ; J83-B-673B
(ucs-set-char #x81B9 ?$(HYW(B) ; C02-H-5957
(ucs-set-char #x81BA ?$(Ckl(B) ; KS0-C-6B6C
(ucs-set-char #x81BA ?$(Gt~(B) ; C01-G-747E
(ucs-set-char #x81BA ?$@g?(B) ; J78-@-673F
(ucs-set-char #x81BA ?$Ab_(B) ; GB0-A-625F
(ucs-set-char #x81BA ?$Bg?(B) ; J83-B-673F
(ucs-set-char #x81BB ?$(DVT(B) ; J90-D-5654
(ucs-set-char #x81BB ?$(H^U(B) ; C02-H-5E55
(ucs-set-char #x81BB ?$Ak~(B) ; GB0-A-6B7E
(ucs-set-char #x81BC ?$(H^[(B) ; C02-H-5E5B
(ucs-set-char #x81BD ?$(CSE(B) ; KS0-C-5345
(ucs-set-char #x81BD ?$(Gu$(B) ; C01-G-7524
(ucs-set-char #x81BD ?$@g<(B) ; J78-@-673C
(ucs-set-char #x81BD ?$Bg<(B) ; J83-B-673C
(ucs-set-char #x81BE ?$(C|l(B) ; KS0-C-7C6C
(ucs-set-char #x81BE ?$(Gu&(B) ; C01-G-7526
(ucs-set-char #x81BE ?$@g:(B) ; J78-@-673A
(ucs-set-char #x81BE ?$Bg:(B) ; J83-B-673A
(ucs-set-char #x81BF ?$(CR[(B) ; KS0-C-525B
(ucs-set-char #x81BF ?$(Gu#(B) ; C01-G-7523
(ucs-set-char #x81BF ?$@G?(B) ; J78-@-473F
(ucs-set-char #x81BF ?$BG?(B) ; J83-B-473F
(ucs-set-char #x81C0 ?$(CTk(B) ; KS0-C-546B
(ucs-set-char #x81C0 ?$(Gu"(B) ; C01-G-7522
(ucs-set-char #x81C0 ?$@g=(B) ; J78-@-673D
(ucs-set-char #x81C0 ?$AMN(B) ; GB0-A-4D4E
(ucs-set-char #x81C0 ?$Bg=(B) ; J83-B-673D
(ucs-set-char #x81C1 ?$(JX'(B) ; C04-J-5827
(ucs-set-char #x81C1 ?$Al!(B) ; GB0-A-6C21
(ucs-set-char #x81C2 ?$(C^"(B) ; KS0-C-5E22
(ucs-set-char #x81C2 ?$(Gu!(B) ; C01-G-7521
(ucs-set-char #x81C2 ?$@g>(B) ; J78-@-673E
(ucs-set-char #x81C2 ?$A1[(B) ; GB0-A-315B
(ucs-set-char #x81C2 ?$Bg>(B) ; J83-B-673E
(ucs-set-char #x81C3 ?$(DVV(B) ; J90-D-5656
(ucs-set-char #x81C3 ?$(Gt}(B) ; C01-G-747D
(ucs-set-char #x81C3 ?$AS7(B) ; GB0-A-5337
(ucs-set-char #x81C4 ?$(H^V(B) ; C02-H-5E56
(ucs-set-char #x81C5 ?$(DVW(B) ; J90-D-5657
(ucs-set-char #x81C5 ?$(H^Y(B) ; C02-H-5E59
(ucs-set-char #x81C6 ?$(Cef(B) ; KS0-C-6566
(ucs-set-char #x81C6 ?$(Gt|(B) ; C01-G-747C
(ucs-set-char #x81C6 ?$@22(B) ; J78-@-3232
(ucs-set-char #x81C6 ?$AR\(B) ; GB0-A-525C
(ucs-set-char #x81C6 ?$B22(B) ; J83-B-3232
(ucs-set-char #x81C7 ?$(H^Z(B) ; C02-H-5E5A
(ucs-set-char #x81C8 ?$(IV$(B) ; C03-I-5624
(ucs-set-char #x81C8 ?$@gE(B) ; J78-@-6745
(ucs-set-char #x81C8 ?$BgE(B) ; J83-B-6745
(ucs-set-char #x81C9 ?$(Gu%(B) ; C01-G-7525
(ucs-set-char #x81C9 ?$@g@(B) ; J78-@-6740
(ucs-set-char #x81C9 ?$Bg@(B) ; J83-B-6740
(ucs-set-char #x81CA ?$(DVX(B) ; J90-D-5658
(ucs-set-char #x81CA ?$(H^X(B) ; C02-H-5E58
(ucs-set-char #x81CA ?$Ak}(B) ; GB0-A-6B7D
(ucs-set-char #x81CB ?$(DVU(B) ; J90-D-5655
(ucs-set-char #x81CB ?$(MH|(B) ; C07-M-487C
(ucs-set-char #x81CC ?$(H^W(B) ; C02-H-5E57
(ucs-set-char #x81CC ?$Ak{(B) ; GB0-A-6B7B
(ucs-set-char #x81CD ?$(Cp0(B) ; KS0-C-7030
(ucs-set-char #x81CD ?$(Gw,(B) ; C01-G-772C
(ucs-set-char #x81CD ?$@gA(B) ; J78-@-6741
(ucs-set-char #x81CD ?$BgA(B) ; J83-B-6741
(ucs-set-char #x81CE ?$(DVY(B) ; J90-D-5659
(ucs-set-char #x81CE ?$(IXe(B) ; C03-I-5865
(ucs-set-char #x81CF ?$(DVZ(B) ; J90-D-565A
(ucs-set-char #x81CF ?$(Gw-(B) ; C01-G-772D
(ucs-set-char #x81D0 ?$(Hbk(B) ; C02-H-626B
(ucs-set-char #x81D1 ?$(Hbi(B) ; C02-H-6269
(ucs-set-char #x81D1 ?$@gB(B) ; J78-@-6742
(ucs-set-char #x81D1 ?$BgB(B) ; J83-B-6742
(ucs-set-char #x81D2 ?$(Hbj(B) ; C02-H-626A
(ucs-set-char #x81D3 ?$@B!(B) ; J78-@-4221
(ucs-set-char #x81D3 ?$BB!(B) ; J83-B-4221
(ucs-set-char #x81D4 ?$(IZw(B) ; C03-I-5A77
(ucs-set-char #x81D5 ?$(DV[(B) ; J90-D-565B
(ucs-set-char #x81D5 ?$(HfL(B) ; C02-H-664C
(ucs-set-char #x81D6 ?$(IZx(B) ; C03-I-5A78
(ucs-set-char #x81D7 ?$(DV\(B) ; J90-D-565C
(ucs-set-char #x81D7 ?$(HfK(B) ; C02-H-664B
(ucs-set-char #x81D8 ?$(CUD(B) ; KS0-C-5544
(ucs-set-char #x81D8 ?$(Gxi(B) ; C01-G-7869
(ucs-set-char #x81D8 ?$@gD(B) ; J78-@-6744
(ucs-set-char #x81D8 ?$BgD(B) ; J83-B-6744
(ucs-set-char #x81D9 ?$(Hia(B) ; C02-H-6961
(ucs-set-char #x81D9 ?$@gC(B) ; J78-@-6743
(ucs-set-char #x81D9 ?$BgC(B) ; J83-B-6743
(ucs-set-char #x81DA ?$(Gz/(B) ; C01-G-7A2F
(ucs-set-char #x81DA ?$@gF(B) ; J78-@-6746
(ucs-set-char #x81DA ?$BgF(B) ; J83-B-6746
(ucs-set-char #x81DB ?$(DV](B) ; J90-D-565D
(ucs-set-char #x81DB ?$(Hi`(B) ; C02-H-6960
(ucs-set-char #x81DD ?$(DV^(B) ; J90-D-565E
(ucs-set-char #x81DD ?$(Hk~(B) ; C02-H-6B7E
(ucs-set-char #x81DE ?$(DV_(B) ; J90-D-565F
(ucs-set-char #x81DE ?$(Hmr(B) ; C02-H-6D72
(ucs-set-char #x81DF ?$(Cmt(B) ; KS0-C-6D74
(ucs-set-char #x81DF ?$(G{p(B) ; C01-G-7B70
(ucs-set-char #x81DF ?$@gG(B) ; J78-@-6747
(ucs-set-char #x81DF ?$BgG(B) ; J83-B-6747
(ucs-set-char #x81E0 ?$(Hq2(B) ; C02-H-7132
(ucs-set-char #x81E0 ?$@gH(B) ; J78-@-6748
(ucs-set-char #x81E0 ?$BgH(B) ; J83-B-6748
(ucs-set-char #x81E1 ?$(DV`(B) ; J90-D-5660
(ucs-set-char #x81E1 ?$(Hq3(B) ; C02-H-7133
(ucs-set-char #x81E2 ?$(G|D(B) ; C01-G-7C44
(ucs-set-char #x81E3 ?$(Ccm(B) ; KS0-C-636D
(ucs-set-char #x81E3 ?$(GH[(B) ; C01-G-485B
(ucs-set-char #x81E3 ?$@?C(B) ; J78-@-3F43
(ucs-set-char #x81E3 ?$A3<(B) ; GB0-A-333C
(ucs-set-char #x81E3 ?$B?C(B) ; J83-B-3F43
(ucs-set-char #x81E4 ?$(DVa(B) ; J90-D-5661
(ucs-set-char #x81E4 ?$(J'l(B) ; C04-J-276C
(ucs-set-char #x81E5 ?$(ChB(B) ; KS0-C-6842
(ucs-set-char #x81E5 ?$(GO:(B) ; C01-G-4F3A
(ucs-set-char #x81E5 ?$@2i(B) ; J78-@-3269
(ucs-set-char #x81E5 ?$B2i(B) ; J83-B-3269
(ucs-set-char #x81E6 ?$(H?7(B) ; C02-H-3F37
(ucs-set-char #x81E7 ?$(Cmu(B) ; KS0-C-6D75
(ucs-set-char #x81E7 ?$(GjV(B) ; C01-G-6A56
(ucs-set-char #x81E7 ?$@gI(B) ; J78-@-6749
(ucs-set-char #x81E7 ?$Aj0(B) ; GB0-A-6A30
(ucs-set-char #x81E7 ?$BgI(B) ; J83-B-6749
(ucs-set-char #x81E8 ?$(CW|(B) ; KS0-C-577C
(ucs-set-char #x81E8 ?$(Gu'(B) ; C01-G-7527
(ucs-set-char #x81E8 ?$@NW(B) ; J78-@-4E57
(ucs-set-char #x81E8 ?$BNW(B) ; J83-B-4E57
(ucs-set-char #x81E9 ?$(H^\(B) ; C02-H-5E5C
(ucs-set-char #x81EA ?$(Cm;(B) ; KS0-C-6D3B
(ucs-set-char #x81EA ?$(GH\(B) ; C01-G-485C
(ucs-set-char #x81EA ?$@<+(B) ; J78-@-3C2B
(ucs-set-char #x81EA ?$AWT(B) ; GB0-A-5754
(ucs-set-char #x81EA ?$B<+(B) ; J83-B-3C2B
(ucs-set-char #x81EB ?$(DVb(B) ; J90-D-5662
(ucs-set-char #x81EB ?$(J$s(B) ; C04-J-2473
(ucs-set-char #x81EC ?$(DVc(B) ; J90-D-5663
(ucs-set-char #x81EC ?$(GWi(B) ; C01-G-5769
(ucs-set-char #x81EC ?$At+(B) ; GB0-A-742B
(ucs-set-char #x81ED ?$(Cv+(B) ; KS0-C-762B
(ucs-set-char #x81ED ?$(GWh(B) ; C01-G-5768
(ucs-set-char #x81ED ?$@=-(B) ; J78-@-3D2D
(ucs-set-char #x81ED ?$A3t(B) ; GB0-A-3374
(ucs-set-char #x81ED ?$B=-(B) ; J83-B-3D2D
(ucs-set-char #x81EE ?$(H?8(B) ; C02-H-3F38
(ucs-set-char #x81EF ?$(I>G(B) ; C03-I-3E47
(ucs-set-char #x81F0 ?$(DVd(B) ; J90-D-5664
(ucs-set-char #x81F0 ?$(J:L(B) ; C04-J-3A4C
(ucs-set-char #x81F1 ?$(DVe(B) ; J90-D-5665
(ucs-set-char #x81F1 ?$(JLb(B) ; C04-J-4C62
(ucs-set-char #x81F2 ?$(DVf(B) ; J90-D-5666
(ucs-set-char #x81F2 ?$(HY`(B) ; C02-H-5960
(ucs-set-char #x81F3 ?$(Cr8(B) ; KS0-C-7238
(ucs-set-char #x81F3 ?$(GH](B) ; C01-G-485D
(ucs-set-char #x81F3 ?$@;j(B) ; J78-@-3B6A
(ucs-set-char #x81F3 ?$AVA(B) ; GB0-A-5641
(ucs-set-char #x81F3 ?$B;j(B) ; J83-B-3B6A
(ucs-set-char #x81F4 ?$(CvH(B) ; KS0-C-7648
(ucs-set-char #x81F4 ?$(GS3(B) ; C01-G-5333
(ucs-set-char #x81F4 ?$(L;:(B) ; C06-L-3B3A
(ucs-set-char #x81F4 ?$@CW(B) ; J78-@-4357
(ucs-set-char #x81F4 ?$AVB(B) ; GB0-A-5642
(ucs-set-char #x81F4 ?$BCW(B) ; J83-B-4357
(ucs-set-char #x81F5 ?$(DVg(B) ; J90-D-5667
(ucs-set-char #x81F5 ?$(J:M(B) ; C04-J-3A4D
(ucs-set-char #x81F6 ?$(DVh(B) ; J90-D-5668
(ucs-set-char #x81F6 ?$(I>H(B) ; C03-I-3E48
(ucs-set-char #x81F7 ?$(H?9(B) ; C02-H-3F39
(ucs-set-char #x81F8 ?$(DVi(B) ; J90-D-5669
(ucs-set-char #x81F8 ?$(H?:(B) ; C02-H-3F3A
(ucs-set-char #x81F9 ?$(DVj(B) ; J90-D-566A
(ucs-set-char #x81F9 ?$(H?;(B) ; C02-H-3F3B
(ucs-set-char #x81FA ?$(CSf(B) ; KS0-C-5366
(ucs-set-char #x81FA ?$(GjW(B) ; C01-G-6A57
(ucs-set-char #x81FA ?$@gJ(B) ; J78-@-674A
(ucs-set-char #x81FA ?$BgJ(B) ; J83-B-674A
(ucs-set-char #x81FB ?$(Cr](B) ; KS0-C-725D
(ucs-set-char #x81FB ?$(Gqz(B) ; C01-G-717A
(ucs-set-char #x81FB ?$@gK(B) ; J78-@-674B
(ucs-set-char #x81FB ?$AUi(B) ; GB0-A-5569
(ucs-set-char #x81FB ?$BgK(B) ; J83-B-674B
(ucs-set-char #x81FC ?$(CO?(B) ; KS0-C-4F3F
(ucs-set-char #x81FC ?$(GH^(B) ; C01-G-485E
(ucs-set-char #x81FC ?$@11(B) ; J78-@-3131
(ucs-set-char #x81FC ?$A>J(B) ; GB0-A-3E4A
(ucs-set-char #x81FC ?$B11(B) ; J83-B-3131
(ucs-set-char #x81FD ?$(DVk(B) ; J90-D-566B
(ucs-set-char #x81FD ?$(J'm(B) ; C04-J-276D
(ucs-set-char #x81FE ?$(Ck,(B) ; KS0-C-6B2C
(ucs-set-char #x81FE ?$(GO;(B) ; C01-G-4F3B
(ucs-set-char #x81FE ?$@gL(B) ; J78-@-674C
(ucs-set-char #x81FE ?$At'(B) ; GB0-A-7427
(ucs-set-char #x81FE ?$BgL(B) ; J83-B-674C
(ucs-set-char #x81FF ?$(DVl(B) ; J90-D-566C
(ucs-set-char #x81FF ?$(H-+(B) ; C02-H-2D2B
(ucs-set-char #x8200 ?$(DVm(B) ; J90-D-566D
(ucs-set-char #x8200 ?$(GWj(B) ; C01-G-576A
(ucs-set-char #x8200 ?$AR((B) ; GB0-A-5228
(ucs-set-char #x8201 ?$(H24(B) ; C02-H-3234
(ucs-set-char #x8201 ?$@gM(B) ; J78-@-674D
(ucs-set-char #x8201 ?$At((B) ; GB0-A-7428
(ucs-set-char #x8201 ?$BgM(B) ; J83-B-674D
(ucs-set-char #x8202 ?$(G\o(B) ; C01-G-5C6F
(ucs-set-char #x8202 ?$@gN(B) ; J78-@-674E
(ucs-set-char #x8202 ?$At)(B) ; GB0-A-7429
(ucs-set-char #x8202 ?$BgN(B) ; J83-B-674E
(ucs-set-char #x8203 ?$(DVn(B) ; J90-D-566E
(ucs-set-char #x8203 ?$(I>I(B) ; C03-I-3E49
(ucs-set-char #x8204 ?$(H?<(B) ; C02-H-3F3C
(ucs-set-char #x8204 ?$At*(B) ; GB0-A-742A
(ucs-set-char #x8205 ?$(CO@(B) ; KS0-C-4F40
(ucs-set-char #x8205 ?$(Gf+(B) ; C01-G-662B
(ucs-set-char #x8205 ?$@gO(B) ; J78-@-674F
(ucs-set-char #x8205 ?$A>K(B) ; GB0-A-3E4B
(ucs-set-char #x8205 ?$BgO(B) ; J83-B-674F
(ucs-set-char #x8206 ?$AS_(B) ; GB0-A-535F
(ucs-set-char #x8207 ?$(Cf((B) ; KS0-C-6628
(ucs-set-char #x8207 ?$(GjX(B) ; C01-G-6A58
(ucs-set-char #x8207 ?$@gP(B) ; J78-@-6750
(ucs-set-char #x8207 ?$BgP(B) ; J83-B-6750
(ucs-set-char #x8208 ?$(C}i(B) ; KS0-C-7D69
(ucs-set-char #x8208 ?$(Gq{(B) ; C01-G-717B
(ucs-set-char #x8208 ?$@6=(B) ; J78-@-363D
(ucs-set-char #x8208 ?$B6=(B) ; J83-B-363D
(ucs-set-char #x8209 ?$(Gu((B) ; C01-G-7528
(ucs-set-char #x8209 ?$@Z*(B) ; J78-@-5A2A
(ucs-set-char #x8209 ?$BZ*(B) ; J83-B-5A2A
(ucs-set-char #x820A ?$(COA(B) ; KS0-C-4F41
(ucs-set-char #x820A ?$(Gw.(B) ; C01-G-772E
(ucs-set-char #x820A ?$@gQ(B) ; J78-@-6751
(ucs-set-char #x820A ?$BgQ(B) ; J83-B-6751
(ucs-set-char #x820B ?$(HfM(B) ; C02-H-664D
(ucs-set-char #x820C ?$(C`_(B) ; KS0-C-605F
(ucs-set-char #x820C ?$(GH_(B) ; C01-G-485F
(ucs-set-char #x820C ?$@@e(B) ; J78-@-4065
(ucs-set-char #x820C ?$AI`(B) ; GB0-A-4960
(ucs-set-char #x820C ?$B@e(B) ; J83-B-4065
(ucs-set-char #x820D ?$(C^l(B) ; KS0-C-5E6C
(ucs-set-char #x820D ?$(GO<(B) ; C01-G-4F3C
(ucs-set-char #x820D ?$@gR(B) ; J78-@-6752
(ucs-set-char #x820D ?$AIa(B) ; GB0-A-4961
(ucs-set-char #x820D ?$BgR(B) ; J83-B-6752
(ucs-set-char #x820E ?$(I*](B) ; C03-I-2A5D
(ucs-set-char #x820E ?$@<K(B) ; J78-@-3C4B
(ucs-set-char #x820E ?$B<K(B) ; J83-B-3C4B
(ucs-set-char #x820F ?$(DVo(B) ; J90-D-566F
(ucs-set-char #x820F ?$(J'n(B) ; C04-J-276E
(ucs-set-char #x8210 ?$(GWk(B) ; C01-G-576B
(ucs-set-char #x8210 ?$@gS(B) ; J78-@-6753
(ucs-set-char #x8210 ?$AsB(B) ; GB0-A-7342
(ucs-set-char #x8210 ?$BgS(B) ; J83-B-6753
(ucs-set-char #x8211 ?$(H8V(B) ; C02-H-3856
(ucs-set-char #x8212 ?$(C`"(B) ; KS0-C-6022
(ucs-set-char #x8212 ?$(GaT(B) ; C01-G-6154
(ucs-set-char #x8212 ?$@P0(B) ; J78-@-5030
(ucs-set-char #x8212 ?$AJf(B) ; GB0-A-4A66
(ucs-set-char #x8212 ?$BP0(B) ; J83-B-5030
(ucs-set-char #x8213 ?$(DVp(B) ; J90-D-5670
(ucs-set-char #x8213 ?$(II+(B) ; C03-I-492B
(ucs-set-char #x8214 ?$(DVq(B) ; J90-D-5671
(ucs-set-char #x8214 ?$(GjY(B) ; C01-G-6A59
(ucs-set-char #x8214 ?$ALr(B) ; GB0-A-4C72
(ucs-set-char #x8215 ?$(HM2(B) ; C02-H-4D32
(ucs-set-char #x8216 ?$(HS.(B) ; C02-H-532E
(ucs-set-char #x8216 ?$@gT(B) ; J78-@-6754
(ucs-set-char #x8216 ?$BgT(B) ; J83-B-6754
(ucs-set-char #x8217 ?$@J^(B) ; J78-@-4A5E
(ucs-set-char #x8217 ?$BJ^(B) ; J83-B-4A5E
(ucs-set-char #x8218 ?$(IRJ(B) ; C03-I-524A
(ucs-set-char #x8218 ?$@4\(B) ; J78-@-345C
(ucs-set-char #x8218 ?$B4\(B) ; J83-B-345C
(ucs-set-char #x8219 ?$(DVr(B) ; J90-D-5672
(ucs-set-char #x8219 ?$(IXh(B) ; C03-I-5868
(ucs-set-char #x821A ?$(DVs(B) ; J90-D-5673
(ucs-set-char #x821A ?$(IZy(B) ; C03-I-5A79
(ucs-set-char #x821B ?$(Ct?(B) ; KS0-C-743F
(ucs-set-char #x821B ?$(GH`(B) ; C01-G-4860
(ucs-set-char #x821B ?$@A$(B) ; J78-@-4124
(ucs-set-char #x821B ?$Ab6(B) ; GB0-A-6236
(ucs-set-char #x821B ?$BA$(B) ; J83-B-4124
(ucs-set-char #x821C ?$(Cbo(B) ; KS0-C-626F
(ucs-set-char #x821C ?$(GaU(B) ; C01-G-6155
(ucs-set-char #x821C ?$@=X(B) ; J78-@-3D58
(ucs-set-char #x821C ?$AK4(B) ; GB0-A-4B34
(ucs-set-char #x821C ?$B=X(B) ; J83-B-3D58
(ucs-set-char #x821D ?$(DVt(B) ; J90-D-5674
(ucs-set-char #x821D ?$(HFH(B) ; C02-H-4648
(ucs-set-char #x821E ?$(CYq(B) ; KS0-C-5971
(ucs-set-char #x821E ?$(GjZ(B) ; C01-G-6A5A
(ucs-set-char #x821E ?$@Iq(B) ; J78-@-4971
(ucs-set-char #x821E ?$ANh(B) ; GB0-A-4E68
(ucs-set-char #x821E ?$BIq(B) ; J83-B-4971
(ucs-set-char #x821F ?$(CqG(B) ; KS0-C-7147
(ucs-set-char #x821F ?$(GHa(B) ; C01-G-4861
(ucs-set-char #x821F ?$@=.(B) ; J78-@-3D2E
(ucs-set-char #x821F ?$AV[(B) ; GB0-A-565B
(ucs-set-char #x821F ?$B=.(B) ; J83-B-3D2E
(ucs-set-char #x8220 ?$(H(Q(B) ; C02-H-2851
(ucs-set-char #x8221 ?$(CK8(B) ; KS0-C-4B38
(ucs-set-char #x8221 ?$(DVu(B) ; J90-D-5675
(ucs-set-char #x8221 ?$(H-,(B) ; C02-H-2D2C
(ucs-set-char #x8221 ?$At-(B) ; GB0-A-742D
(ucs-set-char #x8222 ?$(DVv(B) ; J90-D-5676
(ucs-set-char #x8222 ?$(GS4(B) ; C01-G-5334
(ucs-set-char #x8222 ?$At.(B) ; GB0-A-742E
(ucs-set-char #x8223 ?$At/(B) ; GB0-A-742F
(ucs-set-char #x8224 ?$(I.h(B) ; C03-I-2E68
(ucs-set-char #x8225 ?$(H26(B) ; C02-H-3236
(ucs-set-char #x8226 ?$(J/O(B) ; C04-J-2F4F
(ucs-set-char #x8227 ?$(I3W(B) ; C03-I-3357
(ucs-set-char #x8228 ?$(DVw(B) ; J90-D-5677
(ucs-set-char #x8228 ?$(GWn(B) ; C01-G-576E
(ucs-set-char #x8228 ?$At2(B) ; GB0-A-7432
(ucs-set-char #x8229 ?$(I3X(B) ; C03-I-3358
(ucs-set-char #x8229 ?$@gU(B) ; J78-@-6755
(ucs-set-char #x8229 ?$BgU(B) ; J83-B-6755
(ucs-set-char #x822A ?$(Cy~(B) ; KS0-C-797E
(ucs-set-char #x822A ?$(GWl(B) ; C01-G-576C
(ucs-set-char #x822A ?$@9R(B) ; J78-@-3952
(ucs-set-char #x822A ?$A:=(B) ; GB0-A-3A3D
(ucs-set-char #x822A ?$B9R(B) ; J83-B-3952
(ucs-set-char #x822B ?$(C[:(B) ; KS0-C-5B3A
(ucs-set-char #x822B ?$(GWm(B) ; C01-G-576D
(ucs-set-char #x822B ?$@gV(B) ; J78-@-6756
(ucs-set-char #x822B ?$At3(B) ; GB0-A-7433
(ucs-set-char #x822B ?$BgV(B) ; J83-B-6756
(ucs-set-char #x822C ?$(CZu(B) ; KS0-C-5A75
(ucs-set-char #x822C ?$(GWo(B) ; C01-G-576F
(ucs-set-char #x822C ?$@HL(B) ; J78-@-484C
(ucs-set-char #x822C ?$A0c(B) ; GB0-A-3063
(ucs-set-char #x822C ?$BHL(B) ; J83-B-484C
(ucs-set-char #x822D ?$(I3U(B) ; C03-I-3355
(ucs-set-char #x822D ?$At0(B) ; GB0-A-7430
(ucs-set-char #x822E ?$@gd(B) ; J78-@-6764
(ucs-set-char #x822E ?$Bgd(B) ; J83-B-6764
(ucs-set-char #x822F ?$(H25(B) ; C02-H-3235
(ucs-set-char #x822F ?$At1(B) ; GB0-A-7431
(ucs-set-char #x8230 ?$A="(B) ; GB0-A-3D22
(ucs-set-char #x8231 ?$A2U(B) ; GB0-A-3255
(ucs-set-char #x8232 ?$(DVx(B) ; J90-D-5678
(ucs-set-char #x8232 ?$(H8[(B) ; C02-H-385B
(ucs-set-char #x8233 ?$(H8X(B) ; C02-H-3858
(ucs-set-char #x8233 ?$@gX(B) ; J78-@-6758
(ucs-set-char #x8233 ?$At6(B) ; GB0-A-7436
(ucs-set-char #x8233 ?$BgX(B) ; J83-B-6758
(ucs-set-char #x8234 ?$(DVy(B) ; J90-D-5679
(ucs-set-char #x8234 ?$(H8Z(B) ; C02-H-385A
(ucs-set-char #x8234 ?$At7(B) ; GB0-A-7437
(ucs-set-char #x8235 ?$(Cvl(B) ; KS0-C-766C
(ucs-set-char #x8235 ?$(G\p(B) ; C01-G-5C70
(ucs-set-char #x8235 ?$@BI(B) ; J78-@-4249
(ucs-set-char #x8235 ?$A6f(B) ; GB0-A-3666
(ucs-set-char #x8235 ?$BBI(B) ; J83-B-4249
(ucs-set-char #x8236 ?$(CZ\(B) ; KS0-C-5A5C
(ucs-set-char #x8236 ?$(G\r(B) ; C01-G-5C72
(ucs-set-char #x8236 ?$@Gu(B) ; J78-@-4775
(ucs-set-char #x8236 ?$A20(B) ; GB0-A-3230
(ucs-set-char #x8236 ?$BGu(B) ; J83-B-4775
(ucs-set-char #x8237 ?$(Czd(B) ; KS0-C-7A64
(ucs-set-char #x8237 ?$(G\q(B) ; C01-G-5C71
(ucs-set-char #x8237 ?$@8?(B) ; J78-@-383F
(ucs-set-char #x8237 ?$AOO(B) ; GB0-A-4F4F
(ucs-set-char #x8237 ?$B8?(B) ; J83-B-383F
(ucs-set-char #x8238 ?$(H8W(B) ; C02-H-3857
(ucs-set-char #x8238 ?$@gW(B) ; J78-@-6757
(ucs-set-char #x8238 ?$At4(B) ; GB0-A-7434
(ucs-set-char #x8238 ?$BgW(B) ; J83-B-6757
(ucs-set-char #x8239 ?$(C`O(B) ; KS0-C-604F
(ucs-set-char #x8239 ?$(G\s(B) ; C01-G-5C73
(ucs-set-char #x8239 ?$@A%(B) ; J78-@-4125
(ucs-set-char #x8239 ?$A4,(B) ; GB0-A-342C
(ucs-set-char #x8239 ?$BA%(B) ; J83-B-4125
(ucs-set-char #x823A ?$(DVz(B) ; J90-D-567A
(ucs-set-char #x823A ?$(H8Y(B) ; C02-H-3859
(ucs-set-char #x823B ?$At5(B) ; GB0-A-7435
(ucs-set-char #x823C ?$(H?=(B) ; C02-H-3F3D
(ucs-set-char #x823D ?$(H?>(B) ; C02-H-3F3E
(ucs-set-char #x823E ?$At8(B) ; GB0-A-7438
(ucs-set-char #x823F ?$(H??(B) ; C02-H-3F3F
(ucs-set-char #x8240 ?$(C]2(B) ; KS0-C-5D32
(ucs-set-char #x8240 ?$(HFK(B) ; C02-H-464B
(ucs-set-char #x8240 ?$@gY(B) ; J78-@-6759
(ucs-set-char #x8240 ?$BgY(B) ; J83-B-6759
(ucs-set-char #x8241 ?$(ID&(B) ; C03-I-4426
(ucs-set-char #x8242 ?$(HFL(B) ; C02-H-464C
(ucs-set-char #x8243 ?$(DV{(B) ; J90-D-567B
(ucs-set-char #x8243 ?$(J@.(B) ; C04-J-402E
(ucs-set-char #x8244 ?$(DV|(B) ; J90-D-567C
(ucs-set-char #x8244 ?$(HFJ(B) ; C02-H-464A
(ucs-set-char #x8244 ?$At9(B) ; GB0-A-7439
(ucs-set-char #x8245 ?$(Cf)(B) ; KS0-C-6629
(ucs-set-char #x8245 ?$(DV}(B) ; J90-D-567D
(ucs-set-char #x8245 ?$(HFM(B) ; C02-H-464D
(ucs-set-char #x8246 ?$(DV~(B) ; J90-D-567E
(ucs-set-char #x8246 ?$(J@-(B) ; C04-J-402D
(ucs-set-char #x8247 ?$(Cos(B) ; KS0-C-6F73
(ucs-set-char #x8247 ?$(Gf,(B) ; C01-G-662C
(ucs-set-char #x8247 ?$@Dz(B) ; J78-@-447A
(ucs-set-char #x8247 ?$AM'(B) ; GB0-A-4D27
(ucs-set-char #x8247 ?$BDz(B) ; J83-B-447A
(ucs-set-char #x8249 ?$(HFI(B) ; C02-H-4649
(ucs-set-char #x8249 ?$At:(B) ; GB0-A-743A
(ucs-set-char #x824A ?$(II-(B) ; C03-I-492D
(ucs-set-char #x824B ?$(DW!(B) ; J90-D-5721
(ucs-set-char #x824B ?$(Gj[(B) ; C01-G-6A5B
(ucs-set-char #x824B ?$At;(B) ; GB0-A-743B
(ucs-set-char #x824C ?$(II.(B) ; C03-I-492E
(ucs-set-char #x824E ?$(DW"(B) ; J90-D-5722
(ucs-set-char #x824E ?$(HS3(B) ; C02-H-5333
(ucs-set-char #x824F ?$(DW#(B) ; J90-D-5723
(ucs-set-char #x824F ?$(HS/(B) ; C02-H-532F
(ucs-set-char #x824F ?$At<(B) ; GB0-A-743C
(ucs-set-char #x8250 ?$(HS2(B) ; C02-H-5332
(ucs-set-char #x8251 ?$(DW$(B) ; J90-D-5724
(ucs-set-char #x8251 ?$(HS4(B) ; C02-H-5334
(ucs-set-char #x8252 ?$(HS1(B) ; C02-H-5331
(ucs-set-char #x8253 ?$(HS0(B) ; C02-H-5330
(ucs-set-char #x8255 ?$(HYa(B) ; C02-H-5961
(ucs-set-char #x8256 ?$(DW%(B) ; J90-D-5725
(ucs-set-char #x8256 ?$(HYb(B) ; C02-H-5962
(ucs-set-char #x8257 ?$(HYc(B) ; C02-H-5963
(ucs-set-char #x8258 ?$(Gq|(B) ; C01-G-717C
(ucs-set-char #x8258 ?$@g[(B) ; J78-@-675B
(ucs-set-char #x8258 ?$AKR(B) ; GB0-A-4B52
(ucs-set-char #x8258 ?$Bg[(B) ; J83-B-675B
(ucs-set-char #x8259 ?$(Csm(B) ; KS0-C-736D
(ucs-set-char #x8259 ?$(Gq}(B) ; C01-G-717D
(ucs-set-char #x8259 ?$@gZ(B) ; J78-@-675A
(ucs-set-char #x8259 ?$BgZ(B) ; J83-B-675A
(ucs-set-char #x825A ?$(H^^(B) ; C02-H-5E5E
(ucs-set-char #x825A ?$@g](B) ; J78-@-675D
(ucs-set-char #x825A ?$At=(B) ; GB0-A-743D
(ucs-set-char #x825A ?$Bg](B) ; J83-B-675D
(ucs-set-char #x825B ?$(H^](B) ; C02-H-5E5D
(ucs-set-char #x825C ?$(DW&(B) ; J90-D-5726
(ucs-set-char #x825C ?$(H^_(B) ; C02-H-5E5F
(ucs-set-char #x825D ?$@g\(B) ; J78-@-675C
(ucs-set-char #x825D ?$Bg\(B) ; J83-B-675C
(ucs-set-char #x825E ?$(Hbm(B) ; C02-H-626D
(ucs-set-char #x825F ?$(Hbl(B) ; C02-H-626C
(ucs-set-char #x825F ?$@g^(B) ; J78-@-675E
(ucs-set-char #x825F ?$At>(B) ; GB0-A-743E
(ucs-set-char #x825F ?$Bg^(B) ; J83-B-675E
(ucs-set-char #x8260 ?$(DW'(B) ; J90-D-5727
(ucs-set-char #x8261 ?$(HfO(B) ; C02-H-664F
(ucs-set-char #x8262 ?$(IZz(B) ; C03-I-5A7A
(ucs-set-char #x8262 ?$@g`(B) ; J78-@-6760
(ucs-set-char #x8262 ?$Bg`(B) ; J83-B-6760
(ucs-set-char #x8263 ?$(DW((B) ; J90-D-5728
(ucs-set-char #x8263 ?$(HfP(B) ; C02-H-6650
(ucs-set-char #x8264 ?$(Ckz(B) ; KS0-C-6B7A
(ucs-set-char #x8264 ?$(HfN(B) ; C02-H-664E
(ucs-set-char #x8264 ?$@g_(B) ; J78-@-675F
(ucs-set-char #x8264 ?$Bg_(B) ; J83-B-675F
(ucs-set-char #x8265 ?$(IZ{(B) ; C03-I-5A7B
(ucs-set-char #x8266 ?$(Cyf(B) ; KS0-C-7966
(ucs-set-char #x8266 ?$(Gz0(B) ; C01-G-7A30
(ucs-set-char #x8266 ?$@4O(B) ; J78-@-344F
(ucs-set-char #x8266 ?$B4O(B) ; J83-B-344F
(ucs-set-char #x8267 ?$(DW)(B) ; J90-D-5729
(ucs-set-char #x8267 ?$(Jd,(B) ; C04-J-642C
(ucs-set-char #x8268 ?$(Hib(B) ; C02-H-6962
(ucs-set-char #x8268 ?$@ga(B) ; J78-@-6761
(ucs-set-char #x8268 ?$At?(B) ; GB0-A-743F
(ucs-set-char #x8268 ?$Bga(B) ; J83-B-6761
(ucs-set-char #x8269 ?$(Hic(B) ; C02-H-6963
(ucs-set-char #x826A ?$(I^U(B) ; C03-I-5E55
(ucs-set-char #x826A ?$@gb(B) ; J78-@-6762
(ucs-set-char #x826A ?$Bgb(B) ; J83-B-6762
(ucs-set-char #x826B ?$(Hms(B) ; C02-H-6D73
(ucs-set-char #x826B ?$@gc(B) ; J78-@-6763
(ucs-set-char #x826B ?$Bgc(B) ; J83-B-6763
(ucs-set-char #x826C ?$(Ho>(B) ; C02-H-6F3E
(ucs-set-char #x826D ?$(DW*(B) ; J90-D-572A
(ucs-set-char #x826D ?$(HpI(B) ; C02-H-7049
(ucs-set-char #x826E ?$(CJ](B) ; KS0-C-4A5D
(ucs-set-char #x826E ?$(GHb(B) ; C01-G-4862
(ucs-set-char #x826E ?$@:1(B) ; J78-@-3A31
(ucs-set-char #x826E ?$At^(B) ; GB0-A-745E
(ucs-set-char #x826E ?$B:1(B) ; J83-B-3A31
(ucs-set-char #x826F ?$(CU^(B) ; KS0-C-555E
(ucs-set-char #x826F ?$(GK@(B) ; C01-G-4B40
(ucs-set-char #x826F ?$@NI(B) ; J78-@-4E49
(ucs-set-char #x826F ?$AA<(B) ; GB0-A-413C
(ucs-set-char #x826F ?$BNI(B) ; J83-B-4E49
(ucs-set-char #x8270 ?$A<h(B) ; GB0-A-3C68
(ucs-set-char #x8271 ?$(CJ^(B) ; KS0-C-4A5E
(ucs-set-char #x8271 ?$(Gu)(B) ; C01-G-7529
(ucs-set-char #x8271 ?$@ge(B) ; J78-@-6765
(ucs-set-char #x8271 ?$Bge(B) ; J83-B-6765
(ucs-set-char #x8272 ?$(C_d(B) ; KS0-C-5F64
(ucs-set-char #x8272 ?$(GHc(B) ; C01-G-4863
(ucs-set-char #x8272 ?$@?'(B) ; J78-@-3F27
(ucs-set-char #x8272 ?$AI+(B) ; GB0-A-492B
(ucs-set-char #x8272 ?$B?'(B) ; J83-B-3F27
(ucs-set-char #x8273 ?$AQ^(B) ; GB0-A-515E
(ucs-set-char #x8274 ?$(DW+(B) ; J90-D-572B
(ucs-set-char #x8274 ?$(H8\(B) ; C02-H-385C
(ucs-set-char #x8274 ?$Aeu(B) ; GB0-A-6575
(ucs-set-char #x8275 ?$(H?@(B) ; C02-H-3F40
(ucs-set-char #x8276 ?$(Cf}(B) ; KS0-C-667D
(ucs-set-char #x8276 ?$(IZ|(B) ; C03-I-5A7C
(ucs-set-char #x8276 ?$@1p(B) ; J78-@-3170
(ucs-set-char #x8276 ?$B1p(B) ; J83-B-3170
(ucs-set-char #x8277 ?$(G|l(B) ; C01-G-7C6C
(ucs-set-char #x8277 ?$@gf(B) ; J78-@-6766
(ucs-set-char #x8277 ?$Bgf(B) ; J83-B-6766
(ucs-set-char #x8278 ?$(Cu,(B) ; KS0-C-752C
(ucs-set-char #x8278 ?$(H"j(B) ; C02-H-226A
(ucs-set-char #x8278 ?$@gg(B) ; J78-@-6767
(ucs-set-char #x8278 ?$Bgg(B) ; J83-B-6767
(ucs-set-char #x8279 ?$(J!S(B) ; C04-J-2153
(ucs-set-char #x8279 ?$A\3(B) ; GB0-A-5C33
(ucs-set-char #x827A ?$ARU(B) ; GB0-A-5255
(ucs-set-char #x827B ?$(DW,(B) ; J90-D-572C
(ucs-set-char #x827B ?$(I$8(B) ; C03-I-2438
(ucs-set-char #x827C ?$(H"k(B) ; C02-H-226B
(ucs-set-char #x827D ?$(DW-(B) ; J90-D-572D
(ucs-set-char #x827D ?$(H"m(B) ; C02-H-226D
(ucs-set-char #x827D ?$A\4(B) ; GB0-A-5C34
(ucs-set-char #x827E ?$(Cdu(B) ; KS0-C-6475
(ucs-set-char #x827E ?$(GHd(B) ; C01-G-4864
(ucs-set-char #x827E ?$@gh(B) ; J78-@-6768
(ucs-set-char #x827E ?$A0,(B) ; GB0-A-302C
(ucs-set-char #x827E ?$Bgh(B) ; J83-B-6768
(ucs-set-char #x827F ?$(DW.(B) ; J90-D-572E
(ucs-set-char #x827F ?$(H"n(B) ; C02-H-226E
(ucs-set-char #x827F ?$A\5(B) ; GB0-A-5C35
(ucs-set-char #x8280 ?$(DW/(B) ; J90-D-572F
(ucs-set-char #x8280 ?$(H"l(B) ; C02-H-226C
(ucs-set-char #x8281 ?$(DW0(B) ; J90-D-5730
(ucs-set-char #x8281 ?$(J#/(B) ; C04-J-232F
(ucs-set-char #x8282 ?$A=Z(B) ; GB0-A-3D5A
(ucs-set-char #x8283 ?$(DW1(B) ; J90-D-5731
(ucs-set-char #x8283 ?$(H%"(B) ; C02-H-2522
(ucs-set-char #x8284 ?$(DW2(B) ; J90-D-5732
(ucs-set-char #x8284 ?$(H%#(B) ; C02-H-2523
(ucs-set-char #x8284 ?$A\9(B) ; GB0-A-5C39
(ucs-set-char #x8285 ?$(H${(B) ; C02-H-247B
(ucs-set-char #x8286 ?$(I'((B) ; C03-I-2728
(ucs-set-char #x8287 ?$(DW3(B) ; J90-D-5733
(ucs-set-char #x8287 ?$(J${(B) ; C04-J-247B
(ucs-set-char #x8288 ?$(J$l(B) ; C04-J-246C
(ucs-set-char #x8288 ?$AXB(B) ; GB0-A-5842
(ucs-set-char #x8289 ?$(DW4(B) ; J90-D-5734
(ucs-set-char #x8289 ?$(J$u(B) ; C04-J-2475
(ucs-set-char #x828A ?$(DW5(B) ; J90-D-5735
(ucs-set-char #x828A ?$(H%!(B) ; C02-H-2521
(ucs-set-char #x828A ?$A\7(B) ; GB0-A-5C37
(ucs-set-char #x828B ?$(Cic(B) ; KS0-C-6963
(ucs-set-char #x828B ?$(GKB(B) ; C01-G-4B42
(ucs-set-char #x828B ?$(L%R(B) ; C06-L-2552
(ucs-set-char #x828B ?$@0r(B) ; J78-@-3072
(ucs-set-char #x828B ?$ASs(B) ; GB0-A-5373
(ucs-set-char #x828B ?$B0r(B) ; J83-B-3072
(ucs-set-char #x828C ?$(I')(B) ; C03-I-2729
(ucs-set-char #x828D ?$(CmK(B) ; KS0-C-6D4B
(ucs-set-char #x828D ?$(GKC(B) ; C01-G-4B43
(ucs-set-char #x828D ?$@gi(B) ; J78-@-6769
(ucs-set-char #x828D ?$AIV(B) ; GB0-A-4956
(ucs-set-char #x828D ?$Bgi(B) ; J83-B-6769
(ucs-set-char #x828E ?$(COd(B) ; KS0-C-4F64
(ucs-set-char #x828E ?$(DW6(B) ; J90-D-5736
(ucs-set-char #x828E ?$(H$|(B) ; C02-H-247C
(ucs-set-char #x828E ?$A\:(B) ; GB0-A-5C3A
(ucs-set-char #x828F ?$(H$z(B) ; C02-H-247A
(ucs-set-char #x828F ?$A\6(B) ; GB0-A-5C36
(ucs-set-char #x8290 ?$(H$y(B) ; C02-H-2479
(ucs-set-char #x8291 ?$(DW7(B) ; J90-D-5737
(ucs-set-char #x8291 ?$(H$}(B) ; C02-H-247D
(ucs-set-char #x8291 ?$A\;(B) ; GB0-A-5C3B
(ucs-set-char #x8292 ?$(CXS(B) ; KS0-C-5853
(ucs-set-char #x8292 ?$(GKA(B) ; C01-G-4B41
(ucs-set-char #x8292 ?$@gj(B) ; J78-@-676A
(ucs-set-char #x8292 ?$AC"(B) ; GB0-A-4322
(ucs-set-char #x8292 ?$Bgj(B) ; J83-B-676A
(ucs-set-char #x8293 ?$(H$~(B) ; C02-H-247E
(ucs-set-char #x8294 ?$(DW8(B) ; J90-D-5738
(ucs-set-char #x8294 ?$(H--(B) ; C02-H-2D2D
(ucs-set-char #x8295 ?$(I'+(B) ; C03-I-272B
(ucs-set-char #x8296 ?$(DW9(B) ; J90-D-5739
(ucs-set-char #x8296 ?$(J$y(B) ; C04-J-2479
(ucs-set-char #x8297 ?$A\<(B) ; GB0-A-5C3C
(ucs-set-char #x8298 ?$(DW:(B) ; J90-D-573A
(ucs-set-char #x8298 ?$(H(V(B) ; C02-H-2856
(ucs-set-char #x8298 ?$A\E(B) ; GB0-A-5C45
(ucs-set-char #x8299 ?$(C]3(B) ; KS0-C-5D33
(ucs-set-char #x8299 ?$(GO?(B) ; C01-G-4F3F
(ucs-set-char #x8299 ?$@Ig(B) ; J78-@-4967
(ucs-set-char #x8299 ?$A\=(B) ; GB0-A-5C3D
(ucs-set-char #x8299 ?$BIg(B) ; J83-B-4967
(ucs-set-char #x829A ?$(CTl(B) ; KS0-C-546C
(ucs-set-char #x829A ?$(DW;(B) ; J90-D-573B
(ucs-set-char #x829A ?$(H(U(B) ; C02-H-2855
(ucs-set-char #x829B ?$(DW<(B) ; J90-D-573C
(ucs-set-char #x829B ?$(H(W(B) ; C02-H-2857
(ucs-set-char #x829C ?$(I*`(B) ; C03-I-2A60
(ucs-set-char #x829C ?$AN_(B) ; GB0-A-4E5F
(ucs-set-char #x829D ?$(Cr9(B) ; KS0-C-7239
(ucs-set-char #x829D ?$(GO>(B) ; C01-G-4F3E
(ucs-set-char #x829D ?$(L)'(B) ; C06-L-2927
(ucs-set-char #x829D ?$@<G(B) ; J78-@-3C47
(ucs-set-char #x829D ?$AV%(B) ; GB0-A-5625
(ucs-set-char #x829D ?$B<G(B) ; J83-B-3C47
(ucs-set-char #x829E ?$(H(\(B) ; C02-H-285C
(ucs-set-char #x829F ?$(C_7(B) ; KS0-C-5F37
(ucs-set-char #x829F ?$(GOB(B) ; C01-G-4F42
(ucs-set-char #x829F ?$@gl(B) ; J78-@-676C
(ucs-set-char #x829F ?$A\O(B) ; GB0-A-5C4F
(ucs-set-char #x829F ?$Bgl(B) ; J83-B-676C
(ucs-set-char #x82A0 ?$(DW=(B) ; J90-D-573D
(ucs-set-char #x82A0 ?$(H(R(B) ; C02-H-2852
(ucs-set-char #x82A1 ?$(DW>(B) ; J90-D-573E
(ucs-set-char #x82A1 ?$(H(`(B) ; C02-H-2860
(ucs-set-char #x82A1 ?$A\M(B) ; GB0-A-5C4D
(ucs-set-char #x82A2 ?$(H(f(B) ; C02-H-2866
(ucs-set-char #x82A3 ?$(DW?(B) ; J90-D-573F
(ucs-set-char #x82A3 ?$(GOI(B) ; C01-G-4F49
(ucs-set-char #x82A4 ?$(DW@(B) ; J90-D-5740
(ucs-set-char #x82A4 ?$(H(c(B) ; C02-H-2863
(ucs-set-char #x82A4 ?$A\R(B) ; GB0-A-5C52
(ucs-set-char #x82A5 ?$(CKN(B) ; KS0-C-4B4E
(ucs-set-char #x82A5 ?$(GOF(B) ; C01-G-4F46
(ucs-set-char #x82A5 ?$@3)(B) ; J78-@-3329
(ucs-set-char #x82A5 ?$A=f(B) ; GB0-A-3D66
(ucs-set-char #x82A5 ?$B3)(B) ; J83-B-3329
(ucs-set-char #x82A6 ?$(C{X(B) ; KS0-C-7B58
(ucs-set-char #x82A6 ?$(I*k(B) ; C03-I-2A6B
(ucs-set-char #x82A6 ?$@02(B) ; J78-@-3032
(ucs-set-char #x82A6 ?$AB+(B) ; GB0-A-422B
(ucs-set-char #x82A6 ?$B02(B) ; J83-B-3032
(ucs-set-char #x82A7 ?$(DWA(B) ; J90-D-5741
(ucs-set-char #x82A7 ?$(H(Y(B) ; C02-H-2859
(ucs-set-char #x82A8 ?$(DWB(B) ; J90-D-5742
(ucs-set-char #x82A8 ?$(H(_(B) ; C02-H-285F
(ucs-set-char #x82A8 ?$A\8(B) ; GB0-A-5C38
(ucs-set-char #x82A9 ?$(CPY(B) ; KS0-C-5059
(ucs-set-char #x82A9 ?$(DWC(B) ; J90-D-5743
(ucs-set-char #x82A9 ?$(H(a(B) ; C02-H-2861
(ucs-set-char #x82A9 ?$A\K(B) ; GB0-A-5C4B
(ucs-set-char #x82AA ?$(DWD(B) ; J90-D-5744
(ucs-set-char #x82AA ?$(I*f(B) ; C03-I-2A66
(ucs-set-char #x82AA ?$A\N(B) ; GB0-A-5C4E
(ucs-set-char #x82AB ?$(H(T(B) ; C02-H-2854
(ucs-set-char #x82AB ?$@gk(B) ; J78-@-676B
(ucs-set-char #x82AB ?$A\>(B) ; GB0-A-5C3E
(ucs-set-char #x82AB ?$Bgk(B) ; J83-B-676B
(ucs-set-char #x82AC ?$(C]R(B) ; KS0-C-5D52
(ucs-set-char #x82AC ?$(GOE(B) ; C01-G-4F45
(ucs-set-char #x82AC ?$@gn(B) ; J78-@-676E
(ucs-set-char #x82AC ?$A7R(B) ; GB0-A-3752
(ucs-set-char #x82AC ?$Bgn(B) ; J83-B-676E
(ucs-set-char #x82AD ?$(Cwt(B) ; KS0-C-7774
(ucs-set-char #x82AD ?$(GO@(B) ; C01-G-4F40
(ucs-set-char #x82AD ?$@GN(B) ; J78-@-474E
(ucs-set-char #x82AD ?$A0E(B) ; GB0-A-3045
(ucs-set-char #x82AD ?$BGN(B) ; J83-B-474E
(ucs-set-char #x82AE ?$(Cg\(B) ; KS0-C-675C
(ucs-set-char #x82AE ?$(DWE(B) ; J90-D-5745
(ucs-set-char #x82AE ?$(H(Z(B) ; C02-H-285A
(ucs-set-char #x82AE ?$A\G(B) ; GB0-A-5C47
(ucs-set-char #x82AF ?$(Cd%(B) ; KS0-C-6425
(ucs-set-char #x82AF ?$(GOG(B) ; C01-G-4F47
(ucs-set-char #x82AF ?$@?D(B) ; J78-@-3F44
(ucs-set-char #x82AF ?$AP>(B) ; GB0-A-503E
(ucs-set-char #x82AF ?$B?D(B) ; J83-B-3F44
(ucs-set-char #x82B0 ?$(DWF(B) ; J90-D-5746
(ucs-set-char #x82B0 ?$(GOJ(B) ; C01-G-4F4A
(ucs-set-char #x82B0 ?$A\A(B) ; GB0-A-5C41
(ucs-set-char #x82B1 ?$(C|#(B) ; KS0-C-7C23
(ucs-set-char #x82B1 ?$(GOD(B) ; C01-G-4F44
(ucs-set-char #x82B1 ?$(L)((B) ; C06-L-2928
(ucs-set-char #x82B1 ?$@2V(B) ; J78-@-3256
(ucs-set-char #x82B1 ?$A;((B) ; GB0-A-3B28
(ucs-set-char #x82B1 ?$B2V(B) ; J83-B-3256
(ucs-set-char #x82B2 ?$(DWG(B) ; J90-D-5747
(ucs-set-char #x82B2 ?$(I*l(B) ; C03-I-2A6C
(ucs-set-char #x82B3 ?$(C[;(B) ; KS0-C-5B3B
(ucs-set-char #x82B3 ?$(GO=(B) ; C01-G-4F3D
(ucs-set-char #x82B3 ?$@K'(B) ; J78-@-4B27
(ucs-set-char #x82B3 ?$A7<(B) ; GB0-A-373C
(ucs-set-char #x82B3 ?$BK'(B) ; J83-B-4B27
(ucs-set-char #x82B4 ?$(DWH(B) ; J90-D-5748
(ucs-set-char #x82B4 ?$(H(^(B) ; C02-H-285E
(ucs-set-char #x82B4 ?$A\L(B) ; GB0-A-5C4C
(ucs-set-char #x82B5 ?$(H(X(B) ; C02-H-2858
(ucs-set-char #x82B6 ?$(H(e(B) ; C02-H-2865
(ucs-set-char #x82B7 ?$(Cr:(B) ; KS0-C-723A
(ucs-set-char #x82B7 ?$(DWI(B) ; J90-D-5749
(ucs-set-char #x82B7 ?$(GOL(B) ; C01-G-4F4C
(ucs-set-char #x82B7 ?$A\F(B) ; GB0-A-5C46
(ucs-set-char #x82B8 ?$(Ci}(B) ; KS0-C-697D
(ucs-set-char #x82B8 ?$(GOH(B) ; C01-G-4F48
(ucs-set-char #x82B8 ?$@7](B) ; J78-@-375D
(ucs-set-char #x82B8 ?$A\?(B) ; GB0-A-5C3F
(ucs-set-char #x82B8 ?$B7](B) ; J83-B-375D
(ucs-set-char #x82B9 ?$(CPJ(B) ; KS0-C-504A
(ucs-set-char #x82B9 ?$(GOC(B) ; C01-G-4F43
(ucs-set-char #x82B9 ?$@6\(B) ; J78-@-365C
(ucs-set-char #x82B9 ?$AG[(B) ; GB0-A-475B
(ucs-set-char #x82B9 ?$B6\(B) ; J83-B-365C
(ucs-set-char #x82BA ?$(DWJ(B) ; J90-D-574A
(ucs-set-char #x82BA ?$(H(](B) ; C02-H-285D
(ucs-set-char #x82BB ?$(CuV(B) ; KS0-C-7556
(ucs-set-char #x82BB ?$(GWp(B) ; C01-G-5770
(ucs-set-char #x82BB ?$@gm(B) ; J78-@-676D
(ucs-set-char #x82BB ?$Bgm(B) ; J83-B-676D
(ucs-set-char #x82BC ?$(CYE(B) ; KS0-C-5945
(ucs-set-char #x82BC ?$(DWK(B) ; J90-D-574B
(ucs-set-char #x82BC ?$(H([(B) ; C02-H-285B
(ucs-set-char #x82BD ?$(Cd4(B) ; KS0-C-6434
(ucs-set-char #x82BD ?$(GOA(B) ; C01-G-4F41
(ucs-set-char #x82BD ?$(L."(B) ; C06-L-2E22
(ucs-set-char #x82BD ?$@2j(B) ; J78-@-326A
(ucs-set-char #x82BD ?$AQ?(B) ; GB0-A-513F
(ucs-set-char #x82BD ?$B2j(B) ; J83-B-326A
(ucs-set-char #x82BE ?$(DWL(B) ; J90-D-574C
(ucs-set-char #x82BE ?$(GOK(B) ; C01-G-4F4B
(ucs-set-char #x82BE ?$A\@(B) ; GB0-A-5C40
(ucs-set-char #x82BF ?$(Cm'(B) ; KS0-C-6D27
(ucs-set-char #x82BF ?$(DWM(B) ; J90-D-574D
(ucs-set-char #x82BF ?$(J'z(B) ; C04-J-277A
(ucs-set-char #x82C0 ?$(H(S(B) ; C02-H-2853
(ucs-set-char #x82C1 ?$(J'~(B) ; C04-J-277E
(ucs-set-char #x82C1 ?$A\J(B) ; GB0-A-5C4A
(ucs-set-char #x82C2 ?$(H(b(B) ; C02-H-2862
(ucs-set-char #x82C3 ?$(H(d(B) ; C02-H-2864
(ucs-set-char #x82C4 ?$(I*^(B) ; C03-I-2A5E
(ucs-set-char #x82C4 ?$A\P(B) ; GB0-A-5C50
(ucs-set-char #x82C5 ?$@4#(B) ; J78-@-3423
(ucs-set-char #x82C5 ?$B4#(B) ; J83-B-3423
(ucs-set-char #x82C6 ?$(DWN(B) ; J90-D-574E
(ucs-set-char #x82C7 ?$AN-(B) ; GB0-A-4E2D
(ucs-set-char #x82C8 ?$A\B(B) ; GB0-A-5C42
(ucs-set-char #x82C9 ?$(I*h(B) ; C03-I-2A68
(ucs-set-char #x82CA ?$(J'{(B) ; C04-J-277B
(ucs-set-char #x82CA ?$A\C(B) ; GB0-A-5C43
(ucs-set-char #x82CB ?$A\H(B) ; GB0-A-5C48
(ucs-set-char #x82CC ?$A\I(B) ; GB0-A-5C49
(ucs-set-char #x82CD ?$A2T(B) ; GB0-A-3254
(ucs-set-char #x82CE ?$A\Q(B) ; GB0-A-5C51
(ucs-set-char #x82CF ?$AKU(B) ; GB0-A-4B55
(ucs-set-char #x82D0 ?$(DWO(B) ; J90-D-574F
(ucs-set-char #x82D0 ?$(I.v(B) ; C03-I-2E76
(ucs-set-char #x82D1 ?$(Cj=(B) ; KS0-C-6A3D
(ucs-set-char #x82D1 ?$(GSE(B) ; C01-G-5345
(ucs-set-char #x82D1 ?$@1q(B) ; J78-@-3171
(ucs-set-char #x82D1 ?$AT7(B) ; GB0-A-5437
(ucs-set-char #x82D1 ?$B1q(B) ; J83-B-3171
(ucs-set-char #x82D2 ?$(Cf~(B) ; KS0-C-667E
(ucs-set-char #x82D2 ?$(GS?(B) ; C01-G-533F
(ucs-set-char #x82D2 ?$@gr(B) ; J78-@-6772
(ucs-set-char #x82D2 ?$A\[(B) ; GB0-A-5C5B
(ucs-set-char #x82D2 ?$Bgr(B) ; J83-B-6772
(ucs-set-char #x82D3 ?$(GSG(B) ; C01-G-5347
(ucs-set-char #x82D3 ?$@Nj(B) ; J78-@-4E6A
(ucs-set-char #x82D3 ?$A\_(B) ; GB0-A-5C5F
(ucs-set-char #x82D3 ?$BNj(B) ; J83-B-4E6A
(ucs-set-char #x82D4 ?$(CwD(B) ; KS0-C-7744
(ucs-set-char #x82D4 ?$(GSD(B) ; C01-G-5344
(ucs-set-char #x82D4 ?$@B](B) ; J78-@-425D
(ucs-set-char #x82D4 ?$AL&(B) ; GB0-A-4C26
(ucs-set-char #x82D4 ?$BB](B) ; J83-B-425D
(ucs-set-char #x82D5 ?$(Cu-(B) ; KS0-C-752D
(ucs-set-char #x82D5 ?$(DWP(B) ; J90-D-5750
(ucs-set-char #x82D5 ?$(H-4(B) ; C02-H-2D34
(ucs-set-char #x82D5 ?$A\f(B) ; GB0-A-5C66
(ucs-set-char #x82D6 ?$(H-7(B) ; C02-H-2D37
(ucs-set-char #x82D7 ?$(CY`(B) ; KS0-C-5960
(ucs-set-char #x82D7 ?$(GS@(B) ; C01-G-5340
(ucs-set-char #x82D7 ?$@ID(B) ; J78-@-4944
(ucs-set-char #x82D7 ?$ACg(B) ; GB0-A-4367
(ucs-set-char #x82D7 ?$BID(B) ; J83-B-4944
(ucs-set-char #x82D8 ?$(I.j(B) ; C03-I-2E6A
(ucs-set-char #x82D8 ?$A\\(B) ; GB0-A-5C5C
(ucs-set-char #x82D9 ?$(H-.(B) ; C02-H-2D2E
(ucs-set-char #x82D9 ?$@g~(B) ; J78-@-677E
(ucs-set-char #x82D9 ?$Bg~(B) ; J83-B-677E
(ucs-set-char #x82DA ?$(DWQ(B) ; J90-D-5751
(ucs-set-char #x82DA ?$(J+:(B) ; C04-J-2B3A
(ucs-set-char #x82DB ?$(CJ4(B) ; KS0-C-4A34
(ucs-set-char #x82DB ?$(GS9(B) ; C01-G-5339
(ucs-set-char #x82DB ?$@2W(B) ; J78-@-3257
(ucs-set-char #x82DB ?$A?A(B) ; GB0-A-3F41
(ucs-set-char #x82DB ?$B2W(B) ; J83-B-3257
(ucs-set-char #x82DC ?$(GSC(B) ; C01-G-5343
(ucs-set-char #x82DC ?$@g|(B) ; J78-@-677C
(ucs-set-char #x82DC ?$A\Y(B) ; GB0-A-5C59
(ucs-set-char #x82DC ?$Bg|(B) ; J83-B-677C
(ucs-set-char #x82DD ?$(I.k(B) ; C03-I-2E6B
(ucs-set-char #x82DE ?$(Cxb(B) ; KS0-C-7862
(ucs-set-char #x82DE ?$(GSF(B) ; C01-G-5346
(ucs-set-char #x82DE ?$@gz(B) ; J78-@-677A
(ucs-set-char #x82DE ?$A0z(B) ; GB0-A-307A
(ucs-set-char #x82DE ?$Bgz(B) ; J83-B-677A
(ucs-set-char #x82DF ?$(COB(B) ; KS0-C-4F42
(ucs-set-char #x82DF ?$(GSH(B) ; C01-G-5348
(ucs-set-char #x82DF ?$@gq(B) ; J78-@-6771
(ucs-set-char #x82DF ?$A96(B) ; GB0-A-3936
(ucs-set-char #x82DF ?$Bgq(B) ; J83-B-6771
(ucs-set-char #x82E0 ?$(DWR(B) ; J90-D-5752
(ucs-set-char #x82E0 ?$(H-C(B) ; C02-H-2D43
(ucs-set-char #x82E0 ?$A\e(B) ; GB0-A-5C65
(ucs-set-char #x82E1 ?$(Cl>(B) ; KS0-C-6C3E
(ucs-set-char #x82E1 ?$(H-:(B) ; C02-H-2D3A
(ucs-set-char #x82E1 ?$@go(B) ; J78-@-676F
(ucs-set-char #x82E1 ?$A\S(B) ; GB0-A-5C53
(ucs-set-char #x82E1 ?$Bgo(B) ; J83-B-676F
(ucs-set-char #x82E2 ?$(DWS(B) ; J90-D-5753
(ucs-set-char #x82E2 ?$(I.x(B) ; C03-I-2E78
(ucs-set-char #x82E3 ?$(GS8(B) ; C01-G-5338
(ucs-set-char #x82E3 ?$@gp(B) ; J78-@-6770
(ucs-set-char #x82E3 ?$A\D(B) ; GB0-A-5C44
(ucs-set-char #x82E3 ?$Bgp(B) ; J83-B-6770
(ucs-set-char #x82E4 ?$(DWT(B) ; J90-D-5754
(ucs-set-char #x82E4 ?$(H-B(B) ; C02-H-2D42
(ucs-set-char #x82E4 ?$A\V(B) ; GB0-A-5C56
(ucs-set-char #x82E5 ?$(Ce4(B) ; KS0-C-6534
(ucs-set-char #x82E5 ?$(GS<(B) ; C01-G-533C
(ucs-set-char #x82E5 ?$(L.$(B) ; C06-L-2E24
(ucs-set-char #x82E5 ?$@<c(B) ; J78-@-3C63
(ucs-set-char #x82E5 ?$AHt(B) ; GB0-A-4874
(ucs-set-char #x82E5 ?$B<c(B) ; J83-B-3C63
(ucs-set-char #x82E6 ?$(CMH(B) ; KS0-C-4D48
(ucs-set-char #x82E6 ?$(GS:(B) ; C01-G-533A
(ucs-set-char #x82E6 ?$(L.#(B) ; C06-L-2E23
(ucs-set-char #x82E6 ?$@6l(B) ; J78-@-366C
(ucs-set-char #x82E6 ?$A?`(B) ; GB0-A-3F60
(ucs-set-char #x82E6 ?$B6l(B) ; J83-B-366C
(ucs-set-char #x82E7 ?$(CnH(B) ; KS0-C-6E48
(ucs-set-char #x82E7 ?$(GS5(B) ; C01-G-5335
(ucs-set-char #x82E7 ?$@Cw(B) ; J78-@-4377
(ucs-set-char #x82E7 ?$BCw(B) ; J83-B-4377
(ucs-set-char #x82E8 ?$(DWU(B) ; J90-D-5755
(ucs-set-char #x82E8 ?$(H-2(B) ; C02-H-2D32
(ucs-set-char #x82E9 ?$(I.r(B) ; C03-I-2E72
(ucs-set-char #x82EA ?$(DWV(B) ; J90-D-5756
(ucs-set-char #x82EA ?$(H-A(B) ; C02-H-2D41
(ucs-set-char #x82EB ?$(H-6(B) ; C02-H-2D36
(ucs-set-char #x82EB ?$@FQ(B) ; J78-@-4651
(ucs-set-char #x82EB ?$AI;(B) ; GB0-A-493B
(ucs-set-char #x82EB ?$BFQ(B) ; J83-B-4651
(ucs-set-char #x82EC ?$(H-9(B) ; C02-H-2D39
(ucs-set-char #x82ED ?$(DWW(B) ; J90-D-5757
(ucs-set-char #x82ED ?$(H-F(B) ; C02-H-2D46
(ucs-set-char #x82EE ?$(I.t(B) ; C03-I-2E74
(ucs-set-char #x82EF ?$(DWX(B) ; J90-D-5758
(ucs-set-char #x82EF ?$(GSI(B) ; C01-G-5349
(ucs-set-char #x82EF ?$A1=(B) ; GB0-A-313D
(ucs-set-char #x82F0 ?$(H-@(B) ; C02-H-2D40
(ucs-set-char #x82F1 ?$(CgH(B) ; KS0-C-6748
(ucs-set-char #x82F1 ?$(GSA(B) ; C01-G-5341
(ucs-set-char #x82F1 ?$@1Q(B) ; J78-@-3151
(ucs-set-char #x82F1 ?$AS"(B) ; GB0-A-5322
(ucs-set-char #x82F1 ?$B1Q(B) ; J83-B-3151
(ucs-set-char #x82F2 ?$(H-;(B) ; C02-H-2D3B
(ucs-set-char #x82F3 ?$(H-E(B) ; C02-H-2D45
(ucs-set-char #x82F3 ?$@gt(B) ; J78-@-6774
(ucs-set-char #x82F3 ?$Bgt(B) ; J83-B-6774
(ucs-set-char #x82F4 ?$(H-8(B) ; C02-H-2D38
(ucs-set-char #x82F4 ?$@gs(B) ; J78-@-6773
(ucs-set-char #x82F4 ?$A\Z(B) ; GB0-A-5C5A
(ucs-set-char #x82F4 ?$Bgs(B) ; J83-B-6773
(ucs-set-char #x82F5 ?$(H-<(B) ; C02-H-2D3C
(ucs-set-char #x82F6 ?$(DWY(B) ; J90-D-5759
(ucs-set-char #x82F6 ?$(H-?(B) ; C02-H-2D3F
(ucs-set-char #x82F7 ?$(DWZ(B) ; J90-D-575A
(ucs-set-char #x82F7 ?$(I.i(B) ; C03-I-2E69
(ucs-set-char #x82F7 ?$A\U(B) ; GB0-A-5C55
(ucs-set-char #x82F8 ?$(I.n(B) ; C03-I-2E6E
(ucs-set-char #x82F9 ?$(H-0(B) ; C02-H-2D30
(ucs-set-char #x82F9 ?$@gy(B) ; J78-@-6779
(ucs-set-char #x82F9 ?$AF;(B) ; GB0-A-463B
(ucs-set-char #x82F9 ?$Bgy(B) ; J83-B-6779
(ucs-set-char #x82FA ?$(H-D(B) ; C02-H-2D44
(ucs-set-char #x82FA ?$@gu(B) ; J78-@-6775
(ucs-set-char #x82FA ?$Bgu(B) ; J83-B-6775
(ucs-set-char #x82FB ?$(H->(B) ; C02-H-2D3E
(ucs-set-char #x82FB ?$@gx(B) ; J78-@-6778
(ucs-set-char #x82FB ?$A\^(B) ; GB0-A-5C5E
(ucs-set-char #x82FB ?$Bgx(B) ; J83-B-6778
(ucs-set-char #x82FC ?$(I.o(B) ; C03-I-2E6F
(ucs-set-char #x82FD ?$(CMI(B) ; KS0-C-4D49
(ucs-set-char #x82FD ?$(DW[(B) ; J90-D-575B
(ucs-set-char #x82FD ?$(I.z(B) ; C03-I-2E7A
(ucs-set-char #x82FE ?$(Cy7(B) ; KS0-C-7937
(ucs-set-char #x82FE ?$(DW\(B) ; J90-D-575C
(ucs-set-char #x82FE ?$(H-/(B) ; C02-H-2D2F
(ucs-set-char #x8300 ?$(DW](B) ; J90-D-575D
(ucs-set-char #x8300 ?$(H-3(B) ; C02-H-2D33
(ucs-set-char #x8301 ?$(Cqh(B) ; KS0-C-7168
(ucs-set-char #x8301 ?$(DW^(B) ; J90-D-575E
(ucs-set-char #x8301 ?$(GSB(B) ; C01-G-5342
(ucs-set-char #x8301 ?$AWB(B) ; GB0-A-5742
(ucs-set-char #x8302 ?$(CYr(B) ; KS0-C-5972
(ucs-set-char #x8302 ?$(GS=(B) ; C01-G-533D
(ucs-set-char #x8302 ?$@LP(B) ; J78-@-4C50
(ucs-set-char #x8302 ?$AC/(B) ; GB0-A-432F
(ucs-set-char #x8302 ?$BLP(B) ; J83-B-4C50
(ucs-set-char #x8303 ?$(C[u(B) ; KS0-C-5B75
(ucs-set-char #x8303 ?$(GS6(B) ; C01-G-5336
(ucs-set-char #x8303 ?$@gw(B) ; J78-@-6777
(ucs-set-char #x8303 ?$A76(B) ; GB0-A-3736
(ucs-set-char #x8303 ?$Bgw(B) ; J83-B-6777
(ucs-set-char #x8304 ?$(CJ5(B) ; KS0-C-4A35
(ucs-set-char #x8304 ?$(GS;(B) ; C01-G-533B
(ucs-set-char #x8304 ?$@2X(B) ; J78-@-3258
(ucs-set-char #x8304 ?$AGQ(B) ; GB0-A-4751
(ucs-set-char #x8304 ?$B2X(B) ; J83-B-3258
(ucs-set-char #x8305 ?$(CYF(B) ; KS0-C-5946
(ucs-set-char #x8305 ?$(GS7(B) ; C01-G-5337
(ucs-set-char #x8305 ?$@3}(B) ; J78-@-337D
(ucs-set-char #x8305 ?$AC)(B) ; GB0-A-4329
(ucs-set-char #x8305 ?$B3}(B) ; J83-B-337D
(ucs-set-char #x8306 ?$(GSJ(B) ; C01-G-534A
(ucs-set-char #x8306 ?$@g{(B) ; J78-@-677B
(ucs-set-char #x8306 ?$A\b(B) ; GB0-A-5C62
(ucs-set-char #x8306 ?$Bg{(B) ; J83-B-677B
(ucs-set-char #x8307 ?$(DW_(B) ; J90-D-575F
(ucs-set-char #x8307 ?$(H-1(B) ; C02-H-2D31
(ucs-set-char #x8307 ?$A\X(B) ; GB0-A-5C58
(ucs-set-char #x8308 ?$(DW`(B) ; J90-D-5760
(ucs-set-char #x8308 ?$(H2G(B) ; C02-H-3247
(ucs-set-char #x8308 ?$A\k(B) ; GB0-A-5C6B
(ucs-set-char #x8309 ?$(CXI(B) ; KS0-C-5849
(ucs-set-char #x8309 ?$(GS>(B) ; C01-G-533E
(ucs-set-char #x8309 ?$@g}(B) ; J78-@-677D
(ucs-set-char #x8309 ?$A\T(B) ; GB0-A-5C54
(ucs-set-char #x8309 ?$Bg}(B) ; J83-B-677D
(ucs-set-char #x830A ?$(DWa(B) ; J90-D-5761
(ucs-set-char #x830A ?$(J+=(B) ; C04-J-2B3D
(ucs-set-char #x830B ?$(DWb(B) ; J90-D-5762
(ucs-set-char #x830B ?$(I.y(B) ; C03-I-2E79
(ucs-set-char #x830C ?$(H-=(B) ; C02-H-2D3D
(ucs-set-char #x830C ?$A\](B) ; GB0-A-5C5D
(ucs-set-char #x830D ?$(H)B(B) ; C02-H-2942
(ucs-set-char #x830E ?$(I.w(B) ; C03-I-2E77
(ucs-set-char #x830E ?$@7T(B) ; J78-@-3754
(ucs-set-char #x830E ?$A>%(B) ; GB0-A-3E25
(ucs-set-char #x830E ?$B7T(B) ; J83-B-3754
(ucs-set-char #x830F ?$A\W(B) ; GB0-A-5C57
(ucs-set-char #x8311 ?$A\`(B) ; GB0-A-5C60
(ucs-set-char #x8314 ?$A\c(B) ; GB0-A-5C63
(ucs-set-char #x8315 ?$A\d(B) ; GB0-A-5C64
(ucs-set-char #x8316 ?$(H2J(B) ; C02-H-324A
(ucs-set-char #x8316 ?$@h#(B) ; J78-@-6823
(ucs-set-char #x8316 ?$Bh#(B) ; J83-B-6823
(ucs-set-char #x8317 ?$(CY+(B) ; KS0-C-592B
(ucs-set-char #x8317 ?$(GW~(B) ; C01-G-577E
(ucs-set-char #x8317 ?$@h,(B) ; J78-@-682C
(ucs-set-char #x8317 ?$A\x(B) ; GB0-A-5C78
(ucs-set-char #x8317 ?$Bh,(B) ; J83-B-682C
(ucs-set-char #x8318 ?$(I3b(B) ; C03-I-3362
(ucs-set-char #x8318 ?$@h-(B) ; J78-@-682D
(ucs-set-char #x8318 ?$Bh-(B) ; J83-B-682D
(ucs-set-char #x8319 ?$(H2:(B) ; C02-H-323A
(ucs-set-char #x831A ?$(J/](B) ; C04-J-2F5D
(ucs-set-char #x831A ?$A\a(B) ; GB0-A-5C61
(ucs-set-char #x831B ?$(DWd(B) ; J90-D-5764
(ucs-set-char #x831B ?$(H2E(B) ; C02-H-3245
(ucs-set-char #x831B ?$A]"(B) ; GB0-A-5D22
(ucs-set-char #x831C ?$(H2A(B) ; C02-H-3241
(ucs-set-char #x831C ?$@0+(B) ; J78-@-302B
(ucs-set-char #x831C ?$A\g(B) ; GB0-A-5C67
(ucs-set-char #x831C ?$B0+(B) ; J83-B-302B
(ucs-set-char #x831D ?$(DWe(B) ; J90-D-5765
(ucs-set-char #x831D ?$(I8M(B) ; C03-I-384D
(ucs-set-char #x831E ?$(DWf(B) ; J90-D-5766
(ucs-set-char #x831E ?$(H2T(B) ; C02-H-3254
(ucs-set-char #x831F ?$(DWg(B) ; J90-D-5767
(ucs-set-char #x831F ?$(I3Y(B) ; C03-I-3359
(ucs-set-char #x8320 ?$(H2L(B) ; C02-H-324C
(ucs-set-char #x8321 ?$(DWh(B) ; J90-D-5768
(ucs-set-char #x8321 ?$(I3_(B) ; C03-I-335F
(ucs-set-char #x8322 ?$(DWi(B) ; J90-D-5769
(ucs-set-char #x8322 ?$(H2B(B) ; C02-H-3242
(ucs-set-char #x8323 ?$(I8[(B) ; C03-I-385B
(ucs-set-char #x8323 ?$@h4(B) ; J78-@-6834
(ucs-set-char #x8323 ?$Bh4(B) ; J83-B-6834
(ucs-set-char #x8324 ?$(H2K(B) ; C02-H-324B
(ucs-set-char #x8325 ?$(H2<(B) ; C02-H-323C
(ucs-set-char #x8326 ?$(H2@(B) ; C02-H-3240
(ucs-set-char #x8327 ?$(H2W(B) ; C02-H-3257
(ucs-set-char #x8327 ?$A<k(B) ; GB0-A-3C6B
(ucs-set-char #x8328 ?$(Cm<(B) ; KS0-C-6D3C
(ucs-set-char #x8328 ?$(GX#(B) ; C01-G-5823
(ucs-set-char #x8328 ?$@0q(B) ; J78-@-3071
(ucs-set-char #x8328 ?$A4D(B) ; GB0-A-3444
(ucs-set-char #x8328 ?$B0q(B) ; J83-B-3071
(ucs-set-char #x8329 ?$(H2O(B) ; C02-H-324F
(ucs-set-char #x832A ?$(H2F(B) ; C02-H-3246
(ucs-set-char #x832B ?$(CXT(B) ; KS0-C-5854
(ucs-set-char #x832B ?$(GWq(B) ; C01-G-5771
(ucs-set-char #x832B ?$@h+(B) ; J78-@-682B
(ucs-set-char #x832B ?$AC#(B) ; GB0-A-4323
(ucs-set-char #x832B ?$Bh+(B) ; J83-B-682B
(ucs-set-char #x832C ?$(DWj(B) ; J90-D-576A
(ucs-set-char #x832C ?$(H2U(B) ; C02-H-3255
(ucs-set-char #x832C ?$A2g(B) ; GB0-A-3267
(ucs-set-char #x832D ?$(DWk(B) ; J90-D-576B
(ucs-set-char #x832D ?$(H28(B) ; C02-H-3238
(ucs-set-char #x832D ?$A\z(B) ; GB0-A-5C7A
(ucs-set-char #x832E ?$(DWl(B) ; J90-D-576C
(ucs-set-char #x832E ?$(J/Z(B) ; C04-J-2F5A
(ucs-set-char #x832F ?$(C\Z(B) ; KS0-C-5C5A
(ucs-set-char #x832F ?$(H2N(B) ; C02-H-324E
(ucs-set-char #x832F ?$@h*(B) ; J78-@-682A
(ucs-set-char #x832F ?$A\r(B) ; GB0-A-5C72
(ucs-set-char #x832F ?$Bh*(B) ; J83-B-682A
(ucs-set-char #x8330 ?$(DWm(B) ; J90-D-576D
(ucs-set-char #x8330 ?$(J/c(B) ; C04-J-2F63
(ucs-set-char #x8331 ?$(Cb<(B) ; KS0-C-623C
(ucs-set-char #x8331 ?$(GX"(B) ; C01-G-5822
(ucs-set-char #x8331 ?$@h%(B) ; J78-@-6825
(ucs-set-char #x8331 ?$A\o(B) ; GB0-A-5C6F
(ucs-set-char #x8331 ?$Bh%(B) ; J83-B-6825
(ucs-set-char #x8332 ?$(GW{(B) ; C01-G-577B
(ucs-set-char #x8332 ?$@h$(B) ; J78-@-6824
(ucs-set-char #x8332 ?$Bh$(B) ; J83-B-6824
(ucs-set-char #x8333 ?$(DWn(B) ; J90-D-576E
(ucs-set-char #x8333 ?$(H27(B) ; C02-H-3237
(ucs-set-char #x8333 ?$A\|(B) ; GB0-A-5C7C
(ucs-set-char #x8334 ?$(C|m(B) ; KS0-C-7C6D
(ucs-set-char #x8334 ?$(GWy(B) ; C01-G-5779
(ucs-set-char #x8334 ?$@h"(B) ; J78-@-6822
(ucs-set-char #x8334 ?$A\n(B) ; GB0-A-5C6E
(ucs-set-char #x8334 ?$Bh"(B) ; J83-B-6822
(ucs-set-char #x8335 ?$(Cl`(B) ; KS0-C-6C60
(ucs-set-char #x8335 ?$(GWx(B) ; C01-G-5778
(ucs-set-char #x8335 ?$@h!(B) ; J78-@-6821
(ucs-set-char #x8335 ?$ARp(B) ; GB0-A-5270
(ucs-set-char #x8335 ?$Bh!(B) ; J83-B-6821
(ucs-set-char #x8336 ?$(CR~(B) ; KS0-C-527E
(ucs-set-char #x8336 ?$(GW}(B) ; C01-G-577D
(ucs-set-char #x8336 ?$@Cc(B) ; J78-@-4363
(ucs-set-char #x8336 ?$A2h(B) ; GB0-A-3268
(ucs-set-char #x8336 ?$BCc(B) ; J83-B-4363
(ucs-set-char #x8337 ?$(DWo(B) ; J90-D-576F
(ucs-set-char #x8337 ?$(H2M(B) ; C02-H-324D
(ucs-set-char #x8338 ?$(CiG(B) ; KS0-C-6947
(ucs-set-char #x8338 ?$(GWu(B) ; C01-G-5775
(ucs-set-char #x8338 ?$@B{(B) ; J78-@-427B
(ucs-set-char #x8338 ?$AHW(B) ; GB0-A-4857
(ucs-set-char #x8338 ?$BB{(B) ; J83-B-427B
(ucs-set-char #x8339 ?$(Cf*(B) ; KS0-C-662A
(ucs-set-char #x8339 ?$(GW|(B) ; C01-G-577C
(ucs-set-char #x8339 ?$@h'(B) ; J78-@-6827
(ucs-set-char #x8339 ?$AHc(B) ; GB0-A-4863
(ucs-set-char #x8339 ?$Bh'(B) ; J83-B-6827
(ucs-set-char #x833A ?$(DWp(B) ; J90-D-5770
(ucs-set-char #x833A ?$(H-5(B) ; C02-H-2D35
(ucs-set-char #x833A ?$A\{(B) ; GB0-A-5C7B
(ucs-set-char #x833B ?$(H?A(B) ; C02-H-3F41
(ucs-set-char #x833C ?$(DWq(B) ; J90-D-5771
(ucs-set-char #x833C ?$(H2H(B) ; C02-H-3248
(ucs-set-char #x833C ?$A\m(B) ; GB0-A-5C6D
(ucs-set-char #x833D ?$(DWr(B) ; J90-D-5772
(ucs-set-char #x833D ?$(J/_(B) ; C04-J-2F5F
(ucs-set-char #x833E ?$(I*_(B) ; C03-I-2A5F
(ucs-set-char #x833F ?$(H2>(B) ; C02-H-323E
(ucs-set-char #x8340 ?$(Cbp(B) ; KS0-C-6270
(ucs-set-char #x8340 ?$(GX!(B) ; C01-G-5821
(ucs-set-char #x8340 ?$@h&(B) ; J78-@-6826
(ucs-set-char #x8340 ?$A\w(B) ; GB0-A-5C77
(ucs-set-char #x8340 ?$Bh&(B) ; J83-B-6826
(ucs-set-char #x8341 ?$(H2?(B) ; C02-H-323F
(ucs-set-char #x8342 ?$(DWs(B) ; J90-D-5773
(ucs-set-char #x8342 ?$(H2C(B) ; C02-H-3243
(ucs-set-char #x8343 ?$(DWt(B) ; J90-D-5774
(ucs-set-char #x8343 ?$(GX$(B) ; C01-G-5824
(ucs-set-char #x8343 ?$A\u(B) ; GB0-A-5C75
(ucs-set-char #x8344 ?$(DWu(B) ; J90-D-5775
(ucs-set-char #x8344 ?$(H29(B) ; C02-H-3239
(ucs-set-char #x8345 ?$(H2Q(B) ; C02-H-3251
(ucs-set-char #x8345 ?$@h)(B) ; J78-@-6829
(ucs-set-char #x8345 ?$Bh)(B) ; J83-B-6829
(ucs-set-char #x8346 ?$(I>W(B) ; C03-I-3E57
(ucs-set-char #x8346 ?$@7U(B) ; J78-@-3755
(ucs-set-char #x8346 ?$A>#(B) ; GB0-A-3E23
(ucs-set-char #x8347 ?$(Cz;(B) ; KS0-C-7A3B
(ucs-set-char #x8347 ?$(DWv(B) ; J90-D-5776
(ucs-set-char #x8347 ?$(H2P(B) ; C02-H-3250
(ucs-set-char #x8347 ?$A\t(B) ; GB0-A-5C74
(ucs-set-char #x8348 ?$(H2X(B) ; C02-H-3258
(ucs-set-char #x8349 ?$(Cu.(B) ; KS0-C-752E
(ucs-set-char #x8349 ?$(GWw(B) ; C01-G-5777
(ucs-set-char #x8349 ?$@Ap(B) ; J78-@-4170
(ucs-set-char #x8349 ?$A2](B) ; GB0-A-325D
(ucs-set-char #x8349 ?$BAp(B) ; J83-B-4170
(ucs-set-char #x834A ?$(C{*(B) ; KS0-C-7B2A
(ucs-set-char #x834A ?$(GWt(B) ; C01-G-5774
(ucs-set-char #x834A ?$B7U(B) ; J83-B-3755
(ucs-set-char #x834B ?$(H2V(B) ; C02-H-3256
(ucs-set-char #x834C ?$(H2R(B) ; C02-H-3252
(ucs-set-char #x834D ?$(DWw(B) ; J90-D-5777
(ucs-set-char #x834D ?$(H2I(B) ; C02-H-3249
(ucs-set-char #x834E ?$(DWx(B) ; J90-D-5778
(ucs-set-char #x834E ?$(H2D(B) ; C02-H-3244
(ucs-set-char #x834F ?$(Cl{(B) ; KS0-C-6C7B
(ucs-set-char #x834F ?$(GWz(B) ; C01-G-577A
(ucs-set-char #x834F ?$@1A(B) ; J78-@-3141
(ucs-set-char #x834F ?$A\s(B) ; GB0-A-5C73
(ucs-set-char #x834F ?$B1A(B) ; J83-B-3141
(ucs-set-char #x8350 ?$(GWv(B) ; C01-G-5776
(ucs-set-char #x8350 ?$@h((B) ; J78-@-6828
(ucs-set-char #x8350 ?$A<v(B) ; GB0-A-3C76
(ucs-set-char #x8350 ?$Bh((B) ; J83-B-6828
(ucs-set-char #x8351 ?$(Cl?(B) ; KS0-C-6C3F
(ucs-set-char #x8351 ?$(DWy(B) ; J90-D-5779
(ucs-set-char #x8351 ?$(H2;(B) ; C02-H-323B
(ucs-set-char #x8351 ?$A\h(B) ; GB0-A-5C68
(ucs-set-char #x8352 ?$(C|X(B) ; KS0-C-7C58
(ucs-set-char #x8352 ?$(GWr(B) ; C01-G-5772
(ucs-set-char #x8352 ?$@9S(B) ; J78-@-3953
(ucs-set-char #x8352 ?$A;D(B) ; GB0-A-3B44
(ucs-set-char #x8352 ?$B9S(B) ; J83-B-3953
(ucs-set-char #x8353 ?$(DX>(B) ; J90-D-583E
(ucs-set-char #x8353 ?$(H2S(B) ; C02-H-3253
(ucs-set-char #x8354 ?$(DWc(B) ; J90-D-5763
(ucs-set-char #x8354 ?$(GWs(B) ; C01-G-5773
(ucs-set-char #x8354 ?$A@s(B) ; GB0-A-4073
(ucs-set-char #x8355 ?$(DWz(B) ; J90-D-577A
(ucs-set-char #x8355 ?$(J/\(B) ; C04-J-2F5C
(ucs-set-char #x8356 ?$(DW{(B) ; J90-D-577B
(ucs-set-char #x8356 ?$(H2=(B) ; C02-H-323D
(ucs-set-char #x8357 ?$(DW|(B) ; J90-D-577C
(ucs-set-char #x8357 ?$(I3Z(B) ; C03-I-335A
(ucs-set-char #x8358 ?$(I3c(B) ; C03-I-3363
(ucs-set-char #x8358 ?$@Aq(B) ; J78-@-4171
(ucs-set-char #x8358 ?$BAq(B) ; J83-B-4171
(ucs-set-char #x835A ?$A<T(B) ; GB0-A-3C54
(ucs-set-char #x835B ?$A\i(B) ; GB0-A-5C69
(ucs-set-char #x835C ?$A\j(B) ; GB0-A-5C6A
(ucs-set-char #x835E ?$A\q(B) ; GB0-A-5C71
(ucs-set-char #x835F ?$A\v(B) ; GB0-A-5C76
(ucs-set-char #x8360 ?$A\y(B) ; GB0-A-5C79
(ucs-set-char #x8361 ?$A54(B) ; GB0-A-3534
(ucs-set-char #x8363 ?$(I-3(B) ; C03-I-2D33
(ucs-set-char #x8363 ?$AHY(B) ; GB0-A-4859
(ucs-set-char #x8364 ?$A;g(B) ; GB0-A-3B67
(ucs-set-char #x8365 ?$A\~(B) ; GB0-A-5C7E
(ucs-set-char #x8366 ?$A\}(B) ; GB0-A-5C7D
(ucs-set-char #x8367 ?$AS+(B) ; GB0-A-532B
(ucs-set-char #x8368 ?$A]!(B) ; GB0-A-5D21
(ucs-set-char #x8369 ?$A]#(B) ; GB0-A-5D23
(ucs-set-char #x836A ?$A]%(B) ; GB0-A-5D25
(ucs-set-char #x836B ?$ARq(B) ; GB0-A-5271
(ucs-set-char #x836C ?$A]$(B) ; GB0-A-5D24
(ucs-set-char #x836D ?$A]&(B) ; GB0-A-5D26
(ucs-set-char #x836E ?$A]'(B) ; GB0-A-5D27
(ucs-set-char #x836F ?$AR)(B) ; GB0-A-5229
(ucs-set-char #x8370 ?$(DW}(B) ; J90-D-577D
(ucs-set-char #x8370 ?$(J4g(B) ; C04-J-3467
(ucs-set-char #x8371 ?$(I8N(B) ; C03-I-384E
(ucs-set-char #x8372 ?$(I8Q(B) ; C03-I-3851
(ucs-set-char #x8373 ?$(CTe(B) ; KS0-C-5465
(ucs-set-char #x8373 ?$(H8b(B) ; C02-H-3862
(ucs-set-char #x8373 ?$@h:(B) ; J78-@-683A
(ucs-set-char #x8373 ?$Bh:(B) ; J83-B-683A
(ucs-set-char #x8374 ?$(H8d(B) ; C02-H-3864
(ucs-set-char #x8375 ?$(H8i(B) ; C02-H-3869
(ucs-set-char #x8375 ?$@h;(B) ; J78-@-683B
(ucs-set-char #x8375 ?$Bh;(B) ; J83-B-683B
(ucs-set-char #x8376 ?$(H8}(B) ; C02-H-387D
(ucs-set-char #x8377 ?$(CyC(B) ; KS0-C-7943
(ucs-set-char #x8377 ?$(G]#(B) ; C01-G-5D23
(ucs-set-char #x8377 ?$@2Y(B) ; J78-@-3259
(ucs-set-char #x8377 ?$A:I(B) ; GB0-A-3A49
(ucs-set-char #x8377 ?$B2Y(B) ; J83-B-3259
(ucs-set-char #x8378 ?$(DW~(B) ; J90-D-577E
(ucs-set-char #x8378 ?$(G\w(B) ; C01-G-5C77
(ucs-set-char #x8378 ?$A])(B) ; GB0-A-5D29
(ucs-set-char #x8379 ?$(I8T(B) ; C03-I-3854
(ucs-set-char #x837A ?$(H8a(B) ; C02-H-3861
(ucs-set-char #x837B ?$(Cnb(B) ; KS0-C-6E62
(ucs-set-char #x837B ?$(G]$(B) ; C01-G-5D24
(ucs-set-char #x837B ?$@2.(B) ; J78-@-322E
(ucs-set-char #x837B ?$A]6(B) ; GB0-A-5D36
(ucs-set-char #x837B ?$B2.(B) ; J83-B-322E
(ucs-set-char #x837C ?$(G]%(B) ; C01-G-5D25
(ucs-set-char #x837C ?$@h8(B) ; J78-@-6838
(ucs-set-char #x837C ?$A]1(B) ; GB0-A-5D31
(ucs-set-char #x837C ?$Bh8(B) ; J83-B-6838
(ucs-set-char #x837D ?$(DX!(B) ; J90-D-5821
(ucs-set-char #x837D ?$(H8l(B) ; C02-H-386C
(ucs-set-char #x837D ?$A]4(B) ; GB0-A-5D34
(ucs-set-char #x837E ?$(H8s(B) ; C02-H-3873
(ucs-set-char #x837F ?$(DX"(B) ; J90-D-5822
(ucs-set-char #x837F ?$(H8y(B) ; C02-H-3879
(ucs-set-char #x8380 ?$(DX#(B) ; J90-D-5823
(ucs-set-char #x8380 ?$(I8P(B) ; C03-I-3850
(ucs-set-char #x8381 ?$(H8f(B) ; C02-H-3866
(ucs-set-char #x8382 ?$(DX$(B) ; J90-D-5824
(ucs-set-char #x8382 ?$(J4m(B) ; C04-J-346D
(ucs-set-char #x8383 ?$(H8m(B) ; C02-H-386D
(ucs-set-char #x8384 ?$(DX%(B) ; J90-D-5825
(ucs-set-char #x8384 ?$(I8O(B) ; C03-I-384F
(ucs-set-char #x8385 ?$(I8](B) ; C03-I-385D
(ucs-set-char #x8385 ?$@h.(B) ; J78-@-682E
(ucs-set-char #x8385 ?$A]0(B) ; GB0-A-5D30
(ucs-set-char #x8385 ?$Bh.(B) ; J83-B-682E
(ucs-set-char #x8386 ?$(DX&(B) ; J90-D-5826
(ucs-set-char #x8386 ?$(G]&(B) ; C01-G-5D26
(ucs-set-char #x8386 ?$AFN(B) ; GB0-A-464E
(ucs-set-char #x8387 ?$(H8{(B) ; C02-H-387B
(ucs-set-char #x8387 ?$@h6(B) ; J78-@-6836
(ucs-set-char #x8387 ?$Bh6(B) ; J83-B-6836
(ucs-set-char #x8388 ?$(H8v(B) ; C02-H-3876
(ucs-set-char #x8389 ?$(CWi(B) ; KS0-C-5769
(ucs-set-char #x8389 ?$(G]!(B) ; C01-G-5D21
(ucs-set-char #x8389 ?$@h=(B) ; J78-@-683D
(ucs-set-char #x8389 ?$A@r(B) ; GB0-A-4072
(ucs-set-char #x8389 ?$Bh=(B) ; J83-B-683D
(ucs-set-char #x838A ?$(Cmv(B) ; KS0-C-6D76
(ucs-set-char #x838A ?$(G\}(B) ; C01-G-5C7D
(ucs-set-char #x838A ?$@h7(B) ; J78-@-6837
(ucs-set-char #x838A ?$Bh7(B) ; J83-B-6837
(ucs-set-char #x838B ?$(H8r(B) ; C02-H-3872
(ucs-set-char #x838C ?$(H8n(B) ; C02-H-386E
(ucs-set-char #x838D ?$(DX'(B) ; J90-D-5827
(ucs-set-char #x838D ?$(H8`(B) ; C02-H-3860
(ucs-set-char #x838E ?$(C^m(B) ; KS0-C-5E6D
(ucs-set-char #x838E ?$(G\t(B) ; C01-G-5C74
(ucs-set-char #x838E ?$@h5(B) ; J78-@-6835
(ucs-set-char #x838E ?$AI/(B) ; GB0-A-492F
(ucs-set-char #x838E ?$Bh5(B) ; J83-B-6835
(ucs-set-char #x838F ?$(H8e(B) ; C02-H-3865
(ucs-set-char #x8390 ?$(H8](B) ; C02-H-385D
(ucs-set-char #x8391 ?$(I8U(B) ; C03-I-3855
(ucs-set-char #x8392 ?$(DX((B) ; J90-D-5828
(ucs-set-char #x8392 ?$(G\|(B) ; C01-G-5C7C
(ucs-set-char #x8392 ?$A\l(B) ; GB0-A-5C6C
(ucs-set-char #x8393 ?$(G\~(B) ; C01-G-5C7E
(ucs-set-char #x8393 ?$@gv(B) ; J78-@-6776
(ucs-set-char #x8393 ?$A].(B) ; GB0-A-5D2E
(ucs-set-char #x8393 ?$Bgv(B) ; J83-B-6776
(ucs-set-char #x8394 ?$(DX)(B) ; J90-D-5829
(ucs-set-char #x8394 ?$(H8j(B) ; C02-H-386A
(ucs-set-char #x8395 ?$(DX*(B) ; J90-D-582A
(ucs-set-char #x8395 ?$(H8g(B) ; C02-H-3867
(ucs-set-char #x8396 ?$(CLl(B) ; KS0-C-4C6C
(ucs-set-char #x8396 ?$(G\y(B) ; C01-G-5C79
(ucs-set-char #x8396 ?$@h3(B) ; J78-@-6833
(ucs-set-char #x8396 ?$Bh3(B) ; J83-B-6833
(ucs-set-char #x8397 ?$(H8w(B) ; C02-H-3877
(ucs-set-char #x8398 ?$(Ccn(B) ; KS0-C-636E
(ucs-set-char #x8398 ?$(DX+(B) ; J90-D-582B
(ucs-set-char #x8398 ?$(G\v(B) ; C01-G-5C76
(ucs-set-char #x8398 ?$A]7(B) ; GB0-A-5D37
(ucs-set-char #x8399 ?$(DX,(B) ; J90-D-582C
(ucs-set-char #x8399 ?$(H8h(B) ; C02-H-3868
(ucs-set-char #x839A ?$(H?j(B) ; C02-H-3F6A
(ucs-set-char #x839A ?$@h/(B) ; J78-@-682F
(ucs-set-char #x839A ?$Bh/(B) ; J83-B-682F
(ucs-set-char #x839B ?$(DX-(B) ; J90-D-582D
(ucs-set-char #x839B ?$(H8p(B) ; C02-H-3870
(ucs-set-char #x839B ?$A\p(B) ; GB0-A-5C70
(ucs-set-char #x839C ?$(DX.(B) ; J90-D-582E
(ucs-set-char #x839C ?$(I8^(B) ; C03-I-385E
(ucs-set-char #x839C ?$A]/(B) ; GB0-A-5D2F
(ucs-set-char #x839D ?$(DX/(B) ; J90-D-582F
(ucs-set-char #x839D ?$(H8o(B) ; C02-H-386F
(ucs-set-char #x839E ?$(ChT(B) ; KS0-C-6854
(ucs-set-char #x839E ?$(G\u(B) ; C01-G-5C75
(ucs-set-char #x839E ?$@4P(B) ; J78-@-3450
(ucs-set-char #x839E ?$A]8(B) ; GB0-A-5D38
(ucs-set-char #x839E ?$B4P(B) ; J83-B-3450
(ucs-set-char #x839F ?$(I8W(B) ; C03-I-3857
(ucs-set-char #x839F ?$@h1(B) ; J78-@-6831
(ucs-set-char #x839F ?$Bh1(B) ; J83-B-6831
(ucs-set-char #x83A0 ?$(G]"(B) ; C01-G-5D22
(ucs-set-char #x83A0 ?$@h<(B) ; J78-@-683C
(ucs-set-char #x83A0 ?$A],(B) ; GB0-A-5D2C
(ucs-set-char #x83A0 ?$Bh<(B) ; J83-B-683C
(ucs-set-char #x83A1 ?$(I8R(B) ; C03-I-3852
(ucs-set-char #x83A2 ?$(Czx(B) ; KS0-C-7A78
(ucs-set-char #x83A2 ?$(G\x(B) ; C01-G-5C78
(ucs-set-char #x83A2 ?$@h2(B) ; J78-@-6832
(ucs-set-char #x83A2 ?$Bh2(B) ; J83-B-6832
(ucs-set-char #x83A3 ?$(H8^(B) ; C02-H-385E
(ucs-set-char #x83A4 ?$(H8c(B) ; C02-H-3863
(ucs-set-char #x83A5 ?$(H8t(B) ; C02-H-3874
(ucs-set-char #x83A6 ?$(DX0(B) ; J90-D-5830
(ucs-set-char #x83A6 ?$(H8z(B) ; C02-H-387A
(ucs-set-char #x83A7 ?$(DX1(B) ; J90-D-5831
(ucs-set-char #x83A7 ?$(G]'(B) ; C01-G-5D27
(ucs-set-char #x83A8 ?$(H8_(B) ; C02-H-385F
(ucs-set-char #x83A8 ?$@h>(B) ; J78-@-683E
(ucs-set-char #x83A8 ?$A]9(B) ; GB0-A-5D39
(ucs-set-char #x83A8 ?$Bh>(B) ; J83-B-683E
(ucs-set-char #x83A9 ?$(C]4(B) ; KS0-C-5D34
(ucs-set-char #x83A9 ?$(DX2(B) ; J90-D-5832
(ucs-set-char #x83A9 ?$(H8k(B) ; C02-H-386B
(ucs-set-char #x83A9 ?$A]3(B) ; GB0-A-5D33
(ucs-set-char #x83AA ?$(Cd5(B) ; KS0-C-6435
(ucs-set-char #x83AA ?$(H8q(B) ; C02-H-3871
(ucs-set-char #x83AA ?$@h0(B) ; J78-@-6830
(ucs-set-char #x83AA ?$A]-(B) ; GB0-A-5D2D
(ucs-set-char #x83AA ?$Bh0(B) ; J83-B-6830
(ucs-set-char #x83AB ?$(CX0(B) ; KS0-C-5830
(ucs-set-char #x83AB ?$(G\{(B) ; C01-G-5C7B
(ucs-set-char #x83AB ?$@G|(B) ; J78-@-477C
(ucs-set-char #x83AB ?$AD*(B) ; GB0-A-442A
(ucs-set-char #x83AB ?$BG|(B) ; J83-B-477C
(ucs-set-char #x83AC ?$(DX3(B) ; J90-D-5833
(ucs-set-char #x83AC ?$(J4o(B) ; C04-J-346F
(ucs-set-char #x83AD ?$(DXL(B) ; J90-D-584C
(ucs-set-char #x83AD ?$(I8X(B) ; C03-I-3858
(ucs-set-char #x83AE ?$(H8|(B) ; C02-H-387C
(ucs-set-char #x83AF ?$(H8u(B) ; C02-H-3875
(ucs-set-char #x83B0 ?$(H8x(B) ; C02-H-3878
(ucs-set-char #x83B0 ?$A]((B) ; GB0-A-5D28
(ucs-set-char #x83B1 ?$A@3(B) ; GB0-A-4033
(ucs-set-char #x83B1 ?$BMi(B) ; J83-B-4D69
(ucs-set-char #x83B2 ?$AA+(B) ; GB0-A-412B
(ucs-set-char #x83B3 ?$A]*(B) ; GB0-A-5D2A
(ucs-set-char #x83B4 ?$A]+(B) ; GB0-A-5D2B
(ucs-set-char #x83B5 ?$@h9(B) ; J78-@-6839
(ucs-set-char #x83B5 ?$Bh9(B) ; J83-B-6839
(ucs-set-char #x83B6 ?$A]2(B) ; GB0-A-5D32
(ucs-set-char #x83B7 ?$(I8_(B) ; C03-I-385F
(ucs-set-char #x83B7 ?$A;q(B) ; GB0-A-3B71
(ucs-set-char #x83B8 ?$A]5(B) ; GB0-A-5D35
(ucs-set-char #x83B9 ?$AS((B) ; GB0-A-5328
(ucs-set-char #x83BA ?$A]:(B) ; GB0-A-5D3A
(ucs-set-char #x83BC ?$A];(B) ; GB0-A-5D3B
(ucs-set-char #x83BD ?$(CXU(B) ; KS0-C-5855
(ucs-set-char #x83BD ?$(G\z(B) ; C01-G-5C7A
(ucs-set-char #x83BD ?$@hO(B) ; J78-@-684F
(ucs-set-char #x83BD ?$AC'(B) ; GB0-A-4327
(ucs-set-char #x83BD ?$BhO(B) ; J83-B-684F
(ucs-set-char #x83BE ?$(DX4(B) ; J90-D-5834
(ucs-set-char #x83BE ?$(J:h(B) ; C04-J-3A68
(ucs-set-char #x83BF ?$(DX5(B) ; J90-D-5835
(ucs-set-char #x83BF ?$(H?Q(B) ; C02-H-3F51
(ucs-set-char #x83C0 ?$(DX6(B) ; J90-D-5836
(ucs-set-char #x83C0 ?$(H?E(B) ; C02-H-3F45
(ucs-set-char #x83C0 ?$A]R(B) ; GB0-A-5D52
(ucs-set-char #x83C1 ?$(Ctj(B) ; KS0-C-746A
(ucs-set-char #x83C1 ?$(Ga](B) ; C01-G-615D
(ucs-set-char #x83C1 ?$@hG(B) ; J78-@-6847
(ucs-set-char #x83C1 ?$A]<(B) ; GB0-A-5D3C
(ucs-set-char #x83C1 ?$BhG(B) ; J83-B-6847
(ucs-set-char #x83C2 ?$(H?b(B) ; C02-H-3F62
(ucs-set-char #x83C3 ?$(H?k(B) ; C02-H-3F6B
(ucs-set-char #x83C4 ?$(H?n(B) ; C02-H-3F6E
(ucs-set-char #x83C5 ?$(CN9(B) ; KS0-C-4E39
(ucs-set-char #x83C5 ?$(Ga[(B) ; C01-G-615B
(ucs-set-char #x83C5 ?$@?{(B) ; J78-@-3F7B
(ucs-set-char #x83C5 ?$A]Q(B) ; GB0-A-5D51
(ucs-set-char #x83C5 ?$B?{(B) ; J83-B-3F7B
(ucs-set-char #x83C6 ?$(H?M(B) ; C02-H-3F4D
(ucs-set-char #x83C7 ?$(DX7(B) ; J90-D-5837
(ucs-set-char #x83C7 ?$(H?f(B) ; C02-H-3F66
(ucs-set-char #x83C7 ?$A9=(B) ; GB0-A-393D
(ucs-set-char #x83C8 ?$(H?N(B) ; C02-H-3F4E
(ucs-set-char #x83C9 ?$(CVa(B) ; KS0-C-5661
(ucs-set-char #x83C9 ?$(DX8(B) ; J90-D-5838
(ucs-set-char #x83C9 ?$(H?\(B) ; C02-H-3F5C
(ucs-set-char #x83CA ?$(COR(B) ; KS0-C-4F52
(ucs-set-char #x83CA ?$(Gah(B) ; C01-G-6168
(ucs-set-char #x83CA ?$(LD>(B) ; C06-L-443E
(ucs-set-char #x83CA ?$@5F(B) ; J78-@-3546
(ucs-set-char #x83CA ?$A>U(B) ; GB0-A-3E55
(ucs-set-char #x83CA ?$B5F(B) ; J83-B-3546
(ucs-set-char #x83CB ?$(H?X(B) ; C02-H-3F58
(ucs-set-char #x83CC ?$(CP6(B) ; KS0-C-5036
(ucs-set-char #x83CC ?$(Gae(B) ; C01-G-6165
(ucs-set-char #x83CC ?$(LD<(B) ; C06-L-443C
(ucs-set-char #x83CC ?$@6](B) ; J78-@-365D
(ucs-set-char #x83CC ?$A>z(B) ; GB0-A-3E7A
(ucs-set-char #x83CC ?$B6](B) ; J83-B-365D
(ucs-set-char #x83CD ?$(I>^(B) ; C03-I-3E5E
(ucs-set-char #x83CE ?$(H?Y(B) ; C02-H-3F59
(ucs-set-char #x83CE ?$@hB(B) ; J78-@-6842
(ucs-set-char #x83CE ?$BhB(B) ; J83-B-6842
(ucs-set-char #x83CF ?$(DX9(B) ; J90-D-5839
(ucs-set-char #x83CF ?$(H?B(B) ; C02-H-3F42
(ucs-set-char #x83CF ?$A:J(B) ; GB0-A-3A4A
(ucs-set-char #x83D0 ?$(DX:(B) ; J90-D-583A
(ucs-set-char #x83D0 ?$(K;o(B) ; C05-K-3B6F
(ucs-set-char #x83D1 ?$(DX;(B) ; J90-D-583B
(ucs-set-char #x83D1 ?$(H?g(B) ; C02-H-3F67
(ucs-set-char #x83D2 ?$(I>O(B) ; C03-I-3E4F
(ucs-set-char #x83D3 ?$(CN"(B) ; KS0-C-4E22
(ucs-set-char #x83D3 ?$(I>Y(B) ; C03-I-3E59
(ucs-set-char #x83D3 ?$@2[(B) ; J78-@-325B
(ucs-set-char #x83D3 ?$B2[(B) ; J83-B-325B
(ucs-set-char #x83D4 ?$(DX<(B) ; J90-D-583C
(ucs-set-char #x83D4 ?$(Gan(B) ; C01-G-616E
(ucs-set-char #x83D4 ?$A]J(B) ; GB0-A-5D4A
(ucs-set-char #x83D5 ?$(H?d(B) ; C02-H-3F64
(ucs-set-char #x83D6 ?$(Csn(B) ; KS0-C-736E
(ucs-set-char #x83D6 ?$(H?Z(B) ; C02-H-3F5A
(ucs-set-char #x83D6 ?$@>T(B) ; J78-@-3E54
(ucs-set-char #x83D6 ?$A]E(B) ; GB0-A-5D45
(ucs-set-char #x83D6 ?$B>T(B) ; J83-B-3E54
(ucs-set-char #x83D7 ?$(H?p(B) ; C02-H-3F70
(ucs-set-char #x83D8 ?$(H?U(B) ; C02-H-3F55
(ucs-set-char #x83D8 ?$@hE(B) ; J78-@-6845
(ucs-set-char #x83D8 ?$A]?(B) ; GB0-A-5D3F
(ucs-set-char #x83D8 ?$BhE(B) ; J83-B-6845
(ucs-set-char #x83D9 ?$(HFm(B) ; C02-H-466D
(ucs-set-char #x83DA ?$(I>M(B) ; C03-I-3E4D
(ucs-set-char #x83DB ?$(H?s(B) ; C02-H-3F73
(ucs-set-char #x83DC ?$(Csx(B) ; KS0-C-7378
(ucs-set-char #x83DC ?$(Gal(B) ; C01-G-616C
(ucs-set-char #x83DC ?$(LD=(B) ; C06-L-443D
(ucs-set-char #x83DC ?$@:Z(B) ; J78-@-3A5A
(ucs-set-char #x83DC ?$A2K(B) ; GB0-A-324B
(ucs-set-char #x83DC ?$B:Z(B) ; J83-B-3A5A
(ucs-set-char #x83DD ?$(DX=(B) ; J90-D-583D
(ucs-set-char #x83DD ?$(H?S(B) ; C02-H-3F53
(ucs-set-char #x83DD ?$A]C(B) ; GB0-A-5D43
(ucs-set-char #x83DE ?$(H?_(B) ; C02-H-3F5F
(ucs-set-char #x83DF ?$(Gao(B) ; C01-G-616F
(ucs-set-char #x83DF ?$@EQ(B) ; J78-@-4551
(ucs-set-char #x83DF ?$A]K(B) ; GB0-A-5D4B
(ucs-set-char #x83DF ?$BEQ(B) ; J83-B-4551
(ucs-set-char #x83E0 ?$(GaZ(B) ; C01-G-615A
(ucs-set-char #x83E0 ?$@hJ(B) ; J78-@-684A
(ucs-set-char #x83E0 ?$A2$(B) ; GB0-A-3224
(ucs-set-char #x83E0 ?$BhJ(B) ; J83-B-684A
(ucs-set-char #x83E1 ?$(H?W(B) ; C02-H-3F57
(ucs-set-char #x83E1 ?$A]U(B) ; GB0-A-5D55
(ucs-set-char #x83E2 ?$(H?q(B) ; C02-H-3F71
(ucs-set-char #x83E3 ?$(H?P(B) ; C02-H-3F50
(ucs-set-char #x83E4 ?$(H?I(B) ; C02-H-3F49
(ucs-set-char #x83E5 ?$(H?T(B) ; C02-H-3F54
(ucs-set-char #x83E5 ?$A]>(B) ; GB0-A-5D3E
(ucs-set-char #x83E6 ?$(I>_(B) ; C03-I-3E5F
(ucs-set-char #x83E7 ?$(H?H(B) ; C02-H-3F48
(ucs-set-char #x83E8 ?$(DX?(B) ; J90-D-583F
(ucs-set-char #x83E8 ?$(H?F(B) ; C02-H-3F46
(ucs-set-char #x83E9 ?$(C\L(B) ; KS0-C-5C4C
(ucs-set-char #x83E9 ?$(GaV(B) ; C01-G-6156
(ucs-set-char #x83E9 ?$@Jn(B) ; J78-@-4A6E
(ucs-set-char #x83E9 ?$AFP(B) ; GB0-A-4650
(ucs-set-char #x83E9 ?$BJn(B) ; J83-B-4A6E
(ucs-set-char #x83EA ?$(DX@(B) ; J90-D-5840
(ucs-set-char #x83EA ?$(H?h(B) ; C02-H-3F68
(ucs-set-char #x83EA ?$A]P(B) ; GB0-A-5D50
(ucs-set-char #x83EB ?$(CPK(B) ; KS0-C-504B
(ucs-set-char #x83EB ?$(H?O(B) ; C02-H-3F4F
(ucs-set-char #x83EB ?$@hA(B) ; J78-@-6841
(ucs-set-char #x83EB ?$BhA(B) ; J83-B-6841
(ucs-set-char #x83EC ?$(H?l(B) ; C02-H-3F6C
(ucs-set-char #x83ED ?$(I>K(B) ; C03-I-3E4B
(ucs-set-char #x83EE ?$(H?m(B) ; C02-H-3F6D
(ucs-set-char #x83EF ?$(C|$(B) ; KS0-C-7C24
(ucs-set-char #x83EF ?$(Ga^(B) ; C01-G-615E
(ucs-set-char #x83EF ?$@2Z(B) ; J78-@-325A
(ucs-set-char #x83EF ?$B2Z(B) ; J83-B-325A
(ucs-set-char #x83F0 ?$(CMJ(B) ; KS0-C-4D4A
(ucs-set-char #x83F0 ?$(Gac(B) ; C01-G-6163
(ucs-set-char #x83F0 ?$@8V(B) ; J78-@-3856
(ucs-set-char #x83F0 ?$A]T(B) ; GB0-A-5D54
(ucs-set-char #x83F0 ?$B8V(B) ; J83-B-3856
(ucs-set-char #x83F1 ?$(CWT(B) ; KS0-C-5754
(ucs-set-char #x83F1 ?$(Ga_(B) ; C01-G-615F
(ucs-set-char #x83F1 ?$@I)(B) ; J78-@-4929
(ucs-set-char #x83F1 ?$AAb(B) ; GB0-A-4162
(ucs-set-char #x83F1 ?$BI)(B) ; J83-B-4929
(ucs-set-char #x83F2 ?$(C^#(B) ; KS0-C-5E23
(ucs-set-char #x83F2 ?$(Gag(B) ; C01-G-6167
(ucs-set-char #x83F2 ?$@hK(B) ; J78-@-684B
(ucs-set-char #x83F2 ?$A7F(B) ; GB0-A-3746
(ucs-set-char #x83F2 ?$BhK(B) ; J83-B-684B
(ucs-set-char #x83F3 ?$(H?c(B) ; C02-H-3F63
(ucs-set-char #x83F4 ?$(Cd`(B) ; KS0-C-6460
(ucs-set-char #x83F4 ?$(Ga`(B) ; C01-G-6160
(ucs-set-char #x83F4 ?$@h?(B) ; J78-@-683F
(ucs-set-char #x83F4 ?$Bh?(B) ; J83-B-683F
(ucs-set-char #x83F5 ?$(H?[(B) ; C02-H-3F5B
(ucs-set-char #x83F6 ?$(DXA(B) ; J90-D-5841
(ucs-set-char #x83F6 ?$(H?K(B) ; C02-H-3F4B
(ucs-set-char #x83F7 ?$(LMn(B) ; C06-L-4D6E
(ucs-set-char #x83F7 ?$@hH(B) ; J78-@-6848
(ucs-set-char #x83F7 ?$BhH(B) ; J83-B-6848
(ucs-set-char #x83F8 ?$(DXB(B) ; J90-D-5842
(ucs-set-char #x83F8 ?$(GaX(B) ; C01-G-6158
(ucs-set-char #x83F8 ?$A]N(B) ; GB0-A-5D4E
(ucs-set-char #x83F9 ?$(CnI(B) ; KS0-C-6E49
(ucs-set-char #x83F9 ?$(DXC(B) ; J90-D-5843
(ucs-set-char #x83F9 ?$(H?C(B) ; C02-H-3F43
(ucs-set-char #x83F9 ?$A]O(B) ; GB0-A-5D4F
(ucs-set-char #x83FA ?$(H?e(B) ; C02-H-3F65
(ucs-set-char #x83FB ?$(H?o(B) ; C02-H-3F6F
(ucs-set-char #x83FB ?$@hR(B) ; J78-@-6852
(ucs-set-char #x83FB ?$BhR(B) ; J83-B-6852
(ucs-set-char #x83FC ?$(DXD(B) ; J90-D-5844
(ucs-set-char #x83FC ?$(H?J(B) ; C02-H-3F4A
(ucs-set-char #x83FD ?$(Cb](B) ; KS0-C-625D
(ucs-set-char #x83FD ?$(Gaf(B) ; C01-G-6166
(ucs-set-char #x83FD ?$@hC(B) ; J78-@-6843
(ucs-set-char #x83FD ?$A]D(B) ; GB0-A-5D44
(ucs-set-char #x83FD ?$BhC(B) ; J83-B-6843
(ucs-set-char #x83FE ?$(H?t(B) ; C02-H-3F74
(ucs-set-char #x83FF ?$(H?V(B) ; C02-H-3F56
(ucs-set-char #x8400 ?$(I>R(B) ; C03-I-3E52
(ucs-set-char #x8401 ?$(DXE(B) ; J90-D-5845
(ucs-set-char #x8401 ?$(H?R(B) ; C02-H-3F52
(ucs-set-char #x8401 ?$A]=(B) ; GB0-A-5D3D
(ucs-set-char #x8402 ?$(I>\(B) ; C03-I-3E5C
(ucs-set-char #x8403 ?$(Cu~(B) ; KS0-C-757E
(ucs-set-char #x8403 ?$(GaW(B) ; C01-G-6157
(ucs-set-char #x8403 ?$@hD(B) ; J78-@-6844
(ucs-set-char #x8403 ?$A]M(B) ; GB0-A-5D4D
(ucs-set-char #x8403 ?$BhD(B) ; J83-B-6844
(ucs-set-char #x8404 ?$(CT,(B) ; KS0-C-542C
(ucs-set-char #x8404 ?$(Gak(B) ; C01-G-616B
(ucs-set-char #x8404 ?$@F:(B) ; J78-@-463A
(ucs-set-char #x8404 ?$ALQ(B) ; GB0-A-4C51
(ucs-set-char #x8404 ?$BF:(B) ; J83-B-463A
(ucs-set-char #x8405 ?$(I>Z(B) ; C03-I-3E5A
(ucs-set-char #x8406 ?$(DXF(B) ; J90-D-5846
(ucs-set-char #x8406 ?$(H?a(B) ; C02-H-3F61
(ucs-set-char #x8406 ?$A]I(B) ; GB0-A-5D49
(ucs-set-char #x8407 ?$(Gam(B) ; C01-G-616D
(ucs-set-char #x8407 ?$@hI(B) ; J78-@-6849
(ucs-set-char #x8407 ?$BhI(B) ; J83-B-6849
(ucs-set-char #x8408 ?$(I>P(B) ; C03-I-3E50
(ucs-set-char #x8409 ?$(H?](B) ; C02-H-3F5D
(ucs-set-char #x840A ?$(CUQ(B) ; KS0-C-5551
(ucs-set-char #x840A ?$(DXG(B) ; J90-D-5847
(ucs-set-char #x840A ?$(Gab(B) ; C01-G-6162
(ucs-set-char #x840A ?$@Mi(B) ; J78-@-4D69
(ucs-set-char #x840B ?$(Ga\(B) ; C01-G-615C
(ucs-set-char #x840B ?$@hF(B) ; J78-@-6846
(ucs-set-char #x840B ?$A]B(B) ; GB0-A-5D42
(ucs-set-char #x840B ?$BhF(B) ; J83-B-6846
(ucs-set-char #x840C ?$(CXp(B) ; KS0-C-5870
(ucs-set-char #x840C ?$(Gad(B) ; C01-G-6164
(ucs-set-char #x840C ?$@K((B) ; J78-@-4B28
(ucs-set-char #x840C ?$ACH(B) ; GB0-A-4348
(ucs-set-char #x840C ?$BK((B) ; J83-B-4B28
(ucs-set-char #x840D ?$(CxC(B) ; KS0-C-7843
(ucs-set-char #x840D ?$(GaY(B) ; C01-G-6159
(ucs-set-char #x840D ?$@hL(B) ; J78-@-684C
(ucs-set-char #x840D ?$AF<(B) ; GB0-A-463C
(ucs-set-char #x840D ?$BhL(B) ; J83-B-684C
(ucs-set-char #x840E ?$(CjW(B) ; KS0-C-6A57
(ucs-set-char #x840E ?$(Gaj(B) ; C01-G-616A
(ucs-set-char #x840E ?$@0`(B) ; J78-@-3060
(ucs-set-char #x840E ?$AN.(B) ; GB0-A-4E2E
(ucs-set-char #x840E ?$B0`(B) ; J83-B-3060
(ucs-set-char #x840F ?$(DXH(B) ; J90-D-5848
(ucs-set-char #x840F ?$(H?^(B) ; C02-H-3F5E
(ucs-set-char #x840F ?$A]L(B) ; GB0-A-5D4C
(ucs-set-char #x8410 ?$(H?L(B) ; C02-H-3F4C
(ucs-set-char #x8411 ?$(DXI(B) ; J90-D-5849
(ucs-set-char #x8411 ?$(H?`(B) ; C02-H-3F60
(ucs-set-char #x8411 ?$A]H(B) ; GB0-A-5D48
(ucs-set-char #x8412 ?$(H?G(B) ; C02-H-3F47
(ucs-set-char #x8413 ?$(H?i(B) ; C02-H-3F69
(ucs-set-char #x8413 ?$@h@(B) ; J78-@-6840
(ucs-set-char #x8413 ?$Bh@(B) ; J83-B-6840
(ucs-set-char #x8414 ?$(I>X(B) ; C03-I-3E58
(ucs-set-char #x8415 ?$(DXJ(B) ; J90-D-584A
(ucs-set-char #x8415 ?$(J:g(B) ; C04-J-3A67
(ucs-set-char #x8416 ?$(I>](B) ; C03-I-3E5D
(ucs-set-char #x8417 ?$(I>V(B) ; C03-I-3E56
(ucs-set-char #x8418 ?$(I>N(B) ; C03-I-3E4E
(ucs-set-char #x8418 ?$A]A(B) ; GB0-A-5D41
(ucs-set-char #x8419 ?$(DXK(B) ; J90-D-584B
(ucs-set-char #x841B ?$(H?r(B) ; C02-H-3F72
(ucs-set-char #x841C ?$A]F(B) ; GB0-A-5D46
(ucs-set-char #x841D ?$AB\(B) ; GB0-A-425C
(ucs-set-char #x841F ?$(I>[(B) ; C03-I-3E5B
(ucs-set-char #x8420 ?$@hN(B) ; J78-@-684E
(ucs-set-char #x8420 ?$BhN(B) ; J83-B-684E
(ucs-set-char #x8422 ?$@hM(B) ; J78-@-684D
(ucs-set-char #x8422 ?$BhM(B) ; J83-B-684D
(ucs-set-char #x8423 ?$(H?D(B) ; C02-H-3F44
(ucs-set-char #x8424 ?$AS)(B) ; GB0-A-5329
(ucs-set-char #x8425 ?$AS*(B) ; GB0-A-532A
(ucs-set-char #x8426 ?$A]S(B) ; GB0-A-5D53
(ucs-set-char #x8427 ?$AOt(B) ; GB0-A-4F74
(ucs-set-char #x8428 ?$AHx(B) ; GB0-A-4878
(ucs-set-char #x8429 ?$(CuW(B) ; KS0-C-7557
(ucs-set-char #x8429 ?$(HFl(B) ; C02-H-466C
(ucs-set-char #x8429 ?$@Gk(B) ; J78-@-476B
(ucs-set-char #x8429 ?$BGk(B) ; J83-B-476B
(ucs-set-char #x842A ?$(ID-(B) ; C03-I-442D
(ucs-set-char #x842A ?$@hT(B) ; J78-@-6854
(ucs-set-char #x842A ?$BhT(B) ; J83-B-6854
(ucs-set-char #x842B ?$(HG$(B) ; C02-H-4724
(ucs-set-char #x842C ?$(CX?(B) ; KS0-C-583F
(ucs-set-char #x842C ?$(Ge\(B) ; C01-G-655C
(ucs-set-char #x842C ?$@h_(B) ; J78-@-685F
(ucs-set-char #x842C ?$Bh_(B) ; J83-B-685F
(ucs-set-char #x842D ?$(HFq(B) ; C02-H-4671
(ucs-set-char #x842E ?$(ID1(B) ; C03-I-4431
(ucs-set-char #x842F ?$(DXM(B) ; J90-D-584D
(ucs-set-char #x842F ?$(HFo(B) ; C02-H-466F
(ucs-set-char #x8430 ?$(HFZ(B) ; C02-H-465A
(ucs-set-char #x8431 ?$(C}@(B) ; KS0-C-7D40
(ucs-set-char #x8431 ?$(Gf0(B) ; C01-G-6630
(ucs-set-char #x8431 ?$@3~(B) ; J78-@-337E
(ucs-set-char #x8431 ?$A]f(B) ; GB0-A-5D66
(ucs-set-char #x8431 ?$B3~(B) ; J83-B-337E
(ucs-set-char #x8432 ?$(HFj(B) ; C02-H-466A
(ucs-set-char #x8433 ?$(HF~(B) ; C02-H-467E
(ucs-set-char #x8434 ?$(HFf(B) ; C02-H-4666
(ucs-set-char #x8435 ?$(Gf8(B) ; C01-G-6638
(ucs-set-char #x8435 ?$@hb(B) ; J78-@-6862
(ucs-set-char #x8435 ?$Bhb(B) ; J83-B-6862
(ucs-set-char #x8436 ?$(HF}(B) ; C02-H-467D
(ucs-set-char #x8437 ?$(HFd(B) ; C02-H-4664
(ucs-set-char #x8438 ?$(Ck-(B) ; KS0-C-6B2D
(ucs-set-char #x8438 ?$(Gai(B) ; C01-G-6169
(ucs-set-char #x8438 ?$@hP(B) ; J78-@-6850
(ucs-set-char #x8438 ?$A]G(B) ; GB0-A-5D47
(ucs-set-char #x8438 ?$BhP(B) ; J83-B-6850
(ucs-set-char #x8439 ?$(DXN(B) ; J90-D-584E
(ucs-set-char #x8439 ?$(HFt(B) ; C02-H-4674
(ucs-set-char #x843A ?$(HFe(B) ; C02-H-4665
(ucs-set-char #x843B ?$(HF{(B) ; C02-H-467B
(ucs-set-char #x843C ?$(Gf7(B) ; C01-G-6637
(ucs-set-char #x843C ?$@hU(B) ; J78-@-6855
(ucs-set-char #x843C ?$A]`(B) ; GB0-A-5D60
(ucs-set-char #x843C ?$BhU(B) ; J83-B-6855
(ucs-set-char #x843D ?$(CU*(B) ; KS0-C-552A
(ucs-set-char #x843D ?$(Gf/(B) ; C01-G-662F
(ucs-set-char #x843D ?$@Mn(B) ; J78-@-4D6E
(ucs-set-char #x843D ?$ABd(B) ; GB0-A-4264
(ucs-set-char #x843D ?$BMn(B) ; J83-B-4D6E
(ucs-set-char #x843E ?$(ID:(B) ; C03-I-443A
(ucs-set-char #x843F ?$(HFO(B) ; C02-H-464F
(ucs-set-char #x8440 ?$(HFW(B) ; C02-H-4657
(ucs-set-char #x8441 ?$(ID5(B) ; C03-I-4435
(ucs-set-char #x8442 ?$(HFp(B) ; C02-H-4670
(ucs-set-char #x8443 ?$(HFh(B) ; C02-H-4668
(ucs-set-char #x8444 ?$(HG#(B) ; C02-H-4723
(ucs-set-char #x8445 ?$(DXO(B) ; J90-D-584F
(ucs-set-char #x8445 ?$(HFk(B) ; C02-H-466B
(ucs-set-char #x8446 ?$(Gf=(B) ; C01-G-663D
(ucs-set-char #x8446 ?$@h^(B) ; J78-@-685E
(ucs-set-char #x8446 ?$A]a(B) ; GB0-A-5D61
(ucs-set-char #x8446 ?$Bh^(B) ; J83-B-685E
(ucs-set-char #x8447 ?$(DXP(B) ; J90-D-5850
(ucs-set-char #x8447 ?$(HF|(B) ; C02-H-467C
(ucs-set-char #x8448 ?$(DXQ(B) ; J90-D-5851
(ucs-set-char #x8448 ?$(ID,(B) ; C03-I-442C
(ucs-set-char #x8449 ?$(Cg((B) ; KS0-C-6728
(ucs-set-char #x8449 ?$(Gf4(B) ; C01-G-6634
(ucs-set-char #x8449 ?$@MU(B) ; J78-@-4D55
(ucs-set-char #x8449 ?$BMU(B) ; J83-B-4D55
(ucs-set-char #x844A ?$(DXR(B) ; J90-D-5852
(ucs-set-char #x844A ?$(ID>(B) ; C03-I-443E
(ucs-set-char #x844B ?$(HFn(B) ; C02-H-466E
(ucs-set-char #x844C ?$(HFv(B) ; C02-H-4676
(ucs-set-char #x844D ?$(DXS(B) ; J90-D-5853
(ucs-set-char #x844D ?$(HF[(B) ; C02-H-465B
(ucs-set-char #x844E ?$(HFu(B) ; C02-H-4675
(ucs-set-char #x844E ?$@N*(B) ; J78-@-4E2A
(ucs-set-char #x844E ?$BN*(B) ; J83-B-4E2A
(ucs-set-char #x844F ?$(DXT(B) ; J90-D-5854
(ucs-set-char #x844F ?$(ID'(B) ; C03-I-4427
(ucs-set-char #x8450 ?$(HG((B) ; C02-H-4728
(ucs-set-char #x8451 ?$(DXU(B) ; J90-D-5855
(ucs-set-char #x8451 ?$(HFV(B) ; C02-H-4656
(ucs-set-char #x8451 ?$A]W(B) ; GB0-A-5D57
(ucs-set-char #x8452 ?$(DXV(B) ; J90-D-5856
(ucs-set-char #x8452 ?$(HFw(B) ; C02-H-4677
(ucs-set-char #x8453 ?$(ID3(B) ; C03-I-4433
(ucs-set-char #x8454 ?$(HG&(B) ; C02-H-4726
(ucs-set-char #x8455 ?$(ID?(B) ; C03-I-443F
(ucs-set-char #x8456 ?$(DXW(B) ; J90-D-5857
(ucs-set-char #x8456 ?$(HFP(B) ; C02-H-4650
(ucs-set-char #x8457 ?$(CnJ(B) ; KS0-C-6E4A
(ucs-set-char #x8457 ?$(Gaa(B) ; C01-G-6161
(ucs-set-char #x8457 ?$(LD;(B) ; C06-L-443B
(ucs-set-char #x8457 ?$@Cx(B) ; J78-@-4378
(ucs-set-char #x8457 ?$AVx(B) ; GB0-A-5678
(ucs-set-char #x8457 ?$BCx(B) ; J83-B-4378
(ucs-set-char #x8458 ?$(DXX(B) ; J90-D-5858
(ucs-set-char #x8458 ?$(ID@(B) ; C03-I-4440
(ucs-set-char #x8459 ?$(DXY(B) ; J90-D-5859
(ucs-set-char #x8459 ?$(HF^(B) ; C02-H-465E
(ucs-set-char #x8459 ?$A]Y(B) ; GB0-A-5D59
(ucs-set-char #x845A ?$(DXZ(B) ; J90-D-585A
(ucs-set-char #x845A ?$(HF](B) ; C02-H-465D
(ucs-set-char #x845A ?$A]X(B) ; GB0-A-5D58
(ucs-set-char #x845B ?$(CJg(B) ; KS0-C-4A67
(ucs-set-char #x845B ?$(Gf6(B) ; C01-G-6636
(ucs-set-char #x845B ?$@3k(B) ; J78-@-336B
(ucs-set-char #x845B ?$A8p(B) ; GB0-A-3870
(ucs-set-char #x845B ?$B3k(B) ; J83-B-336B
(ucs-set-char #x845C ?$(DX[(B) ; J90-D-585B
(ucs-set-char #x845C ?$(ID2(B) ; C03-I-4432
(ucs-set-char #x845C ?$A]V(B) ; GB0-A-5D56
(ucs-set-char #x845D ?$(HFa(B) ; C02-H-4661
(ucs-set-char #x845E ?$(HFc(B) ; C02-H-4663
(ucs-set-char #x845F ?$(HFr(B) ; C02-H-4672
(ucs-set-char #x8460 ?$(DX\(B) ; J90-D-585C
(ucs-set-char #x8460 ?$(HG%(B) ; C02-H-4725
(ucs-set-char #x8461 ?$(Cxc(B) ; KS0-C-7863
(ucs-set-char #x8461 ?$(Gf9(B) ; C01-G-6639
(ucs-set-char #x8461 ?$@Ir(B) ; J78-@-4972
(ucs-set-char #x8461 ?$AFO(B) ; GB0-A-464F
(ucs-set-char #x8461 ?$BIr(B) ; J83-B-4972
(ucs-set-char #x8462 ?$(ID8(B) ; C03-I-4438
(ucs-set-char #x8462 ?$@hd(B) ; J78-@-6864
(ucs-set-char #x8462 ?$Bhd(B) ; J83-B-6864
(ucs-set-char #x8463 ?$(CT](B) ; KS0-C-545D
(ucs-set-char #x8463 ?$(Gf:(B) ; C01-G-663A
(ucs-set-char #x8463 ?$@F!(B) ; J78-@-4621
(ucs-set-char #x8463 ?$A6-(B) ; GB0-A-362D
(ucs-set-char #x8463 ?$BF!(B) ; J83-B-4621
(ucs-set-char #x8464 ?$(DX](B) ; J90-D-585D
(ucs-set-char #x8464 ?$(ID0(B) ; C03-I-4430
(ucs-set-char #x8465 ?$(DX^(B) ; J90-D-585E
(ucs-set-char #x8465 ?$(HFU(B) ; C02-H-4655
(ucs-set-char #x8466 ?$(CjX(B) ; KS0-C-6A58
(ucs-set-char #x8466 ?$(Gf2(B) ; C01-G-6632
(ucs-set-char #x8466 ?$@01(B) ; J78-@-3031
(ucs-set-char #x8466 ?$B01(B) ; J83-B-3031
(ucs-set-char #x8467 ?$(DX_(B) ; J90-D-585F
(ucs-set-char #x8467 ?$(HFY(B) ; C02-H-4659
(ucs-set-char #x8468 ?$(HG!(B) ; C02-H-4721
(ucs-set-char #x8469 ?$(Gf;(B) ; C01-G-663B
(ucs-set-char #x8469 ?$@h](B) ; J78-@-685D
(ucs-set-char #x8469 ?$A]b(B) ; GB0-A-5D62
(ucs-set-char #x8469 ?$Bh](B) ; J83-B-685D
(ucs-set-char #x846A ?$(DX`(B) ; J90-D-5860
(ucs-set-char #x846A ?$(J@D(B) ; C04-J-4044
(ucs-set-char #x846B ?$(C{Y(B) ; KS0-C-7B59
(ucs-set-char #x846B ?$(Gf3(B) ; C01-G-6633
(ucs-set-char #x846B ?$@hY(B) ; J78-@-6859
(ucs-set-char #x846B ?$A:y(B) ; GB0-A-3A79
(ucs-set-char #x846B ?$BhY(B) ; J83-B-6859
(ucs-set-char #x846C ?$(Cmw(B) ; KS0-C-6D77
(ucs-set-char #x846C ?$(Gf5(B) ; C01-G-6635
(ucs-set-char #x846C ?$@Ar(B) ; J78-@-4172
(ucs-set-char #x846C ?$ATa(B) ; GB0-A-5461
(ucs-set-char #x846C ?$BAr(B) ; J83-B-4172
(ucs-set-char #x846D ?$(Gf<(B) ; C01-G-663C
(ucs-set-char #x846D ?$@hS(B) ; J78-@-6853
(ucs-set-char #x846D ?$A]g(B) ; GB0-A-5D67
(ucs-set-char #x846D ?$BhS(B) ; J83-B-6853
(ucs-set-char #x846E ?$(HG'(B) ; C02-H-4727
(ucs-set-char #x846E ?$@h[(B) ; J78-@-685B
(ucs-set-char #x846E ?$Bh[(B) ; J83-B-685B
(ucs-set-char #x846F ?$(Ce5(B) ; KS0-C-6535
(ucs-set-char #x846F ?$(HFx(B) ; C02-H-4678
(ucs-set-char #x846F ?$@h`(B) ; J78-@-6860
(ucs-set-char #x846F ?$Bh`(B) ; J83-B-6860
(ucs-set-char #x8470 ?$(DXa(B) ; J90-D-5861
(ucs-set-char #x8470 ?$(HFs(B) ; C02-H-4673
(ucs-set-char #x8471 ?$(ID<(B) ; C03-I-443C
(ucs-set-char #x8471 ?$@G,(B) ; J78-@-472C
(ucs-set-char #x8471 ?$A4P(B) ; GB0-A-3450
(ucs-set-char #x8471 ?$BG,(B) ; J83-B-472C
(ucs-set-char #x8472 ?$(ID/(B) ; C03-I-442F
(ucs-set-char #x8473 ?$(DXb(B) ; J90-D-5862
(ucs-set-char #x8473 ?$(HF`(B) ; C02-H-4660
(ucs-set-char #x8473 ?$A]Z(B) ; GB0-A-5D5A
(ucs-set-char #x8474 ?$(DXc(B) ; J90-D-5863
(ucs-set-char #x8474 ?$(HF_(B) ; C02-H-465F
(ucs-set-char #x8475 ?$(CP-(B) ; KS0-C-502D
(ucs-set-char #x8475 ?$(Gf1(B) ; C01-G-6631
(ucs-set-char #x8475 ?$@0*(B) ; J78-@-302A
(ucs-set-char #x8475 ?$A?{(B) ; GB0-A-3F7B
(ucs-set-char #x8475 ?$B0*(B) ; J83-B-302A
(ucs-set-char #x8476 ?$(DXd(B) ; J90-D-5864
(ucs-set-char #x8476 ?$(HFQ(B) ; C02-H-4651
(ucs-set-char #x8476 ?$A]c(B) ; GB0-A-5D63
(ucs-set-char #x8477 ?$(Gf.(B) ; C01-G-662E
(ucs-set-char #x8477 ?$@hX(B) ; J78-@-6858
(ucs-set-char #x8477 ?$BhX(B) ; J83-B-6858
(ucs-set-char #x8478 ?$(DXe(B) ; J90-D-5865
(ucs-set-char #x8478 ?$(HFi(B) ; C02-H-4669
(ucs-set-char #x8478 ?$A]_(B) ; GB0-A-5D5F
(ucs-set-char #x8479 ?$(HFR(B) ; C02-H-4652
(ucs-set-char #x8479 ?$@ha(B) ; J78-@-6861
(ucs-set-char #x8479 ?$Bha(B) ; J83-B-6861
(ucs-set-char #x847A ?$(Cqq(B) ; KS0-C-7171
(ucs-set-char #x847A ?$(HFg(B) ; C02-H-4667
(ucs-set-char #x847A ?$@Ix(B) ; J78-@-4978
(ucs-set-char #x847A ?$A]](B) ; GB0-A-5D5D
(ucs-set-char #x847A ?$BIx(B) ; J83-B-4978
(ucs-set-char #x847B ?$(ID.(B) ; C03-I-442E
(ucs-set-char #x847C ?$(DXf(B) ; J90-D-5866
(ucs-set-char #x847C ?$(J@A(B) ; C04-J-4041
(ucs-set-char #x847D ?$(DXg(B) ; J90-D-5867
(ucs-set-char #x847D ?$(HF\(B) ; C02-H-465C
(ucs-set-char #x847E ?$(HG"(B) ; C02-H-4722
(ucs-set-char #x847F ?$(ID*(B) ; C03-I-442A
(ucs-set-char #x8480 ?$(ID9(B) ; C03-I-4439
(ucs-set-char #x8481 ?$(DXh(B) ; J90-D-5868
(ucs-set-char #x8481 ?$(J@6(B) ; C04-J-4036
(ucs-set-char #x8482 ?$(Gf-(B) ; C01-G-662D
(ucs-set-char #x8482 ?$@h\(B) ; J78-@-685C
(ucs-set-char #x8482 ?$A5Y(B) ; GB0-A-3559
(ucs-set-char #x8482 ?$Bh\(B) ; J83-B-685C
(ucs-set-char #x8483 ?$(ID;(B) ; C03-I-443B
(ucs-set-char #x8484 ?$(ID((B) ; C03-I-4428
(ucs-set-char #x8484 ?$@hW(B) ; J78-@-6857
(ucs-set-char #x8484 ?$BhW(B) ; J83-B-6857
(ucs-set-char #x8485 ?$(DXi(B) ; J90-D-5869
(ucs-set-char #x8486 ?$(HFX(B) ; C02-H-4658
(ucs-set-char #x8487 ?$A][(B) ; GB0-A-5D5B
(ucs-set-char #x8488 ?$(J@F(B) ; C04-J-4046
(ucs-set-char #x8488 ?$A]\(B) ; GB0-A-5D5C
(ucs-set-char #x8489 ?$A]^(B) ; GB0-A-5D5E
(ucs-set-char #x848B ?$A=/(B) ; GB0-A-3D2F
(ucs-set-char #x848B ?$B>U(B) ; J83-B-3E55
(ucs-set-char #x848C ?$A]d(B) ; GB0-A-5D64
(ucs-set-char #x848D ?$(HFT(B) ; C02-H-4654
(ucs-set-char #x848E ?$(HFz(B) ; C02-H-467A
(ucs-set-char #x848E ?$A]e(B) ; GB0-A-5D65
(ucs-set-char #x848F ?$(HFS(B) ; C02-H-4653
(ucs-set-char #x8490 ?$(Cb=(B) ; KS0-C-623D
(ucs-set-char #x8490 ?$(Gjh(B) ; C01-G-6A68
(ucs-set-char #x8490 ?$@=/(B) ; J78-@-3D2F
(ucs-set-char #x8490 ?$B=/(B) ; J83-B-3D2F
(ucs-set-char #x8491 ?$(HMZ(B) ; C02-H-4D5A
(ucs-set-char #x8492 ?$(DXj(B) ; J90-D-586A
(ucs-set-char #x8492 ?$(II5(B) ; C03-I-4935
(ucs-set-char #x8493 ?$(DXk(B) ; J90-D-586B
(ucs-set-char #x8493 ?$(IID(B) ; C03-I-4944
(ucs-set-char #x8494 ?$(CcH(B) ; KS0-C-6348
(ucs-set-char #x8494 ?$(HMI(B) ; C02-H-4D49
(ucs-set-char #x8494 ?$@<,(B) ; J78-@-3C2C
(ucs-set-char #x8494 ?$B<,(B) ; J83-B-3C2C
(ucs-set-char #x8495 ?$(DXl(B) ; J90-D-586C
(ucs-set-char #x8495 ?$(II3(B) ; C03-I-4933
(ucs-set-char #x8496 ?$(II8(B) ; C03-I-4938
(ucs-set-char #x8497 ?$(HM3(B) ; C02-H-4D33
(ucs-set-char #x8497 ?$A]u(B) ; GB0-A-5D75
(ucs-set-char #x8498 ?$(HMQ(B) ; C02-H-4D51
(ucs-set-char #x8499 ?$(CYU(B) ; KS0-C-5955
(ucs-set-char #x8499 ?$(Gj`(B) ; C01-G-6A60
(ucs-set-char #x8499 ?$@LX(B) ; J78-@-4C58
(ucs-set-char #x8499 ?$ACI(B) ; GB0-A-4349
(ucs-set-char #x8499 ?$BLX(B) ; J83-B-4C58
(ucs-set-char #x849A ?$(HMB(B) ; C02-H-4D42
(ucs-set-char #x849B ?$(HML(B) ; C02-H-4D4C
(ucs-set-char #x849C ?$(C_*(B) ; KS0-C-5F2A
(ucs-set-char #x849C ?$(Gjc(B) ; C01-G-6A63
(ucs-set-char #x849C ?$@IG(B) ; J78-@-4947
(ucs-set-char #x849C ?$AKb(B) ; GB0-A-4B62
(ucs-set-char #x849C ?$BIG(B) ; J83-B-4947
(ucs-set-char #x849D ?$(HME(B) ; C02-H-4D45
(ucs-set-char #x849E ?$(DXm(B) ; J90-D-586D
(ucs-set-char #x849E ?$(Gja(B) ; C01-G-6A61
(ucs-set-char #x849F ?$(HM6(B) ; C02-H-4D36
(ucs-set-char #x849F ?$@hg(B) ; J78-@-6867
(ucs-set-char #x849F ?$Bhg(B) ; J83-B-6867
(ucs-set-char #x84A0 ?$(HMT(B) ; C02-H-4D54
(ucs-set-char #x84A1 ?$(C[<(B) ; KS0-C-5B3C
(ucs-set-char #x84A1 ?$(HM5(B) ; C02-H-4D35
(ucs-set-char #x84A1 ?$@hp(B) ; J78-@-6870
(ucs-set-char #x84A1 ?$A]r(B) ; GB0-A-5D72
(ucs-set-char #x84A1 ?$Bhp(B) ; J83-B-6870
(ucs-set-char #x84A2 ?$(HMH(B) ; C02-H-4D48
(ucs-set-char #x84A3 ?$(II<(B) ; C03-I-493C
(ucs-set-char #x84A4 ?$(HM4(B) ; C02-H-4D34
(ucs-set-char #x84A5 ?$(II9(B) ; C03-I-4939
(ucs-set-char #x84A6 ?$(DXn(B) ; J90-D-586E
(ucs-set-char #x84A6 ?$(JFl(B) ; C04-J-466C
(ucs-set-char #x84A7 ?$(HMF(B) ; C02-H-4D46
(ucs-set-char #x84A8 ?$(DXo(B) ; J90-D-586F
(ucs-set-char #x84A8 ?$(HMO(B) ; C02-H-4D4F
(ucs-set-char #x84A9 ?$(DXp(B) ; J90-D-5870
(ucs-set-char #x84A9 ?$(HMM(B) ; C02-H-4D4D
(ucs-set-char #x84AA ?$(DXq(B) ; J90-D-5871
(ucs-set-char #x84AA ?$(HMA(B) ; C02-H-4D41
(ucs-set-char #x84AB ?$(HM<(B) ; C02-H-4D3C
(ucs-set-char #x84AC ?$(HM:(B) ; C02-H-4D3A
(ucs-set-char #x84AD ?$(IIB(B) ; C03-I-4942
(ucs-set-char #x84AD ?$@hZ(B) ; J78-@-685A
(ucs-set-char #x84AD ?$BhZ(B) ; J83-B-685A
(ucs-set-char #x84AE ?$(HM;(B) ; C02-H-4D3B
(ucs-set-char #x84AF ?$(DXr(B) ; J90-D-5872
(ucs-set-char #x84AF ?$(HMN(B) ; C02-H-4D4E
(ucs-set-char #x84AF ?$AXa(B) ; GB0-A-5861
(ucs-set-char #x84B0 ?$(HMY(B) ; C02-H-4D59
(ucs-set-char #x84B1 ?$(DXs(B) ; J90-D-5873
(ucs-set-char #x84B1 ?$(HMC(B) ; C02-H-4D43
(ucs-set-char #x84B2 ?$(Cxd(B) ; KS0-C-7864
(ucs-set-char #x84B2 ?$(Gjb(B) ; C01-G-6A62
(ucs-set-char #x84B2 ?$@3w(B) ; J78-@-3377
(ucs-set-char #x84B2 ?$AFQ(B) ; GB0-A-4651
(ucs-set-char #x84B2 ?$B3w(B) ; J83-B-3377
(ucs-set-char #x84B3 ?$(II;(B) ; C03-I-493B
(ucs-set-char #x84B4 ?$(DXt(B) ; J90-D-5874
(ucs-set-char #x84B4 ?$(HM>(B) ; C02-H-4D3E
(ucs-set-char #x84B4 ?$A]t(B) ; GB0-A-5D74
(ucs-set-char #x84B5 ?$(II:(B) ; C03-I-493A
(ucs-set-char #x84B6 ?$(HMR(B) ; C02-H-4D52
(ucs-set-char #x84B7 ?$(IIA(B) ; C03-I-4941
(ucs-set-char #x84B8 ?$(Cqz(B) ; KS0-C-717A
(ucs-set-char #x84B8 ?$(Gje(B) ; C01-G-6A65
(ucs-set-char #x84B8 ?$@>x(B) ; J78-@-3E78
(ucs-set-char #x84B8 ?$AUt(B) ; GB0-A-5574
(ucs-set-char #x84B8 ?$B>x(B) ; J83-B-3E78
(ucs-set-char #x84B9 ?$(HM=(B) ; C02-H-4D3D
(ucs-set-char #x84B9 ?$@he(B) ; J78-@-6865
(ucs-set-char #x84B9 ?$A]s(B) ; GB0-A-5D73
(ucs-set-char #x84B9 ?$Bhe(B) ; J83-B-6865
(ucs-set-char #x84BA ?$(DXu(B) ; J90-D-5875
(ucs-set-char #x84BA ?$(HM7(B) ; C02-H-4D37
(ucs-set-char #x84BA ?$A]p(B) ; GB0-A-5D70
(ucs-set-char #x84BB ?$(Ce6(B) ; KS0-C-6536
(ucs-set-char #x84BB ?$(HMG(B) ; C02-H-4D47
(ucs-set-char #x84BB ?$@hj(B) ; J78-@-686A
(ucs-set-char #x84BB ?$Bhj(B) ; J83-B-686A
(ucs-set-char #x84BC ?$(Cso(B) ; KS0-C-736F
(ucs-set-char #x84BC ?$(Gji(B) ; C01-G-6A69
(ucs-set-char #x84BC ?$@As(B) ; J78-@-4173
(ucs-set-char #x84BC ?$BAs(B) ; J83-B-4173
(ucs-set-char #x84BD ?$(DXv(B) ; J90-D-5876
(ucs-set-char #x84BD ?$(II2(B) ; C03-I-4932
(ucs-set-char #x84BD ?$A]l(B) ; GB0-A-5D6C
(ucs-set-char #x84BE ?$(DXw(B) ; J90-D-5877
(ucs-set-char #x84BE ?$(JFX(B) ; C04-J-4658
(ucs-set-char #x84BF ?$(C{Z(B) ; KS0-C-7B5A
(ucs-set-char #x84BF ?$(Gj](B) ; C01-G-6A5D
(ucs-set-char #x84BF ?$@hf(B) ; J78-@-6866
(ucs-set-char #x84BF ?$A]o(B) ; GB0-A-5D6F
(ucs-set-char #x84BF ?$Bhf(B) ; J83-B-6866
(ucs-set-char #x84C0 ?$(Ca`(B) ; KS0-C-6160
(ucs-set-char #x84C0 ?$(DXx(B) ; J90-D-5878
(ucs-set-char #x84C0 ?$(Gjf(B) ; C01-G-6A66
(ucs-set-char #x84C1 ?$(HM?(B) ; C02-H-4D3F
(ucs-set-char #x84C1 ?$@hm(B) ; J78-@-686D
(ucs-set-char #x84C1 ?$A]h(B) ; GB0-A-5D68
(ucs-set-char #x84C1 ?$Bhm(B) ; J83-B-686D
(ucs-set-char #x84C2 ?$(CY,(B) ; KS0-C-592C
(ucs-set-char #x84C2 ?$(DXy(B) ; J90-D-5879
(ucs-set-char #x84C2 ?$(HM9(B) ; C02-H-4D39
(ucs-set-char #x84C3 ?$(II6(B) ; C03-I-4936
(ucs-set-char #x84C4 ?$(Cuk(B) ; KS0-C-756B
(ucs-set-char #x84C4 ?$(Gj_(B) ; C01-G-6A5F
(ucs-set-char #x84C4 ?$@C_(B) ; J78-@-435F
(ucs-set-char #x84C4 ?$APn(B) ; GB0-A-506E
(ucs-set-char #x84C4 ?$BC_(B) ; J83-B-435F
(ucs-set-char #x84C5 ?$(HFy(B) ; C02-H-4679
(ucs-set-char #x84C6 ?$(C`6(B) ; KS0-C-6036
(ucs-set-char #x84C6 ?$(Gj^(B) ; C01-G-6A5E
(ucs-set-char #x84C6 ?$@hn(B) ; J78-@-686E
(ucs-set-char #x84C6 ?$Bhn(B) ; J83-B-686E
(ucs-set-char #x84C7 ?$(DXz(B) ; J90-D-587A
(ucs-set-char #x84C7 ?$(HMJ(B) ; C02-H-4D4A
(ucs-set-char #x84C8 ?$(DX{(B) ; J90-D-587B
(ucs-set-char #x84C8 ?$(ID6(B) ; C03-I-4436
(ucs-set-char #x84C9 ?$(CiH(B) ; KS0-C-6948
(ucs-set-char #x84C9 ?$(Gj\(B) ; C01-G-6A5C
(ucs-set-char #x84C9 ?$@MV(B) ; J78-@-4D56
(ucs-set-char #x84C9 ?$AHX(B) ; GB0-A-4858
(ucs-set-char #x84C9 ?$BMV(B) ; J83-B-4D56
(ucs-set-char #x84CA ?$(Gjk(B) ; C01-G-6A6B
(ucs-set-char #x84CA ?$@hc(B) ; J78-@-6863
(ucs-set-char #x84CA ?$A]n(B) ; GB0-A-5D6E
(ucs-set-char #x84CA ?$Bhc(B) ; J83-B-6863
(ucs-set-char #x84CB ?$(CKO(B) ; KS0-C-4B4F
(ucs-set-char #x84CB ?$(Gjd(B) ; C01-G-6A64
(ucs-set-char #x84CB ?$@38(B) ; J78-@-3338
(ucs-set-char #x84CB ?$B38(B) ; J83-B-3338
(ucs-set-char #x84CC ?$(DX|(B) ; J90-D-587C
(ucs-set-char #x84CC ?$(HMK(B) ; C02-H-4D4B
(ucs-set-char #x84CD ?$(CcI(B) ; KS0-C-6349
(ucs-set-char #x84CD ?$(HM@(B) ; C02-H-4D40
(ucs-set-char #x84CD ?$@hi(B) ; J78-@-6869
(ucs-set-char #x84CD ?$A]i(B) ; GB0-A-5D69
(ucs-set-char #x84CD ?$Bhi(B) ; J83-B-6869
(ucs-set-char #x84CE ?$(HM8(B) ; C02-H-4D38
(ucs-set-char #x84CF ?$(DX}(B) ; J90-D-587D
(ucs-set-char #x84CF ?$(HMS(B) ; C02-H-4D53
(ucs-set-char #x84D0 ?$(HMD(B) ; C02-H-4D44
(ucs-set-char #x84D0 ?$@hl(B) ; J78-@-686C
(ucs-set-char #x84D0 ?$A]j(B) ; GB0-A-5D6A
(ucs-set-char #x84D0 ?$Bhl(B) ; J83-B-686C
(ucs-set-char #x84D1 ?$(C^n(B) ; KS0-C-5E6E
(ucs-set-char #x84D1 ?$(Gjj(B) ; C01-G-6A6A
(ucs-set-char #x84D1 ?$@L,(B) ; J78-@-4C2C
(ucs-set-char #x84D1 ?$AKr(B) ; GB0-A-4B72
(ucs-set-char #x84D1 ?$BL,(B) ; J83-B-4C2C
(ucs-set-char #x84D2 ?$(HMW(B) ; C02-H-4D57
(ucs-set-char #x84D3 ?$(DX~(B) ; J90-D-587E
(ucs-set-char #x84D3 ?$(Gjg(B) ; C01-G-6A67
(ucs-set-char #x84D3 ?$A]m(B) ; GB0-A-5D6D
(ucs-set-char #x84D4 ?$(HMV(B) ; C02-H-4D56
(ucs-set-char #x84D5 ?$(II?(B) ; C03-I-493F
(ucs-set-char #x84D6 ?$(HMP(B) ; C02-H-4D50
(ucs-set-char #x84D6 ?$@ho(B) ; J78-@-686F
(ucs-set-char #x84D6 ?$A1M(B) ; GB0-A-314D
(ucs-set-char #x84D6 ?$Bho(B) ; J83-B-686F
(ucs-set-char #x84D7 ?$(HMU(B) ; C02-H-4D55
(ucs-set-char #x84D8 ?$(II>(B) ; C03-I-493E
(ucs-set-char #x84D9 ?$@hh(B) ; J78-@-6868
(ucs-set-char #x84D9 ?$Bhh(B) ; J83-B-6868
(ucs-set-char #x84DA ?$(Cb>(B) ; KS0-C-623E
(ucs-set-char #x84DA ?$(IIC(B) ; C03-I-4943
(ucs-set-char #x84DA ?$@hk(B) ; J78-@-686B
(ucs-set-char #x84DA ?$Bhk(B) ; J83-B-686B
(ucs-set-char #x84DB ?$(HMX(B) ; C02-H-4D58
(ucs-set-char #x84DC ?$(DY!(B) ; J90-D-5921
(ucs-set-char #x84DD ?$A@6(B) ; GB0-A-4036
(ucs-set-char #x84DF ?$A<;(B) ; GB0-A-3C3B
(ucs-set-char #x84E0 ?$A]q(B) ; GB0-A-5D71
(ucs-set-char #x84E3 ?$A]w(B) ; GB0-A-5D77
(ucs-set-char #x84E4 ?$(II=(B) ; C03-I-493D
(ucs-set-char #x84E5 ?$A]v(B) ; GB0-A-5D76
(ucs-set-char #x84E6 ?$A]k(B) ; GB0-A-5D6B
(ucs-set-char #x84E7 ?$(DY"(B) ; J90-D-5922
(ucs-set-char #x84E7 ?$(HS\(B) ; C02-H-535C
(ucs-set-char #x84E8 ?$(HS](B) ; C02-H-535D
(ucs-set-char #x84E9 ?$(HSP(B) ; C02-H-5350
(ucs-set-char #x84EA ?$(DY#(B) ; J90-D-5923
(ucs-set-char #x84EA ?$(HSO(B) ; C02-H-534F
(ucs-set-char #x84EB ?$(HSK(B) ; C02-H-534B
(ucs-set-char #x84EC ?$(C\o(B) ; KS0-C-5C6F
(ucs-set-char #x84EC ?$(Gn](B) ; C01-G-6E5D
(ucs-set-char #x84EC ?$@K)(B) ; J78-@-4B29
(ucs-set-char #x84EC ?$AEn(B) ; GB0-A-456E
(ucs-set-char #x84EC ?$BK)(B) ; J83-B-4B29
(ucs-set-char #x84ED ?$(INO(B) ; C03-I-4E4F
(ucs-set-char #x84EE ?$(CV%(B) ; KS0-C-5625
(ucs-set-char #x84EE ?$(GnU(B) ; C01-G-6E55
(ucs-set-char #x84EE ?$@O!(B) ; J78-@-4F21
(ucs-set-char #x84EE ?$BO!(B) ; J83-B-4F21
(ucs-set-char #x84EF ?$(DY$(B) ; J90-D-5924
(ucs-set-char #x84EF ?$(HS_(B) ; C02-H-535F
(ucs-set-char #x84F0 ?$(DY%(B) ; J90-D-5925
(ucs-set-char #x84F0 ?$(HS^(B) ; C02-H-535E
(ucs-set-char #x84F0 ?$A]{(B) ; GB0-A-5D7B
(ucs-set-char #x84F1 ?$(DY&(B) ; J90-D-5926
(ucs-set-char #x84F1 ?$(HFN(B) ; C02-H-464E
(ucs-set-char #x84F2 ?$(DY'(B) ; J90-D-5927
(ucs-set-char #x84F2 ?$(HSH(B) ; C02-H-5348
(ucs-set-char #x84F3 ?$(HSL(B) ; C02-H-534C
(ucs-set-char #x84F4 ?$(Cbq(B) ; KS0-C-6271
(ucs-set-char #x84F4 ?$(HSF(B) ; C02-H-5346
(ucs-set-char #x84F4 ?$@hs(B) ; J78-@-6873
(ucs-set-char #x84F4 ?$Bhs(B) ; J83-B-6873
(ucs-set-char #x84F5 ?$(IND(B) ; C03-I-4E44
(ucs-set-char #x84F6 ?$(HSY(B) ; C02-H-5359
(ucs-set-char #x84F7 ?$(DY((B) ; J90-D-5928
(ucs-set-char #x84F7 ?$(HSJ(B) ; C02-H-534A
(ucs-set-char #x84F8 ?$(INB(B) ; C03-I-4E42
(ucs-set-char #x84F9 ?$(HS`(B) ; C02-H-5360
(ucs-set-char #x84FA ?$(DY*(B) ; J90-D-592A
(ucs-set-char #x84FA ?$(HSC(B) ; C02-H-5343
(ucs-set-char #x84FB ?$(DY+(B) ; J90-D-592B
(ucs-set-char #x84FB ?$(HSA(B) ; C02-H-5341
(ucs-set-char #x84FC ?$(CV~(B) ; KS0-C-567E
(ucs-set-char #x84FC ?$(HSM(B) ; C02-H-534D
(ucs-set-char #x84FC ?$@hz(B) ; J78-@-687A
(ucs-set-char #x84FC ?$A^$(B) ; GB0-A-5E24
(ucs-set-char #x84FC ?$Bhz(B) ; J83-B-687A
(ucs-set-char #x84FD ?$(DY,(B) ; J90-D-592C
(ucs-set-char #x84FD ?$(HSW(B) ; C02-H-5357
(ucs-set-char #x84FE ?$(HSR(B) ; C02-H-5352
(ucs-set-char #x84FF ?$(Gn_(B) ; C01-G-6E5F
(ucs-set-char #x84FF ?$@hr(B) ; J78-@-6872
(ucs-set-char #x84FF ?$A^#(B) ; GB0-A-5E23
(ucs-set-char #x84FF ?$Bhr(B) ; J83-B-6872
(ucs-set-char #x8500 ?$(HS8(B) ; C02-H-5338
(ucs-set-char #x8500 ?$@<C(B) ; J78-@-3C43
(ucs-set-char #x8500 ?$B<C(B) ; J83-B-3C43
(ucs-set-char #x8501 ?$(IN@(B) ; C03-I-4E40
(ucs-set-char #x8502 ?$(DY-(B) ; J90-D-592D
(ucs-set-char #x8502 ?$(HSV(B) ; C02-H-5356
(ucs-set-char #x8503 ?$(DY.(B) ; J90-D-592E
(ucs-set-char #x8503 ?$(INL(B) ; C03-I-4E4C
(ucs-set-char #x8504 ?$(INF(B) ; C03-I-4E46
(ucs-set-char #x8505 ?$(INT(B) ; C03-I-4E54
(ucs-set-char #x8506 ?$(Gn`(B) ; C01-G-6E60
(ucs-set-char #x8506 ?$@hQ(B) ; J78-@-6851
(ucs-set-char #x8506 ?$BhQ(B) ; J83-B-6851
(ucs-set-char #x8507 ?$(DY/(B) ; J90-D-592F
(ucs-set-char #x8507 ?$(HFb(B) ; C02-H-4662
(ucs-set-char #x8508 ?$(HSD(B) ; C02-H-5344
(ucs-set-char #x8509 ?$(HS;(B) ; C02-H-533B
(ucs-set-char #x850A ?$(HS>(B) ; C02-H-533E
(ucs-set-char #x850B ?$(HSd(B) ; C02-H-5364
(ucs-set-char #x850C ?$(DY0(B) ; J90-D-5930
(ucs-set-char #x850C ?$(HSE(B) ; C02-H-5345
(ucs-set-char #x850C ?$A]x(B) ; GB0-A-5D78
(ucs-set-char #x850D ?$(HS<(B) ; C02-H-533C
(ucs-set-char #x850E ?$(DY1(B) ; J90-D-5931
(ucs-set-char #x850E ?$(HS:(B) ; C02-H-533A
(ucs-set-char #x850F ?$(HS7(B) ; C02-H-5337
(ucs-set-char #x8510 ?$(DY2(B) ; J90-D-5932
(ucs-set-char #x8510 ?$(JLz(B) ; C04-J-4C7A
(ucs-set-char #x8511 ?$(CY!(B) ; KS0-C-5921
(ucs-set-char #x8511 ?$(GnY(B) ; C01-G-6E59
(ucs-set-char #x8511 ?$@JN(B) ; J78-@-4A4E
(ucs-set-char #x8511 ?$ACo(B) ; GB0-A-436F
(ucs-set-char #x8511 ?$BJN(B) ; J83-B-4A4E
(ucs-set-char #x8512 ?$(HSN(B) ; C02-H-534E
(ucs-set-char #x8513 ?$(CX@(B) ; KS0-C-5840
(ucs-set-char #x8513 ?$(GnX(B) ; C01-G-6E58
(ucs-set-char #x8513 ?$@L"(B) ; J78-@-4C22
(ucs-set-char #x8513 ?$AB{(B) ; GB0-A-427B
(ucs-set-char #x8513 ?$BL"(B) ; J83-B-4C22
(ucs-set-char #x8514 ?$(C\[(B) ; KS0-C-5C5B
(ucs-set-char #x8514 ?$(Gn\(B) ; C01-G-6E5C
(ucs-set-char #x8514 ?$@hy(B) ; J78-@-6879
(ucs-set-char #x8514 ?$Bhy(B) ; J83-B-6879
(ucs-set-char #x8515 ?$(HSI(B) ; C02-H-5349
(ucs-set-char #x8515 ?$@hx(B) ; J78-@-6878
(ucs-set-char #x8515 ?$Bhx(B) ; J83-B-6878
(ucs-set-char #x8516 ?$(HSQ(B) ; C02-H-5351
(ucs-set-char #x8517 ?$(Cm=(B) ; KS0-C-6D3D
(ucs-set-char #x8517 ?$(GnR(B) ; C01-G-6E52
(ucs-set-char #x8517 ?$@ht(B) ; J78-@-6874
(ucs-set-char #x8517 ?$AUa(B) ; GB0-A-5561
(ucs-set-char #x8517 ?$Bht(B) ; J83-B-6874
(ucs-set-char #x8518 ?$(C_8(B) ; KS0-C-5F38
(ucs-set-char #x8518 ?$(HSa(B) ; C02-H-5361
(ucs-set-char #x8518 ?$@hu(B) ; J78-@-6875
(ucs-set-char #x8518 ?$Bhu(B) ; J83-B-6875
(ucs-set-char #x8519 ?$(HSe(B) ; C02-H-5365
(ucs-set-char #x851A ?$(Cj%(B) ; KS0-C-6A25
(ucs-set-char #x851A ?$(GnT(B) ; C01-G-6E54
(ucs-set-char #x851A ?$@16(B) ; J78-@-3136
(ucs-set-char #x851A ?$AN5(B) ; GB0-A-4E35
(ucs-set-char #x851A ?$B16(B) ; J83-B-3136
(ucs-set-char #x851B ?$(INK(B) ; C03-I-4E4B
(ucs-set-char #x851C ?$(DY3(B) ; J90-D-5933
(ucs-set-char #x851C ?$(HS@(B) ; C02-H-5340
(ucs-set-char #x851D ?$(HST(B) ; C02-H-5354
(ucs-set-char #x851E ?$(CW-(B) ; KS0-C-572D
(ucs-set-char #x851E ?$(DY4(B) ; J90-D-5934
(ucs-set-char #x851E ?$(HSX(B) ; C02-H-5358
(ucs-set-char #x851F ?$(HS=(B) ; C02-H-533D
(ucs-set-char #x851F ?$@hw(B) ; J78-@-6877
(ucs-set-char #x851F ?$A]}(B) ; GB0-A-5D7D
(ucs-set-char #x851F ?$Bhw(B) ; J83-B-6877
(ucs-set-char #x8520 ?$(HSb(B) ; C02-H-5362
(ucs-set-char #x8521 ?$(Csy(B) ; KS0-C-7379
(ucs-set-char #x8521 ?$(Gn[(B) ; C01-G-6E5B
(ucs-set-char #x8521 ?$@hq(B) ; J78-@-6871
(ucs-set-char #x8521 ?$A2L(B) ; GB0-A-324C
(ucs-set-char #x8521 ?$Bhq(B) ; J83-B-6871
(ucs-set-char #x8522 ?$(DY5(B) ; J90-D-5935
(ucs-set-char #x8522 ?$(JLj(B) ; C04-J-4C6A
(ucs-set-char #x8523 ?$(Cmx(B) ; KS0-C-6D78
(ucs-set-char #x8523 ?$(DY6(B) ; J90-D-5936
(ucs-set-char #x8523 ?$(GnZ(B) ; C01-G-6E5A
(ucs-set-char #x8523 ?$@>U(B) ; J78-@-3E55
(ucs-set-char #x8524 ?$(DY7(B) ; J90-D-5937
(ucs-set-char #x8524 ?$(HS5(B) ; C02-H-5335
(ucs-set-char #x8525 ?$(CuG(B) ; KS0-C-7547
(ucs-set-char #x8525 ?$(DY8(B) ; J90-D-5938
(ucs-set-char #x8525 ?$(Gn^(B) ; C01-G-6E5E
(ucs-set-char #x8526 ?$(HS[(B) ; C02-H-535B
(ucs-set-char #x8526 ?$@DU(B) ; J78-@-4455
(ucs-set-char #x8526 ?$BDU(B) ; J83-B-4455
(ucs-set-char #x8527 ?$(DY9(B) ; J90-D-5939
(ucs-set-char #x8527 ?$(HS?(B) ; C02-H-533F
(ucs-set-char #x8528 ?$(HSS(B) ; C02-H-5353
(ucs-set-char #x8529 ?$(HS9(B) ; C02-H-5339
(ucs-set-char #x852A ?$(DY:(B) ; J90-D-593A
(ucs-set-char #x852A ?$(HSG(B) ; C02-H-5347
(ucs-set-char #x852B ?$(DY;(B) ; J90-D-593B
(ucs-set-char #x852B ?$(HSB(B) ; C02-H-5342
(ucs-set-char #x852B ?$ADh(B) ; GB0-A-4468
(ucs-set-char #x852C ?$(CaJ(B) ; KS0-C-614A
(ucs-set-char #x852C ?$(GnV(B) ; C01-G-6E56
(ucs-set-char #x852C ?$@hv(B) ; J78-@-6876
(ucs-set-char #x852C ?$AJ_(B) ; GB0-A-4A5F
(ucs-set-char #x852C ?$Bhv(B) ; J83-B-6876
(ucs-set-char #x852D ?$(Ckc(B) ; KS0-C-6B63
(ucs-set-char #x852D ?$(GnW(B) ; C01-G-6E57
(ucs-set-char #x852D ?$@0~(B) ; J78-@-307E
(ucs-set-char #x852D ?$B0~(B) ; J83-B-307E
(ucs-set-char #x852E ?$(HSU(B) ; C02-H-5355
(ucs-set-char #x852F ?$(Cr^(B) ; KS0-C-725E
(ucs-set-char #x852F ?$(DY<(B) ; J90-D-593C
(ucs-set-char #x852F ?$(HSf(B) ; C02-H-5366
(ucs-set-char #x8530 ?$(HSc(B) ; C02-H-5363
(ucs-set-char #x8531 ?$(HSZ(B) ; C02-H-535A
(ucs-set-char #x8532 ?$(DY)(B) ; J90-D-5929
(ucs-set-char #x8532 ?$(JLx(B) ; C04-J-4C78
(ucs-set-char #x8533 ?$(DY=(B) ; J90-D-593D
(ucs-set-char #x8533 ?$(INM(B) ; C03-I-4E4D
(ucs-set-char #x8534 ?$(DY>(B) ; J90-D-593E
(ucs-set-char #x8534 ?$(INN(B) ; C03-I-4E4E
(ucs-set-char #x8535 ?$(INR(B) ; C03-I-4E52
(ucs-set-char #x8535 ?$@B"(B) ; J78-@-4222
(ucs-set-char #x8535 ?$BB"(B) ; J83-B-4222
(ucs-set-char #x8536 ?$(DY?(B) ; J90-D-593F
(ucs-set-char #x8537 ?$AG>(B) ; GB0-A-473E
(ucs-set-char #x8538 ?$A]z(B) ; GB0-A-5D7A
(ucs-set-char #x8539 ?$A]|(B) ; GB0-A-5D7C
(ucs-set-char #x853A ?$A]~(B) ; GB0-A-5D7E
(ucs-set-char #x853B ?$(HS6(B) ; C02-H-5336
(ucs-set-char #x853B ?$A^"(B) ; GB0-A-5E22
(ucs-set-char #x853C ?$A0*(B) ; GB0-A-302A
(ucs-set-char #x853D ?$(CxL(B) ; KS0-C-784C
(ucs-set-char #x853D ?$(GnS(B) ; C01-G-6E53
(ucs-set-char #x853D ?$@JC(B) ; J78-@-4A43
(ucs-set-char #x853D ?$A1N(B) ; GB0-A-314E
(ucs-set-char #x853D ?$BJC(B) ; J83-B-4A43
(ucs-set-char #x853E ?$(HYt(B) ; C02-H-5974
(ucs-set-char #x853F ?$(CjY(B) ; KS0-C-6A59
(ucs-set-char #x853F ?$(DY@(B) ; J90-D-5940
(ucs-set-char #x853F ?$(IRZ(B) ; C03-I-525A
(ucs-set-char #x8540 ?$(HYk(B) ; C02-H-596B
(ucs-set-char #x8540 ?$@h{(B) ; J78-@-687B
(ucs-set-char #x8540 ?$Bh{(B) ; J83-B-687B
(ucs-set-char #x8541 ?$(CSF(B) ; KS0-C-5346
(ucs-set-char #x8541 ?$(HYn(B) ; C02-H-596E
(ucs-set-char #x8541 ?$@i!(B) ; J78-@-6921
(ucs-set-char #x8541 ?$Bi!(B) ; J83-B-6921
(ucs-set-char #x8542 ?$(IRR(B) ; C03-I-5252
(ucs-set-char #x8543 ?$(C[f(B) ; KS0-C-5B66
(ucs-set-char #x8543 ?$(Gr%(B) ; C01-G-7225
(ucs-set-char #x8543 ?$@HY(B) ; J78-@-4859
(ucs-set-char #x8543 ?$A^,(B) ; GB0-A-5E2C
(ucs-set-char #x8543 ?$BHY(B) ; J83-B-4859
(ucs-set-char #x8544 ?$(HYp(B) ; C02-H-5970
(ucs-set-char #x8545 ?$(HYe(B) ; C02-H-5965
(ucs-set-char #x8546 ?$(DYA(B) ; J90-D-5941
(ucs-set-char #x8546 ?$(HYl(B) ; C02-H-596C
(ucs-set-char #x8547 ?$(HYr(B) ; C02-H-5972
(ucs-set-char #x8548 ?$(Gr"(B) ; C01-G-7222
(ucs-set-char #x8548 ?$@h~(B) ; J78-@-687E
(ucs-set-char #x8548 ?$A^&(B) ; GB0-A-5E26
(ucs-set-char #x8548 ?$Bh~(B) ; J83-B-687E
(ucs-set-char #x8549 ?$(Cu/(B) ; KS0-C-752F
(ucs-set-char #x8549 ?$(Gr&(B) ; C01-G-7226
(ucs-set-char #x8549 ?$@>V(B) ; J78-@-3E56
(ucs-set-char #x8549 ?$A=6(B) ; GB0-A-3D36
(ucs-set-char #x8549 ?$B>V(B) ; J83-B-3E56
(ucs-set-char #x854A ?$(Gq~(B) ; C01-G-717E
(ucs-set-char #x854A ?$@i"(B) ; J78-@-6922
(ucs-set-char #x854A ?$AHo(B) ; GB0-A-486F
(ucs-set-char #x854A ?$B<I(B) ; J83-B-3C49
(ucs-set-char #x854B ?$(IRY(B) ; C03-I-5259
(ucs-set-char #x854B ?$@i#(B) ; J78-@-6923
(ucs-set-char #x854B ?$Bi#(B) ; J83-B-6923
(ucs-set-char #x854C ?$(IRP(B) ; C03-I-5250
(ucs-set-char #x854D ?$(HYg(B) ; C02-H-5967
(ucs-set-char #x854E ?$(CNp(B) ; KS0-C-4E70
(ucs-set-char #x854E ?$(HYw(B) ; C02-H-5977
(ucs-set-char #x854E ?$@6>(B) ; J78-@-363E
(ucs-set-char #x854E ?$B6>(B) ; J83-B-363E
(ucs-set-char #x854F ?$(DYB(B) ; J90-D-5942
(ucs-set-char #x854F ?$(JM%(B) ; C04-J-4D25
(ucs-set-char #x8550 ?$(DYC(B) ; J90-D-5943
(ucs-set-char #x8550 ?$(JS3(B) ; C04-J-5333
(ucs-set-char #x8551 ?$(DYD(B) ; J90-D-5944
(ucs-set-char #x8551 ?$(HYq(B) ; C02-H-5971
(ucs-set-char #x8552 ?$(DYE(B) ; J90-D-5945
(ucs-set-char #x8552 ?$(JS$(B) ; C04-J-5324
(ucs-set-char #x8553 ?$(Ci~(B) ; KS0-C-697E
(ucs-set-char #x8553 ?$(DYF(B) ; J90-D-5946
(ucs-set-char #x8553 ?$(HYh(B) ; C02-H-5968
(ucs-set-char #x8554 ?$(HZ"(B) ; C02-H-5A22
(ucs-set-char #x8555 ?$(HYz(B) ; C02-H-597A
(ucs-set-char #x8555 ?$@i$(B) ; J78-@-6924
(ucs-set-char #x8555 ?$Bi$(B) ; J83-B-6924
(ucs-set-char #x8556 ?$(DYG(B) ; J90-D-5947
(ucs-set-char #x8556 ?$(HYd(B) ; C02-H-5964
(ucs-set-char #x8556 ?$A^!(B) ; GB0-A-5E21
(ucs-set-char #x8557 ?$(H^r(B) ; C02-H-5E72
(ucs-set-char #x8557 ?$@Iy(B) ; J78-@-4979
(ucs-set-char #x8557 ?$BIy(B) ; J83-B-4979
(ucs-set-char #x8558 ?$(HYj(B) ; C02-H-596A
(ucs-set-char #x8558 ?$@h}(B) ; J78-@-687D
(ucs-set-char #x8558 ?$Bh}(B) ; J83-B-687D
(ucs-set-char #x8559 ?$(C{6(B) ; KS0-C-7B36
(ucs-set-char #x8559 ?$(DYH(B) ; J90-D-5948
(ucs-set-char #x8559 ?$(Gr!(B) ; C01-G-7221
(ucs-set-char #x8559 ?$A^%(B) ; GB0-A-5E25
(ucs-set-char #x855A ?$(IRX(B) ; C03-I-5258
(ucs-set-char #x855A ?$@hV(B) ; J78-@-6856
(ucs-set-char #x855A ?$BhV(B) ; J83-B-6856
(ucs-set-char #x855B ?$(HYu(B) ; C02-H-5975
(ucs-set-char #x855C ?$(DYI(B) ; J90-D-5949
(ucs-set-char #x855C ?$(IRT(B) ; C03-I-5254
(ucs-set-char #x855D ?$(DYJ(B) ; J90-D-594A
(ucs-set-char #x855D ?$(HZ!(B) ; C02-H-5A21
(ucs-set-char #x855E ?$(DYK(B) ; J90-D-594B
(ucs-set-char #x855E ?$(Gr)(B) ; C01-G-7229
(ucs-set-char #x855E ?$A^)(B) ; GB0-A-5E29
(ucs-set-char #x855F ?$(DYL(B) ; J90-D-594C
(ucs-set-char #x855F ?$(IRV(B) ; C03-I-5256
(ucs-set-char #x8560 ?$(DYM(B) ; J90-D-594D
(ucs-set-char #x8560 ?$(HY|(B) ; C02-H-597C
(ucs-set-char #x8561 ?$(DYN(B) ; J90-D-594E
(ucs-set-char #x8561 ?$(HYi(B) ; C02-H-5969
(ucs-set-char #x8562 ?$(DYO(B) ; J90-D-594F
(ucs-set-char #x8562 ?$(HYo(B) ; C02-H-596F
(ucs-set-char #x8563 ?$(Cbr(B) ; KS0-C-6272
(ucs-set-char #x8563 ?$(HYs(B) ; C02-H-5973
(ucs-set-char #x8563 ?$@h|(B) ; J78-@-687C
(ucs-set-char #x8563 ?$Bh|(B) ; J83-B-687C
(ucs-set-char #x8564 ?$(DYP(B) ; J90-D-5950
(ucs-set-char #x8564 ?$(HYm(B) ; C02-H-596D
(ucs-set-char #x8564 ?$A^((B) ; GB0-A-5E28
(ucs-set-char #x8565 ?$(HZ#(B) ; C02-H-5A23
(ucs-set-char #x8566 ?$(HY~(B) ; C02-H-597E
(ucs-set-char #x8567 ?$(HY{(B) ; C02-H-597B
(ucs-set-char #x8568 ?$(COr(B) ; KS0-C-4F72
(ucs-set-char #x8568 ?$(Gr#(B) ; C01-G-7223
(ucs-set-char #x8568 ?$@OO(B) ; J78-@-4F4F
(ucs-set-char #x8568 ?$A^'(B) ; GB0-A-5E27
(ucs-set-char #x8568 ?$BOO(B) ; J83-B-4F4F
(ucs-set-char #x8569 ?$(Cw9(B) ; KS0-C-7739
(ucs-set-char #x8569 ?$(Gr$(B) ; C01-G-7224
(ucs-set-char #x8569 ?$@F"(B) ; J78-@-4622
(ucs-set-char #x8569 ?$BF"(B) ; J83-B-4622
(ucs-set-char #x856A ?$(CYs(B) ; KS0-C-5973
(ucs-set-char #x856A ?$(Gr((B) ; C01-G-7228
(ucs-set-char #x856A ?$@Is(B) ; J78-@-4973
(ucs-set-char #x856A ?$BIs(B) ; J83-B-4973
(ucs-set-char #x856B ?$(DYQ(B) ; J90-D-5951
(ucs-set-char #x856B ?$(HYf(B) ; C02-H-5966
(ucs-set-char #x856C ?$(HZ$(B) ; C02-H-5A24
(ucs-set-char #x856D ?$(CaK(B) ; KS0-C-614B
(ucs-set-char #x856D ?$(Gr'(B) ; C01-G-7227
(ucs-set-char #x856D ?$@i+(B) ; J78-@-692B
(ucs-set-char #x856D ?$Bi+(B) ; J83-B-692B
(ucs-set-char #x856E ?$(HYx(B) ; C02-H-5978
(ucs-set-char #x856F ?$(DYR(B) ; J90-D-5952
(ucs-set-char #x856F ?$(IRO(B) ; C03-I-524F
(ucs-set-char #x8570 ?$(IRU(B) ; C03-I-5255
(ucs-set-char #x8571 ?$(HYv(B) ; C02-H-5976
(ucs-set-char #x8572 ?$A^-(B) ; GB0-A-5E2D
(ucs-set-char #x8574 ?$ATL(B) ; GB0-A-544C
(ucs-set-char #x8575 ?$(HYy(B) ; C02-H-5979
(ucs-set-char #x8576 ?$(H_!(B) ; C02-H-5F21
(ucs-set-char #x8577 ?$(H^l(B) ; C02-H-5E6C
(ucs-set-char #x8577 ?$@i1(B) ; J78-@-6931
(ucs-set-char #x8577 ?$Bi1(B) ; J83-B-6931
(ucs-set-char #x8578 ?$(H^q(B) ; C02-H-5E71
(ucs-set-char #x8579 ?$(DYS(B) ; J90-D-5953
(ucs-set-char #x8579 ?$(H^~(B) ; C02-H-5E7E
(ucs-set-char #x8579 ?$A^3(B) ; GB0-A-5E33
(ucs-set-char #x857A ?$(DYT(B) ; J90-D-5954
(ucs-set-char #x857A ?$(H^p(B) ; C02-H-5E70
(ucs-set-char #x857A ?$A^*(B) ; GB0-A-5E2A
(ucs-set-char #x857B ?$(DYU(B) ; J90-D-5955
(ucs-set-char #x857B ?$(H^h(B) ; C02-H-5E68
(ucs-set-char #x857B ?$A^.(B) ; GB0-A-5E2E
(ucs-set-char #x857C ?$(H^m(B) ; C02-H-5E6D
(ucs-set-char #x857D ?$(DYV(B) ; J90-D-5956
(ucs-set-char #x857D ?$(JX>(B) ; C04-J-583E
(ucs-set-char #x857E ?$(Gu,(B) ; C01-G-752C
(ucs-set-char #x857E ?$@i2(B) ; J78-@-6932
(ucs-set-char #x857E ?$A@Y(B) ; GB0-A-4059
(ucs-set-char #x857E ?$Bi2(B) ; J83-B-6932
(ucs-set-char #x857F ?$(DYW(B) ; J90-D-5957
(ucs-set-char #x857F ?$(IV+(B) ; C03-I-562B
(ucs-set-char #x8580 ?$(H^a(B) ; C02-H-5E61
(ucs-set-char #x8580 ?$@i%(B) ; J78-@-6925
(ucs-set-char #x8580 ?$Bi%(B) ; J83-B-6925
(ucs-set-char #x8581 ?$(DYX(B) ; J90-D-5958
(ucs-set-char #x8581 ?$(H^y(B) ; C02-H-5E79
(ucs-set-char #x8582 ?$(H^{(B) ; C02-H-5E7B
(ucs-set-char #x8583 ?$(H^`(B) ; C02-H-5E60
(ucs-set-char #x8584 ?$(CZ](B) ; KS0-C-5A5D
(ucs-set-char #x8584 ?$(Gu+(B) ; C01-G-752B
(ucs-set-char #x8584 ?$@Gv(B) ; J78-@-4776
(ucs-set-char #x8584 ?$A1!(B) ; GB0-A-3121
(ucs-set-char #x8584 ?$BGv(B) ; J83-B-4776
(ucs-set-char #x8585 ?$(DYY(B) ; J90-D-5959
(ucs-set-char #x8585 ?$(H^}(B) ; C02-H-5E7D
(ucs-set-char #x8585 ?$A^6(B) ; GB0-A-5E36
(ucs-set-char #x8586 ?$(DYZ(B) ; J90-D-595A
(ucs-set-char #x8586 ?$(H^u(B) ; C02-H-5E75
(ucs-set-char #x8587 ?$(CZ9(B) ; KS0-C-5A39
(ucs-set-char #x8587 ?$(Gu2(B) ; C01-G-7532
(ucs-set-char #x8587 ?$@i/(B) ; J78-@-692F
(ucs-set-char #x8587 ?$A^1(B) ; GB0-A-5E31
(ucs-set-char #x8587 ?$Bi/(B) ; J83-B-692F
(ucs-set-char #x8588 ?$(H^|(B) ; C02-H-5E7C
(ucs-set-char #x8588 ?$@i'(B) ; J78-@-6927
(ucs-set-char #x8588 ?$Bi'(B) ; J83-B-6927
(ucs-set-char #x8589 ?$(DY[(B) ; J90-D-595B
(ucs-set-char #x8589 ?$(H^n(B) ; C02-H-5E6E
(ucs-set-char #x858A ?$(Gu4(B) ; C01-G-7534
(ucs-set-char #x858A ?$@i)(B) ; J78-@-6929
(ucs-set-char #x858A ?$Bi)(B) ; J83-B-6929
(ucs-set-char #x858B ?$(DY\(B) ; J90-D-595C
(ucs-set-char #x858B ?$(H^f(B) ; C02-H-5E66
(ucs-set-char #x858C ?$(DY](B) ; J90-D-595D
(ucs-set-char #x858C ?$(HY}(B) ; C02-H-597D
(ucs-set-char #x858D ?$(H^v(B) ; C02-H-5E76
(ucs-set-char #x858E ?$(H^s(B) ; C02-H-5E73
(ucs-set-char #x858F ?$(Ck{(B) ; KS0-C-6B7B
(ucs-set-char #x858F ?$(DY^(B) ; J90-D-595E
(ucs-set-char #x858F ?$(H^b(B) ; C02-H-5E62
(ucs-set-char #x858F ?$A^2(B) ; GB0-A-5E32
(ucs-set-char #x8590 ?$(H_#(B) ; C02-H-5F23
(ucs-set-char #x8590 ?$@i3(B) ; J78-@-6933
(ucs-set-char #x8590 ?$Bi3(B) ; J83-B-6933
(ucs-set-char #x8591 ?$(CK9(B) ; KS0-C-4B39
(ucs-set-char #x8591 ?$(Gu.(B) ; C01-G-752E
(ucs-set-char #x8591 ?$@i((B) ; J78-@-6928
(ucs-set-char #x8591 ?$Bi((B) ; J83-B-6928
(ucs-set-char #x8592 ?$(IV((B) ; C03-I-5628
(ucs-set-char #x8593 ?$(DY_(B) ; J90-D-595F
(ucs-set-char #x8593 ?$(IV)(B) ; C03-I-5629
(ucs-set-char #x8594 ?$(Cmy(B) ; KS0-C-6D79
(ucs-set-char #x8594 ?$(Gu/(B) ; C01-G-752F
(ucs-set-char #x8594 ?$@i,(B) ; J78-@-692C
(ucs-set-char #x8594 ?$Bi,(B) ; J83-B-692C
(ucs-set-char #x8595 ?$(H^d(B) ; C02-H-5E64
(ucs-set-char #x8596 ?$(H^t(B) ; C02-H-5E74
(ucs-set-char #x8597 ?$(IV-(B) ; C03-I-562D
(ucs-set-char #x8597 ?$@1r(B) ; J78-@-3172
(ucs-set-char #x8597 ?$B1r(B) ; J83-B-3172
(ucs-set-char #x8598 ?$(DY`(B) ; J90-D-5960
(ucs-set-char #x8598 ?$(H_"(B) ; C02-H-5F22
(ucs-set-char #x8599 ?$(H^w(B) ; C02-H-5E77
(ucs-set-char #x8599 ?$@Fe(B) ; J78-@-4665
(ucs-set-char #x8599 ?$BFe(B) ; J83-B-4665
(ucs-set-char #x859A ?$(H^j(B) ; C02-H-5E6A
(ucs-set-char #x859B ?$(C``(B) ; KS0-C-6060
(ucs-set-char #x859B ?$(Gu1(B) ; C01-G-7531
(ucs-set-char #x859B ?$@i-(B) ; J78-@-692D
(ucs-set-char #x859B ?$AQ&(B) ; GB0-A-5126
(ucs-set-char #x859B ?$Bi-(B) ; J83-B-692D
(ucs-set-char #x859C ?$(Gu-(B) ; C01-G-752D
(ucs-set-char #x859C ?$@i0(B) ; J78-@-6930
(ucs-set-char #x859C ?$A^5(B) ; GB0-A-5E35
(ucs-set-char #x859C ?$Bi0(B) ; J83-B-6930
(ucs-set-char #x859D ?$(DYa(B) ; J90-D-5961
(ucs-set-char #x859D ?$(H^x(B) ; C02-H-5E78
(ucs-set-char #x859E ?$(H^k(B) ; C02-H-5E6B
(ucs-set-char #x859F ?$(DYb(B) ; J90-D-5962
(ucs-set-char #x859F ?$(H_$(B) ; C02-H-5F24
(ucs-set-char #x85A0 ?$(DYc(B) ; J90-D-5963
(ucs-set-char #x85A0 ?$(H^e(B) ; C02-H-5E65
(ucs-set-char #x85A1 ?$(H^o(B) ; C02-H-5E6F
(ucs-set-char #x85A2 ?$(DYd(B) ; J90-D-5964
(ucs-set-char #x85A2 ?$(H^z(B) ; C02-H-5E7A
(ucs-set-char #x85A3 ?$(H^g(B) ; C02-H-5E67
(ucs-set-char #x85A4 ?$(H^i(B) ; C02-H-5E69
(ucs-set-char #x85A4 ?$@i&(B) ; J78-@-6926
(ucs-set-char #x85A4 ?$A^/(B) ; GB0-A-5E2F
(ucs-set-char #x85A4 ?$Bi&(B) ; J83-B-6926
(ucs-set-char #x85A5 ?$(DYe(B) ; J90-D-5965
(ucs-set-char #x85A5 ?$(JX@(B) ; C04-J-5840
(ucs-set-char #x85A6 ?$(Ct@(B) ; KS0-C-7440
(ucs-set-char #x85A6 ?$(Gu5(B) ; C01-G-7535
(ucs-set-char #x85A6 ?$@A&(B) ; J78-@-4126
(ucs-set-char #x85A6 ?$BA&(B) ; J83-B-4126
(ucs-set-char #x85A7 ?$(DYf(B) ; J90-D-5966
(ucs-set-char #x85A7 ?$(H^c(B) ; C02-H-5E63
(ucs-set-char #x85A8 ?$(C}<(B) ; KS0-C-7D3C
(ucs-set-char #x85A8 ?$(Gu3(B) ; C01-G-7533
(ucs-set-char #x85A8 ?$@i*(B) ; J78-@-692A
(ucs-set-char #x85A8 ?$A^0(B) ; GB0-A-5E30
(ucs-set-char #x85A8 ?$Bi*(B) ; J83-B-692A
(ucs-set-char #x85A9 ?$(C_1(B) ; KS0-C-5F31
(ucs-set-char #x85A9 ?$(Gw0(B) ; C01-G-7730
(ucs-set-char #x85A9 ?$@;'(B) ; J78-@-3B27
(ucs-set-char #x85A9 ?$B;'(B) ; J83-B-3B27
(ucs-set-char #x85AA ?$(Cco(B) ; KS0-C-636F
(ucs-set-char #x85AA ?$(Gu*(B) ; C01-G-752A
(ucs-set-char #x85AA ?$@?E(B) ; J78-@-3F45
(ucs-set-char #x85AA ?$AP=(B) ; GB0-A-503D
(ucs-set-char #x85AA ?$B?E(B) ; J83-B-3F45
(ucs-set-char #x85AB ?$(IV,(B) ; C03-I-562C
(ucs-set-char #x85AB ?$@70(B) ; J78-@-3730
(ucs-set-char #x85AB ?$B70(B) ; J83-B-3730
(ucs-set-char #x85AC ?$(IV0(B) ; C03-I-5630
(ucs-set-char #x85AC ?$@Lt(B) ; J78-@-4C74
(ucs-set-char #x85AC ?$BLt(B) ; J83-B-4C74
(ucs-set-char #x85AD ?$(DYt(B) ; J90-D-5974
(ucs-set-char #x85AE ?$@i.(B) ; J78-@-692E
(ucs-set-char #x85AE ?$A^4(B) ; GB0-A-5E34
(ucs-set-char #x85AE ?$BLy(B) ; J83-B-4C79
(ucs-set-char #x85AF ?$(C`#(B) ; KS0-C-6023
(ucs-set-char #x85AF ?$(Gu0(B) ; C01-G-7530
(ucs-set-char #x85AF ?$@=r(B) ; J78-@-3D72
(ucs-set-char #x85AF ?$AJm(B) ; GB0-A-4A6D
(ucs-set-char #x85AF ?$B=r(B) ; J83-B-3D72
(ucs-set-char #x85B0 ?$(C}9(B) ; KS0-C-7D39
(ucs-set-char #x85B0 ?$(Gw4(B) ; C01-G-7734
(ucs-set-char #x85B0 ?$A^9(B) ; GB0-A-5E39
(ucs-set-char #x85B1 ?$(Hb}(B) ; C02-H-627D
(ucs-set-char #x85B2 ?$(IXl(B) ; C03-I-586C
(ucs-set-char #x85B3 ?$(Hbs(B) ; C02-H-6273
(ucs-set-char #x85B4 ?$(DYg(B) ; J90-D-5967
(ucs-set-char #x85B4 ?$(Hbn(B) ; C02-H-626E
(ucs-set-char #x85B5 ?$(Hbt(B) ; C02-H-6274
(ucs-set-char #x85B6 ?$(DYh(B) ; J90-D-5968
(ucs-set-char #x85B6 ?$(Hb~(B) ; C02-H-627E
(ucs-set-char #x85B7 ?$(DYi(B) ; J90-D-5969
(ucs-set-char #x85B7 ?$(Hc$(B) ; C02-H-6324
(ucs-set-char #x85B7 ?$A^8(B) ; GB0-A-5E38
(ucs-set-char #x85B8 ?$(DYj(B) ; J90-D-596A
(ucs-set-char #x85B8 ?$(Hc#(B) ; C02-H-6323
(ucs-set-char #x85B9 ?$(Gw6(B) ; C01-G-7736
(ucs-set-char #x85B9 ?$@i7(B) ; J78-@-6937
(ucs-set-char #x85B9 ?$A^7(B) ; GB0-A-5E37
(ucs-set-char #x85B9 ?$Bi7(B) ; J83-B-6937
(ucs-set-char #x85BA ?$(Cp1(B) ; KS0-C-7031
(ucs-set-char #x85BA ?$(Gw5(B) ; C01-G-7735
(ucs-set-char #x85BA ?$@i5(B) ; J78-@-6935
(ucs-set-char #x85BA ?$Bi5(B) ; J83-B-6935
(ucs-set-char #x85BB ?$(IXn(B) ; C03-I-586E
(ucs-set-char #x85BC ?$(DYk(B) ; J90-D-596B
(ucs-set-char #x85BC ?$(J],(B) ; C04-J-5D2C
(ucs-set-char #x85BD ?$(DYl(B) ; J90-D-596C
(ucs-set-char #x85BD ?$(Hbu(B) ; C02-H-6275
(ucs-set-char #x85BE ?$(DYm(B) ; J90-D-596D
(ucs-set-char #x85BE ?$(Hc%(B) ; C02-H-6325
(ucs-set-char #x85BF ?$(DYn(B) ; J90-D-596E
(ucs-set-char #x85BF ?$(Hbx(B) ; C02-H-6278
(ucs-set-char #x85C0 ?$(Hbp(B) ; C02-H-6270
(ucs-set-char #x85C1 ?$(CMK(B) ; KS0-C-4D4B
(ucs-set-char #x85C1 ?$(IXo(B) ; C03-I-586F
(ucs-set-char #x85C1 ?$@ON(B) ; J78-@-4F4E
(ucs-set-char #x85C1 ?$A^;(B) ; GB0-A-5E3B
(ucs-set-char #x85C1 ?$BON(B) ; J83-B-4F4E
(ucs-define-ideograph #x85C2 140 18
		      ?$(DYo(B ; J90-D-596F
                      ;; ?$(Hbr(B ; C02-H-6272
		      )
(ucs-set-char #x85C3 ?$(Hbq(B) ; C02-H-6271
(ucs-set-char #x85C4 ?$(Hbw(B) ; C02-H-6277
(ucs-set-char #x85C5 ?$(Hb|(B) ; C02-H-627C
(ucs-set-char #x85C6 ?$(Hbo(B) ; C02-H-626F
(ucs-set-char #x85C7 ?$(DYp(B) ; J90-D-5970
(ucs-set-char #x85C7 ?$(Hbv(B) ; C02-H-6276
(ucs-set-char #x85C8 ?$(Hb{(B) ; C02-H-627B
(ucs-set-char #x85C9 ?$(Cm>(B) ; KS0-C-6D3E
(ucs-set-char #x85C9 ?$(Gw3(B) ; C01-G-7733
(ucs-set-char #x85C9 ?$@i4(B) ; J78-@-6934
(ucs-set-char #x85C9 ?$A=e(B) ; GB0-A-3D65
(ucs-set-char #x85C9 ?$Bi4(B) ; J83-B-6934
(ucs-set-char #x85CA ?$(DYq(B) ; J90-D-5971
(ucs-set-char #x85CA ?$(J]((B) ; C04-J-5D28
(ucs-set-char #x85CB ?$(DYr(B) ; J90-D-5972
(ucs-set-char #x85CB ?$(Hby(B) ; C02-H-6279
(ucs-set-char #x85CC ?$(IXk(B) ; C03-I-586B
(ucs-set-char #x85CD ?$(CU@(B) ; KS0-C-5540
(ucs-set-char #x85CD ?$(Gw1(B) ; C01-G-7731
(ucs-set-char #x85CD ?$@Mu(B) ; J78-@-4D75
(ucs-set-char #x85CD ?$BMu(B) ; J83-B-4D75
(ucs-set-char #x85CE ?$(Ccp(B) ; KS0-C-6370
(ucs-set-char #x85CE ?$(DYs(B) ; J90-D-5973
(ucs-set-char #x85CE ?$(Hbz(B) ; C02-H-627A
(ucs-set-char #x85CF ?$(Cmz(B) ; KS0-C-6D7A
(ucs-set-char #x85CF ?$(Gw/(B) ; C01-G-772F
(ucs-set-char #x85CF ?$@i6(B) ; J78-@-6936
(ucs-set-char #x85CF ?$A2X(B) ; GB0-A-3258
(ucs-set-char #x85CF ?$Bi6(B) ; J83-B-6936
(ucs-set-char #x85D0 ?$(Gw2(B) ; C01-G-7732
(ucs-set-char #x85D0 ?$@i8(B) ; J78-@-6938
(ucs-set-char #x85D0 ?$ACj(B) ; GB0-A-436A
(ucs-set-char #x85D0 ?$Bi8(B) ; J83-B-6938
(ucs-set-char #x85D1 ?$(Hf`(B) ; C02-H-6660
(ucs-set-char #x85D2 ?$(Hc!(B) ; C02-H-6321
(ucs-set-char #x85D3 ?$A^:(B) ; GB0-A-5E3A
(ucs-set-char #x85D5 ?$(Cid(B) ; KS0-C-6964
(ucs-set-char #x85D5 ?$(Gxm(B) ; C01-G-786D
(ucs-set-char #x85D5 ?$@i9(B) ; J78-@-6939
(ucs-set-char #x85D5 ?$AE:(B) ; GB0-A-453A
(ucs-set-char #x85D5 ?$Bi9(B) ; J83-B-6939
(ucs-set-char #x85D6 ?$(IZ~(B) ; C03-I-5A7E
(ucs-set-char #x85D7 ?$(HfX(B) ; C02-H-6658
(ucs-set-char #x85D8 ?$(DYu(B) ; J90-D-5975
(ucs-set-char #x85D8 ?$(Hf\(B) ; C02-H-665C
(ucs-set-char #x85D9 ?$(HfT(B) ; C02-H-6654
(ucs-set-char #x85DA ?$(DYv(B) ; J90-D-5976
(ucs-set-char #x85DA ?$(HfW(B) ; C02-H-6657
(ucs-set-char #x85DB ?$(IZ}(B) ; C03-I-5A7D
(ucs-set-char #x85DC ?$(CUm(B) ; KS0-C-556D
(ucs-set-char #x85DC ?$(Hf_(B) ; C02-H-665F
(ucs-set-char #x85DC ?$@i<(B) ; J78-@-693C
(ucs-set-char #x85DC ?$A^<(B) ; GB0-A-5E3C
(ucs-set-char #x85DC ?$Bi<(B) ; J83-B-693C
(ucs-set-char #x85DD ?$(Cg](B) ; KS0-C-675D
(ucs-set-char #x85DD ?$(Gxk(B) ; C01-G-786B
(ucs-set-char #x85DD ?$@i:(B) ; J78-@-693A
(ucs-set-char #x85DD ?$Bi:(B) ; J83-B-693A
(ucs-set-char #x85DE ?$(Hfd(B) ; C02-H-6664
(ucs-set-char #x85DF ?$(DYw(B) ; J90-D-5977
(ucs-set-char #x85DF ?$(Hf](B) ; C02-H-665D
(ucs-set-char #x85E0 ?$(DYx(B) ; J90-D-5978
(ucs-set-char #x85E0 ?$(J`z(B) ; C04-J-607A
(ucs-set-char #x85E1 ?$(HfU(B) ; C02-H-6655
(ucs-set-char #x85E2 ?$(Hfe(B) ; C02-H-6665
(ucs-set-char #x85E3 ?$(Hf^(B) ; C02-H-665E
(ucs-set-char #x85E4 ?$(CTv(B) ; KS0-C-5476
(ucs-set-char #x85E4 ?$(Gxn(B) ; C01-G-786E
(ucs-set-char #x85E4 ?$@F#(B) ; J78-@-4623
(ucs-set-char #x85E4 ?$ALY(B) ; GB0-A-4C59
(ucs-set-char #x85E4 ?$BF#(B) ; J83-B-4623
(ucs-set-char #x85E5 ?$(Ce7(B) ; KS0-C-6537
(ucs-set-char #x85E5 ?$(Gxo(B) ; C01-G-786F
(ucs-set-char #x85E5 ?$@i;(B) ; J78-@-693B
(ucs-set-char #x85E5 ?$Bi;(B) ; J83-B-693B
(ucs-set-char #x85E6 ?$(DYy(B) ; J90-D-5979
(ucs-set-char #x85E6 ?$(Hfb(B) ; C02-H-6662
(ucs-set-char #x85E7 ?$(I["(B) ; C03-I-5B22
(ucs-set-char #x85E8 ?$(DYz(B) ; J90-D-597A
(ucs-set-char #x85E8 ?$(HfV(B) ; C02-H-6656
(ucs-set-char #x85E9 ?$(C[g(B) ; KS0-C-5B67
(ucs-set-char #x85E9 ?$(Gxj(B) ; C01-G-786A
(ucs-set-char #x85E9 ?$@HM(B) ; J78-@-484D
(ucs-set-char #x85E9 ?$A7*(B) ; GB0-A-372A
(ucs-set-char #x85E9 ?$BHM(B) ; J83-B-484D
(ucs-set-char #x85EA ?$(Cb?(B) ; KS0-C-623F
(ucs-set-char #x85EA ?$(Gxl(B) ; C01-G-786C
(ucs-set-char #x85EA ?$@Ly(B) ; J78-@-4C79
(ucs-set-char #x85EA ?$Bi.(B) ; J83-B-692E
(ucs-set-char #x85EB ?$(HfQ(B) ; C02-H-6651
(ucs-set-char #x85EC ?$(HfY(B) ; C02-H-6659
(ucs-set-char #x85ED ?$(DY{(B) ; J90-D-597B
(ucs-set-char #x85ED ?$(HfS(B) ; C02-H-6653
(ucs-set-char #x85EE ?$(I\{(B) ; C03-I-5C7B
(ucs-set-char #x85EF ?$(Hfc(B) ; C02-H-6663
(ucs-set-char #x85F0 ?$(Hfa(B) ; C02-H-6661
(ucs-set-char #x85F1 ?$(HfR(B) ; C02-H-6652
(ucs-set-char #x85F2 ?$(HfZ(B) ; C02-H-665A
(ucs-set-char #x85F3 ?$(DY|(B) ; J90-D-597C
(ucs-set-char #x85F3 ?$(J`{(B) ; C04-J-607B
(ucs-set-char #x85F4 ?$(I[%(B) ; C03-I-5B25
(ucs-set-char #x85F6 ?$(DY}(B) ; J90-D-597D
(ucs-set-char #x85F6 ?$(Hij(B) ; C02-H-696A
(ucs-set-char #x85F7 ?$(CnK(B) ; KS0-C-6E4B
(ucs-set-char #x85F7 ?$(Gxp(B) ; C01-G-7870
(ucs-set-char #x85F7 ?$@=s(B) ; J78-@-3D73
(ucs-set-char #x85F7 ?$B=s(B) ; J83-B-3D73
(ucs-set-char #x85F8 ?$(Hf[(B) ; C02-H-665B
(ucs-set-char #x85F9 ?$(Gz2(B) ; C01-G-7A32
(ucs-set-char #x85F9 ?$@i=(B) ; J78-@-693D
(ucs-set-char #x85F9 ?$Bi=(B) ; J83-B-693D
(ucs-set-char #x85FA ?$(CWt(B) ; KS0-C-5774
(ucs-set-char #x85FA ?$(Gz4(B) ; C01-G-7A34
(ucs-set-char #x85FA ?$@iB(B) ; J78-@-6942
(ucs-set-char #x85FA ?$BiB(B) ; J83-B-6942
(ucs-set-char #x85FB ?$(Cp](B) ; KS0-C-705D
(ucs-set-char #x85FB ?$(Gz1(B) ; C01-G-7A31
(ucs-set-char #x85FB ?$@At(B) ; J78-@-4174
(ucs-set-char #x85FB ?$ATe(B) ; GB0-A-5465
(ucs-set-char #x85FB ?$BAt(B) ; J83-B-4174
(ucs-set-char #x85FC ?$(DY~(B) ; J90-D-597E
(ucs-set-char #x85FC ?$(I\v(B) ; C03-I-5C76
(ucs-set-char #x85FD ?$(Hio(B) ; C02-H-696F
(ucs-set-char #x85FE ?$(Hig(B) ; C02-H-6967
(ucs-set-char #x85FE ?$@iA(B) ; J78-@-6941
(ucs-set-char #x85FE ?$BiA(B) ; J83-B-6941
(ucs-set-char #x85FF ?$(CN+(B) ; KS0-C-4E2B
(ucs-set-char #x85FF ?$(DZ!(B) ; J90-D-5A21
(ucs-set-char #x85FF ?$(Hie(B) ; C02-H-6965
(ucs-set-char #x85FF ?$A^=(B) ; GB0-A-5E3D
(ucs-set-char #x8600 ?$(DZ"(B) ; J90-D-5A22
(ucs-set-char #x8600 ?$(Hii(B) ; C02-H-6969
(ucs-set-char #x8601 ?$(Hif(B) ; C02-H-6966
(ucs-set-char #x8602 ?$(Cg^(B) ; KS0-C-675E
(ucs-set-char #x8602 ?$(I\x(B) ; C03-I-5C78
(ucs-set-char #x8602 ?$@<I(B) ; J78-@-3C49
(ucs-set-char #x8602 ?$Bi"(B) ; J83-B-6922
(ucs-set-char #x8603 ?$(I\|(B) ; C03-I-5C7C
(ucs-set-char #x8604 ?$(DZ#(B) ; J90-D-5A23
(ucs-set-char #x8604 ?$(Hik(B) ; C02-H-696B
(ucs-set-char #x8605 ?$(DZ$(B) ; J90-D-5A24
(ucs-set-char #x8605 ?$(Him(B) ; C02-H-696D
(ucs-set-char #x8605 ?$A^?(B) ; GB0-A-5E3F
(ucs-set-char #x8606 ?$(CVV(B) ; KS0-C-5656
(ucs-set-char #x8606 ?$(Gz5(B) ; C01-G-7A35
(ucs-set-char #x8606 ?$@iC(B) ; J78-@-6943
(ucs-set-char #x8606 ?$BiC(B) ; J83-B-6943
(ucs-set-char #x8607 ?$(CaL(B) ; KS0-C-614C
(ucs-set-char #x8607 ?$(Gz7(B) ; C01-G-7A37
(ucs-set-char #x8607 ?$@AI(B) ; J78-@-4149
(ucs-set-char #x8607 ?$BAI(B) ; J83-B-4149
(ucs-set-char #x8608 ?$(I]"(B) ; C03-I-5D22
(ucs-set-char #x8609 ?$(Hil(B) ; C02-H-696C
(ucs-set-char #x860A ?$(Ch3(B) ; KS0-C-6833
(ucs-set-char #x860A ?$(Gz8(B) ; C01-G-7A38
(ucs-set-char #x860A ?$@i>(B) ; J78-@-693E
(ucs-set-char #x860A ?$Bi>(B) ; J83-B-693E
(ucs-set-char #x860B ?$(Gz6(B) ; C01-G-7A36
(ucs-set-char #x860B ?$@i@(B) ; J78-@-6940
(ucs-set-char #x860B ?$Bi@(B) ; J83-B-6940
(ucs-set-char #x860C ?$(Hin(B) ; C02-H-696E
(ucs-set-char #x860D ?$(DZ%(B) ; J90-D-5A25
(ucs-set-char #x860D ?$(I\~(B) ; C03-I-5C7E
(ucs-set-char #x860E ?$(DZ&(B) ; J90-D-5A26
(ucs-set-char #x860E ?$(Jd7(B) ; C04-J-6437
(ucs-set-char #x860F ?$(I]#(B) ; C03-I-5D23
(ucs-set-char #x8610 ?$(DZ'(B) ; J90-D-5A27
(ucs-set-char #x8610 ?$(I\w(B) ; C03-I-5C77
(ucs-set-char #x8611 ?$(DZ((B) ; J90-D-5A28
(ucs-set-char #x8611 ?$(Gz3(B) ; C01-G-7A33
(ucs-set-char #x8611 ?$AD"(B) ; GB0-A-4422
(ucs-set-char #x8612 ?$(DZ)(B) ; J90-D-5A29
(ucs-set-char #x8613 ?$(I]!(B) ; C03-I-5D21
(ucs-set-char #x8613 ?$@i?(B) ; J78-@-693F
(ucs-set-char #x8613 ?$Bi?(B) ; J83-B-693F
(ucs-set-char #x8615 ?$(I^[(B) ; C03-I-5E5B
(ucs-set-char #x8616 ?$(Cen(B) ; KS0-C-656E
(ucs-set-char #x8616 ?$(I^Z(B) ; C03-I-5E5A
(ucs-set-char #x8616 ?$@]1(B) ; J78-@-5D31
(ucs-set-char #x8616 ?$A^A(B) ; GB0-A-5E41
(ucs-set-char #x8616 ?$B]1(B) ; J83-B-5D31
(ucs-set-char #x8617 ?$(C\"(B) ; KS0-C-5C22
(ucs-set-char #x8617 ?$(G{!(B) ; C01-G-7B21
(ucs-set-char #x8617 ?$@]"(B) ; J78-@-5D22
(ucs-set-char #x8617 ?$B]"(B) ; J83-B-5D22
(ucs-set-char #x8618 ?$(DZ*(B) ; J90-D-5A2A
(ucs-set-char #x8618 ?$(Hl!(B) ; C02-H-6C21
(ucs-set-char #x8619 ?$(DZ+(B) ; J90-D-5A2B
(ucs-set-char #x8619 ?$(Hl'(B) ; C02-H-6C27
(ucs-set-char #x861A ?$(C`P(B) ; KS0-C-6050
(ucs-set-char #x861A ?$(G{#(B) ; C01-G-7B23
(ucs-set-char #x861A ?$@iE(B) ; J78-@-6945
(ucs-set-char #x861A ?$BiE(B) ; J83-B-6945
(ucs-set-char #x861B ?$(DZ,(B) ; J90-D-5A2C
(ucs-set-char #x861B ?$(Hih(B) ; C02-H-6968
(ucs-set-char #x861C ?$(Hl&(B) ; C02-H-6C26
(ucs-set-char #x861D ?$(I^\(B) ; C03-I-5E5C
(ucs-set-char #x861E ?$(DZ-(B) ; J90-D-5A2D
(ucs-set-char #x861E ?$(Hl-(B) ; C02-H-6C2D
(ucs-set-char #x861F ?$(Hl$(B) ; C02-H-6C24
(ucs-set-char #x8620 ?$(Hl+(B) ; C02-H-6C2B
(ucs-set-char #x8621 ?$(DZ.(B) ; J90-D-5A2E
(ucs-set-char #x8621 ?$(Hl*(B) ; C02-H-6C2A
(ucs-set-char #x8622 ?$(Hid(B) ; C02-H-6964
(ucs-set-char #x8622 ?$@iD(B) ; J78-@-6944
(ucs-set-char #x8622 ?$BiD(B) ; J83-B-6944
(ucs-set-char #x8623 ?$(Hl%(B) ; C02-H-6C25
(ucs-set-char #x8624 ?$(Hc"(B) ; C02-H-6322
(ucs-set-char #x8625 ?$(Hl.(B) ; C02-H-6C2E
(ucs-set-char #x8626 ?$(Hl#(B) ; C02-H-6C23
(ucs-set-char #x8627 ?$(DZ/(B) ; J90-D-5A2F
(ucs-set-char #x8627 ?$(Hl((B) ; C02-H-6C28
(ucs-set-char #x8627 ?$A^>(B) ; GB0-A-5E3E
(ucs-set-char #x8628 ?$(I^X(B) ; C03-I-5E58
(ucs-set-char #x8629 ?$(DZ0(B) ; J90-D-5A30
(ucs-set-char #x8629 ?$(Hl,(B) ; C02-H-6C2C
(ucs-set-char #x8629 ?$A^@(B) ; GB0-A-5E40
(ucs-set-char #x862A ?$(Hl"(B) ; C02-H-6C22
(ucs-set-char #x862B ?$(I^V(B) ; C03-I-5E56
(ucs-set-char #x862C ?$(Hmw(B) ; C02-H-6D77
(ucs-set-char #x862D ?$(CU5(B) ; KS0-C-5535
(ucs-set-char #x862D ?$(G{"(B) ; C01-G-7B22
(ucs-set-char #x862D ?$@Mv(B) ; J78-@-4D76
(ucs-set-char #x862D ?$BMv(B) ; J83-B-4D76
(ucs-set-char #x862E ?$(Hl)(B) ; C02-H-6C29
(ucs-set-char #x862F ?$(I^W(B) ; C03-I-5E57
(ucs-set-char #x862F ?$@b<(B) ; J78-@-623C
(ucs-set-char #x862F ?$Bb<(B) ; J83-B-623C
(ucs-set-char #x8630 ?$@iF(B) ; J78-@-6946
(ucs-set-char #x8630 ?$BiF(B) ; J83-B-6946
(ucs-set-char #x8631 ?$(HoC(B) ; C02-H-6F43
(ucs-set-char #x8632 ?$(Hmx(B) ; C02-H-6D78
(ucs-set-char #x8633 ?$(Hmv(B) ; C02-H-6D76
(ucs-set-char #x8634 ?$(Hmt(B) ; C02-H-6D74
(ucs-set-char #x8635 ?$(Hmu(B) ; C02-H-6D75
(ucs-set-char #x8636 ?$(DZ1(B) ; J90-D-5A31
(ucs-set-char #x8636 ?$(Hmy(B) ; C02-H-6D79
(ucs-set-char #x8638 ?$(DZ2(B) ; J90-D-5A32
(ucs-set-char #x8638 ?$(G|E(B) ; C01-G-7C45
(ucs-set-char #x8638 ?$AU:(B) ; GB0-A-553A
(ucs-set-char #x8639 ?$(HoA(B) ; C02-H-6F41
(ucs-set-char #x863A ?$(DZ3(B) ; J90-D-5A33
(ucs-set-char #x863A ?$(Ho?(B) ; C02-H-6F3F
(ucs-set-char #x863B ?$(HoD(B) ; C02-H-6F44
(ucs-set-char #x863C ?$(DZ4(B) ; J90-D-5A34
(ucs-set-char #x863C ?$(HoB(B) ; C02-H-6F42
(ucs-set-char #x863C ?$A^B(B) ; GB0-A-5E42
(ucs-set-char #x863D ?$(DZ5(B) ; J90-D-5A35
(ucs-set-char #x863D ?$(I`C(B) ; C03-I-6043
(ucs-set-char #x863E ?$(HoE(B) ; C02-H-6F45
(ucs-set-char #x863F ?$(CU!(B) ; KS0-C-5521
(ucs-set-char #x863F ?$(G|F(B) ; C01-G-7C46
(ucs-set-char #x863F ?$@iG(B) ; J78-@-6947
(ucs-set-char #x863F ?$BiG(B) ; J83-B-6947
(ucs-set-char #x8640 ?$(DZ6(B) ; J90-D-5A36
(ucs-set-char #x8640 ?$(Ho@(B) ; C02-H-6F40
(ucs-set-char #x8641 ?$(D8f(B) ; J90-D-3866
(ucs-set-char #x8641 ?$(I`/(B) ; C03-I-602F
(ucs-set-char #x8642 ?$(DZ7(B) ; J90-D-5A37
(ucs-set-char #x8642 ?$(IaF(B) ; C03-I-6146
(ucs-set-char #x8643 ?$(HpJ(B) ; C02-H-704A
(ucs-set-char #x8646 ?$(DZ8(B) ; J90-D-5A38
(ucs-set-char #x8646 ?$(Hq4(B) ; C02-H-7134
(ucs-set-char #x8647 ?$(Hq5(B) ; C02-H-7135
(ucs-set-char #x8648 ?$(Hq6(B) ; C02-H-7136
(ucs-set-char #x8649 ?$(IaG(B) ; C03-I-6147
(ucs-set-char #x864A ?$(Ia|(B) ; C03-I-617C
(ucs-set-char #x864B ?$(Hr5(B) ; C02-H-7235
(ucs-set-char #x864C ?$(Hr-(B) ; C02-H-722D
(ucs-set-char #x864D ?$(H"o(B) ; C02-H-226F
(ucs-set-char #x864D ?$@iH(B) ; J78-@-6948
(ucs-set-char #x864D ?$Ar.(B) ; GB0-A-722E
(ucs-set-char #x864D ?$BiH(B) ; J83-B-6948
(ucs-set-char #x864E ?$(C{[(B) ; KS0-C-7B5B
(ucs-set-char #x864E ?$(GOM(B) ; C01-G-4F4D
(ucs-set-char #x864E ?$@8W(B) ; J78-@-3857
(ucs-set-char #x864E ?$A;"(B) ; GB0-A-3B22
(ucs-set-char #x864E ?$B8W(B) ; J83-B-3857
(ucs-set-char #x864F ?$AB2(B) ; GB0-A-4232
(ucs-set-char #x8650 ?$(CyK(B) ; KS0-C-794B
(ucs-set-char #x8650 ?$(GSK(B) ; C01-G-534B
(ucs-set-char #x8650 ?$(L4G(B) ; C06-L-3447
(ucs-set-char #x8650 ?$@5T(B) ; J78-@-3554
(ucs-set-char #x8650 ?$AE0(B) ; GB0-A-4530
(ucs-set-char #x8650 ?$B5T(B) ; J83-B-3554
(ucs-set-char #x8651 ?$(J/h(B) ; C04-J-2F68
(ucs-set-char #x8651 ?$ABG(B) ; GB0-A-4247
(ucs-set-char #x8652 ?$(DZ9(B) ; J90-D-5A39
(ucs-set-char #x8652 ?$(H2Z(B) ; C02-H-325A
(ucs-set-char #x8653 ?$(DZ:(B) ; J90-D-5A3A
(ucs-set-char #x8653 ?$(H2Y(B) ; C02-H-3259
(ucs-set-char #x8654 ?$(CKs(B) ; KS0-C-4B73
(ucs-set-char #x8654 ?$(GX%(B) ; C01-G-5825
(ucs-set-char #x8654 ?$@iJ(B) ; J78-@-694A
(ucs-set-char #x8654 ?$Ar/(B) ; GB0-A-722F
(ucs-set-char #x8654 ?$BiJ(B) ; J83-B-694A
(ucs-set-char #x8655 ?$(Ct%(B) ; KS0-C-7425
(ucs-set-char #x8655 ?$(G]((B) ; C01-G-5D28
(ucs-set-char #x8655 ?$@Q](B) ; J78-@-515D
(ucs-set-char #x8655 ?$BQ](B) ; J83-B-515D
(ucs-set-char #x8656 ?$(DZ;(B) ; J90-D-5A3B
(ucs-set-char #x8656 ?$(H9!(B) ; C02-H-3921
(ucs-set-char #x8657 ?$(DZ<(B) ; J90-D-5A3C
(ucs-set-char #x8657 ?$(I8c(B) ; C03-I-3863
(ucs-set-char #x8658 ?$(DZ=(B) ; J90-D-5A3D
(ucs-set-char #x8658 ?$(I8`(B) ; C03-I-3860
(ucs-set-char #x8659 ?$(DZ>(B) ; J90-D-5A3E
(ucs-set-char #x8659 ?$(H8~(B) ; C02-H-387E
(ucs-set-char #x865A ?$(I8a(B) ; C03-I-3861
(ucs-set-char #x865A ?$@5u(B) ; J78-@-3575
(ucs-set-char #x865A ?$APi(B) ; GB0-A-5069
(ucs-set-char #x865A ?$B5u(B) ; J83-B-3575
(ucs-set-char #x865B ?$(CzH(B) ; KS0-C-7A48
(ucs-set-char #x865B ?$(Gap(B) ; C01-G-6170
(ucs-set-char #x865C ?$(CVW(B) ; KS0-C-5657
(ucs-set-char #x865C ?$(Gf?(B) ; C01-G-663F
(ucs-set-char #x865C ?$(J@O(B) ; C04-J-404F
(ucs-set-char #x865C ?$@N:(B) ; J78-@-4E3A
(ucs-set-char #x865C ?$BN:(B) ; J83-B-4E3A
(ucs-set-char #x865D ?$(DZ?(B) ; J90-D-5A3F
(ucs-set-char #x865D ?$(I>a(B) ; C03-I-3E61
(ucs-set-char #x865E ?$(Cie(B) ; KS0-C-6965
(ucs-set-char #x865E ?$(Gf>(B) ; C01-G-663E
(ucs-set-char #x865E ?$@6s(B) ; J78-@-3673
(ucs-set-char #x865E ?$AS](B) ; GB0-A-535D
(ucs-set-char #x865E ?$B6s(B) ; J83-B-3673
(ucs-set-char #x865F ?$(C{\(B) ; KS0-C-7B5C
(ucs-set-char #x865F ?$(Gf@(B) ; C01-G-6640
(ucs-set-char #x865F ?$@iK(B) ; J78-@-694B
(ucs-set-char #x865F ?$BiK(B) ; J83-B-694B
(ucs-set-char #x8660 ?$(DZ@(B) ; J90-D-5A40
(ucs-set-char #x8660 ?$(KIN(B) ; C05-K-494E
(ucs-set-char #x8661 ?$(DZA(B) ; J90-D-5A41
(ucs-set-char #x8661 ?$(HM[(B) ; C02-H-4D5B
(ucs-set-char #x8662 ?$(DZB(B) ; J90-D-5A42
(ucs-set-char #x8662 ?$(HSg(B) ; C02-H-5367
(ucs-set-char #x8662 ?$Ak=(B) ; GB0-A-6B3D
(ucs-set-char #x8663 ?$(DZC(B) ; J90-D-5A43
(ucs-set-char #x8663 ?$(HZ%(B) ; C02-H-5A25
(ucs-set-char #x8664 ?$(DZD(B) ; J90-D-5A44
(ucs-set-char #x8664 ?$(HZ'(B) ; C02-H-5A27
(ucs-set-char #x8665 ?$(HZ&(B) ; C02-H-5A26
(ucs-set-char #x8666 ?$(M2a(B) ; C07-M-3261
(ucs-set-char #x8667 ?$(C}P(B) ; KS0-C-7D50
(ucs-set-char #x8667 ?$(Gu6(B) ; C01-G-7536
(ucs-set-char #x8667 ?$(M;8(B) ; C07-M-3B38
(ucs-set-char #x8667 ?$@iL(B) ; J78-@-694C
(ucs-set-char #x8667 ?$BiL(B) ; J83-B-694C
(ucs-set-char #x8668 ?$(H_%(B) ; C02-H-5F25
(ucs-set-char #x8669 ?$(DZE(B) ; J90-D-5A45
(ucs-set-char #x8669 ?$(Hc&(B) ; C02-H-6326
(ucs-set-char #x8669 ?$(I[&(B) ; C03-I-5B26
(ucs-set-char #x866A ?$(Hqs(B) ; C02-H-7173
(ucs-set-char #x866B ?$(GHe(B) ; C01-G-4865
(ucs-set-char #x866B ?$@Cn(B) ; J78-@-436E
(ucs-set-char #x866B ?$A3f(B) ; GB0-A-3366
(ucs-set-char #x866B ?$BCn(B) ; J83-B-436E
(ucs-set-char #x866C ?$(DZF(B) ; J90-D-5A46
(ucs-set-char #x866C ?$(I'-(B) ; C03-I-272D
(ucs-set-char #x866C ?$Ar0(B) ; GB0-A-7230
(ucs-set-char #x866D ?$(H(i(B) ; C02-H-2869
(ucs-set-char #x866E ?$(H(j(B) ; C02-H-286A
(ucs-set-char #x866E ?$Ar1(B) ; GB0-A-7231
(ucs-set-char #x866F ?$(DZG(B) ; J90-D-5A47
(ucs-set-char #x866F ?$(H(h(B) ; C02-H-2868
(ucs-set-char #x8670 ?$(H(g(B) ; C02-H-2867
(ucs-set-char #x8671 ?$(GON(B) ; C01-G-4F4E
(ucs-set-char #x8671 ?$@iM(B) ; J78-@-694D
(ucs-set-char #x8671 ?$AJ-(B) ; GB0-A-4A2D
(ucs-set-char #x8671 ?$BiM(B) ; J83-B-694D
(ucs-set-char #x8673 ?$(H-J(B) ; C02-H-2D4A
(ucs-set-char #x8674 ?$(H-H(B) ; C02-H-2D48
(ucs-set-char #x8675 ?$(DZH(B) ; J90-D-5A48
(ucs-set-char #x8675 ?$(I/#(B) ; C03-I-2F23
(ucs-set-char #x8676 ?$(DZI(B) ; J90-D-5A49
(ucs-set-char #x8676 ?$(I.|(B) ; C03-I-2E7C
(ucs-set-char #x8677 ?$(DZJ(B) ; J90-D-5A4A
(ucs-set-char #x8677 ?$(H-G(B) ; C02-H-2D47
(ucs-set-char #x8678 ?$(I.~(B) ; C03-I-2E7E
(ucs-set-char #x8679 ?$(C{v(B) ; KS0-C-7B76
(ucs-set-char #x8679 ?$(GSL(B) ; C01-G-534C
(ucs-set-char #x8679 ?$@Fz(B) ; J78-@-467A
(ucs-set-char #x8679 ?$A:g(B) ; GB0-A-3A67
(ucs-set-char #x8679 ?$BFz(B) ; J83-B-467A
(ucs-set-char #x867A ?$(DZK(B) ; J90-D-5A4B
(ucs-set-char #x867A ?$(GSN(B) ; C01-G-534E
(ucs-set-char #x867A ?$Ar3(B) ; GB0-A-7233
(ucs-set-char #x867B ?$(GSM(B) ; C01-G-534D
(ucs-set-char #x867B ?$@0:(B) ; J78-@-303A
(ucs-set-char #x867B ?$Ar5(B) ; GB0-A-7235
(ucs-set-char #x867B ?$B0:(B) ; J83-B-303A
(ucs-set-char #x867C ?$(H-I(B) ; C02-H-2D49
(ucs-set-char #x867C ?$Ar4(B) ; GB0-A-7234
(ucs-set-char #x867D ?$(I/$(B) ; C03-I-2F24
(ucs-set-char #x867D ?$AKd(B) ; GB0-A-4B64
(ucs-set-char #x867E ?$AO:(B) ; GB0-A-4F3A
(ucs-set-char #x867F ?$Ar2(B) ; GB0-A-7232
(ucs-set-char #x8680 ?$AJ4(B) ; GB0-A-4A34
(ucs-set-char #x8681 ?$ARO(B) ; GB0-A-524F
(ucs-set-char #x8682 ?$ABl(B) ; GB0-A-426C
(ucs-set-char #x8684 ?$(I3i(B) ; C03-I-3369
(ucs-set-char #x8685 ?$(H2f(B) ; C02-H-3266
(ucs-set-char #x8686 ?$(H2c(B) ; C02-H-3263
(ucs-set-char #x8687 ?$(H2a(B) ; C02-H-3261
(ucs-set-char #x8688 ?$(DZm(B) ; J90-D-5A6D
(ucs-set-char #x8688 ?$(J:u(B) ; C04-J-3A75
(ucs-set-char #x8689 ?$(I3l(B) ; C03-I-336C
(ucs-set-char #x868A ?$(CZ%(B) ; KS0-C-5A25
(ucs-set-char #x868A ?$(GX&(B) ; C01-G-5826
(ucs-set-char #x868A ?$@2c(B) ; J78-@-3263
(ucs-set-char #x868A ?$ANC(B) ; GB0-A-4E43
(ucs-set-char #x868A ?$B2c(B) ; J83-B-3263
(ucs-set-char #x868B ?$(H2d(B) ; C02-H-3264
(ucs-set-char #x868B ?$@iR(B) ; J78-@-6952
(ucs-set-char #x868B ?$Ar8(B) ; GB0-A-7238
(ucs-set-char #x868B ?$BiR(B) ; J83-B-6952
(ucs-set-char #x868C ?$(C[=(B) ; KS0-C-5B3D
(ucs-set-char #x868C ?$(GX+(B) ; C01-G-582B
(ucs-set-char #x868C ?$@iS(B) ; J78-@-6953
(ucs-set-char #x868C ?$A0v(B) ; GB0-A-3076
(ucs-set-char #x868C ?$BiS(B) ; J83-B-6953
(ucs-set-char #x868D ?$(DZL(B) ; J90-D-5A4C
(ucs-set-char #x868D ?$(H2^(B) ; C02-H-325E
(ucs-set-char #x868D ?$Ar7(B) ; GB0-A-7237
(ucs-set-char #x868E ?$(H2m(B) ; C02-H-326D
(ucs-set-char #x868F ?$(I3o(B) ; C03-I-336F
(ucs-set-char #x8690 ?$(H2o(B) ; C02-H-326F
(ucs-set-char #x8691 ?$(DZM(B) ; J90-D-5A4D
(ucs-set-char #x8691 ?$(H2_(B) ; C02-H-325F
(ucs-set-char #x8692 ?$(I3n(B) ; C03-I-336E
(ucs-set-char #x8693 ?$(Clb(B) ; KS0-C-6C62
(ucs-set-char #x8693 ?$(GX((B) ; C01-G-5828
(ucs-set-char #x8693 ?$@iN(B) ; J78-@-694E
(ucs-set-char #x8693 ?$Ar>(B) ; GB0-A-723E
(ucs-set-char #x8693 ?$BiN(B) ; J83-B-694E
(ucs-set-char #x8694 ?$(H2p(B) ; C02-H-3270
(ucs-set-char #x8695 ?$(H2k(B) ; C02-H-326B
(ucs-set-char #x8695 ?$@;=(B) ; J78-@-3B3D
(ucs-set-char #x8695 ?$A2O(B) ; GB0-A-324F
(ucs-set-char #x8695 ?$B;=(B) ; J83-B-3B3D
(ucs-set-char #x8696 ?$(DZN(B) ; J90-D-5A4E
(ucs-set-char #x8696 ?$(H2](B) ; C02-H-325D
(ucs-set-char #x8697 ?$(H2b(B) ; C02-H-3262
(ucs-set-char #x8698 ?$(DZO(B) ; J90-D-5A4F
(ucs-set-char #x8698 ?$(H2l(B) ; C02-H-326C
(ucs-set-char #x8699 ?$(H2h(B) ; C02-H-3268
(ucs-set-char #x869A ?$(DZP(B) ; J90-D-5A50
(ucs-set-char #x869A ?$(H2e(B) ; C02-H-3265
(ucs-set-char #x869B ?$(I3k(B) ; C03-I-336B
(ucs-set-char #x869C ?$(DZQ(B) ; J90-D-5A51
(ucs-set-char #x869C ?$(GX-(B) ; C01-G-582D
(ucs-set-char #x869C ?$AQA(B) ; GB0-A-5141
(ucs-set-char #x869D ?$(H2n(B) ; C02-H-326E
(ucs-set-char #x869D ?$Ar:(B) ; GB0-A-723A
(ucs-set-char #x869E ?$(H2`(B) ; C02-H-3260
(ucs-set-char #x869F ?$(I3j(B) ; C03-I-336A
(ucs-set-char #x86A0 ?$(I3p(B) ; C03-I-3370
(ucs-set-char #x86A1 ?$(DZR(B) ; J90-D-5A52
(ucs-set-char #x86A1 ?$(H2i(B) ; C02-H-3269
(ucs-set-char #x86A2 ?$(H2[(B) ; C02-H-325B
(ucs-set-char #x86A3 ?$(CMw(B) ; KS0-C-4D77
(ucs-set-char #x86A3 ?$(GX,(B) ; C01-G-582C
(ucs-set-char #x86A3 ?$@iO(B) ; J78-@-694F
(ucs-set-char #x86A3 ?$Ar<(B) ; GB0-A-723C
(ucs-set-char #x86A3 ?$BiO(B) ; J83-B-694F
(ucs-set-char #x86A4 ?$(Cp^(B) ; KS0-C-705E
(ucs-set-char #x86A4 ?$(GX)(B) ; C01-G-5829
(ucs-set-char #x86A4 ?$@GB(B) ; J78-@-4742
(ucs-set-char #x86A4 ?$ATi(B) ; GB0-A-5469
(ucs-set-char #x86A4 ?$BGB(B) ; J83-B-4742
(ucs-set-char #x86A5 ?$(H2g(B) ; C02-H-3267
(ucs-set-char #x86A6 ?$(DZS(B) ; J90-D-5A53
(ucs-set-char #x86A6 ?$(I3m(B) ; C03-I-336D
(ucs-set-char #x86A7 ?$(DZT(B) ; J90-D-5A54
(ucs-set-char #x86A7 ?$(H2j(B) ; C02-H-326A
(ucs-set-char #x86A7 ?$Ar;(B) ; GB0-A-723B
(ucs-set-char #x86A8 ?$(DZU(B) ; J90-D-5A55
(ucs-set-char #x86A8 ?$(H2\(B) ; C02-H-325C
(ucs-set-char #x86A8 ?$Ar6(B) ; GB0-A-7236
(ucs-set-char #x86A9 ?$(CvI(B) ; KS0-C-7649
(ucs-set-char #x86A9 ?$(GX*(B) ; C01-G-582A
(ucs-set-char #x86A9 ?$@iP(B) ; J78-@-6950
(ucs-set-char #x86A9 ?$Ar?(B) ; GB0-A-723F
(ucs-set-char #x86A9 ?$BiP(B) ; J83-B-6950
(ucs-set-char #x86AA ?$(GX'(B) ; C01-G-5827
(ucs-set-char #x86AA ?$@iQ(B) ; J78-@-6951
(ucs-set-char #x86AA ?$Ar=(B) ; GB0-A-723D
(ucs-set-char #x86AA ?$BiQ(B) ; J83-B-6951
(ucs-set-char #x86AB ?$@i[(B) ; J78-@-695B
(ucs-set-char #x86AB ?$Bi[(B) ; J83-B-695B
(ucs-set-char #x86AC ?$Ar9(B) ; GB0-A-7239
(ucs-set-char #x86AD ?$(DZV(B) ; J90-D-5A56
(ucs-set-char #x86AD ?$(J4z(B) ; C04-J-347A
(ucs-set-char #x86AE ?$(I8f(B) ; C03-I-3866
(ucs-set-char #x86AF ?$(G]2(B) ; C01-G-5D32
(ucs-set-char #x86AF ?$@iU(B) ; J78-@-6955
(ucs-set-char #x86AF ?$ArG(B) ; GB0-A-7247
(ucs-set-char #x86AF ?$BiU(B) ; J83-B-6955
(ucs-set-char #x86B0 ?$(H9((B) ; C02-H-3928
(ucs-set-char #x86B0 ?$@iX(B) ; J78-@-6958
(ucs-set-char #x86B0 ?$ArD(B) ; GB0-A-7244
(ucs-set-char #x86B0 ?$BiX(B) ; J83-B-6958
(ucs-set-char #x86B1 ?$(DZW(B) ; J90-D-5A57
(ucs-set-char #x86B1 ?$(G]1(B) ; C01-G-5D31
(ucs-set-char #x86B1 ?$ArF(B) ; GB0-A-7246
(ucs-set-char #x86B2 ?$(I8d(B) ; C03-I-3864
(ucs-set-char #x86B3 ?$(DZX(B) ; J90-D-5A58
(ucs-set-char #x86B3 ?$(H9+(B) ; C02-H-392B
(ucs-set-char #x86B4 ?$(DZY(B) ; J90-D-5A59
(ucs-set-char #x86B4 ?$(H9.(B) ; C02-H-392E
(ucs-set-char #x86B4 ?$ArJ(B) ; GB0-A-724A
(ucs-set-char #x86B5 ?$(DZZ(B) ; J90-D-5A5A
(ucs-set-char #x86B5 ?$(G].(B) ; C01-G-5D2E
(ucs-set-char #x86B5 ?$ArB(B) ; GB0-A-7242
(ucs-set-char #x86B6 ?$(G],(B) ; C01-G-5D2C
(ucs-set-char #x86B6 ?$@iT(B) ; J78-@-6954
(ucs-set-char #x86B6 ?$Ar@(B) ; GB0-A-7240
(ucs-set-char #x86B6 ?$BiT(B) ; J83-B-6954
(ucs-set-char #x86B7 ?$(DZ[(B) ; J90-D-5A5B
(ucs-set-char #x86B7 ?$(H9#(B) ; C02-H-3923
(ucs-set-char #x86B8 ?$(DZ\(B) ; J90-D-5A5C
(ucs-set-char #x86B8 ?$(H9,(B) ; C02-H-392C
(ucs-set-char #x86B9 ?$(DZ](B) ; J90-D-5A5D
(ucs-set-char #x86B9 ?$(H9*(B) ; C02-H-392A
(ucs-set-char #x86BA ?$(H9'(B) ; C02-H-3927
(ucs-set-char #x86BA ?$ArE(B) ; GB0-A-7245
(ucs-set-char #x86BB ?$(H9/(B) ; C02-H-392F
(ucs-set-char #x86BC ?$(H90(B) ; C02-H-3930
(ucs-set-char #x86BD ?$(H92(B) ; C02-H-3932
(ucs-set-char #x86BE ?$(H93(B) ; C02-H-3933
(ucs-set-char #x86BF ?$(DZ^(B) ; J90-D-5A5E
(ucs-set-char #x86BF ?$(H9"(B) ; C02-H-3922
(ucs-set-char #x86C0 ?$(DZ_(B) ; J90-D-5A5F
(ucs-set-char #x86C0 ?$(G]+(B) ; C01-G-5D2B
(ucs-set-char #x86C0 ?$AV{(B) ; GB0-A-567B
(ucs-set-char #x86C1 ?$(DZ`(B) ; J90-D-5A60
(ucs-set-char #x86C1 ?$(H9%(B) ; C02-H-3925
(ucs-set-char #x86C2 ?$(H9$(B) ; C02-H-3924
(ucs-set-char #x86C3 ?$(DZa(B) ; J90-D-5A61
(ucs-set-char #x86C3 ?$(H91(B) ; C02-H-3931
(ucs-set-char #x86C4 ?$(G]-(B) ; C01-G-5D2D
(ucs-set-char #x86C4 ?$@iV(B) ; J78-@-6956
(ucs-set-char #x86C4 ?$ArA(B) ; GB0-A-7241
(ucs-set-char #x86C4 ?$BiV(B) ; J83-B-6956
(ucs-set-char #x86C5 ?$(DZb(B) ; J90-D-5A62
(ucs-set-char #x86C5 ?$(H9&(B) ; C02-H-3926
(ucs-set-char #x86C6 ?$(G]/(B) ; C01-G-5D2F
(ucs-set-char #x86C6 ?$@iW(B) ; J78-@-6957
(ucs-set-char #x86C6 ?$AGy(B) ; GB0-A-4779
(ucs-set-char #x86C6 ?$BiW(B) ; J83-B-6957
(ucs-set-char #x86C7 ?$(C^o(B) ; KS0-C-5E6F
(ucs-set-char #x86C7 ?$(G]*(B) ; C01-G-5D2A
(ucs-set-char #x86C7 ?$@<X(B) ; J78-@-3C58
(ucs-set-char #x86C7 ?$AI_(B) ; GB0-A-495F
(ucs-set-char #x86C7 ?$B<X(B) ; J83-B-3C58
(ucs-set-char #x86C8 ?$(H9)(B) ; C02-H-3929
(ucs-set-char #x86C9 ?$(G]3(B) ; C01-G-5D33
(ucs-set-char #x86C9 ?$@iY(B) ; J78-@-6959
(ucs-set-char #x86C9 ?$ArH(B) ; GB0-A-7248
(ucs-set-char #x86C9 ?$BiY(B) ; J83-B-6959
(ucs-set-char #x86CA ?$(J5&(B) ; C04-J-3526
(ucs-set-char #x86CA ?$A9F(B) ; GB0-A-3946
(ucs-set-char #x86CB ?$(CS1(B) ; KS0-C-5331
(ucs-set-char #x86CB ?$(G]0(B) ; C01-G-5D30
(ucs-set-char #x86CB ?$@CA(B) ; J78-@-4341
(ucs-set-char #x86CB ?$A50(B) ; GB0-A-3530
(ucs-set-char #x86CB ?$BCA(B) ; J83-B-4341
(ucs-set-char #x86CC ?$(H9-(B) ; C02-H-392D
(ucs-set-char #x86CD ?$@7V(B) ; J78-@-3756
(ucs-set-char #x86CD ?$B7V(B) ; J83-B-3756
(ucs-set-char #x86CE ?$@iZ(B) ; J78-@-695A
(ucs-set-char #x86CE ?$ArC(B) ; GB0-A-7243
(ucs-set-char #x86CE ?$B3B(B) ; J83-B-3342
(ucs-set-char #x86CF ?$ArI(B) ; GB0-A-7249
(ucs-set-char #x86D0 ?$(Gaw(B) ; C01-G-6177
(ucs-set-char #x86D0 ?$ArP(B) ; GB0-A-7250
(ucs-set-char #x86D1 ?$(DZc(B) ; J90-D-5A63
(ucs-set-char #x86D1 ?$(H@%(B) ; C02-H-4025
(ucs-set-char #x86D1 ?$ArV(B) ; GB0-A-7256
(ucs-set-char #x86D2 ?$(DZd(B) ; J90-D-5A64
(ucs-set-char #x86D2 ?$(J:q(B) ; C04-J-3A71
(ucs-set-char #x86D3 ?$(H?x(B) ; C02-H-3F78
(ucs-set-char #x86D4 ?$(C|n(B) ; KS0-C-7C6E
(ucs-set-char #x86D4 ?$(Gat(B) ; C01-G-6174
(ucs-set-char #x86D4 ?$@i\(B) ; J78-@-695C
(ucs-set-char #x86D4 ?$A;W(B) ; GB0-A-3B57
(ucs-set-char #x86D4 ?$Bi\(B) ; J83-B-695C
(ucs-set-char #x86D5 ?$(DZe(B) ; J90-D-5A65
(ucs-set-char #x86D5 ?$(I>b(B) ; C03-I-3E62
(ucs-set-char #x86D6 ?$(HG.(B) ; C02-H-472E
(ucs-set-char #x86D7 ?$(DZf(B) ; J90-D-5A66
(ucs-set-char #x86D7 ?$(H@#(B) ; C02-H-4023
(ucs-set-char #x86D8 ?$(H?u(B) ; C02-H-3F75
(ucs-set-char #x86D8 ?$ArU(B) ; GB0-A-7255
(ucs-set-char #x86D9 ?$(ChC(B) ; KS0-C-6843
(ucs-set-char #x86D9 ?$(Gar(B) ; C01-G-6172
(ucs-set-char #x86D9 ?$@3?(B) ; J78-@-333F
(ucs-set-char #x86D9 ?$AM\(B) ; GB0-A-4D5C
(ucs-set-char #x86D9 ?$B3?(B) ; J83-B-333F
(ucs-set-char #x86DA ?$(DZg(B) ; J90-D-5A67
(ucs-set-char #x86DA ?$(H?z(B) ; C02-H-3F7A
(ucs-set-char #x86DB ?$(CqH(B) ; KS0-C-7148
(ucs-set-char #x86DB ?$(Gau(B) ; C01-G-6175
(ucs-set-char #x86DB ?$@ia(B) ; J78-@-6961
(ucs-set-char #x86DB ?$AVk(B) ; GB0-A-566B
(ucs-set-char #x86DB ?$Bia(B) ; J83-B-6961
(ucs-set-char #x86DC ?$(DZh(B) ; J90-D-5A68
(ucs-set-char #x86DC ?$(H?~(B) ; C02-H-3F7E
(ucs-set-char #x86DD ?$(H?|(B) ; C02-H-3F7C
(ucs-set-char #x86DE ?$(Gax(B) ; C01-G-6178
(ucs-set-char #x86DE ?$@i](B) ; J78-@-695D
(ucs-set-char #x86DE ?$ArR(B) ; GB0-A-7252
(ucs-set-char #x86DE ?$Bi](B) ; J83-B-695D
(ucs-set-char #x86DF ?$(CNq(B) ; KS0-C-4E71
(ucs-set-char #x86DF ?$(Gaq(B) ; C01-G-6171
(ucs-set-char #x86DF ?$@i`(B) ; J78-@-6960
(ucs-set-char #x86DF ?$ArT(B) ; GB0-A-7254
(ucs-set-char #x86DF ?$Bi`(B) ; J83-B-6960
(ucs-set-char #x86E0 ?$(DZi(B) ; J90-D-5A69
(ucs-set-char #x86E0 ?$(J:v(B) ; C04-J-3A76
(ucs-set-char #x86E1 ?$(I>c(B) ; C03-I-3E63
(ucs-set-char #x86E2 ?$(H?v(B) ; C02-H-3F76
(ucs-set-char #x86E3 ?$(DZj(B) ; J90-D-5A6A
(ucs-set-char #x86E3 ?$(H?y(B) ; C02-H-3F79
(ucs-set-char #x86E4 ?$(Cym(B) ; KS0-C-796D
(ucs-set-char #x86E4 ?$(Gav(B) ; C01-G-6176
(ucs-set-char #x86E4 ?$@H:(B) ; J78-@-483A
(ucs-set-char #x86E4 ?$A8r(B) ; GB0-A-3872
(ucs-set-char #x86E4 ?$BH:(B) ; J83-B-483A
(ucs-set-char #x86E5 ?$(DZk(B) ; J90-D-5A6B
(ucs-set-char #x86E5 ?$(J:o(B) ; C04-J-3A6F
(ucs-set-char #x86E6 ?$(H?w(B) ; C02-H-3F77
(ucs-set-char #x86E7 ?$(DZl(B) ; J90-D-5A6C
(ucs-set-char #x86E7 ?$(K;{(B) ; C05-K-3B7B
(ucs-set-char #x86E8 ?$(H@$(B) ; C02-H-4024
(ucs-set-char #x86E9 ?$(H@"(B) ; C02-H-4022
(ucs-set-char #x86E9 ?$@i^(B) ; J78-@-695E
(ucs-set-char #x86E9 ?$ArK(B) ; GB0-A-724B
(ucs-set-char #x86E9 ?$Bi^(B) ; J83-B-695E
(ucs-set-char #x86EA ?$(H?{(B) ; C02-H-3F7B
(ucs-set-char #x86EB ?$(H?}(B) ; C02-H-3F7D
(ucs-set-char #x86EC ?$(H@!(B) ; C02-H-4021
(ucs-set-char #x86EC ?$@i_(B) ; J78-@-695F
(ucs-set-char #x86EC ?$Bi_(B) ; J83-B-695F
(ucs-set-char #x86ED ?$(Crt(B) ; KS0-C-7274
(ucs-set-char #x86ED ?$(Gas(B) ; C01-G-6173
(ucs-set-char #x86ED ?$@IH(B) ; J78-@-4948
(ucs-set-char #x86ED ?$ArN(B) ; GB0-A-724E
(ucs-set-char #x86ED ?$BIH(B) ; J83-B-4948
(ucs-set-char #x86EE ?$(I>h(B) ; C03-I-3E68
(ucs-set-char #x86EE ?$@HZ(B) ; J78-@-485A
(ucs-set-char #x86EE ?$ABy(B) ; GB0-A-4279
(ucs-set-char #x86EE ?$BHZ(B) ; J83-B-485A
(ucs-set-char #x86EF ?$@ib(B) ; J78-@-6962
(ucs-set-char #x86EF ?$Bib(B) ; J83-B-6962
(ucs-set-char #x86F0 ?$AU](B) ; GB0-A-555D
(ucs-set-char #x86F1 ?$ArL(B) ; GB0-A-724C
(ucs-set-char #x86F2 ?$ArM(B) ; GB0-A-724D
(ucs-set-char #x86F3 ?$ArO(B) ; GB0-A-724F
(ucs-set-char #x86F4 ?$ArS(B) ; GB0-A-7253
(ucs-set-char #x86F5 ?$(HG/(B) ; C02-H-472F
(ucs-set-char #x86F6 ?$(HG5(B) ; C02-H-4735
(ucs-set-char #x86F7 ?$(HG+(B) ; C02-H-472B
(ucs-set-char #x86F8 ?$(HG1(B) ; C02-H-4731
(ucs-set-char #x86F8 ?$@B}(B) ; J78-@-427D
(ucs-set-char #x86F8 ?$ArY(B) ; GB0-A-7259
(ucs-set-char #x86F8 ?$BB}(B) ; J83-B-427D
(ucs-set-char #x86F9 ?$(GfA(B) ; C01-G-6641
(ucs-set-char #x86F9 ?$@il(B) ; J78-@-696C
(ucs-set-char #x86F9 ?$AS<(B) ; GB0-A-533C
(ucs-set-char #x86F9 ?$Bil(B) ; J83-B-696C
(ucs-set-char #x86FA ?$(DZn(B) ; J90-D-5A6E
(ucs-set-char #x86FA ?$(HG-(B) ; C02-H-472D
(ucs-set-char #x86FB ?$(GfG(B) ; C01-G-6647
(ucs-set-char #x86FB ?$@ih(B) ; J78-@-6968
(ucs-set-char #x86FB ?$Bih(B) ; J83-B-6968
(ucs-set-char #x86FC ?$(DZo(B) ; J90-D-5A6F
(ucs-set-char #x86FC ?$(IDD(B) ; C03-I-4444
(ucs-set-char #x86FD ?$(DZp(B) ; J90-D-5A70
(ucs-set-char #x86FD ?$(IDE(B) ; C03-I-4445
(ucs-set-char #x86FE ?$(Cd6(B) ; KS0-C-6436
(ucs-set-char #x86FE ?$(GfF(B) ; C01-G-6646
(ucs-set-char #x86FE ?$@2k(B) ; J78-@-326B
(ucs-set-char #x86FE ?$A6j(B) ; GB0-A-366A
(ucs-set-char #x86FE ?$B2k(B) ; J83-B-326B
(ucs-set-char #x86FF ?$(IDI(B) ; C03-I-4449
(ucs-set-char #x8700 ?$(Cu9(B) ; KS0-C-7539
(ucs-set-char #x8700 ?$(GfE(B) ; C01-G-6645
(ucs-set-char #x8700 ?$@if(B) ; J78-@-6966
(ucs-set-char #x8700 ?$AJq(B) ; GB0-A-4A71
(ucs-set-char #x8700 ?$Bif(B) ; J83-B-6966
(ucs-set-char #x8701 ?$(HG4(B) ; C02-H-4734
(ucs-set-char #x8702 ?$(C\p(B) ; KS0-C-5C70
(ucs-set-char #x8702 ?$(GfH(B) ; C01-G-6648
(ucs-set-char #x8702 ?$@K*(B) ; J78-@-4B2A
(ucs-set-char #x8702 ?$A7d(B) ; GB0-A-3764
(ucs-set-char #x8702 ?$BK*(B) ; J83-B-4B2A
(ucs-set-char #x8703 ?$(Ccq(B) ; KS0-C-6371
(ucs-set-char #x8703 ?$(GfI(B) ; C01-G-6649
(ucs-set-char #x8703 ?$@ig(B) ; J78-@-6967
(ucs-set-char #x8703 ?$ArW(B) ; GB0-A-7257
(ucs-set-char #x8703 ?$Big(B) ; J83-B-6967
(ucs-set-char #x8704 ?$(DZq(B) ; J90-D-5A71
(ucs-set-char #x8704 ?$(HG*(B) ; C02-H-472A
(ucs-set-char #x8705 ?$(DZr(B) ; J90-D-5A72
(ucs-set-char #x8705 ?$(HG7(B) ; C02-H-4737
(ucs-set-char #x8706 ?$(GfJ(B) ; C01-G-664A
(ucs-set-char #x8706 ?$@id(B) ; J78-@-6964
(ucs-set-char #x8706 ?$Bid(B) ; J83-B-6964
(ucs-set-char #x8707 ?$(DZs(B) ; J90-D-5A73
(ucs-set-char #x8707 ?$(GfD(B) ; C01-G-6644
(ucs-set-char #x8707 ?$ArX(B) ; GB0-A-7258
(ucs-set-char #x8708 ?$(Ch%(B) ; KS0-C-6825
(ucs-set-char #x8708 ?$(GfC(B) ; C01-G-6643
(ucs-set-char #x8708 ?$@ie(B) ; J78-@-6965
(ucs-set-char #x8708 ?$ArZ(B) ; GB0-A-725A
(ucs-set-char #x8708 ?$Bie(B) ; J83-B-6965
(ucs-set-char #x8709 ?$(HG3(B) ; C02-H-4733
(ucs-set-char #x8709 ?$@ij(B) ; J78-@-696A
(ucs-set-char #x8709 ?$Ar](B) ; GB0-A-725D
(ucs-set-char #x8709 ?$Bij(B) ; J83-B-696A
(ucs-set-char #x870A ?$(GfK(B) ; C01-G-664B
(ucs-set-char #x870A ?$@im(B) ; J78-@-696D
(ucs-set-char #x870A ?$Ar[(B) ; GB0-A-725B
(ucs-set-char #x870A ?$Bim(B) ; J83-B-696D
(ucs-set-char #x870B ?$(DZt(B) ; J90-D-5A74
(ucs-set-char #x870B ?$(HG)(B) ; C02-H-4729
(ucs-set-char #x870C ?$(HG,(B) ; C02-H-472C
(ucs-set-char #x870D ?$(HG6(B) ; C02-H-4736
(ucs-set-char #x870D ?$@ik(B) ; J78-@-696B
(ucs-set-char #x870D ?$Ar\(B) ; GB0-A-725C
(ucs-set-char #x870D ?$Bik(B) ; J83-B-696B
(ucs-set-char #x870E ?$(DZu(B) ; J90-D-5A75
(ucs-set-char #x870E ?$(HG2(B) ; C02-H-4732
(ucs-set-char #x870F ?$(DZv(B) ; J90-D-5A76
(ucs-set-char #x870F ?$(J@Y(B) ; C04-J-4059
(ucs-set-char #x8710 ?$(DZw(B) ; J90-D-5A77
(ucs-set-char #x8710 ?$(J@R(B) ; C04-J-4052
(ucs-set-char #x8711 ?$(HM{(B) ; C02-H-4D7B
(ucs-set-char #x8711 ?$@ii(B) ; J78-@-6969
(ucs-set-char #x8711 ?$Bii(B) ; J83-B-6969
(ucs-set-char #x8712 ?$(HMp(B) ; C02-H-4D70
(ucs-set-char #x8712 ?$@ic(B) ; J78-@-6963
(ucs-set-char #x8712 ?$AQQ(B) ; GB0-A-5151
(ucs-set-char #x8712 ?$Bic(B) ; J83-B-6963
(ucs-set-char #x8713 ?$(DZx(B) ; J90-D-5A78
(ucs-set-char #x8713 ?$(GfB(B) ; C01-G-6642
(ucs-set-char #x8713 ?$ArQ(B) ; GB0-A-7251
(ucs-set-char #x8714 ?$(DZy(B) ; J90-D-5A79
(ucs-set-char #x8714 ?$(KB](B) ; C05-K-425D
(ucs-set-char #x8715 ?$(IDF(B) ; C03-I-4446
(ucs-set-char #x8715 ?$AMI(B) ; GB0-A-4D49
(ucs-set-char #x8716 ?$(IDH(B) ; C03-I-4448
(ucs-set-char #x8717 ?$ANO(B) ; GB0-A-4E4F
(ucs-set-char #x8718 ?$(Cr;(B) ; KS0-C-723B
(ucs-set-char #x8718 ?$(Gjr(B) ; C01-G-6A72
(ucs-set-char #x8718 ?$@CX(B) ; J78-@-4358
(ucs-set-char #x8718 ?$AV)(B) ; GB0-A-5629
(ucs-set-char #x8718 ?$BCX(B) ; J83-B-4358
(ucs-set-char #x8719 ?$(DZz(B) ; J90-D-5A7A
(ucs-set-char #x8719 ?$(HMd(B) ; C02-H-4D64
(ucs-set-char #x871A ?$(C^$(B) ; KS0-C-5E24
(ucs-set-char #x871A ?$(HMy(B) ; C02-H-4D79
(ucs-set-char #x871A ?$@it(B) ; J78-@-6974
(ucs-set-char #x871A ?$Arc(B) ; GB0-A-7263
(ucs-set-char #x871A ?$Bit(B) ; J83-B-6974
(ucs-set-char #x871B ?$(HMe(B) ; C02-H-4D65
(ucs-set-char #x871C ?$(CZL(B) ; KS0-C-5A4C
(ucs-set-char #x871C ?$(Gjm(B) ; C01-G-6A6D
(ucs-set-char #x871C ?$@L*(B) ; J78-@-4C2A
(ucs-set-char #x871C ?$AC[(B) ; GB0-A-435B
(ucs-set-char #x871C ?$BL*(B) ; J83-B-4C2A
(ucs-set-char #x871D ?$(IIO(B) ; C03-I-494F
(ucs-set-char #x871E ?$(DZ{(B) ; J90-D-5A7B
(ucs-set-char #x871E ?$(HMb(B) ; C02-H-4D62
(ucs-set-char #x871E ?$Ar`(B) ; GB0-A-7260
(ucs-set-char #x871F ?$(DZ|(B) ; J90-D-5A7C
(ucs-set-char #x871F ?$(J@U(B) ; C04-J-4055
(ucs-set-char #x8720 ?$(HMk(B) ; C02-H-4D6B
(ucs-set-char #x8721 ?$(DZ}(B) ; J90-D-5A7D
(ucs-set-char #x8721 ?$(HMc(B) ; C02-H-4D63
(ucs-set-char #x8721 ?$A@/(B) ; GB0-A-402F
(ucs-set-char #x8722 ?$(Gjo(B) ; C01-G-6A6F
(ucs-set-char #x8722 ?$Arl(B) ; GB0-A-726C
(ucs-set-char #x8723 ?$(DZ~(B) ; J90-D-5A7E
(ucs-set-char #x8723 ?$(HM](B) ; C02-H-4D5D
(ucs-set-char #x8723 ?$Ar^(B) ; GB0-A-725E
(ucs-set-char #x8724 ?$(HMx(B) ; C02-H-4D78
(ucs-set-char #x8725 ?$(Gjp(B) ; C01-G-6A70
(ucs-set-char #x8725 ?$@ir(B) ; J78-@-6972
(ucs-set-char #x8725 ?$Ara(B) ; GB0-A-7261
(ucs-set-char #x8725 ?$Bir(B) ; J83-B-6972
(ucs-set-char #x8726 ?$(HMu(B) ; C02-H-4D75
(ucs-set-char #x8727 ?$(HMv(B) ; C02-H-4D76
(ucs-set-char #x8728 ?$(D[!(B) ; J90-D-5B21
(ucs-set-char #x8728 ?$(HM^(B) ; C02-H-4D5E
(ucs-set-char #x8729 ?$(Gju(B) ; C01-G-6A75
(ucs-set-char #x8729 ?$@is(B) ; J78-@-6973
(ucs-set-char #x8729 ?$Arh(B) ; GB0-A-7268
(ucs-set-char #x8729 ?$Bis(B) ; J83-B-6973
(ucs-set-char #x872A ?$(HMm(B) ; C02-H-4D6D
(ucs-set-char #x872B ?$(IIJ(B) ; C03-I-494A
(ucs-set-char #x872C ?$(HMg(B) ; C02-H-4D67
(ucs-set-char #x872D ?$(HMn(B) ; C02-H-4D6E
(ucs-set-char #x872E ?$(D["(B) ; J90-D-5B22
(ucs-set-char #x872E ?$(HMa(B) ; C02-H-4D61
(ucs-set-char #x872E ?$Arb(B) ; GB0-A-7262
(ucs-set-char #x872F ?$(D[#(B) ; J90-D-5B23
(ucs-set-char #x872F ?$(JF~(B) ; C04-J-467E
(ucs-set-char #x8730 ?$(HMz(B) ; C02-H-4D7A
(ucs-set-char #x8731 ?$(D[$(B) ; J90-D-5B24
(ucs-set-char #x8731 ?$(HMr(B) ; C02-H-4D72
(ucs-set-char #x8731 ?$Arg(B) ; GB0-A-7267
(ucs-set-char #x8732 ?$(D[%(B) ; J90-D-5B25
(ucs-set-char #x8732 ?$(HMl(B) ; C02-H-4D6C
(ucs-set-char #x8733 ?$(HM\(B) ; C02-H-4D5C
(ucs-set-char #x8734 ?$(Gjq(B) ; C01-G-6A71
(ucs-set-char #x8734 ?$@in(B) ; J78-@-696E
(ucs-set-char #x8734 ?$Arf(B) ; GB0-A-7266
(ucs-set-char #x8734 ?$Bin(B) ; J83-B-696E
(ucs-set-char #x8735 ?$(HMs(B) ; C02-H-4D73
(ucs-set-char #x8736 ?$(IIE(B) ; C03-I-4945
(ucs-set-char #x8737 ?$(Gjt(B) ; C01-G-6A74
(ucs-set-char #x8737 ?$@ip(B) ; J78-@-6970
(ucs-set-char #x8737 ?$Ari(B) ; GB0-A-7269
(ucs-set-char #x8737 ?$Bip(B) ; J83-B-6970
(ucs-set-char #x8738 ?$(HMw(B) ; C02-H-4D77
(ucs-set-char #x8739 ?$(D[&(B) ; J90-D-5B26
(ucs-set-char #x8739 ?$(IIL(B) ; C03-I-494C
(ucs-set-char #x873A ?$(D['(B) ; J90-D-5B27
(ucs-set-char #x873A ?$(HMq(B) ; C02-H-4D71
(ucs-set-char #x873B ?$(Gjn(B) ; C01-G-6A6E
(ucs-set-char #x873B ?$@iq(B) ; J78-@-6971
(ucs-set-char #x873B ?$Ar_(B) ; GB0-A-725F
(ucs-set-char #x873B ?$Biq(B) ; J83-B-6971
(ucs-set-char #x873C ?$(D[((B) ; J90-D-5B28
(ucs-set-char #x873C ?$(HMo(B) ; C02-H-4D6F
(ucs-set-char #x873D ?$(D[)(B) ; J90-D-5B29
(ucs-set-char #x873D ?$(III(B) ; C03-I-4949
(ucs-set-char #x873E ?$(D[*(B) ; J90-D-5B2A
(ucs-set-char #x873E ?$(HMi(B) ; C02-H-4D69
(ucs-set-char #x873E ?$Ard(B) ; GB0-A-7264
(ucs-set-char #x873F ?$(Gjl(B) ; C01-G-6A6C
(ucs-set-char #x873F ?$@io(B) ; J78-@-696F
(ucs-set-char #x873F ?$Arj(B) ; GB0-A-726A
(ucs-set-char #x873F ?$Bio(B) ; J83-B-696F
(ucs-set-char #x8740 ?$(D[+(B) ; J90-D-5B2B
(ucs-set-char #x8740 ?$(HM`(B) ; C02-H-4D60
(ucs-set-char #x8741 ?$(HMh(B) ; C02-H-4D68
(ucs-set-char #x8742 ?$(HMt(B) ; C02-H-4D74
(ucs-set-char #x8743 ?$(D[,(B) ; J90-D-5B2C
(ucs-set-char #x8743 ?$(HMf(B) ; C02-H-4D66
(ucs-set-char #x8745 ?$(D[-(B) ; J90-D-5B2D
(ucs-set-char #x8745 ?$(IIN(B) ; C03-I-494E
(ucs-set-char #x8746 ?$(HMj(B) ; C02-H-4D6A
(ucs-set-char #x8747 ?$(IIK(B) ; C03-I-494B
(ucs-set-char #x8747 ?$AS,(B) ; GB0-A-532C
(ucs-set-char #x8748 ?$Are(B) ; GB0-A-7265
(ucs-set-char #x8749 ?$A2u(B) ; GB0-A-3275
(ucs-set-char #x8749 ?$B@f(B) ; J83-B-4066
(ucs-set-char #x874B ?$BO9(B) ; J83-B-4F39
(ucs-set-char #x874C ?$(Gnj(B) ; C01-G-6E6A
(ucs-set-char #x874C ?$@ix(B) ; J78-@-6978
(ucs-set-char #x874C ?$Arr(B) ; GB0-A-7272
(ucs-set-char #x874C ?$Bix(B) ; J83-B-6978
(ucs-set-char #x874D ?$(D[.(B) ; J90-D-5B2E
(ucs-set-char #x874D ?$(HG0(B) ; C02-H-4730
(ucs-set-char #x874E ?$(CJi(B) ; KS0-C-4A69
(ucs-set-char #x874E ?$(HSy(B) ; C02-H-5379
(ucs-set-char #x874E ?$@iy(B) ; J78-@-6979
(ucs-set-char #x874E ?$AP+(B) ; GB0-A-502B
(ucs-set-char #x874E ?$Biy(B) ; J83-B-6979
(ucs-set-char #x874F ?$(HT$(B) ; C02-H-5424
(ucs-set-char #x8750 ?$(HSx(B) ; C02-H-5378
(ucs-set-char #x8751 ?$(HSt(B) ; C02-H-5374
(ucs-set-char #x8752 ?$(HSq(B) ; C02-H-5371
(ucs-set-char #x8753 ?$(Gnk(B) ; C01-G-6E6B
(ucs-set-char #x8753 ?$@j!(B) ; J78-@-6A21
(ucs-set-char #x8753 ?$Aru(B) ; GB0-A-7275
(ucs-set-char #x8753 ?$Bj!(B) ; J83-B-6A21
(ucs-set-char #x8754 ?$(HSo(B) ; C02-H-536F
(ucs-set-char #x8755 ?$(CcZ(B) ; KS0-C-635A
(ucs-set-char #x8755 ?$(Gjs(B) ; C01-G-6A73
(ucs-set-char #x8755 ?$@?*(B) ; J78-@-3F2A
(ucs-set-char #x8755 ?$B?*(B) ; J83-B-3F2A
(ucs-set-char #x8756 ?$(HSh(B) ; C02-H-5368
(ucs-set-char #x8757 ?$(C|Y(B) ; KS0-C-7C59
(ucs-set-char #x8757 ?$(Gni(B) ; C01-G-6E69
(ucs-set-char #x8757 ?$@i{(B) ; J78-@-697B
(ucs-set-char #x8757 ?$A;H(B) ; GB0-A-3B48
(ucs-set-char #x8757 ?$Bi{(B) ; J83-B-697B
(ucs-set-char #x8758 ?$(D[/(B) ; J90-D-5B2F
(ucs-set-char #x8758 ?$(HSn(B) ; C02-H-536E
(ucs-set-char #x8759 ?$(Gnh(B) ; C01-G-6E68
(ucs-set-char #x8759 ?$@i~(B) ; J78-@-697E
(ucs-set-char #x8759 ?$Ary(B) ; GB0-A-7279
(ucs-set-char #x8759 ?$Bi~(B) ; J83-B-697E
(ucs-set-char #x875A ?$(HSs(B) ; C02-H-5373
(ucs-set-char #x875B ?$(HSp(B) ; C02-H-5370
(ucs-set-char #x875C ?$(HT"(B) ; C02-H-5422
(ucs-set-char #x875D ?$(D[0(B) ; J90-D-5B30
(ucs-set-char #x875D ?$(HS{(B) ; C02-H-537B
(ucs-set-char #x875E ?$(HSu(B) ; C02-H-5375
(ucs-set-char #x875F ?$(CjZ(B) ; KS0-C-6A5A
(ucs-set-char #x875F ?$(HSz(B) ; C02-H-537A
(ucs-set-char #x875F ?$@iv(B) ; J78-@-6976
(ucs-set-char #x875F ?$Biv(B) ; J83-B-6976
(ucs-set-char #x8760 ?$(Gnd(B) ; C01-G-6E64
(ucs-set-char #x8760 ?$@iu(B) ; J78-@-6975
(ucs-set-char #x8760 ?$Arp(B) ; GB0-A-7270
(ucs-set-char #x8760 ?$Biu(B) ; J83-B-6975
(ucs-set-char #x8761 ?$(D[1(B) ; J90-D-5B31
(ucs-set-char #x8761 ?$(HSr(B) ; C02-H-5372
(ucs-set-char #x8762 ?$(HT'(B) ; C02-H-5427
(ucs-set-char #x8763 ?$(HSi(B) ; C02-H-5369
(ucs-set-char #x8763 ?$@j"(B) ; J78-@-6A22
(ucs-set-char #x8763 ?$Arv(B) ; GB0-A-7276
(ucs-set-char #x8763 ?$Bj"(B) ; J83-B-6A22
(ucs-set-char #x8764 ?$(D[2(B) ; J90-D-5B32
(ucs-set-char #x8764 ?$(HSj(B) ; C02-H-536A
(ucs-set-char #x8764 ?$Arx(B) ; GB0-A-7278
(ucs-set-char #x8765 ?$(D[3(B) ; J90-D-5B33
(ucs-set-char #x8765 ?$(HT#(B) ; C02-H-5423
(ucs-set-char #x8765 ?$Arz(B) ; GB0-A-727A
(ucs-set-char #x8766 ?$(CyD(B) ; KS0-C-7944
(ucs-set-char #x8766 ?$(Gne(B) ; C01-G-6E65
(ucs-set-char #x8766 ?$@2\(B) ; J78-@-325C
(ucs-set-char #x8766 ?$B2\(B) ; J83-B-325C
(ucs-set-char #x8767 ?$(HT((B) ; C02-H-5428
(ucs-set-char #x8768 ?$(Cc$(B) ; KS0-C-6324
(ucs-set-char #x8768 ?$(Gng(B) ; C01-G-6E67
(ucs-set-char #x8768 ?$@i|(B) ; J78-@-697C
(ucs-set-char #x8768 ?$Bi|(B) ; J83-B-697C
(ucs-set-char #x8769 ?$(HT)(B) ; C02-H-5429
(ucs-set-char #x876A ?$(HSw(B) ; C02-H-5377
(ucs-set-char #x876A ?$@j#(B) ; J78-@-6A23
(ucs-set-char #x876A ?$Bj#(B) ; J83-B-6A23
(ucs-set-char #x876B ?$(HM_(B) ; C02-H-4D5F
(ucs-set-char #x876C ?$(HS}(B) ; C02-H-537D
(ucs-set-char #x876D ?$(HSv(B) ; C02-H-5376
(ucs-set-char #x876E ?$(HT!(B) ; C02-H-5421
(ucs-set-char #x876E ?$@i}(B) ; J78-@-697D
(ucs-set-char #x876E ?$Ars(B) ; GB0-A-7273
(ucs-set-char #x876E ?$Bi}(B) ; J83-B-697D
(ucs-set-char #x876F ?$(D[4(B) ; J90-D-5B34
(ucs-set-char #x876F ?$(HS|(B) ; C02-H-537C
(ucs-set-char #x8770 ?$(KPU(B) ; C05-K-5055
(ucs-set-char #x8770 ?$Arq(B) ; GB0-A-7271
(ucs-set-char #x8771 ?$(D[5(B) ; J90-D-5B35
(ucs-set-char #x8771 ?$(IN](B) ; C03-I-4E5D
(ucs-set-char #x8772 ?$(D[6(B) ; J90-D-5B36
(ucs-set-char #x8772 ?$(JM((B) ; C04-J-4D28
(ucs-set-char #x8773 ?$(HSm(B) ; C02-H-536D
(ucs-set-char #x8774 ?$(C{](B) ; KS0-C-7B5D
(ucs-set-char #x8774 ?$(Gnb(B) ; C01-G-6E62
(ucs-set-char #x8774 ?$@iz(B) ; J78-@-697A
(ucs-set-char #x8774 ?$A:{(B) ; GB0-A-3A7B
(ucs-set-char #x8774 ?$Biz(B) ; J83-B-697A
(ucs-set-char #x8775 ?$(HT&(B) ; C02-H-5426
(ucs-set-char #x8776 ?$(CoJ(B) ; KS0-C-6F4A
(ucs-set-char #x8776 ?$(Gnc(B) ; C01-G-6E63
(ucs-set-char #x8776 ?$@D3(B) ; J78-@-4433
(ucs-set-char #x8776 ?$A5{(B) ; GB0-A-357B
(ucs-set-char #x8776 ?$BD3(B) ; J83-B-4433
(ucs-set-char #x8777 ?$(HSk(B) ; C02-H-536B
(ucs-set-char #x8778 ?$(ChD(B) ; KS0-C-6844
(ucs-set-char #x8778 ?$(Gnf(B) ; C01-G-6E66
(ucs-set-char #x8778 ?$@iw(B) ; J78-@-6977
(ucs-set-char #x8778 ?$Biw(B) ; J83-B-6977
(ucs-set-char #x8779 ?$(HZ2(B) ; C02-H-5A32
(ucs-set-char #x8779 ?$(JM3(B) ; C04-J-4D33
(ucs-set-char #x877A ?$(HS~(B) ; C02-H-537E
(ucs-set-char #x877B ?$(D[7(B) ; J90-D-5B37
(ucs-set-char #x877B ?$(HT%(B) ; C02-H-5425
(ucs-set-char #x877B ?$Aro(B) ; GB0-A-726F
(ucs-set-char #x877C ?$(JM1(B) ; C04-J-4D31
(ucs-set-char #x877C ?$Arw(B) ; GB0-A-7277
(ucs-set-char #x877D ?$(INY(B) ; C03-I-4E59
(ucs-set-char #x877D ?$Arm(B) ; GB0-A-726D
(ucs-set-char #x877E ?$Arn(B) ; GB0-A-726E
(ucs-set-char #x877F ?$@j$(B) ; J78-@-6A24
(ucs-set-char #x877F ?$BGh(B) ; J83-B-4768
(ucs-set-char #x8781 ?$(HZ/(B) ; C02-H-5A2F
(ucs-set-char #x8782 ?$(CUL(B) ; KS0-C-554C
(ucs-set-char #x8782 ?$(Gna(B) ; C01-G-6E61
(ucs-set-char #x8782 ?$@j'(B) ; J78-@-6A27
(ucs-set-char #x8782 ?$Ark(B) ; GB0-A-726B
(ucs-set-char #x8782 ?$Bj'(B) ; J83-B-6A27
(ucs-set-char #x8783 ?$(D[8(B) ; J90-D-5B38
(ucs-set-char #x8783 ?$(Gr*(B) ; C01-G-722A
(ucs-set-char #x8783 ?$As&(B) ; GB0-A-7326
(ucs-set-char #x8784 ?$(D[9(B) ; J90-D-5B39
(ucs-set-char #x8784 ?$(HZ9(B) ; C02-H-5A39
(ucs-set-char #x8785 ?$(D[:(B) ; J90-D-5B3A
(ucs-set-char #x8785 ?$(HZ5(B) ; C02-H-5A35
(ucs-set-char #x8785 ?$As#(B) ; GB0-A-7323
(ucs-set-char #x8786 ?$(D[;(B) ; J90-D-5B3B
(ucs-set-char #x8786 ?$(JS<(B) ; C04-J-533C
(ucs-set-char #x8787 ?$(D[<(B) ; J90-D-5B3C
(ucs-set-char #x8787 ?$(HZ3(B) ; C02-H-5A33
(ucs-set-char #x8788 ?$(D[=(B) ; J90-D-5B3D
(ucs-set-char #x8788 ?$(HZ.(B) ; C02-H-5A2E
(ucs-set-char #x8788 ?$As"(B) ; GB0-A-7322
(ucs-set-char #x8789 ?$(D[>(B) ; J90-D-5B3E
(ucs-set-char #x8789 ?$(HZ=(B) ; C02-H-5A3D
(ucs-set-char #x878A ?$(IR[(B) ; C03-I-525B
(ucs-set-char #x878B ?$(D[?(B) ; J90-D-5B3F
(ucs-set-char #x878B ?$(IR](B) ; C03-I-525D
(ucs-set-char #x878B ?$Art(B) ; GB0-A-7274
(ucs-set-char #x878C ?$(D[@(B) ; J90-D-5B40
(ucs-set-char #x878C ?$(JSD(B) ; C04-J-5344
(ucs-set-char #x878D ?$(CkW(B) ; KS0-C-6B57
(ucs-set-char #x878D ?$(Gr.(B) ; C01-G-722E
(ucs-set-char #x878D ?$@M;(B) ; J78-@-4D3B
(ucs-set-char #x878D ?$AHZ(B) ; GB0-A-485A
(ucs-set-char #x878D ?$BM;(B) ; J83-B-4D3B
(ucs-set-char #x878E ?$(IR_(B) ; C03-I-525F
(ucs-set-char #x878F ?$(HZ*(B) ; C02-H-5A2A
(ucs-set-char #x8790 ?$(D[A(B) ; J90-D-5B41
(ucs-set-char #x8790 ?$(HZ6(B) ; C02-H-5A36
(ucs-set-char #x8791 ?$(HZ7(B) ; C02-H-5A37
(ucs-set-char #x8792 ?$(HZ-(B) ; C02-H-5A2D
(ucs-set-char #x8793 ?$(D[B(B) ; J90-D-5B42
(ucs-set-char #x8793 ?$(HZ,(B) ; C02-H-5A2C
(ucs-set-char #x8793 ?$Ar{(B) ; GB0-A-727B
(ucs-set-char #x8794 ?$(HZ:(B) ; C02-H-5A3A
(ucs-set-char #x8795 ?$(D[C(B) ; J90-D-5B43
(ucs-set-char #x8795 ?$(JSA(B) ; C04-J-5341
(ucs-set-char #x8796 ?$(HZ0(B) ; C02-H-5A30
(ucs-set-char #x8797 ?$(D[D(B) ; J90-D-5B44
(ucs-set-char #x8797 ?$(HZ+(B) ; C02-H-5A2B
(ucs-set-char #x8797 ?$As%(B) ; GB0-A-7325
(ucs-set-char #x8798 ?$(D[E(B) ; J90-D-5B45
(ucs-set-char #x8798 ?$(HZ1(B) ; C02-H-5A31
(ucs-set-char #x8799 ?$(D[F(B) ; J90-D-5B46
(ucs-set-char #x8799 ?$(IRb(B) ; C03-I-5262
(ucs-set-char #x879A ?$(HZ<(B) ; C02-H-5A3C
(ucs-set-char #x879B ?$(HZ)(B) ; C02-H-5A29
(ucs-set-char #x879C ?$(HZ;(B) ; C02-H-5A3B
(ucs-set-char #x879D ?$(HZ8(B) ; C02-H-5A38
(ucs-set-char #x879E ?$(D[G(B) ; J90-D-5B47
(ucs-set-char #x879E ?$(Gr,(B) ; C01-G-722C
(ucs-set-char #x879F ?$(CY-(B) ; KS0-C-592D
(ucs-set-char #x879F ?$(Gr+(B) ; C01-G-722B
(ucs-set-char #x879F ?$@j&(B) ; J78-@-6A26
(ucs-set-char #x879F ?$ACx(B) ; GB0-A-4378
(ucs-set-char #x879F ?$Bj&(B) ; J83-B-6A26
(ucs-set-char #x87A0 ?$(D[H(B) ; J90-D-5B48
(ucs-set-char #x87A0 ?$(JS9(B) ; C04-J-5339
(ucs-set-char #x87A1 ?$(IR^(B) ; C03-I-525E
(ucs-set-char #x87A2 ?$(C{+(B) ; KS0-C-7B2B
(ucs-set-char #x87A2 ?$(Gr-(B) ; C01-G-722D
(ucs-set-char #x87A2 ?$@j%(B) ; J78-@-6A25
(ucs-set-char #x87A2 ?$Bj%(B) ; J83-B-6A25
(ucs-set-char #x87A3 ?$(D[I(B) ; J90-D-5B49
(ucs-set-char #x87A3 ?$(HZ4(B) ; C02-H-5A34
(ucs-set-char #x87A4 ?$(HZ((B) ; C02-H-5A28
(ucs-set-char #x87A7 ?$(D[J(B) ; J90-D-5B4A
(ucs-set-char #x87A8 ?$Ar}(B) ; GB0-A-727D
(ucs-set-char #x87AA ?$(H_'(B) ; C02-H-5F27
(ucs-set-char #x87AB ?$(Gu<(B) ; C01-G-753C
(ucs-set-char #x87AB ?$@j.(B) ; J78-@-6A2E
(ucs-set-char #x87AB ?$As'(B) ; GB0-A-7327
(ucs-set-char #x87AB ?$Bj.(B) ; J83-B-6A2E
(ucs-set-char #x87AC ?$(D[K(B) ; J90-D-5B4B
(ucs-set-char #x87AC ?$(H_+(B) ; C02-H-5F2B
(ucs-set-char #x87AC ?$As)(B) ; GB0-A-7329
(ucs-set-char #x87AD ?$(D[L(B) ; J90-D-5B4C
(ucs-set-char #x87AD ?$(H_((B) ; C02-H-5F28
(ucs-set-char #x87AD ?$As$(B) ; GB0-A-7324
(ucs-set-char #x87AE ?$(D[M(B) ; J90-D-5B4D
(ucs-set-char #x87AE ?$(H_/(B) ; C02-H-5F2F
(ucs-set-char #x87AF ?$(H_5(B) ; C02-H-5F35
(ucs-set-char #x87AF ?$@j((B) ; J78-@-6A28
(ucs-set-char #x87AF ?$Ar|(B) ; GB0-A-727C
(ucs-set-char #x87AF ?$Bj((B) ; J83-B-6A28
(ucs-set-char #x87B0 ?$(H_*(B) ; C02-H-5F2A
(ucs-set-char #x87B1 ?$(D[N(B) ; J90-D-5B4E
(ucs-set-char #x87B1 ?$(IV:(B) ; C03-I-563A
(ucs-set-char #x87B2 ?$(H_>(B) ; C02-H-5F3E
(ucs-set-char #x87B3 ?$(CSY(B) ; KS0-C-5359
(ucs-set-char #x87B3 ?$(Gu9(B) ; C01-G-7539
(ucs-set-char #x87B3 ?$@j0(B) ; J78-@-6A30
(ucs-set-char #x87B3 ?$As+(B) ; GB0-A-732B
(ucs-set-char #x87B3 ?$Bj0(B) ; J83-B-6A30
(ucs-set-char #x87B4 ?$(H_8(B) ; C02-H-5F38
(ucs-set-char #x87B5 ?$(D[O(B) ; J90-D-5B4F
(ucs-set-char #x87B5 ?$(H_-(B) ; C02-H-5F2D
(ucs-set-char #x87B5 ?$As*(B) ; GB0-A-732A
(ucs-set-char #x87B6 ?$(H_9(B) ; C02-H-5F39
(ucs-set-char #x87B7 ?$(H_4(B) ; C02-H-5F34
(ucs-set-char #x87B8 ?$(H_;(B) ; C02-H-5F3B
(ucs-set-char #x87B9 ?$(H_,(B) ; C02-H-5F2C
(ucs-set-char #x87BA ?$(CU"(B) ; KS0-C-5522
(ucs-set-char #x87BA ?$(Gu>(B) ; C01-G-753E
(ucs-set-char #x87BA ?$@Mf(B) ; J78-@-4D66
(ucs-set-char #x87BA ?$AB](B) ; GB0-A-425D
(ucs-set-char #x87BA ?$BMf(B) ; J83-B-4D66
(ucs-set-char #x87BB ?$(Gu=(B) ; C01-G-753D
(ucs-set-char #x87BB ?$@j3(B) ; J78-@-6A33
(ucs-set-char #x87BB ?$Bj3(B) ; J83-B-6A33
(ucs-set-char #x87BC ?$(H_.(B) ; C02-H-5F2E
(ucs-set-char #x87BD ?$(H_<(B) ; C02-H-5F3C
(ucs-set-char #x87BD ?$@j*(B) ; J78-@-6A2A
(ucs-set-char #x87BD ?$As.(B) ; GB0-A-732E
(ucs-set-char #x87BD ?$Bj*(B) ; J83-B-6A2A
(ucs-set-char #x87BE ?$(D[P(B) ; J90-D-5B50
(ucs-set-char #x87BE ?$(H_&(B) ; C02-H-5F26
(ucs-set-char #x87BF ?$(D[Q(B) ; J90-D-5B51
(ucs-set-char #x87BF ?$(H_:(B) ; C02-H-5F3A
(ucs-set-char #x87C0 ?$(Gu7(B) ; C01-G-7537
(ucs-set-char #x87C0 ?$@j+(B) ; J78-@-6A2B
(ucs-set-char #x87C0 ?$As0(B) ; GB0-A-7330
(ucs-set-char #x87C0 ?$Bj+(B) ; J83-B-6A2B
(ucs-set-char #x87C1 ?$(D[R(B) ; J90-D-5B52
(ucs-set-char #x87C1 ?$(IV9(B) ; C03-I-5639
(ucs-set-char #x87C2 ?$(H_2(B) ; C02-H-5F32
(ucs-set-char #x87C3 ?$(H_1(B) ; C02-H-5F31
(ucs-set-char #x87C4 ?$(Cv^(B) ; KS0-C-765E
(ucs-set-char #x87C4 ?$(H_6(B) ; C02-H-5F36
(ucs-set-char #x87C4 ?$@j/(B) ; J78-@-6A2F
(ucs-set-char #x87C4 ?$Bj/(B) ; J83-B-6A2F
(ucs-set-char #x87C5 ?$(H_)(B) ; C02-H-5F29
(ucs-set-char #x87C6 ?$(Gu;(B) ; C01-G-753B
(ucs-set-char #x87C6 ?$@j2(B) ; J78-@-6A32
(ucs-set-char #x87C6 ?$As!(B) ; GB0-A-7321
(ucs-set-char #x87C6 ?$Bj2(B) ; J83-B-6A32
(ucs-set-char #x87C7 ?$(IV;(B) ; C03-I-563B
(ucs-set-char #x87C7 ?$@j1(B) ; J78-@-6A31
(ucs-set-char #x87C7 ?$Bj1(B) ; J83-B-6A31
(ucs-set-char #x87C8 ?$(D[S(B) ; J90-D-5B53
(ucs-set-char #x87C8 ?$(Gu?(B) ; C01-G-753F
(ucs-set-char #x87C9 ?$(D[T(B) ; J90-D-5B54
(ucs-set-char #x87C9 ?$(H_0(B) ; C02-H-5F30
(ucs-set-char #x87CA ?$(D[U(B) ; J90-D-5B55
(ucs-set-char #x87CA ?$(H_7(B) ; C02-H-5F37
(ucs-set-char #x87CA ?$As1(B) ; GB0-A-7331
(ucs-set-char #x87CB ?$(Gu@(B) ; C01-G-7540
(ucs-set-char #x87CB ?$@j)(B) ; J78-@-6A29
(ucs-set-char #x87CB ?$As,(B) ; GB0-A-732C
(ucs-set-char #x87CB ?$Bj)(B) ; J83-B-6A29
(ucs-set-char #x87CC ?$(H_3(B) ; C02-H-5F33
(ucs-set-char #x87CD ?$(IV6(B) ; C03-I-5636
(ucs-set-char #x87CE ?$(D[V(B) ; J90-D-5B56
(ucs-set-char #x87CE ?$(IV4(B) ; C03-I-5634
(ucs-set-char #x87D0 ?$@j,(B) ; J78-@-6A2C
(ucs-set-char #x87D0 ?$Bj,(B) ; J83-B-6A2C
(ucs-set-char #x87D1 ?$(Gu8(B) ; C01-G-7538
(ucs-set-char #x87D1 ?$As/(B) ; GB0-A-732F
(ucs-set-char #x87D2 ?$(Gu:(B) ; C01-G-753A
(ucs-set-char #x87D2 ?$@j=(B) ; J78-@-6A3D
(ucs-set-char #x87D2 ?$Ar~(B) ; GB0-A-727E
(ucs-set-char #x87D2 ?$Bj=(B) ; J83-B-6A3D
(ucs-set-char #x87D3 ?$(Hc3(B) ; C02-H-6333
(ucs-set-char #x87D3 ?$As-(B) ; GB0-A-732D
(ucs-set-char #x87D4 ?$(Hc1(B) ; C02-H-6331
(ucs-set-char #x87D5 ?$(D[W(B) ; J90-D-5B57
(ucs-set-char #x87D5 ?$(I[((B) ; C03-I-5B28
(ucs-set-char #x87D6 ?$(D[X(B) ; J90-D-5B58
(ucs-set-char #x87D6 ?$(IXv(B) ; C03-I-5876
(ucs-set-char #x87D7 ?$(Hc7(B) ; C02-H-6337
(ucs-set-char #x87D8 ?$(Hc5(B) ; C02-H-6335
(ucs-set-char #x87D9 ?$(D[Y(B) ; J90-D-5B59
(ucs-set-char #x87D9 ?$(Hc8(B) ; C02-H-6338
(ucs-set-char #x87DA ?$(D[Z(B) ; J90-D-5B5A
(ucs-set-char #x87DA ?$(IXx(B) ; C03-I-5878
(ucs-set-char #x87DB ?$(Hc*(B) ; C02-H-632A
(ucs-set-char #x87DB ?$As2(B) ; GB0-A-7332
(ucs-set-char #x87DC ?$(D[[(B) ; J90-D-5B5B
(ucs-set-char #x87DC ?$(Hc2(B) ; C02-H-6332
(ucs-set-char #x87DD ?$(Hc<(B) ; C02-H-633C
(ucs-set-char #x87DE ?$(H_=(B) ; C02-H-5F3D
(ucs-set-char #x87DF ?$(D[\(B) ; J90-D-5B5C
(ucs-set-char #x87DF ?$(Hc.(B) ; C02-H-632E
(ucs-set-char #x87E0 ?$(CZv(B) ; KS0-C-5A76
(ucs-set-char #x87E0 ?$(Gw:(B) ; C01-G-773A
(ucs-set-char #x87E0 ?$@j6(B) ; J78-@-6A36
(ucs-set-char #x87E0 ?$As4(B) ; GB0-A-7334
(ucs-set-char #x87E0 ?$Bj6(B) ; J83-B-6A36
(ucs-set-char #x87E1 ?$(HSl(B) ; C02-H-536C
(ucs-set-char #x87E2 ?$(D[](B) ; J90-D-5B5D
(ucs-set-char #x87E2 ?$(Hc)(B) ; C02-H-6329
(ucs-set-char #x87E3 ?$(D[^(B) ; J90-D-5B5E
(ucs-set-char #x87E3 ?$(Hc6(B) ; C02-H-6336
(ucs-set-char #x87E4 ?$(D[_(B) ; J90-D-5B5F
(ucs-set-char #x87E4 ?$(Hc0(B) ; C02-H-6330
(ucs-set-char #x87E5 ?$(Hc-(B) ; C02-H-632D
(ucs-set-char #x87E5 ?$As((B) ; GB0-A-7328
(ucs-set-char #x87E6 ?$(Hc((B) ; C02-H-6328
(ucs-set-char #x87E7 ?$(Hc'(B) ; C02-H-6327
(ucs-set-char #x87E8 ?$(Hc;(B) ; C02-H-633B
(ucs-set-char #x87E9 ?$(IXs(B) ; C03-I-5873
(ucs-set-char #x87EA ?$(D[`(B) ; J90-D-5B60
(ucs-set-char #x87EA ?$(Hc,(B) ; C02-H-632C
(ucs-set-char #x87EA ?$As3(B) ; GB0-A-7333
(ucs-set-char #x87EB ?$(D[a(B) ; J90-D-5B61
(ucs-set-char #x87EB ?$(Hc+(B) ; C02-H-632B
(ucs-set-char #x87EC ?$(C`Q(B) ; KS0-C-6051
(ucs-set-char #x87EC ?$(Gw8(B) ; C01-G-7738
(ucs-set-char #x87EC ?$@@f(B) ; J78-@-4066
(ucs-set-char #x87ED ?$(D[b(B) ; J90-D-5B62
(ucs-set-char #x87ED ?$(Hc4(B) ; C02-H-6334
(ucs-set-char #x87EE ?$(IXt(B) ; C03-I-5874
(ucs-set-char #x87EE ?$As5(B) ; GB0-A-7335
(ucs-set-char #x87EF ?$(Ci((B) ; KS0-C-6928
(ucs-set-char #x87EF ?$(Gw7(B) ; C01-G-7737
(ucs-set-char #x87EF ?$@j4(B) ; J78-@-6A34
(ucs-set-char #x87EF ?$Bj4(B) ; J83-B-6A34
(ucs-set-char #x87F0 ?$(IXu(B) ; C03-I-5875
(ucs-set-char #x87F1 ?$(D[c(B) ; J90-D-5B63
(ucs-set-char #x87F1 ?$(KdH(B) ; C05-K-6448
(ucs-set-char #x87F2 ?$(Cuy(B) ; KS0-C-7579
(ucs-set-char #x87F2 ?$(Gw9(B) ; C01-G-7739
(ucs-set-char #x87F2 ?$@j5(B) ; J78-@-6A35
(ucs-set-char #x87F2 ?$Bj5(B) ; J83-B-6A35
(ucs-set-char #x87F3 ?$(D[d(B) ; J90-D-5B64
(ucs-set-char #x87F3 ?$(Hc/(B) ; C02-H-632F
(ucs-set-char #x87F4 ?$(Hc:(B) ; C02-H-633A
(ucs-set-char #x87F6 ?$(Hfi(B) ; C02-H-6669
(ucs-set-char #x87F6 ?$@j:(B) ; J78-@-6A3A
(ucs-set-char #x87F6 ?$Bj:(B) ; J83-B-6A3A
(ucs-set-char #x87F7 ?$(Hfj(B) ; C02-H-666A
(ucs-set-char #x87F7 ?$@j;(B) ; J78-@-6A3B
(ucs-set-char #x87F7 ?$Bj;(B) ; J83-B-6A3B
(ucs-set-char #x87F8 ?$(D[e(B) ; J90-D-5B65
(ucs-set-char #x87F8 ?$(I[,(B) ; C03-I-5B2C
(ucs-set-char #x87F9 ?$(Cz/(B) ; KS0-C-7A2F
(ucs-set-char #x87F9 ?$(Gxt(B) ; C01-G-7874
(ucs-set-char #x87F9 ?$@3*(B) ; J78-@-332A
(ucs-set-char #x87F9 ?$AP7(B) ; GB0-A-5037
(ucs-set-char #x87F9 ?$B3*(B) ; J83-B-332A
(ucs-set-char #x87FA ?$(D[f(B) ; J90-D-5B66
(ucs-set-char #x87FA ?$(Hfg(B) ; C02-H-6667
(ucs-set-char #x87FB ?$(Ck|(B) ; KS0-C-6B7C
(ucs-set-char #x87FB ?$(Gxq(B) ; C01-G-7871
(ucs-set-char #x87FB ?$@5B(B) ; J78-@-3542
(ucs-set-char #x87FB ?$B5B(B) ; J83-B-3542
(ucs-set-char #x87FC ?$(Hfo(B) ; C02-H-666F
(ucs-set-char #x87FD ?$(I['(B) ; C03-I-5B27
(ucs-set-char #x87FE ?$(C`j(B) ; KS0-C-606A
(ucs-set-char #x87FE ?$(Gxu(B) ; C01-G-7875
(ucs-set-char #x87FE ?$@j9(B) ; J78-@-6A39
(ucs-set-char #x87FE ?$As8(B) ; GB0-A-7338
(ucs-set-char #x87FE ?$Bj9(B) ; J83-B-6A39
(ucs-set-char #x87FF ?$(D[g(B) ; J90-D-5B67
(ucs-set-char #x87FF ?$(Hfq(B) ; C02-H-6671
(ucs-set-char #x8800 ?$(Hff(B) ; C02-H-6666
(ucs-set-char #x8801 ?$(D[h(B) ; J90-D-5B68
(ucs-set-char #x8801 ?$(Hc9(B) ; C02-H-6339
(ucs-set-char #x8801 ?$(I[-(B) ; C03-I-5B2D
(ucs-set-char #x8802 ?$(Hfs(B) ; C02-H-6673
(ucs-set-char #x8803 ?$(D[i(B) ; J90-D-5B69
(ucs-set-char #x8803 ?$(Hfh(B) ; C02-H-6668
(ucs-set-char #x8803 ?$AYy(B) ; GB0-A-5979
(ucs-set-char #x8804 ?$(KiC(B) ; C05-K-6943
(ucs-set-char #x8805 ?$(Cc2(B) ; KS0-C-6332
(ucs-set-char #x8805 ?$(Gxr(B) ; C01-G-7872
(ucs-set-char #x8805 ?$@Gh(B) ; J78-@-4768
(ucs-set-char #x8805 ?$Bj$(B) ; J83-B-6A24
(ucs-set-char #x8806 ?$(D[j(B) ; J90-D-5B6A
(ucs-set-char #x8806 ?$(Hfn(B) ; C02-H-666E
(ucs-set-char #x8807 ?$(I[)(B) ; C03-I-5B29
(ucs-set-char #x8808 ?$(Hfp(B) ; C02-H-6670
(ucs-set-char #x8809 ?$(D[k(B) ; J90-D-5B6B
(ucs-set-char #x8809 ?$(Hfk(B) ; C02-H-666B
(ucs-set-char #x880A ?$(D[l(B) ; J90-D-5B6C
(ucs-set-char #x880A ?$(Hfr(B) ; C02-H-6672
(ucs-set-char #x880A ?$As9(B) ; GB0-A-7339
(ucs-set-char #x880B ?$(D[m(B) ; J90-D-5B6D
(ucs-set-char #x880B ?$(Hfm(B) ; C02-H-666D
(ucs-set-char #x880C ?$(Hfl(B) ; C02-H-666C
(ucs-set-char #x880D ?$(Gxs(B) ; C01-G-7873
(ucs-set-char #x880D ?$@j8(B) ; J78-@-6A38
(ucs-set-char #x880D ?$Bj8(B) ; J83-B-6A38
(ucs-set-char #x880E ?$(IXw(B) ; C03-I-5877
(ucs-set-char #x880E ?$@j<(B) ; J78-@-6A3C
(ucs-set-char #x880E ?$Bj<(B) ; J83-B-6A3C
(ucs-set-char #x880F ?$(I[+(B) ; C03-I-5B2B
(ucs-set-char #x880F ?$@j7(B) ; J78-@-6A37
(ucs-set-char #x880F ?$Bj7(B) ; J83-B-6A37
(ucs-set-char #x8810 ?$(D[n(B) ; J90-D-5B6E
(ucs-set-char #x8810 ?$(Hiq(B) ; C02-H-6971
(ucs-set-char #x8811 ?$(Hir(B) ; C02-H-6972
(ucs-set-char #x8811 ?$@j>(B) ; J78-@-6A3E
(ucs-set-char #x8811 ?$Bj>(B) ; J83-B-6A3E
(ucs-set-char #x8812 ?$(D[p(B) ; J90-D-5B70
(ucs-set-char #x8812 ?$(I]%(B) ; C03-I-5D25
(ucs-set-char #x8813 ?$(D[q(B) ; J90-D-5B71
(ucs-set-char #x8813 ?$(Hit(B) ; C02-H-6974
(ucs-set-char #x8813 ?$As7(B) ; GB0-A-7337
(ucs-set-char #x8814 ?$(D[r(B) ; J90-D-5B72
(ucs-set-char #x8814 ?$(Gz9(B) ; C01-G-7A39
(ucs-set-char #x8815 ?$(Gz:(B) ; C01-G-7A3A
(ucs-set-char #x8815 ?$@j@(B) ; J78-@-6A40
(ucs-set-char #x8815 ?$AHd(B) ; GB0-A-4864
(ucs-set-char #x8815 ?$Bj@(B) ; J83-B-6A40
(ucs-set-char #x8816 ?$(Hiu(B) ; C02-H-6975
(ucs-set-char #x8816 ?$@j?(B) ; J78-@-6A3F
(ucs-set-char #x8816 ?$As6(B) ; GB0-A-7336
(ucs-set-char #x8816 ?$Bj?(B) ; J83-B-6A3F
(ucs-set-char #x8817 ?$(His(B) ; C02-H-6973
(ucs-set-char #x8818 ?$(D[s(B) ; J90-D-5B73
(ucs-set-char #x8818 ?$(I]$(B) ; C03-I-5D24
(ucs-set-char #x8819 ?$(D[o(B) ; J90-D-5B6F
(ucs-set-char #x8819 ?$(Hip(B) ; C02-H-6970
(ucs-set-char #x881A ?$(D[t(B) ; J90-D-5B74
(ucs-set-char #x881A ?$(I^](B) ; C03-I-5E5D
(ucs-set-char #x881B ?$(D[u(B) ; J90-D-5B75
(ucs-set-char #x881B ?$(Hl1(B) ; C02-H-6C31
(ucs-set-char #x881B ?$As:(B) ; GB0-A-733A
(ucs-set-char #x881C ?$(D[v(B) ; J90-D-5B76
(ucs-set-char #x881C ?$(Hl4(B) ; C02-H-6C34
(ucs-set-char #x881D ?$(Hl0(B) ; C02-H-6C30
(ucs-set-char #x881E ?$(D[w(B) ; J90-D-5B77
(ucs-set-char #x881E ?$(Ja&(B) ; C04-J-6126
(ucs-set-char #x881F ?$(CUE(B) ; KS0-C-5545
(ucs-set-char #x881F ?$(D[x(B) ; J90-D-5B78
(ucs-set-char #x881F ?$(G{'(B) ; C01-G-7B27
(ucs-set-char #x881F ?$@O9(B) ; J78-@-4F39
(ucs-set-char #x8820 ?$(Hl2(B) ; C02-H-6C32
(ucs-set-char #x8821 ?$(G{&(B) ; C01-G-7B26
(ucs-set-char #x8821 ?$@jB(B) ; J78-@-6A42
(ucs-set-char #x8821 ?$As;(B) ; GB0-A-733B
(ucs-set-char #x8821 ?$BjB(B) ; J83-B-6A42
(ucs-set-char #x8822 ?$(Cqc(B) ; KS0-C-7163
(ucs-set-char #x8822 ?$(G{%(B) ; C01-G-7B25
(ucs-set-char #x8822 ?$@jA(B) ; J78-@-6A41
(ucs-set-char #x8822 ?$A4@(B) ; GB0-A-3440
(ucs-set-char #x8822 ?$BjA(B) ; J83-B-6A41
(ucs-set-char #x8823 ?$(CUn(B) ; KS0-C-556E
(ucs-set-char #x8823 ?$(G{$(B) ; C01-G-7B24
(ucs-set-char #x8823 ?$@3B(B) ; J78-@-3342
(ucs-set-char #x8823 ?$BiZ(B) ; J83-B-695A
(ucs-set-char #x8824 ?$(Hl3(B) ; C02-H-6C33
(ucs-set-char #x8825 ?$(Hm~(B) ; C02-H-6D7E
(ucs-set-char #x8826 ?$(Hm|(B) ; C02-H-6D7C
(ucs-set-char #x8827 ?$(I__(B) ; C03-I-5F5F
(ucs-set-char #x8827 ?$@jF(B) ; J78-@-6A46
(ucs-set-char #x8827 ?$BjF(B) ; J83-B-6A46
(ucs-set-char #x8828 ?$(D[y(B) ; J90-D-5B79
(ucs-set-char #x8828 ?$(Hm{(B) ; C02-H-6D7B
(ucs-set-char #x8829 ?$(Hl/(B) ; C02-H-6C2F
(ucs-set-char #x882A ?$(Hm}(B) ; C02-H-6D7D
(ucs-set-char #x882B ?$(Hl5(B) ; C02-H-6C35
(ucs-set-char #x882C ?$(Hmz(B) ; C02-H-6D7A
(ucs-set-char #x882D ?$(D[z(B) ; J90-D-5B7A
(ucs-set-char #x882D ?$(I`E(B) ; C03-I-6045
(ucs-set-char #x882E ?$(D[{(B) ; J90-D-5B7B
(ucs-set-char #x882E ?$(HoH(B) ; C02-H-6F48
(ucs-set-char #x882F ?$(Ho&(B) ; C02-H-6F26
(ucs-set-char #x8830 ?$(D[|(B) ; J90-D-5B7C
(ucs-set-char #x8830 ?$(HoF(B) ; C02-H-6F46
(ucs-set-char #x8831 ?$(CML(B) ; KS0-C-4D4C
(ucs-set-char #x8831 ?$(G|G(B) ; C01-G-7C47
(ucs-set-char #x8831 ?$@jC(B) ; J78-@-6A43
(ucs-set-char #x8831 ?$BjC(B) ; J83-B-6A43
(ucs-set-char #x8832 ?$(D[}(B) ; J90-D-5B7D
(ucs-set-char #x8832 ?$(HoG(B) ; C02-H-6F47
(ucs-set-char #x8832 ?$AnC(B) ; GB0-A-6E43
(ucs-set-char #x8833 ?$(HoI(B) ; C02-H-6F49
(ucs-set-char #x8835 ?$(D[~(B) ; J90-D-5B7E
(ucs-set-char #x8835 ?$(HpM(B) ; C02-H-704D
(ucs-set-char #x8836 ?$(CmY(B) ; KS0-C-6D59
(ucs-set-char #x8836 ?$(G|f(B) ; C01-G-7C66
(ucs-set-char #x8836 ?$@jD(B) ; J78-@-6A44
(ucs-set-char #x8836 ?$BjD(B) ; J83-B-6A44
(ucs-set-char #x8837 ?$(HpL(B) ; C02-H-704C
(ucs-set-char #x8838 ?$(HpK(B) ; C02-H-704B
(ucs-set-char #x8839 ?$(G|g(B) ; C01-G-7C67
(ucs-set-char #x8839 ?$@jE(B) ; J78-@-6A45
(ucs-set-char #x8839 ?$As<(B) ; GB0-A-733C
(ucs-set-char #x8839 ?$BjE(B) ; J83-B-6A45
(ucs-set-char #x883A ?$(D\!(B) ; J90-D-5C21
(ucs-set-char #x883A ?$(Jl#(B) ; C04-J-6C23
(ucs-set-char #x883B ?$(CXA(B) ; KS0-C-5841
(ucs-set-char #x883B ?$(G}'(B) ; C01-G-7D27
(ucs-set-char #x883B ?$@jG(B) ; J78-@-6A47
(ucs-set-char #x883B ?$BjG(B) ; J83-B-6A47
(ucs-set-char #x883C ?$(D\"(B) ; J90-D-5C22
(ucs-set-char #x883C ?$(Hq](B) ; C02-H-715D
(ucs-set-char #x883C ?$As=(B) ; GB0-A-733D
(ucs-set-char #x883D ?$(Hqu(B) ; C02-H-7175
(ucs-set-char #x883E ?$(Hqt(B) ; C02-H-7174
(ucs-set-char #x883F ?$(Hqv(B) ; C02-H-7176
(ucs-set-char #x8840 ?$(Czl(B) ; KS0-C-7A6C
(ucs-set-char #x8840 ?$(GHf(B) ; C01-G-4866
(ucs-set-char #x8840 ?$@7l(B) ; J78-@-376C
(ucs-set-char #x8840 ?$AQ*(B) ; GB0-A-512A
(ucs-set-char #x8840 ?$B7l(B) ; J83-B-376C
(ucs-set-char #x8841 ?$(D\#(B) ; J90-D-5C23
(ucs-set-char #x8841 ?$(H-K(B) ; C02-H-2D4B
(ucs-set-char #x8842 ?$(I/&(B) ; C03-I-2F26
(ucs-set-char #x8842 ?$@jI(B) ; J78-@-6A49
(ucs-set-char #x8842 ?$BjI(B) ; J83-B-6A49
(ucs-set-char #x8843 ?$(D\$(B) ; J90-D-5C24
(ucs-set-char #x8843 ?$(H2q(B) ; C02-H-3271
(ucs-set-char #x8844 ?$(H2r(B) ; C02-H-3272
(ucs-set-char #x8844 ?$@jH(B) ; J78-@-6A48
(ucs-set-char #x8844 ?$At,(B) ; GB0-A-742C
(ucs-set-char #x8844 ?$BjH(B) ; J83-B-6A48
(ucs-set-char #x8845 ?$(D\%(B) ; J90-D-5C25
(ucs-set-char #x8845 ?$(I8j(B) ; C03-I-386A
(ucs-set-char #x8845 ?$APF(B) ; GB0-A-5046
(ucs-set-char #x8846 ?$(Cqk(B) ; KS0-C-716B
(ucs-set-char #x8846 ?$(I>j(B) ; C03-I-3E6A
(ucs-set-char #x8846 ?$@=0(B) ; J78-@-3D30
(ucs-set-char #x8846 ?$B=0(B) ; J83-B-3D30
(ucs-set-char #x8847 ?$(I>i(B) ; C03-I-3E69
(ucs-set-char #x8848 ?$(D\&(B) ; J90-D-5C26
(ucs-set-char #x8848 ?$(H@&(B) ; C02-H-4026
(ucs-set-char #x8849 ?$(D\'(B) ; J90-D-5C27
(ucs-set-char #x8849 ?$(LNO(B) ; C06-L-4E4F
(ucs-set-char #x884A ?$(D\((B) ; J90-D-5C28
(ucs-set-char #x884A ?$(Hl6(B) ; C02-H-6C36
(ucs-set-char #x884B ?$(D\)(B) ; J90-D-5C29
(ucs-set-char #x884B ?$(HpN(B) ; C02-H-704E
(ucs-set-char #x884C ?$(Cz<(B) ; KS0-C-7A3C
(ucs-set-char #x884C ?$(GHg(B) ; C01-G-4867
(ucs-set-char #x884C ?$@9T(B) ; J78-@-3954
(ucs-set-char #x884C ?$APP(B) ; GB0-A-5050
(ucs-set-char #x884C ?$B9T(B) ; J83-B-3954
(ucs-set-char #x884D ?$(Cfb(B) ; KS0-C-6662
(ucs-set-char #x884D ?$(GSO(B) ; C01-G-534F
(ucs-set-char #x884D ?$@^'(B) ; J78-@-5E27
(ucs-set-char #x884D ?$AQ\(B) ; GB0-A-515C
(ucs-set-char #x884D ?$B^'(B) ; J83-B-5E27
(ucs-set-char #x884E ?$(D\*(B) ; J90-D-5C2A
(ucs-set-char #x884E ?$(H-L(B) ; C02-H-2D4C
(ucs-set-char #x884F ?$(I3q(B) ; C03-I-3371
(ucs-set-char #x8851 ?$(D\+(B) ; J90-D-5C2B
(ucs-set-char #x8851 ?$(J5'(B) ; C04-J-3527
(ucs-set-char #x8852 ?$(Cze(B) ; KS0-C-7A65
(ucs-set-char #x8852 ?$(H94(B) ; C02-H-3934
(ucs-set-char #x8852 ?$@jJ(B) ; J78-@-6A4A
(ucs-set-char #x8852 ?$BjJ(B) ; J83-B-6A4A
(ucs-set-char #x8853 ?$(Cbz(B) ; KS0-C-627A
(ucs-set-char #x8853 ?$(G]4(B) ; C01-G-5D34
(ucs-set-char #x8853 ?$@=Q(B) ; J78-@-3D51
(ucs-set-char #x8853 ?$B=Q(B) ; J83-B-3D51
(ucs-set-char #x8854 ?$AON(B) ; GB0-A-4F4E
(ucs-set-char #x8855 ?$(D\,(B) ; J90-D-5C2C
(ucs-set-char #x8855 ?$(H@((B) ; C02-H-4028
(ucs-set-char #x8856 ?$(D\-(B) ; J90-D-5C2D
(ucs-set-char #x8856 ?$(H@'(B) ; C02-H-4027
(ucs-set-char #x8857 ?$(CJ6(B) ; KS0-C-4A36
(ucs-set-char #x8857 ?$(Gay(B) ; C01-G-6179
(ucs-set-char #x8857 ?$@39(B) ; J78-@-3339
(ucs-set-char #x8857 ?$A=V(B) ; GB0-A-3D56
(ucs-set-char #x8857 ?$B39(B) ; J83-B-3339
(ucs-set-char #x8858 ?$(D\.(B) ; J90-D-5C2E
(ucs-set-char #x8858 ?$(IDM(B) ; C03-I-444D
(ucs-set-char #x8859 ?$(Cd7(B) ; KS0-C-6437
(ucs-set-char #x8859 ?$(GfL(B) ; C01-G-664C
(ucs-set-char #x8859 ?$@jK(B) ; J78-@-6A4B
(ucs-set-char #x8859 ?$AQC(B) ; GB0-A-5143
(ucs-set-char #x8859 ?$BjK(B) ; J83-B-6A4B
(ucs-set-char #x885A ?$(D\/(B) ; J90-D-5C2F
(ucs-set-char #x885A ?$(HT*(B) ; C02-H-542A
(ucs-set-char #x885B ?$(Cj[(B) ; KS0-C-6A5B
(ucs-set-char #x885B ?$(Gnl(B) ; C01-G-6E6C
(ucs-set-char #x885B ?$@1R(B) ; J78-@-3152
(ucs-set-char #x885B ?$B1R(B) ; J83-B-3152
(ucs-set-char #x885C ?$(D\0(B) ; J90-D-5C30
(ucs-set-char #x885C ?$(IN_(B) ; C03-I-4E5F
(ucs-set-char #x885D ?$(Cuz(B) ; KS0-C-757A
(ucs-set-char #x885D ?$(Gnm(B) ; C01-G-6E6D
(ucs-set-char #x885D ?$@>W(B) ; J78-@-3E57
(ucs-set-char #x885D ?$B>W(B) ; J83-B-3E57
(ucs-set-char #x885E ?$(IRc(B) ; C03-I-5263
(ucs-set-char #x885E ?$@jL(B) ; J78-@-6A4C
(ucs-set-char #x885E ?$BjL(B) ; J83-B-6A4C
(ucs-set-char #x885F ?$(D\1(B) ; J90-D-5C31
(ucs-set-char #x885F ?$(IRd(B) ; C03-I-5264
(ucs-set-char #x8860 ?$(D\2(B) ; J90-D-5C32
(ucs-set-char #x8860 ?$(JSK(B) ; C04-J-534B
(ucs-set-char #x8860 ?$(JSL(B) ; C04-J-534C
(ucs-set-char #x8861 ?$(C{,(B) ; KS0-C-7B2C
(ucs-set-char #x8861 ?$(Gr/(B) ; C01-G-722F
(ucs-set-char #x8861 ?$@9U(B) ; J78-@-3955
(ucs-set-char #x8861 ?$A:b(B) ; GB0-A-3A62
(ucs-set-char #x8861 ?$B9U(B) ; J83-B-3955
(ucs-set-char #x8862 ?$(COC(B) ; KS0-C-4F43
(ucs-set-char #x8862 ?$(G|h(B) ; C01-G-7C68
(ucs-set-char #x8862 ?$@jM(B) ; J78-@-6A4D
(ucs-set-char #x8862 ?$Aai(B) ; GB0-A-6169
(ucs-set-char #x8862 ?$BjM(B) ; J83-B-6A4D
(ucs-set-char #x8863 ?$(Ck}(B) ; KS0-C-6B7D
(ucs-set-char #x8863 ?$(GHh(B) ; C01-G-4868
(ucs-set-char #x8863 ?$@0a(B) ; J78-@-3061
(ucs-set-char #x8863 ?$ARB(B) ; GB0-A-5242
(ucs-set-char #x8863 ?$B0a(B) ; J83-B-3061
(ucs-set-char #x8864 ?$(D\3(B) ; J90-D-5C33
(ucs-set-char #x8864 ?$AqB(B) ; GB0-A-7142
(ucs-set-char #x8865 ?$A29(B) ; GB0-A-3239
(ucs-set-char #x8866 ?$(I/'(B) ; C03-I-2F27
(ucs-set-char #x8867 ?$(H-M(B) ; C02-H-2D4D
(ucs-set-char #x8868 ?$(Cxz(B) ; KS0-C-787A
(ucs-set-char #x8868 ?$(GOP(B) ; C01-G-4F50
(ucs-set-char #x8868 ?$@I=(B) ; J78-@-493D
(ucs-set-char #x8868 ?$A1m(B) ; GB0-A-316D
(ucs-set-char #x8868 ?$BI=(B) ; J83-B-493D
(ucs-set-char #x8869 ?$(D\4(B) ; J90-D-5C34
(ucs-set-char #x8869 ?$(H-O(B) ; C02-H-2D4F
(ucs-set-char #x8869 ?$AqC(B) ; GB0-A-7143
(ucs-set-char #x886A ?$(H-N(B) ; C02-H-2D4E
(ucs-set-char #x886B ?$(C_9(B) ; KS0-C-5F39
(ucs-set-char #x886B ?$(GSP(B) ; C01-G-5350
(ucs-set-char #x886B ?$@jN(B) ; J78-@-6A4E
(ucs-set-char #x886B ?$AI@(B) ; GB0-A-4940
(ucs-set-char #x886B ?$BjN(B) ; J83-B-6A4E
(ucs-set-char #x886C ?$A3D(B) ; GB0-A-3344
(ucs-set-char #x886D ?$(H2s(B) ; C02-H-3273
(ucs-set-char #x886E ?$(I3t(B) ; C03-I-3374
(ucs-set-char #x886E ?$AYr(B) ; GB0-A-5972
(ucs-set-char #x886F ?$(H2z(B) ; C02-H-327A
(ucs-set-char #x8870 ?$(Caq(B) ; KS0-C-6171
(ucs-set-char #x8870 ?$(GX.(B) ; C01-G-582E
(ucs-set-char #x8870 ?$@?j(B) ; J78-@-3F6A
(ucs-set-char #x8870 ?$AK%(B) ; GB0-A-4B25
(ucs-set-char #x8870 ?$B?j(B) ; J83-B-3F6A
(ucs-set-char #x8871 ?$(D\5(B) ; J90-D-5C35
(ucs-set-char #x8871 ?$(H2x(B) ; C02-H-3278
(ucs-set-char #x8872 ?$(CR$(B) ; KS0-C-5224
(ucs-set-char #x8872 ?$(H2v(B) ; C02-H-3276
(ucs-set-char #x8872 ?$@jU(B) ; J78-@-6A55
(ucs-set-char #x8872 ?$AqD(B) ; GB0-A-7144
(ucs-set-char #x8872 ?$BjU(B) ; J83-B-6A55
(ucs-set-char #x8873 ?$(I3w(B) ; C03-I-3377
(ucs-set-char #x8874 ?$(H2}(B) ; C02-H-327D
(ucs-set-char #x8875 ?$(H2t(B) ; C02-H-3274
(ucs-set-char #x8875 ?$@jR(B) ; J78-@-6A52
(ucs-set-char #x8875 ?$BjR(B) ; J83-B-6A52
(ucs-set-char #x8876 ?$(H2u(B) ; C02-H-3275
(ucs-set-char #x8877 ?$(Cu{(B) ; KS0-C-757B
(ucs-set-char #x8877 ?$(GX/(B) ; C01-G-582F
(ucs-set-char #x8877 ?$@Co(B) ; J78-@-436F
(ucs-set-char #x8877 ?$AVT(B) ; GB0-A-5654
(ucs-set-char #x8877 ?$BCo(B) ; J83-B-436F
(ucs-set-char #x8878 ?$(I3r(B) ; C03-I-3372
(ucs-set-char #x8879 ?$(D\6(B) ; J90-D-5C36
(ucs-set-char #x8879 ?$(GX3(B) ; C01-G-5833
(ucs-set-char #x887A ?$(I3s(B) ; C03-I-3373
(ucs-set-char #x887B ?$(D\7(B) ; J90-D-5C37
(ucs-set-char #x887B ?$(I3u(B) ; C03-I-3375
(ucs-set-char #x887C ?$(H2~(B) ; C02-H-327E
(ucs-set-char #x887D ?$(GX2(B) ; C01-G-5832
(ucs-set-char #x887D ?$@jS(B) ; J78-@-6A53
(ucs-set-char #x887D ?$AqE(B) ; GB0-A-7145
(ucs-set-char #x887D ?$BjS(B) ; J83-B-6A53
(ucs-set-char #x887E ?$(CPZ(B) ; KS0-C-505A
(ucs-set-char #x887E ?$(H2|(B) ; C02-H-327C
(ucs-set-char #x887E ?$@jP(B) ; J78-@-6A50
(ucs-set-char #x887E ?$At@(B) ; GB0-A-7440
(ucs-set-char #x887E ?$BjP(B) ; J83-B-6A50
(ucs-set-char #x887F ?$(CP[(B) ; KS0-C-505B
(ucs-set-char #x887F ?$(H2y(B) ; C02-H-3279
(ucs-set-char #x887F ?$@6^(B) ; J78-@-365E
(ucs-set-char #x887F ?$AqF(B) ; GB0-A-7146
(ucs-set-char #x887F ?$B6^(B) ; J83-B-365E
(ucs-set-char #x8880 ?$(D\8(B) ; J90-D-5C38
(ucs-set-char #x8880 ?$(H2w(B) ; C02-H-3277
(ucs-set-char #x8881 ?$(Cj>(B) ; KS0-C-6A3E
(ucs-set-char #x8881 ?$(GX0(B) ; C01-G-5830
(ucs-set-char #x8881 ?$@jO(B) ; J78-@-6A4F
(ucs-set-char #x8881 ?$AT,(B) ; GB0-A-542C
(ucs-set-char #x8881 ?$BjO(B) ; J83-B-6A4F
(ucs-set-char #x8882 ?$(CY1(B) ; KS0-C-5931
(ucs-set-char #x8882 ?$(GX1(B) ; C01-G-5831
(ucs-set-char #x8882 ?$@jV(B) ; J78-@-6A56
(ucs-set-char #x8882 ?$AqG(B) ; GB0-A-7147
(ucs-set-char #x8882 ?$BjV(B) ; J83-B-6A56
(ucs-set-char #x8883 ?$(H2{(B) ; C02-H-327B
(ucs-set-char #x8884 ?$(I3v(B) ; C03-I-3376
(ucs-set-char #x8884 ?$A0@(B) ; GB0-A-3040
(ucs-set-char #x8885 ?$AtA(B) ; GB0-A-7441
(ucs-set-char #x8888 ?$(CJ7(B) ; KS0-C-4A37
(ucs-set-char #x8888 ?$(G]6(B) ; C01-G-5D36
(ucs-set-char #x8888 ?$@76(B) ; J78-@-3736
(ucs-set-char #x8888 ?$AtB(B) ; GB0-A-7442
(ucs-set-char #x8888 ?$B76(B) ; J83-B-3736
(ucs-set-char #x8889 ?$(H95(B) ; C02-H-3935
(ucs-set-char #x888A ?$(I8r(B) ; C03-I-3872
(ucs-set-char #x888B ?$(CSg(B) ; KS0-C-5367
(ucs-set-char #x888B ?$(G];(B) ; C01-G-5D3B
(ucs-set-char #x888B ?$@B^(B) ; J78-@-425E
(ucs-set-char #x888B ?$A4|(B) ; GB0-A-347C
(ucs-set-char #x888B ?$BB^(B) ; J83-B-425E
(ucs-set-char #x888C ?$(H9E(B) ; C02-H-3945
(ucs-set-char #x888D ?$(Cxe(B) ; KS0-C-7865
(ucs-set-char #x888D ?$(G]:(B) ; C01-G-5D3A
(ucs-set-char #x888D ?$@j\(B) ; J78-@-6A5C
(ucs-set-char #x888D ?$AE[(B) ; GB0-A-455B
(ucs-set-char #x888D ?$Bj\(B) ; J83-B-6A5C
(ucs-set-char #x888E ?$(H9G(B) ; C02-H-3947
(ucs-set-char #x888F ?$(I8n(B) ; C03-I-386E
(ucs-set-char #x8890 ?$(I8t(B) ; C03-I-3874
(ucs-set-char #x8891 ?$(H9;(B) ; C02-H-393B
(ucs-set-char #x8892 ?$(CS2(B) ; KS0-C-5332
(ucs-set-char #x8892 ?$(G]8(B) ; C01-G-5D38
(ucs-set-char #x8892 ?$@jX(B) ; J78-@-6A58
(ucs-set-char #x8892 ?$AL;(B) ; GB0-A-4C3B
(ucs-set-char #x8892 ?$BjX(B) ; J83-B-6A58
(ucs-set-char #x8893 ?$(H9F(B) ; C02-H-3946
(ucs-set-char #x8894 ?$(I8l(B) ; C03-I-386C
(ucs-set-char #x8895 ?$(H96(B) ; C02-H-3936
(ucs-set-char #x8896 ?$(Cb@(B) ; KS0-C-6240
(ucs-set-char #x8896 ?$(G]9(B) ; C01-G-5D39
(ucs-set-char #x8896 ?$@B5(B) ; J78-@-4235
(ucs-set-char #x8896 ?$APd(B) ; GB0-A-5064
(ucs-set-char #x8896 ?$BB5(B) ; J83-B-4235
(ucs-set-char #x8897 ?$(Cr_(B) ; KS0-C-725F
(ucs-set-char #x8897 ?$(H9B(B) ; C02-H-3942
(ucs-set-char #x8897 ?$@jW(B) ; J78-@-6A57
(ucs-set-char #x8897 ?$BjW(B) ; J83-B-6A57
(ucs-set-char #x8898 ?$(D\9(B) ; J90-D-5C39
(ucs-set-char #x8898 ?$(H9>(B) ; C02-H-393E
(ucs-set-char #x8899 ?$(H9@(B) ; C02-H-3940
(ucs-set-char #x8899 ?$@jZ(B) ; J78-@-6A5A
(ucs-set-char #x8899 ?$BjZ(B) ; J83-B-6A5A
(ucs-set-char #x889A ?$(D\:(B) ; J90-D-5C3A
(ucs-set-char #x889A ?$(H9:(B) ; C02-H-393A
(ucs-set-char #x889B ?$(D\;(B) ; J90-D-5C3B
(ucs-set-char #x889B ?$(H9A(B) ; C02-H-3941
(ucs-set-char #x889C ?$(D\<(B) ; J90-D-5C3C
(ucs-set-char #x889C ?$(I8k(B) ; C03-I-386B
(ucs-set-char #x889C ?$AM`(B) ; GB0-A-4D60
(ucs-set-char #x889D ?$(J5/(B) ; C04-J-352F
(ucs-set-char #x889E ?$(CMe(B) ; KS0-C-4D65
(ucs-set-char #x889E ?$(G]5(B) ; C01-G-5D35
(ucs-set-char #x889E ?$@jQ(B) ; J78-@-6A51
(ucs-set-char #x889E ?$BjQ(B) ; J83-B-6A51
(ucs-set-char #x889F ?$(D\=(B) ; J90-D-5C3D
(ucs-set-char #x889F ?$(H9=(B) ; C02-H-393D
(ucs-set-char #x88A0 ?$(D\>(B) ; J90-D-5C3E
(ucs-set-char #x88A0 ?$(I8s(B) ; C03-I-3873
(ucs-set-char #x88A1 ?$(H9<(B) ; C02-H-393C
(ucs-set-char #x88A2 ?$(H98(B) ; C02-H-3938
(ucs-set-char #x88A2 ?$@j[(B) ; J78-@-6A5B
(ucs-set-char #x88A2 ?$AqH(B) ; GB0-A-7148
(ucs-set-char #x88A2 ?$Bj[(B) ; J83-B-6A5B
(ucs-set-char #x88A3 ?$(I8m(B) ; C03-I-386D
(ucs-set-char #x88A4 ?$(H9C(B) ; C02-H-3943
(ucs-set-char #x88A4 ?$@j](B) ; J78-@-6A5D
(ucs-set-char #x88A4 ?$AYs(B) ; GB0-A-5973
(ucs-set-char #x88A4 ?$Bj](B) ; J83-B-6A5D
(ucs-set-char #x88A5 ?$(I8o(B) ; C03-I-386F
(ucs-set-char #x88A6 ?$(I8q(B) ; C03-I-3871
(ucs-set-char #x88A7 ?$(H9?(B) ; C02-H-393F
(ucs-set-char #x88A8 ?$(D\?(B) ; J90-D-5C3F
(ucs-set-char #x88A8 ?$(H97(B) ; C02-H-3937
(ucs-set-char #x88A9 ?$(I8p(B) ; C03-I-3870
(ucs-set-char #x88AA ?$(D\@(B) ; J90-D-5C40
(ucs-set-char #x88AA ?$(H99(B) ; C02-H-3939
(ucs-set-char #x88AB ?$(Cy,(B) ; KS0-C-792C
(ucs-set-char #x88AB ?$(G]7(B) ; C01-G-5D37
(ucs-set-char #x88AB ?$@Ho(B) ; J78-@-486F
(ucs-set-char #x88AB ?$A1;(B) ; GB0-A-313B
(ucs-set-char #x88AB ?$BHo(B) ; J83-B-486F
(ucs-set-char #x88AC ?$(H9D(B) ; C02-H-3944
(ucs-set-char #x88AD ?$AO.(B) ; GB0-A-4F2E
(ucs-set-char #x88AE ?$@jY(B) ; J78-@-6A59
(ucs-set-char #x88AE ?$BjY(B) ; J83-B-6A59
(ucs-set-char #x88B0 ?$@j^(B) ; J78-@-6A5E
(ucs-set-char #x88B0 ?$Bj^(B) ; J83-B-6A5E
(ucs-set-char #x88B1 ?$(Ga|(B) ; C01-G-617C
(ucs-set-char #x88B1 ?$@j`(B) ; J78-@-6A60
(ucs-set-char #x88B1 ?$A8$(B) ; GB0-A-3824
(ucs-set-char #x88B1 ?$Bj`(B) ; J83-B-6A60
(ucs-set-char #x88B2 ?$(H@3(B) ; C02-H-4033
(ucs-set-char #x88B3 ?$(J:{(B) ; C04-J-3A7B
(ucs-set-char #x88B4 ?$(CMM(B) ; KS0-C-4D4D
(ucs-set-char #x88B4 ?$(I>p(B) ; C03-I-3E70
(ucs-set-char #x88B4 ?$@8S(B) ; J78-@-3853
(ucs-set-char #x88B4 ?$B8S(B) ; J83-B-3853
(ucs-set-char #x88B5 ?$(I>r(B) ; C03-I-3E72
(ucs-set-char #x88B5 ?$@jT(B) ; J78-@-6A54
(ucs-set-char #x88B5 ?$BjT(B) ; J83-B-6A54
(ucs-set-char #x88B6 ?$(H@/(B) ; C02-H-402F
(ucs-set-char #x88B7 ?$(H@1(B) ; C02-H-4031
(ucs-set-char #x88B7 ?$@0A(B) ; J78-@-3041
(ucs-set-char #x88B7 ?$AqJ(B) ; GB0-A-714A
(ucs-set-char #x88B7 ?$B0A(B) ; J83-B-3041
(ucs-set-char #x88B8 ?$(H@,(B) ; C02-H-402C
(ucs-set-char #x88B9 ?$(H@+(B) ; C02-H-402B
(ucs-set-char #x88BA ?$(D\A(B) ; J90-D-5C41
(ucs-set-char #x88BA ?$(H@)(B) ; C02-H-4029
(ucs-set-char #x88BB ?$(I>m(B) ; C03-I-3E6D
(ucs-set-char #x88BC ?$(H@0(B) ; C02-H-4030
(ucs-set-char #x88BC ?$AqK(B) ; GB0-A-714B
(ucs-set-char #x88BD ?$(D\B(B) ; J90-D-5C42
(ucs-set-char #x88BD ?$(H@2(B) ; C02-H-4032
(ucs-set-char #x88BE ?$(D\C(B) ; J90-D-5C43
(ucs-set-char #x88BE ?$(H@.(B) ; C02-H-402E
(ucs-set-char #x88BF ?$(I>o(B) ; C03-I-3E6F
(ucs-set-char #x88BF ?$@j_(B) ; J78-@-6A5F
(ucs-set-char #x88BF ?$Bj_(B) ; J83-B-6A5F
(ucs-set-char #x88C0 ?$(D\D(B) ; J90-D-5C44
(ucs-set-char #x88C0 ?$(H@-(B) ; C02-H-402D
(ucs-set-char #x88C1 ?$(Cn.(B) ; KS0-C-6E2E
(ucs-set-char #x88C1 ?$(Gaz(B) ; C01-G-617A
(ucs-set-char #x88C1 ?$@:[(B) ; J78-@-3A5B
(ucs-set-char #x88C1 ?$A2C(B) ; GB0-A-3243
(ucs-set-char #x88C1 ?$B:[(B) ; J83-B-3A5B
(ucs-set-char #x88C2 ?$(CV.(B) ; KS0-C-562E
(ucs-set-char #x88C2 ?$(Ga{(B) ; C01-G-617B
(ucs-set-char #x88C2 ?$@Nv(B) ; J78-@-4E76
(ucs-set-char #x88C2 ?$AAQ(B) ; GB0-A-4151
(ucs-set-char #x88C2 ?$BNv(B) ; J83-B-4E76
(ucs-set-char #x88C3 ?$@ja(B) ; J78-@-6A61
(ucs-set-char #x88C3 ?$Bja(B) ; J83-B-6A61
(ucs-set-char #x88C4 ?$@jb(B) ; J78-@-6A62
(ucs-set-char #x88C4 ?$Bjb(B) ; J83-B-6A62
(ucs-set-char #x88C5 ?$@Au(B) ; J78-@-4175
(ucs-set-char #x88C5 ?$AW0(B) ; GB0-A-5730
(ucs-set-char #x88C5 ?$BAu(B) ; J83-B-4175
(ucs-set-char #x88C6 ?$AqI(B) ; GB0-A-7149
(ucs-set-char #x88C9 ?$(H@5(B) ; C02-H-4035
(ucs-set-char #x88C9 ?$AqL(B) ; GB0-A-714C
(ucs-set-char #x88CA ?$(D\E(B) ; J90-D-5C45
(ucs-set-char #x88CA ?$(GfT(B) ; C01-G-6654
(ucs-set-char #x88CB ?$(D\F(B) ; J90-D-5C46
(ucs-set-char #x88CB ?$(HG9(B) ; C02-H-4739
(ucs-set-char #x88CC ?$(D\G(B) ; J90-D-5C47
(ucs-set-char #x88CC ?$(HG?(B) ; C02-H-473F
(ucs-set-char #x88CD ?$(D\H(B) ; J90-D-5C48
(ucs-set-char #x88CD ?$(HG:(B) ; C02-H-473A
(ucs-set-char #x88CE ?$(D\I(B) ; J90-D-5C49
(ucs-set-char #x88CE ?$(HG;(B) ; C02-H-473B
(ucs-set-char #x88CE ?$AqN(B) ; GB0-A-714E
(ucs-set-char #x88CF ?$(CWj(B) ; KS0-C-576A
(ucs-set-char #x88CF ?$(IDN(B) ; C03-I-444E
(ucs-set-char #x88CF ?$@N"(B) ; J78-@-4E22
(ucs-set-char #x88CF ?$BN"(B) ; J83-B-4E22
(ucs-set-char #x88D0 ?$(HG@(B) ; C02-H-4740
(ucs-set-char #x88D1 ?$(D\J(B) ; J90-D-5C4A
(ucs-set-char #x88D1 ?$(KBl(B) ; C05-K-426C
(ucs-set-char #x88D2 ?$(D\K(B) ; J90-D-5C4B
(ucs-set-char #x88D2 ?$(GfV(B) ; C01-G-6656
(ucs-set-char #x88D2 ?$AYv(B) ; GB0-A-5976
(ucs-set-char #x88D3 ?$(D\L(B) ; J90-D-5C4C
(ucs-set-char #x88D3 ?$(J@a(B) ; C04-J-4061
(ucs-set-char #x88D4 ?$(Cg`(B) ; KS0-C-6760
(ucs-set-char #x88D4 ?$(GfN(B) ; C01-G-664E
(ucs-set-char #x88D4 ?$@jc(B) ; J78-@-6A63
(ucs-set-char #x88D4 ?$ARa(B) ; GB0-A-5261
(ucs-set-char #x88D4 ?$Bjc(B) ; J83-B-6A63
(ucs-set-char #x88D5 ?$(Ck.(B) ; KS0-C-6B2E
(ucs-set-char #x88D5 ?$(GfU(B) ; C01-G-6655
(ucs-set-char #x88D5 ?$@M5(B) ; J78-@-4D35
(ucs-set-char #x88D5 ?$AT#(B) ; GB0-A-5423
(ucs-set-char #x88D5 ?$BM5(B) ; J83-B-4D35
(ucs-set-char #x88D6 ?$(HG8(B) ; C02-H-4738
(ucs-set-char #x88D7 ?$(H@*(B) ; C02-H-402A
(ucs-set-char #x88D8 ?$(GfQ(B) ; C01-G-6651
(ucs-set-char #x88D8 ?$@jd(B) ; J78-@-6A64
(ucs-set-char #x88D8 ?$AtC(B) ; GB0-A-7443
(ucs-set-char #x88D8 ?$Bjd(B) ; J83-B-6A64
(ucs-set-char #x88D9 ?$(COY(B) ; KS0-C-4F59
(ucs-set-char #x88D9 ?$(GfO(B) ; C01-G-664F
(ucs-set-char #x88D9 ?$@je(B) ; J78-@-6A65
(ucs-set-char #x88D9 ?$AH9(B) ; GB0-A-4839
(ucs-set-char #x88D9 ?$Bje(B) ; J83-B-6A65
(ucs-set-char #x88DA ?$(HG>(B) ; C02-H-473E
(ucs-set-char #x88DB ?$(D\M(B) ; J90-D-5C4D
(ucs-set-char #x88DB ?$(HG=(B) ; C02-H-473D
(ucs-set-char #x88DC ?$(C\M(B) ; KS0-C-5C4D
(ucs-set-char #x88DC ?$(GfP(B) ; C01-G-6650
(ucs-set-char #x88DC ?$@Jd(B) ; J78-@-4A64
(ucs-set-char #x88DC ?$BJd(B) ; J83-B-4A64
(ucs-set-char #x88DD ?$(Cm{(B) ; KS0-C-6D7B
(ucs-set-char #x88DD ?$(GfR(B) ; C01-G-6652
(ucs-set-char #x88DD ?$@jf(B) ; J78-@-6A66
(ucs-set-char #x88DD ?$Bjf(B) ; J83-B-6A66
(ucs-set-char #x88DE ?$(D\N(B) ; J90-D-5C4E
(ucs-set-char #x88DE ?$(HG<(B) ; C02-H-473C
(ucs-set-char #x88DF ?$(C^p(B) ; KS0-C-5E70
(ucs-set-char #x88DF ?$(GfM(B) ; C01-G-664D
(ucs-set-char #x88DF ?$@:@(B) ; J78-@-3A40
(ucs-set-char #x88DF ?$AtD(B) ; GB0-A-7444
(ucs-set-char #x88DF ?$B:@(B) ; J83-B-3A40
(ucs-set-char #x88E0 ?$(IDO(B) ; C03-I-444F
(ucs-set-char #x88E1 ?$(CWk(B) ; KS0-C-576B
(ucs-set-char #x88E1 ?$(GfS(B) ; C01-G-6653
(ucs-set-char #x88E1 ?$@N#(B) ; J78-@-4E23
(ucs-set-char #x88E1 ?$BN#(B) ; J83-B-4E23
(ucs-set-char #x88E2 ?$AqM(B) ; GB0-A-714D
(ucs-set-char #x88E3 ?$AqO(B) ; GB0-A-714F
(ucs-set-char #x88E4 ?$A?c(B) ; GB0-A-3F63
(ucs-set-char #x88E5 ?$AqP(B) ; GB0-A-7150
(ucs-set-char #x88E6 ?$(IN`(B) ; C03-I-4E60
(ucs-set-char #x88E7 ?$(D\O(B) ; J90-D-5C4F
(ucs-set-char #x88E7 ?$(HM}(B) ; C02-H-4D7D
(ucs-set-char #x88E8 ?$(C^%(B) ; KS0-C-5E25
(ucs-set-char #x88E8 ?$(Gj|(B) ; C01-G-6A7C
(ucs-set-char #x88E8 ?$@jk(B) ; J78-@-6A6B
(ucs-set-char #x88E8 ?$AqT(B) ; GB0-A-7154
(ucs-set-char #x88E8 ?$Bjk(B) ; J83-B-6A6B
(ucs-set-char #x88E9 ?$(IIY(B) ; C03-I-4959
(ucs-set-char #x88EA ?$(IIR(B) ; C03-I-4952
(ucs-set-char #x88EB ?$(HN*(B) ; C02-H-4E2A
(ucs-set-char #x88EC ?$(HN)(B) ; C02-H-4E29
(ucs-set-char #x88ED ?$(IIW(B) ; C03-I-4957
(ucs-set-char #x88EE ?$(HN$(B) ; C02-H-4E24
(ucs-set-char #x88EF ?$(D\P(B) ; J90-D-5C50
(ucs-set-char #x88EF ?$(Gj~(B) ; C01-G-6A7E
(ucs-set-char #x88F0 ?$(D\Q(B) ; J90-D-5C51
(ucs-set-char #x88F0 ?$(HN((B) ; C02-H-4E28
(ucs-set-char #x88F0 ?$AqV(B) ; GB0-A-7156
(ucs-set-char #x88F1 ?$(D\R(B) ; J90-D-5C52
(ucs-set-char #x88F1 ?$(HM~(B) ; C02-H-4D7E
(ucs-set-char #x88F1 ?$AqQ(B) ; GB0-A-7151
(ucs-set-char #x88F2 ?$(HN!(B) ; C02-H-4E21
(ucs-set-char #x88F2 ?$@jl(B) ; J78-@-6A6C
(ucs-set-char #x88F2 ?$Bjl(B) ; J83-B-6A6C
(ucs-set-char #x88F3 ?$(C_W(B) ; KS0-C-5F57
(ucs-set-char #x88F3 ?$(Gjv(B) ; C01-G-6A76
(ucs-set-char #x88F3 ?$@>X(B) ; J78-@-3E58
(ucs-set-char #x88F3 ?$AIQ(B) ; GB0-A-4951
(ucs-set-char #x88F3 ?$B>X(B) ; J83-B-3E58
(ucs-set-char #x88F4 ?$(C[P(B) ; KS0-C-5B50
(ucs-set-char #x88F4 ?$(Gjx(B) ; C01-G-6A78
(ucs-set-char #x88F4 ?$@jj(B) ; J78-@-6A6A
(ucs-set-char #x88F4 ?$AEa(B) ; GB0-A-4561
(ucs-set-char #x88F4 ?$Bjj(B) ; J83-B-6A6A
(ucs-set-char #x88F5 ?$(C[Q(B) ; KS0-C-5B51
(ucs-set-char #x88F5 ?$(D\S(B) ; J90-D-5C53
(ucs-set-char #x88F5 ?$(IIT(B) ; C03-I-4954
(ucs-set-char #x88F6 ?$(HN&(B) ; C02-H-4E26
(ucs-set-char #x88F7 ?$(D\T(B) ; J90-D-5C54
(ucs-set-char #x88F7 ?$(HM|(B) ; C02-H-4D7C
(ucs-set-char #x88F8 ?$(CU#(B) ; KS0-C-5523
(ucs-set-char #x88F8 ?$(Gjz(B) ; C01-G-6A7A
(ucs-set-char #x88F8 ?$@Mg(B) ; J78-@-4D67
(ucs-set-char #x88F8 ?$ABc(B) ; GB0-A-4263
(ucs-set-char #x88F8 ?$BMg(B) ; J83-B-4D67
(ucs-set-char #x88F9 ?$(Gjy(B) ; C01-G-6A79
(ucs-set-char #x88F9 ?$@jg(B) ; J78-@-6A67
(ucs-set-char #x88F9 ?$A9|(B) ; GB0-A-397C
(ucs-set-char #x88F9 ?$Bjg(B) ; J83-B-6A67
(ucs-set-char #x88FA ?$(HN"(B) ; C02-H-4E22
(ucs-set-char #x88FB ?$(HN'(B) ; C02-H-4E27
(ucs-set-char #x88FC ?$(HN%(B) ; C02-H-4E25
(ucs-set-char #x88FC ?$@ji(B) ; J78-@-6A69
(ucs-set-char #x88FC ?$AqS(B) ; GB0-A-7153
(ucs-set-char #x88FC ?$Bji(B) ; J83-B-6A69
(ucs-set-char #x88FD ?$(Cp2(B) ; KS0-C-7032
(ucs-set-char #x88FD ?$(Gj{(B) ; C01-G-6A7B
(ucs-set-char #x88FD ?$@@=(B) ; J78-@-403D
(ucs-set-char #x88FD ?$B@=(B) ; J83-B-403D
(ucs-set-char #x88FE ?$(HN#(B) ; C02-H-4E23
(ucs-set-char #x88FE ?$@?~(B) ; J78-@-3F7E
(ucs-set-char #x88FE ?$AqU(B) ; GB0-A-7155
(ucs-set-char #x88FE ?$B?~(B) ; J83-B-3F7E
(ucs-set-char #x88FF ?$(IIQ(B) ; C03-I-4951
(ucs-set-char #x8900 ?$(IIV(B) ; C03-I-4956
(ucs-set-char #x8901 ?$(D\U(B) ; J90-D-5C55
(ucs-set-char #x8901 ?$(H@4(B) ; C02-H-4034
(ucs-set-char #x8902 ?$(Gjw(B) ; C01-G-6A77
(ucs-set-char #x8902 ?$@jh(B) ; J78-@-6A68
(ucs-set-char #x8902 ?$A9S(B) ; GB0-A-3953
(ucs-set-char #x8902 ?$Bjh(B) ; J83-B-6A68
(ucs-set-char #x8903 ?$(IIX(B) ; C03-I-4958
(ucs-set-char #x8904 ?$@jm(B) ; J78-@-6A6D
(ucs-set-char #x8904 ?$Bjm(B) ; J83-B-6A6D
(ucs-set-char #x8905 ?$(HT+(B) ; C02-H-542B
(ucs-set-char #x8906 ?$(D\V(B) ; J90-D-5C56
(ucs-set-char #x8906 ?$(HT2(B) ; C02-H-5432
(ucs-set-char #x8907 ?$(C\\(B) ; KS0-C-5C5C
(ucs-set-char #x8907 ?$(Gno(B) ; C01-G-6E6F
(ucs-set-char #x8907 ?$@J#(B) ; J78-@-4A23
(ucs-set-char #x8907 ?$BJ#(B) ; J83-B-4A23
(ucs-set-char #x8908 ?$(JMF(B) ; C04-J-4D46
(ucs-set-char #x8909 ?$(HT6(B) ; C02-H-5436
(ucs-set-char #x890A ?$(Gns(B) ; C01-G-6E73
(ucs-set-char #x890A ?$@jo(B) ; J78-@-6A6F
(ucs-set-char #x890A ?$Aq[(B) ; GB0-A-715B
(ucs-set-char #x890A ?$Bjo(B) ; J83-B-6A6F
(ucs-set-char #x890B ?$(HT.(B) ; C02-H-542E
(ucs-set-char #x890C ?$(HT,(B) ; C02-H-542C
(ucs-set-char #x890C ?$@jn(B) ; J78-@-6A6E
(ucs-set-char #x890C ?$Bjn(B) ; J83-B-6A6E
(ucs-set-char #x890D ?$(D\W(B) ; J90-D-5C57
(ucs-set-char #x890D ?$(JM>(B) ; C04-J-4D3E
(ucs-set-char #x890E ?$(D\X(B) ; J90-D-5C58
(ucs-set-char #x890E ?$(HT5(B) ; C02-H-5435
(ucs-set-char #x890F ?$(D\Y(B) ; J90-D-5C59
(ucs-set-char #x890F ?$(INa(B) ; C03-I-4E61
(ucs-set-char #x8910 ?$(CJh(B) ; KS0-C-4A68
(ucs-set-char #x8910 ?$(Gnn(B) ; C01-G-6E6E
(ucs-set-char #x8910 ?$@3l(B) ; J78-@-336C
(ucs-set-char #x8910 ?$A:V(B) ; GB0-A-3A56
(ucs-set-char #x8910 ?$B3l(B) ; J83-B-336C
(ucs-set-char #x8911 ?$(HT4(B) ; C02-H-5434
(ucs-set-char #x8912 ?$(Cxf(B) ; KS0-C-7866
(ucs-set-char #x8912 ?$(Gnp(B) ; C01-G-6E70
(ucs-set-char #x8912 ?$@K+(B) ; J78-@-4B2B
(ucs-set-char #x8912 ?$A0}(B) ; GB0-A-307D
(ucs-set-char #x8912 ?$BK+(B) ; J83-B-4B2B
(ucs-set-char #x8913 ?$(C\N(B) ; KS0-C-5C4E
(ucs-set-char #x8913 ?$(Gnq(B) ; C01-G-6E71
(ucs-set-char #x8913 ?$@jp(B) ; J78-@-6A70
(ucs-set-char #x8913 ?$AqY(B) ; GB0-A-7159
(ucs-set-char #x8913 ?$Bjp(B) ; J83-B-6A70
(ucs-set-char #x8914 ?$(HT-(B) ; C02-H-542D
(ucs-set-char #x8915 ?$(D\Z(B) ; J90-D-5C5A
(ucs-set-char #x8915 ?$(Gnr(B) ; C01-G-6E72
(ucs-set-char #x8916 ?$(D\[(B) ; J90-D-5C5B
(ucs-set-char #x8916 ?$(HT3(B) ; C02-H-5433
(ucs-set-char #x8917 ?$(HT/(B) ; C02-H-542F
(ucs-set-char #x8918 ?$(Cj\(B) ; KS0-C-6A5C
(ucs-set-char #x8918 ?$(D\\(B) ; J90-D-5C5C
(ucs-set-char #x8918 ?$(HT0(B) ; C02-H-5430
(ucs-set-char #x8919 ?$(C[R(B) ; KS0-C-5B52
(ucs-set-char #x8919 ?$(D\](B) ; J90-D-5C5D
(ucs-set-char #x8919 ?$(HT1(B) ; C02-H-5431
(ucs-set-char #x8919 ?$AqX(B) ; GB0-A-7158
(ucs-set-char #x891A ?$(D\^(B) ; J90-D-5C5E
(ucs-set-char #x891A ?$(Gj}(B) ; C01-G-6A7D
(ucs-set-char #x891A ?$AqR(B) ; GB0-A-7152
(ucs-set-char #x891B ?$(INb(B) ; C03-I-4E62
(ucs-set-char #x891B ?$AqZ(B) ; GB0-A-715A
(ucs-set-char #x891C ?$(D\_(B) ; J90-D-5C5F
(ucs-set-char #x891D ?$@j|(B) ; J78-@-6A7C
(ucs-set-char #x891D ?$Bj|(B) ; J83-B-6A7C
(ucs-set-char #x891E ?$(HZ>(B) ; C02-H-5A3E
(ucs-set-char #x891E ?$@jr(B) ; J78-@-6A72
(ucs-set-char #x891E ?$Bjr(B) ; J83-B-6A72
(ucs-set-char #x891F ?$(HZJ(B) ; C02-H-5A4A
(ucs-set-char #x8920 ?$(D\`(B) ; J90-D-5C60
(ucs-set-char #x8920 ?$(JSS(B) ; C04-J-5353
(ucs-set-char #x8921 ?$(Gr4(B) ; C01-G-7234
(ucs-set-char #x8921 ?$AqW(B) ; GB0-A-7157
(ucs-set-char #x8922 ?$(HZE(B) ; C02-H-5A45
(ucs-set-char #x8923 ?$(HZG(B) ; C02-H-5A47
(ucs-set-char #x8924 ?$(IRe(B) ; C03-I-5265
(ucs-set-char #x8925 ?$(Ci3(B) ; KS0-C-6933
(ucs-set-char #x8925 ?$(Gr2(B) ; C01-G-7232
(ucs-set-char #x8925 ?$@js(B) ; J78-@-6A73
(ucs-set-char #x8925 ?$AHl(B) ; GB0-A-486C
(ucs-set-char #x8925 ?$Bjs(B) ; J83-B-6A73
(ucs-set-char #x8926 ?$(D\a(B) ; J90-D-5C61
(ucs-set-char #x8926 ?$(HZ?(B) ; C02-H-5A3F
(ucs-set-char #x8927 ?$(D\b(B) ; J90-D-5C62
(ucs-set-char #x8927 ?$(HZC(B) ; C02-H-5A43
(ucs-set-char #x8928 ?$(D\c(B) ; J90-D-5C63
(ucs-set-char #x8928 ?$(JSP(B) ; C04-J-5350
(ucs-set-char #x8929 ?$(HZF(B) ; C02-H-5A46
(ucs-set-char #x892A ?$(Cw[(B) ; KS0-C-775B
(ucs-set-char #x892A ?$(Gr0(B) ; C01-G-7230
(ucs-set-char #x892A ?$@jt(B) ; J78-@-6A74
(ucs-set-char #x892A ?$AMJ(B) ; GB0-A-4D4A
(ucs-set-char #x892A ?$Bjt(B) ; J83-B-6A74
(ucs-set-char #x892B ?$(Gr3(B) ; C01-G-7233
(ucs-set-char #x892B ?$@ju(B) ; J78-@-6A75
(ucs-set-char #x892B ?$Aq](B) ; GB0-A-715D
(ucs-set-char #x892B ?$Bju(B) ; J83-B-6A75
(ucs-set-char #x892C ?$(HZI(B) ; C02-H-5A49
(ucs-set-char #x892D ?$(HZA(B) ; C02-H-5A41
(ucs-set-char #x892E ?$(HZB(B) ; C02-H-5A42
(ucs-set-char #x892F ?$(HZH(B) ; C02-H-5A48
(ucs-set-char #x8930 ?$(D\d(B) ; J90-D-5C64
(ucs-set-char #x8930 ?$(HZ@(B) ; C02-H-5A40
(ucs-set-char #x8930 ?$Ae=(B) ; GB0-A-653D
(ucs-set-char #x8931 ?$(D\e(B) ; J90-D-5C65
(ucs-set-char #x8931 ?$(HZD(B) ; C02-H-5A44
(ucs-set-char #x8932 ?$(D\f(B) ; J90-D-5C66
(ucs-set-char #x8932 ?$(Gr1(B) ; C01-G-7231
(ucs-set-char #x8933 ?$(H_@(B) ; C02-H-5F40
(ucs-set-char #x8934 ?$Aq\(B) ; GB0-A-715C
(ucs-set-char #x8935 ?$(D\g(B) ; J90-D-5C67
(ucs-set-char #x8935 ?$(H_?(B) ; C02-H-5F3F
(ucs-set-char #x8936 ?$(Cc((B) ; KS0-C-6328
(ucs-set-char #x8936 ?$(GuB(B) ; C01-G-7542
(ucs-set-char #x8936 ?$@jy(B) ; J78-@-6A79
(ucs-set-char #x8936 ?$Aq^(B) ; GB0-A-715E
(ucs-set-char #x8936 ?$Bjy(B) ; J83-B-6A79
(ucs-set-char #x8937 ?$(H_E(B) ; C02-H-5F45
(ucs-set-char #x8938 ?$(CW.(B) ; KS0-C-572E
(ucs-set-char #x8938 ?$(GuD(B) ; C01-G-7544
(ucs-set-char #x8938 ?$@jz(B) ; J78-@-6A7A
(ucs-set-char #x8938 ?$Bjz(B) ; J83-B-6A7A
(ucs-set-char #x8939 ?$(D\h(B) ; J90-D-5C68
(ucs-set-char #x8939 ?$(IV@(B) ; C03-I-5640
(ucs-set-char #x893A ?$(D\i(B) ; J90-D-5C69
(ucs-set-char #x893A ?$(JXb(B) ; C04-J-5862
(ucs-set-char #x893B ?$(C`a(B) ; KS0-C-6061
(ucs-set-char #x893B ?$(GuA(B) ; C01-G-7541
(ucs-set-char #x893B ?$@jx(B) ; J78-@-6A78
(ucs-set-char #x893B ?$Bjx(B) ; J83-B-6A78
(ucs-set-char #x893C ?$(H_A(B) ; C02-H-5F41
(ucs-set-char #x893D ?$(GuE(B) ; C01-G-7545
(ucs-set-char #x893E ?$(D\j(B) ; J90-D-5C6A
(ucs-set-char #x893E ?$(H_B(B) ; C02-H-5F42
(ucs-set-char #x893F ?$(IV?(B) ; C03-I-563F
(ucs-set-char #x8940 ?$(D\k(B) ; J90-D-5C6B
(ucs-set-char #x8940 ?$(IV=(B) ; C03-I-563D
(ucs-set-char #x8941 ?$(CK:(B) ; KS0-C-4B3A
(ucs-set-char #x8941 ?$(H_C(B) ; C02-H-5F43
(ucs-set-char #x8941 ?$@jv(B) ; J78-@-6A76
(ucs-set-char #x8941 ?$Aq_(B) ; GB0-A-715F
(ucs-set-char #x8941 ?$Bjv(B) ; J83-B-6A76
(ucs-set-char #x8942 ?$(D\l(B) ; J90-D-5C6C
(ucs-set-char #x8942 ?$(H_F(B) ; C02-H-5F46
(ucs-set-char #x8943 ?$(IVB(B) ; C03-I-5642
(ucs-set-char #x8943 ?$@jq(B) ; J78-@-6A71
(ucs-set-char #x8943 ?$Bjq(B) ; J83-B-6A71
(ucs-set-char #x8944 ?$(CeQ(B) ; KS0-C-6551
(ucs-set-char #x8944 ?$(GuC(B) ; C01-G-7543
(ucs-set-char #x8944 ?$@jw(B) ; J78-@-6A77
(ucs-set-char #x8944 ?$AOe(B) ; GB0-A-4F65
(ucs-set-char #x8944 ?$Bjw(B) ; J83-B-6A77
(ucs-set-char #x8945 ?$(D\m(B) ; J90-D-5C6D
(ucs-set-char #x8946 ?$(D\n(B) ; J90-D-5C6E
(ucs-set-char #x8946 ?$(HcA(B) ; C02-H-6341
(ucs-set-char #x8948 ?$(IXy(B) ; C03-I-5879
(ucs-set-char #x8949 ?$(D\o(B) ; J90-D-5C6F
(ucs-set-char #x8949 ?$(HcD(B) ; C02-H-6344
(ucs-set-char #x894A ?$(IXz(B) ; C03-I-587A
(ucs-set-char #x894B ?$(Hc>(B) ; C02-H-633E
(ucs-set-char #x894C ?$(Hc@(B) ; C02-H-6340
(ucs-set-char #x894C ?$@j{(B) ; J78-@-6A7B
(ucs-set-char #x894C ?$Bj{(B) ; J83-B-6A7B
(ucs-set-char #x894D ?$(IX|(B) ; C03-I-587C
(ucs-set-char #x894D ?$@p7(B) ; J78-@-7037
(ucs-set-char #x894D ?$Bp7(B) ; J83-B-7037
(ucs-set-char #x894E ?$(IX{(B) ; C03-I-587B
(ucs-set-char #x894F ?$(D\p(B) ; J90-D-5C70
(ucs-set-char #x894F ?$(Hc?(B) ; C02-H-633F
(ucs-set-char #x8950 ?$(HcB(B) ; C02-H-6342
(ucs-set-char #x8951 ?$(HcC(B) ; C02-H-6343
(ucs-set-char #x8952 ?$(D\q(B) ; J90-D-5C71
(ucs-set-char #x8952 ?$(H_D(B) ; C02-H-5F44
(ucs-set-char #x8953 ?$(Hc=(B) ; C02-H-633D
(ucs-set-char #x8956 ?$(Gxx(B) ; C01-G-7878
(ucs-set-char #x8956 ?$@2((B) ; J78-@-3228
(ucs-set-char #x8956 ?$B2((B) ; J83-B-3228
(ucs-set-char #x8957 ?$(D\r(B) ; J90-D-5C72
(ucs-set-char #x8957 ?$(Hfw(B) ; C02-H-6677
(ucs-set-char #x8958 ?$(Hfz(B) ; C02-H-667A
(ucs-set-char #x8959 ?$(Hf|(B) ; C02-H-667C
(ucs-set-char #x895A ?$(D\s(B) ; J90-D-5C73
(ucs-set-char #x895A ?$(Hfu(B) ; C02-H-6675
(ucs-set-char #x895B ?$(D\t(B) ; J90-D-5C74
(ucs-set-char #x895B ?$(Hfv(B) ; C02-H-6676
(ucs-set-char #x895C ?$(D\u(B) ; J90-D-5C75
(ucs-set-char #x895C ?$(Hfy(B) ; C02-H-6679
(ucs-set-char #x895D ?$(Hf{(B) ; C02-H-667B
(ucs-set-char #x895E ?$(Gxy(B) ; C01-G-7879
(ucs-set-char #x895E ?$@j~(B) ; J78-@-6A7E
(ucs-set-char #x895E ?$AtE(B) ; GB0-A-7445
(ucs-set-char #x895E ?$Bj~(B) ; J83-B-6A7E
(ucs-set-char #x895F ?$(CP\(B) ; KS0-C-505C
(ucs-set-char #x895F ?$(Gxw(B) ; C01-G-7877
(ucs-set-char #x895F ?$@6_(B) ; J78-@-365F
(ucs-set-char #x895F ?$A=s(B) ; GB0-A-3D73
(ucs-set-char #x895F ?$B6_(B) ; J83-B-365F
(ucs-set-char #x8960 ?$(Gxv(B) ; C01-G-7876
(ucs-set-char #x8960 ?$@j}(B) ; J78-@-6A7D
(ucs-set-char #x8960 ?$Bj}(B) ; J83-B-6A7D
(ucs-set-char #x8961 ?$(D\v(B) ; J90-D-5C76
(ucs-set-char #x8961 ?$(Hfx(B) ; C02-H-6678
(ucs-set-char #x8962 ?$(D\w(B) ; J90-D-5C77
(ucs-set-char #x8962 ?$(Hft(B) ; C02-H-6674
(ucs-set-char #x8963 ?$(D\x(B) ; J90-D-5C78
(ucs-set-char #x8963 ?$(Hiv(B) ; C02-H-6976
(ucs-set-char #x8964 ?$(CUA(B) ; KS0-C-5541
(ucs-set-char #x8964 ?$(Gz;(B) ; C01-G-7A3B
(ucs-set-char #x8964 ?$@k"(B) ; J78-@-6B22
(ucs-set-char #x8964 ?$Bk"(B) ; J83-B-6B22
(ucs-set-char #x8965 ?$(I])(B) ; C03-I-5D29
(ucs-set-char #x8966 ?$(Hiw(B) ; C02-H-6977
(ucs-set-char #x8966 ?$@k!(B) ; J78-@-6B21
(ucs-set-char #x8966 ?$Aq`(B) ; GB0-A-7160
(ucs-set-char #x8966 ?$Bk!(B) ; J83-B-6B21
(ucs-set-char #x8967 ?$(I]((B) ; C03-I-5D28
(ucs-set-char #x8969 ?$(Hl8(B) ; C02-H-6C38
(ucs-set-char #x896A ?$(CXJ(B) ; KS0-C-584A
(ucs-set-char #x896A ?$(G{((B) ; C01-G-7B28
(ucs-set-char #x896A ?$@k$(B) ; J78-@-6B24
(ucs-set-char #x896A ?$Bk$(B) ; J83-B-6B24
(ucs-set-char #x896B ?$(D\y(B) ; J90-D-5C79
(ucs-set-char #x896B ?$(Hl:(B) ; C02-H-6C3A
(ucs-set-char #x896C ?$(G{)(B) ; C01-G-7B29
(ucs-set-char #x896D ?$(Hl7(B) ; C02-H-6C37
(ucs-set-char #x896D ?$@k#(B) ; J78-@-6B23
(ucs-set-char #x896D ?$Bk#(B) ; J83-B-6B23
(ucs-set-char #x896E ?$(D\z(B) ; J90-D-5C7A
(ucs-set-char #x896E ?$(Hl9(B) ; C02-H-6C39
(ucs-set-char #x896F ?$(G{r(B) ; C01-G-7B72
(ucs-set-char #x896F ?$@k%(B) ; J78-@-6B25
(ucs-set-char #x896F ?$Bk%(B) ; J83-B-6B25
(ucs-set-char #x8970 ?$(D\{(B) ; J90-D-5C7B
(ucs-set-char #x8970 ?$(Kt8(B) ; C05-K-7438
(ucs-set-char #x8971 ?$(Hn!(B) ; C02-H-6E21
(ucs-set-char #x8972 ?$(Cc)(B) ; KS0-C-6329
(ucs-set-char #x8972 ?$(G{q(B) ; C01-G-7B71
(ucs-set-char #x8972 ?$@=1(B) ; J78-@-3D31
(ucs-set-char #x8972 ?$B=1(B) ; J83-B-3D31
(ucs-set-char #x8973 ?$(D\|(B) ; J90-D-5C7C
(ucs-set-char #x8973 ?$(HoL(B) ; C02-H-6F4C
(ucs-set-char #x8974 ?$(HoK(B) ; C02-H-6F4B
(ucs-set-char #x8974 ?$@k&(B) ; J78-@-6B26
(ucs-set-char #x8974 ?$Bk&(B) ; J83-B-6B26
(ucs-set-char #x8975 ?$(D\}(B) ; J90-D-5C7D
(ucs-set-char #x8975 ?$(Jl%(B) ; C04-J-6C25
(ucs-set-char #x8976 ?$(HoJ(B) ; C02-H-6F4A
(ucs-set-char #x8977 ?$@k'(B) ; J78-@-6B27
(ucs-set-char #x8977 ?$Bk'(B) ; J83-B-6B27
(ucs-set-char #x8978 ?$(IaI(B) ; C03-I-6149
(ucs-set-char #x8979 ?$(Hq7(B) ; C02-H-7137
(ucs-set-char #x897A ?$(D\~(B) ; J90-D-5C7E
(ucs-set-char #x897A ?$(Hq8(B) ; C02-H-7138
(ucs-set-char #x897B ?$(D]!(B) ; J90-D-5D21
(ucs-set-char #x897B ?$(Hq:(B) ; C02-H-713A
(ucs-set-char #x897B ?$Aqa(B) ; GB0-A-7161
(ucs-set-char #x897C ?$(D]"(B) ; J90-D-5D22
(ucs-set-char #x897C ?$(Hq9(B) ; C02-H-7139
(ucs-set-char #x897D ?$(D]#(B) ; J90-D-5D23
(ucs-set-char #x897D ?$(Ia}(B) ; C03-I-617D
(ucs-set-char #x897E ?$(H"p(B) ; C02-H-2270
(ucs-set-char #x897E ?$@k((B) ; J78-@-6B28
(ucs-set-char #x897E ?$Bk((B) ; J83-B-6B28
(ucs-set-char #x897F ?$(C`$(B) ; KS0-C-6024
(ucs-set-char #x897F ?$(GHi(B) ; C01-G-4869
(ucs-set-char #x897F ?$@@>(B) ; J78-@-403E
(ucs-set-char #x897F ?$ANw(B) ; GB0-A-4E77
(ucs-set-char #x897F ?$B@>(B) ; J83-B-403E
(ucs-set-char #x8981 ?$(Ci)(B) ; KS0-C-6929
(ucs-set-char #x8981 ?$(GSQ(B) ; C01-G-5351
(ucs-set-char #x8981 ?$@MW(B) ; J78-@-4D57
(ucs-set-char #x8981 ?$AR*(B) ; GB0-A-522A
(ucs-set-char #x8981 ?$BMW(B) ; J83-B-4D57
(ucs-set-char #x8982 ?$(H9H(B) ; C02-H-3948
(ucs-set-char #x8983 ?$(CSG(B) ; KS0-C-5347
(ucs-set-char #x8983 ?$(Ga}(B) ; C01-G-617D
(ucs-set-char #x8983 ?$@k)(B) ; J78-@-6B29
(ucs-set-char #x8983 ?$Aq{(B) ; GB0-A-717B
(ucs-set-char #x8983 ?$Bk)(B) ; J83-B-6B29
(ucs-set-char #x8985 ?$(HGA(B) ; C02-H-4741
(ucs-set-char #x8986 ?$(C\](B) ; KS0-C-5C5D
(ucs-set-char #x8986 ?$(Gw;(B) ; C01-G-773B
(ucs-set-char #x8986 ?$@J$(B) ; J78-@-4A24
(ucs-set-char #x8986 ?$A82(B) ; GB0-A-3832
(ucs-set-char #x8986 ?$BJ$(B) ; J83-B-4A24
(ucs-set-char #x8987 ?$(Cx.(B) ; KS0-C-782E
(ucs-set-char #x8987 ?$(I[/(B) ; C03-I-5B2F
(ucs-set-char #x8987 ?$@GF(B) ; J78-@-4746
(ucs-set-char #x8987 ?$BGF(B) ; J83-B-4746
(ucs-set-char #x8988 ?$(Hf}(B) ; C02-H-667D
(ucs-set-char #x8988 ?$@k*(B) ; J78-@-6B2A
(ucs-set-char #x8988 ?$Bk*(B) ; J83-B-6B2A
(ucs-set-char #x8989 ?$(D]$(B) ; J90-D-5D24
(ucs-set-char #x8989 ?$(I`F(B) ; C03-I-6046
(ucs-set-char #x898A ?$(IaJ(B) ; C03-I-614A
(ucs-set-char #x898A ?$@k+(B) ; J78-@-6B2B
(ucs-set-char #x898A ?$Bk+(B) ; J83-B-6B2B
(ucs-set-char #x898B ?$(CL8(B) ; KS0-C-4C38
(ucs-set-char #x898B ?$(GKD(B) ; C01-G-4B44
(ucs-set-char #x898B ?$@8+(B) ; J78-@-382B
(ucs-set-char #x898B ?$B8+(B) ; J83-B-382B
(ucs-set-char #x898C ?$(I/)(B) ; C03-I-2F29
(ucs-set-char #x898D ?$(D]%(B) ; J90-D-5D25
(ucs-set-char #x898D ?$(J/v(B) ; C04-J-2F76
(ucs-set-char #x898E ?$(J/u(B) ; C04-J-2F75
(ucs-set-char #x898F ?$(CP.(B) ; KS0-C-502E
(ucs-set-char #x898F ?$(G]=(B) ; C01-G-5D3D
(ucs-set-char #x898F ?$@5,(B) ; J78-@-352C
(ucs-set-char #x898F ?$B5,(B) ; J83-B-352C
(ucs-set-char #x8990 ?$(D]&(B) ; J90-D-5D26
(ucs-set-char #x8990 ?$(J54(B) ; C04-J-3534
(ucs-set-char #x8991 ?$(I8v(B) ; C03-I-3876
(ucs-set-char #x8992 ?$(I8u(B) ; C03-I-3875
(ucs-set-char #x8993 ?$(CXr(B) ; KS0-C-5872
(ucs-set-char #x8993 ?$(G]<(B) ; C01-G-5D3C
(ucs-set-char #x8993 ?$@k,(B) ; J78-@-6B2C
(ucs-set-char #x8993 ?$Bk,(B) ; J83-B-6B2C
(ucs-set-char #x8994 ?$(D]'(B) ; J90-D-5D27
(ucs-set-char #x8994 ?$(I8w(B) ; C03-I-3877
(ucs-set-char #x8995 ?$(D]((B) ; J90-D-5D28
(ucs-set-char #x8995 ?$(H@6(B) ; C02-H-4036
(ucs-set-char #x8996 ?$(CcJ(B) ; KS0-C-634A
(ucs-set-char #x8996 ?$(Ga~(B) ; C01-G-617E
(ucs-set-char #x8996 ?$@;k(B) ; J78-@-3B6B
(ucs-set-char #x8996 ?$B;k(B) ; J83-B-3B6B
(ucs-set-char #x8997 ?$(H@8(B) ; C02-H-4038
(ucs-set-char #x8997 ?$@GA(B) ; J78-@-4741
(ucs-set-char #x8997 ?$BGA(B) ; J83-B-4741
(ucs-set-char #x8998 ?$(H@7(B) ; C02-H-4037
(ucs-set-char #x8998 ?$@k-(B) ; J78-@-6B2D
(ucs-set-char #x8998 ?$Bk-(B) ; J83-B-6B2D
(ucs-set-char #x8999 ?$(LN`(B) ; C06-L-4E60
(ucs-set-char #x899A ?$(I>t(B) ; C03-I-3E74
(ucs-set-char #x899A ?$@3P(B) ; J78-@-3350
(ucs-set-char #x899A ?$B3P(B) ; J83-B-3350
(ucs-set-char #x899B ?$(D])(B) ; J90-D-5D29
(ucs-set-char #x899B ?$(HGB(B) ; C02-H-4742
(ucs-set-char #x899C ?$(D]*(B) ; J90-D-5D2A
(ucs-set-char #x899C ?$(GfW(B) ; C01-G-6657
(ucs-set-char #x899D ?$(HN+(B) ; C02-H-4E2B
(ucs-set-char #x899E ?$(HN.(B) ; C02-H-4E2E
(ucs-set-char #x899F ?$(D]+(B) ; J90-D-5D2B
(ucs-set-char #x899F ?$(HN-(B) ; C02-H-4E2D
(ucs-set-char #x89A0 ?$(D],(B) ; J90-D-5D2C
(ucs-set-char #x89A0 ?$(JG5(B) ; C04-J-4735
(ucs-set-char #x89A1 ?$(CL/(B) ; KS0-C-4C2F
(ucs-set-char #x89A1 ?$(HN,(B) ; C02-H-4E2C
(ucs-set-char #x89A1 ?$@k.(B) ; J78-@-6B2E
(ucs-set-char #x89A1 ?$Bk.(B) ; J83-B-6B2E
(ucs-set-char #x89A2 ?$(HT7(B) ; C02-H-5437
(ucs-set-char #x89A3 ?$(HT9(B) ; C02-H-5439
(ucs-set-char #x89A4 ?$(HT8(B) ; C02-H-5438
(ucs-set-char #x89A5 ?$(D]-(B) ; J90-D-5D2D
(ucs-set-char #x89A5 ?$(INe(B) ; C03-I-4E65
(ucs-set-char #x89A6 ?$(Gr6(B) ; C01-G-7236
(ucs-set-char #x89A6 ?$@k0(B) ; J78-@-6B30
(ucs-set-char #x89A6 ?$Bk0(B) ; J83-B-6B30
(ucs-set-char #x89A7 ?$(IRf(B) ; C03-I-5266
(ucs-set-char #x89A7 ?$@Mw(B) ; J78-@-4D77
(ucs-set-char #x89A7 ?$BMw(B) ; J83-B-4D77
(ucs-set-char #x89A8 ?$(JSY(B) ; C04-J-5359
(ucs-set-char #x89A9 ?$(CT-(B) ; KS0-C-542D
(ucs-set-char #x89A9 ?$(INd(B) ; C03-I-4E64
(ucs-set-char #x89A9 ?$@k/(B) ; J78-@-6B2F
(ucs-set-char #x89A9 ?$Bk/(B) ; J83-B-6B2F
(ucs-set-char #x89AA ?$(CvQ(B) ; KS0-C-7651
(ucs-set-char #x89AA ?$(Gr5(B) ; C01-G-7235
(ucs-set-char #x89AA ?$@?F(B) ; J78-@-3F46
(ucs-set-char #x89AA ?$B?F(B) ; J83-B-3F46
(ucs-set-char #x89AB ?$(IVF(B) ; C03-I-5646
(ucs-set-char #x89AC ?$(GuF(B) ; C01-G-7546
(ucs-set-char #x89AC ?$@k1(B) ; J78-@-6B31
(ucs-set-char #x89AC ?$Bk1(B) ; J83-B-6B31
(ucs-set-char #x89AD ?$(H_G(B) ; C02-H-5F47
(ucs-set-char #x89AE ?$(H_I(B) ; C02-H-5F49
(ucs-set-char #x89AF ?$(H_H(B) ; C02-H-5F48
(ucs-set-char #x89AF ?$@k2(B) ; J78-@-6B32
(ucs-set-char #x89AF ?$Bk2(B) ; J83-B-6B32
(ucs-set-char #x89B0 ?$(D].(B) ; J90-D-5D2E
(ucs-set-char #x89B0 ?$(IX~(B) ; C03-I-587E
(ucs-set-char #x89B1 ?$(IX}(B) ; C03-I-587D
(ucs-set-char #x89B2 ?$(CPL(B) ; KS0-C-504C
(ucs-set-char #x89B2 ?$(Gw<(B) ; C01-G-773C
(ucs-set-char #x89B2 ?$@k3(B) ; J78-@-6B33
(ucs-set-char #x89B2 ?$Bk3(B) ; J83-B-6B33
(ucs-set-char #x89B3 ?$(IY!(B) ; C03-I-5921
(ucs-set-char #x89B3 ?$@4Q(B) ; J78-@-3451
(ucs-set-char #x89B3 ?$B4Q(B) ; J83-B-3451
(ucs-set-char #x89B4 ?$(D]/(B) ; J90-D-5D2F
(ucs-set-char #x89B4 ?$(Ja/(B) ; C04-J-612F
(ucs-set-char #x89B5 ?$(D]0(B) ; J90-D-5D30
(ucs-set-char #x89B5 ?$(I[1(B) ; C03-I-5B31
(ucs-set-char #x89B6 ?$(D]1(B) ; J90-D-5D31
(ucs-set-char #x89B6 ?$(Hg!(B) ; C02-H-6721
(ucs-set-char #x89B7 ?$(D]2(B) ; J90-D-5D32
(ucs-set-char #x89B7 ?$(Hf~(B) ; C02-H-667E
(ucs-set-char #x89B9 ?$(Hix(B) ; C02-H-6978
(ucs-set-char #x89BA ?$(CJF(B) ; KS0-C-4A46
(ucs-set-char #x89BA ?$(Gz<(B) ; C01-G-7A3C
(ucs-set-char #x89BA ?$@k4(B) ; J78-@-6B34
(ucs-set-char #x89BA ?$Bk4(B) ; J83-B-6B34
(ucs-set-char #x89BB ?$(I]*(B) ; C03-I-5D2A
(ucs-set-char #x89BC ?$(D]3(B) ; J90-D-5D33
(ucs-set-char #x89BC ?$(I^a(B) ; C03-I-5E61
(ucs-set-char #x89BD ?$(CUB(B) ; KS0-C-5542
(ucs-set-char #x89BD ?$(G{*(B) ; C01-G-7B2A
(ucs-set-char #x89BD ?$@k5(B) ; J78-@-6B35
(ucs-set-char #x89BD ?$Bk5(B) ; J83-B-6B35
(ucs-set-char #x89BE ?$(Hn#(B) ; C02-H-6E23
(ucs-set-char #x89BF ?$(Hn"(B) ; C02-H-6E22
(ucs-set-char #x89BF ?$@k6(B) ; J78-@-6B36
(ucs-set-char #x89BF ?$Bk6(B) ; J83-B-6B36
(ucs-set-char #x89C0 ?$(CN:(B) ; KS0-C-4E3A
(ucs-set-char #x89C0 ?$(G}((B) ; C01-G-7D28
(ucs-set-char #x89C0 ?$@k7(B) ; J78-@-6B37
(ucs-set-char #x89C0 ?$Bk7(B) ; J83-B-6B37
(ucs-set-char #x89C1 ?$A<{(B) ; GB0-A-3C7B
(ucs-set-char #x89C2 ?$A9[(B) ; GB0-A-395B
(ucs-set-char #x89C4 ?$A9f(B) ; GB0-A-3966
(ucs-set-char #x89C5 ?$ACY(B) ; GB0-A-4359
(ucs-set-char #x89C6 ?$AJS(B) ; GB0-A-4A53
(ucs-set-char #x89C7 ?$Ajh(B) ; GB0-A-6A68
(ucs-set-char #x89C8 ?$A@@(B) ; GB0-A-4040
(ucs-set-char #x89C9 ?$A>u(B) ; GB0-A-3E75
(ucs-set-char #x89CA ?$Aji(B) ; GB0-A-6A69
(ucs-set-char #x89CB ?$Ajj(B) ; GB0-A-6A6A
(ucs-set-char #x89CC ?$Ajk(B) ; GB0-A-6A6B
(ucs-set-char #x89CE ?$Ajl(B) ; GB0-A-6A6C
(ucs-set-char #x89CF ?$Ajm(B) ; GB0-A-6A6D
(ucs-set-char #x89D0 ?$Ajn(B) ; GB0-A-6A6E
(ucs-set-char #x89D1 ?$Ajo(B) ; GB0-A-6A6F
(ucs-set-char #x89D2 ?$(CJG(B) ; KS0-C-4A47
(ucs-set-char #x89D2 ?$(GKE(B) ; C01-G-4B45
(ucs-set-char #x89D2 ?$@3Q(B) ; J78-@-3351
(ucs-set-char #x89D2 ?$A=G(B) ; GB0-A-3D47
(ucs-set-char #x89D2 ?$B3Q(B) ; J83-B-3351
(ucs-set-char #x89D3 ?$(H-P(B) ; C02-H-2D50
(ucs-set-char #x89D4 ?$(D]4(B) ; J90-D-5D34
(ucs-set-char #x89D4 ?$(GSR(B) ; C01-G-5352
(ucs-set-char #x89D5 ?$(D]5(B) ; J90-D-5D35
(ucs-set-char #x89D5 ?$(H9K(B) ; C02-H-394B
(ucs-set-char #x89D6 ?$(D]6(B) ; J90-D-5D36
(ucs-set-char #x89D6 ?$(H9I(B) ; C02-H-3949
(ucs-set-char #x89D6 ?$Au{(B) ; GB0-A-757B
(ucs-set-char #x89D7 ?$(D]7(B) ; J90-D-5D37
(ucs-set-char #x89D7 ?$(J59(B) ; C04-J-3539
(ucs-set-char #x89D8 ?$(D]8(B) ; J90-D-5D38
(ucs-set-char #x89D8 ?$(J58(B) ; C04-J-3538
(ucs-set-char #x89D9 ?$(H9J(B) ; C02-H-394A
(ucs-set-char #x89DA ?$(H@:(B) ; C02-H-403A
(ucs-set-char #x89DA ?$@k8(B) ; J78-@-6B38
(ucs-set-char #x89DA ?$Au}(B) ; GB0-A-757D
(ucs-set-char #x89DA ?$Bk8(B) ; J83-B-6B38
(ucs-set-char #x89DB ?$(H@;(B) ; C02-H-403B
(ucs-set-char #x89DC ?$(HGI(B) ; C02-H-4749
(ucs-set-char #x89DC ?$@k9(B) ; J78-@-6B39
(ucs-set-char #x89DC ?$Au~(B) ; GB0-A-757E
(ucs-set-char #x89DC ?$Bk9(B) ; J83-B-6B39
(ucs-set-char #x89DD ?$(H@9(B) ; C02-H-4039
(ucs-set-char #x89DD ?$@k:(B) ; J78-@-6B3A
(ucs-set-char #x89DD ?$Bk:(B) ; J83-B-6B3A
(ucs-set-char #x89DE ?$Au|(B) ; GB0-A-757C
(ucs-set-char #x89DF ?$(HGC(B) ; C02-H-4743
(ucs-set-char #x89E0 ?$(HGG(B) ; C02-H-4747
(ucs-set-char #x89E1 ?$(HGF(B) ; C02-H-4746
(ucs-set-char #x89E2 ?$(HGH(B) ; C02-H-4748
(ucs-set-char #x89E3 ?$(Cz0(B) ; KS0-C-7A30
(ucs-set-char #x89E3 ?$(GfX(B) ; C01-G-6658
(ucs-set-char #x89E3 ?$@2r(B) ; J78-@-3272
(ucs-set-char #x89E3 ?$A=b(B) ; GB0-A-3D62
(ucs-set-char #x89E3 ?$B2r(B) ; J83-B-3272
(ucs-set-char #x89E4 ?$(HGE(B) ; C02-H-4745
(ucs-set-char #x89E5 ?$(D]9(B) ; J90-D-5D39
(ucs-set-char #x89E5 ?$(HGD(B) ; C02-H-4744
(ucs-set-char #x89E5 ?$Av!(B) ; GB0-A-7621
(ucs-set-char #x89E6 ?$(HGJ(B) ; C02-H-474A
(ucs-set-char #x89E6 ?$@?((B) ; J78-@-3F28
(ucs-set-char #x89E6 ?$A4%(B) ; GB0-A-3425
(ucs-set-char #x89E6 ?$B?((B) ; J83-B-3F28
(ucs-set-char #x89E7 ?$(IDT(B) ; C03-I-4454
(ucs-set-char #x89E7 ?$@k;(B) ; J78-@-6B3B
(ucs-set-char #x89E7 ?$Bk;(B) ; J83-B-6B3B
(ucs-set-char #x89E8 ?$(HN1(B) ; C02-H-4E31
(ucs-set-char #x89E9 ?$(D]:(B) ; J90-D-5D3A
(ucs-set-char #x89E9 ?$(HN/(B) ; C02-H-4E2F
(ucs-set-char #x89EA ?$(II\(B) ; C03-I-495C
(ucs-set-char #x89EB ?$(D];(B) ; J90-D-5D3B
(ucs-set-char #x89EB ?$(HN0(B) ; C02-H-4E30
(ucs-set-char #x89EB ?$Av"(B) ; GB0-A-7622
(ucs-set-char #x89EC ?$(HT<(B) ; C02-H-543C
(ucs-set-char #x89ED ?$(D]<(B) ; J90-D-5D3C
(ucs-set-char #x89ED ?$(HT:(B) ; C02-H-543A
(ucs-set-char #x89EE ?$(INf(B) ; C03-I-4E66
(ucs-set-char #x89EF ?$Av#(B) ; GB0-A-7623
(ucs-set-char #x89F0 ?$(HT;(B) ; C02-H-543B
(ucs-set-char #x89F1 ?$(D]=(B) ; J90-D-5D3D
(ucs-set-char #x89F1 ?$(HZK(B) ; C02-H-5A4B
(ucs-set-char #x89F2 ?$(H_J(B) ; C02-H-5F4A
(ucs-set-char #x89F3 ?$(D]>(B) ; J90-D-5D3E
(ucs-set-char #x89F3 ?$(H_K(B) ; C02-H-5F4B
(ucs-set-char #x89F3 ?$Al2(B) ; GB0-A-6C32
(ucs-set-char #x89F4 ?$(C_X(B) ; KS0-C-5F58
(ucs-set-char #x89F4 ?$(Gw=(B) ; C01-G-773D
(ucs-set-char #x89F4 ?$@k<(B) ; J78-@-6B3C
(ucs-set-char #x89F4 ?$Bk<(B) ; J83-B-6B3C
(ucs-set-char #x89F5 ?$(I[2(B) ; C03-I-5B32
(ucs-set-char #x89F6 ?$(D]?(B) ; J90-D-5D3F
(ucs-set-char #x89F6 ?$(Hg"(B) ; C02-H-6722
(ucs-set-char #x89F7 ?$(Hiy(B) ; C02-H-6979
(ucs-set-char #x89F8 ?$(Cu:(B) ; KS0-C-753A
(ucs-set-char #x89F8 ?$(Gz=(B) ; C01-G-7A3D
(ucs-set-char #x89F8 ?$@k=(B) ; J78-@-6B3D
(ucs-set-char #x89F8 ?$Bk=(B) ; J83-B-6B3D
(ucs-set-char #x89F9 ?$(D]@(B) ; J90-D-5D40
(ucs-set-char #x89F9 ?$(Ja7(B) ; C04-J-6137
(ucs-set-char #x89FA ?$(Hl;(B) ; C02-H-6C3B
(ucs-set-char #x89FB ?$(Hn$(B) ; C02-H-6E24
(ucs-set-char #x89FC ?$(G{s(B) ; C01-G-7B73
(ucs-set-char #x89FD ?$(D]A(B) ; J90-D-5D41
(ucs-set-char #x89FD ?$(JiE(B) ; C04-J-6945
(ucs-set-char #x89FE ?$(HoM(B) ; C02-H-6F4D
(ucs-set-char #x89FF ?$(D]B(B) ; J90-D-5D42
(ucs-set-char #x89FF ?$(Hq;(B) ; C02-H-713B
(ucs-set-char #x8A00 ?$(Cek(B) ; KS0-C-656B
(ucs-set-char #x8A00 ?$(GKF(B) ; C01-G-4B46
(ucs-set-char #x8A00 ?$@8@(B) ; J78-@-3840
(ucs-set-char #x8A00 ?$AQT(B) ; GB0-A-5154
(ucs-set-char #x8A00 ?$B8@(B) ; J83-B-3840
(ucs-set-char #x8A02 ?$(Cot(B) ; KS0-C-6F74
(ucs-set-char #x8A02 ?$(GST(B) ; C01-G-5354
(ucs-set-char #x8A02 ?$@D{(B) ; J78-@-447B
(ucs-set-char #x8A02 ?$BD{(B) ; J83-B-447B
(ucs-set-char #x8A03 ?$(C]5(B) ; KS0-C-5D35
(ucs-set-char #x8A03 ?$(GSU(B) ; C01-G-5355
(ucs-set-char #x8A03 ?$@k>(B) ; J78-@-6B3E
(ucs-set-char #x8A03 ?$Bk>(B) ; J83-B-6B3E
(ucs-set-char #x8A04 ?$(D]C(B) ; J90-D-5D43
(ucs-set-char #x8A04 ?$(H-Q(B) ; C02-H-2D51
(ucs-set-char #x8A05 ?$(D]D(B) ; J90-D-5D44
(ucs-set-char #x8A05 ?$(I/*(B) ; C03-I-2F2A
(ucs-set-char #x8A06 ?$(I/,(B) ; C03-I-2F2C
(ucs-set-char #x8A07 ?$(D]E(B) ; J90-D-5D45
(ucs-set-char #x8A07 ?$(H-R(B) ; C02-H-2D52
(ucs-set-char #x8A07 ?$AYj(B) ; GB0-A-596A
(ucs-set-char #x8A08 ?$(CM*(B) ; KS0-C-4D2A
(ucs-set-char #x8A08 ?$(GSS(B) ; C01-G-5353
(ucs-set-char #x8A08 ?$@7W(B) ; J78-@-3757
(ucs-set-char #x8A08 ?$B7W(B) ; J83-B-3757
(ucs-set-char #x8A09 ?$(J/|(B) ; C04-J-2F7C
(ucs-set-char #x8A0A ?$(Ccr(B) ; KS0-C-6372
(ucs-set-char #x8A0A ?$(GX9(B) ; C01-G-5839
(ucs-set-char #x8A0A ?$@?V(B) ; J78-@-3F56
(ucs-set-char #x8A0A ?$B?V(B) ; J83-B-3F56
(ucs-set-char #x8A0B ?$(I3{(B) ; C03-I-337B
(ucs-set-char #x8A0C ?$(C{w(B) ; KS0-C-7B77
(ucs-set-char #x8A0C ?$(GX7(B) ; C01-G-5837
(ucs-set-char #x8A0C ?$@kA(B) ; J78-@-6B41
(ucs-set-char #x8A0C ?$BkA(B) ; J83-B-6B41
(ucs-set-char #x8A0D ?$(I3z(B) ; C03-I-337A
(ucs-set-char #x8A0E ?$(CwP(B) ; KS0-C-7750
(ucs-set-char #x8A0E ?$(GX6(B) ; C01-G-5836
(ucs-set-char #x8A0E ?$@F$(B) ; J78-@-4624
(ucs-set-char #x8A0E ?$BF$(B) ; J83-B-4624
(ucs-set-char #x8A0F ?$(D]F(B) ; J90-D-5D46
(ucs-set-char #x8A0F ?$(GX=(B) ; C01-G-583D
(ucs-set-char #x8A10 ?$(GX5(B) ; C01-G-5835
(ucs-set-char #x8A10 ?$@k@(B) ; J78-@-6B40
(ucs-set-char #x8A10 ?$Bk@(B) ; J83-B-6B40
(ucs-set-char #x8A11 ?$(D]G(B) ; J90-D-5D47
(ucs-set-char #x8A11 ?$(GX>(B) ; C01-G-583E
(ucs-set-char #x8A12 ?$(D]H(B) ; J90-D-5D48
(ucs-set-char #x8A12 ?$(H3!(B) ; C02-H-3321
(ucs-set-char #x8A13 ?$(C}:(B) ; KS0-C-7D3A
(ucs-set-char #x8A13 ?$(GX;(B) ; C01-G-583B
(ucs-set-char #x8A13 ?$@71(B) ; J78-@-3731
(ucs-set-char #x8A13 ?$B71(B) ; J83-B-3731
(ucs-set-char #x8A14 ?$(D]I(B) ; J90-D-5D49
(ucs-set-char #x8A14 ?$(J/}(B) ; C04-J-2F7D
(ucs-set-char #x8A15 ?$(D]J(B) ; J90-D-5D4A
(ucs-set-char #x8A15 ?$(GX8(B) ; C01-G-5838
(ucs-set-char #x8A16 ?$(C}a(B) ; KS0-C-7D61
(ucs-set-char #x8A16 ?$(GX<(B) ; C01-G-583C
(ucs-set-char #x8A16 ?$@k?(B) ; J78-@-6B3F
(ucs-set-char #x8A16 ?$Bk?(B) ; J83-B-6B3F
(ucs-set-char #x8A17 ?$(Cv~(B) ; KS0-C-767E
(ucs-set-char #x8A17 ?$(GX:(B) ; C01-G-583A
(ucs-set-char #x8A17 ?$@Bw(B) ; J78-@-4277
(ucs-set-char #x8A17 ?$BBw(B) ; J83-B-4277
(ucs-set-char #x8A18 ?$(CQ@(B) ; KS0-C-5140
(ucs-set-char #x8A18 ?$(GX4(B) ; C01-G-5834
(ucs-set-char #x8A18 ?$@5-(B) ; J78-@-352D
(ucs-set-char #x8A18 ?$B5-(B) ; J83-B-352D
(ucs-set-char #x8A19 ?$(I3|(B) ; C03-I-337C
(ucs-set-char #x8A1B ?$(ChE(B) ; KS0-C-6845
(ucs-set-char #x8A1B ?$(G]E(B) ; C01-G-5D45
(ucs-set-char #x8A1B ?$@kB(B) ; J78-@-6B42
(ucs-set-char #x8A1B ?$BkB(B) ; J83-B-6B42
(ucs-set-char #x8A1C ?$(I8~(B) ; C03-I-387E
(ucs-set-char #x8A1D ?$(Cd8(B) ; KS0-C-6438
(ucs-set-char #x8A1D ?$(G]?(B) ; C01-G-5D3F
(ucs-set-char #x8A1D ?$@kC(B) ; J78-@-6B43
(ucs-set-char #x8A1D ?$BkC(B) ; J83-B-6B43
(ucs-set-char #x8A1E ?$(D]K(B) ; J90-D-5D4B
(ucs-set-char #x8A1E ?$(H9O(B) ; C02-H-394F
(ucs-set-char #x8A1F ?$(Cah(B) ; KS0-C-6168
(ucs-set-char #x8A1F ?$(G]D(B) ; C01-G-5D44
(ucs-set-char #x8A1F ?$@>Y(B) ; J78-@-3E59
(ucs-set-char #x8A1F ?$B>Y(B) ; J83-B-3E59
(ucs-set-char #x8A20 ?$(D]L(B) ; J90-D-5D4C
(ucs-set-char #x8A20 ?$(I9#(B) ; C03-I-3923
(ucs-set-char #x8A21 ?$(I9)(B) ; C03-I-3929
(ucs-set-char #x8A22 ?$(D]M(B) ; J90-D-5D4D
(ucs-set-char #x8A22 ?$(G]F(B) ; C01-G-5D46
(ucs-set-char #x8A23 ?$(CLA(B) ; KS0-C-4C41
(ucs-set-char #x8A23 ?$(G]@(B) ; C01-G-5D40
(ucs-set-char #x8A23 ?$@7m(B) ; J78-@-376D
(ucs-set-char #x8A23 ?$B7m(B) ; J83-B-376D
(ucs-set-char #x8A24 ?$(D]N(B) ; J90-D-5D4E
(ucs-set-char #x8A24 ?$(LDp(B) ; C06-L-4470
(ucs-set-char #x8A25 ?$(CRm(B) ; KS0-C-526D
(ucs-set-char #x8A25 ?$(G]A(B) ; C01-G-5D41
(ucs-set-char #x8A25 ?$@kD(B) ; J78-@-6B44
(ucs-set-char #x8A25 ?$BkD(B) ; J83-B-6B44
(ucs-set-char #x8A26 ?$(D]O(B) ; J90-D-5D4F
(ucs-set-char #x8A26 ?$(I8y(B) ; C03-I-3879
(ucs-set-char #x8A27 ?$(H9M(B) ; C02-H-394D
(ucs-set-char #x8A28 ?$(I8{(B) ; C03-I-387B
(ucs-set-char #x8A29 ?$(I9%(B) ; C03-I-3925
(ucs-set-char #x8A2A ?$(C[>(B) ; KS0-C-5B3E
(ucs-set-char #x8A2A ?$(G]>(B) ; C01-G-5D3E
(ucs-set-char #x8A2A ?$@K,(B) ; J78-@-4B2C
(ucs-set-char #x8A2A ?$BK,(B) ; J83-B-4B2C
(ucs-set-char #x8A2B ?$(D]P(B) ; J90-D-5D50
(ucs-set-char #x8A2B ?$(I9"(B) ; C03-I-3922
(ucs-set-char #x8A2C ?$(D]Q(B) ; J90-D-5D51
(ucs-set-char #x8A2C ?$(H9N(B) ; C02-H-394E
(ucs-set-char #x8A2D ?$(C`b(B) ; KS0-C-6062
(ucs-set-char #x8A2D ?$(G]C(B) ; C01-G-5D43
(ucs-set-char #x8A2D ?$@@_(B) ; J78-@-405F
(ucs-set-char #x8A2D ?$B@_(B) ; J83-B-405F
(ucs-set-char #x8A2E ?$(J5=(B) ; C04-J-353D
(ucs-set-char #x8A2F ?$(D]R(B) ; J90-D-5D52
(ucs-set-char #x8A2F ?$(K5[(B) ; C05-K-355B
(ucs-set-char #x8A30 ?$(H9L(B) ; C02-H-394C
(ucs-set-char #x8A31 ?$(CzI(B) ; KS0-C-7A49
(ucs-set-char #x8A31 ?$(G]B(B) ; C01-G-5D42
(ucs-set-char #x8A31 ?$@5v(B) ; J78-@-3576
(ucs-set-char #x8A31 ?$B5v(B) ; J83-B-3576
(ucs-set-char #x8A32 ?$(I8z(B) ; C03-I-387A
(ucs-set-char #x8A33 ?$@Lu(B) ; J78-@-4C75
(ucs-set-char #x8A33 ?$BLu(B) ; J83-B-4C75
(ucs-set-char #x8A34 ?$(CaM(B) ; KS0-C-614D
(ucs-set-char #x8A34 ?$(Gb+(B) ; C01-G-622B
(ucs-set-char #x8A34 ?$@AJ(B) ; J78-@-414A
(ucs-set-char #x8A34 ?$BAJ(B) ; J83-B-414A
(ucs-set-char #x8A35 ?$(D]S(B) ; J90-D-5D53
(ucs-set-char #x8A35 ?$(I>|(B) ; C03-I-3E7C
(ucs-set-char #x8A36 ?$(CJ8(B) ; KS0-C-4A38
(ucs-set-char #x8A36 ?$(Gb-(B) ; C01-G-622D
(ucs-set-char #x8A36 ?$@kE(B) ; J78-@-6B45
(ucs-set-char #x8A36 ?$BkE(B) ; J83-B-6B45
(ucs-set-char #x8A37 ?$(D]T(B) ; J90-D-5D54
(ucs-set-char #x8A37 ?$(J;/(B) ; C04-J-3B2F
(ucs-set-char #x8A38 ?$(I>}(B) ; C03-I-3E7D
(ucs-set-char #x8A39 ?$(H@>(B) ; C02-H-403E
(ucs-set-char #x8A3A ?$(Cr`(B) ; KS0-C-7260
(ucs-set-char #x8A3A ?$(Gb,(B) ; C01-G-622C
(ucs-set-char #x8A3A ?$@?G(B) ; J78-@-3F47
(ucs-set-char #x8A3A ?$B?G(B) ; J83-B-3F47
(ucs-set-char #x8A3B ?$(CqI(B) ; KS0-C-7149
(ucs-set-char #x8A3B ?$(Gb!(B) ; C01-G-6221
(ucs-set-char #x8A3B ?$@Cp(B) ; J78-@-4370
(ucs-set-char #x8A3B ?$BCp(B) ; J83-B-4370
(ucs-set-char #x8A3C ?$(Gb%(B) ; C01-G-6225
(ucs-set-char #x8A3C ?$@>Z(B) ; J78-@-3E5A
(ucs-set-char #x8A3C ?$B>Z(B) ; J83-B-3E5A
(ucs-set-char #x8A3D ?$(D]U(B) ; J90-D-5D55
(ucs-set-char #x8A3D ?$(I?$(B) ; C03-I-3F24
(ucs-set-char #x8A3E ?$(D]V(B) ; J90-D-5D56
(ucs-set-char #x8A3E ?$(Gfk(B) ; C01-G-666B
(ucs-set-char #x8A3E ?$Av$(B) ; GB0-A-7624
(ucs-set-char #x8A3F ?$(HGO(B) ; C02-H-474F
(ucs-set-char #x8A40 ?$(D]W(B) ; J90-D-5D57
(ucs-set-char #x8A40 ?$(H@@(B) ; C02-H-4040
(ucs-set-char #x8A41 ?$(Gb&(B) ; C01-G-6226
(ucs-set-char #x8A41 ?$@kF(B) ; J78-@-6B46
(ucs-set-char #x8A41 ?$BkF(B) ; J83-B-6B46
(ucs-set-char #x8A42 ?$(I>~(B) ; C03-I-3E7E
(ucs-set-char #x8A43 ?$(D]X(B) ; J90-D-5D58
(ucs-set-char #x8A43 ?$(I>u(B) ; C03-I-3E75
(ucs-set-char #x8A44 ?$(H@C(B) ; C02-H-4043
(ucs-set-char #x8A45 ?$(D]Y(B) ; J90-D-5D59
(ucs-set-char #x8A45 ?$(H@D(B) ; C02-H-4044
(ucs-set-char #x8A46 ?$(Gb*(B) ; C01-G-622A
(ucs-set-char #x8A46 ?$@kI(B) ; J78-@-6B49
(ucs-set-char #x8A46 ?$BkI(B) ; J83-B-6B49
(ucs-set-char #x8A47 ?$(D]Z(B) ; J90-D-5D5A
(ucs-set-char #x8A47 ?$(J;0(B) ; C04-J-3B30
(ucs-set-char #x8A48 ?$(H@F(B) ; C02-H-4046
(ucs-set-char #x8A48 ?$@kJ(B) ; J78-@-6B4A
(ucs-set-char #x8A48 ?$An:(B) ; GB0-A-6E3A
(ucs-set-char #x8A48 ?$BkJ(B) ; J83-B-6B4A
(ucs-set-char #x8A49 ?$(D][(B) ; J90-D-5D5B
(ucs-set-char #x8A49 ?$(I?!(B) ; C03-I-3F21
(ucs-set-char #x8A4A ?$(H@H(B) ; C02-H-4048
(ucs-set-char #x8A4B ?$(I?#(B) ; C03-I-3F23
(ucs-set-char #x8A4C ?$(H@I(B) ; C02-H-4049
(ucs-set-char #x8A4D ?$(D]\(B) ; J90-D-5D5C
(ucs-set-char #x8A4D ?$(H@=(B) ; C02-H-403D
(ucs-set-char #x8A4E ?$(D]](B) ; J90-D-5D5D
(ucs-set-char #x8A4E ?$(H@<(B) ; C02-H-403C
(ucs-set-char #x8A4F ?$(H@J(B) ; C02-H-404A
(ucs-set-char #x8A50 ?$(C^q(B) ; KS0-C-5E71
(ucs-set-char #x8A50 ?$(Gb)(B) ; C01-G-6229
(ucs-set-char #x8A50 ?$@:>(B) ; J78-@-3A3E
(ucs-set-char #x8A50 ?$B:>(B) ; J83-B-3A3E
(ucs-set-char #x8A51 ?$(H@G(B) ; C02-H-4047
(ucs-set-char #x8A51 ?$@BB(B) ; J78-@-4242
(ucs-set-char #x8A51 ?$BBB(B) ; J83-B-4242
(ucs-set-char #x8A52 ?$(H@E(B) ; C02-H-4045
(ucs-set-char #x8A52 ?$@kH(B) ; J78-@-6B48
(ucs-set-char #x8A52 ?$BkH(B) ; J83-B-6B48
(ucs-set-char #x8A53 ?$(D]^(B) ; J90-D-5D5E
(ucs-set-char #x8A53 ?$(J;,(B) ; C04-J-3B2C
(ucs-set-char #x8A54 ?$(Cp_(B) ; KS0-C-705F
(ucs-set-char #x8A54 ?$(Gb'(B) ; C01-G-6227
(ucs-set-char #x8A54 ?$@>[(B) ; J78-@-3E5B
(ucs-set-char #x8A54 ?$B>[(B) ; J83-B-3E5B
(ucs-set-char #x8A55 ?$(CxD(B) ; KS0-C-7844
(ucs-set-char #x8A55 ?$(Gb#(B) ; C01-G-6223
(ucs-set-char #x8A55 ?$@I>(B) ; J78-@-493E
(ucs-set-char #x8A55 ?$BI>(B) ; J83-B-493E
(ucs-set-char #x8A56 ?$(D]_(B) ; J90-D-5D5F
(ucs-set-char #x8A56 ?$(Gb.(B) ; C01-G-622E
(ucs-set-char #x8A57 ?$(D]`(B) ; J90-D-5D60
(ucs-set-char #x8A57 ?$(H@A(B) ; C02-H-4041
(ucs-set-char #x8A58 ?$(D]a(B) ; J90-D-5D61
(ucs-set-char #x8A58 ?$(H@B(B) ; C02-H-4042
(ucs-set-char #x8A59 ?$(H@?(B) ; C02-H-403F
(ucs-set-char #x8A5A ?$(I>x(B) ; C03-I-3E78
(ucs-set-char #x8A5B ?$(CnL(B) ; KS0-C-6E4C
(ucs-set-char #x8A5B ?$(Gb((B) ; C01-G-6228
(ucs-set-char #x8A5B ?$@kG(B) ; J78-@-6B47
(ucs-set-char #x8A5B ?$BkG(B) ; J83-B-6B47
(ucs-set-char #x8A5C ?$(D]b(B) ; J90-D-5D62
(ucs-set-char #x8A5C ?$(J;1(B) ; C04-J-3B31
(ucs-set-char #x8A5D ?$(D]c(B) ; J90-D-5D63
(ucs-set-char #x8A5D ?$(I?"(B) ; C03-I-3F22
(ucs-set-char #x8A5E ?$(C^r(B) ; KS0-C-5E72
(ucs-set-char #x8A5E ?$(Gb$(B) ; C01-G-6224
(ucs-set-char #x8A5E ?$@;l(B) ; J78-@-3B6C
(ucs-set-char #x8A5E ?$B;l(B) ; J83-B-3B6C
(ucs-set-char #x8A60 ?$(CgI(B) ; KS0-C-6749
(ucs-set-char #x8A60 ?$(Gb"(B) ; C01-G-6222
(ucs-set-char #x8A60 ?$@1S(B) ; J78-@-3153
(ucs-set-char #x8A60 ?$B1S(B) ; J83-B-3153
(ucs-set-char #x8A61 ?$(D]d(B) ; J90-D-5D64
(ucs-set-char #x8A61 ?$(HGN(B) ; C02-H-474E
(ucs-set-char #x8A62 ?$(Cbs(B) ; KS0-C-6273
(ucs-set-char #x8A62 ?$(Gff(B) ; C01-G-6666
(ucs-set-char #x8A62 ?$@kN(B) ; J78-@-6B4E
(ucs-set-char #x8A62 ?$BkN(B) ; J83-B-6B4E
(ucs-set-char #x8A63 ?$(Cga(B) ; KS0-C-6761
(ucs-set-char #x8A63 ?$(Gfa(B) ; C01-G-6661
(ucs-set-char #x8A63 ?$@7X(B) ; J78-@-3758
(ucs-set-char #x8A63 ?$B7X(B) ; J83-B-3758
(ucs-set-char #x8A64 ?$(ID`(B) ; C03-I-4460
(ucs-set-char #x8A65 ?$(D]e(B) ; J90-D-5D65
(ucs-set-char #x8A65 ?$(IDY(B) ; C03-I-4459
(ucs-set-char #x8A66 ?$(CcK(B) ; KS0-C-634B
(ucs-set-char #x8A66 ?$(Gf\(B) ; C01-G-665C
(ucs-set-char #x8A66 ?$@;n(B) ; J78-@-3B6E
(ucs-set-char #x8A66 ?$B;n(B) ; J83-B-3B6E
(ucs-set-char #x8A67 ?$(D]f(B) ; J90-D-5D66
(ucs-set-char #x8A67 ?$(IDc(B) ; C03-I-4463
(ucs-set-char #x8A68 ?$(Gfl(B) ; C01-G-666C
(ucs-set-char #x8A69 ?$(CcL(B) ; KS0-C-634C
(ucs-set-char #x8A69 ?$(Gf](B) ; C01-G-665D
(ucs-set-char #x8A69 ?$@;m(B) ; J78-@-3B6D
(ucs-set-char #x8A69 ?$B;m(B) ; J83-B-3B6D
(ucs-set-char #x8A6A ?$(IDU(B) ; C03-I-4455
(ucs-set-char #x8A6B ?$(GfY(B) ; C01-G-6659
(ucs-set-char #x8A6B ?$@OM(B) ; J78-@-4F4D
(ucs-set-char #x8A6B ?$BOM(B) ; J83-B-4F4D
(ucs-set-char #x8A6C ?$(Gfh(B) ; C01-G-6668
(ucs-set-char #x8A6C ?$@kM(B) ; J78-@-6B4D
(ucs-set-char #x8A6C ?$BkM(B) ; J83-B-6B4D
(ucs-set-char #x8A6D ?$(COx(B) ; KS0-C-4F78
(ucs-set-char #x8A6D ?$(Gfe(B) ; C01-G-6665
(ucs-set-char #x8A6D ?$@kL(B) ; J78-@-6B4C
(ucs-set-char #x8A6D ?$BkL(B) ; J83-B-6B4C
(ucs-set-char #x8A6E ?$(Co,(B) ; KS0-C-6F2C
(ucs-set-char #x8A6E ?$(Gfg(B) ; C01-G-6667
(ucs-set-char #x8A6E ?$@A'(B) ; J78-@-4127
(ucs-set-char #x8A6E ?$BA'(B) ; J83-B-4127
(ucs-set-char #x8A6F ?$(IDX(B) ; C03-I-4458
(ucs-set-char #x8A70 ?$(C}~(B) ; KS0-C-7D7E
(ucs-set-char #x8A70 ?$(Gf^(B) ; C01-G-665E
(ucs-set-char #x8A70 ?$@5M(B) ; J78-@-354D
(ucs-set-char #x8A70 ?$B5M(B) ; J83-B-354D
(ucs-set-char #x8A71 ?$(C|%(B) ; KS0-C-7C25
(ucs-set-char #x8A71 ?$(Gfc(B) ; C01-G-6663
(ucs-set-char #x8A71 ?$@OC(B) ; J78-@-4F43
(ucs-set-char #x8A71 ?$BOC(B) ; J83-B-4F43
(ucs-set-char #x8A72 ?$(Cz1(B) ; KS0-C-7A31
(ucs-set-char #x8A72 ?$(GfZ(B) ; C01-G-665A
(ucs-set-char #x8A72 ?$@3:(B) ; J78-@-333A
(ucs-set-char #x8A72 ?$B3:(B) ; J83-B-333A
(ucs-set-char #x8A73 ?$(C_Y(B) ; KS0-C-5F59
(ucs-set-char #x8A73 ?$(Gf[(B) ; C01-G-665B
(ucs-set-char #x8A73 ?$@>\(B) ; J78-@-3E5C
(ucs-set-char #x8A73 ?$B>\(B) ; J83-B-3E5C
(ucs-set-char #x8A74 ?$(HGV(B) ; C02-H-4756
(ucs-set-char #x8A75 ?$(C`R(B) ; KS0-C-6052
(ucs-set-char #x8A75 ?$(D]g(B) ; J90-D-5D67
(ucs-set-char #x8A75 ?$(HGS(B) ; C02-H-4753
(ucs-set-char #x8A76 ?$(D]h(B) ; J90-D-5D68
(ucs-set-char #x8A76 ?$(HGK(B) ; C02-H-474B
(ucs-set-char #x8A77 ?$(D]i(B) ; J90-D-5D69
(ucs-set-char #x8A77 ?$(HGP(B) ; C02-H-4750
(ucs-set-char #x8A78 ?$(ID[(B) ; C03-I-445B
(ucs-set-char #x8A79 ?$(CtZ(B) ; KS0-C-745A
(ucs-set-char #x8A79 ?$(D]j(B) ; J90-D-5D6A
(ucs-set-char #x8A79 ?$(Gfi(B) ; C01-G-6669
(ucs-set-char #x8A79 ?$AU2(B) ; GB0-A-5532
(ucs-set-char #x8A7A ?$(D]k(B) ; J90-D-5D6B
(ucs-set-char #x8A7A ?$(HGW(B) ; C02-H-4757
(ucs-set-char #x8A7B ?$(D]l(B) ; J90-D-5D6C
(ucs-set-char #x8A7B ?$(Gfj(B) ; C01-G-666A
(ucs-set-char #x8A7C ?$(Gf`(B) ; C01-G-6660
(ucs-set-char #x8A7C ?$@kK(B) ; J78-@-6B4B
(ucs-set-char #x8A7C ?$BkK(B) ; J83-B-6B4B
(ucs-set-char #x8A7D ?$(ID\(B) ; C03-I-445C
(ucs-set-char #x8A7E ?$(D]m(B) ; J90-D-5D6D
(ucs-set-char #x8A7E ?$(IDa(B) ; C03-I-4461
(ucs-set-char #x8A7F ?$(D]n(B) ; J90-D-5D6E
(ucs-set-char #x8A7F ?$(HGM(B) ; C02-H-474D
(ucs-set-char #x8A80 ?$(D]o(B) ; J90-D-5D6F
(ucs-set-char #x8A80 ?$(IDV(B) ; C03-I-4456
(ucs-set-char #x8A81 ?$(HGU(B) ; C02-H-4755
(ucs-set-char #x8A82 ?$(HGQ(B) ; C02-H-4751
(ucs-set-char #x8A82 ?$@kP(B) ; J78-@-6B50
(ucs-set-char #x8A82 ?$BkP(B) ; J83-B-6B50
(ucs-set-char #x8A83 ?$(D]p(B) ; J90-D-5D70
(ucs-set-char #x8A83 ?$(HGT(B) ; C02-H-4754
(ucs-set-char #x8A84 ?$(HGR(B) ; C02-H-4752
(ucs-set-char #x8A84 ?$@kQ(B) ; J78-@-6B51
(ucs-set-char #x8A84 ?$BkQ(B) ; J83-B-6B51
(ucs-set-char #x8A85 ?$(CqJ(B) ; KS0-C-714A
(ucs-set-char #x8A85 ?$(Gfd(B) ; C01-G-6664
(ucs-set-char #x8A85 ?$@kO(B) ; J78-@-6B4F
(ucs-set-char #x8A85 ?$BkO(B) ; J83-B-6B4F
(ucs-set-char #x8A86 ?$(D]q(B) ; J90-D-5D71
(ucs-set-char #x8A86 ?$(HGL(B) ; C02-H-474C
(ucs-set-char #x8A87 ?$(CN#(B) ; KS0-C-4E23
(ucs-set-char #x8A87 ?$(Gf_(B) ; C01-G-665F
(ucs-set-char #x8A87 ?$@8X(B) ; J78-@-3858
(ucs-set-char #x8A87 ?$B8X(B) ; J83-B-3858
(ucs-set-char #x8A88 ?$(ID](B) ; C03-I-445D
(ucs-set-char #x8A89 ?$@M@(B) ; J78-@-4D40
(ucs-set-char #x8A89 ?$AS~(B) ; GB0-A-537E
(ucs-set-char #x8A89 ?$BM@(B) ; J83-B-4D40
(ucs-set-char #x8A8A ?$AL\(B) ; GB0-A-4C5C
(ucs-set-char #x8A8B ?$(D]r(B) ; J90-D-5D72
(ucs-set-char #x8A8B ?$(HN4(B) ; C02-H-4E34
(ucs-set-char #x8A8C ?$(Cr<(B) ; KS0-C-723C
(ucs-set-char #x8A8C ?$(Gk"(B) ; C01-G-6B22
(ucs-set-char #x8A8C ?$@;o(B) ; J78-@-3B6F
(ucs-set-char #x8A8C ?$B;o(B) ; J83-B-3B6F
(ucs-set-char #x8A8D ?$(Clc(B) ; KS0-C-6C63
(ucs-set-char #x8A8D ?$(Gk%(B) ; C01-G-6B25
(ucs-set-char #x8A8D ?$@G'(B) ; J78-@-4727
(ucs-set-char #x8A8D ?$BG'(B) ; J83-B-4727
(ucs-set-char #x8A8E ?$(II_(B) ; C03-I-495F
(ucs-set-char #x8A8F ?$(D]s(B) ; J90-D-5D73
(ucs-set-char #x8A8F ?$(HN6(B) ; C02-H-4E36
(ucs-set-char #x8A90 ?$(D]t(B) ; J90-D-5D74
(ucs-set-char #x8A90 ?$(IId(B) ; C03-I-4964
(ucs-set-char #x8A91 ?$(Gk-(B) ; C01-G-6B2D
(ucs-set-char #x8A91 ?$@kT(B) ; J78-@-6B54
(ucs-set-char #x8A91 ?$BkT(B) ; J83-B-6B54
(ucs-set-char #x8A92 ?$(D]u(B) ; J90-D-5D75
(ucs-set-char #x8A92 ?$(HN5(B) ; C02-H-4E35
(ucs-set-char #x8A93 ?$(C`%(B) ; KS0-C-6025
(ucs-set-char #x8A93 ?$(Gk'(B) ; C01-G-6B27
(ucs-set-char #x8A93 ?$@@@(B) ; J78-@-4040
(ucs-set-char #x8A93 ?$AJD(B) ; GB0-A-4A44
(ucs-set-char #x8A93 ?$B@@(B) ; J83-B-4040
(ucs-set-char #x8A94 ?$(IIc(B) ; C03-I-4963
(ucs-set-char #x8A95 ?$(Cw+(B) ; KS0-C-772B
(ucs-set-char #x8A95 ?$(Gnx(B) ; C01-G-6E78
(ucs-set-char #x8A95 ?$@CB(B) ; J78-@-4342
(ucs-set-char #x8A95 ?$BCB(B) ; J83-B-4342
(ucs-set-char #x8A96 ?$(D]v(B) ; J90-D-5D76
(ucs-set-char #x8A96 ?$(HN7(B) ; C02-H-4E37
(ucs-set-char #x8A97 ?$(D]w(B) ; J90-D-5D77
(ucs-set-char #x8A97 ?$(JGE(B) ; C04-J-4745
(ucs-set-char #x8A98 ?$(Ck/(B) ; KS0-C-6B2F
(ucs-set-char #x8A98 ?$(Gk,(B) ; C01-G-6B2C
(ucs-set-char #x8A98 ?$@M6(B) ; J78-@-4D36
(ucs-set-char #x8A98 ?$BM6(B) ; J83-B-4D36
(ucs-set-char #x8A99 ?$(D]x(B) ; J90-D-5D78
(ucs-set-char #x8A99 ?$(HN3(B) ; C02-H-4E33
(ucs-set-char #x8A9A ?$(Gk.(B) ; C01-G-6B2E
(ucs-set-char #x8A9A ?$@kW(B) ; J78-@-6B57
(ucs-set-char #x8A9A ?$BkW(B) ; J83-B-6B57
(ucs-set-char #x8A9B ?$(II^(B) ; C03-I-495E
(ucs-set-char #x8A9C ?$(IIb(B) ; C03-I-4962
(ucs-set-char #x8A9D ?$(IIk(B) ; C03-I-496B
(ucs-set-char #x8A9E ?$(Ce^(B) ; KS0-C-655E
(ucs-set-char #x8A9E ?$(Gk#(B) ; C01-G-6B23
(ucs-set-char #x8A9E ?$@8l(B) ; J78-@-386C
(ucs-set-char #x8A9E ?$B8l(B) ; J83-B-386C
(ucs-set-char #x8A9F ?$(D]y(B) ; J90-D-5D79
(ucs-set-char #x8A9F ?$(IIh(B) ; C03-I-4968
(ucs-set-char #x8AA0 ?$(Ca$(B) ; KS0-C-6124
(ucs-set-char #x8AA0 ?$(Gfb(B) ; C01-G-6662
(ucs-set-char #x8AA0 ?$@@?(B) ; J78-@-403F
(ucs-set-char #x8AA0 ?$B@?(B) ; J83-B-403F
(ucs-set-char #x8AA1 ?$(CM+(B) ; KS0-C-4D2B
(ucs-set-char #x8AA1 ?$(Gk&(B) ; C01-G-6B26
(ucs-set-char #x8AA1 ?$@kS(B) ; J78-@-6B53
(ucs-set-char #x8AA1 ?$BkS(B) ; J83-B-6B53
(ucs-set-char #x8AA2 ?$(II`(B) ; C03-I-4960
(ucs-set-char #x8AA3 ?$(CYt(B) ; KS0-C-5974
(ucs-set-char #x8AA3 ?$(Gk$(B) ; C01-G-6B24
(ucs-set-char #x8AA3 ?$@kX(B) ; J78-@-6B58
(ucs-set-char #x8AA3 ?$BkX(B) ; J83-B-6B58
(ucs-set-char #x8AA4 ?$(Ch&(B) ; KS0-C-6826
(ucs-set-char #x8AA4 ?$(Gk((B) ; C01-G-6B28
(ucs-set-char #x8AA4 ?$@8m(B) ; J78-@-386D
(ucs-set-char #x8AA4 ?$B8m(B) ; J83-B-386D
(ucs-set-char #x8AA5 ?$(CMN(B) ; KS0-C-4D4E
(ucs-set-char #x8AA5 ?$(Gk*(B) ; C01-G-6B2A
(ucs-set-char #x8AA5 ?$@kU(B) ; J78-@-6B55
(ucs-set-char #x8AA5 ?$BkU(B) ; J83-B-6B55
(ucs-set-char #x8AA6 ?$(Cai(B) ; KS0-C-6169
(ucs-set-char #x8AA6 ?$(Gk!(B) ; C01-G-6B21
(ucs-set-char #x8AA6 ?$@kV(B) ; J78-@-6B56
(ucs-set-char #x8AA6 ?$BkV(B) ; J83-B-6B56
(ucs-set-char #x8AA7 ?$(D]z(B) ; J90-D-5D7A
(ucs-set-char #x8AA7 ?$(Gk/(B) ; C01-G-6B2F
(ucs-set-char #x8AA8 ?$(C|o(B) ; KS0-C-7C6F
(ucs-set-char #x8AA8 ?$(Gk+(B) ; C01-G-6B2B
(ucs-set-char #x8AA8 ?$@kR(B) ; J78-@-6B52
(ucs-set-char #x8AA8 ?$BkR(B) ; J83-B-6B52
(ucs-set-char #x8AA9 ?$(D]{(B) ; J90-D-5D7B
(ucs-set-char #x8AA9 ?$(IIe(B) ; C03-I-4965
(ucs-set-char #x8AAA ?$(C`c(B) ; KS0-C-6063
(ucs-set-char #x8AAA ?$(Gk)(B) ; C01-G-6B29
(ucs-set-char #x8AAB ?$(HN2(B) ; C02-H-4E32
(ucs-set-char #x8AAC ?$(IIf(B) ; C03-I-4966
(ucs-set-char #x8AAC ?$@@b(B) ; J78-@-4062
(ucs-set-char #x8AAC ?$B@b(B) ; J83-B-4062
(ucs-set-char #x8AAD ?$@FI(B) ; J78-@-4649
(ucs-set-char #x8AAD ?$BFI(B) ; J83-B-4649
(ucs-set-char #x8AAE ?$(D]|(B) ; J90-D-5D7C
(ucs-set-char #x8AAF ?$(D]}(B) ; J90-D-5D7D
(ucs-set-char #x8AAF ?$(INt(B) ; C03-I-4E74
(ucs-set-char #x8AB0 ?$(CbA(B) ; KS0-C-6241
(ucs-set-char #x8AB0 ?$(Go!(B) ; C01-G-6F21
(ucs-set-char #x8AB0 ?$@C/(B) ; J78-@-432F
(ucs-set-char #x8AB0 ?$BC/(B) ; J83-B-432F
(ucs-set-char #x8AB1 ?$(INg(B) ; C03-I-4E67
(ucs-set-char #x8AB2 ?$(CN$(B) ; KS0-C-4E24
(ucs-set-char #x8AB2 ?$(Gn{(B) ; C01-G-6E7B
(ucs-set-char #x8AB2 ?$@2](B) ; J78-@-325D
(ucs-set-char #x8AB2 ?$B2](B) ; J83-B-325D
(ucs-set-char #x8AB3 ?$(D]~(B) ; J90-D-5D7E
(ucs-set-char #x8AB3 ?$(INr(B) ; C03-I-4E72
(ucs-set-char #x8AB4 ?$(INp(B) ; C03-I-4E70
(ucs-set-char #x8AB5 ?$(INn(B) ; C03-I-4E6E
(ucs-set-char #x8AB6 ?$(D^!(B) ; J90-D-5E21
(ucs-set-char #x8AB6 ?$(Go$(B) ; C01-G-6F24
(ucs-set-char #x8AB7 ?$(D^"(B) ; J90-D-5E22
(ucs-set-char #x8AB7 ?$(INl(B) ; C03-I-4E6C
(ucs-set-char #x8AB8 ?$(HT?(B) ; C02-H-543F
(ucs-set-char #x8AB9 ?$(C^&(B) ; KS0-C-5E26
(ucs-set-char #x8AB9 ?$(Go%(B) ; C01-G-6F25
(ucs-set-char #x8AB9 ?$@Hp(B) ; J78-@-4870
(ucs-set-char #x8AB9 ?$BHp(B) ; J83-B-4870
(ucs-set-char #x8ABA ?$(HTK(B) ; C02-H-544B
(ucs-set-char #x8ABB ?$(D^#(B) ; J90-D-5E23
(ucs-set-char #x8ABB ?$(HTD(B) ; C02-H-5444
(ucs-set-char #x8ABC ?$(Ck~(B) ; KS0-C-6B7E
(ucs-set-char #x8ABC ?$(Gnt(B) ; C01-G-6E74
(ucs-set-char #x8ABC ?$@5C(B) ; J78-@-3543
(ucs-set-char #x8ABC ?$B5C(B) ; J83-B-3543
(ucs-set-char #x8ABD ?$(HTL(B) ; C02-H-544C
(ucs-set-char #x8ABE ?$(Ck](B) ; KS0-C-6B5D
(ucs-set-char #x8ABE ?$(D^$(B) ; J90-D-5E24
(ucs-set-char #x8ABE ?$(HTF(B) ; C02-H-5446
(ucs-set-char #x8ABF ?$(Cp`(B) ; KS0-C-7060
(ucs-set-char #x8ABF ?$(Gn~(B) ; C01-G-6E7E
(ucs-set-char #x8ABF ?$@D4(B) ; J78-@-4434
(ucs-set-char #x8ABF ?$BD4(B) ; J83-B-4434
(ucs-set-char #x8AC0 ?$(HTG(B) ; C02-H-5447
(ucs-set-char #x8AC1 ?$(INs(B) ; C03-I-4E73
(ucs-set-char #x8AC2 ?$(Ct[(B) ; KS0-C-745B
(ucs-set-char #x8AC2 ?$(Gn}(B) ; C01-G-6E7D
(ucs-set-char #x8AC2 ?$@k[(B) ; J78-@-6B5B
(ucs-set-char #x8AC2 ?$Bk[(B) ; J83-B-6B5B
(ucs-set-char #x8AC3 ?$(D^%(B) ; J90-D-5E25
(ucs-set-char #x8AC3 ?$(HTJ(B) ; C02-H-544A
(ucs-set-char #x8AC4 ?$(Cbt(B) ; KS0-C-6274
(ucs-set-char #x8AC4 ?$(Gnw(B) ; C01-G-6E77
(ucs-set-char #x8AC4 ?$@kY(B) ; J78-@-6B59
(ucs-set-char #x8AC4 ?$BkY(B) ; J83-B-6B59
(ucs-set-char #x8AC5 ?$(HTH(B) ; C02-H-5448
(ucs-set-char #x8AC6 ?$(D^&(B) ; J90-D-5E26
(ucs-set-char #x8AC6 ?$(HT>(B) ; C02-H-543E
(ucs-set-char #x8AC7 ?$(CSH(B) ; KS0-C-5348
(ucs-set-char #x8AC7 ?$(Gnv(B) ; C01-G-6E76
(ucs-set-char #x8AC7 ?$@CL(B) ; J78-@-434C
(ucs-set-char #x8AC7 ?$BCL(B) ; J83-B-434C
(ucs-set-char #x8AC8 ?$(D^'(B) ; J90-D-5E27
(ucs-set-char #x8AC8 ?$(HZV(B) ; C02-H-5A56
(ucs-set-char #x8AC9 ?$(D^((B) ; J90-D-5E28
(ucs-set-char #x8AC9 ?$(Gn|(B) ; C01-G-6E7C
(ucs-set-char #x8ACA ?$(D^)(B) ; J90-D-5E29
(ucs-set-char #x8ACA ?$(INu(B) ; C03-I-4E75
(ucs-set-char #x8ACB ?$(Ctk(B) ; KS0-C-746B
(ucs-set-char #x8ACB ?$(Gny(B) ; C01-G-6E79
(ucs-set-char #x8ACB ?$@@A(B) ; J78-@-4041
(ucs-set-char #x8ACB ?$B@A(B) ; J83-B-4041
(ucs-set-char #x8ACC ?$(INi(B) ; C03-I-4E69
(ucs-set-char #x8ACC ?$@k](B) ; J78-@-6B5D
(ucs-set-char #x8ACC ?$B4R(B) ; J83-B-3452
(ucs-set-char #x8ACD ?$(Cn5(B) ; KS0-C-6E35
(ucs-set-char #x8ACD ?$(Go#(B) ; C01-G-6F23
(ucs-set-char #x8ACD ?$@kZ(B) ; J78-@-6B5A
(ucs-set-char #x8ACD ?$BkZ(B) ; J83-B-6B5A
(ucs-set-char #x8ACE ?$(INj(B) ; C03-I-4E6A
(ucs-set-char #x8ACF ?$(CuX(B) ; KS0-C-7558
(ucs-set-char #x8ACF ?$(HT=(B) ; C02-H-543D
(ucs-set-char #x8ACF ?$@?[(B) ; J78-@-3F5B
(ucs-set-char #x8ACF ?$B?[(B) ; J83-B-3F5B
(ucs-set-char #x8AD0 ?$(INv(B) ; C03-I-4E76
(ucs-set-char #x8AD1 ?$(D^*(B) ; J90-D-5E2A
(ucs-set-char #x8AD1 ?$(HTA(B) ; C02-H-5441
(ucs-set-char #x8AD2 ?$(CU_(B) ; KS0-C-555F
(ucs-set-char #x8AD2 ?$(Gnu(B) ; C01-G-6E75
(ucs-set-char #x8AD2 ?$@NJ(B) ; J78-@-4E4A
(ucs-set-char #x8AD2 ?$BNJ(B) ; J83-B-4E4A
(ucs-set-char #x8AD3 ?$(D^+(B) ; J90-D-5E2B
(ucs-set-char #x8AD3 ?$(HT@(B) ; C02-H-5440
(ucs-set-char #x8AD4 ?$(D^,(B) ; J90-D-5E2C
(ucs-set-char #x8AD4 ?$(HTB(B) ; C02-H-5442
(ucs-set-char #x8AD5 ?$(D^-(B) ; J90-D-5E2D
(ucs-set-char #x8AD5 ?$(HTC(B) ; C02-H-5443
(ucs-set-char #x8AD6 ?$(CVe(B) ; KS0-C-5665
(ucs-set-char #x8AD6 ?$(Go"(B) ; C01-G-6F22
(ucs-set-char #x8AD6 ?$@O@(B) ; J78-@-4F40
(ucs-set-char #x8AD6 ?$BO@(B) ; J83-B-4F40
(ucs-set-char #x8AD7 ?$(D^.(B) ; J90-D-5E2E
(ucs-set-char #x8AD7 ?$(HTE(B) ; C02-H-5445
(ucs-set-char #x8AD8 ?$(HTI(B) ; C02-H-5449
(ucs-set-char #x8AD9 ?$(HTM(B) ; C02-H-544D
(ucs-set-char #x8ADA ?$@k\(B) ; J78-@-6B5C
(ucs-set-char #x8ADA ?$Bk\(B) ; J83-B-6B5C
(ucs-set-char #x8ADB ?$(Ck0(B) ; KS0-C-6B30
(ucs-set-char #x8ADB ?$(Go&(B) ; C01-G-6F26
(ucs-set-char #x8ADB ?$@kg(B) ; J78-@-6B67
(ucs-set-char #x8ADB ?$Bkg(B) ; J83-B-6B67
(ucs-set-char #x8ADC ?$(Ctc(B) ; KS0-C-7463
(ucs-set-char #x8ADC ?$(Gr<(B) ; C01-G-723C
(ucs-set-char #x8ADC ?$@D5(B) ; J78-@-4435
(ucs-set-char #x8ADC ?$BD5(B) ; J83-B-4435
(ucs-set-char #x8ADD ?$(D^/(B) ; J90-D-5E2F
(ucs-set-char #x8ADD ?$(HZQ(B) ; C02-H-5A51
(ucs-set-char #x8ADE ?$(HZW(B) ; C02-H-5A57
(ucs-set-char #x8ADE ?$@kf(B) ; J78-@-6B66
(ucs-set-char #x8ADE ?$Bkf(B) ; J83-B-6B66
(ucs-set-char #x8ADF ?$(D^0(B) ; J90-D-5E30
(ucs-set-char #x8ADF ?$(HZT(B) ; C02-H-5A54
(ucs-set-char #x8AE0 ?$(HZL(B) ; C02-H-5A4C
(ucs-set-char #x8AE0 ?$@kc(B) ; J78-@-6B63
(ucs-set-char #x8AE0 ?$Bkc(B) ; J83-B-6B63
(ucs-set-char #x8AE1 ?$(CcM(B) ; KS0-C-634D
(ucs-set-char #x8AE1 ?$(HZX(B) ; C02-H-5A58
(ucs-set-char #x8AE1 ?$@kk(B) ; J78-@-6B6B
(ucs-set-char #x8AE1 ?$Bkk(B) ; J83-B-6B6B
(ucs-set-char #x8AE2 ?$(HZM(B) ; C02-H-5A4D
(ucs-set-char #x8AE2 ?$@kd(B) ; J78-@-6B64
(ucs-set-char #x8AE2 ?$Bkd(B) ; J83-B-6B64
(ucs-set-char #x8AE3 ?$(IRj(B) ; C03-I-526A
(ucs-set-char #x8AE4 ?$(HZS(B) ; C02-H-5A53
(ucs-set-char #x8AE4 ?$@k`(B) ; J78-@-6B60
(ucs-set-char #x8AE4 ?$Bk`(B) ; J83-B-6B60
(ucs-set-char #x8AE5 ?$(IRk(B) ; C03-I-526B
(ucs-set-char #x8AE6 ?$(Ctt(B) ; KS0-C-7474
(ucs-set-char #x8AE6 ?$(Gr7(B) ; C01-G-7237
(ucs-set-char #x8AE6 ?$@D|(B) ; J78-@-447C
(ucs-set-char #x8AE6 ?$BD|(B) ; J83-B-447C
(ucs-set-char #x8AE7 ?$(Cz2(B) ; KS0-C-7A32
(ucs-set-char #x8AE7 ?$(Gr=(B) ; C01-G-723D
(ucs-set-char #x8AE7 ?$@k_(B) ; J78-@-6B5F
(ucs-set-char #x8AE7 ?$Bk_(B) ; J83-B-6B5F
(ucs-set-char #x8AE8 ?$(HZY(B) ; C02-H-5A59
(ucs-set-char #x8AE9 ?$(INo(B) ; C03-I-4E6F
(ucs-set-char #x8AEA ?$(Cou(B) ; KS0-C-6F75
(ucs-set-char #x8AEA ?$(IRg(B) ; C03-I-5267
(ucs-set-char #x8AEB ?$(CJ_(B) ; KS0-C-4A5F
(ucs-set-char #x8AEB ?$(Gr9(B) ; C01-G-7239
(ucs-set-char #x8AEB ?$@4R(B) ; J78-@-3452
(ucs-set-char #x8AEB ?$Bk](B) ; J83-B-6B5D
(ucs-set-char #x8AEC ?$(D^1(B) ; J90-D-5E31
(ucs-set-char #x8AEC ?$(IRn(B) ; C03-I-526E
(ucs-set-char #x8AED ?$(Ck1(B) ; KS0-C-6B31
(ucs-set-char #x8AED ?$(GrC(B) ; C01-G-7243
(ucs-set-char #x8AED ?$@M!(B) ; J78-@-4D21
(ucs-set-char #x8AED ?$BM!(B) ; J83-B-4D21
(ucs-set-char #x8AEE ?$(Cm?(B) ; KS0-C-6D3F
(ucs-set-char #x8AEE ?$(Gr>(B) ; C01-G-723E
(ucs-set-char #x8AEE ?$@;p(B) ; J78-@-3B70
(ucs-set-char #x8AEE ?$B;p(B) ; J83-B-3B70
(ucs-set-char #x8AEF ?$(HZ[(B) ; C02-H-5A5B
(ucs-set-char #x8AF0 ?$(D^2(B) ; J90-D-5E32
(ucs-set-char #x8AF0 ?$(HZU(B) ; C02-H-5A55
(ucs-set-char #x8AF1 ?$(C}I(B) ; KS0-C-7D49
(ucs-set-char #x8AF1 ?$(Gr:(B) ; C01-G-723A
(ucs-set-char #x8AF1 ?$@ka(B) ; J78-@-6B61
(ucs-set-char #x8AF1 ?$Bka(B) ; J83-B-6B61
(ucs-set-char #x8AF2 ?$(HZN(B) ; C02-H-5A4E
(ucs-set-char #x8AF3 ?$(GrD(B) ; C01-G-7244
(ucs-set-char #x8AF3 ?$@k^(B) ; J78-@-6B5E
(ucs-set-char #x8AF3 ?$Bk^(B) ; J83-B-6B5E
(ucs-set-char #x8AF4 ?$(D^3(B) ; J90-D-5E33
(ucs-set-char #x8AF4 ?$(HZO(B) ; C02-H-5A4F
(ucs-set-char #x8AF5 ?$(D^4(B) ; J90-D-5E34
(ucs-set-char #x8AF5 ?$(HZP(B) ; C02-H-5A50
(ucs-set-char #x8AF6 ?$(Cd&(B) ; KS0-C-6426
(ucs-set-char #x8AF6 ?$(D^5(B) ; J90-D-5E35
(ucs-set-char #x8AF6 ?$(GrE(B) ; C01-G-7245
(ucs-set-char #x8AF7 ?$(Cy$(B) ; KS0-C-7924
(ucs-set-char #x8AF7 ?$(GrB(B) ; C01-G-7242
(ucs-set-char #x8AF7 ?$@ke(B) ; J78-@-6B65
(ucs-set-char #x8AF7 ?$Bke(B) ; J83-B-6B65
(ucs-set-char #x8AF8 ?$(Cp3(B) ; KS0-C-7033
(ucs-set-char #x8AF8 ?$(Gnz(B) ; C01-G-6E7A
(ucs-set-char #x8AF8 ?$@=t(B) ; J78-@-3D74
(ucs-set-char #x8AF8 ?$B=t(B) ; J83-B-3D74
(ucs-set-char #x8AF9 ?$(IRi(B) ; C03-I-5269
(ucs-set-char #x8AFA ?$(Cel(B) ; KS0-C-656C
(ucs-set-char #x8AFA ?$(Gr8(B) ; C01-G-7238
(ucs-set-char #x8AFA ?$@8A(B) ; J78-@-3841
(ucs-set-char #x8AFA ?$B8A(B) ; J83-B-3841
(ucs-set-char #x8AFB ?$(HZ\(B) ; C02-H-5A5C
(ucs-set-char #x8AFC ?$(D^6(B) ; J90-D-5E36
(ucs-set-char #x8AFC ?$(GrF(B) ; C01-G-7246
(ucs-set-char #x8AFD ?$(IRh(B) ; C03-I-5268
(ucs-set-char #x8AFE ?$(CQg(B) ; KS0-C-5167
(ucs-set-char #x8AFE ?$(Gr?(B) ; C01-G-723F
(ucs-set-char #x8AFE ?$@Bz(B) ; J78-@-427A
(ucs-set-char #x8AFE ?$BBz(B) ; J83-B-427A
(ucs-set-char #x8AFF ?$(D^7(B) ; J90-D-5E37
(ucs-set-char #x8AFF ?$(HZZ(B) ; C02-H-5A5A
(ucs-set-char #x8B00 ?$(CYG(B) ; KS0-C-5947
(ucs-set-char #x8B00 ?$(Gr;(B) ; C01-G-723B
(ucs-set-char #x8B00 ?$@KE(B) ; J78-@-4B45
(ucs-set-char #x8B00 ?$BKE(B) ; J83-B-4B45
(ucs-set-char #x8B01 ?$(CdW(B) ; KS0-C-6457
(ucs-set-char #x8B01 ?$(Gr@(B) ; C01-G-7240
(ucs-set-char #x8B01 ?$@1Z(B) ; J78-@-315A
(ucs-set-char #x8B01 ?$B1Z(B) ; J83-B-315A
(ucs-set-char #x8B02 ?$(Cj](B) ; KS0-C-6A5D
(ucs-set-char #x8B02 ?$(GrA(B) ; C01-G-7241
(ucs-set-char #x8B02 ?$@0b(B) ; J78-@-3062
(ucs-set-char #x8B02 ?$B0b(B) ; J83-B-3062
(ucs-set-char #x8B04 ?$(CTw(B) ; KS0-C-5477
(ucs-set-char #x8B04 ?$(GuN(B) ; C01-G-754E
(ucs-set-char #x8B04 ?$@F%(B) ; J78-@-4625
(ucs-set-char #x8B04 ?$BF%(B) ; J83-B-4625
(ucs-set-char #x8B05 ?$(D^8(B) ; J90-D-5E38
(ucs-set-char #x8B05 ?$(H_P(B) ; C02-H-5F50
(ucs-set-char #x8B06 ?$(D^9(B) ; J90-D-5E39
(ucs-set-char #x8B06 ?$(H_Y(B) ; C02-H-5F59
(ucs-set-char #x8B07 ?$(H_V(B) ; C02-H-5F56
(ucs-set-char #x8B07 ?$@ki(B) ; J78-@-6B69
(ucs-set-char #x8B07 ?$Ae@(B) ; GB0-A-6540
(ucs-set-char #x8B07 ?$Bki(B) ; J83-B-6B69
(ucs-set-char #x8B08 ?$(H_X(B) ; C02-H-5F58
(ucs-set-char #x8B09 ?$(IVI(B) ; C03-I-5649
(ucs-set-char #x8B0A ?$(D^?(B) ; J90-D-5E3F
(ucs-set-char #x8B0A ?$(GuK(B) ; C01-G-754B
(ucs-set-char #x8B0B ?$(D^:(B) ; J90-D-5E3A
(ucs-set-char #x8B0B ?$(H_Q(B) ; C02-H-5F51
(ucs-set-char #x8B0C ?$(IVJ(B) ; C03-I-564A
(ucs-set-char #x8B0C ?$@kh(B) ; J78-@-6B68
(ucs-set-char #x8B0C ?$Bkh(B) ; J83-B-6B68
(ucs-set-char #x8B0D ?$(H_W(B) ; C02-H-5F57
(ucs-set-char #x8B0E ?$(CZ:(B) ; KS0-C-5A3A
(ucs-set-char #x8B0E ?$(GuG(B) ; C01-G-7547
(ucs-set-char #x8B0E ?$@Ff(B) ; J78-@-4666
(ucs-set-char #x8B0E ?$BFf(B) ; J83-B-4666
(ucs-set-char #x8B0F ?$(H_S(B) ; C02-H-5F53
(ucs-set-char #x8B10 ?$(CZM(B) ; KS0-C-5A4D
(ucs-set-char #x8B10 ?$(GuO(B) ; C01-G-754F
(ucs-set-char #x8B10 ?$@km(B) ; J78-@-6B6D
(ucs-set-char #x8B10 ?$Bkm(B) ; J83-B-6B6D
(ucs-set-char #x8B11 ?$(D^;(B) ; J90-D-5E3B
(ucs-set-char #x8B11 ?$(H_O(B) ; C02-H-5F4F
(ucs-set-char #x8B12 ?$(H_T(B) ; C02-H-5F54
(ucs-set-char #x8B13 ?$(H_[(B) ; C02-H-5F5B
(ucs-set-char #x8B14 ?$(CyL(B) ; KS0-C-794C
(ucs-set-char #x8B14 ?$(HZR(B) ; C02-H-5A52
(ucs-set-char #x8B14 ?$@kb(B) ; J78-@-6B62
(ucs-set-char #x8B14 ?$Bkb(B) ; J83-B-6B62
(ucs-set-char #x8B15 ?$(H_U(B) ; C02-H-5F55
(ucs-set-char #x8B16 ?$(CaZ(B) ; KS0-C-615A
(ucs-set-char #x8B16 ?$(H_N(B) ; C02-H-5F4E
(ucs-set-char #x8B16 ?$@kl(B) ; J78-@-6B6C
(ucs-set-char #x8B16 ?$Bkl(B) ; J83-B-6B6C
(ucs-set-char #x8B17 ?$(C[?(B) ; KS0-C-5B3F
(ucs-set-char #x8B17 ?$(GuH(B) ; C01-G-7548
(ucs-set-char #x8B17 ?$@kn(B) ; J78-@-6B6E
(ucs-set-char #x8B17 ?$Bkn(B) ; J83-B-6B6E
(ucs-set-char #x8B18 ?$(H_M(B) ; C02-H-5F4D
(ucs-set-char #x8B19 ?$(CLE(B) ; KS0-C-4C45
(ucs-set-char #x8B19 ?$(GuI(B) ; C01-G-7549
(ucs-set-char #x8B19 ?$@8,(B) ; J78-@-382C
(ucs-set-char #x8B19 ?$B8,(B) ; J83-B-382C
(ucs-set-char #x8B1A ?$(ClP(B) ; KS0-C-6C50
(ucs-set-char #x8B1A ?$(H_\(B) ; C02-H-5F5C
(ucs-set-char #x8B1A ?$@kj(B) ; J78-@-6B6A
(ucs-set-char #x8B1A ?$Bkj(B) ; J83-B-6B6A
(ucs-set-char #x8B1B ?$(CK;(B) ; KS0-C-4B3B
(ucs-set-char #x8B1B ?$(GuJ(B) ; C01-G-754A
(ucs-set-char #x8B1B ?$@9V(B) ; J78-@-3956
(ucs-set-char #x8B1B ?$B9V(B) ; J83-B-3956
(ucs-set-char #x8B1C ?$(D^<(B) ; J90-D-5E3C
(ucs-set-char #x8B1C ?$(H_Z(B) ; C02-H-5F5A
(ucs-set-char #x8B1D ?$(C^s(B) ; KS0-C-5E73
(ucs-set-char #x8B1D ?$(GuM(B) ; C01-G-754D
(ucs-set-char #x8B1D ?$@<U(B) ; J78-@-3C55
(ucs-set-char #x8B1D ?$B<U(B) ; J83-B-3C55
(ucs-set-char #x8B1E ?$(D^=(B) ; J90-D-5E3D
(ucs-set-char #x8B1E ?$(H_L(B) ; C02-H-5F4C
(ucs-set-char #x8B1F ?$(D^>(B) ; J90-D-5E3E
(ucs-set-char #x8B1F ?$(IVH(B) ; C03-I-5648
(ucs-set-char #x8B20 ?$(Ci*(B) ; KS0-C-692A
(ucs-set-char #x8B20 ?$(GuL(B) ; C01-G-754C
(ucs-set-char #x8B20 ?$@ko(B) ; J78-@-6B6F
(ucs-set-char #x8B20 ?$Bko(B) ; J83-B-6B6F
(ucs-set-char #x8B21 ?$@MX(B) ; J78-@-4D58
(ucs-set-char #x8B21 ?$BMX(B) ; J83-B-4D58
(ucs-set-char #x8B22 ?$(H_R(B) ; C02-H-5F52
(ucs-set-char #x8B23 ?$(HcG(B) ; C02-H-6347
(ucs-set-char #x8B24 ?$(HcU(B) ; C02-H-6355
(ucs-set-char #x8B25 ?$(HcP(B) ; C02-H-6350
(ucs-set-char #x8B26 ?$(HcR(B) ; C02-H-6352
(ucs-set-char #x8B26 ?$@kr(B) ; J78-@-6B72
(ucs-set-char #x8B26 ?$Av%(B) ; GB0-A-7625
(ucs-set-char #x8B26 ?$Bkr(B) ; J83-B-6B72
(ucs-set-char #x8B27 ?$(HcF(B) ; C02-H-6346
(ucs-set-char #x8B28 ?$(CYH(B) ; KS0-C-5948
(ucs-set-char #x8B28 ?$(Gw>(B) ; C01-G-773E
(ucs-set-char #x8B28 ?$@ku(B) ; J78-@-6B75
(ucs-set-char #x8B28 ?$Bku(B) ; J83-B-6B75
(ucs-set-char #x8B29 ?$(IY*(B) ; C03-I-592A
(ucs-set-char #x8B2A ?$(HcE(B) ; C02-H-6345
(ucs-set-char #x8B2B ?$(Cnc(B) ; KS0-C-6E63
(ucs-set-char #x8B2B ?$(GwA(B) ; C01-G-7741
(ucs-set-char #x8B2B ?$@ks(B) ; J78-@-6B73
(ucs-set-char #x8B2B ?$Bks(B) ; J83-B-6B73
(ucs-set-char #x8B2C ?$(CW=(B) ; KS0-C-573D
(ucs-set-char #x8B2C ?$(Gw@(B) ; C01-G-7740
(ucs-set-char #x8B2C ?$@I5(B) ; J78-@-4935
(ucs-set-char #x8B2C ?$BI5(B) ; J83-B-4935
(ucs-set-char #x8B2D ?$(D^@(B) ; J90-D-5E40
(ucs-set-char #x8B2D ?$(IY&(B) ; C03-I-5926
(ucs-set-char #x8B2E ?$(HcT(B) ; C02-H-6354
(ucs-set-char #x8B2F ?$(HcL(B) ; C02-H-634C
(ucs-set-char #x8B30 ?$(D^A(B) ; J90-D-5E41
(ucs-set-char #x8B30 ?$(HcI(B) ; C02-H-6349
(ucs-set-char #x8B31 ?$(HcO(B) ; C02-H-634F
(ucs-set-char #x8B32 ?$(IY$(B) ; C03-I-5924
(ucs-set-char #x8B33 ?$(COD(B) ; KS0-C-4F44
(ucs-set-char #x8B33 ?$(HcH(B) ; C02-H-6348
(ucs-set-char #x8B33 ?$@kp(B) ; J78-@-6B70
(ucs-set-char #x8B33 ?$Bkp(B) ; J83-B-6B70
(ucs-set-char #x8B34 ?$(IY((B) ; C03-I-5928
(ucs-set-char #x8B35 ?$(HcJ(B) ; C02-H-634A
(ucs-set-char #x8B36 ?$(HcS(B) ; C02-H-6353
(ucs-set-char #x8B37 ?$(D^B(B) ; J90-D-5E42
(ucs-set-char #x8B37 ?$(HcQ(B) ; C02-H-6351
(ucs-set-char #x8B38 ?$(IY#(B) ; C03-I-5923
(ucs-set-char #x8B39 ?$(CPM(B) ; KS0-C-504D
(ucs-set-char #x8B39 ?$(Gw?(B) ; C01-G-773F
(ucs-set-char #x8B39 ?$@6`(B) ; J78-@-3660
(ucs-set-char #x8B39 ?$B6`(B) ; J83-B-3660
(ucs-set-char #x8B3A ?$(HcX(B) ; C02-H-6358
(ucs-set-char #x8B3B ?$(HcV(B) ; C02-H-6356
(ucs-set-char #x8B3C ?$(D^C(B) ; J90-D-5E43
(ucs-set-char #x8B3C ?$(HcM(B) ; C02-H-634D
(ucs-set-char #x8B3D ?$(HcW(B) ; C02-H-6357
(ucs-set-char #x8B3E ?$(HcN(B) ; C02-H-634E
(ucs-set-char #x8B3E ?$@kt(B) ; J78-@-6B74
(ucs-set-char #x8B3E ?$Bkt(B) ; J83-B-6B74
(ucs-set-char #x8B3F ?$(I[4(B) ; C03-I-5B34
(ucs-set-char #x8B40 ?$(Hg&(B) ; C02-H-6726
(ucs-set-char #x8B41 ?$(C|&(B) ; KS0-C-7C26
(ucs-set-char #x8B41 ?$(Gxz(B) ; C01-G-787A
(ucs-set-char #x8B41 ?$@kv(B) ; J78-@-6B76
(ucs-set-char #x8B41 ?$Bkv(B) ; J83-B-6B76
(ucs-set-char #x8B42 ?$(D^D(B) ; J90-D-5E44
(ucs-set-char #x8B42 ?$(Hg-(B) ; C02-H-672D
(ucs-set-char #x8B43 ?$(D^E(B) ; J90-D-5E45
(ucs-set-char #x8B43 ?$(I[5(B) ; C03-I-5B35
(ucs-set-char #x8B44 ?$(D^F(B) ; J90-D-5E46
(ucs-set-char #x8B44 ?$(Ja:(B) ; C04-J-613A
(ucs-set-char #x8B45 ?$(D^G(B) ; J90-D-5E47
(ucs-set-char #x8B45 ?$(Hl>(B) ; C02-H-6C3E
(ucs-set-char #x8B46 ?$(D^H(B) ; J90-D-5E48
(ucs-set-char #x8B46 ?$(Gy#(B) ; C01-G-7923
(ucs-set-char #x8B47 ?$(HcK(B) ; C02-H-634B
(ucs-set-char #x8B48 ?$(D^I(B) ; J90-D-5E49
(ucs-set-char #x8B48 ?$(Hg$(B) ; C02-H-6724
(ucs-set-char #x8B49 ?$(Cq{(B) ; KS0-C-717B
(ucs-set-char #x8B49 ?$(Gx}(B) ; C01-G-787D
(ucs-set-char #x8B49 ?$@kz(B) ; J78-@-6B7A
(ucs-set-char #x8B49 ?$Bkz(B) ; J83-B-6B7A
(ucs-set-char #x8B4A ?$(Hg%(B) ; C02-H-6725
(ucs-set-char #x8B4B ?$(Hg*(B) ; C02-H-672A
(ucs-set-char #x8B4C ?$(I[6(B) ; C03-I-5B36
(ucs-set-char #x8B4C ?$@kw(B) ; J78-@-6B77
(ucs-set-char #x8B4C ?$Bkw(B) ; J83-B-6B77
(ucs-set-char #x8B4D ?$(D^N(B) ; J90-D-5E4E
(ucs-set-char #x8B4D ?$(I]3(B) ; C03-I-5D33
(ucs-set-char #x8B4E ?$(C}R(B) ; KS0-C-7D52
(ucs-set-char #x8B4E ?$(Gy!(B) ; C01-G-7921
(ucs-set-char #x8B4E ?$@ky(B) ; J78-@-6B79
(ucs-set-char #x8B4E ?$Bky(B) ; J83-B-6B79
(ucs-set-char #x8B4F ?$(CQA(B) ; KS0-C-5141
(ucs-set-char #x8B4F ?$(Gy"(B) ; C01-G-7922
(ucs-set-char #x8B4F ?$@kx(B) ; J78-@-6B78
(ucs-set-char #x8B4F ?$Bkx(B) ; J83-B-6B78
(ucs-set-char #x8B50 ?$(Hg#(B) ; C02-H-6723
(ucs-set-char #x8B51 ?$(Hg,(B) ; C02-H-672C
(ucs-set-char #x8B52 ?$(D^J(B) ; J90-D-5E4A
(ucs-set-char #x8B52 ?$(Hg.(B) ; C02-H-672E
(ucs-set-char #x8B53 ?$(D^K(B) ; J90-D-5E4B
(ucs-set-char #x8B53 ?$(Hg'(B) ; C02-H-6727
(ucs-set-char #x8B54 ?$(D^L(B) ; J90-D-5E4C
(ucs-set-char #x8B54 ?$(Hg)(B) ; C02-H-6729
(ucs-set-char #x8B55 ?$(Hg+(B) ; C02-H-672B
(ucs-set-char #x8B56 ?$(Hg((B) ; C02-H-6728
(ucs-set-char #x8B56 ?$@k{(B) ; J78-@-6B7B
(ucs-set-char #x8B56 ?$Bk{(B) ; J83-B-6B7B
(ucs-set-char #x8B57 ?$(Hg/(B) ; C02-H-672F
(ucs-set-char #x8B58 ?$(Cc[(B) ; KS0-C-635B
(ucs-set-char #x8B58 ?$(Gx|(B) ; C01-G-787C
(ucs-set-char #x8B58 ?$@<1(B) ; J78-@-3C31
(ucs-set-char #x8B58 ?$B<1(B) ; J83-B-3C31
(ucs-set-char #x8B59 ?$(D^M(B) ; J90-D-5E4D
(ucs-set-char #x8B59 ?$(Gy$(B) ; C01-G-7924
(ucs-set-char #x8B5A ?$(CSI(B) ; KS0-C-5349
(ucs-set-char #x8B5A ?$(Gx~(B) ; C01-G-787E
(ucs-set-char #x8B5A ?$@k}(B) ; J78-@-6B7D
(ucs-set-char #x8B5A ?$Bk}(B) ; J83-B-6B7D
(ucs-set-char #x8B5B ?$@k|(B) ; J78-@-6B7C
(ucs-set-char #x8B5B ?$Bk|(B) ; J83-B-6B7C
(ucs-set-char #x8B5C ?$(C\O(B) ; KS0-C-5C4F
(ucs-set-char #x8B5C ?$(Gx{(B) ; C01-G-787B
(ucs-set-char #x8B5C ?$@Ih(B) ; J78-@-4968
(ucs-set-char #x8B5C ?$BIh(B) ; J83-B-4968
(ucs-set-char #x8B5D ?$(Hi|(B) ; C02-H-697C
(ucs-set-char #x8B5E ?$(D^O(B) ; J90-D-5E4F
(ucs-set-char #x8B5E ?$(JdM(B) ; C04-J-644D
(ucs-set-char #x8B5F ?$(GzB(B) ; C01-G-7A42
(ucs-set-char #x8B5F ?$@l!(B) ; J78-@-6C21
(ucs-set-char #x8B5F ?$Bl!(B) ; J83-B-6C21
(ucs-set-char #x8B60 ?$(Hiz(B) ; C02-H-697A
(ucs-set-char #x8B61 ?$(I]0(B) ; C03-I-5D30
(ucs-set-char #x8B62 ?$(I],(B) ; C03-I-5D2C
(ucs-set-char #x8B63 ?$(D^P(B) ; J90-D-5E50
(ucs-set-char #x8B63 ?$(Hi~(B) ; C02-H-697E
(ucs-set-char #x8B64 ?$(I]2(B) ; C03-I-5D32
(ucs-set-char #x8B65 ?$(Hj!(B) ; C02-H-6A21
(ucs-set-char #x8B66 ?$(CLm(B) ; KS0-C-4C6D
(ucs-set-char #x8B66 ?$(Gz@(B) ; C01-G-7A40
(ucs-set-char #x8B66 ?$@7Y(B) ; J78-@-3759
(ucs-set-char #x8B66 ?$A>/(B) ; GB0-A-3E2F
(ucs-set-char #x8B66 ?$B7Y(B) ; J83-B-3759
(ucs-set-char #x8B67 ?$(Hj"(B) ; C02-H-6A22
(ucs-set-char #x8B68 ?$(Hi}(B) ; C02-H-697D
(ucs-set-char #x8B69 ?$(I]+(B) ; C03-I-5D2B
(ucs-set-char #x8B6A ?$(Hi{(B) ; C02-H-697B
(ucs-set-char #x8B6B ?$(GzC(B) ; C01-G-7A43
(ucs-set-char #x8B6B ?$@k~(B) ; J78-@-6B7E
(ucs-set-char #x8B6B ?$Bk~(B) ; J83-B-6B7E
(ucs-set-char #x8B6C ?$(C^'(B) ; KS0-C-5E27
(ucs-set-char #x8B6C ?$(Gz?(B) ; C01-G-7A3F
(ucs-set-char #x8B6C ?$@l"(B) ; J78-@-6C22
(ucs-set-char #x8B6C ?$AF)(B) ; GB0-A-4629
(ucs-set-char #x8B6C ?$Bl"(B) ; J83-B-6C22
(ucs-set-char #x8B6D ?$(D^Q(B) ; J90-D-5E51
(ucs-set-char #x8B6D ?$(Hj#(B) ; C02-H-6A23
(ucs-set-char #x8B6E ?$(I].(B) ; C03-I-5D2E
(ucs-set-char #x8B6F ?$(Cf;(B) ; KS0-C-663B
(ucs-set-char #x8B6F ?$(GzA(B) ; C01-G-7A41
(ucs-set-char #x8B6F ?$@l#(B) ; J78-@-6C23
(ucs-set-char #x8B6F ?$Bl#(B) ; J83-B-6C23
(ucs-set-char #x8B70 ?$(Cl!(B) ; KS0-C-6C21
(ucs-set-char #x8B70 ?$(Gz>(B) ; C01-G-7A3E
(ucs-set-char #x8B70 ?$@5D(B) ; J78-@-3544
(ucs-set-char #x8B70 ?$B5D(B) ; J83-B-3544
(ucs-set-char #x8B71 ?$(I\m(B) ; C03-I-5C6D
(ucs-set-char #x8B71 ?$@fA(B) ; J78-@-6641
(ucs-set-char #x8B71 ?$BfA(B) ; J83-B-6641
(ucs-set-char #x8B72 ?$@>y(B) ; J78-@-3E79
(ucs-set-char #x8B72 ?$B>y(B) ; J83-B-3E79
(ucs-set-char #x8B73 ?$(Jg;(B) ; C04-J-673B
(ucs-set-char #x8B74 ?$(CL9(B) ; KS0-C-4C39
(ucs-set-char #x8B74 ?$(G{+(B) ; C01-G-7B2B
(ucs-set-char #x8B74 ?$@l$(B) ; J78-@-6C24
(ucs-set-char #x8B74 ?$Bl$(B) ; J83-B-6C24
(ucs-set-char #x8B75 ?$(I^b(B) ; C03-I-5E62
(ucs-set-char #x8B76 ?$(D^R(B) ; J90-D-5E52
(ucs-set-char #x8B76 ?$(JgA(B) ; C04-J-6741
(ucs-set-char #x8B77 ?$(C{^(B) ; KS0-C-7B5E
(ucs-set-char #x8B77 ?$(G{,(B) ; C01-G-7B2C
(ucs-set-char #x8B77 ?$@8n(B) ; J78-@-386E
(ucs-set-char #x8B77 ?$B8n(B) ; J83-B-386E
(ucs-set-char #x8B78 ?$(D^S(B) ; J90-D-5E53
(ucs-set-char #x8B78 ?$(Hl=(B) ; C02-H-6C3D
(ucs-set-char #x8B79 ?$(D^T(B) ; J90-D-5E54
(ucs-set-char #x8B79 ?$(Hl<(B) ; C02-H-6C3C
(ucs-set-char #x8B7A ?$(Hl?(B) ; C02-H-6C3F
(ucs-set-char #x8B7B ?$(Hl@(B) ; C02-H-6C40
(ucs-set-char #x8B7C ?$(D^U(B) ; J90-D-5E55
(ucs-set-char #x8B7C ?$(I^c(B) ; C03-I-5E63
(ucs-set-char #x8B7D ?$(Cgb(B) ; KS0-C-6762
(ucs-set-char #x8B7D ?$(G{-(B) ; C01-G-7B2D
(ucs-set-char #x8B7D ?$@l%(B) ; J78-@-6C25
(ucs-set-char #x8B7D ?$Bl%(B) ; J83-B-6C25
(ucs-set-char #x8B7E ?$(D^V(B) ; J90-D-5E56
(ucs-set-char #x8B7E ?$(Hn%(B) ; C02-H-6E25
(ucs-set-char #x8B7F ?$(Hn*(B) ; C02-H-6E2A
(ucs-set-char #x8B80 ?$(CTA(B) ; KS0-C-5441
(ucs-set-char #x8B80 ?$(G{t(B) ; C01-G-7B74
(ucs-set-char #x8B80 ?$@l&(B) ; J78-@-6C26
(ucs-set-char #x8B80 ?$Bl&(B) ; J83-B-6C26
(ucs-set-char #x8B81 ?$(D^W(B) ; J90-D-5E57
(ucs-set-char #x8B81 ?$(I_a(B) ; C03-I-5F61
(ucs-set-char #x8B82 ?$(Hn'(B) ; C02-H-6E27
(ucs-set-char #x8B83 ?$(I_b(B) ; C03-I-5F62
(ucs-set-char #x8B83 ?$@;>(B) ; J78-@-3B3E
(ucs-set-char #x8B83 ?$B;>(B) ; J83-B-3B3E
(ucs-set-char #x8B84 ?$(D^X(B) ; J90-D-5E58
(ucs-set-char #x8B84 ?$(Hn&(B) ; C02-H-6E26
(ucs-set-char #x8B85 ?$(D^Y(B) ; J90-D-5E59
(ucs-set-char #x8B85 ?$(Hn)(B) ; C02-H-6E29
(ucs-set-char #x8B86 ?$(Hn((B) ; C02-H-6E28
(ucs-set-char #x8B87 ?$(I`H(B) ; C03-I-6048
(ucs-set-char #x8B88 ?$(HoQ(B) ; C02-H-6F51
(ucs-set-char #x8B89 ?$(Jj|(B) ; C04-J-6A7C
(ucs-set-char #x8B8A ?$(C\((B) ; KS0-C-5C28
(ucs-set-char #x8B8A ?$(G|H(B) ; C01-G-7C48
(ucs-set-char #x8B8A ?$@ZN(B) ; J78-@-5A4E
(ucs-set-char #x8B8A ?$BZN(B) ; J83-B-5A4E
(ucs-set-char #x8B8B ?$(D^Z(B) ; J90-D-5E5A
(ucs-set-char #x8B8B ?$(HoP(B) ; C02-H-6F50
(ucs-set-char #x8B8C ?$(HoN(B) ; C02-H-6F4E
(ucs-set-char #x8B8C ?$@l'(B) ; J78-@-6C27
(ucs-set-char #x8B8C ?$Bl'(B) ; J83-B-6C27
(ucs-set-char #x8B8D ?$(D^[(B) ; J90-D-5E5B
(ucs-set-char #x8B8D ?$(I`G(B) ; C03-I-6047
(ucs-set-char #x8B8E ?$(HoO(B) ; C02-H-6F4F
(ucs-set-char #x8B8E ?$@l((B) ; J78-@-6C28
(ucs-set-char #x8B8E ?$Bl((B) ; J83-B-6C28
(ucs-set-char #x8B8F ?$(D^\(B) ; J90-D-5E5C
(ucs-set-char #x8B90 ?$(CbB(B) ; KS0-C-6242
(ucs-set-char #x8B90 ?$(I`I(B) ; C03-I-6049
(ucs-set-char #x8B90 ?$@=2(B) ; J78-@-3D32
(ucs-set-char #x8B90 ?$B=2(B) ; J83-B-3D32
(ucs-set-char #x8B91 ?$(I`{(B) ; C03-I-607B
(ucs-set-char #x8B92 ?$(CsX(B) ; KS0-C-7358
(ucs-set-char #x8B92 ?$(G|j(B) ; C01-G-7C6A
(ucs-set-char #x8B92 ?$@l)(B) ; J78-@-6C29
(ucs-set-char #x8B92 ?$Bl)(B) ; J83-B-6C29
(ucs-set-char #x8B93 ?$(CeS(B) ; KS0-C-6553
(ucs-set-char #x8B93 ?$(G|i(B) ; C01-G-7C69
(ucs-set-char #x8B93 ?$@l*(B) ; J78-@-6C2A
(ucs-set-char #x8B93 ?$Bl*(B) ; J83-B-6C2A
(ucs-set-char #x8B94 ?$(D^](B) ; J90-D-5E5D
(ucs-set-char #x8B94 ?$(HpO(B) ; C02-H-704F
(ucs-set-char #x8B95 ?$(D^^(B) ; J90-D-5E5E
(ucs-set-char #x8B95 ?$(HpP(B) ; C02-H-7050
(ucs-set-char #x8B96 ?$(CsY(B) ; KS0-C-7359
(ucs-set-char #x8B96 ?$(G|k(B) ; C01-G-7C6B
(ucs-set-char #x8B96 ?$@l+(B) ; J78-@-6C2B
(ucs-set-char #x8B96 ?$Bl+(B) ; J83-B-6C2B
(ucs-set-char #x8B97 ?$(IaK(B) ; C03-I-614B
(ucs-set-char #x8B98 ?$(Hq<(B) ; C02-H-713C
(ucs-set-char #x8B99 ?$(Hq=(B) ; C02-H-713D
(ucs-set-char #x8B99 ?$@l,(B) ; J78-@-6C2C
(ucs-set-char #x8B99 ?$Bl,(B) ; J83-B-6C2C
(ucs-set-char #x8B9A ?$(CsF(B) ; KS0-C-7346
(ucs-set-char #x8B9A ?$(G}4(B) ; C01-G-7D34
(ucs-set-char #x8B9A ?$@l-(B) ; J78-@-6C2D
(ucs-set-char #x8B9A ?$Bl-(B) ; J83-B-6C2D
(ucs-set-char #x8B9B ?$(Iak(B) ; C03-I-616B
(ucs-set-char #x8B9C ?$(D^_(B) ; J90-D-5E5F
(ucs-set-char #x8B9C ?$(G}:(B) ; C01-G-7D3A
(ucs-set-char #x8B9D ?$(Ia~(B) ; C03-I-617E
(ucs-set-char #x8B9E ?$(D^`(B) ; J90-D-5E60
(ucs-set-char #x8B9E ?$(Hqw(B) ; C02-H-7177
(ucs-set-char #x8B9F ?$(D^a(B) ; J90-D-5E61
(ucs-set-char #x8B9F ?$(Hr6(B) ; C02-H-7236
(ucs-set-char #x8BA0 ?$AZ%(B) ; GB0-A-5A25
(ucs-set-char #x8BA1 ?$A<F(B) ; GB0-A-3C46
(ucs-set-char #x8BA2 ?$A6)(B) ; GB0-A-3629
(ucs-set-char #x8BA3 ?$A8<(B) ; GB0-A-383C
(ucs-set-char #x8BA4 ?$AHO(B) ; GB0-A-484F
(ucs-set-char #x8BA5 ?$A<%(B) ; GB0-A-3C25
(ucs-set-char #x8BA6 ?$AZ&(B) ; GB0-A-5A26
(ucs-set-char #x8BA7 ?$AZ'(B) ; GB0-A-5A27
(ucs-set-char #x8BA8 ?$ALV(B) ; GB0-A-4C56
(ucs-set-char #x8BA9 ?$AHC(B) ; GB0-A-4843
(ucs-set-char #x8BAA ?$AZ((B) ; GB0-A-5A28
(ucs-set-char #x8BAB ?$AF}(B) ; GB0-A-467D
(ucs-set-char #x8BAD ?$AQ5(B) ; GB0-A-5135
(ucs-set-char #x8BAE ?$ARi(B) ; GB0-A-5269
(ucs-set-char #x8BAF ?$AQ6(B) ; GB0-A-5136
(ucs-set-char #x8BB0 ?$A<G(B) ; GB0-A-3C47
(ucs-set-char #x8BB2 ?$A=2(B) ; GB0-A-3D32
(ucs-set-char #x8BB3 ?$A;d(B) ; GB0-A-3B64
(ucs-set-char #x8BB4 ?$AZ)(B) ; GB0-A-5A29
(ucs-set-char #x8BB5 ?$AZ*(B) ; GB0-A-5A2A
(ucs-set-char #x8BB6 ?$AQH(B) ; GB0-A-5148
(ucs-set-char #x8BB7 ?$AZ+(B) ; GB0-A-5A2B
(ucs-set-char #x8BB8 ?$APm(B) ; GB0-A-506D
(ucs-set-char #x8BB9 ?$A6o(B) ; GB0-A-366F
(ucs-set-char #x8BBA ?$AB[(B) ; GB0-A-425B
(ucs-set-char #x8BBC ?$AKO(B) ; GB0-A-4B4F
(ucs-set-char #x8BBD ?$A7m(B) ; GB0-A-376D
(ucs-set-char #x8BBE ?$AIh(B) ; GB0-A-4968
(ucs-set-char #x8BBF ?$A7C(B) ; GB0-A-3743
(ucs-set-char #x8BC0 ?$A>w(B) ; GB0-A-3E77
(ucs-set-char #x8BC1 ?$AV$(B) ; GB0-A-5624
(ucs-set-char #x8BC2 ?$AZ,(B) ; GB0-A-5A2C
(ucs-set-char #x8BC3 ?$AZ-(B) ; GB0-A-5A2D
(ucs-set-char #x8BC4 ?$AF@(B) ; GB0-A-4640
(ucs-set-char #x8BC5 ?$AWg(B) ; GB0-A-5767
(ucs-set-char #x8BC6 ?$AJ6(B) ; GB0-A-4A36
(ucs-set-char #x8BC8 ?$AU)(B) ; GB0-A-5529
(ucs-set-char #x8BC9 ?$AK_(B) ; GB0-A-4B5F
(ucs-set-char #x8BCA ?$AUo(B) ; GB0-A-556F
(ucs-set-char #x8BCB ?$AZ.(B) ; GB0-A-5A2E
(ucs-set-char #x8BCC ?$AV_(B) ; GB0-A-565F
(ucs-set-char #x8BCD ?$A4J(B) ; GB0-A-344A
(ucs-set-char #x8BCE ?$AZ0(B) ; GB0-A-5A30
(ucs-set-char #x8BCF ?$AZ/(B) ; GB0-A-5A2F
(ucs-set-char #x8BD1 ?$ARk(B) ; GB0-A-526B
(ucs-set-char #x8BD2 ?$AZ1(B) ; GB0-A-5A31
(ucs-set-char #x8BD3 ?$AZ2(B) ; GB0-A-5A32
(ucs-set-char #x8BD4 ?$AZ3(B) ; GB0-A-5A33
(ucs-set-char #x8BD5 ?$AJT(B) ; GB0-A-4A54
(ucs-set-char #x8BD6 ?$AZ4(B) ; GB0-A-5A34
(ucs-set-char #x8BD7 ?$AJ+(B) ; GB0-A-4A2B
(ucs-set-char #x8BD8 ?$AZ5(B) ; GB0-A-5A35
(ucs-set-char #x8BD9 ?$AZ6(B) ; GB0-A-5A36
(ucs-set-char #x8BDA ?$A3O(B) ; GB0-A-334F
(ucs-set-char #x8BDB ?$AVo(B) ; GB0-A-566F
(ucs-set-char #x8BDC ?$AZ7(B) ; GB0-A-5A37
(ucs-set-char #x8BDD ?$A;0(B) ; GB0-A-3B30
(ucs-set-char #x8BDE ?$A5.(B) ; GB0-A-352E
(ucs-set-char #x8BDF ?$AZ8(B) ; GB0-A-5A38
(ucs-set-char #x8BE0 ?$AZ9(B) ; GB0-A-5A39
(ucs-set-char #x8BE1 ?$A9n(B) ; GB0-A-396E
(ucs-set-char #x8BE2 ?$AQ/(B) ; GB0-A-512F
(ucs-set-char #x8BE3 ?$ARh(B) ; GB0-A-5268
(ucs-set-char #x8BE4 ?$AZ:(B) ; GB0-A-5A3A
(ucs-set-char #x8BE5 ?$A8C(B) ; GB0-A-3843
(ucs-set-char #x8BE6 ?$AOj(B) ; GB0-A-4F6A
(ucs-set-char #x8BE7 ?$A2o(B) ; GB0-A-326F
(ucs-set-char #x8BE8 ?$AZ;(B) ; GB0-A-5A3B
(ucs-set-char #x8BE9 ?$AZ<(B) ; GB0-A-5A3C
(ucs-set-char #x8BEB ?$A=k(B) ; GB0-A-3D6B
(ucs-set-char #x8BEC ?$AN\(B) ; GB0-A-4E5C
(ucs-set-char #x8BED ?$ASo(B) ; GB0-A-536F
(ucs-set-char #x8BEE ?$AZ=(B) ; GB0-A-5A3D
(ucs-set-char #x8BEF ?$ANs(B) ; GB0-A-4E73
(ucs-set-char #x8BF0 ?$AZ>(B) ; GB0-A-5A3E
(ucs-set-char #x8BF1 ?$ASU(B) ; GB0-A-5355
(ucs-set-char #x8BF2 ?$A;e(B) ; GB0-A-3B65
(ucs-set-char #x8BF3 ?$AZ?(B) ; GB0-A-5A3F
(ucs-set-char #x8BF4 ?$AK5(B) ; GB0-A-4B35
(ucs-set-char #x8BF5 ?$AKP(B) ; GB0-A-4B50
(ucs-set-char #x8BF6 ?$AZ@(B) ; GB0-A-5A40
(ucs-set-char #x8BF7 ?$AGk(B) ; GB0-A-476B
(ucs-set-char #x8BF8 ?$AVn(B) ; GB0-A-566E
(ucs-set-char #x8BF9 ?$AZA(B) ; GB0-A-5A41
(ucs-set-char #x8BFA ?$AE5(B) ; GB0-A-4535
(ucs-set-char #x8BFB ?$A6A(B) ; GB0-A-3641
(ucs-set-char #x8BFC ?$AZB(B) ; GB0-A-5A42
(ucs-set-char #x8BFD ?$A7L(B) ; GB0-A-374C
(ucs-set-char #x8BFE ?$A?N(B) ; GB0-A-3F4E
(ucs-set-char #x8BFF ?$AZC(B) ; GB0-A-5A43
(ucs-set-char #x8C00 ?$AZD(B) ; GB0-A-5A44
(ucs-set-char #x8C01 ?$AK-(B) ; GB0-A-4B2D
(ucs-set-char #x8C02 ?$AZE(B) ; GB0-A-5A45
(ucs-set-char #x8C03 ?$A5w(B) ; GB0-A-3577
(ucs-set-char #x8C04 ?$AZF(B) ; GB0-A-5A46
(ucs-set-char #x8C05 ?$AAB(B) ; GB0-A-4142
(ucs-set-char #x8C06 ?$AW;(B) ; GB0-A-573B
(ucs-set-char #x8C07 ?$AZG(B) ; GB0-A-5A47
(ucs-set-char #x8C08 ?$AL8(B) ; GB0-A-4C38
(ucs-set-char #x8C0A ?$ARj(B) ; GB0-A-526A
(ucs-set-char #x8C0B ?$AD1(B) ; GB0-A-4431
(ucs-set-char #x8C0C ?$AZH(B) ; GB0-A-5A48
(ucs-set-char #x8C0D ?$A5}(B) ; GB0-A-357D
(ucs-set-char #x8C0E ?$A;Q(B) ; GB0-A-3B51
(ucs-set-char #x8C0F ?$AZI(B) ; GB0-A-5A49
(ucs-set-char #x8C10 ?$AP3(B) ; GB0-A-5033
(ucs-set-char #x8C11 ?$AZJ(B) ; GB0-A-5A4A
(ucs-set-char #x8C12 ?$AZK(B) ; GB0-A-5A4B
(ucs-set-char #x8C13 ?$AN=(B) ; GB0-A-4E3D
(ucs-set-char #x8C14 ?$AZL(B) ; GB0-A-5A4C
(ucs-set-char #x8C15 ?$AZM(B) ; GB0-A-5A4D
(ucs-set-char #x8C16 ?$AZN(B) ; GB0-A-5A4E
(ucs-set-char #x8C17 ?$A2w(B) ; GB0-A-3277
(ucs-set-char #x8C18 ?$AZQ(B) ; GB0-A-5A51
(ucs-set-char #x8C19 ?$AZO(B) ; GB0-A-5A4F
(ucs-set-char #x8C1A ?$AQh(B) ; GB0-A-5168
(ucs-set-char #x8C1B ?$AZP(B) ; GB0-A-5A50
(ucs-set-char #x8C1C ?$ACU(B) ; GB0-A-4355
(ucs-set-char #x8C1D ?$AZR(B) ; GB0-A-5A52
(ucs-set-char #x8C1F ?$AZS(B) ; GB0-A-5A53
(ucs-set-char #x8C20 ?$AZT(B) ; GB0-A-5A54
(ucs-set-char #x8C21 ?$AZU(B) ; GB0-A-5A55
(ucs-set-char #x8C22 ?$AP;(B) ; GB0-A-503B
(ucs-set-char #x8C23 ?$AR%(B) ; GB0-A-5225
(ucs-set-char #x8C24 ?$A0y(B) ; GB0-A-3079
(ucs-set-char #x8C25 ?$AZV(B) ; GB0-A-5A56
(ucs-set-char #x8C26 ?$AG+(B) ; GB0-A-472B
(ucs-set-char #x8C27 ?$AZW(B) ; GB0-A-5A57
(ucs-set-char #x8C28 ?$A=w(B) ; GB0-A-3D77
(ucs-set-char #x8C29 ?$AC!(B) ; GB0-A-4321
(ucs-set-char #x8C2A ?$AZX(B) ; GB0-A-5A58
(ucs-set-char #x8C2B ?$AZY(B) ; GB0-A-5A59
(ucs-set-char #x8C2C ?$AC}(B) ; GB0-A-437D
(ucs-set-char #x8C2D ?$AL7(B) ; GB0-A-4C37
(ucs-set-char #x8C2E ?$AZZ(B) ; GB0-A-5A5A
(ucs-set-char #x8C2F ?$AZ[(B) ; GB0-A-5A5B
(ucs-set-char #x8C30 ?$A@>(B) ; GB0-A-403E
(ucs-set-char #x8C31 ?$AFW(B) ; GB0-A-4657
(ucs-set-char #x8C32 ?$AZ\(B) ; GB0-A-5A5C
(ucs-set-char #x8C33 ?$AZ](B) ; GB0-A-5A5D
(ucs-set-char #x8C34 ?$AG4(B) ; GB0-A-4734
(ucs-set-char #x8C35 ?$AZ^(B) ; GB0-A-5A5E
(ucs-set-char #x8C36 ?$AZ_(B) ; GB0-A-5A5F
(ucs-set-char #x8C37 ?$(CM[(B) ; KS0-C-4D5B
(ucs-set-char #x8C37 ?$(GKG(B) ; C01-G-4B47
(ucs-set-char #x8C37 ?$@C+(B) ; J78-@-432B
(ucs-set-char #x8C37 ?$A9H(B) ; GB0-A-3948
(ucs-set-char #x8C37 ?$BC+(B) ; J83-B-432B
(ucs-set-char #x8C38 ?$(D^b(B) ; J90-D-5E62
(ucs-set-char #x8C38 ?$(K0F(B) ; C05-K-3046
(ucs-set-char #x8C39 ?$(D^c(B) ; J90-D-5E63
(ucs-set-char #x8C39 ?$(H9P(B) ; C02-H-3950
(ucs-set-char #x8C3A ?$(I9*(B) ; C03-I-392A
(ucs-set-char #x8C3A ?$@l.(B) ; J78-@-6C2E
(ucs-set-char #x8C3A ?$Bl.(B) ; J83-B-6C2E
(ucs-set-char #x8C3B ?$(H9Q(B) ; C02-H-3951
(ucs-set-char #x8C3C ?$(HGX(B) ; C02-H-4758
(ucs-set-char #x8C3D ?$(D^d(B) ; J90-D-5E64
(ucs-set-char #x8C3D ?$(HN8(B) ; C02-H-4E38
(ucs-set-char #x8C3E ?$(D^e(B) ; J90-D-5E65
(ucs-set-char #x8C3E ?$(HTN(B) ; C02-H-544E
(ucs-set-char #x8C3F ?$(CM,(B) ; KS0-C-4D2C
(ucs-set-char #x8C3F ?$(GuQ(B) ; C01-G-7551
(ucs-set-char #x8C3F ?$@l0(B) ; J78-@-6C30
(ucs-set-char #x8C3F ?$Bl0(B) ; J83-B-6C30
(ucs-set-char #x8C40 ?$(IVM(B) ; C03-I-564D
(ucs-set-char #x8C41 ?$(C|C(B) ; KS0-C-7C43
(ucs-set-char #x8C41 ?$(GuP(B) ; C01-G-7550
(ucs-set-char #x8C41 ?$@l/(B) ; J78-@-6C2F
(ucs-set-char #x8C41 ?$A;m(B) ; GB0-A-3B6D
(ucs-set-char #x8C41 ?$Bl/(B) ; J83-B-6C2F
(ucs-set-char #x8C42 ?$(HcY(B) ; C02-H-6359
(ucs-set-char #x8C43 ?$(Hg0(B) ; C02-H-6730
(ucs-set-char #x8C44 ?$(I_d(B) ; C03-I-5F64
(ucs-set-char #x8C45 ?$(D^f(B) ; J90-D-5E66
(ucs-set-char #x8C45 ?$(HoR(B) ; C02-H-6F52
(ucs-set-char #x8C46 ?$(CTg(B) ; KS0-C-5467
(ucs-set-char #x8C46 ?$(GKH(B) ; C01-G-4B48
(ucs-set-char #x8C46 ?$@F&(B) ; J78-@-4626
(ucs-set-char #x8C46 ?$A69(B) ; GB0-A-3639
(ucs-set-char #x8C46 ?$BF&(B) ; J83-B-4626
(ucs-set-char #x8C47 ?$(D^g(B) ; J90-D-5E67
(ucs-set-char #x8C47 ?$(H3"(B) ; C02-H-3322
(ucs-set-char #x8C47 ?$Atx(B) ; GB0-A-7478
(ucs-set-char #x8C48 ?$(CQB(B) ; KS0-C-5142
(ucs-set-char #x8C48 ?$(GX?(B) ; C01-G-583F
(ucs-set-char #x8C48 ?$@l1(B) ; J78-@-6C31
(ucs-set-char #x8C48 ?$Bl1(B) ; J83-B-6C31
(ucs-set-char #x8C49 ?$(D^h(B) ; J90-D-5E68
(ucs-set-char #x8C49 ?$(G]G(B) ; C01-G-5D47
(ucs-set-char #x8C49 ?$Aty(B) ; GB0-A-7479
(ucs-set-char #x8C4A ?$(Cy%(B) ; KS0-C-7925
(ucs-set-char #x8C4A ?$(HGZ(B) ; C02-H-475A
(ucs-set-char #x8C4A ?$@K-(B) ; J78-@-4B2D
(ucs-set-char #x8C4A ?$BK-(B) ; J83-B-4B2D
(ucs-set-char #x8C4B ?$(D^i(B) ; J90-D-5E69
(ucs-set-char #x8C4B ?$(HGY(B) ; C02-H-4759
(ucs-set-char #x8C4C ?$(ChU(B) ; KS0-C-6855
(ucs-set-char #x8C4C ?$(Go'(B) ; C01-G-6F27
(ucs-set-char #x8C4C ?$@l2(B) ; J78-@-6C32
(ucs-set-char #x8C4C ?$AMc(B) ; GB0-A-4D63
(ucs-set-char #x8C4C ?$Bl2(B) ; J83-B-6C32
(ucs-set-char #x8C4D ?$(HTO(B) ; C02-H-544F
(ucs-set-char #x8C4E ?$(Go((B) ; C01-G-6F28
(ucs-set-char #x8C4E ?$@l3(B) ; J78-@-6C33
(ucs-set-char #x8C4E ?$Bl3(B) ; J83-B-6C33
(ucs-set-char #x8C4F ?$(D^j(B) ; J90-D-5E6A
(ucs-set-char #x8C4F ?$(H_](B) ; C02-H-5F5D
(ucs-set-char #x8C50 ?$(GwB(B) ; C01-G-7742
(ucs-set-char #x8C50 ?$@l4(B) ; J78-@-6C34
(ucs-set-char #x8C50 ?$Bl4(B) ; J83-B-6C34
(ucs-set-char #x8C51 ?$(D^k(B) ; J90-D-5E6B
(ucs-set-char #x8C51 ?$(I]4(B) ; C03-I-5D34
(ucs-set-char #x8C53 ?$(D^l(B) ; J90-D-5E6C
(ucs-set-char #x8C53 ?$(Ib!(B) ; C03-I-6221
(ucs-set-char #x8C54 ?$(D^m(B) ; J90-D-5E6D
(ucs-set-char #x8C54 ?$(G}C(B) ; C01-G-7D43
(ucs-set-char #x8C55 ?$(CcN(B) ; KS0-C-634E
(ucs-set-char #x8C55 ?$(GKI(B) ; C01-G-4B49
(ucs-set-char #x8C55 ?$@l5(B) ; J78-@-6C35
(ucs-set-char #x8C55 ?$Au9(B) ; GB0-A-7539
(ucs-set-char #x8C55 ?$Bl5(B) ; J83-B-6C35
(ucs-set-char #x8C56 ?$(H(k(B) ; C02-H-286B
(ucs-set-char #x8C57 ?$(D^n(B) ; J90-D-5E6E
(ucs-set-char #x8C57 ?$(H3#(B) ; C02-H-3323
(ucs-set-char #x8C58 ?$(D^o(B) ; J90-D-5E6F
(ucs-set-char #x8C58 ?$(I9-(B) ; C03-I-392D
(ucs-set-char #x8C59 ?$(D^r(B) ; J90-D-5E72
(ucs-set-char #x8C59 ?$(J5M(B) ; C04-J-354D
(ucs-set-char #x8C5A ?$(CTJ(B) ; KS0-C-544A
(ucs-set-char #x8C5A ?$(G]H(B) ; C01-G-5D48
(ucs-set-char #x8C5A ?$@FZ(B) ; J78-@-465A
(ucs-set-char #x8C5A ?$Ak`(B) ; GB0-A-6B60
(ucs-set-char #x8C5A ?$BFZ(B) ; J83-B-465A
(ucs-set-char #x8C5B ?$(D^p(B) ; J90-D-5E70
(ucs-set-char #x8C5B ?$(I9,(B) ; C03-I-392C
(ucs-set-char #x8C5C ?$(H9R(B) ; C02-H-3952
(ucs-set-char #x8C5D ?$(D^q(B) ; J90-D-5E71
(ucs-set-char #x8C5D ?$(H9S(B) ; C02-H-3953
(ucs-set-char #x8C5E ?$(I?*(B) ; C03-I-3F2A
(ucs-set-char #x8C5F ?$(H@K(B) ; C02-H-404B
(ucs-set-char #x8C60 ?$(I?)(B) ; C03-I-3F29
(ucs-set-char #x8C61 ?$(C_Z(B) ; KS0-C-5F5A
(ucs-set-char #x8C61 ?$(Gb/(B) ; C01-G-622F
(ucs-set-char #x8C61 ?$@>](B) ; J78-@-3E5D
(ucs-set-char #x8C61 ?$AOs(B) ; GB0-A-4F73
(ucs-set-char #x8C61 ?$B>](B) ; J83-B-3E5D
(ucs-set-char #x8C62 ?$(Gfm(B) ; C01-G-666D
(ucs-set-char #x8C62 ?$@l6(B) ; J78-@-6C36
(ucs-set-char #x8C62 ?$A;?(B) ; GB0-A-3B3F
(ucs-set-char #x8C62 ?$Bl6(B) ; J83-B-6C36
(ucs-set-char #x8C63 ?$(D^s(B) ; J90-D-5E73
(ucs-set-char #x8C63 ?$(IDd(B) ; C03-I-4464
(ucs-set-char #x8C64 ?$(D^t(B) ; J90-D-5E74
(ucs-set-char #x8C64 ?$(HG\(B) ; C02-H-475C
(ucs-set-char #x8C65 ?$(HG[(B) ; C02-H-475B
(ucs-set-char #x8C66 ?$(D^u(B) ; J90-D-5E75
(ucs-set-char #x8C66 ?$(HG](B) ; C02-H-475D
(ucs-set-char #x8C67 ?$(IIm(B) ; C03-I-496D
(ucs-set-char #x8C68 ?$(D^v(B) ; J90-D-5E76
(ucs-set-char #x8C68 ?$(HN9(B) ; C02-H-4E39
(ucs-set-char #x8C69 ?$(D^w(B) ; J90-D-5E77
(ucs-set-char #x8C69 ?$(HN:(B) ; C02-H-4E3A
(ucs-set-char #x8C6A ?$(C{_(B) ; KS0-C-7B5F
(ucs-set-char #x8C6A ?$(Gk0(B) ; C01-G-6B30
(ucs-set-char #x8C6A ?$@9k(B) ; J78-@-396B
(ucs-set-char #x8C6A ?$A:@(B) ; GB0-A-3A40
(ucs-set-char #x8C6A ?$B9k(B) ; J83-B-396B
(ucs-set-char #x8C6B ?$(Cgc(B) ; KS0-C-6763
(ucs-set-char #x8C6B ?$(GrG(B) ; C01-G-7247
(ucs-set-char #x8C6B ?$@P.(B) ; J78-@-502E
(ucs-set-char #x8C6B ?$AT%(B) ; GB0-A-5425
(ucs-set-char #x8C6B ?$BP.(B) ; J83-B-502E
(ucs-set-char #x8C6C ?$(Go)(B) ; C01-G-6F29
(ucs-set-char #x8C6C ?$@l7(B) ; J78-@-6C37
(ucs-set-char #x8C6C ?$Bl7(B) ; J83-B-6C37
(ucs-set-char #x8C6D ?$(D^x(B) ; J90-D-5E78
(ucs-set-char #x8C6D ?$(GrH(B) ; C01-G-7248
(ucs-set-char #x8C6F ?$(H_a(B) ; C02-H-5F61
(ucs-set-char #x8C70 ?$(H_^(B) ; C02-H-5F5E
(ucs-set-char #x8C71 ?$(H_`(B) ; C02-H-5F60
(ucs-set-char #x8C72 ?$(H__(B) ; C02-H-5F5F
(ucs-set-char #x8C73 ?$(D^y(B) ; J90-D-5E79
(ucs-set-char #x8C73 ?$(GuR(B) ; C01-G-7552
(ucs-set-char #x8C73 ?$AaY(B) ; GB0-A-6159
(ucs-set-char #x8C74 ?$(IY+(B) ; C03-I-592B
(ucs-set-char #x8C75 ?$(D^z(B) ; J90-D-5E7A
(ucs-set-char #x8C75 ?$(HcZ(B) ; C02-H-635A
(ucs-set-char #x8C76 ?$(D^{(B) ; J90-D-5E7B
(ucs-set-char #x8C76 ?$(Hg2(B) ; C02-H-6732
(ucs-set-char #x8C77 ?$(Hg1(B) ; C02-H-6731
(ucs-set-char #x8C78 ?$(H%$(B) ; C02-H-2524
(ucs-set-char #x8C78 ?$@l8(B) ; J78-@-6C38
(ucs-set-char #x8C78 ?$Aut(B) ; GB0-A-7574
(ucs-set-char #x8C78 ?$Bl8(B) ; J83-B-6C38
(ucs-set-char #x8C79 ?$(Cx{(B) ; KS0-C-787B
(ucs-set-char #x8C79 ?$(GXA(B) ; C01-G-5841
(ucs-set-char #x8C79 ?$@I?(B) ; J78-@-493F
(ucs-set-char #x8C79 ?$A1*(B) ; GB0-A-312A
(ucs-set-char #x8C79 ?$BI?(B) ; J83-B-493F
(ucs-set-char #x8C7A ?$(CcO(B) ; KS0-C-634F
(ucs-set-char #x8C7A ?$(GX@(B) ; C01-G-5840
(ucs-set-char #x8C7A ?$@l9(B) ; J78-@-6C39
(ucs-set-char #x8C7A ?$A2r(B) ; GB0-A-3272
(ucs-set-char #x8C7A ?$Bl9(B) ; J83-B-6C39
(ucs-set-char #x8C7B ?$(D^|(B) ; J90-D-5E7C
(ucs-set-char #x8C7B ?$(H3$(B) ; C02-H-3324
(ucs-set-char #x8C7C ?$(I9.(B) ; C03-I-392E
(ucs-set-char #x8C7C ?$@lA(B) ; J78-@-6C41
(ucs-set-char #x8C7C ?$BlA(B) ; J83-B-6C41
(ucs-set-char #x8C7D ?$(H9T(B) ; C02-H-3954
(ucs-set-char #x8C7E ?$(D^}(B) ; J90-D-5E7D
(ucs-set-char #x8C7E ?$(I?,(B) ; C03-I-3F2C
(ucs-set-char #x8C7F ?$(I?+(B) ; C03-I-3F2B
(ucs-set-char #x8C80 ?$(H@M(B) ; C02-H-404D
(ucs-set-char #x8C81 ?$(H@L(B) ; C02-H-404C
(ucs-set-char #x8C82 ?$(Cu0(B) ; KS0-C-7530
(ucs-set-char #x8C82 ?$(Gb0(B) ; C01-G-6230
(ucs-set-char #x8C82 ?$@l:(B) ; J78-@-6C3A
(ucs-set-char #x8C82 ?$Auu(B) ; GB0-A-7575
(ucs-set-char #x8C82 ?$Bl:(B) ; J83-B-6C3A
(ucs-set-char #x8C83 ?$(I?-(B) ; C03-I-3F2D
(ucs-set-char #x8C84 ?$(HG_(B) ; C02-H-475F
(ucs-set-char #x8C85 ?$(HG`(B) ; C02-H-4760
(ucs-set-char #x8C85 ?$@l<(B) ; J78-@-6C3C
(ucs-set-char #x8C85 ?$Auw(B) ; GB0-A-7577
(ucs-set-char #x8C85 ?$Bl<(B) ; J83-B-6C3C
(ucs-set-char #x8C86 ?$(D^~(B) ; J90-D-5E7E
(ucs-set-char #x8C86 ?$(HG^(B) ; C02-H-475E
(ucs-set-char #x8C87 ?$(D_!(B) ; J90-D-5F21
(ucs-set-char #x8C87 ?$(J@x(B) ; C04-J-4078
(ucs-set-char #x8C88 ?$(IDe(B) ; C03-I-4465
(ucs-set-char #x8C89 ?$(Gfo(B) ; C01-G-666F
(ucs-set-char #x8C89 ?$@l;(B) ; J78-@-6C3B
(ucs-set-char #x8C89 ?$A:Q(B) ; GB0-A-3A51
(ucs-set-char #x8C89 ?$Bl;(B) ; J83-B-6C3B
(ucs-set-char #x8C8A ?$(CXg(B) ; KS0-C-5867
(ucs-set-char #x8C8A ?$(Gfn(B) ; C01-G-666E
(ucs-set-char #x8C8A ?$@l=(B) ; J78-@-6C3D
(ucs-set-char #x8C8A ?$Auv(B) ; GB0-A-7576
(ucs-set-char #x8C8A ?$Bl=(B) ; J83-B-6C3D
(ucs-set-char #x8C8B ?$(D_"(B) ; J90-D-5F22
(ucs-set-char #x8C8B ?$(JGT(B) ; C04-J-4754
(ucs-set-char #x8C8C ?$(CYI(B) ; KS0-C-5949
(ucs-set-char #x8C8C ?$(Gk2(B) ; C01-G-6B32
(ucs-set-char #x8C8C ?$@KF(B) ; J78-@-4B46
(ucs-set-char #x8C8C ?$AC2(B) ; GB0-A-4332
(ucs-set-char #x8C8C ?$BKF(B) ; J83-B-4B46
(ucs-set-char #x8C8D ?$(Gk1(B) ; C01-G-6B31
(ucs-set-char #x8C8D ?$@l>(B) ; J78-@-6C3E
(ucs-set-char #x8C8D ?$Bl>(B) ; J83-B-6C3E
(ucs-set-char #x8C8E ?$(INz(B) ; C03-I-4E7A
(ucs-set-char #x8C8E ?$@l?(B) ; J78-@-6C3F
(ucs-set-char #x8C8E ?$Bl?(B) ; J83-B-6C3F
(ucs-set-char #x8C8F ?$(HTP(B) ; C02-H-5450
(ucs-set-char #x8C90 ?$(D_#(B) ; J90-D-5F23
(ucs-set-char #x8C90 ?$(HZ_(B) ; C02-H-5A5F
(ucs-set-char #x8C91 ?$(HZ](B) ; C02-H-5A5D
(ucs-set-char #x8C92 ?$(D_$(B) ; J90-D-5F24
(ucs-set-char #x8C92 ?$(HZ^(B) ; C02-H-5A5E
(ucs-set-char #x8C93 ?$(D_%(B) ; J90-D-5F25
(ucs-set-char #x8C93 ?$(GrI(B) ; C01-G-7249
(ucs-set-char #x8C94 ?$(H_c(B) ; C02-H-5F63
(ucs-set-char #x8C94 ?$@l@(B) ; J78-@-6C40
(ucs-set-char #x8C94 ?$Auy(B) ; GB0-A-7579
(ucs-set-char #x8C94 ?$Bl@(B) ; J83-B-6C40
(ucs-set-char #x8C95 ?$(H_b(B) ; C02-H-5F62
(ucs-set-char #x8C96 ?$(IVO(B) ; C03-I-564F
(ucs-set-char #x8C97 ?$(Hc](B) ; C02-H-635D
(ucs-set-char #x8C98 ?$(Hc\(B) ; C02-H-635C
(ucs-set-char #x8C98 ?$@lB(B) ; J78-@-6C42
(ucs-set-char #x8C98 ?$Aux(B) ; GB0-A-7578
(ucs-set-char #x8C98 ?$BlB(B) ; J83-B-6C42
(ucs-set-char #x8C99 ?$(D_&(B) ; J90-D-5F26
(ucs-set-char #x8C99 ?$(Hc[(B) ; C02-H-635B
(ucs-set-char #x8C9A ?$(Hg3(B) ; C02-H-6733
(ucs-set-char #x8C9B ?$(D_'(B) ; J90-D-5F27
(ucs-set-char #x8C9B ?$(IaM(B) ; C03-I-614D
(ucs-set-char #x8C9C ?$(D_((B) ; J90-D-5F28
(ucs-set-char #x8C9C ?$(Hqx(B) ; C02-H-7178
(ucs-set-char #x8C9D ?$(Cx/(B) ; KS0-C-782F
(ucs-set-char #x8C9D ?$(GKJ(B) ; C01-G-4B4A
(ucs-set-char #x8C9D ?$@3-(B) ; J78-@-332D
(ucs-set-char #x8C9D ?$B3-(B) ; J83-B-332D
(ucs-set-char #x8C9E ?$(Cov(B) ; KS0-C-6F76
(ucs-set-char #x8C9E ?$(GSV(B) ; C01-G-5356
(ucs-set-char #x8C9E ?$@Dg(B) ; J78-@-4467
(ucs-set-char #x8C9E ?$BDg(B) ; J83-B-4467
(ucs-set-char #x8C9F ?$(I/.(B) ; C03-I-2F2E
(ucs-set-char #x8CA0 ?$(C]6(B) ; KS0-C-5D36
(ucs-set-char #x8CA0 ?$(GSW(B) ; C01-G-5357
(ucs-set-char #x8CA0 ?$@Ii(B) ; J78-@-4969
(ucs-set-char #x8CA0 ?$BIi(B) ; J83-B-4969
(ucs-set-char #x8CA1 ?$(Cn/(B) ; KS0-C-6E2F
(ucs-set-char #x8CA1 ?$(GXB(B) ; C01-G-5842
(ucs-set-char #x8CA1 ?$@:b(B) ; J78-@-3A62
(ucs-set-char #x8CA1 ?$B:b(B) ; J83-B-3A62
(ucs-set-char #x8CA2 ?$(CMx(B) ; KS0-C-4D78
(ucs-set-char #x8CA2 ?$(GXC(B) ; C01-G-5843
(ucs-set-char #x8CA2 ?$@9W(B) ; J78-@-3957
(ucs-set-char #x8CA2 ?$B9W(B) ; J83-B-3957
(ucs-set-char #x8CA3 ?$(H3&(B) ; C02-H-3326
(ucs-set-char #x8CA4 ?$(D_)(B) ; J90-D-5F29
(ucs-set-char #x8CA4 ?$(H3%(B) ; C02-H-3325
(ucs-set-char #x8CA5 ?$(H9U(B) ; C02-H-3955
(ucs-set-char #x8CA6 ?$(I90(B) ; C03-I-3930
(ucs-set-char #x8CA7 ?$(C^8(B) ; KS0-C-5E38
(ucs-set-char #x8CA7 ?$(G]N(B) ; C01-G-5D4E
(ucs-set-char #x8CA7 ?$@IO(B) ; J78-@-494F
(ucs-set-char #x8CA7 ?$BIO(B) ; J83-B-494F
(ucs-set-char #x8CA8 ?$(C|'(B) ; KS0-C-7C27
(ucs-set-char #x8CA8 ?$(G]L(B) ; C01-G-5D4C
(ucs-set-char #x8CA8 ?$@2_(B) ; J78-@-325F
(ucs-set-char #x8CA8 ?$B2_(B) ; J83-B-325F
(ucs-set-char #x8CA9 ?$(Cw|(B) ; KS0-C-777C
(ucs-set-char #x8CA9 ?$(G]I(B) ; C01-G-5D49
(ucs-set-char #x8CA9 ?$@HN(B) ; J78-@-484E
(ucs-set-char #x8CA9 ?$BHN(B) ; J83-B-484E
(ucs-set-char #x8CAA ?$(Cw1(B) ; KS0-C-7731
(ucs-set-char #x8CAA ?$(G]M(B) ; C01-G-5D4D
(ucs-set-char #x8CAA ?$@lE(B) ; J78-@-6C45
(ucs-set-char #x8CAA ?$BlE(B) ; J83-B-6C45
(ucs-set-char #x8CAB ?$(CN;(B) ; KS0-C-4E3B
(ucs-set-char #x8CAB ?$(G]K(B) ; C01-G-5D4B
(ucs-set-char #x8CAB ?$@4S(B) ; J78-@-3453
(ucs-set-char #x8CAB ?$B4S(B) ; J83-B-3453
(ucs-set-char #x8CAC ?$(Ct!(B) ; KS0-C-7421
(ucs-set-char #x8CAC ?$(G]J(B) ; C01-G-5D4A
(ucs-set-char #x8CAC ?$@@U(B) ; J78-@-4055
(ucs-set-char #x8CAC ?$B@U(B) ; J83-B-4055
(ucs-set-char #x8CAD ?$(I92(B) ; C03-I-3932
(ucs-set-char #x8CAD ?$@lD(B) ; J78-@-6C44
(ucs-set-char #x8CAD ?$BlD(B) ; J83-B-6C44
(ucs-set-char #x8CAE ?$(I91(B) ; C03-I-3931
(ucs-set-char #x8CAE ?$@lI(B) ; J78-@-6C49
(ucs-set-char #x8CAE ?$BlI(B) ; J83-B-6C49
(ucs-set-char #x8CAF ?$(CnM(B) ; KS0-C-6E4D
(ucs-set-char #x8CAF ?$(Gb1(B) ; C01-G-6231
(ucs-set-char #x8CAF ?$@Cy(B) ; J78-@-4379
(ucs-set-char #x8CAF ?$BCy(B) ; J83-B-4379
(ucs-set-char #x8CB0 ?$(Ca.(B) ; KS0-C-612E
(ucs-set-char #x8CB0 ?$(H@P(B) ; C02-H-4050
(ucs-set-char #x8CB0 ?$@Lc(B) ; J78-@-4C63
(ucs-set-char #x8CB0 ?$BLc(B) ; J83-B-4C63
(ucs-set-char #x8CB1 ?$(I?/(B) ; C03-I-3F2F
(ucs-set-char #x8CB2 ?$(Gft(B) ; C01-G-6674
(ucs-set-char #x8CB2 ?$@lG(B) ; J78-@-6C47
(ucs-set-char #x8CB2 ?$BlG(B) ; J83-B-6C47
(ucs-set-char #x8CB3 ?$(ClC(B) ; KS0-C-6C43
(ucs-set-char #x8CB3 ?$(Gb3(B) ; C01-G-6233
(ucs-set-char #x8CB3 ?$@lH(B) ; J78-@-6C48
(ucs-set-char #x8CB3 ?$BlH(B) ; J83-B-6C48
(ucs-set-char #x8CB4 ?$(CO~(B) ; KS0-C-4F7E
(ucs-set-char #x8CB4 ?$(Gb8(B) ; C01-G-6238
(ucs-set-char #x8CB4 ?$@5.(B) ; J78-@-352E
(ucs-set-char #x8CB4 ?$B5.(B) ; J83-B-352E
(ucs-set-char #x8CB5 ?$(H@R(B) ; C02-H-4052
(ucs-set-char #x8CB6 ?$(Cx?(B) ; KS0-C-783F
(ucs-set-char #x8CB6 ?$(Gb:(B) ; C01-G-623A
(ucs-set-char #x8CB6 ?$@lJ(B) ; J78-@-6C4A
(ucs-set-char #x8CB6 ?$BlJ(B) ; J83-B-6C4A
(ucs-set-char #x8CB7 ?$(CXb(B) ; KS0-C-5862
(ucs-set-char #x8CB7 ?$(Gb9(B) ; C01-G-6239
(ucs-set-char #x8CB7 ?$@Gc(B) ; J78-@-4763
(ucs-set-char #x8CB7 ?$BGc(B) ; J83-B-4763
(ucs-set-char #x8CB8 ?$(CSh(B) ; KS0-C-5368
(ucs-set-char #x8CB8 ?$(Gb<(B) ; C01-G-623C
(ucs-set-char #x8CB8 ?$@B_(B) ; J78-@-425F
(ucs-set-char #x8CB8 ?$BB_(B) ; J83-B-425F
(ucs-set-char #x8CB9 ?$(D_*(B) ; J90-D-5F2A
(ucs-set-char #x8CB9 ?$(H@Q(B) ; C02-H-4051
(ucs-set-char #x8CBA ?$(D_+(B) ; J90-D-5F2B
(ucs-set-char #x8CBA ?$(H@N(B) ; C02-H-404E
(ucs-set-char #x8CBB ?$(C^((B) ; KS0-C-5E28
(ucs-set-char #x8CBB ?$(Gb6(B) ; C01-G-6236
(ucs-set-char #x8CBB ?$@Hq(B) ; J78-@-4871
(ucs-set-char #x8CBB ?$BHq(B) ; J83-B-4871
(ucs-set-char #x8CBC ?$(Ctd(B) ; KS0-C-7464
(ucs-set-char #x8CBC ?$(Gb2(B) ; C01-G-6232
(ucs-set-char #x8CBC ?$@E=(B) ; J78-@-453D
(ucs-set-char #x8CBC ?$BE=(B) ; J83-B-453D
(ucs-set-char #x8CBD ?$(ClB(B) ; KS0-C-6C42
(ucs-set-char #x8CBD ?$(Gb4(B) ; C01-G-6234
(ucs-set-char #x8CBD ?$@lF(B) ; J78-@-6C46
(ucs-set-char #x8CBD ?$BlF(B) ; J83-B-6C46
(ucs-set-char #x8CBE ?$(H@O(B) ; C02-H-404F
(ucs-set-char #x8CBF ?$(CYu(B) ; KS0-C-5975
(ucs-set-char #x8CBF ?$(Gb;(B) ; C01-G-623B
(ucs-set-char #x8CBF ?$@KG(B) ; J78-@-4B47
(ucs-set-char #x8CBF ?$BKG(B) ; J83-B-4B47
(ucs-set-char #x8CC0 ?$(CyE(B) ; KS0-C-7945
(ucs-set-char #x8CC0 ?$(Gb7(B) ; C01-G-6237
(ucs-set-char #x8CC0 ?$@2l(B) ; J78-@-326C
(ucs-set-char #x8CC0 ?$B2l(B) ; J83-B-326C
(ucs-set-char #x8CC1 ?$(C]S(B) ; KS0-C-5D53
(ucs-set-char #x8CC1 ?$(Gb5(B) ; C01-G-6235
(ucs-set-char #x8CC1 ?$@lL(B) ; J78-@-6C4C
(ucs-set-char #x8CC1 ?$BlL(B) ; J83-B-6C4C
(ucs-set-char #x8CC2 ?$(CVq(B) ; KS0-C-5671
(ucs-set-char #x8CC2 ?$(Gfv(B) ; C01-G-6676
(ucs-set-char #x8CC2 ?$@O((B) ; J78-@-4F28
(ucs-set-char #x8CC2 ?$BO((B) ; J83-B-4F28
(ucs-set-char #x8CC3 ?$(Cl|(B) ; KS0-C-6C7C
(ucs-set-char #x8CC3 ?$(Gfu(B) ; C01-G-6675
(ucs-set-char #x8CC3 ?$@DB(B) ; J78-@-4442
(ucs-set-char #x8CC3 ?$BDB(B) ; J83-B-4442
(ucs-set-char #x8CC4 ?$(C|p(B) ; KS0-C-7C70
(ucs-set-char #x8CC4 ?$(Gfs(B) ; C01-G-6673
(ucs-set-char #x8CC4 ?$@OE(B) ; J78-@-4F45
(ucs-set-char #x8CC4 ?$BOE(B) ; J83-B-4F45
(ucs-set-char #x8CC5 ?$(D_,(B) ; J90-D-5F2C
(ucs-set-char #x8CC5 ?$(Gfw(B) ; C01-G-6677
(ucs-set-char #x8CC6 ?$(D_-(B) ; J90-D-5F2D
(ucs-set-char #x8CC6 ?$(J@~(B) ; C04-J-407E
(ucs-set-char #x8CC7 ?$(Cm@(B) ; KS0-C-6D40
(ucs-set-char #x8CC7 ?$(Gfq(B) ; C01-G-6671
(ucs-set-char #x8CC7 ?$@;q(B) ; J78-@-3B71
(ucs-set-char #x8CC7 ?$B;q(B) ; J83-B-3B71
(ucs-set-char #x8CC8 ?$(CJ9(B) ; KS0-C-4A39
(ucs-set-char #x8CC8 ?$(Gfr(B) ; C01-G-6672
(ucs-set-char #x8CC8 ?$@lK(B) ; J78-@-6C4B
(ucs-set-char #x8CC8 ?$BlK(B) ; J83-B-6C4B
(ucs-set-char #x8CC9 ?$(D_.(B) ; J90-D-5F2E
(ucs-set-char #x8CC9 ?$(IDi(B) ; C03-I-4469
(ucs-set-char #x8CCA ?$(Cnd(B) ; KS0-C-6E64
(ucs-set-char #x8CCA ?$(Gfp(B) ; C01-G-6670
(ucs-set-char #x8CCA ?$@B1(B) ; J78-@-4231
(ucs-set-char #x8CCA ?$BB1(B) ; J83-B-4231
(ucs-set-char #x8CCB ?$(D_/(B) ; J90-D-5F2F
(ucs-set-char #x8CCB ?$(KC-(B) ; C05-K-432D
(ucs-set-char #x8CCC ?$(HGa(B) ; C02-H-4761
(ucs-set-char #x8CCD ?$(IDg(B) ; C03-I-4467
(ucs-set-char #x8CCD ?$@l\(B) ; J78-@-6C5C
(ucs-set-char #x8CCD ?$Bl\(B) ; J83-B-6C5C
(ucs-set-char #x8CCE ?$@lM(B) ; J78-@-6C4D
(ucs-set-char #x8CCE ?$BA((B) ; J83-B-4128
(ucs-set-char #x8CCF ?$(D_0(B) ; J90-D-5F30
(ucs-set-char #x8CCF ?$(HN<(B) ; C02-H-4E3C
(ucs-set-char #x8CD0 ?$(IIp(B) ; C03-I-4970
(ucs-set-char #x8CD1 ?$(Cra(B) ; KS0-C-7261
(ucs-set-char #x8CD1 ?$(Gk4(B) ; C01-G-6B34
(ucs-set-char #x8CD1 ?$@Fx(B) ; J78-@-4678
(ucs-set-char #x8CD1 ?$BFx(B) ; J83-B-4678
(ucs-set-char #x8CD2 ?$(Gk5(B) ; C01-G-6B35
(ucs-set-char #x8CD3 ?$(C^9(B) ; KS0-C-5E39
(ucs-set-char #x8CD3 ?$(Gk3(B) ; C01-G-6B33
(ucs-set-char #x8CD3 ?$@IP(B) ; J78-@-4950
(ucs-set-char #x8CD3 ?$BIP(B) ; J83-B-4950
(ucs-set-char #x8CD4 ?$(IIr(B) ; C03-I-4972
(ucs-set-char #x8CD5 ?$(D_2(B) ; J90-D-5F32
(ucs-set-char #x8CD5 ?$(HN;(B) ; C02-H-4E3B
(ucs-set-char #x8CD6 ?$(D_1(B) ; J90-D-5F31
(ucs-set-char #x8CD6 ?$(IIq(B) ; C03-I-4971
(ucs-set-char #x8CD7 ?$(HN=(B) ; C02-H-4E3D
(ucs-set-char #x8CD9 ?$(D_3(B) ; J90-D-5F33
(ucs-set-char #x8CD9 ?$(HTS(B) ; C02-H-5453
(ucs-set-char #x8CDA ?$(CVr(B) ; KS0-C-5672
(ucs-set-char #x8CDA ?$(HTU(B) ; C02-H-5455
(ucs-set-char #x8CDA ?$@lO(B) ; J78-@-6C4F
(ucs-set-char #x8CDA ?$BlO(B) ; J83-B-6C4F
(ucs-set-char #x8CDB ?$(IN~(B) ; C03-I-4E7E
(ucs-set-char #x8CDB ?$@;?(B) ; J78-@-3B3F
(ucs-set-char #x8CDB ?$B;?(B) ; J83-B-3B3F
(ucs-set-char #x8CDC ?$(C^t(B) ; KS0-C-5E74
(ucs-set-char #x8CDC ?$(Go2(B) ; C01-G-6F32
(ucs-set-char #x8CDC ?$@;r(B) ; J78-@-3B72
(ucs-set-char #x8CDC ?$B;r(B) ; J83-B-3B72
(ucs-set-char #x8CDD ?$(D_4(B) ; J90-D-5F34
(ucs-set-char #x8CDD ?$(HTV(B) ; C02-H-5456
(ucs-set-char #x8CDE ?$(C_[(B) ; KS0-C-5F5B
(ucs-set-char #x8CDE ?$(Go+(B) ; C01-G-6F2B
(ucs-set-char #x8CDE ?$@>^(B) ; J78-@-3E5E
(ucs-set-char #x8CDE ?$B>^(B) ; J83-B-3E5E
(ucs-set-char #x8CDF ?$(HTR(B) ; C02-H-5452
(ucs-set-char #x8CE0 ?$(C[S(B) ; KS0-C-5B53
(ucs-set-char #x8CE0 ?$(Go*(B) ; C01-G-6F2A
(ucs-set-char #x8CE0 ?$@Ge(B) ; J78-@-4765
(ucs-set-char #x8CE0 ?$BGe(B) ; J83-B-4765
(ucs-set-char #x8CE1 ?$(D_5(B) ; J90-D-5F35
(ucs-set-char #x8CE1 ?$(Go4(B) ; C01-G-6F34
(ucs-set-char #x8CE2 ?$(Czg(B) ; KS0-C-7A67
(ucs-set-char #x8CE2 ?$(Go0(B) ; C01-G-6F30
(ucs-set-char #x8CE2 ?$@8-(B) ; J78-@-382D
(ucs-set-char #x8CE2 ?$B8-(B) ; J83-B-382D
(ucs-set-char #x8CE3 ?$(CXc(B) ; KS0-C-5863
(ucs-set-char #x8CE3 ?$(Go1(B) ; C01-G-6F31
(ucs-set-char #x8CE3 ?$(KQ:(B) ; C05-K-513A
(ucs-set-char #x8CE3 ?$@lN(B) ; J78-@-6C4E
(ucs-set-char #x8CE3 ?$BlN(B) ; J83-B-6C4E
(ucs-set-char #x8CE4 ?$(CtA(B) ; KS0-C-7441
(ucs-set-char #x8CE4 ?$(Go-(B) ; C01-G-6F2D
(ucs-set-char #x8CE4 ?$@A((B) ; J78-@-4128
(ucs-set-char #x8CE4 ?$BlM(B) ; J83-B-6C4D
(ucs-set-char #x8CE5 ?$(HTQ(B) ; C02-H-5451
(ucs-set-char #x8CE6 ?$(C]7(B) ; KS0-C-5D37
(ucs-set-char #x8CE6 ?$(Go,(B) ; C01-G-6F2C
(ucs-set-char #x8CE6 ?$@Ij(B) ; J78-@-496A
(ucs-set-char #x8CE6 ?$BIj(B) ; J83-B-496A
(ucs-set-char #x8CE7 ?$(HTW(B) ; C02-H-5457
(ucs-set-char #x8CE8 ?$(D_6(B) ; J90-D-5F36
(ucs-set-char #x8CE8 ?$(HTT(B) ; C02-H-5454
(ucs-set-char #x8CE9 ?$(IN}(B) ; C03-I-4E7D
(ucs-set-char #x8CEA ?$(Cru(B) ; KS0-C-7275
(ucs-set-char #x8CEA ?$(Go3(B) ; C01-G-6F33
(ucs-set-char #x8CEA ?$@<A(B) ; J78-@-3C41
(ucs-set-char #x8CEA ?$B<A(B) ; J83-B-3C41
(ucs-set-char #x8CEB ?$(IO"(B) ; C03-I-4F22
(ucs-set-char #x8CEC ?$(D_7(B) ; J90-D-5F37
(ucs-set-char #x8CEC ?$(Go.(B) ; C01-G-6F2E
(ucs-set-char #x8CED ?$(CT.(B) ; KS0-C-542E
(ucs-set-char #x8CED ?$(Go/(B) ; C01-G-6F2F
(ucs-set-char #x8CED ?$@ER(B) ; J78-@-4552
(ucs-set-char #x8CED ?$BER(B) ; J83-B-4552
(ucs-set-char #x8CEE ?$(HZa(B) ; C02-H-5A61
(ucs-set-char #x8CEF ?$(D_8(B) ; J90-D-5F38
(ucs-set-char #x8CEF ?$(IRu(B) ; C03-I-5275
(ucs-set-char #x8CF0 ?$(D_9(B) ; J90-D-5F39
(ucs-set-char #x8CF0 ?$(HZc(B) ; C02-H-5A63
(ucs-set-char #x8CF1 ?$(HZb(B) ; C02-H-5A62
(ucs-set-char #x8CF2 ?$(D_:(B) ; J90-D-5F3A
(ucs-set-char #x8CF2 ?$(IRs(B) ; C03-I-5273
(ucs-set-char #x8CF3 ?$(HZd(B) ; C02-H-5A64
(ucs-set-char #x8CF4 ?$(CVs(B) ; KS0-C-5673
(ucs-set-char #x8CF4 ?$(GrJ(B) ; C01-G-724A
(ucs-set-char #x8CF5 ?$(D_;(B) ; J90-D-5F3B
(ucs-set-char #x8CF5 ?$(HZ`(B) ; C02-H-5A60
(ucs-set-char #x8CF6 ?$(IVQ(B) ; C03-I-5651
(ucs-set-char #x8CF7 ?$(D_<(B) ; J90-D-5F3C
(ucs-set-char #x8CF7 ?$(IVR(B) ; C03-I-5652
(ucs-set-char #x8CF8 ?$(D_=(B) ; J90-D-5F3D
(ucs-set-char #x8CF8 ?$(GuV(B) ; C01-G-7556
(ucs-set-char #x8CF9 ?$(H_d(B) ; C02-H-5F64
(ucs-set-char #x8CFA ?$(GuS(B) ; C01-G-7553
(ucs-set-char #x8CFA ?$@lQ(B) ; J78-@-6C51
(ucs-set-char #x8CFA ?$BlQ(B) ; J83-B-6C51
(ucs-set-char #x8CFB ?$(C]8(B) ; KS0-C-5D38
(ucs-set-char #x8CFB ?$(GuW(B) ; C01-G-7557
(ucs-set-char #x8CFB ?$@lR(B) ; J78-@-6C52
(ucs-set-char #x8CFB ?$BlR(B) ; J83-B-6C52
(ucs-set-char #x8CFC ?$(COE(B) ; KS0-C-4F45
(ucs-set-char #x8CFC ?$(GuU(B) ; C01-G-7555
(ucs-set-char #x8CFC ?$@9X(B) ; J78-@-3958
(ucs-set-char #x8CFC ?$B9X(B) ; J83-B-3958
(ucs-set-char #x8CFD ?$(C__(B) ; KS0-C-5F5F
(ucs-set-char #x8CFD ?$(GuT(B) ; C01-G-7554
(ucs-set-char #x8CFD ?$@lP(B) ; J78-@-6C50
(ucs-set-char #x8CFD ?$BlP(B) ; J83-B-6C50
(ucs-set-char #x8CFE ?$(D_>(B) ; J90-D-5F3E
(ucs-set-char #x8CFE ?$(Hc^(B) ; C02-H-635E
(ucs-set-char #x8CFF ?$(D_?(B) ; J90-D-5F3F
(ucs-set-char #x8CFF ?$(J]i(B) ; C04-J-5D69
(ucs-set-char #x8D00 ?$(Hca(B) ; C02-H-6361
(ucs-set-char #x8D01 ?$(D_@(B) ; J90-D-5F40
(ucs-set-char #x8D01 ?$(MCR(B) ; C07-M-4352
(ucs-set-char #x8D02 ?$(Hc`(B) ; C02-H-6360
(ucs-set-char #x8D03 ?$(D_A(B) ; J90-D-5F41
(ucs-set-char #x8D03 ?$(IY.(B) ; C03-I-592E
(ucs-set-char #x8D04 ?$(Cr>(B) ; KS0-C-723E
(ucs-set-char #x8D04 ?$(Hc_(B) ; C02-H-635F
(ucs-set-char #x8D04 ?$@lS(B) ; J78-@-6C53
(ucs-set-char #x8D04 ?$BlS(B) ; J83-B-6C53
(ucs-set-char #x8D05 ?$(Cv!(B) ; KS0-C-7621
(ucs-set-char #x8D05 ?$(GwC(B) ; C01-G-7743
(ucs-set-char #x8D05 ?$@lT(B) ; J78-@-6C54
(ucs-set-char #x8D05 ?$BlT(B) ; J83-B-6C54
(ucs-set-char #x8D06 ?$(Hg4(B) ; C02-H-6734
(ucs-set-char #x8D07 ?$(CkK(B) ; KS0-C-6B4B
(ucs-set-char #x8D07 ?$(Hg5(B) ; C02-H-6735
(ucs-set-char #x8D07 ?$@lV(B) ; J78-@-6C56
(ucs-set-char #x8D07 ?$BlV(B) ; J83-B-6C56
(ucs-set-char #x8D08 ?$(Cq|(B) ; KS0-C-717C
(ucs-set-char #x8D08 ?$(Gy%(B) ; C01-G-7925
(ucs-set-char #x8D08 ?$@B#(B) ; J78-@-4223
(ucs-set-char #x8D08 ?$BB#(B) ; J83-B-4223
(ucs-set-char #x8D09 ?$(D_B(B) ; J90-D-5F42
(ucs-set-char #x8D09 ?$(Hg6(B) ; C02-H-6736
(ucs-set-char #x8D0A ?$(CsG(B) ; KS0-C-7347
(ucs-set-char #x8D0A ?$(Gy&(B) ; C01-G-7926
(ucs-set-char #x8D0A ?$@lU(B) ; J78-@-6C55
(ucs-set-char #x8D0A ?$BlU(B) ; J83-B-6C55
(ucs-set-char #x8D0B ?$(I[8(B) ; C03-I-5B38
(ucs-set-char #x8D0B ?$@4f(B) ; J78-@-3466
(ucs-set-char #x8D0B ?$B4f(B) ; J83-B-3466
(ucs-set-char #x8D0D ?$(C`k(B) ; KS0-C-606B
(ucs-set-char #x8D0D ?$(GzE(B) ; C01-G-7A45
(ucs-set-char #x8D0D ?$@lX(B) ; J78-@-6C58
(ucs-set-char #x8D0D ?$BlX(B) ; J83-B-6C58
(ucs-set-char #x8D0E ?$(JdO(B) ; C04-J-644F
(ucs-set-char #x8D0F ?$(GzD(B) ; C01-G-7A44
(ucs-set-char #x8D0F ?$@lW(B) ; J78-@-6C57
(ucs-set-char #x8D0F ?$BlW(B) ; J83-B-6C57
(ucs-set-char #x8D10 ?$(HlA(B) ; C02-H-6C41
(ucs-set-char #x8D10 ?$@lY(B) ; J78-@-6C59
(ucs-set-char #x8D10 ?$BlY(B) ; J83-B-6C59
(ucs-set-char #x8D11 ?$(I^e(B) ; C03-I-5E65
(ucs-set-char #x8D12 ?$(D_C(B) ; J90-D-5F43
(ucs-set-char #x8D12 ?$(I^f(B) ; C03-I-5E66
(ucs-set-char #x8D13 ?$(Cm|(B) ; KS0-C-6D7C
(ucs-set-char #x8D13 ?$(G{.(B) ; C01-G-7B2E
(ucs-set-char #x8D13 ?$@l[(B) ; J78-@-6C5B
(ucs-set-char #x8D13 ?$Bl[(B) ; J83-B-6C5B
(ucs-set-char #x8D14 ?$(HlB(B) ; C02-H-6C42
(ucs-set-char #x8D14 ?$@l](B) ; J78-@-6C5D
(ucs-set-char #x8D14 ?$Bl](B) ; J83-B-6C5D
(ucs-set-char #x8D15 ?$(Hn+(B) ; C02-H-6E2B
(ucs-set-char #x8D16 ?$(Ca[(B) ; KS0-C-615B
(ucs-set-char #x8D16 ?$(G{u(B) ; C01-G-7B75
(ucs-set-char #x8D16 ?$@l^(B) ; J78-@-6C5E
(ucs-set-char #x8D16 ?$Bl^(B) ; J83-B-6C5E
(ucs-set-char #x8D17 ?$(D_D(B) ; J90-D-5F44
(ucs-set-char #x8D17 ?$(G{v(B) ; C01-G-7B76
(ucs-set-char #x8D19 ?$(HoS(B) ; C02-H-6F53
(ucs-set-char #x8D1A ?$(I`J(B) ; C03-I-604A
(ucs-set-char #x8D1B ?$(D_E(B) ; J90-D-5F45
(ucs-set-char #x8D1B ?$(G|m(B) ; C01-G-7C6D
(ucs-set-char #x8D1C ?$(IaN(B) ; C03-I-614E
(ucs-set-char #x8D1D ?$A14(B) ; GB0-A-3134
(ucs-set-char #x8D1E ?$AUj(B) ; GB0-A-556A
(ucs-set-char #x8D1F ?$A8:(B) ; GB0-A-383A
(ucs-set-char #x8D21 ?$A91(B) ; GB0-A-3931
(ucs-set-char #x8D22 ?$A2F(B) ; GB0-A-3246
(ucs-set-char #x8D23 ?$ATp(B) ; GB0-A-5470
(ucs-set-char #x8D24 ?$AOM(B) ; GB0-A-4F4D
(ucs-set-char #x8D25 ?$A0\(B) ; GB0-A-305C
(ucs-set-char #x8D26 ?$AUK(B) ; GB0-A-554B
(ucs-set-char #x8D27 ?$A;u(B) ; GB0-A-3B75
(ucs-set-char #x8D28 ?$AVJ(B) ; GB0-A-564A
(ucs-set-char #x8D29 ?$A77(B) ; GB0-A-3737
(ucs-set-char #x8D2A ?$AL0(B) ; GB0-A-4C30
(ucs-set-char #x8D2B ?$AF6(B) ; GB0-A-4636
(ucs-set-char #x8D2C ?$A1a(B) ; GB0-A-3161
(ucs-set-char #x8D2D ?$A9:(B) ; GB0-A-393A
(ucs-set-char #x8D2E ?$AV|(B) ; GB0-A-567C
(ucs-set-char #x8D2F ?$A9a(B) ; GB0-A-3961
(ucs-set-char #x8D30 ?$A7!(B) ; GB0-A-3721
(ucs-set-char #x8D31 ?$A<z(B) ; GB0-A-3C7A
(ucs-set-char #x8D32 ?$AjZ(B) ; GB0-A-6A5A
(ucs-set-char #x8D33 ?$Aj[(B) ; GB0-A-6A5B
(ucs-set-char #x8D34 ?$ALy(B) ; GB0-A-4C79
(ucs-set-char #x8D35 ?$A9s(B) ; GB0-A-3973
(ucs-set-char #x8D36 ?$Aj\(B) ; GB0-A-6A5C
(ucs-set-char #x8D37 ?$A4{(B) ; GB0-A-347B
(ucs-set-char #x8D38 ?$AC3(B) ; GB0-A-4333
(ucs-set-char #x8D39 ?$A7Q(B) ; GB0-A-3751
(ucs-set-char #x8D3A ?$A:X(B) ; GB0-A-3A58
(ucs-set-char #x8D3B ?$Aj](B) ; GB0-A-6A5D
(ucs-set-char #x8D3C ?$ATt(B) ; GB0-A-5474
(ucs-set-char #x8D3D ?$Aj^(B) ; GB0-A-6A5E
(ucs-set-char #x8D3E ?$A<V(B) ; GB0-A-3C56
(ucs-set-char #x8D3F ?$A;_(B) ; GB0-A-3B5F
(ucs-set-char #x8D40 ?$Aj_(B) ; GB0-A-6A5F
(ucs-set-char #x8D41 ?$AA^(B) ; GB0-A-415E
(ucs-set-char #x8D42 ?$AB8(B) ; GB0-A-4238
(ucs-set-char #x8D43 ?$AT_(B) ; GB0-A-545F
(ucs-set-char #x8D44 ?$AWJ(B) ; GB0-A-574A
(ucs-set-char #x8D45 ?$Aj`(B) ; GB0-A-6A60
(ucs-set-char #x8D46 ?$Aja(B) ; GB0-A-6A61
(ucs-set-char #x8D47 ?$Ajd(B) ; GB0-A-6A64
(ucs-set-char #x8D48 ?$Ajb(B) ; GB0-A-6A62
(ucs-set-char #x8D49 ?$Ajc(B) ; GB0-A-6A63
(ucs-set-char #x8D4A ?$AI^(B) ; GB0-A-495E
(ucs-set-char #x8D4B ?$A83(B) ; GB0-A-3833
(ucs-set-char #x8D4C ?$A6D(B) ; GB0-A-3644
(ucs-set-char #x8D4D ?$Aje(B) ; GB0-A-6A65
(ucs-set-char #x8D4E ?$AJj(B) ; GB0-A-4A6A
(ucs-set-char #x8D4F ?$AIM(B) ; GB0-A-494D
(ucs-set-char #x8D50 ?$A4M(B) ; GB0-A-344D
(ucs-set-char #x8D53 ?$AbY(B) ; GB0-A-6259
(ucs-set-char #x8D54 ?$AEb(B) ; GB0-A-4562
(ucs-set-char #x8D55 ?$Ajf(B) ; GB0-A-6A66
(ucs-set-char #x8D56 ?$A@5(B) ; GB0-A-4035
(ucs-set-char #x8D58 ?$AW8(B) ; GB0-A-5738
(ucs-set-char #x8D59 ?$Ajg(B) ; GB0-A-6A67
(ucs-set-char #x8D5A ?$AW,(B) ; GB0-A-572C
(ucs-set-char #x8D5B ?$AH|(B) ; GB0-A-487C
(ucs-set-char #x8D5C ?$AXS(B) ; GB0-A-5853
(ucs-set-char #x8D5D ?$AXM(B) ; GB0-A-584D
(ucs-set-char #x8D5E ?$AT^(B) ; GB0-A-545E
(ucs-set-char #x8D60 ?$ATy(B) ; GB0-A-5479
(ucs-set-char #x8D61 ?$AID(B) ; GB0-A-4944
(ucs-set-char #x8D62 ?$AS.(B) ; GB0-A-532E
(ucs-set-char #x8D63 ?$A8S(B) ; GB0-A-3853
(ucs-set-char #x8D64 ?$(Cne(B) ; KS0-C-6E65
(ucs-set-char #x8D64 ?$(GKK(B) ; C01-G-4B4B
(ucs-set-char #x8D64 ?$@@V(B) ; J78-@-4056
(ucs-set-char #x8D64 ?$A3`(B) ; GB0-A-3360
(ucs-set-char #x8D64 ?$B@V(B) ; J83-B-4056
(ucs-set-char #x8D65 ?$(D_F(B) ; J90-D-5F46
(ucs-set-char #x8D65 ?$(I93(B) ; C03-I-3933
(ucs-set-char #x8D66 ?$(C^u(B) ; KS0-C-5E75
(ucs-set-char #x8D66 ?$(G]P(B) ; C01-G-5D50
(ucs-set-char #x8D66 ?$@<O(B) ; J78-@-3C4F
(ucs-set-char #x8D66 ?$AIb(B) ; GB0-A-4962
(ucs-set-char #x8D66 ?$B<O(B) ; J83-B-3C4F
(ucs-set-char #x8D67 ?$(G]O(B) ; C01-G-5D4F
(ucs-set-char #x8D67 ?$@l_(B) ; J78-@-6C5F
(ucs-set-char #x8D67 ?$Atv(B) ; GB0-A-7476
(ucs-set-char #x8D67 ?$Bl_(B) ; J83-B-6C5F
(ucs-set-char #x8D68 ?$(HGb(B) ; C02-H-4762
(ucs-set-char #x8D69 ?$(D_G(B) ; J90-D-5F47
(ucs-set-char #x8D69 ?$(HGc(B) ; C02-H-4763
(ucs-set-char #x8D6B ?$(CzS(B) ; KS0-C-7A53
(ucs-set-char #x8D6B ?$(Gk6(B) ; C01-G-6B36
(ucs-set-char #x8D6B ?$@3R(B) ; J78-@-3352
(ucs-set-char #x8D6B ?$A:U(B) ; GB0-A-3A55
(ucs-set-char #x8D6B ?$B3R(B) ; J83-B-3352
(ucs-set-char #x8D6C ?$(D_H(B) ; J90-D-5F48
(ucs-set-char #x8D6C ?$(HZe(B) ; C02-H-5A65
(ucs-set-char #x8D6D ?$(Go5(B) ; C01-G-6F35
(ucs-set-char #x8D6D ?$@l`(B) ; J78-@-6C60
(ucs-set-char #x8D6D ?$Atw(B) ; GB0-A-7477
(ucs-set-char #x8D6D ?$Bl`(B) ; J83-B-6C60
(ucs-set-char #x8D6E ?$(D_I(B) ; J90-D-5F49
(ucs-set-char #x8D6E ?$(HZf(B) ; C02-H-5A66
(ucs-set-char #x8D6F ?$(H_e(B) ; C02-H-5F65
(ucs-set-char #x8D70 ?$(CqK(B) ; KS0-C-714B
(ucs-set-char #x8D70 ?$(GKL(B) ; C01-G-4B4C
(ucs-set-char #x8D70 ?$@Av(B) ; J78-@-4176
(ucs-set-char #x8D70 ?$AW_(B) ; GB0-A-575F
(ucs-set-char #x8D70 ?$BAv(B) ; J83-B-4176
(ucs-set-char #x8D71 ?$(I$:(B) ; C03-I-243A
(ucs-set-char #x8D71 ?$@la(B) ; J78-@-6C61
(ucs-set-char #x8D71 ?$Bla(B) ; J83-B-6C61
(ucs-set-char #x8D72 ?$(H-S(B) ; C02-H-2D53
(ucs-set-char #x8D73 ?$(CP/(B) ; KS0-C-502F
(ucs-set-char #x8D73 ?$(GSY(B) ; C01-G-5359
(ucs-set-char #x8D73 ?$@lb(B) ; J78-@-6C62
(ucs-set-char #x8D73 ?$Atq(B) ; GB0-A-7471
(ucs-set-char #x8D73 ?$Blb(B) ; J83-B-6C62
(ucs-set-char #x8D74 ?$(C]9(B) ; KS0-C-5D39
(ucs-set-char #x8D74 ?$(GSX(B) ; C01-G-5358
(ucs-set-char #x8D74 ?$@Ik(B) ; J78-@-496B
(ucs-set-char #x8D74 ?$A80(B) ; GB0-A-3830
(ucs-set-char #x8D74 ?$BIk(B) ; J83-B-496B
(ucs-set-char #x8D75 ?$AUT(B) ; GB0-A-5554
(ucs-set-char #x8D76 ?$(H3'(B) ; C02-H-3327
(ucs-set-char #x8D76 ?$A8O(B) ; GB0-A-384F
(ucs-set-char #x8D77 ?$(CQC(B) ; KS0-C-5143
(ucs-set-char #x8D77 ?$(GXD(B) ; C01-G-5844
(ucs-set-char #x8D77 ?$(L<;(B) ; C06-L-3C3B
(ucs-set-char #x8D77 ?$@5/(B) ; J78-@-352F
(ucs-set-char #x8D77 ?$AFp(B) ; GB0-A-4670
(ucs-set-char #x8D77 ?$B5/(B) ; J83-B-352F
(ucs-set-char #x8D78 ?$(H3((B) ; C02-H-3328
(ucs-set-char #x8D79 ?$(H9X(B) ; C02-H-3958
(ucs-set-char #x8D7A ?$(I99(B) ; C03-I-3939
(ucs-set-char #x8D7B ?$(H9W(B) ; C02-H-3957
(ucs-set-char #x8D7C ?$(I97(B) ; C03-I-3937
(ucs-set-char #x8D7D ?$(H9V(B) ; C02-H-3956
(ucs-set-char #x8D7E ?$(I95(B) ; C03-I-3935
(ucs-set-char #x8D7F ?$(D_J(B) ; J90-D-5F4A
(ucs-set-char #x8D7F ?$(I98(B) ; C03-I-3938
(ucs-set-char #x8D80 ?$(H@T(B) ; C02-H-4054
(ucs-set-char #x8D81 ?$(Gb?(B) ; C01-G-623F
(ucs-set-char #x8D81 ?$@lc(B) ; J78-@-6C63
(ucs-set-char #x8D81 ?$A3C(B) ; GB0-A-3343
(ucs-set-char #x8D81 ?$Blc(B) ; J83-B-6C63
(ucs-set-char #x8D82 ?$(D_K(B) ; J90-D-5F4B
(ucs-set-char #x8D82 ?$(I?9(B) ; C03-I-3F39
(ucs-set-char #x8D83 ?$(I?4(B) ; C03-I-3F34
(ucs-set-char #x8D84 ?$(D_L(B) ; J90-D-5F4C
(ucs-set-char #x8D84 ?$(H@S(B) ; C02-H-4053
(ucs-set-char #x8D84 ?$Atr(B) ; GB0-A-7472
(ucs-set-char #x8D85 ?$(Cu1(B) ; KS0-C-7531
(ucs-set-char #x8D85 ?$(Gb>(B) ; C01-G-623E
(ucs-set-char #x8D85 ?$@D6(B) ; J78-@-4436
(ucs-set-char #x8D85 ?$A3,(B) ; GB0-A-332C
(ucs-set-char #x8D85 ?$BD6(B) ; J83-B-4436
(ucs-set-char #x8D86 ?$(I?7(B) ; C03-I-3F37
(ucs-set-char #x8D87 ?$(I?0(B) ; C03-I-3F30
(ucs-set-char #x8D88 ?$(D_M(B) ; J90-D-5F4D
(ucs-set-char #x8D88 ?$(I?3(B) ; C03-I-3F33
(ucs-set-char #x8D89 ?$(H@U(B) ; C02-H-4055
(ucs-set-char #x8D8A ?$(CjF(B) ; KS0-C-6A46
(ucs-set-char #x8D8A ?$(Gb=(B) ; C01-G-623D
(ucs-set-char #x8D8A ?$@1[(B) ; J78-@-315B
(ucs-set-char #x8D8A ?$AT=(B) ; GB0-A-543D
(ucs-set-char #x8D8A ?$B1[(B) ; J83-B-315B
(ucs-set-char #x8D8B ?$(I?8(B) ; C03-I-3F38
(ucs-set-char #x8D8B ?$AGw(B) ; GB0-A-4777
(ucs-set-char #x8D8C ?$(HGe(B) ; C02-H-4765
(ucs-set-char #x8D8D ?$(D_N(B) ; J90-D-5F4E
(ucs-set-char #x8D8D ?$(HGh(B) ; C02-H-4768
(ucs-set-char #x8D8E ?$(HGf(B) ; C02-H-4766
(ucs-set-char #x8D8F ?$(HGg(B) ; C02-H-4767
(ucs-set-char #x8D90 ?$(D_O(B) ; J90-D-5F4F
(ucs-set-char #x8D90 ?$(HGk(B) ; C02-H-476B
(ucs-set-char #x8D91 ?$(D_P(B) ; J90-D-5F50
(ucs-set-char #x8D91 ?$(HGd(B) ; C02-H-4764
(ucs-set-char #x8D91 ?$Att(B) ; GB0-A-7474
(ucs-set-char #x8D92 ?$(HGl(B) ; C02-H-476C
(ucs-set-char #x8D93 ?$(HGi(B) ; C02-H-4769
(ucs-set-char #x8D94 ?$(HGj(B) ; C02-H-476A
(ucs-set-char #x8D94 ?$Ats(B) ; GB0-A-7473
(ucs-set-char #x8D95 ?$(D_Q(B) ; J90-D-5F51
(ucs-set-char #x8D95 ?$(Gk8(B) ; C01-G-6B38
(ucs-set-char #x8D96 ?$(HN>(B) ; C02-H-4E3E
(ucs-set-char #x8D97 ?$(IIu(B) ; C03-I-4975
(ucs-set-char #x8D98 ?$(IIs(B) ; C03-I-4973
(ucs-set-char #x8D99 ?$(Cpa(B) ; KS0-C-7061
(ucs-set-char #x8D99 ?$(Gk7(B) ; C01-G-6B37
(ucs-set-char #x8D99 ?$@ld(B) ; J78-@-6C64
(ucs-set-char #x8D99 ?$Bld(B) ; J83-B-6C64
(ucs-set-char #x8D9A ?$(IIt(B) ; C03-I-4974
(ucs-set-char #x8D9B ?$(HT[(B) ; C02-H-545B
(ucs-set-char #x8D9C ?$(HTY(B) ; C02-H-5459
(ucs-set-char #x8D9D ?$(IO&(B) ; C03-I-4F26
(ucs-set-char #x8D9E ?$(D_R(B) ; J90-D-5F52
(ucs-set-char #x8D9E ?$(JMu(B) ; C04-J-4D75
(ucs-set-char #x8D9F ?$(D_S(B) ; J90-D-5F53
(ucs-set-char #x8D9F ?$(Go6(B) ; C01-G-6F36
(ucs-set-char #x8D9F ?$ALK(B) ; GB0-A-4C4B
(ucs-set-char #x8DA0 ?$(D_T(B) ; J90-D-5F54
(ucs-set-char #x8DA0 ?$(HTX(B) ; C02-H-5458
(ucs-set-char #x8DA1 ?$(HTZ(B) ; C02-H-545A
(ucs-set-char #x8DA2 ?$(IO%(B) ; C03-I-4F25
(ucs-set-char #x8DA3 ?$(Cv,(B) ; KS0-C-762C
(ucs-set-char #x8DA3 ?$(Go7(B) ; C01-G-6F37
(ucs-set-char #x8DA3 ?$@<q(B) ; J78-@-3C71
(ucs-set-char #x8DA3 ?$AH$(B) ; GB0-A-4824
(ucs-set-char #x8DA3 ?$B<q(B) ; J83-B-3C71
(ucs-set-char #x8DA4 ?$(IO#(B) ; C03-I-4F23
(ucs-set-char #x8DA5 ?$(HZg(B) ; C02-H-5A67
(ucs-set-char #x8DA6 ?$(D_U(B) ; J90-D-5F55
(ucs-set-char #x8DA6 ?$(IRw(B) ; C03-I-5277
(ucs-set-char #x8DA7 ?$(HZh(B) ; C02-H-5A68
(ucs-set-char #x8DA8 ?$(CuY(B) ; KS0-C-7559
(ucs-set-char #x8DA8 ?$(GuX(B) ; C01-G-7558
(ucs-set-char #x8DA8 ?$@?v(B) ; J78-@-3F76
(ucs-set-char #x8DA8 ?$B?v(B) ; J83-B-3F76
(ucs-set-char #x8DA9 ?$(IY1(B) ; C03-I-5931
(ucs-set-char #x8DAA ?$(Hg8(B) ; C02-H-6738
(ucs-set-char #x8DAB ?$(D_V(B) ; J90-D-5F56
(ucs-set-char #x8DAB ?$(Hg:(B) ; C02-H-673A
(ucs-set-char #x8DAC ?$(D_W(B) ; J90-D-5F57
(ucs-set-char #x8DAC ?$(Hg7(B) ; C02-H-6737
(ucs-set-char #x8DAD ?$(Hg9(B) ; C02-H-6739
(ucs-set-char #x8DAE ?$(Hj$(B) ; C02-H-6A24
(ucs-set-char #x8DAF ?$(D_X(B) ; J90-D-5F58
(ucs-set-char #x8DAF ?$(HlC(B) ; C02-H-6C43
(ucs-set-char #x8DB1 ?$Atu(B) ; GB0-A-7475
(ucs-set-char #x8DB2 ?$(D_Y(B) ; J90-D-5F59
(ucs-set-char #x8DB2 ?$(Hq^(B) ; C02-H-715E
(ucs-set-char #x8DB3 ?$(Cpk(B) ; KS0-C-706B
(ucs-set-char #x8DB3 ?$(GKM(B) ; C01-G-4B4D
(ucs-set-char #x8DB3 ?$@B-(B) ; J78-@-422D
(ucs-set-char #x8DB3 ?$AWc(B) ; GB0-A-5763
(ucs-set-char #x8DB3 ?$BB-(B) ; J83-B-422D
(ucs-set-char #x8DB4 ?$(GSZ(B) ; C01-G-535A
(ucs-set-char #x8DB4 ?$AE?(B) ; GB0-A-453F
(ucs-set-char #x8DB5 ?$(D_Z(B) ; J90-D-5F5A
(ucs-set-char #x8DB5 ?$(H3)(B) ; C02-H-3329
(ucs-set-char #x8DB5 ?$Au@(B) ; GB0-A-7540
(ucs-set-char #x8DB6 ?$(H3+(B) ; C02-H-332B
(ucs-set-char #x8DB7 ?$(D_[(B) ; J90-D-5F5B
(ucs-set-char #x8DB7 ?$(H3*(B) ; C02-H-332A
(ucs-set-char #x8DB8 ?$Au;(B) ; GB0-A-753B
(ucs-set-char #x8DB9 ?$(D_\(B) ; J90-D-5F5C
(ucs-set-char #x8DB9 ?$(H9[(B) ; C02-H-395B
(ucs-set-char #x8DBA ?$(C]:(B) ; KS0-C-5D3A
(ucs-set-char #x8DBA ?$(G]R(B) ; C01-G-5D52
(ucs-set-char #x8DBA ?$@lg(B) ; J78-@-6C67
(ucs-set-char #x8DBA ?$AuC(B) ; GB0-A-7543
(ucs-set-char #x8DBA ?$Blg(B) ; J83-B-6C67
(ucs-set-char #x8DBB ?$(D_](B) ; J90-D-5F5D
(ucs-set-char #x8DBB ?$(I9>(B) ; C03-I-393E
(ucs-set-char #x8DBC ?$(D_o(B) ; J90-D-5F6F
(ucs-set-char #x8DBC ?$(H9Y(B) ; C02-H-3959
(ucs-set-char #x8DBC ?$(IDm(B) ; C03-I-446D
(ucs-set-char #x8DBC ?$AuB(B) ; GB0-A-7542
(ucs-set-char #x8DBD ?$(I9:(B) ; C03-I-393A
(ucs-set-char #x8DBE ?$(Cr?(B) ; KS0-C-723F
(ucs-set-char #x8DBE ?$(G]Q(B) ; C01-G-5D51
(ucs-set-char #x8DBE ?$@lf(B) ; J78-@-6C66
(ucs-set-char #x8DBE ?$AV:(B) ; GB0-A-563A
(ucs-set-char #x8DBE ?$Blf(B) ; J83-B-6C66
(ucs-set-char #x8DBF ?$(H9\(B) ; C02-H-395C
(ucs-set-char #x8DBF ?$AuA(B) ; GB0-A-7541
(ucs-set-char #x8DC0 ?$(D_^(B) ; J90-D-5F5E
(ucs-set-char #x8DC0 ?$(I9=(B) ; C03-I-393D
(ucs-set-char #x8DC1 ?$(H9](B) ; C02-H-395D
(ucs-set-char #x8DC2 ?$(H9Z(B) ; C02-H-395A
(ucs-set-char #x8DC2 ?$@le(B) ; J78-@-6C65
(ucs-set-char #x8DC2 ?$Ble(B) ; J83-B-6C65
(ucs-set-char #x8DC3 ?$(LE8(B) ; C06-L-4538
(ucs-set-char #x8DC3 ?$AT>(B) ; GB0-A-543E
(ucs-set-char #x8DC4 ?$AuD(B) ; GB0-A-7544
(ucs-set-char #x8DC5 ?$(D__(B) ; J90-D-5F5F
(ucs-set-char #x8DC5 ?$(H@a(B) ; C02-H-4061
(ucs-set-char #x8DC6 ?$(CwE(B) ; KS0-C-7745
(ucs-set-char #x8DC6 ?$(D_`(B) ; J90-D-5F60
(ucs-set-char #x8DC6 ?$(GbG(B) ; C01-G-6247
(ucs-set-char #x8DC6 ?$AuL(B) ; GB0-A-754C
(ucs-set-char #x8DC7 ?$(D_a(B) ; J90-D-5F61
(ucs-set-char #x8DC7 ?$(H@Y(B) ; C02-H-4059
(ucs-set-char #x8DC8 ?$(D_b(B) ; J90-D-5F62
(ucs-set-char #x8DC8 ?$(H@_(B) ; C02-H-405F
(ucs-set-char #x8DC9 ?$(I??(B) ; C03-I-3F3F
(ucs-set-char #x8DCA ?$(D_c(B) ; J90-D-5F63
(ucs-set-char #x8DCA ?$(I?:(B) ; C03-I-3F3A
(ucs-set-char #x8DCB ?$(C["(B) ; KS0-C-5B22
(ucs-set-char #x8DCB ?$(GbB(B) ; C01-G-6242
(ucs-set-char #x8DCB ?$@lm(B) ; J78-@-6C6D
(ucs-set-char #x8DCB ?$A0O(B) ; GB0-A-304F
(ucs-set-char #x8DCB ?$Blm(B) ; J83-B-6C6D
(ucs-set-char #x8DCC ?$(Crv(B) ; KS0-C-7276
(ucs-set-char #x8DCC ?$(GbE(B) ; C01-G-6245
(ucs-set-char #x8DCC ?$@lk(B) ; J78-@-6C6B
(ucs-set-char #x8DCC ?$A5x(B) ; GB0-A-3578
(ucs-set-char #x8DCC ?$Blk(B) ; J83-B-6C6B
(ucs-set-char #x8DCD ?$(H@X(B) ; C02-H-4058
(ucs-set-char #x8DCE ?$(D_d(B) ; J90-D-5F64
(ucs-set-char #x8DCE ?$(Gb@(B) ; C01-G-6240
(ucs-set-char #x8DCE ?$AuI(B) ; GB0-A-7549
(ucs-set-char #x8DCF ?$(CJ:(B) ; KS0-C-4A3A
(ucs-set-char #x8DCF ?$(H@\(B) ; C02-H-405C
(ucs-set-char #x8DCF ?$@lh(B) ; J78-@-6C68
(ucs-set-char #x8DCF ?$AuJ(B) ; GB0-A-754A
(ucs-set-char #x8DCF ?$Blh(B) ; J83-B-6C68
(ucs-set-char #x8DD0 ?$(HGr(B) ; C02-H-4772
(ucs-set-char #x8DD1 ?$(D_e(B) ; J90-D-5F65
(ucs-set-char #x8DD1 ?$(GbD(B) ; C01-G-6244
(ucs-set-char #x8DD1 ?$AE\(B) ; GB0-A-455C
(ucs-set-char #x8DD2 ?$(I?;(B) ; C03-I-3F3B
(ucs-set-char #x8DD3 ?$(H@W(B) ; C02-H-4057
(ucs-set-char #x8DD4 ?$(D_f(B) ; J90-D-5F66
(ucs-set-char #x8DD4 ?$(I?>(B) ; C03-I-3F3E
(ucs-set-char #x8DD5 ?$(D_g(B) ; J90-D-5F67
(ucs-set-char #x8DD5 ?$(H@](B) ; C02-H-405D
(ucs-set-char #x8DD6 ?$(H@Z(B) ; C02-H-405A
(ucs-set-char #x8DD6 ?$@lj(B) ; J78-@-6C6A
(ucs-set-char #x8DD6 ?$AuE(B) ; GB0-A-7545
(ucs-set-char #x8DD6 ?$Blj(B) ; J83-B-6C6A
(ucs-set-char #x8DD7 ?$(D_h(B) ; J90-D-5F68
(ucs-set-char #x8DD7 ?$(H@`(B) ; C02-H-4060
(ucs-set-char #x8DD7 ?$AuF(B) ; GB0-A-7546
(ucs-set-char #x8DD8 ?$(H@V(B) ; C02-H-4056
(ucs-set-char #x8DD9 ?$(D_i(B) ; J90-D-5F69
(ucs-set-char #x8DD9 ?$(H@^(B) ; C02-H-405E
(ucs-set-char #x8DDA ?$(GbC(B) ; C01-G-6243
(ucs-set-char #x8DDA ?$@li(B) ; J78-@-6C69
(ucs-set-char #x8DDA ?$AuG(B) ; GB0-A-7547
(ucs-set-char #x8DDA ?$Bli(B) ; J83-B-6C69
(ucs-set-char #x8DDB ?$(Cwu(B) ; KS0-C-7775
(ucs-set-char #x8DDB ?$(GbF(B) ; C01-G-6246
(ucs-set-char #x8DDB ?$@ll(B) ; J78-@-6C6C
(ucs-set-char #x8DDB ?$AuK(B) ; GB0-A-754B
(ucs-set-char #x8DDB ?$Bll(B) ; J83-B-6C6C
(ucs-set-char #x8DDC ?$(H@[(B) ; C02-H-405B
(ucs-set-char #x8DDD ?$(CKe(B) ; KS0-C-4B65
(ucs-set-char #x8DDD ?$(GbA(B) ; C01-G-6241
(ucs-set-char #x8DDD ?$@5w(B) ; J78-@-3577
(ucs-set-char #x8DDD ?$A>`(B) ; GB0-A-3E60
(ucs-set-char #x8DDD ?$B5w(B) ; J83-B-3577
(ucs-set-char #x8DDE ?$AuH(B) ; GB0-A-7548
(ucs-set-char #x8DDF ?$(Gfy(B) ; C01-G-6679
(ucs-set-char #x8DDF ?$@lp(B) ; J78-@-6C70
(ucs-set-char #x8DDF ?$A8z(B) ; GB0-A-387A
(ucs-set-char #x8DDF ?$Blp(B) ; J83-B-6C70
(ucs-set-char #x8DE0 ?$(HGn(B) ; C02-H-476E
(ucs-set-char #x8DE1 ?$(Cnf(B) ; KS0-C-6E66
(ucs-set-char #x8DE1 ?$(Gfx(B) ; C01-G-6678
(ucs-set-char #x8DE1 ?$@@W(B) ; J78-@-4057
(ucs-set-char #x8DE1 ?$B@W(B) ; J83-B-4057
(ucs-set-char #x8DE2 ?$(HGu(B) ; C02-H-4775
(ucs-set-char #x8DE3 ?$(C`S(B) ; KS0-C-6053
(ucs-set-char #x8DE3 ?$(HGt(B) ; C02-H-4774
(ucs-set-char #x8DE3 ?$@lq(B) ; J78-@-6C71
(ucs-set-char #x8DE3 ?$AuP(B) ; GB0-A-7550
(ucs-set-char #x8DE3 ?$Blq(B) ; J83-B-6C71
(ucs-set-char #x8DE4 ?$(D_j(B) ; J90-D-5F6A
(ucs-set-char #x8DE4 ?$(Gg!(B) ; C01-G-6721
(ucs-set-char #x8DE4 ?$AuS(B) ; GB0-A-7553
(ucs-set-char #x8DE5 ?$(D_k(B) ; J90-D-5F6B
(ucs-set-char #x8DE6 ?$(Gg"(B) ; C01-G-6722
(ucs-set-char #x8DE7 ?$(D_l(B) ; J90-D-5F6C
(ucs-set-char #x8DE7 ?$(HGv(B) ; C02-H-4776
(ucs-set-char #x8DE8 ?$(CN%(B) ; KS0-C-4E25
(ucs-set-char #x8DE8 ?$(Gfz(B) ; C01-G-667A
(ucs-set-char #x8DE8 ?$@8Y(B) ; J78-@-3859
(ucs-set-char #x8DE8 ?$A?g(B) ; GB0-A-3F67
(ucs-set-char #x8DE8 ?$B8Y(B) ; J83-B-3859
(ucs-set-char #x8DE9 ?$(HGs(B) ; C02-H-4773
(ucs-set-char #x8DEA ?$(Gf~(B) ; C01-G-667E
(ucs-set-char #x8DEA ?$@ln(B) ; J78-@-6C6E
(ucs-set-char #x8DEA ?$A9r(B) ; GB0-A-3972
(ucs-set-char #x8DEA ?$Bln(B) ; J83-B-6C6E
(ucs-set-char #x8DEB ?$(HGx(B) ; C02-H-4778
(ucs-set-char #x8DEB ?$@lo(B) ; J78-@-6C6F
(ucs-set-char #x8DEB ?$Au<(B) ; GB0-A-753C
(ucs-set-char #x8DEB ?$Blo(B) ; J83-B-6C6F
(ucs-set-char #x8DEC ?$(D_m(B) ; J90-D-5F6D
(ucs-set-char #x8DEC ?$(HGo(B) ; C02-H-476F
(ucs-set-char #x8DEC ?$AuM(B) ; GB0-A-754D
(ucs-set-char #x8DED ?$(IDk(B) ; C03-I-446B
(ucs-set-char #x8DEE ?$(HGq(B) ; C02-H-4771
(ucs-set-char #x8DEF ?$(CVX(B) ; KS0-C-5658
(ucs-set-char #x8DEF ?$(Gf{(B) ; C01-G-667B
(ucs-set-char #x8DEF ?$@O)(B) ; J78-@-4F29
(ucs-set-char #x8DEF ?$AB7(B) ; GB0-A-4237
(ucs-set-char #x8DEF ?$BO)(B) ; J83-B-4F29
(ucs-set-char #x8DF0 ?$(D_n(B) ; J90-D-5F6E
(ucs-set-char #x8DF0 ?$(HGm(B) ; C02-H-476D
(ucs-set-char #x8DF1 ?$(D_p(B) ; J90-D-5F70
(ucs-set-char #x8DF1 ?$(HGp(B) ; C02-H-4770
(ucs-set-char #x8DF2 ?$(D_q(B) ; J90-D-5F71
(ucs-set-char #x8DF2 ?$(HGw(B) ; C02-H-4777
(ucs-set-char #x8DF3 ?$(CT/(B) ; KS0-C-542F
(ucs-set-char #x8DF3 ?$(Gf|(B) ; C01-G-667C
(ucs-set-char #x8DF3 ?$@D7(B) ; J78-@-4437
(ucs-set-char #x8DF3 ?$ALx(B) ; GB0-A-4C78
(ucs-set-char #x8DF3 ?$BD7(B) ; J83-B-4437
(ucs-set-char #x8DF4 ?$(D_r(B) ; J90-D-5F72
(ucs-set-char #x8DF4 ?$(HGy(B) ; C02-H-4779
(ucs-set-char #x8DF5 ?$@A)(B) ; J78-@-4129
(ucs-set-char #x8DF5 ?$A<y(B) ; GB0-A-3C79
(ucs-set-char #x8DF5 ?$BA)(B) ; J83-B-4129
(ucs-set-char #x8DF7 ?$AuN(B) ; GB0-A-754E
(ucs-set-char #x8DF8 ?$AuO(B) ; GB0-A-754F
(ucs-set-char #x8DF9 ?$AuQ(B) ; GB0-A-7551
(ucs-set-char #x8DFA ?$(Gf}(B) ; C01-G-667D
(ucs-set-char #x8DFA ?$A6e(B) ; GB0-A-3665
(ucs-set-char #x8DFB ?$AuR(B) ; GB0-A-7552
(ucs-set-char #x8DFC ?$(Gk9(B) ; C01-G-6B39
(ucs-set-char #x8DFC ?$@lr(B) ; J78-@-6C72
(ucs-set-char #x8DFC ?$Blr(B) ; J83-B-6C72
(ucs-set-char #x8DFD ?$(D_s(B) ; J90-D-5F73
(ucs-set-char #x8DFD ?$(HNC(B) ; C02-H-4E43
(ucs-set-char #x8DFD ?$AuU(B) ; GB0-A-7555
(ucs-set-char #x8DFE ?$(HNI(B) ; C02-H-4E49
(ucs-set-char #x8DFF ?$(HNA(B) ; C02-H-4E41
(ucs-set-char #x8DFF ?$@lu(B) ; J78-@-6C75
(ucs-set-char #x8DFF ?$Blu(B) ; J83-B-6C75
(ucs-set-char #x8E00 ?$(HNJ(B) ; C02-H-4E4A
(ucs-set-char #x8E01 ?$(D_t(B) ; J90-D-5F74
(ucs-set-char #x8E01 ?$(II{(B) ; C03-I-497B
(ucs-set-char #x8E02 ?$(HN@(B) ; C02-H-4E40
(ucs-set-char #x8E03 ?$(HNE(B) ; C02-H-4E45
(ucs-set-char #x8E04 ?$(D_u(B) ; J90-D-5F75
(ucs-set-char #x8E04 ?$(HNK(B) ; C02-H-4E4B
(ucs-set-char #x8E05 ?$(D_v(B) ; J90-D-5F76
(ucs-set-char #x8E05 ?$(HNH(B) ; C02-H-4E48
(ucs-set-char #x8E05 ?$Au=(B) ; GB0-A-753D
(ucs-set-char #x8E06 ?$(D_w(B) ; J90-D-5F77
(ucs-set-char #x8E06 ?$(HNG(B) ; C02-H-4E47
(ucs-set-char #x8E07 ?$(HNF(B) ; C02-H-4E46
(ucs-set-char #x8E08 ?$(IIz(B) ; C03-I-497A
(ucs-set-char #x8E08 ?$@ls(B) ; J78-@-6C73
(ucs-set-char #x8E08 ?$Bls(B) ; J83-B-6C73
(ucs-set-char #x8E09 ?$(HN?(B) ; C02-H-4E3F
(ucs-set-char #x8E09 ?$@lt(B) ; J78-@-6C74
(ucs-set-char #x8E09 ?$AuT(B) ; GB0-A-7554
(ucs-set-char #x8E09 ?$Blt(B) ; J83-B-6C74
(ucs-set-char #x8E0A ?$(CiI(B) ; KS0-C-6949
(ucs-set-char #x8E0A ?$(HND(B) ; C02-H-4E44
(ucs-set-char #x8E0A ?$@MY(B) ; J78-@-4D59
(ucs-set-char #x8E0A ?$AS;(B) ; GB0-A-533B
(ucs-set-char #x8E0A ?$BMY(B) ; J83-B-4D59
(ucs-set-char #x8E0B ?$(D_x(B) ; J90-D-5F78
(ucs-set-char #x8E0B ?$(IIy(B) ; C03-I-4979
(ucs-set-char #x8E0C ?$A3l(B) ; GB0-A-336C
(ucs-set-char #x8E0D ?$(HNB(B) ; C02-H-4E42
(ucs-set-char #x8E0F ?$(CSN(B) ; KS0-C-534E
(ucs-set-char #x8E0F ?$(Go<(B) ; C01-G-6F3C
(ucs-set-char #x8E0F ?$@F'(B) ; J78-@-4627
(ucs-set-char #x8E0F ?$AL$(B) ; GB0-A-4C24
(ucs-set-char #x8E0F ?$BF'(B) ; J83-B-4627
(ucs-set-char #x8E10 ?$(CtB(B) ; KS0-C-7442
(ucs-set-char #x8E10 ?$(Go9(B) ; C01-G-6F39
(ucs-set-char #x8E10 ?$@lx(B) ; J78-@-6C78
(ucs-set-char #x8E10 ?$Blx(B) ; J83-B-6C78
(ucs-set-char #x8E11 ?$(D_y(B) ; J90-D-5F79
(ucs-set-char #x8E11 ?$(HTd(B) ; C02-H-5464
(ucs-set-char #x8E12 ?$(HTi(B) ; C02-H-5469
(ucs-set-char #x8E13 ?$(HTk(B) ; C02-H-546B
(ucs-set-char #x8E14 ?$(D_z(B) ; J90-D-5F7A
(ucs-set-char #x8E14 ?$(HTh(B) ; C02-H-5468
(ucs-set-char #x8E14 ?$AuV(B) ; GB0-A-7556
(ucs-set-char #x8E15 ?$(HTa(B) ; C02-H-5461
(ucs-set-char #x8E16 ?$(D_{(B) ; J90-D-5F7B
(ucs-set-char #x8E16 ?$(HTc(B) ; C02-H-5463
(ucs-set-char #x8E17 ?$(HTm(B) ; C02-H-546D
(ucs-set-char #x8E18 ?$(HTj(B) ; C02-H-546A
(ucs-set-char #x8E19 ?$(HTe(B) ; C02-H-5465
(ucs-set-char #x8E1A ?$(HTn(B) ; C02-H-546E
(ucs-set-char #x8E1B ?$(HTb(B) ; C02-H-5462
(ucs-set-char #x8E1C ?$(HTl(B) ; C02-H-546C
(ucs-set-char #x8E1D ?$(Go:(B) ; C01-G-6F3A
(ucs-set-char #x8E1D ?$@lv(B) ; J78-@-6C76
(ucs-set-char #x8E1D ?$AuW(B) ; GB0-A-7557
(ucs-set-char #x8E1D ?$Blv(B) ; J83-B-6C76
(ucs-set-char #x8E1E ?$(CKf(B) ; KS0-C-4B66
(ucs-set-char #x8E1E ?$(Go@(B) ; C01-G-6F40
(ucs-set-char #x8E1E ?$@lw(B) ; J78-@-6C77
(ucs-set-char #x8E1E ?$A>a(B) ; GB0-A-3E61
(ucs-set-char #x8E1E ?$Blw(B) ; J83-B-6C77
(ucs-set-char #x8E1F ?$(Go>(B) ; C01-G-6F3E
(ucs-set-char #x8E1F ?$@ly(B) ; J78-@-6C79
(ucs-set-char #x8E1F ?$AuX(B) ; GB0-A-7558
(ucs-set-char #x8E1F ?$Bly(B) ; J83-B-6C79
(ucs-set-char #x8E20 ?$(D_|(B) ; J90-D-5F7C
(ucs-set-char #x8E20 ?$(HT\(B) ; C02-H-545C
(ucs-set-char #x8E21 ?$(D_}(B) ; J90-D-5F7D
(ucs-set-char #x8E21 ?$(Go?(B) ; C01-G-6F3F
(ucs-set-char #x8E22 ?$(D_~(B) ; J90-D-5F7E
(ucs-set-char #x8E22 ?$(Go;(B) ; C01-G-6F3B
(ucs-set-char #x8E22 ?$AL_(B) ; GB0-A-4C5F
(ucs-set-char #x8E23 ?$(D`!(B) ; J90-D-6021
(ucs-set-char #x8E23 ?$(HT](B) ; C02-H-545D
(ucs-set-char #x8E23 ?$Au[(B) ; GB0-A-755B
(ucs-set-char #x8E24 ?$(HT_(B) ; C02-H-545F
(ucs-set-char #x8E25 ?$(HT^(B) ; C02-H-545E
(ucs-set-char #x8E26 ?$(D`"(B) ; J90-D-6022
(ucs-set-char #x8E26 ?$(HTf(B) ; C02-H-5466
(ucs-set-char #x8E27 ?$(D`#(B) ; J90-D-6023
(ucs-set-char #x8E27 ?$(HTg(B) ; C02-H-5467
(ucs-set-char #x8E28 ?$(IO,(B) ; C03-I-4F2C
(ucs-set-char #x8E29 ?$(Go=(B) ; C01-G-6F3D
(ucs-set-char #x8E29 ?$A2H(B) ; GB0-A-3248
(ucs-set-char #x8E2A ?$(Cq!(B) ; KS0-C-7121
(ucs-set-char #x8E2A ?$(IO+(B) ; C03-I-4F2B
(ucs-set-char #x8E2A ?$@m)(B) ; J78-@-6D29
(ucs-set-char #x8E2A ?$AWY(B) ; GB0-A-5759
(ucs-set-char #x8E2A ?$Bm)(B) ; J83-B-6D29
(ucs-set-char #x8E2B ?$(Go8(B) ; C01-G-6F38
(ucs-set-char #x8E2C ?$AuY(B) ; GB0-A-7559
(ucs-set-char #x8E2E ?$(HT`(B) ; C02-H-5460
(ucs-set-char #x8E2E ?$AuZ(B) ; GB0-A-755A
(ucs-set-char #x8E2F ?$Au\(B) ; GB0-A-755C
(ucs-set-char #x8E30 ?$(Ck2(B) ; KS0-C-6B32
(ucs-set-char #x8E30 ?$(HZr(B) ; C02-H-5A72
(ucs-set-char #x8E30 ?$@l|(B) ; J78-@-6C7C
(ucs-set-char #x8E30 ?$Bl|(B) ; J83-B-6C7C
(ucs-set-char #x8E31 ?$(D`$(B) ; J90-D-6024
(ucs-set-char #x8E31 ?$(GrL(B) ; C01-G-724C
(ucs-set-char #x8E31 ?$Aub(B) ; GB0-A-7562
(ucs-set-char #x8E32 ?$(IR~(B) ; C03-I-527E
(ucs-set-char #x8E33 ?$(D`%(B) ; J90-D-6025
(ucs-set-char #x8E33 ?$(HZi(B) ; C02-H-5A69
(ucs-set-char #x8E34 ?$(GrM(B) ; C01-G-724D
(ucs-set-char #x8E34 ?$@l}(B) ; J78-@-6C7D
(ucs-set-char #x8E34 ?$Bl}(B) ; J83-B-6C7D
(ucs-set-char #x8E35 ?$(Cq"(B) ; KS0-C-7122
(ucs-set-char #x8E35 ?$(GrP(B) ; C01-G-7250
(ucs-set-char #x8E35 ?$@l{(B) ; J78-@-6C7B
(ucs-set-char #x8E35 ?$Au`(B) ; GB0-A-7560
(ucs-set-char #x8E35 ?$Bl{(B) ; J83-B-6C7B
(ucs-set-char #x8E36 ?$(D`&(B) ; J90-D-6026
(ucs-set-char #x8E36 ?$(HZn(B) ; C02-H-5A6E
(ucs-set-char #x8E37 ?$(D`'(B) ; J90-D-6027
(ucs-set-char #x8E37 ?$(KQH(B) ; C05-K-5148
(ucs-set-char #x8E38 ?$(D`((B) ; J90-D-6028
(ucs-set-char #x8E38 ?$(HZk(B) ; C02-H-5A6B
(ucs-set-char #x8E39 ?$(D`)(B) ; J90-D-6029
(ucs-set-char #x8E39 ?$(GrO(B) ; C01-G-724F
(ucs-set-char #x8E39 ?$Au_(B) ; GB0-A-755F
(ucs-set-char #x8E3A ?$(JT)(B) ; C04-J-5429
(ucs-set-char #x8E3A ?$Au](B) ; GB0-A-755D
(ucs-set-char #x8E3B ?$(IR{(B) ; C03-I-527B
(ucs-set-char #x8E3C ?$(HZo(B) ; C02-H-5A6F
(ucs-set-char #x8E3D ?$(D`*(B) ; J90-D-602A
(ucs-set-char #x8E3D ?$(HZp(B) ; C02-H-5A70
(ucs-set-char #x8E3D ?$Aua(B) ; GB0-A-7561
(ucs-set-char #x8E3E ?$(HZj(B) ; C02-H-5A6A
(ucs-set-char #x8E3F ?$(HZs(B) ; C02-H-5A73
(ucs-set-char #x8E40 ?$(D`+(B) ; J90-D-602B
(ucs-set-char #x8E40 ?$(HZl(B) ; C02-H-5A6C
(ucs-set-char #x8E40 ?$Au^(B) ; GB0-A-755E
(ucs-set-char #x8E41 ?$(D`,(B) ; J90-D-602C
(ucs-set-char #x8E41 ?$(HZq(B) ; C02-H-5A71
(ucs-set-char #x8E41 ?$Aud(B) ; GB0-A-7564
(ucs-set-char #x8E42 ?$(Ck3(B) ; KS0-C-6B33
(ucs-set-char #x8E42 ?$(GrN(B) ; C01-G-724E
(ucs-set-char #x8E42 ?$@lz(B) ; J78-@-6C7A
(ucs-set-char #x8E42 ?$Aue(B) ; GB0-A-7565
(ucs-set-char #x8E42 ?$Blz(B) ; J83-B-6C7A
(ucs-set-char #x8E43 ?$(IR|(B) ; C03-I-527C
(ucs-set-char #x8E44 ?$(Cp4(B) ; KS0-C-7034
(ucs-set-char #x8E44 ?$(GrK(B) ; C01-G-724B
(ucs-set-char #x8E44 ?$@D}(B) ; J78-@-447D
(ucs-set-char #x8E44 ?$ALc(B) ; GB0-A-4C63
(ucs-set-char #x8E44 ?$BD}(B) ; J83-B-447D
(ucs-set-char #x8E45 ?$(HZm(B) ; C02-H-5A6D
(ucs-set-char #x8E46 ?$(IVT(B) ; C03-I-5654
(ucs-set-char #x8E47 ?$(CKt(B) ; KS0-C-4B74
(ucs-set-char #x8E47 ?$(H_k(B) ; C02-H-5F6B
(ucs-set-char #x8E47 ?$@m!(B) ; J78-@-6D21
(ucs-set-char #x8E47 ?$Ae?(B) ; GB0-A-653F
(ucs-set-char #x8E47 ?$Bm!(B) ; J83-B-6D21
(ucs-set-char #x8E48 ?$(CT0(B) ; KS0-C-5430
(ucs-set-char #x8E48 ?$(Gu[(B) ; C01-G-755B
(ucs-set-char #x8E48 ?$@m%(B) ; J78-@-6D25
(ucs-set-char #x8E48 ?$A58(B) ; GB0-A-3538
(ucs-set-char #x8E48 ?$Bm%(B) ; J83-B-6D25
(ucs-set-char #x8E49 ?$(Cs2(B) ; KS0-C-7332
(ucs-set-char #x8E49 ?$(GuY(B) ; C01-G-7559
(ucs-set-char #x8E49 ?$@m"(B) ; J78-@-6D22
(ucs-set-char #x8E49 ?$Auc(B) ; GB0-A-7563
(ucs-set-char #x8E49 ?$Bm"(B) ; J83-B-6D22
(ucs-set-char #x8E4A ?$(C{7(B) ; KS0-C-7B37
(ucs-set-char #x8E4A ?$(Gu\(B) ; C01-G-755C
(ucs-set-char #x8E4A ?$@l~(B) ; J78-@-6C7E
(ucs-set-char #x8E4A ?$Auh(B) ; GB0-A-7568
(ucs-set-char #x8E4A ?$Bl~(B) ; J83-B-6C7E
(ucs-set-char #x8E4B ?$(D`-(B) ; J90-D-602D
(ucs-set-char #x8E4B ?$(GuZ(B) ; C01-G-755A
(ucs-set-char #x8E4B ?$AL#(B) ; GB0-A-4C23
(ucs-set-char #x8E4C ?$(H_j(B) ; C02-H-5F6A
(ucs-set-char #x8E4C ?$@m#(B) ; J78-@-6D23
(ucs-set-char #x8E4C ?$Bm#(B) ; J83-B-6D23
(ucs-set-char #x8E4D ?$(D`.(B) ; J90-D-602E
(ucs-set-char #x8E4D ?$(H_g(B) ; C02-H-5F67
(ucs-set-char #x8E4E ?$(D`/(B) ; J90-D-602F
(ucs-set-char #x8E4E ?$(H_f(B) ; C02-H-5F66
(ucs-set-char #x8E4F ?$(D`0(B) ; J90-D-6030
(ucs-set-char #x8E4F ?$(IVU(B) ; C03-I-5655
(ucs-set-char #x8E50 ?$(H_i(B) ; C02-H-5F69
(ucs-set-char #x8E50 ?$@m$(B) ; J78-@-6D24
(ucs-set-char #x8E50 ?$Bm$(B) ; J83-B-6D24
(ucs-set-char #x8E51 ?$(JY-(B) ; C04-J-592D
(ucs-set-char #x8E51 ?$Auf(B) ; GB0-A-7566
(ucs-set-char #x8E52 ?$Aug(B) ; GB0-A-7567
(ucs-set-char #x8E53 ?$(H_h(B) ; C02-H-5F68
(ucs-set-char #x8E54 ?$(D`1(B) ; J90-D-6031
(ucs-set-char #x8E54 ?$(Hco(B) ; C02-H-636F
(ucs-set-char #x8E55 ?$(GwI(B) ; C01-G-7749
(ucs-set-char #x8E55 ?$@m+(B) ; J78-@-6D2B
(ucs-set-char #x8E55 ?$Bm+(B) ; J83-B-6D2B
(ucs-set-char #x8E56 ?$(Hcf(B) ; C02-H-6366
(ucs-set-char #x8E57 ?$(Hce(B) ; C02-H-6365
(ucs-set-char #x8E58 ?$(IY2(B) ; C03-I-5932
(ucs-set-char #x8E59 ?$(Cul(B) ; KS0-C-756C
(ucs-set-char #x8E59 ?$(GwD(B) ; C01-G-7744
(ucs-set-char #x8E59 ?$@m&(B) ; J78-@-6D26
(ucs-set-char #x8E59 ?$Au>(B) ; GB0-A-753E
(ucs-set-char #x8E59 ?$Bm&(B) ; J83-B-6D26
(ucs-set-char #x8E5A ?$(Hck(B) ; C02-H-636B
(ucs-set-char #x8E5B ?$(D`2(B) ; J90-D-6032
(ucs-set-char #x8E5B ?$(Hcj(B) ; C02-H-636A
(ucs-set-char #x8E5C ?$(D`3(B) ; J90-D-6033
(ucs-set-char #x8E5C ?$(Hcb(B) ; C02-H-6362
(ucs-set-char #x8E5D ?$(D`4(B) ; J90-D-6034
(ucs-set-char #x8E5D ?$(Hcm(B) ; C02-H-636D
(ucs-set-char #x8E5E ?$(D`5(B) ; J90-D-6035
(ucs-set-char #x8E5E ?$(Hcg(B) ; C02-H-6367
(ucs-set-char #x8E5F ?$(Cng(B) ; KS0-C-6E67
(ucs-set-char #x8E5F ?$(GwH(B) ; C01-G-7748
(ucs-set-char #x8E5F ?$@@X(B) ; J78-@-4058
(ucs-set-char #x8E5F ?$B@X(B) ; J83-B-4058
(ucs-set-char #x8E60 ?$(Ct2(B) ; KS0-C-7432
(ucs-set-char #x8E60 ?$(Hcd(B) ; C02-H-6364
(ucs-set-char #x8E60 ?$@m((B) ; J78-@-6D28
(ucs-set-char #x8E60 ?$Bm((B) ; J83-B-6D28
(ucs-set-char #x8E61 ?$(D`6(B) ; J90-D-6036
(ucs-set-char #x8E61 ?$(Hcl(B) ; C02-H-636C
(ucs-set-char #x8E62 ?$(D`7(B) ; J90-D-6037
(ucs-set-char #x8E62 ?$(Hcc(B) ; C02-H-6363
(ucs-set-char #x8E63 ?$(GwE(B) ; C01-G-7745
(ucs-set-char #x8E63 ?$@m*(B) ; J78-@-6D2A
(ucs-set-char #x8E63 ?$Bm*(B) ; J83-B-6D2A
(ucs-set-char #x8E64 ?$(GwG(B) ; C01-G-7747
(ucs-set-char #x8E64 ?$@m'(B) ; J78-@-6D27
(ucs-set-char #x8E64 ?$Bm'(B) ; J83-B-6D27
(ucs-set-char #x8E65 ?$(Hch(B) ; C02-H-6368
(ucs-set-char #x8E66 ?$(GwF(B) ; C01-G-7746
(ucs-set-char #x8E66 ?$A1D(B) ; GB0-A-3144
(ucs-set-char #x8E67 ?$(Hci(B) ; C02-H-6369
(ucs-set-char #x8E68 ?$(I[:(B) ; C03-I-5B3A
(ucs-set-char #x8E69 ?$(D`8(B) ; J90-D-6038
(ucs-set-char #x8E69 ?$(Hcn(B) ; C02-H-636E
(ucs-set-char #x8E69 ?$Au?(B) ; GB0-A-753F
(ucs-set-char #x8E6A ?$(Hg>(B) ; C02-H-673E
(ucs-set-char #x8E6B ?$(I[9(B) ; C03-I-5B39
(ucs-set-char #x8E6C ?$(D`9(B) ; J90-D-6039
(ucs-set-char #x8E6C ?$(Gy+(B) ; C01-G-792B
(ucs-set-char #x8E6C ?$A5E(B) ; GB0-A-3545
(ucs-set-char #x8E6D ?$(D`:(B) ; J90-D-603A
(ucs-set-char #x8E6D ?$(Hg;(B) ; C02-H-673B
(ucs-set-char #x8E6D ?$A2d(B) ; GB0-A-3264
(ucs-set-char #x8E6F ?$(D`;(B) ; J90-D-603B
(ucs-set-char #x8E6F ?$(Hg?(B) ; C02-H-673F
(ucs-set-char #x8E6F ?$Aul(B) ; GB0-A-756C
(ucs-set-char #x8E70 ?$(D`<(B) ; J90-D-603C
(ucs-set-char #x8E70 ?$(I[;(B) ; C03-I-5B3B
(ucs-set-char #x8E70 ?$Aui(B) ; GB0-A-7569
(ucs-set-char #x8E71 ?$(D`=(B) ; J90-D-603D
(ucs-set-char #x8E71 ?$(JaO(B) ; C04-J-614F
(ucs-set-char #x8E72 ?$(Gy((B) ; C01-G-7928
(ucs-set-char #x8E72 ?$@m-(B) ; J78-@-6D2D
(ucs-set-char #x8E72 ?$A6W(B) ; GB0-A-3657
(ucs-set-char #x8E72 ?$Bm-(B) ; J83-B-6D2D
(ucs-set-char #x8E73 ?$(Hg=(B) ; C02-H-673D
(ucs-set-char #x8E74 ?$(Cum(B) ; KS0-C-756D
(ucs-set-char #x8E74 ?$(Gy-(B) ; C01-G-792D
(ucs-set-char #x8E74 ?$@=3(B) ; J78-@-3D33
(ucs-set-char #x8E74 ?$Aum(B) ; GB0-A-756D
(ucs-set-char #x8E74 ?$B=3(B) ; J83-B-3D33
(ucs-set-char #x8E75 ?$(I[<(B) ; C03-I-5B3C
(ucs-set-char #x8E76 ?$(COs(B) ; KS0-C-4F73
(ucs-set-char #x8E76 ?$(Gy*(B) ; C01-G-792A
(ucs-set-char #x8E76 ?$@m,(B) ; J78-@-6D2C
(ucs-set-char #x8E76 ?$Auj(B) ; GB0-A-756A
(ucs-set-char #x8E76 ?$Bm,(B) ; J83-B-6D2C
(ucs-set-char #x8E77 ?$(I[=(B) ; C03-I-5B3D
(ucs-set-char #x8E78 ?$(Hg<(B) ; C02-H-673C
(ucs-set-char #x8E79 ?$(D`>(B) ; J90-D-603E
(ucs-set-char #x8E79 ?$(JaT(B) ; C04-J-6154
(ucs-set-char #x8E7A ?$(D`?(B) ; J90-D-603F
(ucs-set-char #x8E7A ?$(Gy,(B) ; C01-G-792C
(ucs-set-char #x8E7B ?$(D`@(B) ; J90-D-6040
(ucs-set-char #x8E7B ?$(Hg@(B) ; C02-H-6740
(ucs-set-char #x8E7C ?$(Gy'(B) ; C01-G-7927
(ucs-set-char #x8E7C ?$@m.(B) ; J78-@-6D2E
(ucs-set-char #x8E7C ?$Auk(B) ; GB0-A-756B
(ucs-set-char #x8E7C ?$Bm.(B) ; J83-B-6D2E
(ucs-set-char #x8E7F ?$A4Z(B) ; GB0-A-345A
(ucs-set-char #x8E81 ?$(Cpb(B) ; KS0-C-7062
(ucs-set-char #x8E81 ?$(GzG(B) ; C01-G-7A47
(ucs-set-char #x8E81 ?$@m/(B) ; J78-@-6D2F
(ucs-set-char #x8E81 ?$ATj(B) ; GB0-A-546A
(ucs-set-char #x8E81 ?$Bm/(B) ; J83-B-6D2F
(ucs-set-char #x8E82 ?$(D`A(B) ; J90-D-6041
(ucs-set-char #x8E82 ?$(GzI(B) ; C01-G-7A49
(ucs-set-char #x8E83 ?$(D`B(B) ; J90-D-6042
(ucs-set-char #x8E83 ?$(I]7(B) ; C03-I-5D37
(ucs-set-char #x8E84 ?$(Hj'(B) ; C02-H-6A27
(ucs-set-char #x8E84 ?$@m2(B) ; J78-@-6D32
(ucs-set-char #x8E84 ?$Bm2(B) ; J83-B-6D32
(ucs-set-char #x8E85 ?$(GzH(B) ; C01-G-7A48
(ucs-set-char #x8E85 ?$@m1(B) ; J78-@-6D31
(ucs-set-char #x8E85 ?$Aun(B) ; GB0-A-756E
(ucs-set-char #x8E85 ?$Bm1(B) ; J83-B-6D31
(ucs-set-char #x8E86 ?$(Hj%(B) ; C02-H-6A25
(ucs-set-char #x8E87 ?$(CnN(B) ; KS0-C-6E4E
(ucs-set-char #x8E87 ?$(Gy)(B) ; C01-G-7929
(ucs-set-char #x8E87 ?$@m0(B) ; J78-@-6D30
(ucs-set-char #x8E87 ?$A3y(B) ; GB0-A-3379
(ucs-set-char #x8E87 ?$Bm0(B) ; J83-B-6D30
(ucs-set-char #x8E88 ?$(Hj&(B) ; C02-H-6A26
(ucs-set-char #x8E89 ?$(D`C(B) ; J90-D-6043
(ucs-set-char #x8E89 ?$(GzF(B) ; C01-G-7A46
(ucs-set-char #x8E8A ?$(CqL(B) ; KS0-C-714C
(ucs-set-char #x8E8A ?$(G{/(B) ; C01-G-7B2F
(ucs-set-char #x8E8A ?$@m4(B) ; J78-@-6D34
(ucs-set-char #x8E8A ?$Bm4(B) ; J83-B-6D34
(ucs-set-char #x8E8B ?$(G{1(B) ; C01-G-7B31
(ucs-set-char #x8E8B ?$@m3(B) ; J78-@-6D33
(ucs-set-char #x8E8B ?$Bm3(B) ; J83-B-6D33
(ucs-set-char #x8E8C ?$(HlE(B) ; C02-H-6C45
(ucs-set-char #x8E8D ?$(Ce8(B) ; KS0-C-6538
(ucs-set-char #x8E8D ?$(G{0(B) ; C01-G-7B30
(ucs-set-char #x8E8D ?$@Lv(B) ; J78-@-4C76
(ucs-set-char #x8E8D ?$BLv(B) ; J83-B-4C76
(ucs-set-char #x8E8E ?$(HlD(B) ; C02-H-6C44
(ucs-set-char #x8E8F ?$Auo(B) ; GB0-A-756F
(ucs-set-char #x8E90 ?$(D`D(B) ; J90-D-6044
(ucs-set-char #x8E90 ?$(Hn0(B) ; C02-H-6E30
(ucs-set-char #x8E90 ?$Auq(B) ; GB0-A-7571
(ucs-set-char #x8E91 ?$(G{w(B) ; C01-G-7B77
(ucs-set-char #x8E91 ?$@m6(B) ; J78-@-6D36
(ucs-set-char #x8E91 ?$Bm6(B) ; J83-B-6D36
(ucs-set-char #x8E92 ?$(D`E(B) ; J90-D-6045
(ucs-set-char #x8E92 ?$(Hn/(B) ; C02-H-6E2F
(ucs-set-char #x8E93 ?$(G{x(B) ; C01-G-7B78
(ucs-set-char #x8E93 ?$@m5(B) ; J78-@-6D35
(ucs-set-char #x8E93 ?$Bm5(B) ; J83-B-6D35
(ucs-set-char #x8E94 ?$(Hn-(B) ; C02-H-6E2D
(ucs-set-char #x8E94 ?$@m7(B) ; J78-@-6D37
(ucs-set-char #x8E94 ?$Aup(B) ; GB0-A-7570
(ucs-set-char #x8E94 ?$Bm7(B) ; J83-B-6D37
(ucs-set-char #x8E95 ?$(D`F(B) ; J90-D-6046
(ucs-set-char #x8E95 ?$(Hn,(B) ; C02-H-6E2C
(ucs-set-char #x8E96 ?$(Hn1(B) ; C02-H-6E31
(ucs-set-char #x8E97 ?$(Hn2(B) ; C02-H-6E32
(ucs-set-char #x8E98 ?$(HoT(B) ; C02-H-6F54
(ucs-set-char #x8E99 ?$(I`K(B) ; C03-I-604B
(ucs-set-char #x8E99 ?$@m8(B) ; J78-@-6D38
(ucs-set-char #x8E99 ?$Bm8(B) ; J83-B-6D38
(ucs-set-char #x8E9A ?$(D`G(B) ; J90-D-6047
(ucs-set-char #x8E9A ?$(Hn.(B) ; C02-H-6E2E
(ucs-set-char #x8E9B ?$(D`H(B) ; J90-D-6048
(ucs-set-char #x8E9C ?$Aur(B) ; GB0-A-7572
(ucs-set-char #x8E9D ?$(D`I(B) ; J90-D-6049
(ucs-set-char #x8E9D ?$(HpT(B) ; C02-H-7054
(ucs-set-char #x8E9E ?$(D`J(B) ; J90-D-604A
(ucs-set-char #x8E9E ?$(HpQ(B) ; C02-H-7051
(ucs-set-char #x8E9E ?$Aus(B) ; GB0-A-7573
(ucs-set-char #x8E9F ?$(HpR(B) ; C02-H-7052
(ucs-set-char #x8EA0 ?$(HpS(B) ; C02-H-7053
(ucs-set-char #x8EA1 ?$(G})(B) ; C01-G-7D29
(ucs-set-char #x8EA1 ?$@m:(B) ; J78-@-6D3A
(ucs-set-char #x8EA1 ?$Bm:(B) ; J83-B-6D3A
(ucs-set-char #x8EA2 ?$(D`K(B) ; J90-D-604B
(ucs-set-char #x8EA2 ?$(IaP(B) ; C03-I-6150
(ucs-set-char #x8EA3 ?$(Hq@(B) ; C02-H-7140
(ucs-set-char #x8EA4 ?$(Hq?(B) ; C02-H-713F
(ucs-set-char #x8EA5 ?$(Hq>(B) ; C02-H-713E
(ucs-set-char #x8EA6 ?$(Hq_(B) ; C02-H-715F
(ucs-set-char #x8EA7 ?$(D`L(B) ; J90-D-604C
(ucs-set-char #x8EA7 ?$(Ial(B) ; C03-I-616C
(ucs-set-char #x8EA8 ?$(Hr.(B) ; C02-H-722E
(ucs-set-char #x8EA9 ?$(D`M(B) ; J90-D-604D
(ucs-set-char #x8EA9 ?$(Hqy(B) ; C02-H-7179
(ucs-set-char #x8EAA ?$(CWu(B) ; KS0-C-5775
(ucs-set-char #x8EAA ?$(G};(B) ; C01-G-7D3B
(ucs-set-char #x8EAA ?$@m9(B) ; J78-@-6D39
(ucs-set-char #x8EAA ?$Bm9(B) ; J83-B-6D39
(ucs-set-char #x8EAB ?$(Ccs(B) ; KS0-C-6373
(ucs-set-char #x8EAB ?$(GKN(B) ; C01-G-4B4E
(ucs-set-char #x8EAB ?$@?H(B) ; J78-@-3F48
(ucs-set-char #x8EAB ?$AIm(B) ; GB0-A-496D
(ucs-set-char #x8EAB ?$B?H(B) ; J83-B-3F48
(ucs-set-char #x8EAC ?$(COe(B) ; KS0-C-4F65
(ucs-set-char #x8EAC ?$(GXE(B) ; C01-G-5845
(ucs-set-char #x8EAC ?$@m;(B) ; J78-@-6D3B
(ucs-set-char #x8EAC ?$A9*(B) ; GB0-A-392A
(ucs-set-char #x8EAC ?$Bm;(B) ; J83-B-6D3B
(ucs-set-char #x8EAD ?$(D`N(B) ; J90-D-604E
(ucs-set-char #x8EAD ?$(I9?(B) ; C03-I-393F
(ucs-set-char #x8EAE ?$(D`O(B) ; J90-D-604F
(ucs-set-char #x8EAF ?$(I9@(B) ; C03-I-3940
(ucs-set-char #x8EAF ?$AG{(B) ; GB0-A-477B
(ucs-set-char #x8EAF ?$B6m(B) ; J83-B-366D
(ucs-set-char #x8EB0 ?$(I?@(B) ; C03-I-3F40
(ucs-set-char #x8EB0 ?$@m<(B) ; J78-@-6D3C
(ucs-set-char #x8EB0 ?$Bm<(B) ; J83-B-6D3C
(ucs-set-char #x8EB1 ?$(IDs(B) ; C03-I-4473
(ucs-set-char #x8EB1 ?$@m>(B) ; J78-@-6D3E
(ucs-set-char #x8EB1 ?$Bm>(B) ; J83-B-6D3E
(ucs-set-char #x8EB2 ?$(Gg#(B) ; C01-G-6723
(ucs-set-char #x8EB2 ?$A6c(B) ; GB0-A-3663
(ucs-set-char #x8EB3 ?$(D`P(B) ; J90-D-6050
(ucs-set-char #x8EB3 ?$(II}(B) ; C03-I-497D
(ucs-set-char #x8EB4 ?$(II|(B) ; C03-I-497C
(ucs-set-char #x8EB5 ?$(D`Q(B) ; J90-D-6051
(ucs-set-char #x8EB6 ?$(IO0(B) ; C03-I-4F30
(ucs-set-char #x8EB7 ?$(IO2(B) ; C03-I-4F32
(ucs-set-char #x8EB8 ?$(IO/(B) ; C03-I-4F2F
(ucs-set-char #x8EB9 ?$(IO1(B) ; C03-I-4F31
(ucs-set-char #x8EBA ?$(D`R(B) ; J90-D-6052
(ucs-set-char #x8EBA ?$(GoA(B) ; C01-G-6F41
(ucs-set-char #x8EBA ?$ALI(B) ; GB0-A-4C49
(ucs-set-char #x8EBB ?$(D`S(B) ; J90-D-6053
(ucs-set-char #x8EBD ?$(HZt(B) ; C02-H-5A74
(ucs-set-char #x8EBE ?$@m?(B) ; J78-@-6D3F
(ucs-set-char #x8EBE ?$Bm?(B) ; J83-B-6D3F
(ucs-set-char #x8EBF ?$(IY5(B) ; C03-I-5935
(ucs-set-char #x8EC0 ?$(COF(B) ; KS0-C-4F46
(ucs-set-char #x8EC0 ?$(D`T(B) ; J90-D-6054
(ucs-set-char #x8EC0 ?$(GwJ(B) ; C01-G-774A
(ucs-set-char #x8EC0 ?$@6m(B) ; J78-@-366D
(ucs-set-char #x8EC1 ?$(D`U(B) ; J90-D-6055
(ucs-set-char #x8EC1 ?$(IY6(B) ; C03-I-5936
(ucs-set-char #x8EC2 ?$(HgA(B) ; C02-H-6741
(ucs-set-char #x8EC3 ?$(D`V(B) ; J90-D-6056
(ucs-set-char #x8EC3 ?$(I[?(B) ; C03-I-5B3F
(ucs-set-char #x8EC4 ?$(D`W(B) ; J90-D-6057
(ucs-set-char #x8EC4 ?$(JaV(B) ; C04-J-6156
(ucs-set-char #x8EC5 ?$@m@(B) ; J78-@-6D40
(ucs-set-char #x8EC5 ?$Bm@(B) ; J83-B-6D40
(ucs-set-char #x8EC6 ?$(I]8(B) ; C03-I-5D38
(ucs-set-char #x8EC6 ?$@m=(B) ; J78-@-6D3D
(ucs-set-char #x8EC6 ?$Bm=(B) ; J83-B-6D3D
(ucs-set-char #x8EC7 ?$(D`X(B) ; J90-D-6058
(ucs-set-char #x8EC7 ?$(JgQ(B) ; C04-J-6751
(ucs-set-char #x8EC8 ?$@mA(B) ; J78-@-6D41
(ucs-set-char #x8EC8 ?$BmA(B) ; J83-B-6D41
(ucs-set-char #x8EC9 ?$(Hqz(B) ; C02-H-717A
(ucs-set-char #x8ECA ?$(Cs3(B) ; KS0-C-7333
(ucs-set-char #x8ECA ?$(GKO(B) ; C01-G-4B4F
(ucs-set-char #x8ECA ?$@<V(B) ; J78-@-3C56
(ucs-set-char #x8ECA ?$B<V(B) ; J83-B-3C56
(ucs-set-char #x8ECB ?$(CdX(B) ; KS0-C-6458
(ucs-set-char #x8ECB ?$(GOQ(B) ; C01-G-4F51
(ucs-set-char #x8ECB ?$@mB(B) ; J78-@-6D42
(ucs-set-char #x8ECB ?$BmB(B) ; J83-B-6D42
(ucs-set-char #x8ECC ?$(COy(B) ; KS0-C-4F79
(ucs-set-char #x8ECC ?$(GS\(B) ; C01-G-535C
(ucs-set-char #x8ECC ?$@50(B) ; J78-@-3530
(ucs-set-char #x8ECC ?$B50(B) ; J83-B-3530
(ucs-set-char #x8ECD ?$(COZ(B) ; KS0-C-4F5A
(ucs-set-char #x8ECD ?$(GS[(B) ; C01-G-535B
(ucs-set-char #x8ECD ?$@73(B) ; J78-@-3733
(ucs-set-char #x8ECD ?$B73(B) ; J83-B-3733
(ucs-set-char #x8ECE ?$(K0U(B) ; C05-K-3055
(ucs-set-char #x8ECE ?$Aj&(B) ; GB0-A-6A26
(ucs-set-char #x8ECF ?$(D`Y(B) ; J90-D-6059
(ucs-set-char #x8ECF ?$(GXH(B) ; C01-G-5848
(ucs-set-char #x8ED0 ?$(I4!(B) ; C03-I-3421
(ucs-set-char #x8ED1 ?$(D`Z(B) ; J90-D-605A
(ucs-set-char #x8ED1 ?$(H3,(B) ; C02-H-332C
(ucs-set-char #x8ED2 ?$(CzM(B) ; KS0-C-7A4D
(ucs-set-char #x8ED2 ?$(GXF(B) ; C01-G-5846
(ucs-set-char #x8ED2 ?$@8.(B) ; J78-@-382E
(ucs-set-char #x8ED2 ?$B8.(B) ; J83-B-382E
(ucs-set-char #x8ED3 ?$(H3-(B) ; C02-H-332D
(ucs-set-char #x8ED4 ?$(D`[(B) ; J90-D-605B
(ucs-set-char #x8ED4 ?$(GXG(B) ; C01-G-5847
(ucs-set-char #x8ED6 ?$(I9A(B) ; C03-I-3941
(ucs-set-char #x8ED7 ?$(H9b(B) ; C02-H-3962
(ucs-set-char #x8ED8 ?$(H9^(B) ; C02-H-395E
(ucs-set-char #x8ED9 ?$(I9G(B) ; C03-I-3947
(ucs-set-char #x8EDA ?$(J5c(B) ; C04-J-3563
(ucs-set-char #x8EDB ?$(G]S(B) ; C01-G-5D53
(ucs-set-char #x8EDB ?$@mC(B) ; J78-@-6D43
(ucs-set-char #x8EDB ?$BmC(B) ; J83-B-6D43
(ucs-set-char #x8EDC ?$(D`\(B) ; J90-D-605C
(ucs-set-char #x8EDC ?$(H9a(B) ; C02-H-3961
(ucs-set-char #x8EDD ?$(H9`(B) ; C02-H-3960
(ucs-set-char #x8EDE ?$(H9_(B) ; C02-H-395F
(ucs-set-char #x8EDF ?$(Cfc(B) ; KS0-C-6663
(ucs-set-char #x8EDF ?$(G]T(B) ; C01-G-5D54
(ucs-set-char #x8EDF ?$@Fp(B) ; J78-@-4670
(ucs-set-char #x8EDF ?$BFp(B) ; J83-B-4670
(ucs-set-char #x8EE0 ?$(H9c(B) ; C02-H-3963
(ucs-set-char #x8EE1 ?$(H9d(B) ; C02-H-3964
(ucs-set-char #x8EE2 ?$@E>(B) ; J78-@-453E
(ucs-set-char #x8EE2 ?$BE>(B) ; J83-B-453E
(ucs-set-char #x8EE3 ?$@mD(B) ; J78-@-6D44
(ucs-set-char #x8EE3 ?$BmD(B) ; J83-B-6D44
(ucs-set-char #x8EE4 ?$(I?E(B) ; C03-I-3F45
(ucs-set-char #x8EE5 ?$(H@h(B) ; C02-H-4068
(ucs-set-char #x8EE6 ?$(H@f(B) ; C02-H-4066
(ucs-set-char #x8EE7 ?$(H@j(B) ; C02-H-406A
(ucs-set-char #x8EE8 ?$(D`](B) ; J90-D-605D
(ucs-set-char #x8EE8 ?$(H@k(B) ; C02-H-406B
(ucs-set-char #x8EE9 ?$(H@q(B) ; C02-H-4071
(ucs-set-char #x8EEA ?$(I?G(B) ; C03-I-3F47
(ucs-set-char #x8EEB ?$(Crb(B) ; KS0-C-7262
(ucs-set-char #x8EEB ?$(H@m(B) ; C02-H-406D
(ucs-set-char #x8EEB ?$@mG(B) ; J78-@-6D47
(ucs-set-char #x8EEB ?$BmG(B) ; J83-B-6D47
(ucs-set-char #x8EEC ?$(H@o(B) ; C02-H-406F
(ucs-set-char #x8EED ?$(D`d(B) ; J90-D-6064
(ucs-set-char #x8EED ?$(KCP(B) ; C05-K-4350
(ucs-set-char #x8EEE ?$(D`^(B) ; J90-D-605E
(ucs-set-char #x8EEE ?$(H@g(B) ; C02-H-4067
(ucs-set-char #x8EEF ?$(H@b(B) ; C02-H-4062
(ucs-set-char #x8EF0 ?$(D`_(B) ; J90-D-605F
(ucs-set-char #x8EF0 ?$(J;U(B) ; C04-J-3B55
(ucs-set-char #x8EF1 ?$(D``(B) ; J90-D-6060
(ucs-set-char #x8EF1 ?$(H@n(B) ; C02-H-406E
(ucs-set-char #x8EF2 ?$(I?D(B) ; C03-I-3F44
(ucs-set-char #x8EF3 ?$(I?F(B) ; C03-I-3F46
(ucs-set-char #x8EF4 ?$(H@p(B) ; C02-H-4070
(ucs-set-char #x8EF5 ?$(H@i(B) ; C02-H-4069
(ucs-set-char #x8EF6 ?$(H@l(B) ; C02-H-406C
(ucs-set-char #x8EF7 ?$(D`a(B) ; J90-D-6061
(ucs-set-char #x8EF7 ?$(H@c(B) ; C02-H-4063
(ucs-set-char #x8EF8 ?$(Cun(B) ; KS0-C-756E
(ucs-set-char #x8EF8 ?$(GbI(B) ; C01-G-6249
(ucs-set-char #x8EF8 ?$@<4(B) ; J78-@-3C34
(ucs-set-char #x8EF8 ?$B<4(B) ; J83-B-3C34
(ucs-set-char #x8EF9 ?$(D`b(B) ; J90-D-6062
(ucs-set-char #x8EF9 ?$(H@e(B) ; C02-H-4065
(ucs-set-char #x8EFA ?$(D`c(B) ; J90-D-6063
(ucs-set-char #x8EFA ?$(H@d(B) ; C02-H-4064
(ucs-set-char #x8EFB ?$(CJ;(B) ; KS0-C-4A3B
(ucs-set-char #x8EFB ?$(GbH(B) ; C01-G-6248
(ucs-set-char #x8EFB ?$@mF(B) ; J78-@-6D46
(ucs-set-char #x8EFB ?$BmF(B) ; J83-B-6D46
(ucs-set-char #x8EFC ?$(GbJ(B) ; C01-G-624A
(ucs-set-char #x8EFC ?$@mE(B) ; J78-@-6D45
(ucs-set-char #x8EFC ?$BmE(B) ; J83-B-6D45
(ucs-set-char #x8EFD ?$(I?I(B) ; C03-I-3F49
(ucs-set-char #x8EFD ?$@7Z(B) ; J78-@-375A
(ucs-set-char #x8EFD ?$B7Z(B) ; J83-B-375A
(ucs-set-char #x8EFE ?$(Cc\(B) ; KS0-C-635C
(ucs-set-char #x8EFE ?$(Gg&(B) ; C01-G-6726
(ucs-set-char #x8EFE ?$@mH(B) ; J78-@-6D48
(ucs-set-char #x8EFE ?$BmH(B) ; J83-B-6D48
(ucs-set-char #x8EFF ?$(HG{(B) ; C02-H-477B
(ucs-set-char #x8F00 ?$(D`e(B) ; J90-D-6065
(ucs-set-char #x8F00 ?$(HG}(B) ; C02-H-477D
(ucs-set-char #x8F01 ?$(HG|(B) ; C02-H-477C
(ucs-set-char #x8F02 ?$(D`f(B) ; J90-D-6066
(ucs-set-char #x8F02 ?$(HH#(B) ; C02-H-4823
(ucs-set-char #x8F03 ?$(CNr(B) ; KS0-C-4E72
(ucs-set-char #x8F03 ?$(Gg$(B) ; C01-G-6724
(ucs-set-char #x8F03 ?$@3S(B) ; J78-@-3353
(ucs-set-char #x8F03 ?$B3S(B) ; J83-B-3353
(ucs-set-char #x8F04 ?$(IDv(B) ; C03-I-4476
(ucs-set-char #x8F05 ?$(CVY(B) ; KS0-C-5659
(ucs-set-char #x8F05 ?$(HG~(B) ; C02-H-477E
(ucs-set-char #x8F05 ?$@mJ(B) ; J78-@-6D4A
(ucs-set-char #x8F05 ?$BmJ(B) ; J83-B-6D4A
(ucs-set-char #x8F06 ?$(HGz(B) ; C02-H-477A
(ucs-set-char #x8F07 ?$(D`g(B) ; J90-D-6067
(ucs-set-char #x8F07 ?$(HH!(B) ; C02-H-4821
(ucs-set-char #x8F08 ?$(D`h(B) ; J90-D-6068
(ucs-set-char #x8F08 ?$(HH"(B) ; C02-H-4822
(ucs-set-char #x8F09 ?$(Cn0(B) ; KS0-C-6E30
(ucs-set-char #x8F09 ?$(Gg%(B) ; C01-G-6725
(ucs-set-char #x8F09 ?$@:\(B) ; J78-@-3A5C
(ucs-set-char #x8F09 ?$B:\(B) ; J83-B-3A5C
(ucs-set-char #x8F0A ?$(Gg'(B) ; C01-G-6727
(ucs-set-char #x8F0A ?$@mI(B) ; J78-@-6D49
(ucs-set-char #x8F0A ?$BmI(B) ; J83-B-6D49
(ucs-set-char #x8F0B ?$(HH$(B) ; C02-H-4824
(ucs-set-char #x8F0C ?$@mR(B) ; J78-@-6D52
(ucs-set-char #x8F0C ?$BmR(B) ; J83-B-6D52
(ucs-set-char #x8F0D ?$(HNO(B) ; C02-H-4E4F
(ucs-set-char #x8F0E ?$(HNN(B) ; C02-H-4E4E
(ucs-set-char #x8F0F ?$(D`i(B) ; J90-D-6069
(ucs-set-char #x8F0F ?$(JGj(B) ; C04-J-476A
(ucs-set-char #x8F10 ?$(D`j(B) ; J90-D-606A
(ucs-set-char #x8F10 ?$(HNL(B) ; C02-H-4E4C
(ucs-set-char #x8F11 ?$(HNM(B) ; C02-H-4E4D
(ucs-set-char #x8F12 ?$(Cte(B) ; KS0-C-7465
(ucs-set-char #x8F12 ?$(Gk;(B) ; C01-G-6B3B
(ucs-set-char #x8F12 ?$@mL(B) ; J78-@-6D4C
(ucs-set-char #x8F12 ?$BmL(B) ; J83-B-6D4C
(ucs-set-char #x8F13 ?$(CXB(B) ; KS0-C-5842
(ucs-set-char #x8F13 ?$(Gk=(B) ; C01-G-6B3D
(ucs-set-char #x8F13 ?$@mN(B) ; J78-@-6D4E
(ucs-set-char #x8F13 ?$BmN(B) ; J83-B-6D4E
(ucs-set-char #x8F14 ?$(C\P(B) ; KS0-C-5C50
(ucs-set-char #x8F14 ?$(Gk:(B) ; C01-G-6B3A
(ucs-set-char #x8F14 ?$@Je(B) ; J78-@-4A65
(ucs-set-char #x8F14 ?$BJe(B) ; J83-B-4A65
(ucs-set-char #x8F15 ?$(CLn(B) ; KS0-C-4C6E
(ucs-set-char #x8F15 ?$(Gk<(B) ; C01-G-6B3C
(ucs-set-char #x8F15 ?$@mK(B) ; J78-@-6D4B
(ucs-set-char #x8F15 ?$BmK(B) ; J83-B-6D4B
(ucs-set-char #x8F16 ?$(D`k(B) ; J90-D-606B
(ucs-set-char #x8F16 ?$(HTu(B) ; C02-H-5475
(ucs-set-char #x8F17 ?$(D`l(B) ; J90-D-606C
(ucs-set-char #x8F17 ?$(HTv(B) ; C02-H-5476
(ucs-set-char #x8F18 ?$(D`m(B) ; J90-D-606D
(ucs-set-char #x8F18 ?$(HTq(B) ; C02-H-5471
(ucs-set-char #x8F19 ?$(IO6(B) ; C03-I-4F36
(ucs-set-char #x8F19 ?$@mM(B) ; J78-@-6D4D
(ucs-set-char #x8F19 ?$BmM(B) ; J83-B-6D4D
(ucs-set-char #x8F1A ?$(HTr(B) ; C02-H-5472
(ucs-set-char #x8F1B ?$(CU`(B) ; KS0-C-5560
(ucs-set-char #x8F1B ?$(GoC(B) ; C01-G-6F43
(ucs-set-char #x8F1B ?$@mQ(B) ; J78-@-6D51
(ucs-set-char #x8F1B ?$BmQ(B) ; J83-B-6D51
(ucs-set-char #x8F1C ?$(CvJ(B) ; KS0-C-764A
(ucs-set-char #x8F1C ?$(GoH(B) ; C01-G-6F48
(ucs-set-char #x8F1C ?$@mO(B) ; J78-@-6D4F
(ucs-set-char #x8F1C ?$BmO(B) ; J83-B-6D4F
(ucs-set-char #x8F1D ?$(C}J(B) ; KS0-C-7D4A
(ucs-set-char #x8F1D ?$(GoB(B) ; C01-G-6F42
(ucs-set-char #x8F1D ?$@51(B) ; J78-@-3531
(ucs-set-char #x8F1D ?$B51(B) ; J83-B-3531
(ucs-set-char #x8F1E ?$(CXV(B) ; KS0-C-5856
(ucs-set-char #x8F1E ?$(D`n(B) ; J90-D-606E
(ucs-set-char #x8F1E ?$(GoI(B) ; C01-G-6F49
(ucs-set-char #x8F1F ?$(CtO(B) ; KS0-C-744F
(ucs-set-char #x8F1F ?$(GoD(B) ; C01-G-6F44
(ucs-set-char #x8F1F ?$@mP(B) ; J78-@-6D50
(ucs-set-char #x8F1F ?$BmP(B) ; J83-B-6D50
(ucs-set-char #x8F20 ?$(D`o(B) ; J90-D-606F
(ucs-set-char #x8F20 ?$(HTs(B) ; C02-H-5473
(ucs-set-char #x8F21 ?$(D`p(B) ; J90-D-6070
(ucs-set-char #x8F21 ?$(JN-(B) ; C04-J-4E2D
(ucs-set-char #x8F22 ?$(IO3(B) ; C03-I-4F33
(ucs-set-char #x8F23 ?$(D`q(B) ; J90-D-6071
(ucs-set-char #x8F23 ?$(HTt(B) ; C02-H-5474
(ucs-set-char #x8F24 ?$(HTp(B) ; C02-H-5470
(ucs-set-char #x8F25 ?$(D`r(B) ; J90-D-6072
(ucs-set-char #x8F25 ?$(GoJ(B) ; C01-G-6F4A
(ucs-set-char #x8F26 ?$(CV&(B) ; KS0-C-5626
(ucs-set-char #x8F26 ?$(GoF(B) ; C01-G-6F46
(ucs-set-char #x8F26 ?$@mS(B) ; J78-@-6D53
(ucs-set-char #x8F26 ?$BmS(B) ; J83-B-6D53
(ucs-set-char #x8F27 ?$(C\>(B) ; KS0-C-5C3E
(ucs-set-char #x8F27 ?$(D`s(B) ; J90-D-6073
(ucs-set-char #x8F27 ?$(IO5(B) ; C03-I-4F35
(ucs-set-char #x8F28 ?$(D`t(B) ; J90-D-6074
(ucs-set-char #x8F28 ?$(JN+(B) ; C04-J-4E2B
(ucs-set-char #x8F29 ?$(C[T(B) ; KS0-C-5B54
(ucs-set-char #x8F29 ?$(GoE(B) ; C01-G-6F45
(ucs-set-char #x8F29 ?$@GZ(B) ; J78-@-475A
(ucs-set-char #x8F29 ?$BGZ(B) ; J83-B-475A
(ucs-set-char #x8F2A ?$(CWG(B) ; KS0-C-5747
(ucs-set-char #x8F2A ?$(GoG(B) ; C01-G-6F47
(ucs-set-char #x8F2A ?$@NX(B) ; J78-@-4E58
(ucs-set-char #x8F2A ?$BNX(B) ; J83-B-4E58
(ucs-set-char #x8F2B ?$(IO4(B) ; C03-I-4F34
(ucs-set-char #x8F2C ?$(D`u(B) ; J90-D-6075
(ucs-set-char #x8F2C ?$(HTo(B) ; C02-H-546F
(ucs-set-char #x8F2D ?$(D`v(B) ; J90-D-6076
(ucs-set-char #x8F2D ?$(IS$(B) ; C03-I-5324
(ucs-set-char #x8F2E ?$(D`w(B) ; J90-D-6077
(ucs-set-char #x8F2E ?$(HZv(B) ; C02-H-5A76
(ucs-set-char #x8F2F ?$(Cr~(B) ; KS0-C-727E
(ucs-set-char #x8F2F ?$(GrR(B) ; C01-G-7252
(ucs-set-char #x8F2F ?$@=4(B) ; J78-@-3D34
(ucs-set-char #x8F2F ?$B=4(B) ; J83-B-3D34
(ucs-set-char #x8F30 ?$(IS"(B) ; C03-I-5322
(ucs-set-char #x8F31 ?$(IS!(B) ; C03-I-5321
(ucs-set-char #x8F32 ?$(HZx(B) ; C02-H-5A78
(ucs-set-char #x8F33 ?$(CqM(B) ; KS0-C-714D
(ucs-set-char #x8F33 ?$(GrT(B) ; C01-G-7254
(ucs-set-char #x8F33 ?$@mT(B) ; J78-@-6D54
(ucs-set-char #x8F33 ?$BmT(B) ; J83-B-6D54
(ucs-set-char #x8F34 ?$(D`x(B) ; J90-D-6078
(ucs-set-char #x8F34 ?$(HZ{(B) ; C02-H-5A7B
(ucs-set-char #x8F35 ?$(D`y(B) ; J90-D-6079
(ucs-set-char #x8F35 ?$(HZw(B) ; C02-H-5A77
(ucs-set-char #x8F36 ?$(D`z(B) ; J90-D-607A
(ucs-set-char #x8F36 ?$(HZu(B) ; C02-H-5A75
(ucs-set-char #x8F37 ?$(D`{(B) ; J90-D-607B
(ucs-set-char #x8F37 ?$(HZz(B) ; C02-H-5A7A
(ucs-set-char #x8F38 ?$(CbC(B) ; KS0-C-6243
(ucs-set-char #x8F38 ?$(GrS(B) ; C01-G-7253
(ucs-set-char #x8F38 ?$@M"(B) ; J78-@-4D22
(ucs-set-char #x8F38 ?$BM"(B) ; J83-B-4D22
(ucs-set-char #x8F39 ?$(C\^(B) ; KS0-C-5C5E
(ucs-set-char #x8F39 ?$(HZy(B) ; C02-H-5A79
(ucs-set-char #x8F39 ?$@mV(B) ; J78-@-6D56
(ucs-set-char #x8F39 ?$BmV(B) ; J83-B-6D56
(ucs-set-char #x8F3A ?$(D`|(B) ; J90-D-607C
(ucs-set-char #x8F3A ?$(M42(B) ; C07-M-3432
(ucs-set-char #x8F3B ?$(C\_(B) ; KS0-C-5C5F
(ucs-set-char #x8F3B ?$(GrQ(B) ; C01-G-7251
(ucs-set-char #x8F3B ?$@mU(B) ; J78-@-6D55
(ucs-set-char #x8F3B ?$BmU(B) ; J83-B-6D55
(ucs-set-char #x8F3C ?$(IS%(B) ; C03-I-5325
(ucs-set-char #x8F3D ?$(IVY(B) ; C03-I-5659
(ucs-set-char #x8F3E ?$(Co-(B) ; KS0-C-6F2D
(ucs-set-char #x8F3E ?$(Gu^(B) ; C01-G-755E
(ucs-set-char #x8F3E ?$@mY(B) ; J78-@-6D59
(ucs-set-char #x8F3E ?$BmY(B) ; J83-B-6D59
(ucs-set-char #x8F3F ?$(Cf+(B) ; KS0-C-662B
(ucs-set-char #x8F3F ?$(Gua(B) ; C01-G-7561
(ucs-set-char #x8F3F ?$@MA(B) ; J78-@-4D41
(ucs-set-char #x8F3F ?$BMA(B) ; J83-B-4D41
(ucs-set-char #x8F40 ?$(D`}(B) ; J90-D-607D
(ucs-set-char #x8F40 ?$(H_m(B) ; C02-H-5F6D
(ucs-set-char #x8F41 ?$(D`~(B) ; J90-D-607E
(ucs-set-char #x8F41 ?$(IVZ(B) ; C03-I-565A
(ucs-set-char #x8F42 ?$(Gu_(B) ; C01-G-755F
(ucs-set-char #x8F42 ?$@mX(B) ; J78-@-6D58
(ucs-set-char #x8F42 ?$BmX(B) ; J83-B-6D58
(ucs-set-char #x8F43 ?$(Da!(B) ; J90-D-6121
(ucs-set-char #x8F43 ?$(H_l(B) ; C02-H-5F6C
(ucs-set-char #x8F44 ?$(Cy](B) ; KS0-C-795D
(ucs-set-char #x8F44 ?$(Gu](B) ; C01-G-755D
(ucs-set-char #x8F44 ?$@3m(B) ; J78-@-336D
(ucs-set-char #x8F44 ?$B3m(B) ; J83-B-336D
(ucs-set-char #x8F45 ?$(Cj?(B) ; KS0-C-6A3F
(ucs-set-char #x8F45 ?$(Gu`(B) ; C01-G-7560
(ucs-set-char #x8F45 ?$@mW(B) ; J78-@-6D57
(ucs-set-char #x8F45 ?$BmW(B) ; J83-B-6D57
(ucs-set-char #x8F46 ?$(Hcp(B) ; C02-H-6370
(ucs-set-char #x8F46 ?$@m\(B) ; J78-@-6D5C
(ucs-set-char #x8F46 ?$Bm\(B) ; J83-B-6D5C
(ucs-set-char #x8F47 ?$(Da"(B) ; J90-D-6122
(ucs-set-char #x8F47 ?$(Hcq(B) ; C02-H-6371
(ucs-set-char #x8F48 ?$(Hcr(B) ; C02-H-6372
(ucs-set-char #x8F49 ?$(Co.(B) ; KS0-C-6F2E
(ucs-set-char #x8F49 ?$(GwK(B) ; C01-G-774B
(ucs-set-char #x8F49 ?$@m[(B) ; J78-@-6D5B
(ucs-set-char #x8F49 ?$Bm[(B) ; J83-B-6D5B
(ucs-set-char #x8F4A ?$(IY7(B) ; C03-I-5937
(ucs-set-char #x8F4B ?$(Hcs(B) ; C02-H-6373
(ucs-set-char #x8F4C ?$@mZ(B) ; J78-@-6D5A
(ucs-set-char #x8F4C ?$BmZ(B) ; J83-B-6D5A
(ucs-set-char #x8F4D ?$(CtP(B) ; KS0-C-7450
(ucs-set-char #x8F4D ?$(GwL(B) ; C01-G-774C
(ucs-set-char #x8F4D ?$@E2(B) ; J78-@-4532
(ucs-set-char #x8F4D ?$BE2(B) ; J83-B-4532
(ucs-set-char #x8F4E ?$(CNs(B) ; KS0-C-4E73
(ucs-set-char #x8F4E ?$(Gy/(B) ; C01-G-792F
(ucs-set-char #x8F4E ?$@m](B) ; J78-@-6D5D
(ucs-set-char #x8F4E ?$Bm](B) ; J83-B-6D5D
(ucs-set-char #x8F4F ?$(Da#(B) ; J90-D-6123
(ucs-set-char #x8F4F ?$(HgD(B) ; C02-H-6744
(ucs-set-char #x8F50 ?$(HgE(B) ; C02-H-6745
(ucs-set-char #x8F51 ?$(Da$(B) ; J90-D-6124
(ucs-set-char #x8F51 ?$(HgC(B) ; C02-H-6743
(ucs-set-char #x8F52 ?$(Da%(B) ; J90-D-6125
(ucs-set-char #x8F52 ?$(HgB(B) ; C02-H-6742
(ucs-set-char #x8F53 ?$(Da&(B) ; J90-D-6126
(ucs-set-char #x8F53 ?$(HgF(B) ; C02-H-6746
(ucs-set-char #x8F54 ?$(Da'(B) ; J90-D-6127
(ucs-set-char #x8F54 ?$(Gy.(B) ; C01-G-792E
(ucs-set-char #x8F55 ?$(Da((B) ; J90-D-6128
(ucs-set-char #x8F55 ?$(Hj+(B) ; C02-H-6A2B
(ucs-set-char #x8F56 ?$(Hj)(B) ; C02-H-6A29
(ucs-set-char #x8F57 ?$(Hj*(B) ; C02-H-6A2A
(ucs-set-char #x8F57 ?$@m^(B) ; J78-@-6D5E
(ucs-set-char #x8F57 ?$Bm^(B) ; J83-B-6D5E
(ucs-set-char #x8F58 ?$(Da)(B) ; J90-D-6129
(ucs-set-char #x8F58 ?$(Hj,(B) ; C02-H-6A2C
(ucs-set-char #x8F59 ?$(Hj((B) ; C02-H-6A28
(ucs-set-char #x8F5A ?$(Hj-(B) ; C02-H-6A2D
(ucs-set-char #x8F5B ?$(HlG(B) ; C02-H-6C47
(ucs-set-char #x8F5C ?$(I^g(B) ; C03-I-5E67
(ucs-set-char #x8F5C ?$@m_(B) ; J78-@-6D5F
(ucs-set-char #x8F5C ?$Bm_(B) ; J83-B-6D5F
(ucs-set-char #x8F5D ?$(Cf,(B) ; KS0-C-662C
(ucs-set-char #x8F5D ?$(Da*(B) ; J90-D-612A
(ucs-set-char #x8F5D ?$(HlH(B) ; C02-H-6C48
(ucs-set-char #x8F5E ?$(Da+(B) ; J90-D-612B
(ucs-set-char #x8F5E ?$(HlF(B) ; C02-H-6C46
(ucs-set-char #x8F5F ?$(CN^(B) ; KS0-C-4E5E
(ucs-set-char #x8F5F ?$(G{2(B) ; C01-G-7B32
(ucs-set-char #x8F5F ?$@9l(B) ; J78-@-396C
(ucs-set-char #x8F5F ?$B9l(B) ; J83-B-396C
(ucs-set-char #x8F60 ?$(Hn3(B) ; C02-H-6E33
(ucs-set-char #x8F61 ?$(G{y(B) ; C01-G-7B79
(ucs-set-char #x8F61 ?$@7%(B) ; J78-@-3725
(ucs-set-char #x8F61 ?$B7%(B) ; J83-B-3725
(ucs-set-char #x8F62 ?$(CUy(B) ; KS0-C-5579
(ucs-set-char #x8F62 ?$(Hn4(B) ; C02-H-6E34
(ucs-set-char #x8F62 ?$@m`(B) ; J78-@-6D60
(ucs-set-char #x8F62 ?$Bm`(B) ; J83-B-6D60
(ucs-set-char #x8F63 ?$(HoV(B) ; C02-H-6F56
(ucs-set-char #x8F63 ?$@ma(B) ; J78-@-6D61
(ucs-set-char #x8F63 ?$Bma(B) ; J83-B-6D61
(ucs-set-char #x8F64 ?$(HoU(B) ; C02-H-6F55
(ucs-set-char #x8F64 ?$@mb(B) ; J78-@-6D62
(ucs-set-char #x8F64 ?$Bmb(B) ; J83-B-6D62
(ucs-set-char #x8F65 ?$(Da,(B) ; J90-D-612C
(ucs-set-char #x8F65 ?$(Ib"(B) ; C03-I-6222
(ucs-set-char #x8F66 ?$A35(B) ; GB0-A-3335
(ucs-set-char #x8F67 ?$AT~(B) ; GB0-A-547E
(ucs-set-char #x8F68 ?$A9l(B) ; GB0-A-396C
(ucs-set-char #x8F69 ?$APy(B) ; GB0-A-5079
(ucs-set-char #x8F6B ?$Aim(B) ; GB0-A-696D
(ucs-set-char #x8F6C ?$AW*(B) ; GB0-A-572A
(ucs-set-char #x8F6D ?$Ain(B) ; GB0-A-696E
(ucs-set-char #x8F6E ?$ABV(B) ; GB0-A-4256
(ucs-set-char #x8F6F ?$AHm(B) ; GB0-A-486D
(ucs-set-char #x8F70 ?$A:d(B) ; GB0-A-3A64
(ucs-set-char #x8F71 ?$Aio(B) ; GB0-A-696F
(ucs-set-char #x8F72 ?$Aip(B) ; GB0-A-6970
(ucs-set-char #x8F73 ?$Aiq(B) ; GB0-A-6971
(ucs-set-char #x8F74 ?$AVa(B) ; GB0-A-5661
(ucs-set-char #x8F75 ?$Air(B) ; GB0-A-6972
(ucs-set-char #x8F76 ?$Ais(B) ; GB0-A-6973
(ucs-set-char #x8F77 ?$Aiu(B) ; GB0-A-6975
(ucs-set-char #x8F78 ?$Ait(B) ; GB0-A-6974
(ucs-set-char #x8F79 ?$Aiv(B) ; GB0-A-6976
(ucs-set-char #x8F7A ?$Aiw(B) ; GB0-A-6977
(ucs-set-char #x8F7B ?$AGa(B) ; GB0-A-4761
(ucs-set-char #x8F7C ?$Aix(B) ; GB0-A-6978
(ucs-set-char #x8F7D ?$ATX(B) ; GB0-A-5458
(ucs-set-char #x8F7E ?$Aiy(B) ; GB0-A-6979
(ucs-set-char #x8F7F ?$A=N(B) ; GB0-A-3D4E
(ucs-set-char #x8F81 ?$Aiz(B) ; GB0-A-697A
(ucs-set-char #x8F82 ?$Ai{(B) ; GB0-A-697B
(ucs-set-char #x8F83 ?$A=O(B) ; GB0-A-3D4F
(ucs-set-char #x8F84 ?$Ai|(B) ; GB0-A-697C
(ucs-set-char #x8F85 ?$A8((B) ; GB0-A-3828
(ucs-set-char #x8F86 ?$AA>(B) ; GB0-A-413E
(ucs-set-char #x8F87 ?$Ai}(B) ; GB0-A-697D
(ucs-set-char #x8F88 ?$A12(B) ; GB0-A-3132
(ucs-set-char #x8F89 ?$A;T(B) ; GB0-A-3B54
(ucs-set-char #x8F8A ?$A9u(B) ; GB0-A-3975
(ucs-set-char #x8F8B ?$Ai~(B) ; GB0-A-697E
(ucs-set-char #x8F8D ?$Aj!(B) ; GB0-A-6A21
(ucs-set-char #x8F8E ?$Aj"(B) ; GB0-A-6A22
(ucs-set-char #x8F8F ?$Aj#(B) ; GB0-A-6A23
(ucs-set-char #x8F90 ?$A7x(B) ; GB0-A-3778
(ucs-set-char #x8F91 ?$A<-(B) ; GB0-A-3C2D
(ucs-set-char #x8F93 ?$AJd(B) ; GB0-A-4A64
(ucs-set-char #x8F94 ?$A`N(B) ; GB0-A-604E
(ucs-set-char #x8F95 ?$AT/(B) ; GB0-A-542F
(ucs-set-char #x8F96 ?$AO=(B) ; GB0-A-4F3D
(ucs-set-char #x8F97 ?$AU7(B) ; GB0-A-5537
(ucs-set-char #x8F98 ?$Aj$(B) ; GB0-A-6A24
(ucs-set-char #x8F99 ?$AU^(B) ; GB0-A-555E
(ucs-set-char #x8F9A ?$Aj%(B) ; GB0-A-6A25
(ucs-set-char #x8F9B ?$(Cct(B) ; KS0-C-6374
(ucs-set-char #x8F9B ?$(GKP(B) ; C01-G-4B50
(ucs-set-char #x8F9B ?$@?I(B) ; J78-@-3F49
(ucs-set-char #x8F9B ?$APA(B) ; GB0-A-5041
(ucs-set-char #x8F9B ?$B?I(B) ; J83-B-3F49
(ucs-set-char #x8F9C ?$(CMP(B) ; KS0-C-4D50
(ucs-set-char #x8F9C ?$(GbK(B) ; C01-G-624B
(ucs-set-char #x8F9C ?$@mc(B) ; J78-@-6D63
(ucs-set-char #x8F9C ?$A9<(B) ; GB0-A-393C
(ucs-set-char #x8F9C ?$Bmc(B) ; J83-B-6D63
(ucs-set-char #x8F9D ?$(Da-(B) ; J90-D-612D
(ucs-set-char #x8F9D ?$(I?K(B) ; C03-I-3F4B
(ucs-set-char #x8F9E ?$(IDw(B) ; C03-I-4477
(ucs-set-char #x8F9E ?$@<-(B) ; J78-@-3C2D
(ucs-set-char #x8F9E ?$A4G(B) ; GB0-A-3447
(ucs-set-char #x8F9E ?$B<-(B) ; J83-B-3C2D
(ucs-set-char #x8F9F ?$(Gg((B) ; C01-G-6728
(ucs-set-char #x8F9F ?$@md(B) ; J78-@-6D64
(ucs-set-char #x8F9F ?$A1Y(B) ; GB0-A-3159
(ucs-set-char #x8F9F ?$Bmd(B) ; J83-B-6D64
(ucs-set-char #x8FA0 ?$(Da.(B) ; J90-D-612E
(ucs-set-char #x8FA0 ?$(IDx(B) ; C03-I-4478
(ucs-set-char #x8FA1 ?$(Da/(B) ; J90-D-612F
(ucs-set-char #x8FA1 ?$(IJ!(B) ; C03-I-4A21
(ucs-set-char #x8FA2 ?$(IJ"(B) ; C03-I-4A22
(ucs-set-char #x8FA3 ?$(CU8(B) ; KS0-C-5538
(ucs-set-char #x8FA3 ?$(Gk>(B) ; C01-G-6B3E
(ucs-set-char #x8FA3 ?$@me(B) ; J78-@-6D65
(ucs-set-char #x8FA3 ?$A@1(B) ; GB0-A-4031
(ucs-set-char #x8FA3 ?$Bme(B) ; J83-B-6D65
(ucs-set-char #x8FA4 ?$(Da0(B) ; J90-D-6130
(ucs-set-char #x8FA4 ?$(IO7(B) ; C03-I-4F37
(ucs-set-char #x8FA5 ?$(Da1(B) ; J90-D-6131
(ucs-set-char #x8FA5 ?$(IS'(B) ; C03-I-5327
(ucs-set-char #x8FA6 ?$(Cw}(B) ; KS0-C-777D
(ucs-set-char #x8FA6 ?$(Da2(B) ; J90-D-6132
(ucs-set-char #x8FA6 ?$(GrV(B) ; C01-G-7256
(ucs-set-char #x8FA7 ?$(IS&(B) ; C03-I-5326
(ucs-set-char #x8FA7 ?$@R!(B) ; J78-@-5221
(ucs-set-char #x8FA7 ?$BR!(B) ; J83-B-5221
(ucs-set-char #x8FA8 ?$(C\)(B) ; KS0-C-5C29
(ucs-set-char #x8FA8 ?$(GrU(B) ; C01-G-7255
(ucs-set-char #x8FA8 ?$@Q~(B) ; J78-@-517E
(ucs-set-char #x8FA8 ?$A1f(B) ; GB0-A-3166
(ucs-set-char #x8FA8 ?$BQ~(B) ; J83-B-517E
(ucs-set-char #x8FA9 ?$A1g(B) ; GB0-A-3167
(ucs-set-char #x8FAB ?$A1h(B) ; GB0-A-3168
(ucs-set-char #x8FAC ?$(IY8(B) ; C03-I-5938
(ucs-set-char #x8FAD ?$(C^v(B) ; KS0-C-5E76
(ucs-set-char #x8FAD ?$(Gy0(B) ; C01-G-7930
(ucs-set-char #x8FAD ?$@mf(B) ; J78-@-6D66
(ucs-set-char #x8FAD ?$Bmf(B) ; J83-B-6D66
(ucs-set-char #x8FAE ?$(Gz)(B) ; C01-G-7A29
(ucs-set-char #x8FAE ?$@ep(B) ; J78-@-6570
(ucs-set-char #x8FAE ?$Bep(B) ; J83-B-6570
(ucs-set-char #x8FAF ?$(C\*(B) ; KS0-C-5C2A
(ucs-set-char #x8FAF ?$(G{3(B) ; C01-G-7B33
(ucs-set-char #x8FAF ?$@mg(B) ; J78-@-6D67
(ucs-set-char #x8FAF ?$Bmg(B) ; J83-B-6D67
(ucs-set-char #x8FB0 ?$(Crc(B) ; KS0-C-7263
(ucs-set-char #x8FB0 ?$(GKQ(B) ; C01-G-4B51
(ucs-set-char #x8FB0 ?$@C$(B) ; J78-@-4324
(ucs-set-char #x8FB0 ?$A3=(B) ; GB0-A-333D
(ucs-set-char #x8FB0 ?$BC$(B) ; J83-B-4324
(ucs-set-char #x8FB1 ?$(Ci4(B) ; KS0-C-6934
(ucs-set-char #x8FB1 ?$(GXI(B) ; C01-G-5849
(ucs-set-char #x8FB1 ?$@?+(B) ; J78-@-3F2B
(ucs-set-char #x8FB1 ?$AHh(B) ; GB0-A-4868
(ucs-set-char #x8FB1 ?$B?+(B) ; J83-B-3F2B
(ucs-set-char #x8FB2 ?$(CR\(B) ; KS0-C-525C
(ucs-set-char #x8FB2 ?$(Gg)(B) ; C01-G-6729
(ucs-set-char #x8FB2 ?$@G@(B) ; J78-@-4740
(ucs-set-char #x8FB2 ?$BG@(B) ; J83-B-4740
(ucs-set-char #x8FB3 ?$(IO9(B) ; C03-I-4F39
(ucs-set-char #x8FB4 ?$(HgG(B) ; C02-H-6747
(ucs-set-char #x8FB5 ?$(Da3(B) ; J90-D-6133
(ucs-set-char #x8FB5 ?$(I'/(B) ; C03-I-272F
(ucs-set-char #x8FB6 ?$(Da4(B) ; J90-D-6134
(ucs-set-char #x8FB6 ?$(J!T(B) ; C04-J-2154
(ucs-set-char #x8FB6 ?$AeA(B) ; GB0-A-6541
(ucs-set-char #x8FB7 ?$@mh(B) ; J78-@-6D68
(ucs-set-char #x8FB7 ?$Bmh(B) ; J83-B-6D68
(ucs-set-char #x8FB8 ?$(Da5(B) ; J90-D-6135
(ucs-set-char #x8FB8 ?$(J#0(B) ; C04-J-2330
(ucs-set-char #x8FB9 ?$(I$;(B) ; C03-I-243B
(ucs-set-char #x8FB9 ?$A1_(B) ; GB0-A-315F
(ucs-set-char #x8FBA ?$@JU(B) ; J78-@-4A55
(ucs-set-char #x8FBA ?$BJU(B) ; J83-B-4A55
(ucs-set-char #x8FBB ?$@DT(B) ; J78-@-4454
(ucs-set-char #x8FBB ?$BDT(B) ; J83-B-4454
(ucs-set-char #x8FBC ?$@9~(B) ; J78-@-397E
(ucs-set-char #x8FBC ?$B9~(B) ; J83-B-397E
(ucs-set-char #x8FBD ?$AAI(B) ; GB0-A-4149
(ucs-set-char #x8FBE ?$(Da6(B) ; J90-D-6136
(ucs-set-char #x8FBE ?$(I'0(B) ; C03-I-2730
(ucs-set-char #x8FBE ?$A4o(B) ; GB0-A-346F
(ucs-set-char #x8FBF ?$(H%&(B) ; C02-H-2526
(ucs-set-char #x8FBF ?$@C)(B) ; J78-@-4329
(ucs-set-char #x8FBF ?$BC)(B) ; J83-B-4329
(ucs-set-char #x8FC0 ?$(Da7(B) ; J90-D-6137
(ucs-set-char #x8FC0 ?$(J%!(B) ; C04-J-2521
(ucs-set-char #x8FC1 ?$(Da8(B) ; J90-D-6138
(ucs-set-char #x8FC1 ?$(I'3(B) ; C03-I-2733
(ucs-set-char #x8FC1 ?$AG((B) ; GB0-A-4728
(ucs-set-char #x8FC2 ?$(Cif(B) ; KS0-C-6966
(ucs-set-char #x8FC2 ?$(GKR(B) ; C01-G-4B52
(ucs-set-char #x8FC2 ?$@1*(B) ; J78-@-312A
(ucs-set-char #x8FC2 ?$ASX(B) ; GB0-A-5358
(ucs-set-char #x8FC2 ?$B1*(B) ; J83-B-312A
(ucs-set-char #x8FC3 ?$(J%#(B) ; C04-J-2523
(ucs-set-char #x8FC4 ?$(GKU(B) ; C01-G-4B55
(ucs-set-char #x8FC4 ?$@Kx(B) ; J78-@-4B78
(ucs-set-char #x8FC4 ?$AFy(B) ; GB0-A-4679
(ucs-set-char #x8FC4 ?$BKx(B) ; J83-B-4B78
(ucs-set-char #x8FC5 ?$(Ccv(B) ; KS0-C-6376
(ucs-set-char #x8FC5 ?$(GKT(B) ; C01-G-4B54
(ucs-set-char #x8FC5 ?$@?W(B) ; J78-@-3F57
(ucs-set-char #x8FC5 ?$AQ8(B) ; GB0-A-5138
(ucs-set-char #x8FC5 ?$B?W(B) ; J83-B-3F57
(ucs-set-char #x8FC6 ?$(Da9(B) ; J90-D-6139
(ucs-set-char #x8FC6 ?$(GKS(B) ; C01-G-4B53
(ucs-set-char #x8FC7 ?$(I'1(B) ; C03-I-2731
(ucs-set-char #x8FC7 ?$A9}(B) ; GB0-A-397D
(ucs-set-char #x8FC8 ?$ABu(B) ; GB0-A-4275
(ucs-set-char #x8FC9 ?$(H%%(B) ; C02-H-2525
(ucs-set-char #x8FCA ?$(Da:(B) ; J90-D-613A
(ucs-set-char #x8FCA ?$(I*r(B) ; C03-I-2A72
(ucs-set-char #x8FCB ?$(Da;(B) ; J90-D-613B
(ucs-set-char #x8FCB ?$(H(m(B) ; C02-H-286D
(ucs-set-char #x8FCC ?$(I*p(B) ; C03-I-2A70
(ucs-set-char #x8FCD ?$(Da<(B) ; J90-D-613C
(ucs-set-char #x8FCD ?$(H(o(B) ; C02-H-286F
(ucs-set-char #x8FCE ?$(CgJ(B) ; KS0-C-674A
(ucs-set-char #x8FCE ?$(GOR(B) ; C01-G-4F52
(ucs-set-char #x8FCE ?$@7^(B) ; J78-@-375E
(ucs-set-char #x8FCE ?$AS-(B) ; GB0-A-532D
(ucs-set-char #x8FCE ?$B7^(B) ; J83-B-375E
(ucs-set-char #x8FCF ?$(I*t(B) ; C03-I-2A74
(ucs-set-char #x8FD0 ?$(Da=(B) ; J90-D-613D
(ucs-set-char #x8FD0 ?$(J(&(B) ; C04-J-2826
(ucs-set-char #x8FD0 ?$ATK(B) ; GB0-A-544B
(ucs-set-char #x8FD1 ?$(CPN(B) ; KS0-C-504E
(ucs-set-char #x8FD1 ?$(GOT(B) ; C01-G-4F54
(ucs-set-char #x8FD1 ?$@6a(B) ; J78-@-3661
(ucs-set-char #x8FD1 ?$A=|(B) ; GB0-A-3D7C
(ucs-set-char #x8FD1 ?$B6a(B) ; J83-B-3661
(ucs-set-char #x8FD2 ?$(Da>(B) ; J90-D-613E
(ucs-set-char #x8FD2 ?$(H(l(B) ; C02-H-286C
(ucs-set-char #x8FD3 ?$(Da?(B) ; J90-D-613F
(ucs-set-char #x8FD3 ?$(H(n(B) ; C02-H-286E
(ucs-set-char #x8FD3 ?$AeB(B) ; GB0-A-6542
(ucs-set-char #x8FD4 ?$(CZw(B) ; KS0-C-5A77
(ucs-set-char #x8FD4 ?$(GOS(B) ; C01-G-4F53
(ucs-set-char #x8FD4 ?$@JV(B) ; J78-@-4A56
(ucs-set-char #x8FD4 ?$A75(B) ; GB0-A-3735
(ucs-set-char #x8FD4 ?$BJV(B) ; J83-B-4A56
(ucs-set-char #x8FD5 ?$(Da@(B) ; J90-D-6140
(ucs-set-char #x8FD5 ?$(H(q(B) ; C02-H-2871
(ucs-set-char #x8FD5 ?$AeC(B) ; GB0-A-6543
(ucs-set-char #x8FD6 ?$(H(p(B) ; C02-H-2870
(ucs-set-char #x8FD7 ?$(H(r(B) ; C02-H-2872
(ucs-set-char #x8FD8 ?$(I*s(B) ; C03-I-2A73
(ucs-set-char #x8FD8 ?$A;9(B) ; GB0-A-3B39
(ucs-set-char #x8FD9 ?$(I*q(B) ; C03-I-2A71
(ucs-set-char #x8FD9 ?$AUb(B) ; GB0-A-5562
(ucs-set-char #x8FDA ?$@mi(B) ; J78-@-6D69
(ucs-set-char #x8FDA ?$Bmi(B) ; J83-B-6D69
(ucs-set-char #x8FDB ?$A=x(B) ; GB0-A-3D78
(ucs-set-char #x8FDC ?$AT6(B) ; GB0-A-5436
(ucs-set-char #x8FDD ?$AN%(B) ; GB0-A-4E25
(ucs-set-char #x8FDE ?$AA,(B) ; GB0-A-412C
(ucs-set-char #x8FDF ?$A3Y(B) ; GB0-A-3359
(ucs-set-char #x8FE0 ?$(DaA(B) ; J90-D-6141
(ucs-set-char #x8FE0 ?$(H-W(B) ; C02-H-2D57
(ucs-set-char #x8FE1 ?$(H-U(B) ; C02-H-2D55
(ucs-set-char #x8FE2 ?$(GS_(B) ; C01-G-535F
(ucs-set-char #x8FE2 ?$@mk(B) ; J78-@-6D6B
(ucs-set-char #x8FE2 ?$ALv(B) ; GB0-A-4C76
(ucs-set-char #x8FE2 ?$Bmk(B) ; J83-B-6D6B
(ucs-set-char #x8FE3 ?$(DaB(B) ; J90-D-6142
(ucs-set-char #x8FE3 ?$(H-T(B) ; C02-H-2D54
(ucs-set-char #x8FE4 ?$(DaC(B) ; J90-D-6143
(ucs-set-char #x8FE4 ?$(GSd(B) ; C01-G-5364
(ucs-set-char #x8FE4 ?$AeF(B) ; GB0-A-6546
(ucs-set-char #x8FE5 ?$(GSa(B) ; C01-G-5361
(ucs-set-char #x8FE5 ?$@mj(B) ; J78-@-6D6A
(ucs-set-char #x8FE5 ?$AeD(B) ; GB0-A-6544
(ucs-set-char #x8FE5 ?$Bmj(B) ; J83-B-6D6A
(ucs-set-char #x8FE6 ?$(CJ<(B) ; KS0-C-4A3C
(ucs-set-char #x8FE6 ?$(GS^(B) ; C01-G-535E
(ucs-set-char #x8FE6 ?$@2`(B) ; J78-@-3260
(ucs-set-char #x8FE6 ?$AeH(B) ; GB0-A-6548
(ucs-set-char #x8FE6 ?$B2`(B) ; J83-B-3260
(ucs-set-char #x8FE7 ?$(I/1(B) ; C03-I-2F31
(ucs-set-char #x8FE8 ?$(DaD(B) ; J90-D-6144
(ucs-set-char #x8FE8 ?$(GSe(B) ; C01-G-5365
(ucs-set-char #x8FE8 ?$AeJ(B) ; GB0-A-654A
(ucs-set-char #x8FE9 ?$(I/2(B) ; C03-I-2F32
(ucs-set-char #x8FE9 ?$@mn(B) ; J78-@-6D6E
(ucs-set-char #x8FE9 ?$AeG(B) ; GB0-A-6547
(ucs-set-char #x8FE9 ?$BFv(B) ; J83-B-4676
(ucs-set-char #x8FEA ?$(Cnh(B) ; KS0-C-6E68
(ucs-set-char #x8FEA ?$(GS`(B) ; C01-G-5360
(ucs-set-char #x8FEA ?$@ml(B) ; J78-@-6D6C
(ucs-set-char #x8FEA ?$A5O(B) ; GB0-A-354F
(ucs-set-char #x8FEA ?$Bml(B) ; J83-B-6D6C
(ucs-set-char #x8FEB ?$(CZ^(B) ; KS0-C-5A5E
(ucs-set-char #x8FEB ?$(GSc(B) ; C01-G-5363
(ucs-set-char #x8FEB ?$@Gw(B) ; J78-@-4777
(ucs-set-char #x8FEB ?$AFH(B) ; GB0-A-4648
(ucs-set-char #x8FEB ?$BGw(B) ; J83-B-4777
(ucs-set-char #x8FEC ?$(L4`(B) ; C06-L-3460
(ucs-set-char #x8FED ?$(Crw(B) ; KS0-C-7277
(ucs-set-char #x8FED ?$(GSb(B) ; C01-G-5362
(ucs-set-char #x8FED ?$@E3(B) ; J78-@-4533
(ucs-set-char #x8FED ?$A5|(B) ; GB0-A-357C
(ucs-set-char #x8FED ?$BE3(B) ; J83-B-4533
(ucs-set-char #x8FEE ?$(DaE(B) ; J90-D-6145
(ucs-set-char #x8FEE ?$(H-V(B) ; C02-H-2D56
(ucs-set-char #x8FEE ?$AeE(B) ; GB0-A-6545
(ucs-set-char #x8FEF ?$(I/3(B) ; C03-I-2F33
(ucs-set-char #x8FEF ?$@mm(B) ; J78-@-6D6D
(ucs-set-char #x8FEF ?$Bmm(B) ; J83-B-6D6D
(ucs-set-char #x8FF0 ?$(Cb{(B) ; KS0-C-627B
(ucs-set-char #x8FF0 ?$(GS](B) ; C01-G-535D
(ucs-set-char #x8FF0 ?$@=R(B) ; J78-@-3D52
(ucs-set-char #x8FF0 ?$AJv(B) ; GB0-A-4A76
(ucs-set-char #x8FF0 ?$B=R(B) ; J83-B-3D52
(ucs-set-char #x8FF1 ?$(DaF(B) ; J90-D-6146
(ucs-set-char #x8FF1 ?$(I/0(B) ; C03-I-2F30
(ucs-set-char #x8FF2 ?$(CL&(B) ; KS0-C-4C26
(ucs-set-char #x8FF3 ?$AeI(B) ; GB0-A-6549
(ucs-set-char #x8FF4 ?$(GXO(B) ; C01-G-584F
(ucs-set-char #x8FF4 ?$@mo(B) ; J78-@-6D6F
(ucs-set-char #x8FF4 ?$Bmo(B) ; J83-B-6D6F
(ucs-set-char #x8FF5 ?$(DaG(B) ; J90-D-6147
(ucs-set-char #x8FF5 ?$(H3/(B) ; C02-H-332F
(ucs-set-char #x8FF6 ?$(DaH(B) ; J90-D-6148
(ucs-set-char #x8FF6 ?$(H35(B) ; C02-H-3335
(ucs-set-char #x8FF7 ?$(CZ;(B) ; KS0-C-5A3B
(ucs-set-char #x8FF7 ?$(GXL(B) ; C01-G-584C
(ucs-set-char #x8FF7 ?$@LB(B) ; J78-@-4C42
(ucs-set-char #x8FF7 ?$ACT(B) ; GB0-A-4354
(ucs-set-char #x8FF7 ?$BLB(B) ; J83-B-4C42
(ucs-set-char #x8FF8 ?$(GXS(B) ; C01-G-5853
(ucs-set-char #x8FF8 ?$@m~(B) ; J78-@-6D7E
(ucs-set-char #x8FF8 ?$A1E(B) ; GB0-A-3145
(ucs-set-char #x8FF8 ?$Bm~(B) ; J83-B-6D7E
(ucs-set-char #x8FF9 ?$(Cni(B) ; KS0-C-6E69
(ucs-set-char #x8FF9 ?$(I4%(B) ; C03-I-3425
(ucs-set-char #x8FF9 ?$@mq(B) ; J78-@-6D71
(ucs-set-char #x8FF9 ?$A<#(B) ; GB0-A-3C23
(ucs-set-char #x8FF9 ?$Bmq(B) ; J83-B-6D71
(ucs-set-char #x8FFA ?$(GXN(B) ; C01-G-584E
(ucs-set-char #x8FFA ?$@mr(B) ; J78-@-6D72
(ucs-set-char #x8FFA ?$Bmr(B) ; J83-B-6D72
(ucs-set-char #x8FFB ?$(DaI(B) ; J90-D-6149
(ucs-set-char #x8FFB ?$(H32(B) ; C02-H-3332
(ucs-set-char #x8FFC ?$(H34(B) ; C02-H-3334
(ucs-set-char #x8FFD ?$(CuZ(B) ; KS0-C-755A
(ucs-set-char #x8FFD ?$(GXQ(B) ; C01-G-5851
(ucs-set-char #x8FFD ?$@DI(B) ; J78-@-4449
(ucs-set-char #x8FFD ?$AW7(B) ; GB0-A-5737
(ucs-set-char #x8FFD ?$BDI(B) ; J83-B-4449
(ucs-set-char #x8FFE ?$(DaJ(B) ; J90-D-614A
(ucs-set-char #x8FFE ?$(H3.(B) ; C02-H-332E
(ucs-set-char #x8FFF ?$(H31(B) ; C02-H-3331
(ucs-set-char #x9000 ?$(Cw\(B) ; KS0-C-775C
(ucs-set-char #x9000 ?$(GXM(B) ; C01-G-584D
(ucs-set-char #x9000 ?$@B`(B) ; J78-@-4260
(ucs-set-char #x9000 ?$AMK(B) ; GB0-A-4D4B
(ucs-set-char #x9000 ?$BB`(B) ; J83-B-4260
(ucs-set-char #x9001 ?$(Caj(B) ; KS0-C-616A
(ucs-set-char #x9001 ?$(GXJ(B) ; C01-G-584A
(ucs-set-char #x9001 ?$@Aw(B) ; J78-@-4177
(ucs-set-char #x9001 ?$AKM(B) ; GB0-A-4B4D
(ucs-set-char #x9001 ?$BAw(B) ; J83-B-4177
(ucs-set-char #x9002 ?$(CNA(B) ; KS0-C-4E41
(ucs-set-char #x9002 ?$(DaK(B) ; J90-D-614B
(ucs-set-char #x9002 ?$(H30(B) ; C02-H-3330
(ucs-set-char #x9002 ?$AJJ(B) ; GB0-A-4A4A
(ucs-set-char #x9003 ?$(CT1(B) ; KS0-C-5431
(ucs-set-char #x9003 ?$(GXP(B) ; C01-G-5850
(ucs-set-char #x9003 ?$@F((B) ; J78-@-4628
(ucs-set-char #x9003 ?$ALS(B) ; GB0-A-4C53
(ucs-set-char #x9003 ?$BF((B) ; J83-B-4628
(ucs-set-char #x9004 ?$(DaL(B) ; J90-D-614C
(ucs-set-char #x9004 ?$(H33(B) ; C02-H-3333
(ucs-set-char #x9004 ?$AeL(B) ; GB0-A-654C
(ucs-set-char #x9005 ?$(C}1(B) ; KS0-C-7D31
(ucs-set-char #x9005 ?$(GXR(B) ; C01-G-5852
(ucs-set-char #x9005 ?$@mp(B) ; J78-@-6D70
(ucs-set-char #x9005 ?$AeK(B) ; GB0-A-654B
(ucs-set-char #x9005 ?$Bmp(B) ; J83-B-6D70
(ucs-set-char #x9006 ?$(Cf=(B) ; KS0-C-663D
(ucs-set-char #x9006 ?$(GXK(B) ; C01-G-584B
(ucs-set-char #x9006 ?$@5U(B) ; J78-@-3555
(ucs-set-char #x9006 ?$ADf(B) ; GB0-A-4466
(ucs-set-char #x9006 ?$B5U(B) ; J83-B-3555
(ucs-set-char #x9007 ?$(J0/(B) ; C04-J-302F
(ucs-set-char #x9008 ?$(C{-(B) ; KS0-C-7B2D
(ucs-set-char #x9008 ?$(DaM(B) ; J90-D-614D
(ucs-set-char #x9008 ?$(I4'(B) ; C03-I-3427
(ucs-set-char #x9009 ?$(I4&(B) ; C03-I-3426
(ucs-set-char #x9009 ?$AQ!(B) ; GB0-A-5121
(ucs-set-char #x900A ?$AQ7(B) ; GB0-A-5137
(ucs-set-char #x900B ?$(Cxg(B) ; KS0-C-7867
(ucs-set-char #x900B ?$(H9f(B) ; C02-H-3966
(ucs-set-char #x900B ?$@my(B) ; J78-@-6D79
(ucs-set-char #x900B ?$AeM(B) ; GB0-A-654D
(ucs-set-char #x900B ?$Bmy(B) ; J83-B-6D79
(ucs-set-char #x900C ?$(DaN(B) ; J90-D-614E
(ucs-set-char #x900C ?$(H9i(B) ; C02-H-3969
(ucs-set-char #x900D ?$(CaN(B) ; KS0-C-614E
(ucs-set-char #x900D ?$(G]V(B) ; C01-G-5D56
(ucs-set-char #x900D ?$@mv(B) ; J78-@-6D76
(ucs-set-char #x900D ?$AeP(B) ; GB0-A-6550
(ucs-set-char #x900D ?$Bmv(B) ; J83-B-6D76
(ucs-set-char #x900E ?$(I9K(B) ; C03-I-394B
(ucs-set-char #x900E ?$@n%(B) ; J78-@-6E25
(ucs-set-char #x900E ?$Bn%(B) ; J83-B-6E25
(ucs-set-char #x900F ?$(Cwb(B) ; KS0-C-7762
(ucs-set-char #x900F ?$(G]`(B) ; C01-G-5D60
(ucs-set-char #x900F ?$@F)(B) ; J78-@-4629
(ucs-set-char #x900F ?$AM8(B) ; GB0-A-4D38
(ucs-set-char #x900F ?$BF)(B) ; J83-B-4629
(ucs-set-char #x9010 ?$(Cuo(B) ; KS0-C-756F
(ucs-set-char #x9010 ?$(G]\(B) ; C01-G-5D5C
(ucs-set-char #x9010 ?$@C`(B) ; J78-@-4360
(ucs-set-char #x9010 ?$AVp(B) ; GB0-A-5670
(ucs-set-char #x9010 ?$BC`(B) ; J83-B-4360
(ucs-set-char #x9011 ?$(COG(B) ; KS0-C-4F47
(ucs-set-char #x9011 ?$(H9g(B) ; C02-H-3967
(ucs-set-char #x9011 ?$@ms(B) ; J78-@-6D73
(ucs-set-char #x9011 ?$AeO(B) ; GB0-A-654F
(ucs-set-char #x9011 ?$Bms(B) ; J83-B-6D73
(ucs-set-char #x9012 ?$(I9J(B) ; C03-I-394A
(ucs-set-char #x9012 ?$A5](B) ; GB0-A-355D
(ucs-set-char #x9013 ?$(I9N(B) ; C03-I-394E
(ucs-set-char #x9013 ?$@D~(B) ; J78-@-447E
(ucs-set-char #x9013 ?$BD~(B) ; J83-B-447E
(ucs-set-char #x9014 ?$(CT2(B) ; KS0-C-5432
(ucs-set-char #x9014 ?$(G]d(B) ; C01-G-5D64
(ucs-set-char #x9014 ?$@ES(B) ; J78-@-4553
(ucs-set-char #x9014 ?$AM>(B) ; GB0-A-4D3E
(ucs-set-char #x9014 ?$BES(B) ; J83-B-4553
(ucs-set-char #x9015 ?$(CLo(B) ; KS0-C-4C6F
(ucs-set-char #x9015 ?$(G]](B) ; C01-G-5D5D
(ucs-set-char #x9015 ?$@mt(B) ; J78-@-6D74
(ucs-set-char #x9015 ?$Bmt(B) ; J83-B-6D74
(ucs-set-char #x9016 ?$(G]b(B) ; C01-G-5D62
(ucs-set-char #x9016 ?$@mx(B) ; J78-@-6D78
(ucs-set-char #x9016 ?$AeQ(B) ; GB0-A-6551
(ucs-set-char #x9016 ?$Bmx(B) ; J83-B-6D78
(ucs-set-char #x9017 ?$(CTh(B) ; KS0-C-5468
(ucs-set-char #x9017 ?$(G]X(B) ; C01-G-5D58
(ucs-set-char #x9017 ?$@?`(B) ; J78-@-3F60
(ucs-set-char #x9017 ?$A6:(B) ; GB0-A-363A
(ucs-set-char #x9017 ?$B?`(B) ; J83-B-3F60
(ucs-set-char #x9018 ?$(DaO(B) ; J90-D-614F
(ucs-set-char #x9018 ?$(J5h(B) ; C04-J-3568
(ucs-set-char #x9019 ?$(CnO(B) ; KS0-C-6E4F
(ucs-set-char #x9019 ?$(G]U(B) ; C01-G-5D55
(ucs-set-char #x9019 ?$@Gg(B) ; J78-@-4767
(ucs-set-char #x9019 ?$BGg(B) ; J83-B-4767
(ucs-set-char #x901A ?$(CwW(B) ; KS0-C-7757
(ucs-set-char #x901A ?$(G]W(B) ; C01-G-5D57
(ucs-set-char #x901A ?$@DL(B) ; J78-@-444C
(ucs-set-char #x901A ?$AM((B) ; GB0-A-4D28
(ucs-set-char #x901A ?$BDL(B) ; J83-B-444C
(ucs-set-char #x901B ?$(DaP(B) ; J90-D-6150
(ucs-set-char #x901B ?$(G]c(B) ; C01-G-5D63
(ucs-set-char #x901B ?$A9d(B) ; GB0-A-3964
(ucs-set-char #x901C ?$(H9h(B) ; C02-H-3968
(ucs-set-char #x901D ?$(C`&(B) ; KS0-C-6026
(ucs-set-char #x901D ?$(G][(B) ; C01-G-5D5B
(ucs-set-char #x901D ?$@@B(B) ; J78-@-4042
(ucs-set-char #x901D ?$AJE(B) ; GB0-A-4A45
(ucs-set-char #x901D ?$B@B(B) ; J83-B-4042
(ucs-set-char #x901E ?$(CVA(B) ; KS0-C-5641
(ucs-set-char #x901E ?$(G]^(B) ; C01-G-5D5E
(ucs-set-char #x901E ?$@mw(B) ; J78-@-6D77
(ucs-set-char #x901E ?$A3Q(B) ; GB0-A-3351
(ucs-set-char #x901E ?$Bmw(B) ; J83-B-6D77
(ucs-set-char #x901F ?$(Ca\(B) ; KS0-C-615C
(ucs-set-char #x901F ?$(G]Z(B) ; C01-G-5D5A
(ucs-set-char #x901F ?$@B.(B) ; J78-@-422E
(ucs-set-char #x901F ?$AKY(B) ; GB0-A-4B59
(ucs-set-char #x901F ?$BB.(B) ; J83-B-422E
(ucs-set-char #x9020 ?$(Cpc(B) ; KS0-C-7063
(ucs-set-char #x9020 ?$(G]_(B) ; C01-G-5D5F
(ucs-set-char #x9020 ?$@B$(B) ; J78-@-4224
(ucs-set-char #x9020 ?$ATl(B) ; GB0-A-546C
(ucs-set-char #x9020 ?$BB$(B) ; J83-B-4224
(ucs-set-char #x9021 ?$(Cqd(B) ; KS0-C-7164
(ucs-set-char #x9021 ?$(H9j(B) ; C02-H-396A
(ucs-set-char #x9021 ?$@mu(B) ; J78-@-6D75
(ucs-set-char #x9021 ?$AeR(B) ; GB0-A-6552
(ucs-set-char #x9021 ?$Bmu(B) ; J83-B-6D75
(ucs-set-char #x9022 ?$(C\q(B) ; KS0-C-5C71
(ucs-set-char #x9022 ?$(G]a(B) ; C01-G-5D61
(ucs-set-char #x9022 ?$@0)(B) ; J78-@-3029
(ucs-set-char #x9022 ?$A7j(B) ; GB0-A-376A
(ucs-set-char #x9022 ?$B0)(B) ; J83-B-3029
(ucs-set-char #x9023 ?$(CV'(B) ; KS0-C-5627
(ucs-set-char #x9023 ?$(G]Y(B) ; C01-G-5D59
(ucs-set-char #x9023 ?$@O"(B) ; J78-@-4F22
(ucs-set-char #x9023 ?$BO"(B) ; J83-B-4F22
(ucs-set-char #x9024 ?$(H9e(B) ; C02-H-3965
(ucs-set-char #x9025 ?$(I9L(B) ; C03-I-394C
(ucs-set-char #x9026 ?$AeN(B) ; GB0-A-654E
(ucs-set-char #x9027 ?$@mz(B) ; J78-@-6D7A
(ucs-set-char #x9027 ?$Bmz(B) ; J83-B-6D7A
(ucs-set-char #x9028 ?$(DaQ(B) ; J90-D-6151
(ucs-set-char #x9028 ?$(I?O(B) ; C03-I-3F4F
(ucs-set-char #x9029 ?$(DaR(B) ; J90-D-6152
(ucs-set-char #x9029 ?$(I?P(B) ; C03-I-3F50
(ucs-set-char #x902A ?$(DaT(B) ; J90-D-6154
(ucs-set-char #x902A ?$(I?M(B) ; C03-I-3F4D
(ucs-set-char #x902B ?$(I?L(B) ; C03-I-3F4C
(ucs-set-char #x902C ?$(DaU(B) ; J90-D-6155
(ucs-set-char #x902C ?$(I?Q(B) ; C03-I-3F51
(ucs-set-char #x902D ?$(DaV(B) ; J90-D-6156
(ucs-set-char #x902D ?$(H@r(B) ; C02-H-4072
(ucs-set-char #x902D ?$AeU(B) ; GB0-A-6555
(ucs-set-char #x902E ?$(Ctu(B) ; KS0-C-7475
(ucs-set-char #x902E ?$(GbL(B) ; C01-G-624C
(ucs-set-char #x902E ?$@Ba(B) ; J78-@-4261
(ucs-set-char #x902E ?$A4~(B) ; GB0-A-347E
(ucs-set-char #x902E ?$BBa(B) ; J83-B-4261
(ucs-set-char #x902F ?$(DaS(B) ; J90-D-6153
(ucs-set-char #x902F ?$(H@t(B) ; C02-H-4074
(ucs-set-char #x902F ?$AeV(B) ; GB0-A-6556
(ucs-set-char #x9030 ?$(I?U(B) ; C03-I-3F55
(ucs-set-char #x9031 ?$(CqN(B) ; KS0-C-714E
(ucs-set-char #x9031 ?$(GbN(B) ; C01-G-624E
(ucs-set-char #x9031 ?$@=5(B) ; J78-@-3D35
(ucs-set-char #x9031 ?$B=5(B) ; J83-B-3D35
(ucs-set-char #x9032 ?$(Crd(B) ; KS0-C-7264
(ucs-set-char #x9032 ?$(GbP(B) ; C01-G-6250
(ucs-set-char #x9032 ?$@?J(B) ; J78-@-3F4A
(ucs-set-char #x9032 ?$B?J(B) ; J83-B-3F4A
(ucs-set-char #x9033 ?$(DaW(B) ; J90-D-6157
(ucs-set-char #x9033 ?$(J5f(B) ; C04-J-3566
(ucs-set-char #x9034 ?$(DaX(B) ; J90-D-6158
(ucs-set-char #x9034 ?$(H@s(B) ; C02-H-4073
(ucs-set-char #x9035 ?$(CP0(B) ; KS0-C-5030
(ucs-set-char #x9035 ?$(GbM(B) ; C01-G-624D
(ucs-set-char #x9035 ?$@m|(B) ; J78-@-6D7C
(ucs-set-char #x9035 ?$AeS(B) ; GB0-A-6553
(ucs-set-char #x9035 ?$Bm|(B) ; J83-B-6D7C
(ucs-set-char #x9036 ?$(GbQ(B) ; C01-G-6251
(ucs-set-char #x9036 ?$@m{(B) ; J78-@-6D7B
(ucs-set-char #x9036 ?$AeT(B) ; GB0-A-6554
(ucs-set-char #x9036 ?$Bm{(B) ; J83-B-6D7B
(ucs-set-char #x9037 ?$(DaY(B) ; J90-D-6159
(ucs-set-char #x9037 ?$(I?V(B) ; C03-I-3F56
(ucs-set-char #x9038 ?$(Clo(B) ; KS0-C-6C6F
(ucs-set-char #x9038 ?$(GbO(B) ; C01-G-624F
(ucs-set-char #x9038 ?$@0o(B) ; J78-@-306F
(ucs-set-char #x9038 ?$AR](B) ; GB0-A-525D
(ucs-set-char #x9038 ?$B0o(B) ; J83-B-306F
(ucs-set-char #x9039 ?$@m}(B) ; J78-@-6D7D
(ucs-set-char #x9039 ?$Bm}(B) ; J83-B-6D7D
(ucs-set-char #x903A ?$(I?T(B) ; C03-I-3F54
(ucs-set-char #x903B ?$(I?W(B) ; C03-I-3F57
(ucs-set-char #x903B ?$AB_(B) ; GB0-A-425F
(ucs-set-char #x903C ?$(Cy:(B) ; KS0-C-793A
(ucs-set-char #x903C ?$(Gg/(B) ; C01-G-672F
(ucs-set-char #x903C ?$@I/(B) ; J78-@-492F
(ucs-set-char #x903C ?$A1F(B) ; GB0-A-3146
(ucs-set-char #x903C ?$BI/(B) ; J83-B-492F
(ucs-set-char #x903D ?$(HH)(B) ; C02-H-4829
(ucs-set-char #x903E ?$(Ck5(B) ; KS0-C-6B35
(ucs-set-char #x903E ?$(Gg7(B) ; C01-G-6737
(ucs-set-char #x903E ?$@n'(B) ; J78-@-6E27
(ucs-set-char #x903E ?$ASb(B) ; GB0-A-5362
(ucs-set-char #x903E ?$Bn'(B) ; J83-B-6E27
(ucs-set-char #x903F ?$(DaZ(B) ; J90-D-615A
(ucs-set-char #x903F ?$(HH&(B) ; C02-H-4826
(ucs-set-char #x9040 ?$(ID}(B) ; C03-I-447D
(ucs-set-char #x9041 ?$(CTm(B) ; KS0-C-546D
(ucs-set-char #x9041 ?$(Gg8(B) ; C01-G-6738
(ucs-set-char #x9041 ?$@F[(B) ; J78-@-465B
(ucs-set-char #x9041 ?$A6](B) ; GB0-A-365D
(ucs-set-char #x9041 ?$BF[(B) ; J83-B-465B
(ucs-set-char #x9042 ?$(CbD(B) ; KS0-C-6244
(ucs-set-char #x9042 ?$(Gg-(B) ; C01-G-672D
(ucs-set-char #x9042 ?$@?k(B) ; J78-@-3F6B
(ucs-set-char #x9042 ?$AKl(B) ; GB0-A-4B6C
(ucs-set-char #x9042 ?$B?k(B) ; J83-B-3F6B
(ucs-set-char #x9043 ?$(Da[(B) ; J90-D-615B
(ucs-set-char #x9043 ?$(IDy(B) ; C03-I-4479
(ucs-set-char #x9044 ?$(Da\(B) ; J90-D-615C
(ucs-set-char #x9044 ?$(HH'(B) ; C02-H-4827
(ucs-set-char #x9044 ?$AeW(B) ; GB0-A-6557
(ucs-set-char #x9045 ?$(ID|(B) ; C03-I-447C
(ucs-set-char #x9045 ?$@CY(B) ; J78-@-4359
(ucs-set-char #x9045 ?$BCY(B) ; J83-B-4359
(ucs-set-char #x9046 ?$(IDz(B) ; C03-I-447A
(ucs-set-char #x9047 ?$(Cig(B) ; KS0-C-6967
(ucs-set-char #x9047 ?$(Gg2(B) ; C01-G-6732
(ucs-set-char #x9047 ?$@6x(B) ; J78-@-3678
(ucs-set-char #x9047 ?$ASv(B) ; GB0-A-5376
(ucs-set-char #x9047 ?$B6x(B) ; J83-B-3678
(ucs-set-char #x9048 ?$(ID{(B) ; C03-I-447B
(ucs-set-char #x9049 ?$(HH((B) ; C02-H-4828
(ucs-set-char #x9049 ?$@n&(B) ; J78-@-6E26
(ucs-set-char #x9049 ?$Bn&(B) ; J83-B-6E26
(ucs-set-char #x904A ?$(Ck4(B) ; KS0-C-6B34
(ucs-set-char #x904A ?$(Gg+(B) ; C01-G-672B
(ucs-set-char #x904A ?$@M7(B) ; J78-@-4D37
(ucs-set-char #x904A ?$BM7(B) ; J83-B-4D37
(ucs-set-char #x904B ?$(Cj!(B) ; KS0-C-6A21
(ucs-set-char #x904B ?$(Gg*(B) ; C01-G-672A
(ucs-set-char #x904B ?$@1?(B) ; J78-@-313F
(ucs-set-char #x904B ?$B1?(B) ; J83-B-313F
(ucs-set-char #x904C ?$(Da](B) ; J90-D-615D
(ucs-set-char #x904C ?$(ID~(B) ; C03-I-447E
(ucs-set-char #x904D ?$(Cx<(B) ; KS0-C-783C
(ucs-set-char #x904D ?$(Gg5(B) ; C01-G-6735
(ucs-set-char #x904D ?$@JW(B) ; J78-@-4A57
(ucs-set-char #x904D ?$A1i(B) ; GB0-A-3169
(ucs-set-char #x904D ?$BJW(B) ; J83-B-4A57
(ucs-set-char #x904E ?$(CN&(B) ; KS0-C-4E26
(ucs-set-char #x904E ?$(Gg4(B) ; C01-G-6734
(ucs-set-char #x904E ?$@2a(B) ; J78-@-3261
(ucs-set-char #x904E ?$B2a(B) ; J83-B-3261
(ucs-set-char #x904F ?$(Gg3(B) ; C01-G-6733
(ucs-set-char #x904F ?$@n!(B) ; J78-@-6E21
(ucs-set-char #x904F ?$A6t(B) ; GB0-A-3674
(ucs-set-char #x904F ?$Bn!(B) ; J83-B-6E21
(ucs-set-char #x9050 ?$(CyF(B) ; KS0-C-7946
(ucs-set-char #x9050 ?$(Gg1(B) ; C01-G-6731
(ucs-set-char #x9050 ?$@n"(B) ; J78-@-6E22
(ucs-set-char #x9050 ?$AeZ(B) ; GB0-A-655A
(ucs-set-char #x9050 ?$Bn"(B) ; J83-B-6E22
(ucs-set-char #x9051 ?$(C|Z(B) ; KS0-C-7C5A
(ucs-set-char #x9051 ?$(Gg6(B) ; C01-G-6736
(ucs-set-char #x9051 ?$@n#(B) ; J78-@-6E23
(ucs-set-char #x9051 ?$AeX(B) ; GB0-A-6558
(ucs-set-char #x9051 ?$Bn#(B) ; J83-B-6E23
(ucs-set-char #x9052 ?$(HH%(B) ; C02-H-4825
(ucs-set-char #x9052 ?$@n$(B) ; J78-@-6E24
(ucs-set-char #x9052 ?$AeY(B) ; GB0-A-6559
(ucs-set-char #x9052 ?$Bn$(B) ; J83-B-6E24
(ucs-set-char #x9053 ?$(CT3(B) ; KS0-C-5433
(ucs-set-char #x9053 ?$(Gg,(B) ; C01-G-672C
(ucs-set-char #x9053 ?$@F;(B) ; J78-@-463B
(ucs-set-char #x9053 ?$A5@(B) ; GB0-A-3540
(ucs-set-char #x9053 ?$BF;(B) ; J83-B-463B
(ucs-set-char #x9054 ?$(CS9(B) ; KS0-C-5339
(ucs-set-char #x9054 ?$(Gg.(B) ; C01-G-672E
(ucs-set-char #x9054 ?$@C#(B) ; J78-@-4323
(ucs-set-char #x9054 ?$BC#(B) ; J83-B-4323
(ucs-set-char #x9055 ?$(Cj^(B) ; KS0-C-6A5E
(ucs-set-char #x9055 ?$(Gg0(B) ; C01-G-6730
(ucs-set-char #x9055 ?$@0c(B) ; J78-@-3063
(ucs-set-char #x9055 ?$B0c(B) ; J83-B-3063
(ucs-set-char #x9056 ?$@n((B) ; J78-@-6E28
(ucs-set-char #x9056 ?$Bn((B) ; J83-B-6E28
(ucs-set-char #x9057 ?$ARE(B) ; GB0-A-5245
(ucs-set-char #x9058 ?$(Gk@(B) ; C01-G-6B40
(ucs-set-char #x9058 ?$@n)(B) ; J78-@-6E29
(ucs-set-char #x9058 ?$Ae\(B) ; GB0-A-655C
(ucs-set-char #x9058 ?$Bn)(B) ; J83-B-6E29
(ucs-set-char #x9059 ?$(Ci+(B) ; KS0-C-692B
(ucs-set-char #x9059 ?$(GkC(B) ; C01-G-6B43
(ucs-set-char #x9059 ?$@MZ(B) ; J78-@-4D5A
(ucs-set-char #x9059 ?$Bt#(B) ; J83-B-7423
(ucs-set-char #x905A ?$(IJ$(B) ; C03-I-4A24
(ucs-set-char #x905B ?$(Da^(B) ; J90-D-615E
(ucs-set-char #x905B ?$(GkG(B) ; C01-G-6B47
(ucs-set-char #x905B ?$Ae^(B) ; GB0-A-655E
(ucs-set-char #x905C ?$(Caa(B) ; KS0-C-6161
(ucs-set-char #x905C ?$(GkA(B) ; C01-G-6B41
(ucs-set-char #x905C ?$@B=(B) ; J78-@-423D
(ucs-set-char #x905C ?$BB=(B) ; J83-B-423D
(ucs-set-char #x905D ?$(CSO(B) ; KS0-C-534F
(ucs-set-char #x905D ?$(Da_(B) ; J90-D-615F
(ucs-set-char #x905D ?$(GkF(B) ; C01-G-6B46
(ucs-set-char #x905E ?$(Ctv(B) ; KS0-C-7476
(ucs-set-char #x905E ?$(GkD(B) ; C01-G-6B44
(ucs-set-char #x905E ?$@n*(B) ; J78-@-6E2A
(ucs-set-char #x905E ?$Bn*(B) ; J83-B-6E2A
(ucs-set-char #x905F ?$(IJ'(B) ; C03-I-4A27
(ucs-set-char #x9060 ?$(Cj@(B) ; KS0-C-6A40
(ucs-set-char #x9060 ?$(Gk?(B) ; C01-G-6B3F
(ucs-set-char #x9060 ?$@1s(B) ; J78-@-3173
(ucs-set-char #x9060 ?$B1s(B) ; J83-B-3173
(ucs-set-char #x9061 ?$(CaO(B) ; KS0-C-614F
(ucs-set-char #x9061 ?$(IJ&(B) ; C03-I-4A26
(ucs-set-char #x9061 ?$@AL(B) ; J78-@-414C
(ucs-set-char #x9061 ?$BAL(B) ; J83-B-414C
(ucs-set-char #x9062 ?$(Da`(B) ; J90-D-6160
(ucs-set-char #x9062 ?$(GkE(B) ; C01-G-6B45
(ucs-set-char #x9062 ?$Ae](B) ; GB0-A-655D
(ucs-set-char #x9063 ?$(CL:(B) ; KS0-C-4C3A
(ucs-set-char #x9063 ?$(GkB(B) ; C01-G-6B42
(ucs-set-char #x9063 ?$@8/(B) ; J78-@-382F
(ucs-set-char #x9063 ?$AG2(B) ; GB0-A-4732
(ucs-set-char #x9063 ?$B8/(B) ; J83-B-382F
(ucs-set-char #x9065 ?$AR#(B) ; GB0-A-5223
(ucs-set-char #x9065 ?$BMZ(B) ; J83-B-4D5A
(ucs-set-char #x9066 ?$(Daa(B) ; J90-D-6161
(ucs-set-char #x9066 ?$(JN2(B) ; C04-J-4E32
(ucs-set-char #x9067 ?$(Dab(B) ; J90-D-6162
(ucs-set-char #x9067 ?$(HTz(B) ; C02-H-547A
(ucs-set-char #x9068 ?$(GoM(B) ; C01-G-6F4D
(ucs-set-char #x9068 ?$@n+(B) ; J78-@-6E2B
(ucs-set-char #x9068 ?$Ae[(B) ; GB0-A-655B
(ucs-set-char #x9068 ?$Bn+(B) ; J83-B-6E2B
(ucs-set-char #x9069 ?$(Cnj(B) ; KS0-C-6E6A
(ucs-set-char #x9069 ?$(GoK(B) ; C01-G-6F4B
(ucs-set-char #x9069 ?$@E,(B) ; J78-@-452C
(ucs-set-char #x9069 ?$BE,(B) ; J83-B-452C
(ucs-set-char #x906A ?$(IO<(B) ; C03-I-4F3C
(ucs-set-char #x906B ?$(HT{(B) ; C02-H-547B
(ucs-set-char #x906C ?$(Dac(B) ; J90-D-6163
(ucs-set-char #x906C ?$(JN3(B) ; C04-J-4E33
(ucs-set-char #x906D ?$(Cpd(B) ; KS0-C-7064
(ucs-set-char #x906D ?$(GoN(B) ; C01-G-6F4E
(ucs-set-char #x906D ?$@Ax(B) ; J78-@-4178
(ucs-set-char #x906D ?$ATb(B) ; GB0-A-5462
(ucs-set-char #x906D ?$BAx(B) ; J83-B-4178
(ucs-set-char #x906E ?$(Cs4(B) ; KS0-C-7334
(ucs-set-char #x906E ?$(GoL(B) ; C01-G-6F4C
(ucs-set-char #x906E ?$@<W(B) ; J78-@-3C57
(ucs-set-char #x906E ?$AUZ(B) ; GB0-A-555A
(ucs-set-char #x906E ?$B<W(B) ; J83-B-3C57
(ucs-set-char #x906F ?$(CTn(B) ; KS0-C-546E
(ucs-set-char #x906F ?$(HTy(B) ; C02-H-5479
(ucs-set-char #x906F ?$@n,(B) ; J78-@-6E2C
(ucs-set-char #x906F ?$Bn,(B) ; J83-B-6E2C
(ucs-set-char #x9070 ?$(Dad(B) ; J90-D-6164
(ucs-set-char #x9070 ?$(HTx(B) ; C02-H-5478
(ucs-set-char #x9071 ?$(IO;(B) ; C03-I-4F3B
(ucs-set-char #x9072 ?$(Cr@(B) ; KS0-C-7240
(ucs-set-char #x9072 ?$(GrZ(B) ; C01-G-725A
(ucs-set-char #x9072 ?$@n/(B) ; J78-@-6E2F
(ucs-set-char #x9072 ?$Bn/(B) ; J83-B-6E2F
(ucs-set-char #x9073 ?$(HTw(B) ; C02-H-5477
(ucs-set-char #x9074 ?$(Dae(B) ; J90-D-6165
(ucs-set-char #x9074 ?$(GrX(B) ; C01-G-7258
(ucs-set-char #x9074 ?$Ae`(B) ; GB0-A-6560
(ucs-set-char #x9075 ?$(Cqe(B) ; KS0-C-7165
(ucs-set-char #x9075 ?$(GrW(B) ; C01-G-7257
(ucs-set-char #x9075 ?$@=e(B) ; J78-@-3D65
(ucs-set-char #x9075 ?$AWq(B) ; GB0-A-5771
(ucs-set-char #x9075 ?$B=e(B) ; J83-B-3D65
(ucs-set-char #x9076 ?$(HZ|(B) ; C02-H-5A7C
(ucs-set-char #x9076 ?$@n-(B) ; J78-@-6E2D
(ucs-set-char #x9076 ?$Bn-(B) ; J83-B-6E2D
(ucs-set-char #x9077 ?$(CtC(B) ; KS0-C-7443
(ucs-set-char #x9077 ?$(GoO(B) ; C01-G-6F4F
(ucs-set-char #x9077 ?$@A+(B) ; J78-@-412B
(ucs-set-char #x9077 ?$BA+(B) ; J83-B-412B
(ucs-set-char #x9078 ?$(C`T(B) ; KS0-C-6054
(ucs-set-char #x9078 ?$(GrY(B) ; C01-G-7259
(ucs-set-char #x9078 ?$@A*(B) ; J78-@-412A
(ucs-set-char #x9078 ?$BA*(B) ; J83-B-412A
(ucs-set-char #x9079 ?$(Daf(B) ; J90-D-6166
(ucs-set-char #x9079 ?$(HZ}(B) ; C02-H-5A7D
(ucs-set-char #x907A ?$(Ck6(B) ; KS0-C-6B36
(ucs-set-char #x907A ?$(Gr\(B) ; C01-G-725C
(ucs-set-char #x907A ?$@0d(B) ; J78-@-3064
(ucs-set-char #x907A ?$B0d(B) ; J83-B-3064
(ucs-set-char #x907B ?$(HZ~(B) ; C02-H-5A7E
(ucs-set-char #x907C ?$(CW!(B) ; KS0-C-5721
(ucs-set-char #x907C ?$(Gr[(B) ; C01-G-725B
(ucs-set-char #x907C ?$@NK(B) ; J78-@-4E4B
(ucs-set-char #x907C ?$BNK(B) ; J83-B-4E4B
(ucs-set-char #x907D ?$(CKh(B) ; KS0-C-4B68
(ucs-set-char #x907D ?$(Guc(B) ; C01-G-7563
(ucs-set-char #x907D ?$@n1(B) ; J78-@-6E31
(ucs-set-char #x907D ?$Aea(B) ; GB0-A-6561
(ucs-set-char #x907D ?$Bn1(B) ; J83-B-6E31
(ucs-set-char #x907E ?$(H_o(B) ; C02-H-5F6F
(ucs-set-char #x907F ?$(Cy-(B) ; KS0-C-792D
(ucs-set-char #x907F ?$(Gub(B) ; C01-G-7562
(ucs-set-char #x907F ?$@Hr(B) ; J78-@-4872
(ucs-set-char #x907F ?$A1\(B) ; GB0-A-315C
(ucs-set-char #x907F ?$BHr(B) ; J83-B-4872
(ucs-set-char #x9080 ?$(Ci-(B) ; KS0-C-692D
(ucs-set-char #x9080 ?$(Gug(B) ; C01-G-7567
(ucs-set-char #x9080 ?$@n3(B) ; J78-@-6E33
(ucs-set-char #x9080 ?$AQ{(B) ; GB0-A-517B
(ucs-set-char #x9080 ?$Bn3(B) ; J83-B-6E33
(ucs-set-char #x9081 ?$(CXd(B) ; KS0-C-5864
(ucs-set-char #x9081 ?$(Gue(B) ; C01-G-7565
(ucs-set-char #x9081 ?$@n2(B) ; J78-@-6E32
(ucs-set-char #x9081 ?$Bn2(B) ; J83-B-6E32
(ucs-set-char #x9082 ?$(Cz3(B) ; KS0-C-7A33
(ucs-set-char #x9082 ?$(Guf(B) ; C01-G-7566
(ucs-set-char #x9082 ?$@n0(B) ; J78-@-6E30
(ucs-set-char #x9082 ?$Aeb(B) ; GB0-A-6562
(ucs-set-char #x9082 ?$Bn0(B) ; J83-B-6E30
(ucs-set-char #x9083 ?$(CbE(B) ; KS0-C-6245
(ucs-set-char #x9083 ?$(GwN(B) ; C01-G-774E
(ucs-set-char #x9083 ?$@cd(B) ; J78-@-6364
(ucs-set-char #x9083 ?$Aed(B) ; GB0-A-6564
(ucs-set-char #x9083 ?$Bcd(B) ; J83-B-6364
(ucs-set-char #x9084 ?$(C|=(B) ; KS0-C-7C3D
(ucs-set-char #x9084 ?$(Gud(B) ; C01-G-7564
(ucs-set-char #x9084 ?$@4T(B) ; J78-@-3454
(ucs-set-char #x9084 ?$B4T(B) ; J83-B-3454
(ucs-set-char #x9085 ?$(Dag(B) ; J90-D-6167
(ucs-set-char #x9085 ?$(H_n(B) ; C02-H-5F6E
(ucs-set-char #x9086 ?$(H[!(B) ; C02-H-5B21
(ucs-set-char #x9087 ?$(ClD(B) ; KS0-C-6C44
(ucs-set-char #x9087 ?$(GwM(B) ; C01-G-774D
(ucs-set-char #x9087 ?$@Fv(B) ; J78-@-4676
(ucs-set-char #x9087 ?$Bmn(B) ; J83-B-6D6E
(ucs-set-char #x9088 ?$(CX1(B) ; KS0-C-5831
(ucs-set-char #x9088 ?$(Dah(B) ; J90-D-6168
(ucs-set-char #x9088 ?$(GwO(B) ; C01-G-774F
(ucs-set-char #x9088 ?$Aec(B) ; GB0-A-6563
(ucs-set-char #x9089 ?$(IY:(B) ; C03-I-593A
(ucs-set-char #x9089 ?$@n5(B) ; J78-@-6E35
(ucs-set-char #x9089 ?$Bn5(B) ; J83-B-6E35
(ucs-set-char #x908A ?$(C\+(B) ; KS0-C-5C2B
(ucs-set-char #x908A ?$(Gy1(B) ; C01-G-7931
(ucs-set-char #x908A ?$@n4(B) ; J78-@-6E34
(ucs-set-char #x908A ?$Bn4(B) ; J83-B-6E34
(ucs-set-char #x908B ?$(Dai(B) ; J90-D-6169
(ucs-set-char #x908B ?$(Gy2(B) ; C01-G-7932
(ucs-set-char #x908B ?$Aee(B) ; GB0-A-6565
(ucs-set-char #x908C ?$(Daj(B) ; J90-D-616A
(ucs-set-char #x908C ?$(Ja_(B) ; C04-J-615F
(ucs-set-char #x908D ?$(Hj.(B) ; C02-H-6A2E
(ucs-set-char #x908E ?$(Dak(B) ; J90-D-616B
(ucs-set-char #x908E ?$(JiR(B) ; C04-J-6952
(ucs-set-char #x908F ?$(CU$(B) ; KS0-C-5524
(ucs-set-char #x908F ?$(G|J(B) ; C01-G-7C4A
(ucs-set-char #x908F ?$@n6(B) ; J78-@-6E36
(ucs-set-char #x908F ?$Bn6(B) ; J83-B-6E36
(ucs-set-char #x9090 ?$(Dal(B) ; J90-D-616C
(ucs-set-char #x9090 ?$(G|I(B) ; C01-G-7C49
(ucs-set-char #x9091 ?$(Cki(B) ; KS0-C-6B69
(ucs-set-char #x9091 ?$(GKW(B) ; C01-G-4B57
(ucs-set-char #x9091 ?$@M8(B) ; J78-@-4D38
(ucs-set-char #x9091 ?$ARX(B) ; GB0-A-5258
(ucs-set-char #x9091 ?$BM8(B) ; J83-B-4D38
(ucs-set-char #x9092 ?$(I"^(B) ; C03-I-225E
(ucs-set-char #x9093 ?$(I"](B) ; C03-I-225D
(ucs-set-char #x9093 ?$A5K(B) ; GB0-A-354B
(ucs-set-char #x9094 ?$(H"u(B) ; C02-H-2275
(ucs-set-char #x9095 ?$(Ch;(B) ; KS0-C-683B
(ucs-set-char #x9095 ?$(Dam(B) ; J90-D-616D
(ucs-set-char #x9095 ?$(GXT(B) ; C01-G-5854
(ucs-set-char #x9095 ?$Ag_(B) ; GB0-A-675F
(ucs-set-char #x9096 ?$(I$<(B) ; C03-I-243C
(ucs-set-char #x9097 ?$(Dan(B) ; J90-D-616E
(ucs-set-char #x9097 ?$(H"r(B) ; C02-H-2272
(ucs-set-char #x9097 ?$AZu(B) ; GB0-A-5A75
(ucs-set-char #x9098 ?$(Dao(B) ; J90-D-616F
(ucs-set-char #x9098 ?$(H"s(B) ; C02-H-2273
(ucs-set-char #x9099 ?$(CXW(B) ; KS0-C-5857
(ucs-set-char #x9099 ?$(Dap(B) ; J90-D-6170
(ucs-set-char #x9099 ?$(H"q(B) ; C02-H-2271
(ucs-set-char #x9099 ?$AZx(B) ; GB0-A-5A78
(ucs-set-char #x909A ?$(I$=(B) ; C03-I-243D
(ucs-set-char #x909B ?$(Daq(B) ; J90-D-6171
(ucs-set-char #x909B ?$(H"t(B) ; C02-H-2274
(ucs-set-char #x909B ?$AZv(B) ; GB0-A-5A76
(ucs-set-char #x909D ?$AZw(B) ; GB0-A-5A77
(ucs-set-char #x909E ?$(H%*(B) ; C02-H-252A
(ucs-set-char #x909F ?$(H%'(B) ; C02-H-2527
(ucs-set-char #x90A0 ?$(Dar(B) ; J90-D-6172
(ucs-set-char #x90A0 ?$(H%,(B) ; C02-H-252C
(ucs-set-char #x90A1 ?$(Das(B) ; J90-D-6173
(ucs-set-char #x90A1 ?$(H%((B) ; C02-H-2528
(ucs-set-char #x90A1 ?$AZz(B) ; GB0-A-5A7A
(ucs-set-char #x90A2 ?$(C{.(B) ; KS0-C-7B2E
(ucs-set-char #x90A2 ?$(Dat(B) ; J90-D-6174
(ucs-set-char #x90A2 ?$(GKX(B) ; C01-G-4B58
(ucs-set-char #x90A2 ?$APO(B) ; GB0-A-504F
(ucs-set-char #x90A3 ?$(CQa(B) ; KS0-C-5161
(ucs-set-char #x90A3 ?$(GK[(B) ; C01-G-4B5B
(ucs-set-char #x90A3 ?$@Fa(B) ; J78-@-4661
(ucs-set-char #x90A3 ?$ADG(B) ; GB0-A-4447
(ucs-set-char #x90A3 ?$BFa(B) ; J83-B-4661
(ucs-set-char #x90A4 ?$(I'5(B) ; C03-I-2735
(ucs-set-char #x90A5 ?$(Dau(B) ; J90-D-6175
(ucs-set-char #x90A5 ?$(H%)(B) ; C02-H-2529
(ucs-set-char #x90A6 ?$(C[@(B) ; KS0-C-5B40
(ucs-set-char #x90A6 ?$(GKZ(B) ; C01-G-4B5A
(ucs-set-char #x90A6 ?$@K.(B) ; J78-@-4B2E
(ucs-set-char #x90A6 ?$A0n(B) ; GB0-A-306E
(ucs-set-char #x90A6 ?$BK.(B) ; J83-B-4B2E
(ucs-set-char #x90A7 ?$(H%+(B) ; C02-H-252B
(ucs-set-char #x90A8 ?$(Cu>(B) ; KS0-C-753E
(ucs-set-char #x90A8 ?$(I'9(B) ; C03-I-2739
(ucs-set-char #x90A8 ?$@n7(B) ; J78-@-6E37
(ucs-set-char #x90A8 ?$Bn7(B) ; J83-B-6E37
(ucs-set-char #x90A9 ?$(I'4(B) ; C03-I-2734
(ucs-set-char #x90AA ?$(C^w(B) ; KS0-C-5E77
(ucs-set-char #x90AA ?$(GKY(B) ; C01-G-4B59
(ucs-set-char #x90AA ?$@<Y(B) ; J78-@-3C59
(ucs-set-char #x90AA ?$AP0(B) ; GB0-A-5030
(ucs-set-char #x90AA ?$B<Y(B) ; J83-B-3C59
(ucs-set-char #x90AB ?$(I9Q(B) ; C03-I-3951
(ucs-set-char #x90AC ?$AZy(B) ; GB0-A-5A79
(ucs-set-char #x90AD ?$(I*w(B) ; C03-I-2A77
(ucs-set-char #x90AE ?$(J(+(B) ; C04-J-282B
(ucs-set-char #x90AE ?$ASJ(B) ; GB0-A-534A
(ucs-set-char #x90AF ?$(CJ{(B) ; KS0-C-4A7B
(ucs-set-char #x90AF ?$(H(u(B) ; C02-H-2875
(ucs-set-char #x90AF ?$@n8(B) ; J78-@-6E38
(ucs-set-char #x90AF ?$A:*(B) ; GB0-A-3A2A
(ucs-set-char #x90AF ?$Bn8(B) ; J83-B-6E38
(ucs-set-char #x90B0 ?$(CwF(B) ; KS0-C-7746
(ucs-set-char #x90B0 ?$(Dav(B) ; J90-D-6176
(ucs-set-char #x90B0 ?$(H(w(B) ; C02-H-2877
(ucs-set-char #x90B0 ?$A["(B) ; GB0-A-5B22
(ucs-set-char #x90B1 ?$(COH(B) ; KS0-C-4F48
(ucs-set-char #x90B1 ?$(GOW(B) ; C01-G-4F57
(ucs-set-char #x90B1 ?$@n9(B) ; J78-@-6E39
(ucs-set-char #x90B1 ?$AGq(B) ; GB0-A-4771
(ucs-set-char #x90B1 ?$Bn9(B) ; J83-B-6E39
(ucs-set-char #x90B2 ?$(Daw(B) ; J90-D-6177
(ucs-set-char #x90B2 ?$(H(s(B) ; C02-H-2873
(ucs-set-char #x90B3 ?$(Dax(B) ; J90-D-6178
(ucs-set-char #x90B3 ?$(H(v(B) ; C02-H-2876
(ucs-set-char #x90B3 ?$AZ|(B) ; GB0-A-5A7C
(ucs-set-char #x90B4 ?$(Day(B) ; J90-D-6179
(ucs-set-char #x90B4 ?$(H(t(B) ; C02-H-2874
(ucs-set-char #x90B4 ?$AZ{(B) ; GB0-A-5A7B
(ucs-set-char #x90B5 ?$(CaP(B) ; KS0-C-6150
(ucs-set-char #x90B5 ?$(GOU(B) ; C01-G-4F55
(ucs-set-char #x90B5 ?$@n:(B) ; J78-@-6E3A
(ucs-set-char #x90B5 ?$AI[(B) ; GB0-A-495B
(ucs-set-char #x90B5 ?$Bn:(B) ; J83-B-6E3A
(ucs-set-char #x90B6 ?$(Daz(B) ; J90-D-617A
(ucs-set-char #x90B6 ?$(GOX(B) ; C01-G-4F58
(ucs-set-char #x90B6 ?$AZ}(B) ; GB0-A-5A7D
(ucs-set-char #x90B7 ?$(I*u(B) ; C03-I-2A75
(ucs-set-char #x90B8 ?$(CnP(B) ; KS0-C-6E50
(ucs-set-char #x90B8 ?$(GOV(B) ; C01-G-4F56
(ucs-set-char #x90B8 ?$@E!(B) ; J78-@-4521
(ucs-set-char #x90B8 ?$A[!(B) ; GB0-A-5B21
(ucs-set-char #x90B8 ?$BE!(B) ; J83-B-4521
(ucs-set-char #x90B9 ?$(I*x(B) ; C03-I-2A78
(ucs-set-char #x90B9 ?$AW^(B) ; GB0-A-575E
(ucs-set-char #x90BA ?$AZ~(B) ; GB0-A-5A7E
(ucs-set-char #x90BB ?$AAZ(B) ; GB0-A-415A
(ucs-set-char #x90BC ?$(I/5(B) ; C03-I-2F35
(ucs-set-char #x90BD ?$(Da{(B) ; J90-D-617B
(ucs-set-char #x90BD ?$(H-Y(B) ; C02-H-2D59
(ucs-set-char #x90BE ?$(Da}(B) ; J90-D-617D
(ucs-set-char #x90BE ?$(H-](B) ; C02-H-2D5D
(ucs-set-char #x90BE ?$A[%(B) ; GB0-A-5B25
(ucs-set-char #x90BF ?$(H-Z(B) ; C02-H-2D5A
(ucs-set-char #x90C0 ?$(I/8(B) ; C03-I-2F38
(ucs-set-char #x90C1 ?$(Cit(B) ; KS0-C-6974
(ucs-set-char #x90C1 ?$(GSh(B) ; C01-G-5368
(ucs-set-char #x90C1 ?$@0j(B) ; J78-@-306A
(ucs-set-char #x90C1 ?$ASt(B) ; GB0-A-5374
(ucs-set-char #x90C1 ?$B0j(B) ; J83-B-306A
(ucs-set-char #x90C2 ?$(I/4(B) ; C03-I-2F34
(ucs-set-char #x90C3 ?$(Da~(B) ; J90-D-617E
(ucs-set-char #x90C3 ?$(GSi(B) ; C01-G-5369
(ucs-set-char #x90C4 ?$(Db!(B) ; J90-D-6221
(ucs-set-char #x90C4 ?$(I/>(B) ; C03-I-2F3E
(ucs-set-char #x90C4 ?$A['(B) ; GB0-A-5B27
(ucs-set-char #x90C5 ?$(Db"(B) ; J90-D-6222
(ucs-set-char #x90C5 ?$(H-\(B) ; C02-H-2D5C
(ucs-set-char #x90C5 ?$A[$(B) ; GB0-A-5B24
(ucs-set-char #x90C6 ?$(I/7(B) ; C03-I-2F37
(ucs-set-char #x90C7 ?$(Db#(B) ; J90-D-6223
(ucs-set-char #x90C7 ?$(H-^(B) ; C02-H-2D5E
(ucs-set-char #x90C7 ?$A[((B) ; GB0-A-5B28
(ucs-set-char #x90C8 ?$(Db$(B) ; J90-D-6224
(ucs-set-char #x90C8 ?$(H-`(B) ; C02-H-2D60
(ucs-set-char #x90C9 ?$(I/<(B) ; C03-I-2F3C
(ucs-set-char #x90CA ?$(CNt(B) ; KS0-C-4E74
(ucs-set-char #x90CA ?$(GSf(B) ; C01-G-5366
(ucs-set-char #x90CA ?$@9Y(B) ; J78-@-3959
(ucs-set-char #x90CA ?$A=<(B) ; GB0-A-3D3C
(ucs-set-char #x90CA ?$B9Y(B) ; J83-B-3959
(ucs-set-char #x90CB ?$(H-_(B) ; C02-H-2D5F
(ucs-set-char #x90CC ?$(Da|(B) ; J90-D-617C
(ucs-set-char #x90CC ?$(JA9(B) ; C04-J-4139
(ucs-set-char #x90CD ?$(I/;(B) ; C03-I-2F3B
(ucs-set-char #x90CE ?$(GSg(B) ; C01-G-5367
(ucs-set-char #x90CE ?$@O:(B) ; J78-@-4F3A
(ucs-set-char #x90CE ?$A@I(B) ; GB0-A-4049
(ucs-set-char #x90CE ?$BO:(B) ; J83-B-4F3A
(ucs-set-char #x90CF ?$A[#(B) ; GB0-A-5B23
(ucs-set-char #x90D0 ?$A[&(B) ; GB0-A-5B26
(ucs-set-char #x90D1 ?$AV#(B) ; GB0-A-5623
(ucs-set-char #x90D2 ?$(Db-(B) ; J90-D-622D
(ucs-set-char #x90D3 ?$A[)(B) ; GB0-A-5B29
(ucs-set-char #x90D4 ?$(H9q(B) ; C02-H-3971
(ucs-set-char #x90D5 ?$(Db%(B) ; J90-D-6225
(ucs-set-char #x90D5 ?$(H-[(B) ; C02-H-2D5B
(ucs-set-char #x90D6 ?$(H36(B) ; C02-H-3336
(ucs-set-char #x90D7 ?$(Db&(B) ; J90-D-6226
(ucs-set-char #x90D7 ?$(H3?(B) ; C02-H-333F
(ucs-set-char #x90D7 ?$A[-(B) ; GB0-A-5B2D
(ucs-set-char #x90D8 ?$(Db'(B) ; J90-D-6227
(ucs-set-char #x90D8 ?$(H3=(B) ; C02-H-333D
(ucs-set-char #x90D9 ?$(Db((B) ; J90-D-6228
(ucs-set-char #x90D9 ?$(H38(B) ; C02-H-3338
(ucs-set-char #x90DA ?$(H39(B) ; C02-H-3339
(ucs-set-char #x90DB ?$(H3>(B) ; C02-H-333E
(ucs-set-char #x90DB ?$@n>(B) ; J78-@-6E3E
(ucs-set-char #x90DB ?$A[.(B) ; GB0-A-5B2E
(ucs-set-char #x90DB ?$Bn>(B) ; J83-B-6E3E
(ucs-set-char #x90DC ?$(Db)(B) ; J90-D-6229
(ucs-set-char #x90DC ?$(H3@(B) ; C02-H-3340
(ucs-set-char #x90DC ?$A[,(B) ; GB0-A-5B2C
(ucs-set-char #x90DD ?$(Db*(B) ; J90-D-622A
(ucs-set-char #x90DD ?$(GXV(B) ; C01-G-5856
(ucs-set-char #x90DD ?$A:B(B) ; GB0-A-3A42
(ucs-set-char #x90DE ?$(CUM(B) ; KS0-C-554D
(ucs-set-char #x90DE ?$(I4)(B) ; C03-I-3429
(ucs-set-char #x90DF ?$(Db+(B) ; J90-D-622B
(ucs-set-char #x90DF ?$(H3;(B) ; C02-H-333B
(ucs-set-char #x90E0 ?$(H37(B) ; C02-H-3337
(ucs-set-char #x90E1 ?$(CO[(B) ; KS0-C-4F5B
(ucs-set-char #x90E1 ?$(GXU(B) ; C01-G-5855
(ucs-set-char #x90E1 ?$@74(B) ; J78-@-3734
(ucs-set-char #x90E1 ?$A?$(B) ; GB0-A-3F24
(ucs-set-char #x90E1 ?$B74(B) ; J83-B-3734
(ucs-set-char #x90E2 ?$(GXW(B) ; C01-G-5857
(ucs-set-char #x90E2 ?$@n;(B) ; J78-@-6E3B
(ucs-set-char #x90E2 ?$A[+(B) ; GB0-A-5B2B
(ucs-set-char #x90E2 ?$Bn;(B) ; J83-B-6E3B
(ucs-set-char #x90E3 ?$(H3:(B) ; C02-H-333A
(ucs-set-char #x90E4 ?$(H3A(B) ; C02-H-3341
(ucs-set-char #x90E4 ?$@n<(B) ; J78-@-6E3C
(ucs-set-char #x90E4 ?$Bn<(B) ; J83-B-6E3C
(ucs-set-char #x90E5 ?$(Db,(B) ; J90-D-622C
(ucs-set-char #x90E5 ?$(H3<(B) ; C02-H-333C
(ucs-set-char #x90E6 ?$A[*(B) ; GB0-A-5B2A
(ucs-set-char #x90E7 ?$ATG(B) ; GB0-A-5447
(ucs-set-char #x90E8 ?$(C];(B) ; KS0-C-5D3B
(ucs-set-char #x90E8 ?$(G]e(B) ; C01-G-5D65
(ucs-set-char #x90E8 ?$@It(B) ; J78-@-4974
(ucs-set-char #x90E8 ?$A2?(B) ; GB0-A-323F
(ucs-set-char #x90E8 ?$BIt(B) ; J83-B-4974
(ucs-set-char #x90E9 ?$(H9t(B) ; C02-H-3974
(ucs-set-char #x90EA ?$(H9l(B) ; C02-H-396C
(ucs-set-char #x90EB ?$(Db/(B) ; J90-D-622F
(ucs-set-char #x90EB ?$(H9r(B) ; C02-H-3972
(ucs-set-char #x90EB ?$A[/(B) ; GB0-A-5B2F
(ucs-set-char #x90EC ?$(H9s(B) ; C02-H-3973
(ucs-set-char #x90ED ?$(CN,(B) ; KS0-C-4E2C
(ucs-set-char #x90ED ?$(G]f(B) ; C01-G-5D66
(ucs-set-char #x90ED ?$@3T(B) ; J78-@-3354
(ucs-set-char #x90ED ?$A9y(B) ; GB0-A-3979
(ucs-set-char #x90ED ?$B3T(B) ; J83-B-3354
(ucs-set-char #x90EE ?$(I9O(B) ; C03-I-394F
(ucs-set-char #x90EF ?$(Db0(B) ; J90-D-6230
(ucs-set-char #x90EF ?$(H9k(B) ; C02-H-396B
(ucs-set-char #x90EF ?$A[0(B) ; GB0-A-5B30
(ucs-set-char #x90F0 ?$(Db1(B) ; J90-D-6231
(ucs-set-char #x90F0 ?$(H9m(B) ; C02-H-396D
(ucs-set-char #x90F1 ?$(H-X(B) ; C02-H-2D58
(ucs-set-char #x90F2 ?$(H9o(B) ; C02-H-396F
(ucs-set-char #x90F3 ?$(H9p(B) ; C02-H-3970
(ucs-set-char #x90F4 ?$(Db2(B) ; J90-D-6232
(ucs-set-char #x90F4 ?$(H9n(B) ; C02-H-396E
(ucs-set-char #x90F4 ?$A3;(B) ; GB0-A-333B
(ucs-set-char #x90F5 ?$(Cih(B) ; KS0-C-6968
(ucs-set-char #x90F5 ?$(GbS(B) ; C01-G-6253
(ucs-set-char #x90F5 ?$@M9(B) ; J78-@-4D39
(ucs-set-char #x90F5 ?$BM9(B) ; J83-B-4D39
(ucs-set-char #x90F6 ?$(Db.(B) ; J90-D-622E
(ucs-set-char #x90F6 ?$(JN;(B) ; C04-J-4E3B
(ucs-set-char #x90F7 ?$(I9R(B) ; C03-I-3952
(ucs-set-char #x90F7 ?$@6?(B) ; J78-@-363F
(ucs-set-char #x90F7 ?$B6?(B) ; J83-B-363F
(ucs-set-char #x90F8 ?$A5&(B) ; GB0-A-3526
(ucs-set-char #x90F9 ?$(H@{(B) ; C02-H-407B
(ucs-set-char #x90FA ?$(H["(B) ; C02-H-5B22
(ucs-set-char #x90FB ?$(H@|(B) ; C02-H-407C
(ucs-set-char #x90FC ?$(H@y(B) ; C02-H-4079
(ucs-set-char #x90FD ?$(CT4(B) ; KS0-C-5434
(ucs-set-char #x90FD ?$(G]g(B) ; C01-G-5D67
(ucs-set-char #x90FD ?$@ET(B) ; J78-@-4554
(ucs-set-char #x90FD ?$A6<(B) ; GB0-A-363C
(ucs-set-char #x90FD ?$BET(B) ; J83-B-4554
(ucs-set-char #x90FE ?$(Db3(B) ; J90-D-6233
(ucs-set-char #x90FE ?$(GbU(B) ; C01-G-6255
(ucs-set-char #x90FE ?$A[1(B) ; GB0-A-5B31
(ucs-set-char #x90FF ?$(Db4(B) ; J90-D-6234
(ucs-set-char #x90FF ?$(H@x(B) ; C02-H-4078
(ucs-set-char #x9100 ?$(Db5(B) ; J90-D-6235
(ucs-set-char #x9100 ?$(H@~(B) ; C02-H-407E
(ucs-set-char #x9101 ?$(H@}(B) ; C02-H-407D
(ucs-set-char #x9102 ?$(CdG(B) ; KS0-C-6447
(ucs-set-char #x9102 ?$(GbR(B) ; C01-G-6252
(ucs-set-char #x9102 ?$@n?(B) ; J78-@-6E3F
(ucs-set-char #x9102 ?$A6u(B) ; GB0-A-3675
(ucs-set-char #x9102 ?$Bn?(B) ; J83-B-6E3F
(ucs-set-char #x9103 ?$(HA#(B) ; C02-H-4123
(ucs-set-char #x9104 ?$(Db6(B) ; J90-D-6236
(ucs-set-char #x9104 ?$(H@w(B) ; C02-H-4077
(ucs-set-char #x9104 ?$A[2(B) ; GB0-A-5B32
(ucs-set-char #x9105 ?$(Db7(B) ; J90-D-6237
(ucs-set-char #x9105 ?$(HA"(B) ; C02-H-4122
(ucs-set-char #x9106 ?$(Db8(B) ; J90-D-6238
(ucs-set-char #x9106 ?$(H@u(B) ; C02-H-4075
(ucs-set-char #x9107 ?$(HA!(B) ; C02-H-4121
(ucs-set-char #x9108 ?$(Db9(B) ; J90-D-6239
(ucs-set-char #x9108 ?$(H@z(B) ; C02-H-407A
(ucs-set-char #x9109 ?$(GbT(B) ; C01-G-6254
(ucs-set-char #x910A ?$(I?Y(B) ; C03-I-3F59
(ucs-set-char #x910B ?$(HH0(B) ; C02-H-4830
(ucs-set-char #x910C ?$(IE#(B) ; C03-I-4523
(ucs-set-char #x910D ?$(Db:(B) ; J90-D-623A
(ucs-set-char #x910D ?$(HH+(B) ; C02-H-482B
(ucs-set-char #x910E ?$(HH1(B) ; C02-H-4831
(ucs-set-char #x910F ?$(HH,(B) ; C02-H-482C
(ucs-set-char #x9110 ?$(Db;(B) ; J90-D-623B
(ucs-set-char #x9110 ?$(HH*(B) ; C02-H-482A
(ucs-set-char #x9111 ?$(HH-(B) ; C02-H-482D
(ucs-set-char #x9112 ?$(Cu[(B) ; KS0-C-755B
(ucs-set-char #x9112 ?$(Gg9(B) ; C01-G-6739
(ucs-set-char #x9112 ?$@n@(B) ; J78-@-6E40
(ucs-set-char #x9112 ?$Bn@(B) ; J83-B-6E40
(ucs-set-char #x9113 ?$(IE$(B) ; C03-I-4524
(ucs-set-char #x9114 ?$(Db<(B) ; J90-D-623C
(ucs-set-char #x9114 ?$(HH/(B) ; C02-H-482F
(ucs-set-char #x9115 ?$(CzA(B) ; KS0-C-7A41
(ucs-set-char #x9115 ?$(IE%(B) ; C03-I-4525
(ucs-set-char #x9116 ?$(Db=(B) ; J90-D-623D
(ucs-set-char #x9116 ?$(HH.(B) ; C02-H-482E
(ucs-set-char #x9117 ?$(Db>(B) ; J90-D-623E
(ucs-set-char #x9117 ?$(Gg:(B) ; C01-G-673A
(ucs-set-char #x9118 ?$(Db?(B) ; J90-D-623F
(ucs-set-char #x9118 ?$(GkI(B) ; C01-G-6B49
(ucs-set-char #x9119 ?$(C^)(B) ; KS0-C-5E29
(ucs-set-char #x9119 ?$(GkH(B) ; C01-G-6B48
(ucs-set-char #x9119 ?$@nA(B) ; J78-@-6E41
(ucs-set-char #x9119 ?$A1I(B) ; GB0-A-3149
(ucs-set-char #x9119 ?$BnA(B) ; J83-B-6E41
(ucs-set-char #x911A ?$(Db@(B) ; J90-D-6240
(ucs-set-char #x911A ?$(HNV(B) ; C02-H-4E56
(ucs-set-char #x911B ?$(HNY(B) ; C02-H-4E59
(ucs-set-char #x911C ?$(DbA(B) ; J90-D-6241
(ucs-set-char #x911C ?$(HNQ(B) ; C02-H-4E51
(ucs-set-char #x911D ?$(HNU(B) ; C02-H-4E55
(ucs-set-char #x911E ?$(DbB(B) ; J90-D-6242
(ucs-set-char #x911E ?$(GkJ(B) ; C01-G-6B4A
(ucs-set-char #x911E ?$A[4(B) ; GB0-A-5B34
(ucs-set-char #x911F ?$(HNT(B) ; C02-H-4E54
(ucs-set-char #x9120 ?$(DbC(B) ; J90-D-6243
(ucs-set-char #x9120 ?$(HNR(B) ; C02-H-4E52
(ucs-set-char #x9121 ?$(HNX(B) ; C02-H-4E58
(ucs-set-char #x9122 ?$(DbE(B) ; J90-D-6245
(ucs-set-char #x9122 ?$(HNS(B) ; C02-H-4E53
(ucs-set-char #x9122 ?$A[3(B) ; GB0-A-5B33
(ucs-set-char #x9123 ?$(DbF(B) ; J90-D-6246
(ucs-set-char #x9123 ?$(HNP(B) ; C02-H-4E50
(ucs-set-char #x9123 ?$A[5(B) ; GB0-A-5B35
(ucs-set-char #x9124 ?$(HNW(B) ; C02-H-4E57
(ucs-set-char #x9125 ?$(DbD(B) ; J90-D-6244
(ucs-set-char #x9125 ?$(IJ*(B) ; C03-I-4A2A
(ucs-set-char #x9126 ?$(HU#(B) ; C02-H-5523
(ucs-set-char #x9127 ?$(CTx(B) ; KS0-C-5478
(ucs-set-char #x9127 ?$(DbG(B) ; J90-D-6247
(ucs-set-char #x9127 ?$(GoR(B) ; C01-G-6F52
(ucs-set-char #x9128 ?$(Hct(B) ; C02-H-6374
(ucs-set-char #x9129 ?$(DbH(B) ; J90-D-6248
(ucs-set-char #x9129 ?$(HT~(B) ; C02-H-547E
(ucs-set-char #x912A ?$(HU!(B) ; C02-H-5521
(ucs-set-char #x912B ?$(HT}(B) ; C02-H-547D
(ucs-set-char #x912C ?$(H@v(B) ; C02-H-4076
(ucs-set-char #x912D ?$(Cow(B) ; KS0-C-6F77
(ucs-set-char #x912D ?$(GoQ(B) ; C01-G-6F51
(ucs-set-char #x912D ?$@E"(B) ; J78-@-4522
(ucs-set-char #x912D ?$BE"(B) ; J83-B-4522
(ucs-set-char #x912E ?$(DbI(B) ; J90-D-6249
(ucs-set-char #x912E ?$(HU$(B) ; C02-H-5524
(ucs-set-char #x912F ?$(DbJ(B) ; J90-D-624A
(ucs-set-char #x912F ?$(HT|(B) ; C02-H-547C
(ucs-set-char #x912F ?$A[7(B) ; GB0-A-5B37
(ucs-set-char #x9130 ?$(GoP(B) ; C01-G-6F50
(ucs-set-char #x9130 ?$@nC(B) ; J78-@-6E43
(ucs-set-char #x9130 ?$BnC(B) ; J83-B-6E43
(ucs-set-char #x9131 ?$(DbK(B) ; J90-D-624B
(ucs-set-char #x9131 ?$(GoS(B) ; C01-G-6F53
(ucs-set-char #x9131 ?$A[6(B) ; GB0-A-5B36
(ucs-set-char #x9132 ?$(CS3(B) ; KS0-C-5333
(ucs-set-char #x9132 ?$(HU"(B) ; C02-H-5522
(ucs-set-char #x9132 ?$@nB(B) ; J78-@-6E42
(ucs-set-char #x9132 ?$BnB(B) ; J83-B-6E42
(ucs-set-char #x9133 ?$(H[#(B) ; C02-H-5B23
(ucs-set-char #x9134 ?$(DbL(B) ; J90-D-624C
(ucs-set-char #x9134 ?$(Gr](B) ; C01-G-725D
(ucs-set-char #x9135 ?$(H[$(B) ; C02-H-5B24
(ucs-set-char #x9136 ?$(DbM(B) ; J90-D-624D
(ucs-set-char #x9136 ?$(H[%(B) ; C02-H-5B25
(ucs-set-char #x9137 ?$(DbN(B) ; J90-D-624E
(ucs-set-char #x9137 ?$(IS+(B) ; C03-I-532B
(ucs-set-char #x9138 ?$(H_p(B) ; C02-H-5F70
(ucs-set-char #x9139 ?$(DbO(B) ; J90-D-624F
(ucs-set-char #x9139 ?$(Guh(B) ; C01-G-7568
(ucs-set-char #x9139 ?$A[8(B) ; GB0-A-5B38
(ucs-set-char #x913A ?$(DbP(B) ; J90-D-6250
(ucs-set-char #x913A ?$(Hcu(B) ; C02-H-6375
(ucs-set-char #x913B ?$(Hcv(B) ; C02-H-6376
(ucs-set-char #x913C ?$(DbQ(B) ; J90-D-6251
(ucs-set-char #x913C ?$(IY<(B) ; C03-I-593C
(ucs-set-char #x913D ?$(DbR(B) ; J90-D-6252
(ucs-set-char #x913D ?$(IY;(B) ; C03-I-593B
(ucs-set-char #x913E ?$(Hcw(B) ; C02-H-6377
(ucs-set-char #x913F ?$(HgI(B) ; C02-H-6749
(ucs-set-char #x9140 ?$(HgH(B) ; C02-H-6748
(ucs-set-char #x9141 ?$(Hj0(B) ; C02-H-6A30
(ucs-set-char #x9143 ?$(DbS(B) ; J90-D-6253
(ucs-set-char #x9143 ?$(Hj/(B) ; C02-H-6A2F
(ucs-set-char #x9143 ?$A[9(B) ; GB0-A-5B39
(ucs-set-char #x9144 ?$(HlJ(B) ; C02-H-6C4A
(ucs-set-char #x9145 ?$(HlK(B) ; C02-H-6C4B
(ucs-set-char #x9146 ?$(HlI(B) ; C02-H-6C49
(ucs-set-char #x9146 ?$A[:(B) ; GB0-A-5B3A
(ucs-set-char #x9147 ?$(DbT(B) ; J90-D-6254
(ucs-set-char #x9147 ?$(Hn5(B) ; C02-H-6E35
(ucs-set-char #x9148 ?$(DbU(B) ; J90-D-6255
(ucs-set-char #x9148 ?$(G{z(B) ; C01-G-7B7A
(ucs-set-char #x9149 ?$(Ck7(B) ; KS0-C-6B37
(ucs-set-char #x9149 ?$(GK\(B) ; C01-G-4B5C
(ucs-set-char #x9149 ?$@FS(B) ; J78-@-4653
(ucs-set-char #x9149 ?$ASO(B) ; GB0-A-534F
(ucs-set-char #x9149 ?$BFS(B) ; J83-B-4653
(ucs-set-char #x914A ?$(Cox(B) ; KS0-C-6F78
(ucs-set-char #x914A ?$(GSk(B) ; C01-G-536B
(ucs-set-char #x914A ?$@nD(B) ; J78-@-6E44
(ucs-set-char #x914A ?$Atz(B) ; GB0-A-747A
(ucs-set-char #x914A ?$BnD(B) ; J83-B-6E44
(ucs-set-char #x914B ?$(Cu\(B) ; KS0-C-755C
(ucs-set-char #x914B ?$(GSj(B) ; C01-G-536A
(ucs-set-char #x914B ?$@=6(B) ; J78-@-3D36
(ucs-set-char #x914B ?$AGu(B) ; GB0-A-4775
(ucs-set-char #x914B ?$B=6(B) ; J83-B-3D36
(ucs-set-char #x914C ?$(CmL(B) ; KS0-C-6D4C
(ucs-set-char #x914C ?$(GXZ(B) ; C01-G-585A
(ucs-set-char #x914C ?$@<`(B) ; J78-@-3C60
(ucs-set-char #x914C ?$AWC(B) ; GB0-A-5743
(ucs-set-char #x914C ?$B<`(B) ; J83-B-3C60
(ucs-set-char #x914D ?$(C[U(B) ; KS0-C-5B55
(ucs-set-char #x914D ?$(GXY(B) ; C01-G-5859
(ucs-set-char #x914D ?$@G[(B) ; J78-@-475B
(ucs-set-char #x914D ?$AEd(B) ; GB0-A-4564
(ucs-set-char #x914D ?$BG[(B) ; J83-B-475B
(ucs-set-char #x914E ?$(CqO(B) ; KS0-C-714F
(ucs-set-char #x914E ?$(H3C(B) ; C02-H-3343
(ucs-set-char #x914E ?$@Cq(B) ; J78-@-4371
(ucs-set-char #x914E ?$At|(B) ; GB0-A-747C
(ucs-set-char #x914E ?$BCq(B) ; J83-B-4371
(ucs-set-char #x914F ?$(DbV(B) ; J90-D-6256
(ucs-set-char #x914F ?$(H3D(B) ; C02-H-3344
(ucs-set-char #x914F ?$At}(B) ; GB0-A-747D
(ucs-set-char #x9150 ?$(H3B(B) ; C02-H-3342
(ucs-set-char #x9150 ?$At{(B) ; GB0-A-747B
(ucs-set-char #x9151 ?$(I4*(B) ; C03-I-342A
(ucs-set-char #x9152 ?$(CqP(B) ; KS0-C-7150
(ucs-set-char #x9152 ?$(GXX(B) ; C01-G-5858
(ucs-set-char #x9152 ?$@<r(B) ; J78-@-3C72
(ucs-set-char #x9152 ?$A>F(B) ; GB0-A-3E46
(ucs-set-char #x9152 ?$B<r(B) ; J83-B-3C72
(ucs-set-char #x9153 ?$(DbW(B) ; J90-D-6257
(ucs-set-char #x9153 ?$(H9x(B) ; C02-H-3978
(ucs-set-char #x9154 ?$(I9U(B) ; C03-I-3955
(ucs-set-char #x9154 ?$@?l(B) ; J78-@-3F6C
(ucs-set-char #x9154 ?$B?l(B) ; J83-B-3F6C
(ucs-set-char #x9155 ?$(H9y(B) ; C02-H-3979
(ucs-set-char #x9156 ?$(H9u(B) ; C02-H-3975
(ucs-set-char #x9156 ?$@nE(B) ; J78-@-6E45
(ucs-set-char #x9156 ?$BnE(B) ; J83-B-6E45
(ucs-set-char #x9157 ?$(DbX(B) ; J90-D-6258
(ucs-set-char #x9157 ?$(G]h(B) ; C01-G-5D68
(ucs-set-char #x9157 ?$APo(B) ; GB0-A-506F
(ucs-set-char #x9158 ?$(H9v(B) ; C02-H-3976
(ucs-set-char #x9158 ?$@nF(B) ; J78-@-6E46
(ucs-set-char #x9158 ?$BnF(B) ; J83-B-6E46
(ucs-set-char #x9159 ?$(DbY(B) ; J90-D-6259
(ucs-set-char #x9159 ?$(I9T(B) ; C03-I-3954
(ucs-set-char #x915A ?$(DbZ(B) ; J90-D-625A
(ucs-set-char #x915A ?$(H9w(B) ; C02-H-3977
(ucs-set-char #x915A ?$A7S(B) ; GB0-A-3753
(ucs-set-char #x915B ?$(Db[(B) ; J90-D-625B
(ucs-set-char #x915D ?$ATM(B) ; GB0-A-544D
(ucs-set-char #x915E ?$AL*(B) ; GB0-A-4C2A
(ucs-set-char #x915F ?$(HA&(B) ; C02-H-4126
(ucs-set-char #x9160 ?$(HA((B) ; C02-H-4128
(ucs-set-char #x9161 ?$(Db\(B) ; J90-D-625C
(ucs-set-char #x9161 ?$(HA$(B) ; C02-H-4124
(ucs-set-char #x9161 ?$Au"(B) ; GB0-A-7522
(ucs-set-char #x9162 ?$(Cu2(B) ; KS0-C-7532
(ucs-set-char #x9162 ?$(HA'(B) ; C02-H-4127
(ucs-set-char #x9162 ?$@?](B) ; J78-@-3F5D
(ucs-set-char #x9162 ?$Au!(B) ; GB0-A-7521
(ucs-set-char #x9162 ?$B?](B) ; J83-B-3F5D
(ucs-set-char #x9163 ?$(GbV(B) ; C01-G-6256
(ucs-set-char #x9163 ?$@nG(B) ; J78-@-6E47
(ucs-set-char #x9163 ?$A:((B) ; GB0-A-3A28
(ucs-set-char #x9163 ?$BnG(B) ; J83-B-6E47
(ucs-set-char #x9164 ?$(Db](B) ; J90-D-625D
(ucs-set-char #x9164 ?$(HA%(B) ; C02-H-4125
(ucs-set-char #x9164 ?$At~(B) ; GB0-A-747E
(ucs-set-char #x9165 ?$(GbW(B) ; C01-G-6257
(ucs-set-char #x9165 ?$@nH(B) ; J78-@-6E48
(ucs-set-char #x9165 ?$AKV(B) ; GB0-A-4B56
(ucs-set-char #x9165 ?$BnH(B) ; J83-B-6E48
(ucs-set-char #x9167 ?$(Db^(B) ; J90-D-625E
(ucs-set-char #x9167 ?$(IE((B) ; C03-I-4528
(ucs-set-char #x9168 ?$(HBy(B) ; C02-H-4279
(ucs-set-char #x9169 ?$(CY.(B) ; KS0-C-592E
(ucs-set-char #x9169 ?$(Gg=(B) ; C01-G-673D
(ucs-set-char #x9169 ?$@nI(B) ; J78-@-6E49
(ucs-set-char #x9169 ?$Au$(B) ; GB0-A-7524
(ucs-set-char #x9169 ?$BnI(B) ; J83-B-6E49
(ucs-set-char #x916A ?$(CU,(B) ; KS0-C-552C
(ucs-set-char #x916A ?$(Gg<(B) ; C01-G-673C
(ucs-set-char #x916A ?$@Mo(B) ; J78-@-4D6F
(ucs-set-char #x916A ?$A@R(B) ; GB0-A-4052
(ucs-set-char #x916A ?$BMo(B) ; J83-B-4D6F
(ucs-set-char #x916B ?$(IE'(B) ; C03-I-4527
(ucs-set-char #x916C ?$(CbF(B) ; KS0-C-6246
(ucs-set-char #x916C ?$(Gg;(B) ; C01-G-673B
(ucs-set-char #x916C ?$@=7(B) ; J78-@-3D37
(ucs-set-char #x916C ?$A3j(B) ; GB0-A-336A
(ucs-set-char #x916C ?$B=7(B) ; J83-B-3D37
(ucs-set-char #x916D ?$(Db_(B) ; J90-D-625F
(ucs-set-char #x916D ?$(JA:(B) ; C04-J-413A
(ucs-set-char #x916E ?$(HH2(B) ; C02-H-4832
(ucs-set-char #x916E ?$AM*(B) ; GB0-A-4D2A
(ucs-set-char #x916F ?$(HH3(B) ; C02-H-4833
(ucs-set-char #x916F ?$Au%(B) ; GB0-A-7525
(ucs-set-char #x9170 ?$(JA;(B) ; C04-J-413B
(ucs-set-char #x9170 ?$Au#(B) ; GB0-A-7523
(ucs-set-char #x9171 ?$A=4(B) ; GB0-A-3D34
(ucs-set-char #x9172 ?$(HN[(B) ; C02-H-4E5B
(ucs-set-char #x9172 ?$@nK(B) ; J78-@-6E4B
(ucs-set-char #x9172 ?$Au((B) ; GB0-A-7528
(ucs-set-char #x9172 ?$BnK(B) ; J83-B-6E4B
(ucs-set-char #x9173 ?$(HN](B) ; C02-H-4E5D
(ucs-set-char #x9173 ?$@nJ(B) ; J78-@-6E4A
(ucs-set-char #x9173 ?$BnJ(B) ; J83-B-6E4A
(ucs-set-char #x9174 ?$(Db`(B) ; J90-D-6260
(ucs-set-char #x9174 ?$(GkN(B) ; C01-G-6B4E
(ucs-set-char #x9174 ?$Au)(B) ; GB0-A-7529
(ucs-set-char #x9175 ?$(C}#(B) ; KS0-C-7D23
(ucs-set-char #x9175 ?$(GkK(B) ; C01-G-6B4B
(ucs-set-char #x9175 ?$@9Z(B) ; J78-@-395A
(ucs-set-char #x9175 ?$A=M(B) ; GB0-A-3D4D
(ucs-set-char #x9175 ?$B9Z(B) ; J83-B-395A
(ucs-set-char #x9176 ?$(IJ,(B) ; C03-I-4A2C
(ucs-set-char #x9176 ?$AC8(B) ; GB0-A-4338
(ucs-set-char #x9177 ?$(C{e(B) ; KS0-C-7B65
(ucs-set-char #x9177 ?$(GkM(B) ; C01-G-6B4D
(ucs-set-char #x9177 ?$@9s(B) ; J78-@-3973
(ucs-set-char #x9177 ?$A?a(B) ; GB0-A-3F61
(ucs-set-char #x9177 ?$B9s(B) ; J83-B-3973
(ucs-set-char #x9178 ?$(C_+(B) ; KS0-C-5F2B
(ucs-set-char #x9178 ?$(GkL(B) ; C01-G-6B4C
(ucs-set-char #x9178 ?$@;@(B) ; J78-@-3B40
(ucs-set-char #x9178 ?$AKa(B) ; GB0-A-4B61
(ucs-set-char #x9178 ?$B;@(B) ; J83-B-3B40
(ucs-set-char #x9179 ?$(Dba(B) ; J90-D-6261
(ucs-set-char #x9179 ?$(HN\(B) ; C02-H-4E5C
(ucs-set-char #x9179 ?$Au*(B) ; GB0-A-752A
(ucs-set-char #x917A ?$(Dbb(B) ; J90-D-6262
(ucs-set-char #x917A ?$(HNZ(B) ; C02-H-4E5A
(ucs-set-char #x917B ?$(Dbc(B) ; J90-D-6263
(ucs-set-char #x917B ?$(IJ+(B) ; C03-I-4A2B
(ucs-set-char #x917C ?$(IJ-(B) ; C03-I-4A2D
(ucs-set-char #x917D ?$Au&(B) ; GB0-A-7526
(ucs-set-char #x917E ?$Au'(B) ; GB0-A-7527
(ucs-set-char #x917F ?$ADp(B) ; GB0-A-4470
(ucs-set-char #x9180 ?$(HU+(B) ; C02-H-552B
(ucs-set-char #x9181 ?$(Dbd(B) ; J90-D-6264
(ucs-set-char #x9181 ?$(HU((B) ; C02-H-5528
(ucs-set-char #x9182 ?$(HU)(B) ; C02-H-5529
(ucs-set-char #x9182 ?$@nN(B) ; J78-@-6E4E
(ucs-set-char #x9182 ?$BnN(B) ; J83-B-6E4E
(ucs-set-char #x9183 ?$(Dbe(B) ; J90-D-6265
(ucs-set-char #x9183 ?$(GoW(B) ; C01-G-6F57
(ucs-set-char #x9184 ?$(HU*(B) ; C02-H-552A
(ucs-set-char #x9185 ?$(Dbf(B) ; J90-D-6266
(ucs-set-char #x9185 ?$(HU%(B) ; C02-H-5525
(ucs-set-char #x9185 ?$Au,(B) ; GB0-A-752C
(ucs-set-char #x9186 ?$(Dbg(B) ; J90-D-6267
(ucs-set-char #x9186 ?$(HU&(B) ; C02-H-5526
(ucs-set-char #x9187 ?$(Cbu(B) ; KS0-C-6275
(ucs-set-char #x9187 ?$(GoT(B) ; C01-G-6F54
(ucs-set-char #x9187 ?$@=f(B) ; J78-@-3D66
(ucs-set-char #x9187 ?$A4<(B) ; GB0-A-343C
(ucs-set-char #x9187 ?$B=f(B) ; J83-B-3D66
(ucs-set-char #x9188 ?$(IO?(B) ; C03-I-4F3F
(ucs-set-char #x9189 ?$(Cv-(B) ; KS0-C-762D
(ucs-set-char #x9189 ?$(GoU(B) ; C01-G-6F55
(ucs-set-char #x9189 ?$@nM(B) ; J78-@-6E4D
(ucs-set-char #x9189 ?$AWm(B) ; GB0-A-576D
(ucs-set-char #x9189 ?$BnM(B) ; J83-B-6E4D
(ucs-set-char #x918A ?$(Dbh(B) ; J90-D-6268
(ucs-set-char #x918A ?$(HU'(B) ; C02-H-5527
(ucs-set-char #x918B ?$(Cu3(B) ; KS0-C-7533
(ucs-set-char #x918B ?$(GoV(B) ; C01-G-6F56
(ucs-set-char #x918B ?$@nL(B) ; J78-@-6E4C
(ucs-set-char #x918B ?$A4W(B) ; GB0-A-3457
(ucs-set-char #x918B ?$BnL(B) ; J83-B-6E4C
(ucs-set-char #x918C ?$(IO@(B) ; C03-I-4F40
(ucs-set-char #x918C ?$Au+(B) ; GB0-A-752B
(ucs-set-char #x918D ?$(Cp5(B) ; KS0-C-7035
(ucs-set-char #x918D ?$(H[)(B) ; C02-H-5B29
(ucs-set-char #x918D ?$@Bi(B) ; J78-@-4269
(ucs-set-char #x918D ?$Au.(B) ; GB0-A-752E
(ucs-set-char #x918D ?$BBi(B) ; J83-B-4269
(ucs-set-char #x918E ?$(Dbi(B) ; J90-D-6269
(ucs-set-char #x918E ?$(IS-(B) ; C03-I-532D
(ucs-set-char #x918F ?$(H[*(B) ; C02-H-5B2A
(ucs-set-char #x9190 ?$(H['(B) ; C02-H-5B27
(ucs-set-char #x9190 ?$@8o(B) ; J78-@-386F
(ucs-set-char #x9190 ?$Au-(B) ; GB0-A-752D
(ucs-set-char #x9190 ?$B8o(B) ; J83-B-386F
(ucs-set-char #x9191 ?$(Dbj(B) ; J90-D-626A
(ucs-set-char #x9191 ?$(H[((B) ; C02-H-5B28
(ucs-set-char #x9191 ?$Au/(B) ; GB0-A-752F
(ucs-set-char #x9192 ?$(Ca%(B) ; KS0-C-6125
(ucs-set-char #x9192 ?$(Gr^(B) ; C01-G-725E
(ucs-set-char #x9192 ?$@@C(B) ; J78-@-4043
(ucs-set-char #x9192 ?$APQ(B) ; GB0-A-5051
(ucs-set-char #x9192 ?$B@C(B) ; J83-B-4043
(ucs-set-char #x9193 ?$(Dbk(B) ; J90-D-626B
(ucs-set-char #x9193 ?$(H[&(B) ; C02-H-5B26
(ucs-set-char #x9194 ?$(Dbl(B) ; J90-D-626C
(ucs-set-char #x9194 ?$(JTB(B) ; C04-J-5442
(ucs-set-char #x9195 ?$(Dbm(B) ; J90-D-626D
(ucs-set-char #x9195 ?$(IS,(B) ; C03-I-532C
(ucs-set-char #x9196 ?$(IS/(B) ; C03-I-532F
(ucs-set-char #x9197 ?$BH0(B) ; J83-B-4830
(ucs-set-char #x9198 ?$(Dbn(B) ; J90-D-626E
(ucs-set-char #x9198 ?$(JY?(B) ; C04-J-593F
(ucs-set-char #x9199 ?$(H_t(B) ; C02-H-5F74
(ucs-set-char #x919A ?$(H_q(B) ; C02-H-5F71
(ucs-set-char #x919A ?$ACQ(B) ; GB0-A-4351
(ucs-set-char #x919B ?$(H_s(B) ; C02-H-5F73
(ucs-set-char #x919B ?$AH)(B) ; GB0-A-4829
(ucs-set-char #x919C ?$(Cu](B) ; KS0-C-755D
(ucs-set-char #x919C ?$(Guk(B) ; C01-G-756B
(ucs-set-char #x919C ?$@=9(B) ; J78-@-3D39
(ucs-set-char #x919C ?$B=9(B) ; J83-B-3D39
(ucs-set-char #x919D ?$(H_w(B) ; C02-H-5F77
(ucs-set-char #x919E ?$(Dbo(B) ; J90-D-626F
(ucs-set-char #x919E ?$(Guj(B) ; C01-G-756A
(ucs-set-char #x919F ?$(H_u(B) ; C02-H-5F75
(ucs-set-char #x91A0 ?$(H_x(B) ; C02-H-5F78
(ucs-set-char #x91A1 ?$(Dbp(B) ; J90-D-6270
(ucs-set-char #x91A1 ?$(H_v(B) ; C02-H-5F76
(ucs-set-char #x91A2 ?$(H_r(B) ; C02-H-5F72
(ucs-set-char #x91A2 ?$@nO(B) ; J78-@-6E4F
(ucs-set-char #x91A2 ?$Au0(B) ; GB0-A-7530
(ucs-set-char #x91A2 ?$BnO(B) ; J83-B-6E4F
(ucs-set-char #x91A3 ?$(Gui(B) ; C01-G-7569
(ucs-set-char #x91A3 ?$Au1(B) ; GB0-A-7531
(ucs-set-char #x91A4 ?$B>_(B) ; J83-B-3E5F
(ucs-set-char #x91A5 ?$(Hcy(B) ; C02-H-6379
(ucs-set-char #x91A6 ?$(Dbq(B) ; J90-D-6271
(ucs-set-char #x91A6 ?$(J^$(B) ; C04-J-5E24
(ucs-set-char #x91A7 ?$(Hcz(B) ; C02-H-637A
(ucs-set-char #x91A8 ?$(Dbr(B) ; J90-D-6272
(ucs-set-char #x91A8 ?$(Hcx(B) ; C02-H-6378
(ucs-set-char #x91A9 ?$(IY=(B) ; C03-I-593D
(ucs-set-char #x91AA ?$(Hc|(B) ; C02-H-637C
(ucs-set-char #x91AA ?$@nR(B) ; J78-@-6E52
(ucs-set-char #x91AA ?$Au2(B) ; GB0-A-7532
(ucs-set-char #x91AA ?$BnR(B) ; J83-B-6E52
(ucs-set-char #x91AB ?$(Cl"(B) ; KS0-C-6C22
(ucs-set-char #x91AB ?$(GwP(B) ; C01-G-7750
(ucs-set-char #x91AB ?$@nP(B) ; J78-@-6E50
(ucs-set-char #x91AB ?$BnP(B) ; J83-B-6E50
(ucs-set-char #x91AC ?$(Cm}(B) ; KS0-C-6D7D
(ucs-set-char #x91AC ?$(Dbs(B) ; J90-D-6273
(ucs-set-char #x91AC ?$(GwQ(B) ; C01-G-7751
(ucs-set-char #x91AC ?$@>_(B) ; J78-@-3E5F
(ucs-set-char #x91AD ?$(Dbt(B) ; J90-D-6274
(ucs-set-char #x91AD ?$(HgK(B) ; C02-H-674B
(ucs-set-char #x91AD ?$Au3(B) ; GB0-A-7533
(ucs-set-char #x91AE ?$(Cu4(B) ; KS0-C-7534
(ucs-set-char #x91AE ?$(Dbu(B) ; J90-D-6275
(ucs-set-char #x91AE ?$(Gy4(B) ; C01-G-7934
(ucs-set-char #x91AE ?$Au4(B) ; GB0-A-7534
(ucs-set-char #x91AF ?$(C{8(B) ; KS0-C-7B38
(ucs-set-char #x91AF ?$(Hc{(B) ; C02-H-637B
(ucs-set-char #x91AF ?$@nQ(B) ; J78-@-6E51
(ucs-set-char #x91AF ?$Au5(B) ; GB0-A-7535
(ucs-set-char #x91AF ?$BnQ(B) ; J83-B-6E51
(ucs-set-char #x91B0 ?$(Dbv(B) ; J90-D-6276
(ucs-set-char #x91B0 ?$(HgJ(B) ; C02-H-674A
(ucs-set-char #x91B1 ?$(C[#(B) ; KS0-C-5B23
(ucs-set-char #x91B1 ?$(Dbw(B) ; J90-D-6277
(ucs-set-char #x91B1 ?$(Gy3(B) ; C01-G-7933
(ucs-set-char #x91B1 ?$@H0(B) ; J78-@-4830
(ucs-set-char #x91B2 ?$(Dbx(B) ; J90-D-6278
(ucs-set-char #x91B2 ?$(Hj3(B) ; C02-H-6A33
(ucs-set-char #x91B3 ?$(Dby(B) ; J90-D-6279
(ucs-set-char #x91B3 ?$(Hj4(B) ; C02-H-6A34
(ucs-set-char #x91B4 ?$(CVJ(B) ; KS0-C-564A
(ucs-set-char #x91B4 ?$(GzJ(B) ; C01-G-7A4A
(ucs-set-char #x91B4 ?$@nT(B) ; J78-@-6E54
(ucs-set-char #x91B4 ?$Au7(B) ; GB0-A-7537
(ucs-set-char #x91B4 ?$BnT(B) ; J83-B-6E54
(ucs-set-char #x91B5 ?$(CKY(B) ; KS0-C-4B59
(ucs-set-char #x91B5 ?$(Hj2(B) ; C02-H-6A32
(ucs-set-char #x91B5 ?$@nS(B) ; J78-@-6E53
(ucs-set-char #x91B5 ?$Au6(B) ; GB0-A-7536
(ucs-set-char #x91B5 ?$BnS(B) ; J83-B-6E53
(ucs-set-char #x91B6 ?$(Dbz(B) ; J90-D-627A
(ucs-set-char #x91B6 ?$(Jde(B) ; C04-J-6465
(ucs-set-char #x91B7 ?$(Hj1(B) ; C02-H-6A31
(ucs-set-char #x91B8 ?$@>z(B) ; J78-@-3E7A
(ucs-set-char #x91B8 ?$B>z(B) ; J83-B-3E7A
(ucs-set-char #x91B9 ?$(HlL(B) ; C02-H-6C4C
(ucs-set-char #x91BA ?$(G{4(B) ; C01-G-7B34
(ucs-set-char #x91BA ?$@nU(B) ; J78-@-6E55
(ucs-set-char #x91BA ?$Au8(B) ; GB0-A-7538
(ucs-set-char #x91BA ?$BnU(B) ; J83-B-6E55
(ucs-set-char #x91BB ?$(Db{(B) ; J90-D-627B
(ucs-set-char #x91BB ?$(I^h(B) ; C03-I-5E68
(ucs-set-char #x91BC ?$(Db|(B) ; J90-D-627C
(ucs-set-char #x91BC ?$(HoW(B) ; C02-H-6F57
(ucs-set-char #x91BD ?$(Db}(B) ; J90-D-627D
(ucs-set-char #x91BD ?$(HpV(B) ; C02-H-7056
(ucs-set-char #x91BE ?$(HpU(B) ; C02-H-7055
(ucs-set-char #x91BF ?$(Db~(B) ; J90-D-627E
(ucs-set-char #x91BF ?$(I`~(B) ; C03-I-607E
(ucs-set-char #x91C0 ?$(CeT(B) ; KS0-C-6554
(ucs-set-char #x91C0 ?$(G|n(B) ; C01-G-7C6E
(ucs-set-char #x91C0 ?$@nV(B) ; J78-@-6E56
(ucs-set-char #x91C0 ?$BnV(B) ; J83-B-6E56
(ucs-set-char #x91C1 ?$(G}*(B) ; C01-G-7D2A
(ucs-set-char #x91C1 ?$@nW(B) ; J78-@-6E57
(ucs-set-char #x91C1 ?$BnW(B) ; J83-B-6E57
(ucs-set-char #x91C2 ?$(Dc!(B) ; J90-D-6321
(ucs-set-char #x91C2 ?$(HpW(B) ; C02-H-7057
(ucs-set-char #x91C3 ?$(Dc"(B) ; J90-D-6322
(ucs-set-char #x91C3 ?$(Hq`(B) ; C02-H-7160
(ucs-set-char #x91C4 ?$(Iam(B) ; C03-I-616D
(ucs-set-char #x91C5 ?$(Dc#(B) ; J90-D-6323
(ucs-set-char #x91C5 ?$(G}<(B) ; C01-G-7D3C
(ucs-set-char #x91C6 ?$(GK](B) ; C01-G-4B5D
(ucs-set-char #x91C6 ?$@HP(B) ; J78-@-4850
(ucs-set-char #x91C6 ?$BHP(B) ; J83-B-4850
(ucs-set-char #x91C7 ?$(Csz(B) ; KS0-C-737A
(ucs-set-char #x91C7 ?$(GOY(B) ; C01-G-4F59
(ucs-set-char #x91C7 ?$@:S(B) ; J78-@-3A53
(ucs-set-char #x91C7 ?$A2I(B) ; GB0-A-3249
(ucs-set-char #x91C7 ?$B:S(B) ; J83-B-3A53
(ucs-set-char #x91C8 ?$@<a(B) ; J78-@-3C61
(ucs-set-char #x91C8 ?$B<a(B) ; J83-B-3C61
(ucs-set-char #x91C9 ?$(Ck8(B) ; KS0-C-6B38
(ucs-set-char #x91C9 ?$(Gg>(B) ; C01-G-673E
(ucs-set-char #x91C9 ?$@nX(B) ; J78-@-6E58
(ucs-set-char #x91C9 ?$AST(B) ; GB0-A-5354
(ucs-set-char #x91C9 ?$BnX(B) ; J83-B-6E58
(ucs-set-char #x91CA ?$AJM(B) ; GB0-A-4A4D
(ucs-set-char #x91CB ?$(C`7(B) ; KS0-C-6037
(ucs-set-char #x91CB ?$(GzK(B) ; C01-G-7A4B
(ucs-set-char #x91CB ?$@nY(B) ; J78-@-6E59
(ucs-set-char #x91CB ?$BnY(B) ; J83-B-6E59
(ucs-set-char #x91CC ?$(CWl(B) ; KS0-C-576C
(ucs-set-char #x91CC ?$(GK^(B) ; C01-G-4B5E
(ucs-set-char #x91CC ?$@N$(B) ; J78-@-4E24
(ucs-set-char #x91CC ?$A@o(B) ; GB0-A-406F
(ucs-set-char #x91CC ?$BN$(B) ; J83-B-4E24
(ucs-set-char #x91CD ?$(Cql(B) ; KS0-C-716C
(ucs-set-char #x91CD ?$(GSl(B) ; C01-G-536C
(ucs-set-char #x91CD ?$@=E(B) ; J78-@-3D45
(ucs-set-char #x91CD ?$AVX(B) ; GB0-A-5658
(ucs-set-char #x91CD ?$B=E(B) ; J83-B-3D45
(ucs-set-char #x91CE ?$(Ce/(B) ; KS0-C-652F
(ucs-set-char #x91CE ?$(G]i(B) ; C01-G-5D69
(ucs-set-char #x91CE ?$@Ln(B) ; J78-@-4C6E
(ucs-set-char #x91CE ?$AR0(B) ; GB0-A-5230
(ucs-set-char #x91CE ?$BLn(B) ; J83-B-4C6E
(ucs-set-char #x91CF ?$(CUa(B) ; KS0-C-5561
(ucs-set-char #x91CF ?$(GbX(B) ; C01-G-6258
(ucs-set-char #x91CF ?$@NL(B) ; J78-@-4E4C
(ucs-set-char #x91CF ?$AA?(B) ; GB0-A-413F
(ucs-set-char #x91CF ?$BNL(B) ; J83-B-4E4C
(ucs-set-char #x91D0 ?$(CWm(B) ; KS0-C-576D
(ucs-set-char #x91D0 ?$(GwR(B) ; C01-G-7752
(ucs-set-char #x91D0 ?$@nZ(B) ; J78-@-6E5A
(ucs-set-char #x91D0 ?$BnZ(B) ; J83-B-6E5A
(ucs-set-char #x91D1 ?$(CQQ(B) ; KS0-C-5151
(ucs-set-char #x91D1 ?$(GOZ(B) ; C01-G-4F5A
(ucs-set-char #x91D1 ?$@6b(B) ; J78-@-3662
(ucs-set-char #x91D1 ?$A=p(B) ; GB0-A-3D70
(ucs-set-char #x91D1 ?$B6b(B) ; J83-B-3662
(ucs-set-char #x91D3 ?$(Dc$(B) ; J90-D-6324
(ucs-set-char #x91D3 ?$(H-b(B) ; C02-H-2D62
(ucs-set-char #x91D4 ?$(Dc%(B) ; J90-D-6325
(ucs-set-char #x91D4 ?$(H-a(B) ; C02-H-2D61
(ucs-set-char #x91D5 ?$(H3E(B) ; C02-H-3345
(ucs-set-char #x91D6 ?$(I40(B) ; C03-I-3430
(ucs-set-char #x91D6 ?$@n[(B) ; J78-@-6E5B
(ucs-set-char #x91D6 ?$Bn[(B) ; J83-B-6E5B
(ucs-set-char #x91D7 ?$(Car(B) ; KS0-C-6172
(ucs-set-char #x91D7 ?$(Dc&(B) ; J90-D-6326
(ucs-set-char #x91D7 ?$(GX](B) ; C01-G-585D
(ucs-set-char #x91D8 ?$(Coy(B) ; KS0-C-6F79
(ucs-set-char #x91D8 ?$(GX[(B) ; C01-G-585B
(ucs-set-char #x91D8 ?$@E#(B) ; J78-@-4523
(ucs-set-char #x91D8 ?$BE#(B) ; J83-B-4523
(ucs-set-char #x91D9 ?$(Dc'(B) ; J90-D-6327
(ucs-set-char #x91D9 ?$(GX_(B) ; C01-G-585F
(ucs-set-char #x91DA ?$(Dc((B) ; J90-D-6328
(ucs-set-char #x91DA ?$(H3G(B) ; C02-H-3347
(ucs-set-char #x91DB ?$(I4-(B) ; C03-I-342D
(ucs-set-char #x91DB ?$@n^(B) ; J78-@-6E5E
(ucs-set-char #x91DB ?$Bn^(B) ; J83-B-6E5E
(ucs-set-char #x91DC ?$(C]<(B) ; KS0-C-5D3C
(ucs-set-char #x91DC ?$(GX^(B) ; C01-G-585E
(ucs-set-char #x91DC ?$@3x(B) ; J78-@-3378
(ucs-set-char #x91DC ?$A8*(B) ; GB0-A-382A
(ucs-set-char #x91DC ?$B3x(B) ; J83-B-3378
(ucs-set-char #x91DD ?$(Cv\(B) ; KS0-C-765C
(ucs-set-char #x91DD ?$(GX\(B) ; C01-G-585C
(ucs-set-char #x91DD ?$@?K(B) ; J78-@-3F4B
(ucs-set-char #x91DD ?$B?K(B) ; J83-B-3F4B
(ucs-set-char #x91DE ?$(Dc)(B) ; J90-D-6329
(ucs-set-char #x91DE ?$(I4/(B) ; C03-I-342F
(ucs-set-char #x91DF ?$(I4.(B) ; C03-I-342E
(ucs-set-char #x91DF ?$@n\(B) ; J78-@-6E5C
(ucs-set-char #x91DF ?$Bn\(B) ; J83-B-6E5C
(ucs-set-char #x91E0 ?$(I41(B) ; C03-I-3431
(ucs-set-char #x91E1 ?$@n](B) ; J78-@-6E5D
(ucs-set-char #x91E1 ?$Bn](B) ; J83-B-6E5D
(ucs-set-char #x91E2 ?$(H3F(B) ; C02-H-3346
(ucs-set-char #x91E3 ?$(Cpe(B) ; KS0-C-7065
(ucs-set-char #x91E3 ?$(G]l(B) ; C01-G-5D6C
(ucs-set-char #x91E3 ?$@D`(B) ; J78-@-4460
(ucs-set-char #x91E3 ?$BD`(B) ; J83-B-4460
(ucs-set-char #x91E4 ?$(Dc*(B) ; J90-D-632A
(ucs-set-char #x91E4 ?$(H:!(B) ; C02-H-3A21
(ucs-set-char #x91E5 ?$(Dc+(B) ; J90-D-632B
(ucs-set-char #x91E5 ?$(I9X(B) ; C03-I-3958
(ucs-set-char #x91E6 ?$(G]k(B) ; C01-G-5D6B
(ucs-set-char #x91E6 ?$@KU(B) ; J78-@-4B55
(ucs-set-char #x91E6 ?$BKU(B) ; J83-B-4B55
(ucs-set-char #x91E7 ?$(CtD(B) ; KS0-C-7444
(ucs-set-char #x91E7 ?$(G]m(B) ; C01-G-5D6D
(ucs-set-char #x91E7 ?$@6|(B) ; J78-@-367C
(ucs-set-char #x91E7 ?$B6|(B) ; J83-B-367C
(ucs-set-char #x91E8 ?$(H:&(B) ; C02-H-3A26
(ucs-set-char #x91E9 ?$(Dc,(B) ; J90-D-632C
(ucs-set-char #x91E9 ?$(G]o(B) ; C01-G-5D6F
(ucs-set-char #x91EA ?$(Cii(B) ; KS0-C-6969
(ucs-set-char #x91EA ?$(Dc-(B) ; J90-D-632D
(ucs-set-char #x91EA ?$(H:#(B) ; C02-H-3A23
(ucs-set-char #x91EB ?$(H:$(B) ; C02-H-3A24
(ucs-set-char #x91EC ?$(Dc.(B) ; J90-D-632E
(ucs-set-char #x91EC ?$(H9z(B) ; C02-H-397A
(ucs-set-char #x91ED ?$(Dc/(B) ; J90-D-632F
(ucs-set-char #x91ED ?$(G]n(B) ; C01-G-5D6E
(ucs-set-char #x91EE ?$(Dc0(B) ; J90-D-6330
(ucs-set-char #x91EE ?$(H:'(B) ; C02-H-3A27
(ucs-set-char #x91EF ?$(Dc1(B) ; J90-D-6331
(ucs-set-char #x91EF ?$(J5{(B) ; C04-J-357B
(ucs-set-char #x91F0 ?$(Dc2(B) ; J90-D-6332
(ucs-set-char #x91F0 ?$(I9W(B) ; C03-I-3957
(ucs-set-char #x91F1 ?$(Dc3(B) ; J90-D-6333
(ucs-set-char #x91F1 ?$(H9|(B) ; C02-H-397C
(ucs-set-char #x91F2 ?$(I9V(B) ; C03-I-3956
(ucs-set-char #x91F3 ?$(H9}(B) ; C02-H-397D
(ucs-set-char #x91F4 ?$(H9{(B) ; C02-H-397B
(ucs-set-char #x91F5 ?$(Cs{(B) ; KS0-C-737B
(ucs-set-char #x91F5 ?$(G]j(B) ; C01-G-5D6A
(ucs-set-char #x91F5 ?$@n`(B) ; J78-@-6E60
(ucs-set-char #x91F5 ?$Bn`(B) ; J83-B-6E60
(ucs-set-char #x91F6 ?$(I9Y(B) ; C03-I-3959
(ucs-set-char #x91F6 ?$@na(B) ; J78-@-6E61
(ucs-set-char #x91F6 ?$Bna(B) ; J83-B-6E61
(ucs-set-char #x91F7 ?$(Dc4(B) ; J90-D-6334
(ucs-set-char #x91F7 ?$(H:%(B) ; C02-H-3A25
(ucs-set-char #x91F8 ?$(H9~(B) ; C02-H-397E
(ucs-set-char #x91F9 ?$(Dc5(B) ; J90-D-6335
(ucs-set-char #x91F9 ?$(H:"(B) ; C02-H-3A22
(ucs-set-char #x91FB ?$(Dc6(B) ; J90-D-6336
(ucs-set-char #x91FC ?$@n_(B) ; J78-@-6E5F
(ucs-set-char #x91FC ?$Bn_(B) ; J83-B-6E5F
(ucs-set-char #x91FD ?$(Dc7(B) ; J90-D-6337
(ucs-set-char #x91FD ?$(HA4(B) ; C02-H-4134
(ucs-set-char #x91FE ?$(I?](B) ; C03-I-3F5D
(ucs-set-char #x91FF ?$(HA3(B) ; C02-H-4133
(ucs-set-char #x91FF ?$@nc(B) ; J78-@-6E63
(ucs-set-char #x91FF ?$Bnc(B) ; J83-B-6E63
(ucs-set-char #x9200 ?$(Dc8(B) ; J90-D-6338
(ucs-set-char #x9200 ?$(HA1(B) ; C02-H-4131
(ucs-set-char #x9201 ?$(Dc9(B) ; J90-D-6339
(ucs-set-char #x9201 ?$(HA)(B) ; C02-H-4129
(ucs-set-char #x9202 ?$(HA8(B) ; C02-H-4138
(ucs-set-char #x9203 ?$(HA,(B) ; C02-H-412C
(ucs-set-char #x9204 ?$(Dc:(B) ; J90-D-633A
(ucs-set-char #x9204 ?$(HA6(B) ; C02-H-4136
(ucs-set-char #x9205 ?$(Dc;(B) ; J90-D-633B
(ucs-set-char #x9205 ?$(HA=(B) ; C02-H-413D
(ucs-set-char #x9206 ?$(Dc<(B) ; J90-D-633C
(ucs-set-char #x9206 ?$(HA5(B) ; C02-H-4135
(ucs-set-char #x9207 ?$(Dc=(B) ; J90-D-633D
(ucs-set-char #x9207 ?$(Gb`(B) ; C01-G-6260
(ucs-set-char #x9208 ?$(I?f(B) ; C03-I-3F66
(ucs-set-char #x9209 ?$(Dc>(B) ; J90-D-633E
(ucs-set-char #x9209 ?$(Gb\(B) ; C01-G-625C
(ucs-set-char #x920A ?$(Dc?(B) ; J90-D-633F
(ucs-set-char #x920A ?$(HA*(B) ; C02-H-412A
(ucs-set-char #x920B ?$(I?`(B) ; C03-I-3F60
(ucs-set-char #x920C ?$(Dc@(B) ; J90-D-6340
(ucs-set-char #x920C ?$(HA0(B) ; C02-H-4130
(ucs-set-char #x920D ?$(CTo(B) ; KS0-C-546F
(ucs-set-char #x920D ?$(Gb^(B) ; C01-G-625E
(ucs-set-char #x920D ?$@F_(B) ; J78-@-465F
(ucs-set-char #x920D ?$BF_(B) ; J83-B-465F
(ucs-set-char #x920E ?$(I?h(B) ; C03-I-3F68
(ucs-set-char #x920E ?$@3C(B) ; J78-@-3343
(ucs-set-char #x920E ?$B3C(B) ; J83-B-3343
(ucs-set-char #x920F ?$(HA/(B) ; C02-H-412F
(ucs-set-char #x9210 ?$(CL"(B) ; KS0-C-4C22
(ucs-set-char #x9210 ?$(DcA(B) ; J90-D-6341
(ucs-set-char #x9210 ?$(Gb_(B) ; C01-G-625F
(ucs-set-char #x9211 ?$(Cw~(B) ; KS0-C-777E
(ucs-set-char #x9211 ?$(Gba(B) ; C01-G-6261
(ucs-set-char #x9211 ?$@ng(B) ; J78-@-6E67
(ucs-set-char #x9211 ?$Bng(B) ; J83-B-6E67
(ucs-set-char #x9212 ?$(C_<(B) ; KS0-C-5F3C
(ucs-set-char #x9212 ?$(DcB(B) ; J90-D-6342
(ucs-set-char #x9212 ?$(HA2(B) ; C02-H-4132
(ucs-set-char #x9213 ?$(DcC(B) ; J90-D-6343
(ucs-set-char #x9213 ?$(I?i(B) ; C03-I-3F69
(ucs-set-char #x9214 ?$(GbY(B) ; C01-G-6259
(ucs-set-char #x9214 ?$@nd(B) ; J78-@-6E64
(ucs-set-char #x9214 ?$Bnd(B) ; J83-B-6E64
(ucs-set-char #x9215 ?$(GbZ(B) ; C01-G-625A
(ucs-set-char #x9215 ?$@nf(B) ; J78-@-6E66
(ucs-set-char #x9215 ?$Bnf(B) ; J83-B-6E66
(ucs-set-char #x9216 ?$(DcD(B) ; J90-D-6344
(ucs-set-char #x9216 ?$(HA>(B) ; C02-H-413E
(ucs-set-char #x9217 ?$(CkM(B) ; KS0-C-6B4D
(ucs-set-char #x9217 ?$(HA<(B) ; C02-H-413C
(ucs-set-char #x9218 ?$(DcE(B) ; J90-D-6345
(ucs-set-char #x9218 ?$(I?b(B) ; C03-I-3F62
(ucs-set-char #x9219 ?$(HA;(B) ; C02-H-413B
(ucs-set-char #x921A ?$(HA-(B) ; C02-H-412D
(ucs-set-char #x921B ?$(I?e(B) ; C03-I-3F65
(ucs-set-char #x921C ?$(DcF(B) ; J90-D-6346
(ucs-set-char #x921C ?$(HA9(B) ; C02-H-4139
(ucs-set-char #x921D ?$(DcG(B) ; J90-D-6347
(ucs-set-char #x921D ?$(J;f(B) ; C04-J-3B66
(ucs-set-char #x921E ?$(CP7(B) ; KS0-C-5037
(ucs-set-char #x921E ?$(Gb](B) ; C01-G-625D
(ucs-set-char #x921E ?$@nb(B) ; J78-@-6E62
(ucs-set-char #x921E ?$Bnb(B) ; J83-B-6E62
(ucs-set-char #x921F ?$(LOo(B) ; C06-L-4F6F
(ucs-set-char #x9220 ?$(I?^(B) ; C03-I-3F5E
(ucs-set-char #x9222 ?$(I?c(B) ; C03-I-3F63
(ucs-set-char #x9223 ?$(DcH(B) ; J90-D-6348
(ucs-set-char #x9223 ?$(Gb[(B) ; C01-G-625B
(ucs-set-char #x9224 ?$(DcI(B) ; J90-D-6349
(ucs-set-char #x9224 ?$(HA:(B) ; C02-H-413A
(ucs-set-char #x9225 ?$(DcJ(B) ; J90-D-634A
(ucs-set-char #x9225 ?$(HA+(B) ; C02-H-412B
(ucs-set-char #x9226 ?$(DcK(B) ; J90-D-634B
(ucs-set-char #x9226 ?$(HA.(B) ; C02-H-412E
(ucs-set-char #x9227 ?$(HA7(B) ; C02-H-4137
(ucs-set-char #x9228 ?$(DcL(B) ; J90-D-634C
(ucs-set-char #x9229 ?$@oO(B) ; J78-@-6F4F
(ucs-set-char #x9229 ?$BoO(B) ; J83-B-6F4F
(ucs-set-char #x922C ?$@ne(B) ; J78-@-6E65
(ucs-set-char #x922C ?$Bne(B) ; J83-B-6E65
(ucs-set-char #x922D ?$(HO"(B) ; C02-H-4F22
(ucs-set-char #x922E ?$(DcM(B) ; J90-D-634D
(ucs-set-char #x922E ?$(HH=(B) ; C02-H-483D
(ucs-set-char #x922F ?$(DcN(B) ; J90-D-634E
(ucs-set-char #x922F ?$(IE.(B) ; C03-I-452E
(ucs-set-char #x9230 ?$(DcO(B) ; J90-D-634F
(ucs-set-char #x9230 ?$(HH6(B) ; C02-H-4836
(ucs-set-char #x9231 ?$(HHI(B) ; C02-H-4849
(ucs-set-char #x9232 ?$(HHR(B) ; C02-H-4852
(ucs-set-char #x9233 ?$(DcP(B) ; J90-D-6350
(ucs-set-char #x9233 ?$(HH9(B) ; C02-H-4839
(ucs-set-char #x9234 ?$(CVB(B) ; KS0-C-5642
(ucs-set-char #x9234 ?$(GgI(B) ; C01-G-6749
(ucs-set-char #x9234 ?$@Nk(B) ; J78-@-4E6B
(ucs-set-char #x9234 ?$BNk(B) ; J83-B-4E6B
(ucs-set-char #x9235 ?$(DcQ(B) ; J90-D-6351
(ucs-set-char #x9235 ?$(IE+(B) ; C03-I-452B
(ucs-set-char #x9236 ?$(DcR(B) ; J90-D-6352
(ucs-set-char #x9236 ?$(HHF(B) ; C02-H-4846
(ucs-set-char #x9237 ?$(Gg?(B) ; C01-G-673F
(ucs-set-char #x9237 ?$@8Z(B) ; J78-@-385A
(ucs-set-char #x9237 ?$B8Z(B) ; J83-B-385A
(ucs-set-char #x9238 ?$(DcS(B) ; J90-D-6353
(ucs-set-char #x9238 ?$(GgA(B) ; C01-G-6741
(ucs-set-char #x9239 ?$(DcT(B) ; J90-D-6354
(ucs-set-char #x9239 ?$(GgM(B) ; C01-G-674D
(ucs-set-char #x923A ?$(Ch-(B) ; KS0-C-682D
(ucs-set-char #x923A ?$(DcU(B) ; J90-D-6355
(ucs-set-char #x923A ?$(HH7(B) ; C02-H-4837
(ucs-set-char #x923B ?$(IE7(B) ; C03-I-4537
(ucs-set-char #x923C ?$(DcV(B) ; J90-D-6356
(ucs-set-char #x923C ?$(IE/(B) ; C03-I-452F
(ucs-set-char #x923D ?$(GgB(B) ; C01-G-6742
(ucs-set-char #x923E ?$(DcW(B) ; J90-D-6357
(ucs-set-char #x923E ?$(GgD(B) ; C01-G-6744
(ucs-set-char #x923F ?$(Co/(B) ; KS0-C-6F2F
(ucs-set-char #x923F ?$(GgN(B) ; C01-G-674E
(ucs-set-char #x923F ?$@no(B) ; J78-@-6E6F
(ucs-set-char #x923F ?$Bno(B) ; J83-B-6E6F
(ucs-set-char #x9240 ?$(CK%(B) ; KS0-C-4B25
(ucs-set-char #x9240 ?$(DcX(B) ; J90-D-6358
(ucs-set-char #x9240 ?$(GgC(B) ; C01-G-6743
(ucs-set-char #x9241 ?$(IE9(B) ; C03-I-4539
(ucs-set-char #x9242 ?$(DcY(B) ; J90-D-6359
(ucs-set-char #x9242 ?$(JAA(B) ; C04-J-4141
(ucs-set-char #x9243 ?$(DcZ(B) ; J90-D-635A
(ucs-set-char #x9243 ?$(JAF(B) ; C04-J-4146
(ucs-set-char #x9244 ?$(IE8(B) ; C03-I-4538
(ucs-set-char #x9244 ?$@E4(B) ; J78-@-4534
(ucs-set-char #x9244 ?$BE4(B) ; J83-B-4534
(ucs-set-char #x9245 ?$(CKi(B) ; KS0-C-4B69
(ucs-set-char #x9245 ?$(GgL(B) ; C01-G-674C
(ucs-set-char #x9245 ?$@nj(B) ; J78-@-6E6A
(ucs-set-char #x9245 ?$Bnj(B) ; J83-B-6E6A
(ucs-set-char #x9246 ?$(Dc[(B) ; J90-D-635B
(ucs-set-char #x9246 ?$(HH?(B) ; C02-H-483F
(ucs-set-char #x9247 ?$(Dc\(B) ; J90-D-635C
(ucs-set-char #x9247 ?$(JAH(B) ; C04-J-4148
(ucs-set-char #x9248 ?$(HH4(B) ; C02-H-4834
(ucs-set-char #x9248 ?$@nm(B) ; J78-@-6E6D
(ucs-set-char #x9248 ?$Bnm(B) ; J83-B-6E6D
(ucs-set-char #x9249 ?$(Czh(B) ; KS0-C-7A68
(ucs-set-char #x9249 ?$(GgJ(B) ; C01-G-674A
(ucs-set-char #x9249 ?$@nk(B) ; J78-@-6E6B
(ucs-set-char #x9249 ?$Bnk(B) ; J83-B-6E6B
(ucs-set-char #x924A ?$(Dc](B) ; J90-D-635D
(ucs-set-char #x924A ?$(HH>(B) ; C02-H-483E
(ucs-set-char #x924B ?$(GgF(B) ; C01-G-6746
(ucs-set-char #x924B ?$@np(B) ; J78-@-6E70
(ucs-set-char #x924B ?$Bnp(B) ; J83-B-6E70
(ucs-set-char #x924C ?$(HHP(B) ; C02-H-4850
(ucs-set-char #x924D ?$(Dc^(B) ; J90-D-635E
(ucs-set-char #x924D ?$(GgK(B) ; C01-G-674B
(ucs-set-char #x924E ?$(Dc_(B) ; J90-D-635F
(ucs-set-char #x924E ?$(HHN(B) ; C02-H-484E
(ucs-set-char #x924F ?$(Dc`(B) ; J90-D-6360
(ucs-set-char #x924F ?$(HHB(B) ; C02-H-4842
(ucs-set-char #x9250 ?$(HHL(B) ; C02-H-484C
(ucs-set-char #x9250 ?$@nq(B) ; J78-@-6E71
(ucs-set-char #x9250 ?$Bnq(B) ; J83-B-6E71
(ucs-set-char #x9251 ?$(Dca(B) ; J90-D-6361
(ucs-set-char #x9251 ?$(GgH(B) ; C01-G-6748
(ucs-set-char #x9252 ?$(HH5(B) ; C02-H-4835
(ucs-set-char #x9253 ?$(HHO(B) ; C02-H-484F
(ucs-set-char #x9254 ?$(HHJ(B) ; C02-H-484A
(ucs-set-char #x9255 ?$(IE*(B) ; C03-I-452A
(ucs-set-char #x9256 ?$(HHQ(B) ; C02-H-4851
(ucs-set-char #x9257 ?$(CLF(B) ; KS0-C-4C46
(ucs-set-char #x9257 ?$(Gg@(B) ; C01-G-6740
(ucs-set-char #x9257 ?$@ni(B) ; J78-@-6E69
(ucs-set-char #x9257 ?$Bni(B) ; J83-B-6E69
(ucs-set-char #x9258 ?$(Dcb(B) ; J90-D-6362
(ucs-set-char #x9258 ?$(JA@(B) ; C04-J-4140
(ucs-set-char #x9259 ?$(Dcc(B) ; J90-D-6363
(ucs-set-char #x9259 ?$(IE-(B) ; C03-I-452D
(ucs-set-char #x925A ?$(GgO(B) ; C01-G-674F
(ucs-set-char #x925A ?$@nv(B) ; J78-@-6E76
(ucs-set-char #x925A ?$Bnv(B) ; J83-B-6E76
(ucs-set-char #x925B ?$(Cfg(B) ; KS0-C-6667
(ucs-set-char #x925B ?$(GgE(B) ; C01-G-6745
(ucs-set-char #x925B ?$@1t(B) ; J78-@-3174
(ucs-set-char #x925B ?$B1t(B) ; J83-B-3174
(ucs-set-char #x925C ?$(Dcd(B) ; J90-D-6364
(ucs-set-char #x925C ?$(IE1(B) ; C03-I-4531
(ucs-set-char #x925D ?$(Dce(B) ; J90-D-6365
(ucs-set-char #x925D ?$(IE)(B) ; C03-I-4529
(ucs-set-char #x925E ?$(CjG(B) ; KS0-C-6A47
(ucs-set-char #x925E ?$(HH;(B) ; C02-H-483B
(ucs-set-char #x925E ?$@nh(B) ; J78-@-6E68
(ucs-set-char #x925E ?$Bnh(B) ; J83-B-6E68
(ucs-set-char #x925F ?$(IE4(B) ; C03-I-4534
(ucs-set-char #x9260 ?$(Dcf(B) ; J90-D-6366
(ucs-set-char #x9260 ?$(HHC(B) ; C02-H-4843
(ucs-set-char #x9261 ?$(Dcg(B) ; J90-D-6367
(ucs-set-char #x9261 ?$(HHG(B) ; C02-H-4847
(ucs-set-char #x9262 ?$(C[$(B) ; KS0-C-5B24
(ucs-set-char #x9262 ?$(IE3(B) ; C03-I-4533
(ucs-set-char #x9262 ?$@H-(B) ; J78-@-482D
(ucs-set-char #x9262 ?$BH-(B) ; J83-B-482D
(ucs-set-char #x9263 ?$(HHK(B) ; C02-H-484B
(ucs-set-char #x9264 ?$(COI(B) ; KS0-C-4F49
(ucs-set-char #x9264 ?$(GgG(B) ; C01-G-6747
(ucs-set-char #x9264 ?$@nl(B) ; J78-@-6E6C
(ucs-set-char #x9264 ?$Bnl(B) ; J83-B-6E6C
(ucs-set-char #x9265 ?$(Cb|(B) ; KS0-C-627C
(ucs-set-char #x9265 ?$(Dch(B) ; J90-D-6368
(ucs-set-char #x9265 ?$(HH:(B) ; C02-H-483A
(ucs-set-char #x9266 ?$(Coz(B) ; KS0-C-6F7A
(ucs-set-char #x9266 ?$(HH8(B) ; C02-H-4838
(ucs-set-char #x9266 ?$@>`(B) ; J78-@-3E60
(ucs-set-char #x9266 ?$B>`(B) ; J83-B-3E60
(ucs-set-char #x9267 ?$(Dci(B) ; J90-D-6369
(ucs-set-char #x9267 ?$(HHD(B) ; C02-H-4844
(ucs-set-char #x9268 ?$(Dcj(B) ; J90-D-636A
(ucs-set-char #x9268 ?$(JAB(B) ; C04-J-4142
(ucs-set-char #x9269 ?$(Dck(B) ; J90-D-636B
(ucs-set-char #x9269 ?$(JAC(B) ; C04-J-4143
(ucs-set-char #x926A ?$(IE2(B) ; C03-I-4532
(ucs-set-char #x926B ?$(IE5(B) ; C03-I-4535
(ucs-set-char #x926C ?$(HHA(B) ; C02-H-4841
(ucs-set-char #x926D ?$(HH@(B) ; C02-H-4840
(ucs-set-char #x926E ?$(Dcl(B) ; J90-D-636C
(ucs-set-char #x926E ?$(IE6(B) ; C03-I-4536
(ucs-set-char #x926F ?$(Dcm(B) ; J90-D-636D
(ucs-set-char #x926F ?$(HHE(B) ; C02-H-4845
(ucs-set-char #x9270 ?$(Dcn(B) ; J90-D-636E
(ucs-set-char #x9270 ?$(HHH(B) ; C02-H-4848
(ucs-set-char #x9271 ?$@9[(B) ; J78-@-395B
(ucs-set-char #x9271 ?$B9[(B) ; J83-B-395B
(ucs-set-char #x9272 ?$(HHM(B) ; C02-H-484D
(ucs-set-char #x9274 ?$A<x(B) ; GB0-A-3C78
(ucs-set-char #x9275 ?$(Dco(B) ; J90-D-636F
(ucs-set-char #x9275 ?$(JGu(B) ; C04-J-4775
(ucs-set-char #x9276 ?$(Dcp(B) ; J90-D-6370
(ucs-set-char #x9276 ?$(HN`(B) ; C02-H-4E60
(ucs-set-char #x9277 ?$(Dcq(B) ; J90-D-6371
(ucs-set-char #x9278 ?$(Dcr(B) ; J90-D-6372
(ucs-set-char #x9278 ?$(GkO(B) ; C01-G-6B4F
(ucs-set-char #x9279 ?$(Dcs(B) ; J90-D-6373
(ucs-set-char #x9279 ?$(HNj(B) ; C02-H-4E6A
(ucs-set-char #x927A ?$(HNb(B) ; C02-H-4E62
(ucs-set-char #x927B ?$(Dct(B) ; J90-D-6374
(ucs-set-char #x927B ?$(GkU(B) ; C01-G-6B55
(ucs-set-char #x927C ?$(Dcu(B) ; J90-D-6375
(ucs-set-char #x927C ?$(GkY(B) ; C01-G-6B59
(ucs-set-char #x927D ?$(Dcv(B) ; J90-D-6376
(ucs-set-char #x927D ?$(HNs(B) ; C02-H-4E73
(ucs-set-char #x927E ?$(HN{(B) ; C02-H-4E7B
(ucs-set-char #x927E ?$@KH(B) ; J78-@-4B48
(ucs-set-char #x927E ?$BKH(B) ; J83-B-4B48
(ucs-set-char #x927F ?$(Dcw(B) ; J90-D-6377
(ucs-set-char #x927F ?$(HNl(B) ; C02-H-4E6C
(ucs-set-char #x9280 ?$(Ck^(B) ; KS0-C-6B5E
(ucs-set-char #x9280 ?$(GkQ(B) ; C01-G-6B51
(ucs-set-char #x9280 ?$@6d(B) ; J78-@-3664
(ucs-set-char #x9280 ?$B6d(B) ; J83-B-3664
(ucs-set-char #x9281 ?$(IJ4(B) ; C03-I-4A34
(ucs-set-char #x9282 ?$(HNp(B) ; C02-H-4E70
(ucs-set-char #x9283 ?$(CuH(B) ; KS0-C-7548
(ucs-set-char #x9283 ?$(HH<(B) ; C02-H-483C
(ucs-set-char #x9283 ?$@=F(B) ; J78-@-3D46
(ucs-set-char #x9283 ?$B=F(B) ; J83-B-3D46
(ucs-set-char #x9284 ?$(IJ5(B) ; C03-I-4A35
(ucs-set-char #x9285 ?$(CT^(B) ; KS0-C-545E
(ucs-set-char #x9285 ?$(GkR(B) ; C01-G-6B52
(ucs-set-char #x9285 ?$@F<(B) ; J78-@-463C
(ucs-set-char #x9285 ?$BF<(B) ; J83-B-463C
(ucs-set-char #x9286 ?$(HNw(B) ; C02-H-4E77
(ucs-set-char #x9287 ?$(HN|(B) ; C02-H-4E7C
(ucs-set-char #x9288 ?$(Dcx(B) ; J90-D-6378
(ucs-set-char #x9288 ?$(HNt(B) ; C02-H-4E74
(ucs-set-char #x9289 ?$(Dcy(B) ; J90-D-6379
(ucs-set-char #x9289 ?$(IJ/(B) ; C03-I-4A2F
(ucs-set-char #x928A ?$(Dcz(B) ; J90-D-637A
(ucs-set-char #x928A ?$(HNv(B) ; C02-H-4E76
(ucs-set-char #x928B ?$(HO!(B) ; C02-H-4F21
(ucs-set-char #x928C ?$(HNx(B) ; C02-H-4E78
(ucs-set-char #x928D ?$(Dc{(B) ; J90-D-637B
(ucs-set-char #x928D ?$(HNf(B) ; C02-H-4E66
(ucs-set-char #x928E ?$(Dc|(B) ; J90-D-637C
(ucs-set-char #x928E ?$(HNo(B) ; C02-H-4E6F
(ucs-set-char #x928E ?$AvF(B) ; GB0-A-7646
(ucs-set-char #x928F ?$(IE0(B) ; C03-I-4530
(ucs-set-char #x9290 ?$(IJ8(B) ; C03-I-4A38
(ucs-set-char #x9291 ?$(C`U(B) ; KS0-C-6055
(ucs-set-char #x9291 ?$(GkZ(B) ; C01-G-6B5A
(ucs-set-char #x9291 ?$@A-(B) ; J78-@-412D
(ucs-set-char #x9291 ?$BA-(B) ; J83-B-412D
(ucs-set-char #x9292 ?$(Dc}(B) ; J90-D-637D
(ucs-set-char #x9292 ?$(IJ3(B) ; C03-I-4A33
(ucs-set-char #x9293 ?$(Co0(B) ; KS0-C-6F30
(ucs-set-char #x9293 ?$(GkV(B) ; C01-G-6B56
(ucs-set-char #x9293 ?$@nt(B) ; J78-@-6E74
(ucs-set-char #x9293 ?$Bnt(B) ; J83-B-6E74
(ucs-set-char #x9294 ?$(HNd(B) ; C02-H-4E64
(ucs-set-char #x9295 ?$(HNq(B) ; C02-H-4E71
(ucs-set-char #x9295 ?$@nn(B) ; J78-@-6E6E
(ucs-set-char #x9295 ?$Bnn(B) ; J83-B-6E6E
(ucs-set-char #x9296 ?$(CbG(B) ; KS0-C-6247
(ucs-set-char #x9296 ?$(GkT(B) ; C01-G-6B54
(ucs-set-char #x9296 ?$@ns(B) ; J78-@-6E73
(ucs-set-char #x9296 ?$Bns(B) ; J83-B-6E73
(ucs-set-char #x9297 ?$(Dc~(B) ; J90-D-637E
(ucs-set-char #x9297 ?$(HNk(B) ; C02-H-4E6B
(ucs-set-char #x9298 ?$(CY/(B) ; KS0-C-592F
(ucs-set-char #x9298 ?$(GkS(B) ; C01-G-6B53
(ucs-set-char #x9298 ?$@LC(B) ; J78-@-4C43
(ucs-set-char #x9298 ?$BLC(B) ; J83-B-4C43
(ucs-set-char #x9299 ?$(Dd!(B) ; J90-D-6421
(ucs-set-char #x9299 ?$(HNy(B) ; C02-H-4E79
(ucs-set-char #x929A ?$(HNh(B) ; C02-H-4E68
(ucs-set-char #x929A ?$@D8(B) ; J78-@-4438
(ucs-set-char #x929A ?$BD8(B) ; J83-B-4438
(ucs-set-char #x929B ?$(HNa(B) ; C02-H-4E61
(ucs-set-char #x929B ?$@nu(B) ; J78-@-6E75
(ucs-set-char #x929B ?$Bnu(B) ; J83-B-6E75
(ucs-set-char #x929C ?$(Cyg(B) ; KS0-C-7967
(ucs-set-char #x929C ?$(GkW(B) ; C01-G-6B57
(ucs-set-char #x929C ?$@nr(B) ; J78-@-6E72
(ucs-set-char #x929C ?$Bnr(B) ; J83-B-6E72
(ucs-set-char #x929D ?$(HN~(B) ; C02-H-4E7E
(ucs-set-char #x929E ?$(IJ9(B) ; C03-I-4A39
(ucs-set-char #x929F ?$(Dd"(B) ; J90-D-6422
(ucs-set-char #x929F ?$(JGw(B) ; C04-J-4777
(ucs-set-char #x92A0 ?$(Dd#(B) ; J90-D-6423
(ucs-set-char #x92A0 ?$(HNc(B) ; C02-H-4E63
(ucs-set-char #x92A1 ?$(HNu(B) ; C02-H-4E75
(ucs-set-char #x92A2 ?$(HNr(B) ; C02-H-4E72
(ucs-set-char #x92A3 ?$(HNm(B) ; C02-H-4E6D
(ucs-set-char #x92A4 ?$(Dd$(B) ; J90-D-6424
(ucs-set-char #x92A4 ?$(HN_(B) ; C02-H-4E5F
(ucs-set-char #x92A5 ?$(Dd%(B) ; J90-D-6425
(ucs-set-char #x92A5 ?$(HN^(B) ; C02-H-4E5E
(ucs-set-char #x92A6 ?$(HNg(B) ; C02-H-4E67
(ucs-set-char #x92A7 ?$(Dd&(B) ; J90-D-6426
(ucs-set-char #x92A7 ?$(HNz(B) ; C02-H-4E7A
(ucs-set-char #x92A8 ?$(Dd'(B) ; J90-D-6427
(ucs-set-char #x92A8 ?$(GkX(B) ; C01-G-6B58
(ucs-set-char #x92A9 ?$(HN}(B) ; C02-H-4E7D
(ucs-set-char #x92AA ?$(HNe(B) ; C02-H-4E65
(ucs-set-char #x92AB ?$(Dd((B) ; J90-D-6428
(ucs-set-char #x92AB ?$(HNi(B) ; C02-H-4E69
(ucs-set-char #x92AC ?$(GkP(B) ; C01-G-6B50
(ucs-set-char #x92AD ?$(IJ2(B) ; C03-I-4A32
(ucs-set-char #x92AD ?$@A,(B) ; J78-@-412C
(ucs-set-char #x92AD ?$BA,(B) ; J83-B-412C
(ucs-set-char #x92AE ?$(IJ7(B) ; C03-I-4A37
(ucs-set-char #x92AE ?$AvG(B) ; GB0-A-7647
(ucs-set-char #x92AF ?$(Dd)(B) ; J90-D-6429
(ucs-set-char #x92B1 ?$(IJ1(B) ; C03-I-4A31
(ucs-set-char #x92B2 ?$(Dd*(B) ; J90-D-642A
(ucs-set-char #x92B2 ?$(Goc(B) ; C01-G-6F63
(ucs-set-char #x92B3 ?$(Cge(B) ; KS0-C-6765
(ucs-set-char #x92B3 ?$(Go^(B) ; C01-G-6F5E
(ucs-set-char #x92B4 ?$(HUM(B) ; C02-H-554D
(ucs-set-char #x92B5 ?$(HUI(B) ; C02-H-5549
(ucs-set-char #x92B6 ?$(COJ(B) ; KS0-C-4F4A
(ucs-set-char #x92B6 ?$(Dd+(B) ; J90-D-642B
(ucs-set-char #x92B6 ?$(HU1(B) ; C02-H-5531
(ucs-set-char #x92B7 ?$(CaQ(B) ; KS0-C-6151
(ucs-set-char #x92B7 ?$(GoZ(B) ; C01-G-6F5A
(ucs-set-char #x92B7 ?$@ny(B) ; J78-@-6E79
(ucs-set-char #x92B7 ?$Bny(B) ; J83-B-6E79
(ucs-set-char #x92B8 ?$(Dd,(B) ; J90-D-642C
(ucs-set-char #x92B8 ?$(IOB(B) ; C03-I-4F42
(ucs-set-char #x92B9 ?$(CbH(B) ; KS0-C-6248
(ucs-set-char #x92B9 ?$(IOP(B) ; C03-I-4F50
(ucs-set-char #x92B9 ?$@nx(B) ; J78-@-6E78
(ucs-set-char #x92B9 ?$Bnx(B) ; J83-B-6E78
(ucs-set-char #x92BA ?$(Dd-(B) ; J90-D-642D
(ucs-set-char #x92BA ?$(JNE(B) ; C04-J-4E45
(ucs-set-char #x92BB ?$(Dd.(B) ; J90-D-642E
(ucs-set-char #x92BB ?$(GoY(B) ; C01-G-6F59
(ucs-set-char #x92BC ?$(Dd/(B) ; J90-D-642F
(ucs-set-char #x92BC ?$(Go_(B) ; C01-G-6F5F
(ucs-set-char #x92BD ?$(Dd0(B) ; J90-D-6430
(ucs-set-char #x92BD ?$(JNG(B) ; C04-J-4E47
(ucs-set-char #x92BE ?$(IOC(B) ; C03-I-4F43
(ucs-set-char #x92BF ?$(Dd1(B) ; J90-D-6431
(ucs-set-char #x92BF ?$(IOA(B) ; C03-I-4F41
(ucs-set-char #x92C0 ?$(Dd2(B) ; J90-D-6432
(ucs-set-char #x92C0 ?$(HU/(B) ; C02-H-552F
(ucs-set-char #x92C1 ?$(Dd3(B) ; J90-D-6433
(ucs-set-char #x92C1 ?$(Go](B) ; C01-G-6F5D
(ucs-set-char #x92C2 ?$(Dd4(B) ; J90-D-6434
(ucs-set-char #x92C2 ?$(HU;(B) ; C02-H-553B
(ucs-set-char #x92C3 ?$(Dd5(B) ; J90-D-6435
(ucs-set-char #x92C3 ?$(HU-(B) ; C02-H-552D
(ucs-set-char #x92C4 ?$(HU.(B) ; C02-H-552E
(ucs-set-char #x92C5 ?$(Dd6(B) ; J90-D-6436
(ucs-set-char #x92C5 ?$(GoX(B) ; C01-G-6F58
(ucs-set-char #x92C6 ?$(Dd7(B) ; J90-D-6437
(ucs-set-char #x92C6 ?$(HUL(B) ; C02-H-554C
(ucs-set-char #x92C7 ?$(Dd8(B) ; J90-D-6438
(ucs-set-char #x92C7 ?$(Goa(B) ; C01-G-6F61
(ucs-set-char #x92C8 ?$(Dd9(B) ; J90-D-6439
(ucs-set-char #x92C8 ?$(HU>(B) ; C02-H-553E
(ucs-set-char #x92C8 ?$AvH(B) ; GB0-A-7648
(ucs-set-char #x92C9 ?$(HUC(B) ; C02-H-5543
(ucs-set-char #x92CA ?$(HU=(B) ; C02-H-553D
(ucs-set-char #x92CB ?$(Dd:(B) ; J90-D-643A
(ucs-set-char #x92CB ?$(H[<(B) ; C02-H-5B3C
(ucs-set-char #x92CC ?$(Co{(B) ; KS0-C-6F7B
(ucs-set-char #x92CC ?$(Dd;(B) ; J90-D-643B
(ucs-set-char #x92CC ?$(HU9(B) ; C02-H-5539
(ucs-set-char #x92CD ?$(Dd<(B) ; J90-D-643C
(ucs-set-char #x92CD ?$(HUA(B) ; C02-H-5541
(ucs-set-char #x92CE ?$(Dd=(B) ; J90-D-643D
(ucs-set-char #x92CE ?$(HU?(B) ; C02-H-553F
(ucs-set-char #x92CF ?$(Czy(B) ; KS0-C-7A79
(ucs-set-char #x92CF ?$(HU2(B) ; C02-H-5532
(ucs-set-char #x92CF ?$@nw(B) ; J78-@-6E77
(ucs-set-char #x92CF ?$Bnw(B) ; J83-B-6E77
(ucs-set-char #x92D0 ?$(Dd>(B) ; J90-D-643E
(ucs-set-char #x92D0 ?$(HU,(B) ; C02-H-552C
(ucs-set-char #x92D1 ?$(HUG(B) ; C02-H-5547
(ucs-set-char #x92D2 ?$(C\r(B) ; KS0-C-5C72
(ucs-set-char #x92D2 ?$(Go`(B) ; C01-G-6F60
(ucs-set-char #x92D2 ?$@K/(B) ; J78-@-4B2F
(ucs-set-char #x92D2 ?$BK/(B) ; J83-B-4B2F
(ucs-set-char #x92D3 ?$(Dd?(B) ; J90-D-643F
(ucs-set-char #x92D3 ?$(HUH(B) ; C02-H-5548
(ucs-set-char #x92D4 ?$(IOH(B) ; C03-I-4F48
(ucs-set-char #x92D5 ?$(Dd@(B) ; J90-D-6440
(ucs-set-char #x92D5 ?$(HUB(B) ; C02-H-5542
(ucs-set-char #x92D6 ?$(IOI(B) ; C03-I-4F49
(ucs-set-char #x92D7 ?$(DdA(B) ; J90-D-6441
(ucs-set-char #x92D7 ?$(HU7(B) ; C02-H-5537
(ucs-set-char #x92D8 ?$(DdB(B) ; J90-D-6442
(ucs-set-char #x92D8 ?$(HU5(B) ; C02-H-5535
(ucs-set-char #x92D9 ?$(DdC(B) ; J90-D-6443
(ucs-set-char #x92D9 ?$(HU0(B) ; C02-H-5530
(ucs-set-char #x92DA ?$(IOK(B) ; C03-I-4F4B
(ucs-set-char #x92DB ?$(ION(B) ; C03-I-4F4E
(ucs-set-char #x92DC ?$(DdD(B) ; J90-D-6444
(ucs-set-char #x92DC ?$(IOD(B) ; C03-I-4F44
(ucs-set-char #x92DD ?$(DdE(B) ; J90-D-6445
(ucs-set-char #x92DD ?$(HU8(B) ; C02-H-5538
(ucs-set-char #x92DE ?$(HUE(B) ; C02-H-5545
(ucs-set-char #x92DF ?$(DdF(B) ; J90-D-6446
(ucs-set-char #x92DF ?$(HU4(B) ; C02-H-5534
(ucs-set-char #x92E0 ?$(DdG(B) ; J90-D-6447
(ucs-set-char #x92E0 ?$(HUD(B) ; C02-H-5544
(ucs-set-char #x92E1 ?$(DdH(B) ; J90-D-6448
(ucs-set-char #x92E1 ?$(HUJ(B) ; C02-H-554A
(ucs-set-char #x92E2 ?$(IOQ(B) ; C03-I-4F51
(ucs-set-char #x92E3 ?$(DdI(B) ; J90-D-6449
(ucs-set-char #x92E3 ?$(JNF(B) ; C04-J-4E46
(ucs-set-char #x92E4 ?$(C`'(B) ; KS0-C-6027
(ucs-set-char #x92E4 ?$(Go\(B) ; C01-G-6F5C
(ucs-set-char #x92E4 ?$@={(B) ; J78-@-3D7B
(ucs-set-char #x92E4 ?$B={(B) ; J83-B-3D7B
(ucs-set-char #x92E5 ?$(DdJ(B) ; J90-D-644A
(ucs-set-char #x92E5 ?$(IOE(B) ; C03-I-4F45
(ucs-set-char #x92E6 ?$(HU@(B) ; C02-H-5540
(ucs-set-char #x92E7 ?$(DdK(B) ; J90-D-644B
(ucs-set-char #x92E7 ?$(HUF(B) ; C02-H-5546
(ucs-set-char #x92E8 ?$(DdL(B) ; J90-D-644C
(ucs-set-char #x92E8 ?$(HU<(B) ; C02-H-553C
(ucs-set-char #x92E9 ?$(HU6(B) ; C02-H-5536
(ucs-set-char #x92E9 ?$@nz(B) ; J78-@-6E7A
(ucs-set-char #x92E9 ?$Bnz(B) ; J83-B-6E7A
(ucs-set-char #x92EA ?$(Cxh(B) ; KS0-C-7868
(ucs-set-char #x92EA ?$(Go[(B) ; C01-G-6F5B
(ucs-set-char #x92EA ?$@J_(B) ; J78-@-4A5F
(ucs-set-char #x92EA ?$BJ_(B) ; J83-B-4A5F
(ucs-set-char #x92EB ?$(IOR(B) ; C03-I-4F52
(ucs-set-char #x92EC ?$(DdM(B) ; J90-D-644D
(ucs-set-char #x92EC ?$(JND(B) ; C04-J-4E44
(ucs-set-char #x92ED ?$(IOL(B) ; C03-I-4F4C
(ucs-set-char #x92ED ?$@1T(B) ; J78-@-3154
(ucs-set-char #x92ED ?$B1T(B) ; J83-B-3154
(ucs-set-char #x92EE ?$(DdN(B) ; J90-D-644E
(ucs-set-char #x92EE ?$(HNn(B) ; C02-H-4E6E
(ucs-set-char #x92EF ?$(HU:(B) ; C02-H-553A
(ucs-set-char #x92F0 ?$(DdO(B) ; J90-D-644F
(ucs-set-char #x92F0 ?$(Gob(B) ; C01-G-6F62
(ucs-set-char #x92F1 ?$(HU3(B) ; C02-H-5533
(ucs-set-char #x92F2 ?$@IF(B) ; J78-@-4946
(ucs-set-char #x92F2 ?$BIF(B) ; J83-B-4946
(ucs-set-char #x92F3 ?$(IOM(B) ; C03-I-4F4D
(ucs-set-char #x92F3 ?$@Cr(B) ; J78-@-4372
(ucs-set-char #x92F3 ?$BCr(B) ; J83-B-4372
(ucs-set-char #x92F6 ?$(IJ0(B) ; C03-I-4A30
(ucs-set-char #x92F7 ?$(H[A(B) ; C02-H-5B41
(ucs-set-char #x92F8 ?$(CKj(B) ; KS0-C-4B6A
(ucs-set-char #x92F8 ?$(Gra(B) ; C01-G-7261
(ucs-set-char #x92F8 ?$@5x(B) ; J78-@-3578
(ucs-set-char #x92F8 ?$B5x(B) ; J83-B-3578
(ucs-set-char #x92F9 ?$(DdP(B) ; J90-D-6450
(ucs-set-char #x92F9 ?$(H[@(B) ; C02-H-5B40
(ucs-set-char #x92FA ?$(H[>(B) ; C02-H-5B3E
(ucs-set-char #x92FA ?$@n|(B) ; J78-@-6E7C
(ucs-set-char #x92FA ?$Bn|(B) ; J83-B-6E7C
(ucs-set-char #x92FB ?$(DdQ(B) ; J90-D-6451
(ucs-set-char #x92FB ?$(H[P(B) ; C02-H-5B50
(ucs-set-char #x92FC ?$(CK<(B) ; KS0-C-4B3C
(ucs-set-char #x92FC ?$(Gre(B) ; C01-G-7265
(ucs-set-char #x92FC ?$@9](B) ; J78-@-395D
(ucs-set-char #x92FC ?$B9](B) ; J83-B-395D
(ucs-set-char #x92FD ?$(IS5(B) ; C03-I-5335
(ucs-set-char #x92FE ?$(H[M(B) ; C02-H-5B4D
(ucs-set-char #x92FF ?$(DdR(B) ; J90-D-6452
(ucs-set-char #x92FF ?$(H[E(B) ; C02-H-5B45
(ucs-set-char #x9300 ?$(DdS(B) ; J90-D-6453
(ucs-set-char #x9300 ?$(H[O(B) ; C02-H-5B4F
(ucs-set-char #x9301 ?$(H[7(B) ; C02-H-5B37
(ucs-set-char #x9302 ?$(DdT(B) ; J90-D-6454
(ucs-set-char #x9302 ?$(H[C(B) ; C02-H-5B43
(ucs-set-char #x9303 ?$(IS=(B) ; C03-I-533D
(ucs-set-char #x9304 ?$(CVb(B) ; KS0-C-5662
(ucs-set-char #x9304 ?$(Grg(B) ; C01-G-7267
(ucs-set-char #x9305 ?$(IS>(B) ; C03-I-533E
(ucs-set-char #x9306 ?$(H[/(B) ; C02-H-5B2F
(ucs-set-char #x9306 ?$@;,(B) ; J78-@-3B2C
(ucs-set-char #x9306 ?$B;,(B) ; J83-B-3B2C
(ucs-set-char #x9307 ?$(IS8(B) ; C03-I-5338
(ucs-set-char #x9308 ?$(DdU(B) ; J90-D-6455
(ucs-set-char #x9308 ?$(H[-(B) ; C02-H-5B2D
(ucs-set-char #x9309 ?$(H[N(B) ; C02-H-5B4E
(ucs-set-char #x930A ?$(IS2(B) ; C03-I-5332
(ucs-set-char #x930B ?$(H[L(B) ; C02-H-5B4C
(ucs-set-char #x930C ?$(H[K(B) ; C02-H-5B4B
(ucs-set-char #x930D ?$(DdV(B) ; J90-D-6456
(ucs-set-char #x930D ?$(H[;(B) ; C02-H-5B3B
(ucs-set-char #x930E ?$(H[:(B) ; C02-H-5B3A
(ucs-set-char #x930F ?$(H[0(B) ; C02-H-5B30
(ucs-set-char #x930F ?$@n{(B) ; J78-@-6E7B
(ucs-set-char #x930F ?$Bn{(B) ; J83-B-6E7B
(ucs-set-char #x9310 ?$(Cu^(B) ; KS0-C-755E
(ucs-set-char #x9310 ?$(Gri(B) ; C01-G-7269
(ucs-set-char #x9310 ?$@?m(B) ; J78-@-3F6D
(ucs-set-char #x9310 ?$B?m(B) ; J83-B-3F6D
(ucs-set-char #x9311 ?$(DdW(B) ; J90-D-6457
(ucs-set-char #x9311 ?$(JTC(B) ; C04-J-5443
(ucs-set-char #x9312 ?$(H[6(B) ; C02-H-5B36
(ucs-set-char #x9313 ?$(H[?(B) ; C02-H-5B3F
(ucs-set-char #x9314 ?$(DdX(B) ; J90-D-6458
(ucs-set-char #x9314 ?$(H[J(B) ; C02-H-5B4A
(ucs-set-char #x9315 ?$(DdY(B) ; J90-D-6459
(ucs-set-char #x9315 ?$(Grl(B) ; C01-G-726C
(ucs-set-char #x9316 ?$(H[Q(B) ; C02-H-5B51
(ucs-set-char #x9317 ?$(IS6(B) ; C03-I-5336
(ucs-set-char #x9318 ?$(Cu_(B) ; KS0-C-755F
(ucs-set-char #x9318 ?$(Gus(B) ; C01-G-7573
(ucs-set-char #x9318 ?$@?n(B) ; J78-@-3F6E
(ucs-set-char #x9318 ?$B?n(B) ; J83-B-3F6E
(ucs-set-char #x9319 ?$(Grn(B) ; C01-G-726E
(ucs-set-char #x9319 ?$@o!(B) ; J78-@-6F21
(ucs-set-char #x9319 ?$Bo!(B) ; J83-B-6F21
(ucs-set-char #x931A ?$(Cn6(B) ; KS0-C-6E36
(ucs-set-char #x931A ?$(Grh(B) ; C01-G-7268
(ucs-set-char #x931A ?$@o#(B) ; J78-@-6F23
(ucs-set-char #x931A ?$Bo#(B) ; J83-B-6F23
(ucs-set-char #x931B ?$(H[4(B) ; C02-H-5B34
(ucs-set-char #x931C ?$(DdZ(B) ; J90-D-645A
(ucs-set-char #x931C ?$(IS7(B) ; C03-I-5337
(ucs-set-char #x931D ?$(Dd[(B) ; J90-D-645B
(ucs-set-char #x931D ?$(H[=(B) ; C02-H-5B3D
(ucs-set-char #x931E ?$(Cbv(B) ; KS0-C-6276
(ucs-set-char #x931E ?$(Dd\(B) ; J90-D-645C
(ucs-set-char #x931E ?$(H[,(B) ; C02-H-5B2C
(ucs-set-char #x931F ?$(CSJ(B) ; KS0-C-534A
(ucs-set-char #x931F ?$(Dd](B) ; J90-D-645D
(ucs-set-char #x931F ?$(H[.(B) ; C02-H-5B2E
(ucs-set-char #x9320 ?$(Co|(B) ; KS0-C-6F7C
(ucs-set-char #x9320 ?$(Gr_(B) ; C01-G-725F
(ucs-set-char #x9320 ?$@>{(B) ; J78-@-3E7B
(ucs-set-char #x9320 ?$B>{(B) ; J83-B-3E7B
(ucs-set-char #x9321 ?$(CQD(B) ; KS0-C-5144
(ucs-set-char #x9321 ?$(Dd^(B) ; J90-D-645E
(ucs-set-char #x9321 ?$(Grk(B) ; C01-G-726B
(ucs-set-char #x9322 ?$(Co1(B) ; KS0-C-6F31
(ucs-set-char #x9322 ?$(Grd(B) ; C01-G-7264
(ucs-set-char #x9322 ?$@o"(B) ; J78-@-6F22
(ucs-set-char #x9322 ?$Bo"(B) ; J83-B-6F22
(ucs-set-char #x9323 ?$(H[5(B) ; C02-H-5B35
(ucs-set-char #x9323 ?$@o$(B) ; J78-@-6F24
(ucs-set-char #x9323 ?$Bo$(B) ; J83-B-6F24
(ucs-set-char #x9324 ?$(CQE(B) ; KS0-C-5145
(ucs-set-char #x9324 ?$(Dd_(B) ; J90-D-645F
(ucs-set-char #x9324 ?$(H[D(B) ; C02-H-5B44
(ucs-set-char #x9325 ?$(Dd`(B) ; J90-D-6460
(ucs-set-char #x9325 ?$(HUK(B) ; C02-H-554B
(ucs-set-char #x9326 ?$(CP^(B) ; KS0-C-505E
(ucs-set-char #x9326 ?$(Grj(B) ; C01-G-726A
(ucs-set-char #x9326 ?$@6S(B) ; J78-@-3653
(ucs-set-char #x9326 ?$B6S(B) ; J83-B-3653
(ucs-set-char #x9327 ?$(Dda(B) ; J90-D-6461
(ucs-set-char #x9327 ?$(H[+(B) ; C02-H-5B2B
(ucs-set-char #x9328 ?$(CYa(B) ; KS0-C-5961
(ucs-set-char #x9328 ?$(Gun(B) ; C01-G-756E
(ucs-set-char #x9328 ?$@IE(B) ; J78-@-4945
(ucs-set-char #x9328 ?$BIE(B) ; J83-B-4945
(ucs-set-char #x9329 ?$(Ddb(B) ; J90-D-6462
(ucs-set-char #x9329 ?$(H[F(B) ; C02-H-5B46
(ucs-set-char #x932A ?$(Ddc(B) ; J90-D-6463
(ucs-set-char #x932A ?$(H[I(B) ; C02-H-5B49
(ucs-set-char #x932B ?$(C`8(B) ; KS0-C-6038
(ucs-set-char #x932B ?$(Grf(B) ; C01-G-7266
(ucs-set-char #x932B ?$@<b(B) ; J78-@-3C62
(ucs-set-char #x932B ?$B<b(B) ; J83-B-3C62
(ucs-set-char #x932C ?$(IS;(B) ; C03-I-533B
(ucs-set-char #x932C ?$@O#(B) ; J78-@-4F23
(ucs-set-char #x932C ?$BO#(B) ; J83-B-4F23
(ucs-set-char #x932D ?$(H[9(B) ; C02-H-5B39
(ucs-set-char #x932E ?$(CMQ(B) ; KS0-C-4D51
(ucs-set-char #x932E ?$(Grm(B) ; C01-G-726D
(ucs-set-char #x932E ?$@n~(B) ; J78-@-6E7E
(ucs-set-char #x932E ?$Bn~(B) ; J83-B-6E7E
(ucs-set-char #x932F ?$(Cs9(B) ; KS0-C-7339
(ucs-set-char #x932F ?$(Grc(B) ; C01-G-7263
(ucs-set-char #x932F ?$@:x(B) ; J78-@-3A78
(ucs-set-char #x932F ?$B:x(B) ; J83-B-3A78
(ucs-set-char #x9330 ?$(IS<(B) ; C03-I-533C
(ucs-set-char #x9331 ?$(IS9(B) ; C03-I-5339
(ucs-set-char #x9332 ?$(IS:(B) ; C03-I-533A
(ucs-set-char #x9332 ?$@O?(B) ; J78-@-4F3F
(ucs-set-char #x9332 ?$BO?(B) ; J83-B-4F3F
(ucs-set-char #x9333 ?$(Ddd(B) ; J90-D-6464
(ucs-set-char #x9333 ?$(Grb(B) ; C01-G-7262
(ucs-set-char #x9334 ?$(Dde(B) ; J90-D-6465
(ucs-set-char #x9334 ?$(H[B(B) ; C02-H-5B42
(ucs-set-char #x9335 ?$(H[H(B) ; C02-H-5B48
(ucs-set-char #x9335 ?$@o&(B) ; J78-@-6F26
(ucs-set-char #x9335 ?$Bo&(B) ; J83-B-6F26
(ucs-set-char #x9336 ?$(Ddf(B) ; J90-D-6466
(ucs-set-char #x9336 ?$(Gr`(B) ; C01-G-7260
(ucs-set-char #x9337 ?$(Ddg(B) ; J90-D-6467
(ucs-set-char #x9337 ?$(JTE(B) ; C04-J-5445
(ucs-set-char #x9338 ?$(H[2(B) ; C02-H-5B32
(ucs-set-char #x9339 ?$(H[G(B) ; C02-H-5B47
(ucs-set-char #x933A ?$@o%(B) ; J78-@-6F25
(ucs-set-char #x933A ?$Bo%(B) ; J83-B-6F25
(ucs-set-char #x933B ?$@o'(B) ; J78-@-6F27
(ucs-set-char #x933B ?$Bo'(B) ; J83-B-6F27
(ucs-set-char #x933C ?$(H[3(B) ; C02-H-5B33
(ucs-set-char #x933E ?$AvI(B) ; GB0-A-7649
(ucs-set-char #x9343 ?$(JTI(B) ; C04-J-5449
(ucs-set-char #x9344 ?$@n}(B) ; J78-@-6E7D
(ucs-set-char #x9344 ?$Bn}(B) ; J83-B-6E7D
(ucs-set-char #x9345 ?$(IS1(B) ; C03-I-5331
(ucs-set-char #x9346 ?$(H[8(B) ; C02-H-5B38
(ucs-set-char #x9347 ?$(Ddh(B) ; J90-D-6468
(ucs-set-char #x9347 ?$(H_~(B) ; C02-H-5F7E
(ucs-set-char #x9348 ?$(CgL(B) ; KS0-C-674C
(ucs-set-char #x9348 ?$(Ddi(B) ; J90-D-6469
(ucs-set-char #x9348 ?$(IVe(B) ; C03-I-5665
(ucs-set-char #x9349 ?$(Ddj(B) ; J90-D-646A
(ucs-set-char #x9349 ?$(H`%(B) ; C02-H-6025
(ucs-set-char #x934A ?$(CV((B) ; KS0-C-5628
(ucs-set-char #x934A ?$(Gup(B) ; C01-G-7570
(ucs-set-char #x934B ?$(CN'(B) ; KS0-C-4E27
(ucs-set-char #x934B ?$(Gur(B) ; C01-G-7572
(ucs-set-char #x934B ?$@Fi(B) ; J78-@-4669
(ucs-set-char #x934B ?$BFi(B) ; J83-B-4669
(ucs-set-char #x934C ?$(H`+(B) ; C02-H-602B
(ucs-set-char #x934D ?$(CT5(B) ; KS0-C-5435
(ucs-set-char #x934D ?$(Gul(B) ; C01-G-756C
(ucs-set-char #x934D ?$@EU(B) ; J78-@-4555
(ucs-set-char #x934D ?$BEU(B) ; J83-B-4555
(ucs-set-char #x934E ?$(H`9(B) ; C02-H-6039
(ucs-set-char #x934F ?$(H`1(B) ; C02-H-6031
(ucs-set-char #x9350 ?$(Ddk(B) ; J90-D-646B
(ucs-set-char #x9350 ?$(H`&(B) ; C02-H-6026
(ucs-set-char #x9351 ?$(Ddl(B) ; J90-D-646C
(ucs-set-char #x9351 ?$(H`'(B) ; C02-H-6027
(ucs-set-char #x9352 ?$(Ddm(B) ; J90-D-646D
(ucs-set-char #x9352 ?$(H`0(B) ; C02-H-6030
(ucs-set-char #x9353 ?$(IVf(B) ; C03-I-5666
(ucs-set-char #x9354 ?$(CdH(B) ; KS0-C-6448
(ucs-set-char #x9354 ?$(Guy(B) ; C01-G-7579
(ucs-set-char #x9354 ?$@DW(B) ; J78-@-4457
(ucs-set-char #x9354 ?$BDW(B) ; J83-B-4457
(ucs-set-char #x9355 ?$(Ddn(B) ; J90-D-646E
(ucs-set-char #x9355 ?$(H`/(B) ; C02-H-602F
(ucs-set-char #x9356 ?$(H_}(B) ; C02-H-5F7D
(ucs-set-char #x9356 ?$@o,(B) ; J78-@-6F2C
(ucs-set-char #x9356 ?$Bo,(B) ; J83-B-6F2C
(ucs-set-char #x9357 ?$(Ddo(B) ; J90-D-646F
(ucs-set-char #x9357 ?$(H`.(B) ; C02-H-602E
(ucs-set-char #x9358 ?$(Ddp(B) ; J90-D-6470
(ucs-set-char #x9358 ?$(H`"(B) ; C02-H-6022
(ucs-set-char #x9359 ?$(H`:(B) ; C02-H-603A
(ucs-set-char #x935A ?$(Ddq(B) ; J90-D-6471
(ucs-set-char #x935A ?$(Gux(B) ; C01-G-7578
(ucs-set-char #x935B ?$(CS4(B) ; KS0-C-5334
(ucs-set-char #x935B ?$(Guv(B) ; C01-G-7576
(ucs-set-char #x935B ?$@CC(B) ; J78-@-4343
(ucs-set-char #x935B ?$BCC(B) ; J83-B-4343
(ucs-set-char #x935C ?$(H`#(B) ; C02-H-6023
(ucs-set-char #x935C ?$@o((B) ; J78-@-6F28
(ucs-set-char #x935C ?$Bo((B) ; J83-B-6F28
(ucs-set-char #x935D ?$(IV](B) ; C03-I-565D
(ucs-set-char #x935E ?$(Ddr(B) ; J90-D-6472
(ucs-set-char #x935E ?$(H`6(B) ; C02-H-6036
(ucs-set-char #x935F ?$(IVg(B) ; C03-I-5667
(ucs-set-char #x9360 ?$(H`((B) ; C02-H-6028
(ucs-set-char #x9360 ?$@o)(B) ; J78-@-6F29
(ucs-set-char #x9360 ?$Bo)(B) ; J83-B-6F29
(ucs-set-char #x9361 ?$(H`5(B) ; C02-H-6035
(ucs-set-char #x9362 ?$(IVd(B) ; C03-I-5664
(ucs-set-char #x9363 ?$(H`7(B) ; C02-H-6037
(ucs-set-char #x9364 ?$(Dds(B) ; J90-D-6473
(ucs-set-char #x9364 ?$(H_|(B) ; C02-H-5F7C
(ucs-set-char #x9365 ?$(Ddt(B) ; J90-D-6474
(ucs-set-char #x9365 ?$(Guq(B) ; C01-G-7571
(ucs-set-char #x9366 ?$(IV[(B) ; C03-I-565B
(ucs-set-char #x9367 ?$(Ddu(B) ; J90-D-6475
(ucs-set-char #x9367 ?$(H`8(B) ; C02-H-6038
(ucs-set-char #x9368 ?$(IVh(B) ; C03-I-5668
(ucs-set-char #x9369 ?$(Ddv(B) ; J90-D-6476
(ucs-set-char #x9369 ?$(IV^(B) ; C03-I-565E
(ucs-set-char #x936A ?$(Ddw(B) ; J90-D-6477
(ucs-set-char #x936A ?$(H`,(B) ; C02-H-602C
(ucs-set-char #x936A ?$AvJ(B) ; GB0-A-764A
(ucs-set-char #x936B ?$(IVk(B) ; C03-I-566B
(ucs-set-char #x936C ?$(Guu(B) ; C01-G-7575
(ucs-set-char #x936C ?$@7-(B) ; J78-@-372D
(ucs-set-char #x936C ?$B7-(B) ; J83-B-372D
(ucs-set-char #x936D ?$(Ddx(B) ; J90-D-6478
(ucs-set-char #x936D ?$(H`)(B) ; C02-H-6029
(ucs-set-char #x936E ?$(Ck9(B) ; KS0-C-6B39
(ucs-set-char #x936E ?$(IVa(B) ; C03-I-5661
(ucs-set-char #x936E ?$@o+(B) ; J78-@-6F2B
(ucs-set-char #x936E ?$Bo+(B) ; J83-B-6F2B
(ucs-set-char #x936F ?$(Ddy(B) ; J90-D-6479
(ucs-set-char #x936F ?$(JYI(B) ; C04-J-5949
(ucs-set-char #x9370 ?$(Ddz(B) ; J90-D-647A
(ucs-set-char #x9370 ?$(Guw(B) ; C01-G-7577
(ucs-set-char #x9371 ?$(Dd{(B) ; J90-D-647B
(ucs-set-char #x9371 ?$(H`2(B) ; C02-H-6032
(ucs-set-char #x9372 ?$(IVb(B) ; C03-I-5662
(ucs-set-char #x9373 ?$(Dd|(B) ; J90-D-647C
(ucs-set-char #x9373 ?$(IVc(B) ; C03-I-5663
(ucs-set-char #x9374 ?$(Dd}(B) ; J90-D-647D
(ucs-set-char #x9374 ?$(IV_(B) ; C03-I-565F
(ucs-set-char #x9375 ?$(CKu(B) ; KS0-C-4B75
(ucs-set-char #x9375 ?$(Guo(B) ; C01-G-756F
(ucs-set-char #x9375 ?$@80(B) ; J78-@-3830
(ucs-set-char #x9375 ?$B80(B) ; J83-B-3830
(ucs-set-char #x9376 ?$(Dd~(B) ; J90-D-647E
(ucs-set-char #x9376 ?$(H`$(B) ; C02-H-6024
(ucs-set-char #x9377 ?$(H`3(B) ; C02-H-6033
(ucs-set-char #x9378 ?$(IV\(B) ; C03-I-565C
(ucs-set-char #x9379 ?$(H`-(B) ; C02-H-602D
(ucs-set-char #x937A ?$(De!(B) ; J90-D-6521
(ucs-set-char #x937A ?$(H[1(B) ; C02-H-5B31
(ucs-set-char #x937B ?$(H`4(B) ; C02-H-6034
(ucs-set-char #x937C ?$(Cv](B) ; KS0-C-765D
(ucs-set-char #x937C ?$(H`!(B) ; C02-H-6021
(ucs-set-char #x937C ?$@o*(B) ; J78-@-6F2A
(ucs-set-char #x937C ?$Bo*(B) ; J83-B-6F2A
(ucs-set-char #x937D ?$(De"(B) ; J90-D-6522
(ucs-set-char #x937D ?$(IV`(B) ; C03-I-5660
(ucs-set-char #x937E ?$(Cq#(B) ; KS0-C-7123
(ucs-set-char #x937E ?$(Gut(B) ; C01-G-7574
(ucs-set-char #x937E ?$@>a(B) ; J78-@-3E61
(ucs-set-char #x937E ?$B>a(B) ; J83-B-3E61
(ucs-set-char #x937F ?$(De#(B) ; J90-D-6523
(ucs-set-char #x937F ?$(IVj(B) ; C03-I-566A
(ucs-set-char #x9380 ?$(De$(B) ; J90-D-6524
(ucs-set-char #x9380 ?$(Hd/(B) ; C02-H-642F
(ucs-set-char #x9381 ?$(De%(B) ; J90-D-6525
(ucs-set-char #x9381 ?$(JYG(B) ; C04-J-5947
(ucs-set-char #x9382 ?$(De&(B) ; J90-D-6526
(ucs-set-char #x9382 ?$(Gum(B) ; C01-G-756D
(ucs-set-char #x9383 ?$(H_z(B) ; C02-H-5F7A
(ucs-set-char #x9384 ?$(JYF(B) ; C04-J-5946
(ucs-set-char #x9388 ?$(De'(B) ; J90-D-6527
(ucs-set-char #x9388 ?$(Hd,(B) ; C02-H-642C
(ucs-set-char #x9389 ?$(Hd%(B) ; C02-H-6425
(ucs-set-char #x938A ?$(De((B) ; J90-D-6528
(ucs-set-char #x938A ?$(GwT(B) ; C01-G-7754
(ucs-set-char #x938B ?$(De)(B) ; J90-D-6529
(ucs-set-char #x938B ?$(IYC(B) ; C03-I-5943
(ucs-set-char #x938C ?$(CLG(B) ; KS0-C-4C47
(ucs-set-char #x938C ?$(Hc~(B) ; C02-H-637E
(ucs-set-char #x938C ?$@3y(B) ; J78-@-3379
(ucs-set-char #x938C ?$B3y(B) ; J83-B-3379
(ucs-set-char #x938D ?$(De*(B) ; J90-D-652A
(ucs-set-char #x938D ?$(Hd0(B) ; C02-H-6430
(ucs-set-char #x938E ?$(Hd'(B) ; C02-H-6427
(ucs-set-char #x938F ?$(De+(B) ; J90-D-652B
(ucs-set-char #x938F ?$(H`*(B) ; C02-H-602A
(ucs-set-char #x938F ?$AvL(B) ; GB0-A-764C
(ucs-set-char #x9390 ?$(IY@(B) ; C03-I-5940
(ucs-set-char #x9391 ?$(Hd2(B) ; C02-H-6432
(ucs-set-char #x9392 ?$(De,(B) ; J90-D-652C
(ucs-set-char #x9392 ?$(Hd!(B) ; C02-H-6421
(ucs-set-char #x9393 ?$(IYB(B) ; C03-I-5942
(ucs-set-char #x9394 ?$(CiJ(B) ; KS0-C-694A
(ucs-set-char #x9394 ?$(GwS(B) ; C01-G-7753
(ucs-set-char #x9394 ?$@o0(B) ; J78-@-6F30
(ucs-set-char #x9394 ?$Bo0(B) ; J83-B-6F30
(ucs-set-char #x9395 ?$(De-(B) ; J90-D-652D
(ucs-set-char #x9395 ?$(Hd+(B) ; C02-H-642B
(ucs-set-char #x9396 ?$(Cap(B) ; KS0-C-6170
(ucs-set-char #x9396 ?$(GwU(B) ; C01-G-7755
(ucs-set-char #x9396 ?$@:?(B) ; J78-@-3A3F
(ucs-set-char #x9396 ?$B:?(B) ; J83-B-3A3F
(ucs-set-char #x9397 ?$(Gw](B) ; C01-G-775D
(ucs-set-char #x9397 ?$@Ay(B) ; J78-@-4179
(ucs-set-char #x9397 ?$BAy(B) ; J83-B-4179
(ucs-set-char #x9398 ?$(De.(B) ; J90-D-652E
(ucs-set-char #x9398 ?$(Gw[(B) ; C01-G-775B
(ucs-set-char #x9399 ?$(Hd-(B) ; C02-H-642D
(ucs-set-char #x939A ?$(Cu`(B) ; KS0-C-7560
(ucs-set-char #x939A ?$(Gw\(B) ; C01-G-775C
(ucs-set-char #x939A ?$@DJ(B) ; J78-@-444A
(ucs-set-char #x939A ?$BDJ(B) ; J83-B-444A
(ucs-set-char #x939B ?$(De/(B) ; J90-D-652F
(ucs-set-char #x939B ?$(Hd#(B) ; C02-H-6423
(ucs-set-char #x939C ?$(IYI(B) ; C03-I-5949
(ucs-set-char #x939D ?$(Hd$(B) ; C02-H-6424
(ucs-set-char #x939E ?$(De0(B) ; J90-D-6530
(ucs-set-char #x939E ?$(Hd)(B) ; C02-H-6429
(ucs-set-char #x939F ?$(Hd.(B) ; C02-H-642E
(ucs-set-char #x93A0 ?$(IY>(B) ; C03-I-593E
(ucs-set-char #x93A1 ?$(De1(B) ; J90-D-6531
(ucs-set-char #x93A1 ?$(H_y(B) ; C02-H-5F79
(ucs-set-char #x93A2 ?$(GwV(B) ; C01-G-7756
(ucs-set-char #x93A3 ?$(C{/(B) ; KS0-C-7B2F
(ucs-set-char #x93A3 ?$(De2(B) ; J90-D-6532
(ucs-set-char #x93A3 ?$(Hd7(B) ; C02-H-6437
(ucs-set-char #x93A4 ?$(De3(B) ; J90-D-6533
(ucs-set-char #x93A4 ?$(Hd4(B) ; C02-H-6434
(ucs-set-char #x93A5 ?$(Hga(B) ; C02-H-6761
(ucs-set-char #x93A6 ?$(De4(B) ; J90-D-6534
(ucs-set-char #x93A6 ?$(Hd*(B) ; C02-H-642A
(ucs-set-char #x93A7 ?$(CKQ(B) ; KS0-C-4B51
(ucs-set-char #x93A7 ?$(Hd&(B) ; C02-H-6426
(ucs-set-char #x93A7 ?$@3;(B) ; J78-@-333B
(ucs-set-char #x93A7 ?$B3;(B) ; J83-B-333B
(ucs-set-char #x93A8 ?$(De5(B) ; J90-D-6535
(ucs-set-char #x93A8 ?$(Hd5(B) ; C02-H-6435
(ucs-set-char #x93A9 ?$(De;(B) ; J90-D-653B
(ucs-set-char #x93A9 ?$(HgV(B) ; C02-H-6756
(ucs-set-char #x93AA ?$(Hd((B) ; C02-H-6428
(ucs-set-char #x93AB ?$(De6(B) ; J90-D-6536
(ucs-set-char #x93AB ?$(J^1(B) ; C04-J-5E31
(ucs-set-char #x93AC ?$(C{`(B) ; KS0-C-7B60
(ucs-set-char #x93AC ?$(GwY(B) ; C01-G-7759
(ucs-set-char #x93AC ?$@o.(B) ; J78-@-6F2E
(ucs-set-char #x93AC ?$Bo.(B) ; J83-B-6F2E
(ucs-set-char #x93AD ?$(Cre(B) ; KS0-C-7265
(ucs-set-char #x93AD ?$(IYD(B) ; C03-I-5944
(ucs-set-char #x93AD ?$@o/(B) ; J78-@-6F2F
(ucs-set-char #x93AD ?$Bo/(B) ; J83-B-6F2F
(ucs-set-char #x93AE ?$(GwX(B) ; C01-G-7758
(ucs-set-char #x93AE ?$@DC(B) ; J78-@-4443
(ucs-set-char #x93AE ?$BDC(B) ; J83-B-4443
(ucs-set-char #x93AF ?$(H_{(B) ; C02-H-5F7B
(ucs-set-char #x93B0 ?$(Clp(B) ; KS0-C-6C70
(ucs-set-char #x93B0 ?$(GwZ(B) ; C01-G-775A
(ucs-set-char #x93B0 ?$@o-(B) ; J78-@-6F2D
(ucs-set-char #x93B0 ?$Bo-(B) ; J83-B-6F2D
(ucs-set-char #x93B1 ?$(Hd1(B) ; C02-H-6431
(ucs-set-char #x93B2 ?$(Hd3(B) ; C02-H-6433
(ucs-set-char #x93B3 ?$(GwW(B) ; C01-G-7757
(ucs-set-char #x93B4 ?$(De7(B) ; J90-D-6537
(ucs-set-char #x93B4 ?$(Hd6(B) ; C02-H-6436
(ucs-set-char #x93B5 ?$(De8(B) ; J90-D-6538
(ucs-set-char #x93B5 ?$(Hc}(B) ; C02-H-637D
(ucs-set-char #x93B6 ?$(De9(B) ; J90-D-6539
(ucs-set-char #x93B6 ?$(J^)(B) ; C04-J-5E29
(ucs-set-char #x93B7 ?$(Hd"(B) ; C02-H-6422
(ucs-set-char #x93B8 ?$(IYF(B) ; C03-I-5946
(ucs-set-char #x93B9 ?$@o1(B) ; J78-@-6F31
(ucs-set-char #x93B9 ?$Bo1(B) ; J83-B-6F31
(ucs-set-char #x93BA ?$(De:(B) ; J90-D-653A
(ucs-set-char #x93BB ?$(IYE(B) ; C03-I-5945
(ucs-set-char #x93C0 ?$(Hg_(B) ; C02-H-675F
(ucs-set-char #x93C1 ?$(De<(B) ; J90-D-653C
(ucs-set-char #x93C1 ?$(I[P(B) ; C03-I-5B50
(ucs-set-char #x93C2 ?$(HgO(B) ; C02-H-674F
(ucs-set-char #x93C3 ?$(Cpl(B) ; KS0-C-706C
(ucs-set-char #x93C3 ?$(Gy8(B) ; C01-G-7938
(ucs-set-char #x93C3 ?$@o7(B) ; J78-@-6F37
(ucs-set-char #x93C3 ?$Bo7(B) ; J83-B-6F37
(ucs-set-char #x93C4 ?$(De=(B) ; J90-D-653D
(ucs-set-char #x93C4 ?$(Hg](B) ; C02-H-675D
(ucs-set-char #x93C5 ?$(De>(B) ; J90-D-653E
(ucs-set-char #x93C5 ?$(I[D(B) ; C03-I-5B44
(ucs-set-char #x93C6 ?$(De?(B) ; J90-D-653F
(ucs-set-char #x93C6 ?$(I[E(B) ; C03-I-5B45
(ucs-set-char #x93C7 ?$(De@(B) ; J90-D-6540
(ucs-set-char #x93C7 ?$(HgM(B) ; C02-H-674D
(ucs-set-char #x93C8 ?$(Gy9(B) ; C01-G-7939
(ucs-set-char #x93C8 ?$@o:(B) ; J78-@-6F3A
(ucs-set-char #x93C8 ?$Bo:(B) ; J83-B-6F3A
(ucs-set-char #x93C9 ?$(DeA(B) ; J90-D-6541
(ucs-set-char #x93C9 ?$(Jag(B) ; C04-J-6167
(ucs-set-char #x93CA ?$(DeB(B) ; J90-D-6542
(ucs-set-char #x93CA ?$(HgX(B) ; C02-H-6758
(ucs-set-char #x93CA ?$AvK(B) ; GB0-A-764B
(ucs-set-char #x93CB ?$(DeC(B) ; J90-D-6543
(ucs-set-char #x93CB ?$(I[C(B) ; C03-I-5B43
(ucs-set-char #x93CC ?$(DeD(B) ; J90-D-6544
(ucs-set-char #x93CC ?$(HgT(B) ; C02-H-6754
(ucs-set-char #x93CD ?$(DeE(B) ; J90-D-6545
(ucs-set-char #x93CD ?$(Gy>(B) ; C01-G-793E
(ucs-set-char #x93CE ?$(Hg^(B) ; C02-H-675E
(ucs-set-char #x93CF ?$(HgN(B) ; C02-H-674E
(ucs-set-char #x93D0 ?$(HgQ(B) ; C02-H-6751
(ucs-set-char #x93D0 ?$@o9(B) ; J78-@-6F39
(ucs-set-char #x93D0 ?$Bo9(B) ; J83-B-6F39
(ucs-set-char #x93D1 ?$(Cnk(B) ; KS0-C-6E6B
(ucs-set-char #x93D1 ?$(Gy6(B) ; C01-G-7936
(ucs-set-char #x93D1 ?$@E-(B) ; J78-@-452D
(ucs-set-char #x93D1 ?$BE-(B) ; J83-B-452D
(ucs-set-char #x93D2 ?$(Hg`(B) ; C02-H-6760
(ucs-set-char #x93D3 ?$(DeF(B) ; J90-D-6546
(ucs-set-char #x93D3 ?$(I[H(B) ; C03-I-5B48
(ucs-set-char #x93D4 ?$(HgY(B) ; C02-H-6759
(ucs-set-char #x93D5 ?$(Hg\(B) ; C02-H-675C
(ucs-set-char #x93D6 ?$(Gy<(B) ; C01-G-793C
(ucs-set-char #x93D6 ?$@o2(B) ; J78-@-6F32
(ucs-set-char #x93D6 ?$Awi(B) ; GB0-A-7769
(ucs-set-char #x93D6 ?$Bo2(B) ; J83-B-6F32
(ucs-set-char #x93D7 ?$(GyA(B) ; C01-G-7941
(ucs-set-char #x93D7 ?$@o3(B) ; J78-@-6F33
(ucs-set-char #x93D7 ?$Bo3(B) ; J83-B-6F33
(ucs-set-char #x93D8 ?$(Gy?(B) ; C01-G-793F
(ucs-set-char #x93D8 ?$@o6(B) ; J78-@-6F36
(ucs-set-char #x93D8 ?$Bo6(B) ; J83-B-6F36
(ucs-set-char #x93D9 ?$(DeG(B) ; J90-D-6547
(ucs-set-char #x93D9 ?$(HgU(B) ; C02-H-6755
(ucs-set-char #x93DA ?$(HgP(B) ; C02-H-6750
(ucs-set-char #x93DB ?$(I[M(B) ; C03-I-5B4D
(ucs-set-char #x93DC ?$(DeH(B) ; J90-D-6548
(ucs-set-char #x93DC ?$(Gy:(B) ; C01-G-793A
(ucs-set-char #x93DD ?$(Gy;(B) ; C01-G-793B
(ucs-set-char #x93DD ?$@o8(B) ; J78-@-6F38
(ucs-set-char #x93DD ?$Bo8(B) ; J83-B-6F38
(ucs-set-char #x93DE ?$(CiK(B) ; KS0-C-694B
(ucs-set-char #x93DE ?$(DeI(B) ; J90-D-6549
(ucs-set-char #x93DE ?$(HgL(B) ; C02-H-674C
(ucs-set-char #x93DF ?$(DeJ(B) ; J90-D-654A
(ucs-set-char #x93DF ?$(Gy7(B) ; C01-G-7937
(ucs-set-char #x93E0 ?$(I[O(B) ; C03-I-5B4F
(ucs-set-char #x93E1 ?$(CLp(B) ; KS0-C-4C70
(ucs-set-char #x93E1 ?$(Gy5(B) ; C01-G-7935
(ucs-set-char #x93E1 ?$@6@(B) ; J78-@-3640
(ucs-set-char #x93E1 ?$B6@(B) ; J83-B-3640
(ucs-set-char #x93E2 ?$(DeK(B) ; J90-D-654B
(ucs-set-char #x93E2 ?$(Gy=(B) ; C01-G-793D
(ucs-set-char #x93E3 ?$(Hg[(B) ; C02-H-675B
(ucs-set-char #x93E4 ?$(CW/(B) ; KS0-C-572F
(ucs-set-char #x93E4 ?$(Gy@(B) ; C01-G-7940
(ucs-set-char #x93E4 ?$@o;(B) ; J78-@-6F3B
(ucs-set-char #x93E4 ?$Bo;(B) ; J83-B-6F3B
(ucs-set-char #x93E5 ?$(I[J(B) ; C03-I-5B4A
(ucs-set-char #x93E5 ?$@o5(B) ; J78-@-6F35
(ucs-set-char #x93E5 ?$Bo5(B) ; J83-B-6F35
(ucs-set-char #x93E6 ?$(DeL(B) ; J90-D-654C
(ucs-set-char #x93E6 ?$(HgW(B) ; C02-H-6757
(ucs-set-char #x93E7 ?$(DeM(B) ; J90-D-654D
(ucs-set-char #x93E7 ?$(Hgb(B) ; C02-H-6762
(ucs-set-char #x93E8 ?$(GyB(B) ; C01-G-7942
(ucs-set-char #x93E8 ?$@o4(B) ; J78-@-6F34
(ucs-set-char #x93E8 ?$Bo4(B) ; J83-B-6F34
(ucs-set-char #x93E9 ?$(I[A(B) ; C03-I-5B41
(ucs-set-char #x93EA ?$(I[B(B) ; C03-I-5B42
(ucs-set-char #x93EB ?$(I[N(B) ; C03-I-5B4E
(ucs-set-char #x93EC ?$(HgS(B) ; C02-H-6753
(ucs-set-char #x93ED ?$(I[G(B) ; C03-I-5B47
(ucs-set-char #x93EE ?$(HgZ(B) ; C02-H-675A
(ucs-set-char #x93F3 ?$(I]A(B) ; C03-I-5D41
(ucs-set-char #x93F4 ?$(I^j(B) ; C03-I-5E6A
(ucs-set-char #x93F5 ?$(HjA(B) ; C02-H-6A41
(ucs-set-char #x93F6 ?$(Cs!(B) ; KS0-C-7321
(ucs-set-char #x93F6 ?$(HjP(B) ; C02-H-6A50
(ucs-set-char #x93F7 ?$(DeO(B) ; J90-D-654F
(ucs-set-char #x93F7 ?$(HjC(B) ; C02-H-6A43
(ucs-set-char #x93F8 ?$(DeP(B) ; J90-D-6550
(ucs-set-char #x93F8 ?$(HjJ(B) ; C02-H-6A4A
(ucs-set-char #x93F9 ?$(DeN(B) ; J90-D-654E
(ucs-set-char #x93F9 ?$(HgR(B) ; C02-H-6752
(ucs-set-char #x93FA ?$(DeQ(B) ; J90-D-6551
(ucs-set-char #x93FA ?$(HjH(B) ; C02-H-6A48
(ucs-set-char #x93FB ?$(DeR(B) ; J90-D-6552
(ucs-set-char #x93FB ?$(Hj7(B) ; C02-H-6A37
(ucs-set-char #x93FC ?$(HjN(B) ; C02-H-6A4E
(ucs-set-char #x93FD ?$(DeS(B) ; J90-D-6553
(ucs-set-char #x93FD ?$(GzN(B) ; C01-G-7A4E
(ucs-set-char #x93FE ?$(Hj;(B) ; C02-H-6A3B
(ucs-set-char #x93FF ?$(HjM(B) ; C02-H-6A4D
(ucs-set-char #x9400 ?$(HjB(B) ; C02-H-6A42
(ucs-set-char #x9401 ?$(DeT(B) ; J90-D-6554
(ucs-set-char #x9401 ?$(Jdg(B) ; C04-J-6467
(ucs-set-char #x9402 ?$(DeU(B) ; J90-D-6555
(ucs-set-char #x9402 ?$(I]C(B) ; C03-I-5D43
(ucs-set-char #x9403 ?$(GzM(B) ; C01-G-7A4D
(ucs-set-char #x9403 ?$@o?(B) ; J78-@-6F3F
(ucs-set-char #x9403 ?$Bo?(B) ; J83-B-6F3F
(ucs-set-char #x9404 ?$(C|u(B) ; KS0-C-7C75
(ucs-set-char #x9404 ?$(DeV(B) ; J90-D-6556
(ucs-set-char #x9404 ?$(I]<(B) ; C03-I-5D3C
(ucs-set-char #x9405 ?$(I]?(B) ; C03-I-5D3F
(ucs-set-char #x9406 ?$(HjR(B) ; C02-H-6A52
(ucs-set-char #x9407 ?$(HjD(B) ; C02-H-6A44
(ucs-set-char #x9407 ?$@o@(B) ; J78-@-6F40
(ucs-set-char #x9407 ?$Bo@(B) ; J83-B-6F40
(ucs-set-char #x9408 ?$(DeW(B) ; J90-D-6557
(ucs-set-char #x9408 ?$(I]>(B) ; C03-I-5D3E
(ucs-set-char #x9409 ?$(DeX(B) ; J90-D-6558
(ucs-set-char #x9409 ?$(HjI(B) ; C02-H-6A49
(ucs-set-char #x940A ?$(HjL(B) ; C02-H-6A4C
(ucs-set-char #x940B ?$(Hj5(B) ; C02-H-6A35
(ucs-set-char #x940C ?$(HjO(B) ; C02-H-6A4F
(ucs-set-char #x940D ?$(DeY(B) ; J90-D-6559
(ucs-set-char #x940D ?$(Hj@(B) ; C02-H-6A40
(ucs-set-char #x940E ?$(DeZ(B) ; J90-D-655A
(ucs-set-char #x940E ?$(HjE(B) ; C02-H-6A45
(ucs-set-char #x940F ?$(De[(B) ; J90-D-655B
(ucs-set-char #x940F ?$(Hj9(B) ; C02-H-6A39
(ucs-set-char #x9410 ?$(Hj=(B) ; C02-H-6A3D
(ucs-set-char #x9410 ?$@oA(B) ; J78-@-6F41
(ucs-set-char #x9410 ?$BoA(B) ; J83-B-6F41
(ucs-set-char #x9411 ?$(HjQ(B) ; C02-H-6A51
(ucs-set-char #x9412 ?$(HjG(B) ; C02-H-6A47
(ucs-set-char #x9413 ?$(Hj6(B) ; C02-H-6A36
(ucs-set-char #x9413 ?$@o>(B) ; J78-@-6F3E
(ucs-set-char #x9413 ?$Bo>(B) ; J83-B-6F3E
(ucs-set-char #x9414 ?$(Hj:(B) ; C02-H-6A3A
(ucs-set-char #x9414 ?$@o=(B) ; J78-@-6F3D
(ucs-set-char #x9414 ?$Bo=(B) ; J83-B-6F3D
(ucs-set-char #x9415 ?$(De\(B) ; J90-D-655C
(ucs-set-char #x9415 ?$(Hj<(B) ; C02-H-6A3C
(ucs-set-char #x9416 ?$(De](B) ; J90-D-655D
(ucs-set-char #x9416 ?$(HjF(B) ; C02-H-6A46
(ucs-set-char #x9417 ?$(De^(B) ; J90-D-655E
(ucs-set-char #x9417 ?$(I]=(B) ; C03-I-5D3D
(ucs-set-char #x9418 ?$(Cq$(B) ; KS0-C-7124
(ucs-set-char #x9418 ?$(GzL(B) ; C01-G-7A4C
(ucs-set-char #x9418 ?$@>b(B) ; J78-@-3E62
(ucs-set-char #x9418 ?$B>b(B) ; J83-B-3E62
(ucs-set-char #x9419 ?$(Hj?(B) ; C02-H-6A3F
(ucs-set-char #x9419 ?$@F*(B) ; J78-@-462A
(ucs-set-char #x9419 ?$BF*(B) ; J83-B-462A
(ucs-set-char #x941A ?$(I]D(B) ; C03-I-5D44
(ucs-set-char #x941A ?$@o<(B) ; J78-@-6F3C
(ucs-set-char #x941A ?$Bo<(B) ; J83-B-6F3C
(ucs-set-char #x941B ?$(I]E(B) ; C03-I-5D45
(ucs-set-char #x941C ?$(I]G(B) ; C03-I-5D47
(ucs-set-char #x941D ?$(Jdk(B) ; C04-J-646B
(ucs-set-char #x941E ?$(I]B(B) ; C03-I-5D42
(ucs-set-char #x941F ?$(De_(B) ; J90-D-655F
(ucs-set-char #x941F ?$(I]:(B) ; C03-I-5D3A
(ucs-set-char #x9420 ?$(Hj8(B) ; C02-H-6A38
(ucs-set-char #x9421 ?$@oE(B) ; J78-@-6F45
(ucs-set-char #x9421 ?$BoE(B) ; J83-B-6F45
(ucs-set-char #x9425 ?$(C`V(B) ; KS0-C-6056
(ucs-set-char #x9427 ?$(I]F(B) ; C03-I-5D46
(ucs-set-char #x9428 ?$(Hj>(B) ; C02-H-6A3E
(ucs-set-char #x9429 ?$(HlP(B) ; C02-H-6C50
(ucs-set-char #x942A ?$(HlT(B) ; C02-H-6C54
(ucs-set-char #x942B ?$(Co2(B) ; KS0-C-6F32
(ucs-set-char #x942B ?$(G{;(B) ; C01-G-7B3B
(ucs-set-char #x942B ?$@oC(B) ; J78-@-6F43
(ucs-set-char #x942B ?$BoC(B) ; J83-B-6F43
(ucs-set-char #x942C ?$(HlV(B) ; C02-H-6C56
(ucs-set-char #x942D ?$(I^m(B) ; C03-I-5E6D
(ucs-set-char #x942E ?$(De`(B) ; J90-D-6560
(ucs-set-char #x942E ?$(G{5(B) ; C01-G-7B35
(ucs-set-char #x942F ?$(Dea(B) ; J90-D-6561
(ucs-set-char #x942F ?$(Jdo(B) ; C04-J-646F
(ucs-set-char #x9430 ?$(HlR(B) ; C02-H-6C52
(ucs-set-char #x9431 ?$(Deb(B) ; J90-D-6562
(ucs-set-char #x9431 ?$(HlX(B) ; C02-H-6C58
(ucs-set-char #x9432 ?$(Dec(B) ; J90-D-6563
(ucs-set-char #x9432 ?$(G{:(B) ; C01-G-7B3A
(ucs-set-char #x9433 ?$(Ded(B) ; J90-D-6564
(ucs-set-char #x9433 ?$(G{6(B) ; C01-G-7B36
(ucs-set-char #x9434 ?$(Dee(B) ; J90-D-6565
(ucs-set-char #x9434 ?$(Jg\(B) ; C04-J-675C
(ucs-set-char #x9435 ?$(CtQ(B) ; KS0-C-7451
(ucs-set-char #x9435 ?$(G{7(B) ; C01-G-7B37
(ucs-set-char #x9435 ?$@oD(B) ; J78-@-6F44
(ucs-set-char #x9435 ?$BoD(B) ; J83-B-6F44
(ucs-set-char #x9436 ?$(HlO(B) ; C02-H-6C4F
(ucs-set-char #x9436 ?$@oB(B) ; J78-@-6F42
(ucs-set-char #x9436 ?$BoB(B) ; J83-B-6F42
(ucs-set-char #x9437 ?$(HlU(B) ; C02-H-6C55
(ucs-set-char #x9438 ?$(Cw!(B) ; KS0-C-7721
(ucs-set-char #x9438 ?$(G{9(B) ; C01-G-7B39
(ucs-set-char #x9438 ?$@Bx(B) ; J78-@-4278
(ucs-set-char #x9438 ?$BBx(B) ; J83-B-4278
(ucs-set-char #x9439 ?$(HlS(B) ; C02-H-6C53
(ucs-set-char #x943A ?$(G{8(B) ; C01-G-7B38
(ucs-set-char #x943A ?$@oF(B) ; J78-@-6F46
(ucs-set-char #x943A ?$BoF(B) ; J83-B-6F46
(ucs-set-char #x943B ?$(Def(B) ; J90-D-6566
(ucs-set-char #x943B ?$(HlN(B) ; C02-H-6C4E
(ucs-set-char #x943C ?$(HjK(B) ; C02-H-6A4B
(ucs-set-char #x943D ?$(Deh(B) ; J90-D-6568
(ucs-set-char #x943D ?$(HlQ(B) ; C02-H-6C51
(ucs-set-char #x943E ?$(Jgb(B) ; C04-J-6762
(ucs-set-char #x943E ?$AvM(B) ; GB0-A-764D
(ucs-set-char #x943F ?$(Deg(B) ; J90-D-6567
(ucs-set-char #x943F ?$(HlM(B) ; C02-H-6C4D
(ucs-set-char #x9440 ?$(HlW(B) ; C02-H-6C57
(ucs-set-char #x9441 ?$@oG(B) ; J78-@-6F47
(ucs-set-char #x9441 ?$BoG(B) ; J83-B-6F47
(ucs-set-char #x9442 ?$(I_i(B) ; C03-I-5F69
(ucs-set-char #x9443 ?$(Dei(B) ; J90-D-6569
(ucs-set-char #x9443 ?$(I_n(B) ; C03-I-5F6E
(ucs-set-char #x9444 ?$(CqQ(B) ; KS0-C-7151
(ucs-set-char #x9444 ?$(G{{(B) ; C01-G-7B7B
(ucs-set-char #x9444 ?$@oI(B) ; J78-@-6F49
(ucs-set-char #x9444 ?$BoI(B) ; J83-B-6F49
(ucs-set-char #x9445 ?$(Dej(B) ; J90-D-656A
(ucs-set-char #x9445 ?$(Hn<(B) ; C02-H-6E3C
(ucs-set-char #x9446 ?$(Hn?(B) ; C02-H-6E3F
(ucs-set-char #x9447 ?$(Hn;(B) ; C02-H-6E3B
(ucs-set-char #x9448 ?$(Dek(B) ; J90-D-656B
(ucs-set-char #x9448 ?$(Hn=(B) ; C02-H-6E3D
(ucs-set-char #x9449 ?$(Hn>(B) ; C02-H-6E3E
(ucs-set-char #x944A ?$(Del(B) ; J90-D-656C
(ucs-set-char #x944A ?$(Hn8(B) ; C02-H-6E38
(ucs-set-char #x944B ?$(Hn9(B) ; C02-H-6E39
(ucs-set-char #x944C ?$(Dem(B) ; J90-D-656D
(ucs-set-char #x944C ?$(Hn6(B) ; C02-H-6E36
(ucs-set-char #x944D ?$(I_j(B) ; C03-I-5F6A
(ucs-set-char #x944E ?$(I_l(B) ; C03-I-5F6C
(ucs-set-char #x944F ?$(Hn:(B) ; C02-H-6E3A
(ucs-set-char #x9450 ?$(Hn7(B) ; C02-H-6E37
(ucs-set-char #x9451 ?$(CJ|(B) ; KS0-C-4A7C
(ucs-set-char #x9451 ?$(G{|(B) ; C01-G-7B7C
(ucs-set-char #x9451 ?$@4U(B) ; J78-@-3455
(ucs-set-char #x9451 ?$B4U(B) ; J83-B-3455
(ucs-set-char #x9452 ?$(CJ}(B) ; KS0-C-4A7D
(ucs-set-char #x9452 ?$(G{}(B) ; C01-G-7B7D
(ucs-set-char #x9452 ?$@oH(B) ; J78-@-6F48
(ucs-set-char #x9452 ?$BoH(B) ; J83-B-6F48
(ucs-set-char #x9453 ?$@Lz(B) ; J78-@-4C7A
(ucs-set-char #x9453 ?$BLz(B) ; J83-B-4C7A
(ucs-set-char #x9454 ?$(I_k(B) ; C03-I-5F6B
(ucs-set-char #x9455 ?$(Den(B) ; J90-D-656E
(ucs-set-char #x9455 ?$(HoY(B) ; C02-H-6F59
(ucs-set-char #x9456 ?$(I`R(B) ; C03-I-6052
(ucs-set-char #x9457 ?$(Ho[(B) ; C02-H-6F5B
(ucs-set-char #x9458 ?$(Jk)(B) ; C04-J-6B29
(ucs-set-char #x9459 ?$(Deo(B) ; J90-D-656F
(ucs-set-char #x9459 ?$(Kv](B) ; C05-K-765D
(ucs-set-char #x945A ?$(I`U(B) ; C03-I-6055
(ucs-set-char #x945A ?$@oT(B) ; J78-@-6F54
(ucs-set-char #x945A ?$BoT(B) ; J83-B-6F54
(ucs-set-char #x945B ?$(CNN(B) ; KS0-C-4E4E
(ucs-set-char #x945B ?$(I`T(B) ; C03-I-6054
(ucs-set-char #x945B ?$@oJ(B) ; J78-@-6F4A
(ucs-set-char #x945B ?$BoJ(B) ; J83-B-6F4A
(ucs-set-char #x945C ?$(Dep(B) ; J90-D-6570
(ucs-set-char #x945C ?$(I`V(B) ; C03-I-6056
(ucs-set-char #x945D ?$(HoZ(B) ; C02-H-6F5A
(ucs-set-char #x945E ?$(Ho\(B) ; C02-H-6F5C
(ucs-set-char #x945E ?$@oM(B) ; J78-@-6F4D
(ucs-set-char #x945E ?$BoM(B) ; J83-B-6F4D
(ucs-set-char #x945F ?$(Deq(B) ; J90-D-6571
(ucs-set-char #x945F ?$(I`O(B) ; C03-I-604F
(ucs-set-char #x9460 ?$(G|L(B) ; C01-G-7C4C
(ucs-set-char #x9460 ?$@oK(B) ; J78-@-6F4B
(ucs-set-char #x9460 ?$BoK(B) ; J83-B-6F4B
(ucs-set-char #x9461 ?$(Der(B) ; J90-D-6572
(ucs-set-char #x9461 ?$(I`S(B) ; C03-I-6053
(ucs-set-char #x9462 ?$(HoX(B) ; C02-H-6F58
(ucs-set-char #x9462 ?$@oL(B) ; J78-@-6F4C
(ucs-set-char #x9462 ?$BoL(B) ; J83-B-6F4C
(ucs-set-char #x9463 ?$(Des(B) ; J90-D-6573
(ucs-set-char #x9463 ?$(G|K(B) ; C01-G-7C4B
(ucs-set-char #x9464 ?$(G|M(B) ; C01-G-7C4D
(ucs-set-char #x9465 ?$(I`W(B) ; C03-I-6057
(ucs-set-char #x9468 ?$(Det(B) ; J90-D-6574
(ucs-set-char #x9468 ?$(HpY(B) ; C02-H-7059
(ucs-set-char #x9469 ?$(HpZ(B) ; C02-H-705A
(ucs-set-char #x946A ?$(G|o(B) ; C01-G-7C6F
(ucs-set-char #x946A ?$@oN(B) ; J78-@-6F4E
(ucs-set-char #x946A ?$BoN(B) ; J83-B-6F4E
(ucs-set-char #x946B ?$(Deu(B) ; J90-D-6575
(ucs-set-char #x946B ?$(HpX(B) ; C02-H-7058
(ucs-set-char #x946B ?$AvN(B) ; GB0-A-764E
(ucs-set-char #x946C ?$(Ia"(B) ; C03-I-6122
(ucs-set-char #x946D ?$(Dev(B) ; J90-D-6576
(ucs-set-char #x946D ?$(HqB(B) ; C02-H-7142
(ucs-set-char #x946E ?$(Dew(B) ; J90-D-6577
(ucs-set-char #x946E ?$(HqA(B) ; C02-H-7141
(ucs-set-char #x946F ?$(Dex(B) ; J90-D-6578
(ucs-set-char #x946F ?$(HqC(B) ; C02-H-7143
(ucs-set-char #x9470 ?$(G},(B) ; C01-G-7D2C
(ucs-set-char #x9470 ?$@oP(B) ; J78-@-6F50
(ucs-set-char #x9470 ?$BoP(B) ; J83-B-6F50
(ucs-set-char #x9471 ?$(Dey(B) ; J90-D-6579
(ucs-set-char #x9471 ?$(HqD(B) ; C02-H-7144
(ucs-set-char #x9472 ?$(Dez(B) ; J90-D-657A
(ucs-set-char #x9472 ?$(G}+(B) ; C01-G-7D2B
(ucs-set-char #x9473 ?$(HqE(B) ; C02-H-7145
(ucs-set-char #x9474 ?$(Hqa(B) ; C02-H-7161
(ucs-set-char #x9475 ?$(Hqd(B) ; C02-H-7164
(ucs-set-char #x9475 ?$@oQ(B) ; J78-@-6F51
(ucs-set-char #x9475 ?$BoQ(B) ; J83-B-6F51
(ucs-set-char #x9476 ?$(Hqc(B) ; C02-H-7163
(ucs-set-char #x9477 ?$(G}5(B) ; C01-G-7D35
(ucs-set-char #x9477 ?$@oR(B) ; J78-@-6F52
(ucs-set-char #x9477 ?$BoR(B) ; J83-B-6F52
(ucs-set-char #x9478 ?$(Hqb(B) ; C02-H-7162
(ucs-set-char #x9479 ?$(Jmb(B) ; C04-J-6D62
(ucs-set-char #x947A ?$(Iao(B) ; C03-I-616F
(ucs-set-char #x947B ?$(Ib#(B) ; C03-I-6223
(ucs-set-char #x947C ?$(G}?(B) ; C01-G-7D3F
(ucs-set-char #x947C ?$@oU(B) ; J78-@-6F55
(ucs-set-char #x947C ?$BoU(B) ; J83-B-6F55
(ucs-set-char #x947D ?$(CsH(B) ; KS0-C-7348
(ucs-set-char #x947D ?$(G}=(B) ; C01-G-7D3D
(ucs-set-char #x947D ?$@oS(B) ; J78-@-6F53
(ucs-set-char #x947D ?$BoS(B) ; J83-B-6F53
(ucs-set-char #x947E ?$(G}>(B) ; C01-G-7D3E
(ucs-set-char #x947E ?$@oV(B) ; J78-@-6F56
(ucs-set-char #x947E ?$BoV(B) ; J83-B-6F56
(ucs-set-char #x947F ?$(Cs:(B) ; KS0-C-733A
(ucs-set-char #x947F ?$(G}D(B) ; C01-G-7D44
(ucs-set-char #x947F ?$@oX(B) ; J78-@-6F58
(ucs-set-char #x947F ?$BoX(B) ; J83-B-6F58
(ucs-set-char #x9480 ?$(Hr0(B) ; C02-H-7230
(ucs-set-char #x9481 ?$(Hr1(B) ; C02-H-7231
(ucs-set-char #x9481 ?$@oW(B) ; J78-@-6F57
(ucs-set-char #x9481 ?$BoW(B) ; J83-B-6F57
(ucs-set-char #x9482 ?$(Hr/(B) ; C02-H-722F
(ucs-set-char #x9483 ?$(De|(B) ; J90-D-657C
(ucs-set-char #x9483 ?$(Hr7(B) ; C02-H-7237
(ucs-set-char #x9484 ?$(De{(B) ; J90-D-657B
(ucs-set-char #x9484 ?$(Ib6(B) ; C03-I-6236
(ucs-set-char #x9485 ?$AnD(B) ; GB0-A-6E44
(ucs-set-char #x9486 ?$AnE(B) ; GB0-A-6E45
(ucs-set-char #x9487 ?$AnF(B) ; GB0-A-6E46
(ucs-set-char #x9488 ?$AUk(B) ; GB0-A-556B
(ucs-set-char #x9489 ?$A6$(B) ; GB0-A-3624
(ucs-set-char #x948A ?$AnH(B) ; GB0-A-6E48
(ucs-set-char #x948B ?$AnG(B) ; GB0-A-6E47
(ucs-set-char #x948C ?$AnI(B) ; GB0-A-6E49
(ucs-set-char #x948D ?$AnJ(B) ; GB0-A-6E4A
(ucs-set-char #x948E ?$AG%(B) ; GB0-A-4725
(ucs-set-char #x948F ?$AnK(B) ; GB0-A-6E4B
(ucs-set-char #x9490 ?$AnL(B) ; GB0-A-6E4C
(ucs-set-char #x9492 ?$A70(B) ; GB0-A-3730
(ucs-set-char #x9493 ?$A5v(B) ; GB0-A-3576
(ucs-set-char #x9494 ?$AnM(B) ; GB0-A-6E4D
(ucs-set-char #x9495 ?$AnO(B) ; GB0-A-6E4F
(ucs-set-char #x9497 ?$AnN(B) ; GB0-A-6E4E
(ucs-set-char #x9499 ?$A8F(B) ; GB0-A-3846
(ucs-set-char #x949A ?$AnP(B) ; GB0-A-6E50
(ucs-set-char #x949B ?$AnQ(B) ; GB0-A-6E51
(ucs-set-char #x949C ?$AnR(B) ; GB0-A-6E52
(ucs-set-char #x949D ?$A6[(B) ; GB0-A-365B
(ucs-set-char #x949E ?$A3.(B) ; GB0-A-332E
(ucs-set-char #x949F ?$AVS(B) ; GB0-A-5653
(ucs-set-char #x94A0 ?$ADF(B) ; GB0-A-4446
(ucs-set-char #x94A1 ?$A15(B) ; GB0-A-3135
(ucs-set-char #x94A2 ?$A8V(B) ; GB0-A-3856
(ucs-set-char #x94A3 ?$AnS(B) ; GB0-A-6E53
(ucs-set-char #x94A4 ?$AnT(B) ; GB0-A-6E54
(ucs-set-char #x94A5 ?$AT?(B) ; GB0-A-543F
(ucs-set-char #x94A6 ?$AGU(B) ; GB0-A-4755
(ucs-set-char #x94A7 ?$A>{(B) ; GB0-A-3E7B
(ucs-set-char #x94A8 ?$ANY(B) ; GB0-A-4E59
(ucs-set-char #x94A9 ?$A93(B) ; GB0-A-3933
(ucs-set-char #x94AA ?$AnV(B) ; GB0-A-6E56
(ucs-set-char #x94AB ?$AnU(B) ; GB0-A-6E55
(ucs-set-char #x94AC ?$AnX(B) ; GB0-A-6E58
(ucs-set-char #x94AD ?$AnW(B) ; GB0-A-6E57
(ucs-set-char #x94AE ?$AE%(B) ; GB0-A-4525
(ucs-set-char #x94AF ?$AnY(B) ; GB0-A-6E59
(ucs-set-char #x94B0 ?$AnZ(B) ; GB0-A-6E5A
(ucs-set-char #x94B1 ?$AG.(B) ; GB0-A-472E
(ucs-set-char #x94B2 ?$An[(B) ; GB0-A-6E5B
(ucs-set-char #x94B3 ?$AG/(B) ; GB0-A-472F
(ucs-set-char #x94B4 ?$An\(B) ; GB0-A-6E5C
(ucs-set-char #x94B5 ?$A2'(B) ; GB0-A-3227
(ucs-set-char #x94B6 ?$An](B) ; GB0-A-6E5D
(ucs-set-char #x94B7 ?$An^(B) ; GB0-A-6E5E
(ucs-set-char #x94B8 ?$An_(B) ; GB0-A-6E5F
(ucs-set-char #x94B9 ?$An`(B) ; GB0-A-6E60
(ucs-set-char #x94BA ?$Ana(B) ; GB0-A-6E61
(ucs-set-char #x94BB ?$AWj(B) ; GB0-A-576A
(ucs-set-char #x94BC ?$Anb(B) ; GB0-A-6E62
(ucs-set-char #x94BD ?$Anc(B) ; GB0-A-6E63
(ucs-set-char #x94BE ?$A<X(B) ; GB0-A-3C58
(ucs-set-char #x94BF ?$And(B) ; GB0-A-6E64
(ucs-set-char #x94C0 ?$ASK(B) ; GB0-A-534B
(ucs-set-char #x94C1 ?$ALz(B) ; GB0-A-4C7A
(ucs-set-char #x94C2 ?$A2,(B) ; GB0-A-322C
(ucs-set-char #x94C3 ?$AAe(B) ; GB0-A-4165
(ucs-set-char #x94C4 ?$Ane(B) ; GB0-A-6E65
(ucs-set-char #x94C5 ?$AG&(B) ; GB0-A-4726
(ucs-set-char #x94C6 ?$AC-(B) ; GB0-A-432D
(ucs-set-char #x94C8 ?$Anf(B) ; GB0-A-6E66
(ucs-set-char #x94C9 ?$Ang(B) ; GB0-A-6E67
(ucs-set-char #x94CA ?$Anh(B) ; GB0-A-6E68
(ucs-set-char #x94CB ?$Ani(B) ; GB0-A-6E69
(ucs-set-char #x94CC ?$Anj(B) ; GB0-A-6E6A
(ucs-set-char #x94CD ?$Ank(B) ; GB0-A-6E6B
(ucs-set-char #x94CE ?$Anl(B) ; GB0-A-6E6C
(ucs-set-char #x94D0 ?$Anm(B) ; GB0-A-6E6D
(ucs-set-char #x94D1 ?$Ann(B) ; GB0-A-6E6E
(ucs-set-char #x94D2 ?$Ano(B) ; GB0-A-6E6F
(ucs-set-char #x94D5 ?$Anp(B) ; GB0-A-6E70
(ucs-set-char #x94D6 ?$Anq(B) ; GB0-A-6E71
(ucs-set-char #x94D7 ?$Anr(B) ; GB0-A-6E72
(ucs-set-char #x94D8 ?$Ant(B) ; GB0-A-6E74
(ucs-set-char #x94D9 ?$Ans(B) ; GB0-A-6E73
(ucs-set-char #x94DB ?$Anu(B) ; GB0-A-6E75
(ucs-set-char #x94DC ?$AM-(B) ; GB0-A-4D2D
(ucs-set-char #x94DD ?$ABA(B) ; GB0-A-4241
(ucs-set-char #x94DE ?$Anv(B) ; GB0-A-6E76
(ucs-set-char #x94DF ?$Anw(B) ; GB0-A-6E77
(ucs-set-char #x94E0 ?$Anx(B) ; GB0-A-6E78
(ucs-set-char #x94E1 ?$AU!(B) ; GB0-A-5521
(ucs-set-char #x94E2 ?$Any(B) ; GB0-A-6E79
(ucs-set-char #x94E3 ?$AO3(B) ; GB0-A-4F33
(ucs-set-char #x94E4 ?$Anz(B) ; GB0-A-6E7A
(ucs-set-char #x94E5 ?$An{(B) ; GB0-A-6E7B
(ucs-set-char #x94E7 ?$An|(B) ; GB0-A-6E7C
(ucs-set-char #x94E8 ?$An}(B) ; GB0-A-6E7D
(ucs-set-char #x94E9 ?$Ao!(B) ; GB0-A-6F21
(ucs-set-char #x94EA ?$An~(B) ; GB0-A-6E7E
(ucs-set-char #x94EB ?$Ao"(B) ; GB0-A-6F22
(ucs-set-char #x94EC ?$A8u(B) ; GB0-A-3875
(ucs-set-char #x94ED ?$ACz(B) ; GB0-A-437A
(ucs-set-char #x94EE ?$Ao#(B) ; GB0-A-6F23
(ucs-set-char #x94EF ?$Ao$(B) ; GB0-A-6F24
(ucs-set-char #x94F0 ?$A=B(B) ; GB0-A-3D42
(ucs-set-char #x94F1 ?$AR?(B) ; GB0-A-523F
(ucs-set-char #x94F2 ?$A2y(B) ; GB0-A-3279
(ucs-set-char #x94F3 ?$Ao%(B) ; GB0-A-6F25
(ucs-set-char #x94F4 ?$Ao&(B) ; GB0-A-6F26
(ucs-set-char #x94F5 ?$Ao'(B) ; GB0-A-6F27
(ucs-set-char #x94F6 ?$ARx(B) ; GB0-A-5278
(ucs-set-char #x94F7 ?$Ao((B) ; GB0-A-6F28
(ucs-set-char #x94F8 ?$AV}(B) ; GB0-A-567D
(ucs-set-char #x94F9 ?$Ao)(B) ; GB0-A-6F29
(ucs-set-char #x94FA ?$AFL(B) ; GB0-A-464C
(ucs-set-char #x94FC ?$Ao*(B) ; GB0-A-6F2A
(ucs-set-char #x94FD ?$Ao+(B) ; GB0-A-6F2B
(ucs-set-char #x94FE ?$AA4(B) ; GB0-A-4134
(ucs-set-char #x94FF ?$Ao,(B) ; GB0-A-6F2C
(ucs-set-char #x9500 ?$AOz(B) ; GB0-A-4F7A
(ucs-set-char #x9501 ?$AKx(B) ; GB0-A-4B78
(ucs-set-char #x9502 ?$Ao.(B) ; GB0-A-6F2E
(ucs-set-char #x9503 ?$Ao-(B) ; GB0-A-6F2D
(ucs-set-char #x9504 ?$A3z(B) ; GB0-A-337A
(ucs-set-char #x9505 ?$A9x(B) ; GB0-A-3978
(ucs-set-char #x9506 ?$Ao/(B) ; GB0-A-6F2F
(ucs-set-char #x9507 ?$Ao0(B) ; GB0-A-6F30
(ucs-set-char #x9508 ?$APb(B) ; GB0-A-5062
(ucs-set-char #x9509 ?$Ao1(B) ; GB0-A-6F31
(ucs-set-char #x950A ?$Ao2(B) ; GB0-A-6F32
(ucs-set-char #x950B ?$A7f(B) ; GB0-A-3766
(ucs-set-char #x950C ?$AP?(B) ; GB0-A-503F
(ucs-set-char #x950D ?$Ao3(B) ; GB0-A-6F33
(ucs-set-char #x950E ?$Ao4(B) ; GB0-A-6F34
(ucs-set-char #x950F ?$Ao5(B) ; GB0-A-6F35
(ucs-set-char #x9510 ?$AHq(B) ; GB0-A-4871
(ucs-set-char #x9511 ?$AL`(B) ; GB0-A-4C60
(ucs-set-char #x9512 ?$Ao6(B) ; GB0-A-6F36
(ucs-set-char #x9513 ?$Ao7(B) ; GB0-A-6F37
(ucs-set-char #x9514 ?$Ao8(B) ; GB0-A-6F38
(ucs-set-char #x9515 ?$Ao9(B) ; GB0-A-6F39
(ucs-set-char #x9516 ?$Ao:(B) ; GB0-A-6F3A
(ucs-set-char #x9517 ?$AU`(B) ; GB0-A-5560
(ucs-set-char #x9518 ?$Ao;(B) ; GB0-A-6F3B
(ucs-set-char #x9519 ?$A4m(B) ; GB0-A-346D
(ucs-set-char #x951A ?$AC*(B) ; GB0-A-432A
(ucs-set-char #x951B ?$Ao<(B) ; GB0-A-6F3C
(ucs-set-char #x951D ?$Ao=(B) ; GB0-A-6F3D
(ucs-set-char #x951E ?$Ao>(B) ; GB0-A-6F3E
(ucs-set-char #x951F ?$Ao?(B) ; GB0-A-6F3F
(ucs-set-char #x9521 ?$AN}(B) ; GB0-A-4E7D
(ucs-set-char #x9522 ?$Ao@(B) ; GB0-A-6F40
(ucs-set-char #x9523 ?$AB`(B) ; GB0-A-4260
(ucs-set-char #x9524 ?$A48(B) ; GB0-A-3438
(ucs-set-char #x9525 ?$AW6(B) ; GB0-A-5736
(ucs-set-char #x9526 ?$A=u(B) ; GB0-A-3D75
(ucs-set-char #x9528 ?$AOG(B) ; GB0-A-4F47
(ucs-set-char #x9529 ?$AoC(B) ; GB0-A-6F43
(ucs-set-char #x952A ?$AoA(B) ; GB0-A-6F41
(ucs-set-char #x952B ?$AoB(B) ; GB0-A-6F42
(ucs-set-char #x952C ?$AoD(B) ; GB0-A-6F44
(ucs-set-char #x952D ?$A6'(B) ; GB0-A-3627
(ucs-set-char #x952E ?$A<|(B) ; GB0-A-3C7C
(ucs-set-char #x952F ?$A>b(B) ; GB0-A-3E62
(ucs-set-char #x9530 ?$ACL(B) ; GB0-A-434C
(ucs-set-char #x9531 ?$AoE(B) ; GB0-A-6F45
(ucs-set-char #x9532 ?$AoF(B) ; GB0-A-6F46
(ucs-set-char #x9534 ?$AoG(B) ; GB0-A-6F47
(ucs-set-char #x9535 ?$AoO(B) ; GB0-A-6F4F
(ucs-set-char #x9536 ?$AoH(B) ; GB0-A-6F48
(ucs-set-char #x9537 ?$AoI(B) ; GB0-A-6F49
(ucs-set-char #x9538 ?$AoJ(B) ; GB0-A-6F4A
(ucs-set-char #x9539 ?$AGB(B) ; GB0-A-4742
(ucs-set-char #x953A ?$Aoq(B) ; GB0-A-6F71
(ucs-set-char #x953B ?$A6M(B) ; GB0-A-364D
(ucs-set-char #x953C ?$AoK(B) ; GB0-A-6F4B
(ucs-set-char #x953E ?$AoL(B) ; GB0-A-6F4C
(ucs-set-char #x953F ?$AoM(B) ; GB0-A-6F4D
(ucs-set-char #x9540 ?$A6F(B) ; GB0-A-3646
(ucs-set-char #x9541 ?$AC>(B) ; GB0-A-433E
(ucs-set-char #x9542 ?$AoN(B) ; GB0-A-6F4E
(ucs-set-char #x9544 ?$AoP(B) ; GB0-A-6F50
(ucs-set-char #x9545 ?$AoQ(B) ; GB0-A-6F51
(ucs-set-char #x9546 ?$AoR(B) ; GB0-A-6F52
(ucs-set-char #x9547 ?$AUr(B) ; GB0-A-5572
(ucs-set-char #x9549 ?$AoS(B) ; GB0-A-6F53
(ucs-set-char #x954A ?$ADw(B) ; GB0-A-4477
(ucs-set-char #x954C ?$AoT(B) ; GB0-A-6F54
(ucs-set-char #x954D ?$ADx(B) ; GB0-A-4478
(ucs-set-char #x954E ?$AoU(B) ; GB0-A-6F55
(ucs-set-char #x954F ?$AoV(B) ; GB0-A-6F56
(ucs-set-char #x9550 ?$A8d(B) ; GB0-A-3864
(ucs-set-char #x9551 ?$A0w(B) ; GB0-A-3077
(ucs-set-char #x9552 ?$AoW(B) ; GB0-A-6F57
(ucs-set-char #x9553 ?$AoX(B) ; GB0-A-6F58
(ucs-set-char #x9554 ?$AoY(B) ; GB0-A-6F59
(ucs-set-char #x9556 ?$AoZ(B) ; GB0-A-6F5A
(ucs-set-char #x9557 ?$Ao[(B) ; GB0-A-6F5B
(ucs-set-char #x9558 ?$Ao\(B) ; GB0-A-6F5C
(ucs-set-char #x9559 ?$Ao](B) ; GB0-A-6F5D
(ucs-set-char #x955B ?$Ao^(B) ; GB0-A-6F5E
(ucs-set-char #x955C ?$A>5(B) ; GB0-A-3E35
(ucs-set-char #x955D ?$Aoa(B) ; GB0-A-6F61
(ucs-set-char #x955E ?$Ao_(B) ; GB0-A-6F5F
(ucs-set-char #x955F ?$Ao`(B) ; GB0-A-6F60
(ucs-set-char #x9561 ?$Aob(B) ; GB0-A-6F62
(ucs-set-char #x9562 ?$Aoc(B) ; GB0-A-6F63
(ucs-set-char #x9563 ?$AAM(B) ; GB0-A-414D
(ucs-set-char #x9564 ?$Aod(B) ; GB0-A-6F64
(ucs-set-char #x9565 ?$Aoe(B) ; GB0-A-6F65
(ucs-set-char #x9566 ?$Aof(B) ; GB0-A-6F66
(ucs-set-char #x9567 ?$Aog(B) ; GB0-A-6F67
(ucs-set-char #x9568 ?$Aoh(B) ; GB0-A-6F68
(ucs-set-char #x9569 ?$Aoi(B) ; GB0-A-6F69
(ucs-set-char #x956A ?$Aoj(B) ; GB0-A-6F6A
(ucs-set-char #x956B ?$Aok(B) ; GB0-A-6F6B
(ucs-set-char #x956C ?$Aol(B) ; GB0-A-6F6C
(ucs-set-char #x956D ?$A@X(B) ; GB0-A-4058
(ucs-set-char #x956F ?$Aom(B) ; GB0-A-6F6D
(ucs-set-char #x9570 ?$AA-(B) ; GB0-A-412D
(ucs-set-char #x9571 ?$Aon(B) ; GB0-A-6F6E
(ucs-set-char #x9572 ?$Aoo(B) ; GB0-A-6F6F
(ucs-set-char #x9573 ?$Aop(B) ; GB0-A-6F70
(ucs-set-char #x9576 ?$AOb(B) ; GB0-A-4F62
(ucs-set-char #x9577 ?$(Cm~(B) ; KS0-C-6D7E
(ucs-set-char #x9577 ?$(GO[(B) ; C01-G-4F5B
(ucs-set-char #x9577 ?$@D9(B) ; J78-@-4439
(ucs-set-char #x9577 ?$BD9(B) ; J83-B-4439
(ucs-set-char #x9578 ?$(De}(B) ; J90-D-657D
(ucs-set-char #x9578 ?$(J%+(B) ; C04-J-252B
(ucs-set-char #x9579 ?$(De~(B) ; J90-D-657E
(ucs-set-char #x9579 ?$(J0:(B) ; C04-J-303A
(ucs-set-char #x957A ?$(H:((B) ; C02-H-3A28
(ucs-set-char #x957B ?$(HA?(B) ; C02-H-413F
(ucs-set-char #x957C ?$(HUN(B) ; C02-H-554E
(ucs-set-char #x957D ?$(Hgc(B) ; C02-H-6763
(ucs-set-char #x957E ?$(Df!(B) ; J90-D-6621
(ucs-set-char #x957E ?$(KqV(B) ; C05-K-7156
(ucs-set-char #x957F ?$A3$(B) ; GB0-A-3324
(ucs-set-char #x9580 ?$(CZ&(B) ; KS0-C-5A26
(ucs-set-char #x9580 ?$(GO\(B) ; C01-G-4F5C
(ucs-set-char #x9580 ?$@Lg(B) ; J78-@-4C67
(ucs-set-char #x9580 ?$BLg(B) ; J83-B-4C67
(ucs-set-char #x9581 ?$(I/@(B) ; C03-I-2F40
(ucs-set-char #x9582 ?$(GSm(B) ; C01-G-536D
(ucs-set-char #x9582 ?$@oY(B) ; J78-@-6F59
(ucs-set-char #x9582 ?$BoY(B) ; J83-B-6F59
(ucs-set-char #x9583 ?$(C`l(B) ; KS0-C-606C
(ucs-set-char #x9583 ?$(GX`(B) ; C01-G-5860
(ucs-set-char #x9583 ?$@A.(B) ; J78-@-412E
(ucs-set-char #x9583 ?$BA.(B) ; J83-B-412E
(ucs-set-char #x9584 ?$(Df"(B) ; J90-D-6622
(ucs-set-char #x9584 ?$(J0;(B) ; C04-J-303B
(ucs-set-char #x9585 ?$(I42(B) ; C03-I-3432
(ucs-set-char #x9586 ?$(H:)(B) ; C02-H-3A29
(ucs-set-char #x9587 ?$(I9\(B) ; C03-I-395C
(ucs-set-char #x9587 ?$@oZ(B) ; J78-@-6F5A
(ucs-set-char #x9587 ?$BoZ(B) ; J83-B-6F5A
(ucs-set-char #x9588 ?$(Df#(B) ; J90-D-6623
(ucs-set-char #x9588 ?$(H:*(B) ; C02-H-3A2A
(ucs-set-char #x9589 ?$(CxM(B) ; KS0-C-784D
(ucs-set-char #x9589 ?$(G]p(B) ; C01-G-5D70
(ucs-set-char #x9589 ?$@JD(B) ; J78-@-4A44
(ucs-set-char #x9589 ?$BJD(B) ; J83-B-4A44
(ucs-set-char #x958A ?$@o[(B) ; J78-@-6F5B
(ucs-set-char #x958A ?$Bo[(B) ; J83-B-6F5B
(ucs-set-char #x958B ?$(CKR(B) ; KS0-C-4B52
(ucs-set-char #x958B ?$(Gbd(B) ; C01-G-6264
(ucs-set-char #x958B ?$@3+(B) ; J78-@-332B
(ucs-set-char #x958B ?$B3+(B) ; J83-B-332B
(ucs-set-char #x958C ?$(Df$(B) ; J90-D-6624
(ucs-set-char #x958C ?$(HAA(B) ; C02-H-4141
(ucs-set-char #x958D ?$(Df%(B) ; J90-D-6625
(ucs-set-char #x958D ?$(HA@(B) ; C02-H-4140
(ucs-set-char #x958E ?$(Df&(B) ; J90-D-6626
(ucs-set-char #x958E ?$(Gbh(B) ; C01-G-6268
(ucs-set-char #x958F ?$(CkN(B) ; KS0-C-6B4E
(ucs-set-char #x958F ?$(Gbc(B) ; C01-G-6263
(ucs-set-char #x958F ?$@1<(B) ; J78-@-313C
(ucs-set-char #x958F ?$B1<(B) ; J83-B-313C
(ucs-set-char #x9590 ?$(HAB(B) ; C02-H-4142
(ucs-set-char #x9591 ?$(CyX(B) ; KS0-C-7958
(ucs-set-char #x9591 ?$(Gbe(B) ; C01-G-6265
(ucs-set-char #x9591 ?$@4W(B) ; J78-@-3457
(ucs-set-char #x9591 ?$B4W(B) ; J83-B-3457
(ucs-set-char #x9592 ?$(CyY(B) ; KS0-C-7959
(ucs-set-char #x9592 ?$(Gbg(B) ; C01-G-6267
(ucs-set-char #x9593 ?$(CJ`(B) ; KS0-C-4A60
(ucs-set-char #x9593 ?$(Gbf(B) ; C01-G-6266
(ucs-set-char #x9593 ?$@4V(B) ; J78-@-3456
(ucs-set-char #x9593 ?$B4V(B) ; J83-B-3456
(ucs-set-char #x9594 ?$(CZJ(B) ; KS0-C-5A4A
(ucs-set-char #x9594 ?$(Gbb(B) ; C01-G-6262
(ucs-set-char #x9594 ?$@o\(B) ; J78-@-6F5C
(ucs-set-char #x9594 ?$Bo\(B) ; J83-B-6F5C
(ucs-set-char #x9595 ?$(I?l(B) ; C03-I-3F6C
(ucs-set-char #x9596 ?$@o](B) ; J78-@-6F5D
(ucs-set-char #x9596 ?$Bo](B) ; J83-B-6F5D
(ucs-set-char #x9598 ?$(CK&(B) ; KS0-C-4B26
(ucs-set-char #x9598 ?$(GgP(B) ; C01-G-6750
(ucs-set-char #x9598 ?$@o^(B) ; J78-@-6F5E
(ucs-set-char #x9598 ?$Bo^(B) ; J83-B-6F5E
(ucs-set-char #x9599 ?$(IE<(B) ; C03-I-453C
(ucs-set-char #x9599 ?$@o_(B) ; J78-@-6F5F
(ucs-set-char #x9599 ?$Bo_(B) ; J83-B-6F5F
(ucs-set-char #x959A ?$(IE:(B) ; C03-I-453A
(ucs-set-char #x959B ?$(HHV(B) ; C02-H-4856
(ucs-set-char #x959C ?$(HHT(B) ; C02-H-4854
(ucs-set-char #x959D ?$(Df'(B) ; J90-D-6627
(ucs-set-char #x959D ?$(JAS(B) ; C04-J-4153
(ucs-set-char #x959E ?$(Df((B) ; J90-D-6628
(ucs-set-char #x959E ?$(HHU(B) ; C02-H-4855
(ucs-set-char #x959F ?$(Df)(B) ; J90-D-6629
(ucs-set-char #x959F ?$(HHS(B) ; C02-H-4853
(ucs-set-char #x95A0 ?$@o`(B) ; J78-@-6F60
(ucs-set-char #x95A0 ?$Bo`(B) ; J83-B-6F60
(ucs-set-char #x95A1 ?$(Df*(B) ; J90-D-662A
(ucs-set-char #x95A1 ?$(Gk[(B) ; C01-G-6B5B
(ucs-set-char #x95A2 ?$(IJ=(B) ; C03-I-4A3D
(ucs-set-char #x95A2 ?$@4X(B) ; J78-@-3458
(ucs-set-char #x95A2 ?$B4X(B) ; J83-B-3458
(ucs-set-char #x95A3 ?$(CJH(B) ; KS0-C-4A48
(ucs-set-char #x95A3 ?$(Gk^(B) ; C01-G-6B5E
(ucs-set-char #x95A3 ?$@3U(B) ; J78-@-3355
(ucs-set-char #x95A3 ?$B3U(B) ; J83-B-3355
(ucs-set-char #x95A4 ?$(Cyn(B) ; KS0-C-796E
(ucs-set-char #x95A4 ?$(Gk`(B) ; C01-G-6B60
(ucs-set-char #x95A4 ?$@9^(B) ; J78-@-395E
(ucs-set-char #x95A4 ?$B9^(B) ; J83-B-395E
(ucs-set-char #x95A5 ?$(C[l(B) ; KS0-C-5B6C
(ucs-set-char #x95A5 ?$(Gk_(B) ; C01-G-6B5F
(ucs-set-char #x95A5 ?$@H6(B) ; J78-@-4836
(ucs-set-char #x95A5 ?$BH6(B) ; J83-B-4836
(ucs-set-char #x95A6 ?$(Df+(B) ; J90-D-662B
(ucs-set-char #x95A6 ?$(JH"(B) ; C04-J-4822
(ucs-set-char #x95A7 ?$(IJ>(B) ; C03-I-4A3E
(ucs-set-char #x95A7 ?$@ob(B) ; J78-@-6F62
(ucs-set-char #x95A7 ?$Bob(B) ; J83-B-6F62
(ucs-set-char #x95A8 ?$(CP1(B) ; KS0-C-5031
(ucs-set-char #x95A8 ?$(Gk\(B) ; C01-G-6B5C
(ucs-set-char #x95A8 ?$@oa(B) ; J78-@-6F61
(ucs-set-char #x95A8 ?$Boa(B) ; J83-B-6F61
(ucs-set-char #x95A9 ?$(Df,(B) ; J90-D-662C
(ucs-set-char #x95A9 ?$(Gk](B) ; C01-G-6B5D
(ucs-set-char #x95AB ?$(Df-(B) ; J90-D-662D
(ucs-set-char #x95AB ?$(HUP(B) ; C02-H-5550
(ucs-set-char #x95AC ?$(Df.(B) ; J90-D-662E
(ucs-set-char #x95AC ?$(HUO(B) ; C02-H-554F
(ucs-set-char #x95AD ?$(CUo(B) ; KS0-C-556F
(ucs-set-char #x95AD ?$(God(B) ; C01-G-6F64
(ucs-set-char #x95AD ?$@oc(B) ; J78-@-6F63
(ucs-set-char #x95AD ?$Boc(B) ; J83-B-6F63
(ucs-set-char #x95AE ?$(HUQ(B) ; C02-H-5551
(ucs-set-char #x95AF ?$(IOS(B) ; C03-I-4F53
(ucs-set-char #x95B0 ?$(HUR(B) ; C02-H-5552
(ucs-set-char #x95B1 ?$(Cfs(B) ; KS0-C-6673
(ucs-set-char #x95B1 ?$(Goe(B) ; C01-G-6F65
(ucs-set-char #x95B2 ?$(IOU(B) ; C03-I-4F55
(ucs-set-char #x95B2 ?$@1\(B) ; J78-@-315C
(ucs-set-char #x95B2 ?$B1\(B) ; J83-B-315C
(ucs-set-char #x95B3 ?$(IOV(B) ; C03-I-4F56
(ucs-set-char #x95B4 ?$(Df/(B) ; J90-D-662F
(ucs-set-char #x95B4 ?$(JNJ(B) ; C04-J-4E4A
(ucs-set-char #x95B5 ?$(H[Y(B) ; C02-H-5B59
(ucs-set-char #x95B6 ?$(Df0(B) ; J90-D-6630
(ucs-set-char #x95B6 ?$(H[W(B) ; C02-H-5B57
(ucs-set-char #x95B7 ?$(H`@(B) ; C02-H-6040
(ucs-set-char #x95B8 ?$(ISB(B) ; C03-I-5342
(ucs-set-char #x95B9 ?$(H[U(B) ; C02-H-5B55
(ucs-set-char #x95B9 ?$@of(B) ; J78-@-6F66
(ucs-set-char #x95B9 ?$Bof(B) ; J83-B-6F66
(ucs-set-char #x95BA ?$(Df1(B) ; J90-D-6631
(ucs-set-char #x95BA ?$(H[V(B) ; C02-H-5B56
(ucs-set-char #x95BB ?$(Cg"(B) ; KS0-C-6722
(ucs-set-char #x95BB ?$(Gro(B) ; C01-G-726F
(ucs-set-char #x95BB ?$@oe(B) ; J78-@-6F65
(ucs-set-char #x95BB ?$Boe(B) ; J83-B-6F65
(ucs-set-char #x95BC ?$(CdY(B) ; KS0-C-6459
(ucs-set-char #x95BC ?$(H[R(B) ; C02-H-5B52
(ucs-set-char #x95BC ?$@od(B) ; J78-@-6F64
(ucs-set-char #x95BC ?$Bod(B) ; J83-B-6F64
(ucs-set-char #x95BD ?$(Df2(B) ; J90-D-6632
(ucs-set-char #x95BD ?$(H[Z(B) ; C02-H-5B5A
(ucs-set-char #x95BE ?$(H[T(B) ; C02-H-5B54
(ucs-set-char #x95BE ?$@og(B) ; J78-@-6F67
(ucs-set-char #x95BE ?$Bog(B) ; J83-B-6F67
(ucs-set-char #x95BF ?$(Df3(B) ; J90-D-6633
(ucs-set-char #x95BF ?$(H[X(B) ; C02-H-5B58
(ucs-set-char #x95C0 ?$(H`<(B) ; C02-H-603C
(ucs-set-char #x95C1 ?$(ISD(B) ; C03-I-5344
(ucs-set-char #x95C2 ?$(IS@(B) ; C03-I-5340
(ucs-set-char #x95C3 ?$(H`>(B) ; C02-H-603E
(ucs-set-char #x95C3 ?$@oj(B) ; J78-@-6F6A
(ucs-set-char #x95C3 ?$Boj(B) ; J83-B-6F6A
(ucs-set-char #x95C4 ?$(IVm(B) ; C03-I-566D
(ucs-set-char #x95C5 ?$(H`?(B) ; C02-H-603F
(ucs-set-char #x95C6 ?$(Df4(B) ; J90-D-6634
(ucs-set-char #x95C6 ?$(Gu~(B) ; C01-G-757E
(ucs-set-char #x95C7 ?$(Cda(B) ; KS0-C-6461
(ucs-set-char #x95C7 ?$(H`;(B) ; C02-H-603B
(ucs-set-char #x95C7 ?$@0G(B) ; J78-@-3047
(ucs-set-char #x95C7 ?$B0G(B) ; J83-B-3047
(ucs-set-char #x95C8 ?$(Df5(B) ; J90-D-6635
(ucs-set-char #x95C8 ?$(Gu}(B) ; C01-G-757D
(ucs-set-char #x95C9 ?$(Df6(B) ; J90-D-6636
(ucs-set-char #x95C9 ?$(H`=(B) ; C02-H-603D
(ucs-set-char #x95CA ?$(C|D(B) ; KS0-C-7C44
(ucs-set-char #x95CA ?$(Guz(B) ; C01-G-757A
(ucs-set-char #x95CA ?$@oh(B) ; J78-@-6F68
(ucs-set-char #x95CA ?$Boh(B) ; J83-B-6F68
(ucs-set-char #x95CB ?$(Df7(B) ; J90-D-6637
(ucs-set-char #x95CB ?$(Gu{(B) ; C01-G-757B
(ucs-set-char #x95CC ?$(Gu|(B) ; C01-G-757C
(ucs-set-char #x95CC ?$@ol(B) ; J78-@-6F6C
(ucs-set-char #x95CC ?$Bol(B) ; J83-B-6F6C
(ucs-set-char #x95CD ?$(H[S(B) ; C02-H-5B53
(ucs-set-char #x95CD ?$@ok(B) ; J78-@-6F6B
(ucs-set-char #x95CD ?$Bok(B) ; J83-B-6F6B
(ucs-set-char #x95D0 ?$(Df8(B) ; J90-D-6638
(ucs-set-char #x95D0 ?$(Gw`(B) ; C01-G-7760
(ucs-set-char #x95D1 ?$(Df9(B) ; J90-D-6639
(ucs-set-char #x95D1 ?$(Hd:(B) ; C02-H-643A
(ucs-set-char #x95D2 ?$(Df:(B) ; J90-D-663A
(ucs-set-char #x95D2 ?$(Hd8(B) ; C02-H-6438
(ucs-set-char #x95D3 ?$(Df;(B) ; J90-D-663B
(ucs-set-char #x95D3 ?$(Hd9(B) ; C02-H-6439
(ucs-set-char #x95D4 ?$(Cyo(B) ; KS0-C-796F
(ucs-set-char #x95D4 ?$(Gw^(B) ; C01-G-775E
(ucs-set-char #x95D4 ?$@on(B) ; J78-@-6F6E
(ucs-set-char #x95D4 ?$Bon(B) ; J83-B-6F6E
(ucs-set-char #x95D5 ?$(COt(B) ; KS0-C-4F74
(ucs-set-char #x95D5 ?$(Gwa(B) ; C01-G-7761
(ucs-set-char #x95D5 ?$@om(B) ; J78-@-6F6D
(ucs-set-char #x95D5 ?$Bom(B) ; J83-B-6F6D
(ucs-set-char #x95D6 ?$(Cwf(B) ; KS0-C-7766
(ucs-set-char #x95D6 ?$(Gw_(B) ; C01-G-775F
(ucs-set-char #x95D6 ?$@oo(B) ; J78-@-6F6F
(ucs-set-char #x95D6 ?$Boo(B) ; J83-B-6F6F
(ucs-set-char #x95D7 ?$(IYK(B) ; C03-I-594B
(ucs-set-char #x95D8 ?$(IYJ(B) ; C03-I-594A
(ucs-set-char #x95D8 ?$@F.(B) ; J78-@-462E
(ucs-set-char #x95D8 ?$BF.(B) ; J83-B-462E
(ucs-set-char #x95D9 ?$(Df<(B) ; J90-D-663C
(ucs-set-char #x95D9 ?$(MK@(B) ; C07-M-4B40
(ucs-set-char #x95DA ?$(Df=(B) ; J90-D-663D
(ucs-set-char #x95DA ?$(Hgd(B) ; C02-H-6764
(ucs-set-char #x95DB ?$(Hge(B) ; C02-H-6765
(ucs-set-char #x95DC ?$(CN<(B) ; KS0-C-4E3C
(ucs-set-char #x95DC ?$(GyC(B) ; C01-G-7943
(ucs-set-char #x95DC ?$@op(B) ; J78-@-6F70
(ucs-set-char #x95DC ?$Bop(B) ; J83-B-6F70
(ucs-set-char #x95DD ?$(Df>(B) ; J90-D-663E
(ucs-set-char #x95DD ?$(I[S(B) ; C03-I-5B53
(ucs-set-char #x95DE ?$(Df?(B) ; J90-D-663F
(ucs-set-char #x95DE ?$(HjS(B) ; C02-H-6A53
(ucs-set-char #x95DF ?$(Df@(B) ; J90-D-6640
(ucs-set-char #x95DF ?$(HjU(B) ; C02-H-6A55
(ucs-set-char #x95E0 ?$(DfA(B) ; J90-D-6641
(ucs-set-char #x95E0 ?$(HjT(B) ; C02-H-6A54
(ucs-set-char #x95E1 ?$(CtE(B) ; KS0-C-7445
(ucs-set-char #x95E1 ?$(GzO(B) ; C01-G-7A4F
(ucs-set-char #x95E1 ?$@oq(B) ; J78-@-6F71
(ucs-set-char #x95E1 ?$Boq(B) ; J83-B-6F71
(ucs-set-char #x95E2 ?$(C\#(B) ; KS0-C-5C23
(ucs-set-char #x95E2 ?$(G{<(B) ; C01-G-7B3C
(ucs-set-char #x95E2 ?$@os(B) ; J78-@-6F73
(ucs-set-char #x95E2 ?$Bos(B) ; J83-B-6F73
(ucs-set-char #x95E3 ?$(Hl[(B) ; C02-H-6C5B
(ucs-set-char #x95E4 ?$(DfB(B) ; J90-D-6642
(ucs-set-char #x95E4 ?$(HlZ(B) ; C02-H-6C5A
(ucs-set-char #x95E5 ?$(HlY(B) ; C02-H-6C59
(ucs-set-char #x95E5 ?$@or(B) ; J78-@-6F72
(ucs-set-char #x95E5 ?$Bor(B) ; J83-B-6F72
(ucs-set-char #x95E6 ?$(DfC(B) ; J90-D-6643
(ucs-set-char #x95E8 ?$ACE(B) ; GB0-A-4345
(ucs-set-char #x95E9 ?$AcE(B) ; GB0-A-6345
(ucs-set-char #x95EA ?$AIA(B) ; GB0-A-4941
(ucs-set-char #x95EB ?$AcF(B) ; GB0-A-6346
(ucs-set-char #x95ED ?$A1U(B) ; GB0-A-3155
(ucs-set-char #x95EE ?$ANJ(B) ; GB0-A-4E4A
(ucs-set-char #x95EF ?$A43(B) ; GB0-A-3433
(ucs-set-char #x95F0 ?$AHr(B) ; GB0-A-4872
(ucs-set-char #x95F1 ?$AcG(B) ; GB0-A-6347
(ucs-set-char #x95F2 ?$AOP(B) ; GB0-A-4F50
(ucs-set-char #x95F3 ?$AcH(B) ; GB0-A-6348
(ucs-set-char #x95F4 ?$A<d(B) ; GB0-A-3C64
(ucs-set-char #x95F5 ?$AcI(B) ; GB0-A-6349
(ucs-set-char #x95F6 ?$AcJ(B) ; GB0-A-634A
(ucs-set-char #x95F7 ?$ACF(B) ; GB0-A-4346
(ucs-set-char #x95F8 ?$AU"(B) ; GB0-A-5522
(ucs-set-char #x95F9 ?$ADV(B) ; GB0-A-4456
(ucs-set-char #x95FA ?$A9k(B) ; GB0-A-396B
(ucs-set-char #x95FB ?$ANE(B) ; GB0-A-4E45
(ucs-set-char #x95FC ?$AcK(B) ; GB0-A-634B
(ucs-set-char #x95FD ?$ACv(B) ; GB0-A-4376
(ucs-set-char #x95FE ?$AcL(B) ; GB0-A-634C
(ucs-set-char #x9600 ?$A7'(B) ; GB0-A-3727
(ucs-set-char #x9601 ?$A8s(B) ; GB0-A-3873
(ucs-set-char #x9602 ?$A:R(B) ; GB0-A-3A52
(ucs-set-char #x9603 ?$AcM(B) ; GB0-A-634D
(ucs-set-char #x9604 ?$AcN(B) ; GB0-A-634E
(ucs-set-char #x9605 ?$ATD(B) ; GB0-A-5444
(ucs-set-char #x9606 ?$AcO(B) ; GB0-A-634F
(ucs-set-char #x9608 ?$AcP(B) ; GB0-A-6350
(ucs-set-char #x9609 ?$AQK(B) ; GB0-A-514B
(ucs-set-char #x960A ?$AcQ(B) ; GB0-A-6351
(ucs-set-char #x960B ?$AcR(B) ; GB0-A-6352
(ucs-set-char #x960C ?$AcS(B) ; GB0-A-6353
(ucs-set-char #x960D ?$AcT(B) ; GB0-A-6354
(ucs-set-char #x960E ?$AQV(B) ; GB0-A-5156
(ucs-set-char #x960F ?$AcU(B) ; GB0-A-6355
(ucs-set-char #x9610 ?$A2{(B) ; GB0-A-327B
(ucs-set-char #x9611 ?$A@;(B) ; GB0-A-403B
(ucs-set-char #x9612 ?$AcV(B) ; GB0-A-6356
(ucs-set-char #x9614 ?$A@+(B) ; GB0-A-402B
(ucs-set-char #x9615 ?$AcW(B) ; GB0-A-6357
(ucs-set-char #x9616 ?$AcX(B) ; GB0-A-6358
(ucs-set-char #x9617 ?$AcY(B) ; GB0-A-6359
(ucs-set-char #x9619 ?$AcZ(B) ; GB0-A-635A
(ucs-set-char #x961A ?$Ac[(B) ; GB0-A-635B
(ucs-set-char #x961C ?$(C]=(B) ; KS0-C-5D3D
(ucs-set-char #x961C ?$(GO](B) ; C01-G-4F5D
(ucs-set-char #x961C ?$@Il(B) ; J78-@-496C
(ucs-set-char #x961C ?$A87(B) ; GB0-A-3837
(ucs-set-char #x961C ?$BIl(B) ; J83-B-496C
(ucs-set-char #x961D ?$(DfD(B) ; J90-D-6644
(ucs-set-char #x961D ?$(I!C(B) ; C03-I-2143
(ucs-set-char #x961D ?$AZb(B) ; GB0-A-5A62
(ucs-set-char #x961E ?$(DfE(B) ; J90-D-6645
(ucs-set-char #x961E ?$(H!i(B) ; C02-H-2169
(ucs-set-char #x961F ?$A6S(B) ; GB0-A-3653
(ucs-set-char #x9620 ?$(H"x(B) ; C02-H-2278
(ucs-set-char #x9621 ?$(CtF(B) ; KS0-C-7446
(ucs-set-char #x9621 ?$(GHj(B) ; C01-G-486A
(ucs-set-char #x9621 ?$@ot(B) ; J78-@-6F74
(ucs-set-char #x9621 ?$AZd(B) ; GB0-A-5A64
(ucs-set-char #x9621 ?$Bot(B) ; J83-B-6F74
(ucs-set-char #x9622 ?$(DfF(B) ; J90-D-6646
(ucs-set-char #x9622 ?$(H"v(B) ; C02-H-2276
(ucs-set-char #x9622 ?$AZc(B) ; GB0-A-5A63
(ucs-set-char #x9623 ?$(H"y(B) ; C02-H-2279
(ucs-set-char #x9624 ?$(DfG(B) ; J90-D-6647
(ucs-set-char #x9624 ?$(H"w(B) ; C02-H-2277
(ucs-set-char #x9625 ?$(DfH(B) ; J90-D-6648
(ucs-set-char #x9625 ?$(J%.(B) ; C04-J-252E
(ucs-set-char #x9626 ?$(DfI(B) ; J90-D-6649
(ucs-set-char #x9626 ?$(I';(B) ; C03-I-273B
(ucs-set-char #x9627 ?$(I':(B) ; C03-I-273A
(ucs-set-char #x9628 ?$(H%.(B) ; C02-H-252E
(ucs-set-char #x9628 ?$@ou(B) ; J78-@-6F75
(ucs-set-char #x9628 ?$Bou(B) ; J83-B-6F75
(ucs-set-char #x9629 ?$(I'?(B) ; C03-I-273F
(ucs-set-char #x962A ?$(Cx!(B) ; KS0-C-7821
(ucs-set-char #x962A ?$(GKb(B) ; C01-G-4B62
(ucs-set-char #x962A ?$@:e(B) ; J78-@-3A65
(ucs-set-char #x962A ?$AZf(B) ; GB0-A-5A66
(ucs-set-char #x962A ?$B:e(B) ; J83-B-3A65
(ucs-set-char #x962B ?$(I'<(B) ; C03-I-273C
(ucs-set-char #x962C ?$(DfJ(B) ; J90-D-664A
(ucs-set-char #x962C ?$(GKc(B) ; C01-G-4B63
(ucs-set-char #x962D ?$(H%0(B) ; C02-H-2530
(ucs-set-char #x962E ?$(ChV(B) ; KS0-C-6856
(ucs-set-char #x962E ?$(GK`(B) ; C01-G-4B60
(ucs-set-char #x962E ?$@ov(B) ; J78-@-6F76
(ucs-set-char #x962E ?$AHn(B) ; GB0-A-486E
(ucs-set-char #x962E ?$Bov(B) ; J83-B-6F76
(ucs-set-char #x962F ?$(H%/(B) ; C02-H-252F
(ucs-set-char #x962F ?$@ow(B) ; J78-@-6F77
(ucs-set-char #x962F ?$Bow(B) ; J83-B-6F77
(ucs-set-char #x9630 ?$(H%-(B) ; C02-H-252D
(ucs-set-char #x9631 ?$(DfK(B) ; J90-D-664B
(ucs-set-char #x9631 ?$(GKa(B) ; C01-G-4B61
(ucs-set-char #x9631 ?$AZe(B) ; GB0-A-5A65
(ucs-set-char #x9632 ?$(C[A(B) ; KS0-C-5B41
(ucs-set-char #x9632 ?$(GK_(B) ; C01-G-4B5F
(ucs-set-char #x9632 ?$@KI(B) ; J78-@-4B49
(ucs-set-char #x9632 ?$A7@(B) ; GB0-A-3740
(ucs-set-char #x9632 ?$BKI(B) ; J83-B-4B49
(ucs-set-char #x9633 ?$(DfL(B) ; J90-D-664C
(ucs-set-char #x9633 ?$(I'=(B) ; C03-I-273D
(ucs-set-char #x9633 ?$AQt(B) ; GB0-A-5174
(ucs-set-char #x9634 ?$(I'>(B) ; C03-I-273E
(ucs-set-char #x9634 ?$ARu(B) ; GB0-A-5275
(ucs-set-char #x9635 ?$AUs(B) ; GB0-A-5573
(ucs-set-char #x9636 ?$A=W(B) ; GB0-A-3D57
(ucs-set-char #x9637 ?$(DfM(B) ; J90-D-664D
(ucs-set-char #x9637 ?$(I*y(B) ; C03-I-2A79
(ucs-set-char #x9638 ?$(DfN(B) ; J90-D-664E
(ucs-set-char #x9638 ?$(J(3(B) ; C04-J-2833
(ucs-set-char #x9639 ?$(DfO(B) ; J90-D-664F
(ucs-set-char #x9639 ?$(H(x(B) ; C02-H-2878
(ucs-set-char #x963A ?$(DfP(B) ; J90-D-6650
(ucs-set-char #x963A ?$(H({(B) ; C02-H-287B
(ucs-set-char #x963B ?$(Cpf(B) ; KS0-C-7066
(ucs-set-char #x963B ?$(GO`(B) ; C01-G-4F60
(ucs-set-char #x963B ?$@AK(B) ; J78-@-414B
(ucs-set-char #x963B ?$AWh(B) ; GB0-A-5768
(ucs-set-char #x963B ?$BAK(B) ; J83-B-414B
(ucs-set-char #x963C ?$(DfQ(B) ; J90-D-6651
(ucs-set-char #x963C ?$(H(z(B) ; C02-H-287A
(ucs-set-char #x963C ?$AZh(B) ; GB0-A-5A68
(ucs-set-char #x963D ?$(DfR(B) ; J90-D-6652
(ucs-set-char #x963D ?$(H(y(B) ; C02-H-2879
(ucs-set-char #x963D ?$AZg(B) ; GB0-A-5A67
(ucs-set-char #x963E ?$(I*|(B) ; C03-I-2A7C
(ucs-set-char #x963F ?$(Cd9(B) ; KS0-C-6439
(ucs-set-char #x963F ?$(GO_(B) ; C01-G-4F5F
(ucs-set-char #x963F ?$@0$(B) ; J78-@-3024
(ucs-set-char #x963F ?$A0"(B) ; GB0-A-3022
(ucs-set-char #x963F ?$B0$(B) ; J83-B-3024
(ucs-set-char #x9640 ?$(Cvm(B) ; KS0-C-766D
(ucs-set-char #x9640 ?$(GO^(B) ; C01-G-4F5E
(ucs-set-char #x9640 ?$@BK(B) ; J78-@-424B
(ucs-set-char #x9640 ?$AMS(B) ; GB0-A-4D53
(ucs-set-char #x9640 ?$BBK(B) ; J83-B-424B
(ucs-set-char #x9641 ?$(DfS(B) ; J90-D-6653
(ucs-set-char #x9641 ?$(I*{(B) ; C03-I-2A7B
(ucs-set-char #x9642 ?$(Cy.(B) ; KS0-C-792E
(ucs-set-char #x9642 ?$(GOb(B) ; C01-G-4F62
(ucs-set-char #x9642 ?$@ox(B) ; J78-@-6F78
(ucs-set-char #x9642 ?$AZi(B) ; GB0-A-5A69
(ucs-set-char #x9642 ?$Box(B) ; J83-B-6F78
(ucs-set-char #x9643 ?$(H(|(B) ; C02-H-287C
(ucs-set-char #x9644 ?$(C]>(B) ; KS0-C-5D3E
(ucs-set-char #x9644 ?$(GOa(B) ; C01-G-4F61
(ucs-set-char #x9644 ?$@Im(B) ; J78-@-496D
(ucs-set-char #x9644 ?$A8=(B) ; GB0-A-383D
(ucs-set-char #x9644 ?$BIm(B) ; J83-B-496D
(ucs-set-char #x9645 ?$A<J(B) ; GB0-A-3C4A
(ucs-set-char #x9646 ?$AB=(B) ; GB0-A-423D
(ucs-set-char #x9647 ?$AB$(B) ; GB0-A-4224
(ucs-set-char #x9648 ?$A3B(B) ; GB0-A-3342
(ucs-set-char #x9649 ?$AZj(B) ; GB0-A-5A6A
(ucs-set-char #x964A ?$(H-g(B) ; C02-H-2D67
(ucs-set-char #x964B ?$(CW0(B) ; KS0-C-5730
(ucs-set-char #x964B ?$(GSo(B) ; C01-G-536F
(ucs-set-char #x964B ?$@o{(B) ; J78-@-6F7B
(ucs-set-char #x964B ?$AB*(B) ; GB0-A-422A
(ucs-set-char #x964B ?$Bo{(B) ; J83-B-6F7B
(ucs-set-char #x964C ?$(CXh(B) ; KS0-C-5868
(ucs-set-char #x964C ?$(GSp(B) ; C01-G-5370
(ucs-set-char #x964C ?$@oy(B) ; J78-@-6F79
(ucs-set-char #x964C ?$AD0(B) ; GB0-A-4430
(ucs-set-char #x964C ?$Boy(B) ; J83-B-6F79
(ucs-set-char #x964D ?$(CK=(B) ; KS0-C-4B3D
(ucs-set-char #x964D ?$(GSq(B) ; C01-G-5371
(ucs-set-char #x964D ?$@9_(B) ; J78-@-395F
(ucs-set-char #x964D ?$A=5(B) ; GB0-A-3D35
(ucs-set-char #x964D ?$B9_(B) ; J83-B-395F
(ucs-set-char #x964E ?$(H-h(B) ; C02-H-2D68
(ucs-set-char #x964F ?$(H-d(B) ; C02-H-2D64
(ucs-set-char #x964F ?$@oz(B) ; J78-@-6F7A
(ucs-set-char #x964F ?$Boz(B) ; J83-B-6F7A
(ucs-set-char #x9650 ?$(CyZ(B) ; KS0-C-795A
(ucs-set-char #x9650 ?$(GSn(B) ; C01-G-536E
(ucs-set-char #x9650 ?$@8B(B) ; J78-@-3842
(ucs-set-char #x9650 ?$AO^(B) ; GB0-A-4F5E
(ucs-set-char #x9650 ?$B8B(B) ; J83-B-3842
(ucs-set-char #x9651 ?$(H-e(B) ; C02-H-2D65
(ucs-set-char #x9652 ?$(DfT(B) ; J90-D-6654
(ucs-set-char #x9652 ?$(J+](B) ; C04-J-2B5D
(ucs-set-char #x9653 ?$(H-f(B) ; C02-H-2D66
(ucs-set-char #x9654 ?$(DfU(B) ; J90-D-6655
(ucs-set-char #x9654 ?$(H-c(B) ; C02-H-2D63
(ucs-set-char #x9654 ?$AZk(B) ; GB0-A-5A6B
(ucs-set-char #x9655 ?$(J+[(B) ; C04-J-2B5B
(ucs-set-char #x9655 ?$AIB(B) ; GB0-A-4942
(ucs-set-char #x9656 ?$(DfV(B) ; J90-D-6656
(ucs-set-char #x9656 ?$(I46(B) ; C03-I-3436
(ucs-set-char #x9657 ?$(DfW(B) ; J90-D-6657
(ucs-set-char #x9657 ?$(J0?(B) ; C04-J-303F
(ucs-set-char #x9658 ?$(DfX(B) ; J90-D-6658
(ucs-set-char #x9658 ?$(GXg(B) ; C01-G-5867
(ucs-set-char #x9659 ?$(I44(B) ; C03-I-3434
(ucs-set-char #x965A ?$(I9^(B) ; C03-I-395E
(ucs-set-char #x965B ?$(CxN(B) ; KS0-C-784E
(ucs-set-char #x965B ?$(GXd(B) ; C01-G-5864
(ucs-set-char #x965B ?$@JE(B) ; J78-@-4A45
(ucs-set-char #x965B ?$A1](B) ; GB0-A-315D
(ucs-set-char #x965B ?$BJE(B) ; J83-B-4A45
(ucs-set-char #x965C ?$(Cyp(B) ; KS0-C-7970
(ucs-set-char #x965C ?$(H3H(B) ; C02-H-3348
(ucs-set-char #x965C ?$@o}(B) ; J78-@-6F7D
(ucs-set-char #x965C ?$Bo}(B) ; J83-B-6F7D
(ucs-set-char #x965D ?$(C`m(B) ; KS0-C-606D
(ucs-set-char #x965D ?$(GXe(B) ; C01-G-5865
(ucs-set-char #x965D ?$@p!(B) ; J78-@-7021
(ucs-set-char #x965D ?$Bp!(B) ; J83-B-7021
(ucs-set-char #x965E ?$(Cc3(B) ; KS0-C-6333
(ucs-set-char #x965E ?$(GXh(B) ; C01-G-5868
(ucs-set-char #x965E ?$@o~(B) ; J78-@-6F7E
(ucs-set-char #x965E ?$Bo~(B) ; J83-B-6F7E
(ucs-set-char #x965F ?$(Ct3(B) ; KS0-C-7433
(ucs-set-char #x965F ?$(H3I(B) ; C02-H-3349
(ucs-set-char #x965F ?$@p"(B) ; J78-@-7022
(ucs-set-char #x965F ?$AZl(B) ; GB0-A-5A6C
(ucs-set-char #x965F ?$Bp"(B) ; J83-B-7022
(ucs-set-char #x9660 ?$(I43(B) ; C03-I-3433
(ucs-set-char #x9661 ?$(DfY(B) ; J90-D-6659
(ucs-set-char #x9661 ?$(GXc(B) ; C01-G-5863
(ucs-set-char #x9661 ?$A68(B) ; GB0-A-3638
(ucs-set-char #x9662 ?$(CjB(B) ; KS0-C-6A42
(ucs-set-char #x9662 ?$(GXa(B) ; C01-G-5861
(ucs-set-char #x9662 ?$@1!(B) ; J78-@-3121
(ucs-set-char #x9662 ?$AT:(B) ; GB0-A-543A
(ucs-set-char #x9662 ?$B1!(B) ; J83-B-3121
(ucs-set-char #x9663 ?$(Crf(B) ; KS0-C-7266
(ucs-set-char #x9663 ?$(GXb(B) ; C01-G-5862
(ucs-set-char #x9663 ?$@?X(B) ; J78-@-3F58
(ucs-set-char #x9663 ?$B?X(B) ; J83-B-3F58
(ucs-set-char #x9664 ?$(Cp6(B) ; KS0-C-7036
(ucs-set-char #x9664 ?$(GXf(B) ; C01-G-5866
(ucs-set-char #x9664 ?$@=|(B) ; J78-@-3D7C
(ucs-set-char #x9664 ?$A3}(B) ; GB0-A-337D
(ucs-set-char #x9664 ?$B=|(B) ; J83-B-3D7C
(ucs-set-char #x9665 ?$@4Y(B) ; J78-@-3459
(ucs-set-char #x9665 ?$B4Y(B) ; J83-B-3459
(ucs-set-char #x9666 ?$@p#(B) ; J78-@-7023
(ucs-set-char #x9666 ?$Bp#(B) ; J83-B-7023
(ucs-set-char #x9667 ?$AZm(B) ; GB0-A-5A6D
(ucs-set-char #x9668 ?$ATI(B) ; GB0-A-5449
(ucs-set-char #x9669 ?$AOU(B) ; GB0-A-4F55
(ucs-set-char #x966A ?$(C[V(B) ; KS0-C-5B56
(ucs-set-char #x966A ?$(G]q(B) ; C01-G-5D71
(ucs-set-char #x966A ?$@Gf(B) ; J78-@-4766
(ucs-set-char #x966A ?$AEc(B) ; GB0-A-4563
(ucs-set-char #x966A ?$BGf(B) ; J83-B-4766
(ucs-set-char #x966B ?$(H:-(B) ; C02-H-3A2D
(ucs-set-char #x966C ?$(G]y(B) ; C01-G-5D79
(ucs-set-char #x966C ?$@p%(B) ; J78-@-7025
(ucs-set-char #x966C ?$AZn(B) ; GB0-A-5A6E
(ucs-set-char #x966C ?$Bp%(B) ; J83-B-7025
(ucs-set-char #x966D ?$(H:,(B) ; C02-H-3A2C
(ucs-set-char #x966E ?$(DfZ(B) ; J90-D-665A
(ucs-set-char #x966E ?$(I9a(B) ; C03-I-3961
(ucs-set-char #x966F ?$(H:/(B) ; C02-H-3A2F
(ucs-set-char #x9670 ?$(Ckd(B) ; KS0-C-6B64
(ucs-set-char #x9670 ?$(G]u(B) ; C01-G-5D75
(ucs-set-char #x9670 ?$@1"(B) ; J78-@-3122
(ucs-set-char #x9670 ?$B1"(B) ; J83-B-3122
(ucs-set-char #x9671 ?$(H:.(B) ; C02-H-3A2E
(ucs-set-char #x9672 ?$(Gbp(B) ; C01-G-6270
(ucs-set-char #x9672 ?$@p$(B) ; J78-@-7024
(ucs-set-char #x9672 ?$AZo(B) ; GB0-A-5A6F
(ucs-set-char #x9672 ?$Bp$(B) ; J83-B-7024
(ucs-set-char #x9673 ?$(Crg(B) ; KS0-C-7267
(ucs-set-char #x9673 ?$(G]s(B) ; C01-G-5D73
(ucs-set-char #x9673 ?$@DD(B) ; J78-@-4444
(ucs-set-char #x9673 ?$BDD(B) ; J83-B-4444
(ucs-set-char #x9674 ?$(Df[(B) ; J90-D-665B
(ucs-set-char #x9674 ?$(G]v(B) ; C01-G-5D76
(ucs-set-char #x9674 ?$AZp(B) ; GB0-A-5A70
(ucs-set-char #x9675 ?$(CWU(B) ; KS0-C-5755
(ucs-set-char #x9675 ?$(G]r(B) ; C01-G-5D72
(ucs-set-char #x9675 ?$@NM(B) ; J78-@-4E4D
(ucs-set-char #x9675 ?$AAj(B) ; GB0-A-416A
(ucs-set-char #x9675 ?$BNM(B) ; J83-B-4E4D
(ucs-set-char #x9676 ?$(CT6(B) ; KS0-C-5436
(ucs-set-char #x9676 ?$(G]w(B) ; C01-G-5D77
(ucs-set-char #x9676 ?$@F+(B) ; J78-@-462B
(ucs-set-char #x9676 ?$ALU(B) ; GB0-A-4C55
(ucs-set-char #x9676 ?$BF+(B) ; J83-B-462B
(ucs-set-char #x9677 ?$(Cyh(B) ; KS0-C-7968
(ucs-set-char #x9677 ?$(G]x(B) ; C01-G-5D78
(ucs-set-char #x9677 ?$@o|(B) ; J78-@-6F7C
(ucs-set-char #x9677 ?$AO](B) ; GB0-A-4F5D
(ucs-set-char #x9677 ?$Bo|(B) ; J83-B-6F7C
(ucs-set-char #x9678 ?$(CWA(B) ; KS0-C-5741
(ucs-set-char #x9678 ?$(G]t(B) ; C01-G-5D74
(ucs-set-char #x9678 ?$@N&(B) ; J78-@-4E26
(ucs-set-char #x9678 ?$BN&(B) ; J83-B-4E26
(ucs-set-char #x9679 ?$(I9e(B) ; C03-I-3965
(ucs-set-char #x967A ?$@81(B) ; J78-@-3831
(ucs-set-char #x967A ?$B81(B) ; J83-B-3831
(ucs-set-char #x967B ?$(Df\(B) ; J90-D-665C
(ucs-set-char #x967B ?$(I?q(B) ; C03-I-3F71
(ucs-set-char #x967C ?$(Df](B) ; J90-D-665D
(ucs-set-char #x967C ?$(H:+(B) ; C02-H-3A2B
(ucs-set-char #x967D ?$(CeU(B) ; KS0-C-6555
(ucs-set-char #x967D ?$(Gbl(B) ; C01-G-626C
(ucs-set-char #x967D ?$@M[(B) ; J78-@-4D5B
(ucs-set-char #x967D ?$BM[(B) ; J83-B-4D5B
(ucs-set-char #x967E ?$(Df^(B) ; J90-D-665E
(ucs-set-char #x967E ?$(HAD(B) ; C02-H-4144
(ucs-set-char #x967F ?$(Df_(B) ; J90-D-665F
(ucs-set-char #x967F ?$(I?r(B) ; C03-I-3F72
(ucs-set-char #x9680 ?$(HAH(B) ; C02-H-4148
(ucs-set-char #x9681 ?$(Df`(B) ; J90-D-6660
(ucs-set-char #x9681 ?$(I?s(B) ; C03-I-3F73
(ucs-set-char #x9682 ?$(Dfa(B) ; J90-D-6661
(ucs-set-char #x9682 ?$(I?u(B) ; C03-I-3F75
(ucs-set-char #x9683 ?$(Dfb(B) ; J90-D-6662
(ucs-set-char #x9683 ?$(HAG(B) ; C02-H-4147
(ucs-set-char #x9684 ?$(Dfc(B) ; J90-D-6663
(ucs-set-char #x9684 ?$(Gbq(B) ; C01-G-6271
(ucs-set-char #x9685 ?$(Cij(B) ; KS0-C-696A
(ucs-set-char #x9685 ?$(Gbm(B) ; C01-G-626D
(ucs-set-char #x9685 ?$@6y(B) ; J78-@-3679
(ucs-set-char #x9685 ?$ASg(B) ; GB0-A-5367
(ucs-set-char #x9685 ?$B6y(B) ; J83-B-3679
(ucs-set-char #x9686 ?$(CWL(B) ; KS0-C-574C
(ucs-set-char #x9686 ?$(Gbn(B) ; C01-G-626E
(ucs-set-char #x9686 ?$@N4(B) ; J78-@-4E34
(ucs-set-char #x9686 ?$AB!(B) ; GB0-A-4221
(ucs-set-char #x9686 ?$BN4(B) ; J83-B-4E34
(ucs-set-char #x9687 ?$(HAC(B) ; C02-H-4143
(ucs-set-char #x9688 ?$(HAE(B) ; C02-H-4145
(ucs-set-char #x9688 ?$@7((B) ; J78-@-3728
(ucs-set-char #x9688 ?$AZq(B) ; GB0-A-5A71
(ucs-set-char #x9688 ?$B7((B) ; J83-B-3728
(ucs-set-char #x9689 ?$(Dfd(B) ; J90-D-6664
(ucs-set-char #x9689 ?$(HAF(B) ; C02-H-4146
(ucs-set-char #x968A ?$(CSi(B) ; KS0-C-5369
(ucs-set-char #x968A ?$(Gbi(B) ; C01-G-6269
(ucs-set-char #x968A ?$@Bb(B) ; J78-@-4262
(ucs-set-char #x968A ?$BBb(B) ; J83-B-4262
(ucs-set-char #x968B ?$(CbI(B) ; KS0-C-6249
(ucs-set-char #x968B ?$(Gbk(B) ; C01-G-626B
(ucs-set-char #x968B ?$@g!(B) ; J78-@-6721
(ucs-set-char #x968B ?$AKe(B) ; GB0-A-4B65
(ucs-set-char #x968B ?$Bg!(B) ; J83-B-6721
(ucs-set-char #x968C ?$(I?p(B) ; C03-I-3F70
(ucs-set-char #x968D ?$(C|[(B) ; KS0-C-7C5B
(ucs-set-char #x968D ?$(Gbo(B) ; C01-G-626F
(ucs-set-char #x968D ?$@p&(B) ; J78-@-7026
(ucs-set-char #x968D ?$AZr(B) ; GB0-A-5A72
(ucs-set-char #x968D ?$Bp&(B) ; J83-B-7026
(ucs-set-char #x968E ?$(CM-(B) ; KS0-C-4D2D
(ucs-set-char #x968E ?$(Gbj(B) ; C01-G-626A
(ucs-set-char #x968E ?$@3,(B) ; J78-@-332C
(ucs-set-char #x968E ?$B3,(B) ; J83-B-332C
(ucs-set-char #x968F ?$(IE@(B) ; C03-I-4540
(ucs-set-char #x968F ?$@?o(B) ; J78-@-3F6F
(ucs-set-char #x968F ?$AKf(B) ; GB0-A-4B66
(ucs-set-char #x968F ?$B?o(B) ; J83-B-3F6F
(ucs-set-char #x9690 ?$AR~(B) ; GB0-A-527E
(ucs-set-char #x9691 ?$(Dfe(B) ; J90-D-6665
(ucs-set-char #x9691 ?$(HHY(B) ; C02-H-4859
(ucs-set-char #x9692 ?$(HHW(B) ; C02-H-4857
(ucs-set-char #x9693 ?$(HHX(B) ; C02-H-4858
(ucs-set-char #x9694 ?$(CL0(B) ; KS0-C-4C30
(ucs-set-char #x9694 ?$(GgR(B) ; C01-G-6752
(ucs-set-char #x9694 ?$@3V(B) ; J78-@-3356
(ucs-set-char #x9694 ?$A8t(B) ; GB0-A-3874
(ucs-set-char #x9694 ?$B3V(B) ; J83-B-3356
(ucs-set-char #x9695 ?$(Cj"(B) ; KS0-C-6A22
(ucs-set-char #x9695 ?$(GgS(B) ; C01-G-6753
(ucs-set-char #x9695 ?$@p((B) ; J78-@-7028
(ucs-set-char #x9695 ?$Bp((B) ; J83-B-7028
(ucs-set-char #x9696 ?$(Dff(B) ; J90-D-6666
(ucs-set-char #x9696 ?$(IEB(B) ; C03-I-4542
(ucs-set-char #x9697 ?$(HHZ(B) ; C02-H-485A
(ucs-set-char #x9697 ?$@p)(B) ; J78-@-7029
(ucs-set-char #x9697 ?$AZs(B) ; GB0-A-5A73
(ucs-set-char #x9697 ?$Bp)(B) ; J83-B-7029
(ucs-set-char #x9698 ?$(Cdv(B) ; KS0-C-6476
(ucs-set-char #x9698 ?$(GgQ(B) ; C01-G-6751
(ucs-set-char #x9698 ?$@p'(B) ; J78-@-7027
(ucs-set-char #x9698 ?$A0/(B) ; GB0-A-302F
(ucs-set-char #x9698 ?$Bp'(B) ; J83-B-7027
(ucs-set-char #x9699 ?$(CP@(B) ; KS0-C-5040
(ucs-set-char #x9699 ?$(Gka(B) ; C01-G-6B61
(ucs-set-char #x9699 ?$@7d(B) ; J78-@-3764
(ucs-set-char #x9699 ?$AO6(B) ; GB0-A-4F36
(ucs-set-char #x9699 ?$B7d(B) ; J83-B-3764
(ucs-set-char #x969A ?$(Dfg(B) ; J90-D-6667
(ucs-set-char #x969A ?$(JH$(B) ; C04-J-4824
(ucs-set-char #x969B ?$(Cp7(B) ; KS0-C-7037
(ucs-set-char #x969B ?$(Gkc(B) ; C01-G-6B63
(ucs-set-char #x969B ?$@:](B) ; J78-@-3A5D
(ucs-set-char #x969B ?$B:](B) ; J83-B-3A5D
(ucs-set-char #x969C ?$(Cn!(B) ; KS0-C-6E21
(ucs-set-char #x969C ?$(Gkb(B) ; C01-G-6B62
(ucs-set-char #x969C ?$@>c(B) ; J78-@-3E63
(ucs-set-char #x969C ?$AUO(B) ; GB0-A-554F
(ucs-set-char #x969C ?$B>c(B) ; J83-B-3E63
(ucs-set-char #x969D ?$(Dfh(B) ; J90-D-6668
(ucs-set-char #x969D ?$(IJE(B) ; C03-I-4A45
(ucs-set-char #x969E ?$(HO#(B) ; C02-H-4F23
(ucs-set-char #x969F ?$(Dfi(B) ; J90-D-6669
(ucs-set-char #x969F ?$(IJF(B) ; C03-I-4A46
(ucs-set-char #x96A0 ?$(IJD(B) ; C03-I-4A44
(ucs-set-char #x96A0 ?$@1#(B) ; J78-@-3123
(ucs-set-char #x96A0 ?$B1#(B) ; J83-B-3123
(ucs-set-char #x96A1 ?$(HO$(B) ; C02-H-4F24
(ucs-set-char #x96A2 ?$(HUT(B) ; C02-H-5554
(ucs-set-char #x96A3 ?$(CWv(B) ; KS0-C-5776
(ucs-set-char #x96A3 ?$(IOZ(B) ; C03-I-4F5A
(ucs-set-char #x96A3 ?$@NY(B) ; J78-@-4E59
(ucs-set-char #x96A3 ?$BNY(B) ; J83-B-4E59
(ucs-set-char #x96A4 ?$(Dfj(B) ; J90-D-666A
(ucs-set-char #x96A4 ?$(HUS(B) ; C02-H-5553
(ucs-set-char #x96A5 ?$(Dfk(B) ; J90-D-666B
(ucs-set-char #x96A5 ?$(IO[(B) ; C03-I-4F5B
(ucs-set-char #x96A6 ?$(Dfl(B) ; J90-D-666C
(ucs-set-char #x96A6 ?$(JTR(B) ; C04-J-5452
(ucs-set-char #x96A7 ?$(CbJ(B) ; KS0-C-624A
(ucs-set-char #x96A7 ?$(Grp(B) ; C01-G-7270
(ucs-set-char #x96A7 ?$@p+(B) ; J78-@-702B
(ucs-set-char #x96A7 ?$AKm(B) ; GB0-A-4B6D
(ucs-set-char #x96A7 ?$Bp+(B) ; J83-B-702B
(ucs-set-char #x96A8 ?$(CbK(B) ; KS0-C-624B
(ucs-set-char #x96A8 ?$(Grq(B) ; C01-G-7271
(ucs-set-char #x96A8 ?$@n.(B) ; J78-@-6E2E
(ucs-set-char #x96A8 ?$Bn.(B) ; J83-B-6E2E
(ucs-set-char #x96A9 ?$(Dfm(B) ; J90-D-666D
(ucs-set-char #x96A9 ?$(H[[(B) ; C02-H-5B5B
(ucs-set-char #x96AA ?$(CzO(B) ; KS0-C-7A4F
(ucs-set-char #x96AA ?$(Grr(B) ; C01-G-7272
(ucs-set-char #x96AA ?$@p*(B) ; J78-@-702A
(ucs-set-char #x96AA ?$Bp*(B) ; J83-B-702A
(ucs-set-char #x96AB ?$(ISH(B) ; C03-I-5348
(ucs-set-char #x96AC ?$(H`C(B) ; C02-H-6043
(ucs-set-char #x96AD ?$(IVp(B) ; C03-I-5670
(ucs-set-char #x96AE ?$(Dfn(B) ; J90-D-666E
(ucs-set-char #x96AE ?$(H`A(B) ; C02-H-6041
(ucs-set-char #x96AF ?$(Dfo(B) ; J90-D-666F
(ucs-set-char #x96AF ?$(IVo(B) ; C03-I-566F
(ucs-set-char #x96B0 ?$(H`B(B) ; C02-H-6042
(ucs-set-char #x96B0 ?$@p.(B) ; J78-@-702E
(ucs-set-char #x96B0 ?$AZt(B) ; GB0-A-5A74
(ucs-set-char #x96B0 ?$Bp.(B) ; J83-B-702E
(ucs-set-char #x96B1 ?$(Ck_(B) ; KS0-C-6B5F
(ucs-set-char #x96B1 ?$(Gv!(B) ; C01-G-7621
(ucs-set-char #x96B1 ?$@p,(B) ; J78-@-702C
(ucs-set-char #x96B1 ?$Bp,(B) ; J83-B-702C
(ucs-set-char #x96B2 ?$(IVq(B) ; C03-I-5671
(ucs-set-char #x96B2 ?$@p-(B) ; J78-@-702D
(ucs-set-char #x96B2 ?$Bp-(B) ; J83-B-702D
(ucs-set-char #x96B3 ?$(Dfp(B) ; J90-D-6670
(ucs-set-char #x96B3 ?$(Hd;(B) ; C02-H-643B
(ucs-set-char #x96B3 ?$AcD(B) ; GB0-A-6344
(ucs-set-char #x96B4 ?$(GyD(B) ; C01-G-7944
(ucs-set-char #x96B4 ?$@p/(B) ; J78-@-702F
(ucs-set-char #x96B4 ?$Bp/(B) ; J83-B-702F
(ucs-set-char #x96B5 ?$(I]I(B) ; C03-I-5D49
(ucs-set-char #x96B6 ?$(I*}(B) ; C03-I-2A7D
(ucs-set-char #x96B6 ?$@p0(B) ; J78-@-7030
(ucs-set-char #x96B6 ?$AA%(B) ; GB0-A-4125
(ucs-set-char #x96B6 ?$Bp0(B) ; J83-B-7030
(ucs-set-char #x96B7 ?$(CVK(B) ; KS0-C-564B
(ucs-set-char #x96B7 ?$(ISI(B) ; C03-I-5349
(ucs-set-char #x96B7 ?$@Nl(B) ; J78-@-4E6C
(ucs-set-char #x96B7 ?$BNl(B) ; J83-B-4E6C
(ucs-set-char #x96B8 ?$(Gv"(B) ; C01-G-7622
(ucs-set-char #x96B8 ?$@p1(B) ; J78-@-7031
(ucs-set-char #x96B8 ?$Bp1(B) ; J83-B-7031
(ucs-define-ideograph #x96B9 172 00
		      ?$(GOc(B ; C01-G-4F63
		      ?$Av?(B ; GB0-A-763F
		      ;; ?$@p2(B ; J78-@-7032
		      ;; ?$Bp2(B ; J83-B-7032
		      )
(ucs-define-ideograph #x96BA 172 02
		      ?$(J0A(B ; C04-J-3041
		      ;; ?$(Dfq(B ; J90-D-6671
		      )
(ucs-define-ideograph #x96BB 172 02
		      ?$(GXi(B ; C01-G-5869
                      ;; ?$@@I(B ; J78-@-4049
                      ;; ?$B@I(B ; J83-B-4049
                      ;; ?$(Ct4(B ; KS0-C-7434
		      )
(ucs-set-char #x96BC ?$(H3J(B) ; C02-H-334A
(ucs-set-char #x96BC ?$@H;(B) ; J78-@-483B
(ucs-set-char #x96BC ?$Av@(B) ; GB0-A-7640
(ucs-set-char #x96BC ?$BH;(B) ; J83-B-483B
(ucs-set-char #x96BD ?$(I49(B) ; C03-I-3439
(ucs-set-char #x96BD ?$AvA(B) ; GB0-A-7641
(ucs-set-char #x96BE ?$ADQ(B) ; GB0-A-4451
(ucs-set-char #x96BF ?$(H:0(B) ; C02-H-3A30
(ucs-set-char #x96C0 ?$(CmM(B) ; KS0-C-6D4D
(ucs-set-char #x96C0 ?$(G]z(B) ; C01-G-5D7A
(ucs-set-char #x96C0 ?$@?}(B) ; J78-@-3F7D
(ucs-set-char #x96C0 ?$AH8(B) ; GB0-A-4838
(ucs-set-char #x96C0 ?$B?}(B) ; J83-B-3F7D
(ucs-set-char #x96C1 ?$(CdR(B) ; KS0-C-6452
(ucs-set-char #x96C1 ?$(Gbr(B) ; C01-G-6272
(ucs-set-char #x96C1 ?$@4g(B) ; J78-@-3467
(ucs-set-char #x96C1 ?$AQc(B) ; GB0-A-5163
(ucs-set-char #x96C1 ?$B4g(B) ; J83-B-3467
(ucs-set-char #x96C2 ?$(HAI(B) ; C02-H-4149
(ucs-set-char #x96C3 ?$(HAK(B) ; C02-H-414B
(ucs-set-char #x96C4 ?$(Cj)(B) ; KS0-C-6A29
(ucs-set-char #x96C4 ?$(Gbt(B) ; C01-G-6274
(ucs-set-char #x96C4 ?$@M:(B) ; J78-@-4D3A
(ucs-set-char #x96C4 ?$AP[(B) ; GB0-A-505B
(ucs-set-char #x96C4 ?$BM:(B) ; J83-B-4D3A
(ucs-set-char #x96C5 ?$(Cd:(B) ; KS0-C-643A
(ucs-set-char #x96C5 ?$(Gbs(B) ; C01-G-6273
(ucs-set-char #x96C5 ?$@2m(B) ; J78-@-326D
(ucs-set-char #x96C5 ?$AQE(B) ; GB0-A-5145
(ucs-set-char #x96C5 ?$B2m(B) ; J83-B-326D
(ucs-set-char #x96C6 ?$(Cs"(B) ; KS0-C-7322
(ucs-set-char #x96C6 ?$(Gbu(B) ; C01-G-6275
(ucs-set-char #x96C6 ?$@=8(B) ; J78-@-3D38
(ucs-set-char #x96C6 ?$A</(B) ; GB0-A-3C2F
(ucs-set-char #x96C6 ?$B=8(B) ; J83-B-3D38
(ucs-set-char #x96C7 ?$(CMR(B) ; KS0-C-4D52
(ucs-set-char #x96C7 ?$(Gbv(B) ; C01-G-6276
(ucs-set-char #x96C7 ?$@8[(B) ; J78-@-385B
(ucs-set-char #x96C7 ?$A9M(B) ; GB0-A-394D
(ucs-set-char #x96C7 ?$B8[(B) ; J83-B-385B
(ucs-set-char #x96C8 ?$(HAJ(B) ; C02-H-414A
(ucs-set-char #x96C9 ?$(CvK(B) ; KS0-C-764B
(ucs-set-char #x96C9 ?$(GgV(B) ; C01-G-6756
(ucs-set-char #x96C9 ?$@p5(B) ; J78-@-7035
(ucs-set-char #x96C9 ?$Aot(B) ; GB0-A-6F74
(ucs-set-char #x96C9 ?$Bp5(B) ; J83-B-7035
(ucs-set-char #x96CA ?$(Dfr(B) ; J90-D-6672
(ucs-set-char #x96CA ?$(GgW(B) ; C01-G-6757
(ucs-set-char #x96CB ?$(Cqf(B) ; KS0-C-7166
(ucs-set-char #x96CB ?$(GgU(B) ; C01-G-6755
(ucs-set-char #x96CB ?$@p4(B) ; J78-@-7034
(ucs-set-char #x96CB ?$Bp4(B) ; J83-B-7034
(ucs-set-char #x96CC ?$(CmA(B) ; KS0-C-6D41
(ucs-set-char #x96CC ?$(Gkd(B) ; C01-G-6B64
(ucs-set-char #x96CC ?$@;s(B) ; J78-@-3B73
(ucs-set-char #x96CC ?$A4F(B) ; GB0-A-3446
(ucs-set-char #x96CC ?$B;s(B) ; J83-B-3B73
(ucs-set-char #x96CD ?$(Ch<(B) ; KS0-C-683C
(ucs-set-char #x96CD ?$(GgT(B) ; C01-G-6754
(ucs-set-char #x96CD ?$@p6(B) ; J78-@-7036
(ucs-set-char #x96CD ?$AS:(B) ; GB0-A-533A
(ucs-set-char #x96CD ?$Bp6(B) ; J83-B-7036
(ucs-set-char #x96CE ?$(CnQ(B) ; KS0-C-6E51
(ucs-set-char #x96CE ?$(HH[(B) ; C02-H-485B
(ucs-set-char #x96CE ?$@p3(B) ; J78-@-7033
(ucs-set-char #x96CE ?$AvB(B) ; GB0-A-7642
(ucs-set-char #x96CE ?$Bp3(B) ; J83-B-7033
(ucs-set-char #x96CF ?$(JAW(B) ; C04-J-4157
(ucs-set-char #x96CF ?$A3{(B) ; GB0-A-337B
(ucs-set-char #x96D0 ?$(IJG(B) ; C03-I-4A47
(ucs-set-char #x96D1 ?$(IJI(B) ; C03-I-4A49
(ucs-set-char #x96D1 ?$@;((B) ; J78-@-3B28
(ucs-set-char #x96D1 ?$B;((B) ; J83-B-3B28
(ucs-set-char #x96D2 ?$(Dfs(B) ; J90-D-6673
(ucs-set-char #x96D2 ?$(Gke(B) ; C01-G-6B65
(ucs-set-char #x96D2 ?$AvC(B) ; GB0-A-7643
(ucs-set-char #x96D3 ?$(HUU(B) ; C02-H-5555
(ucs-set-char #x96D4 ?$(H[\(B) ; C02-H-5B5C
(ucs-set-char #x96D5 ?$(Cpg(B) ; KS0-C-7067
(ucs-set-char #x96D5 ?$(Grs(B) ; C01-G-7273
(ucs-set-char #x96D5 ?$@p:(B) ; J78-@-703A
(ucs-set-char #x96D5 ?$A5q(B) ; GB0-A-3571
(ucs-set-char #x96D5 ?$Bp:(B) ; J83-B-703A
(ucs-set-char #x96D6 ?$(CbL(B) ; KS0-C-624C
(ucs-set-char #x96D6 ?$(Gv#(B) ; C01-G-7623
(ucs-set-char #x96D6 ?$@j-(B) ; J78-@-6A2D
(ucs-set-char #x96D6 ?$Bj-(B) ; J83-B-6A2D
(ucs-set-char #x96D7 ?$(Hd<(B) ; C02-H-643C
(ucs-set-char #x96D8 ?$(Dfu(B) ; J90-D-6675
(ucs-set-char #x96D8 ?$(Hd@(B) ; C02-H-6440
(ucs-define-ideograph #x96D9 172 10
		      ?$(Gwd(B ; C01-G-7764
                      ;; ?$@RV(B ; J78-@-5256
                      ;; ?$BRV(B ; J83-B-5256
                      ;; ?$(Cd*(B ; KS0-C-642A
		      )
(ucs-set-char #x96DA ?$(Dfv(B) ; J90-D-6676
(ucs-set-char #x96DA ?$(Hd=(B) ; C02-H-643D
(ucs-set-char #x96DB ?$(Cua(B) ; KS0-C-7561
(ucs-set-char #x96DB ?$(Gwe(B) ; C01-G-7765
(ucs-set-char #x96DB ?$@?w(B) ; J78-@-3F77
(ucs-set-char #x96DB ?$B?w(B) ; J83-B-3F77
(ucs-set-char #x96DC ?$(CmZ(B) ; KS0-C-6D5A
(ucs-set-char #x96DC ?$(Gwc(B) ; C01-G-7763
(ucs-set-char #x96DC ?$@p8(B) ; J78-@-7038
(ucs-set-char #x96DC ?$Bp8(B) ; J83-B-7038
(ucs-set-char #x96DD ?$(Dfw(B) ; J90-D-6677
(ucs-set-char #x96DD ?$(HdA(B) ; C02-H-6441
(ucs-set-char #x96DE ?$(Dfx(B) ; J90-D-6678
(ucs-set-char #x96DE ?$(Gwf(B) ; C01-G-7766
(ucs-set-char #x96DF ?$(Dfy(B) ; J90-D-6679
(ucs-set-char #x96DF ?$(Hd?(B) ; C02-H-643F
(ucs-set-char #x96E0 ?$AvE(B) ; GB0-A-7645
(ucs-set-char #x96E1 ?$(Hgf(B) ; C02-H-6766
(ucs-set-char #x96E2 ?$(CWn(B) ; KS0-C-576E
(ucs-set-char #x96E2 ?$(Gwb(B) ; C01-G-7762
(ucs-set-char #x96E2 ?$@N%(B) ; J78-@-4E25
(ucs-set-char #x96E2 ?$BN%(B) ; J83-B-4E25
(ucs-set-char #x96E3 ?$(CQq(B) ; KS0-C-5171
(ucs-set-char #x96E3 ?$(GyE(B) ; C01-G-7945
(ucs-set-char #x96E3 ?$@Fq(B) ; J78-@-4671
(ucs-set-char #x96E3 ?$BFq(B) ; J83-B-4671
(ucs-set-char #x96E4 ?$(I^p(B) ; C03-I-5E70
(ucs-set-char #x96E5 ?$(Hp[(B) ; C02-H-705B
(ucs-set-char #x96E6 ?$(Ia%(B) ; C03-I-6125
(ucs-set-char #x96E7 ?$(Ib/(B) ; C03-I-622F
(ucs-set-char #x96E8 ?$(Cik(B) ; KS0-C-696B
(ucs-set-char #x96E8 ?$(GOd(B) ; C01-G-4F64
(ucs-set-char #x96E8 ?$@1+(B) ; J78-@-312B
(ucs-set-char #x96E8 ?$ASj(B) ; GB0-A-536A
(ucs-set-char #x96E8 ?$B1+(B) ; J83-B-312B
(ucs-set-char #x96E9 ?$(Cil(B) ; KS0-C-696C
(ucs-set-char #x96E9 ?$(Dfz(B) ; J90-D-667A
(ucs-set-char #x96E9 ?$(G]|(B) ; C01-G-5D7C
(ucs-set-char #x96E9 ?$Av'(B) ; GB0-A-7627
(ucs-set-char #x96EA ?$(C`d(B) ; KS0-C-6064
(ucs-set-char #x96EA ?$(G]{(B) ; C01-G-5D7B
(ucs-set-char #x96EA ?$@@c(B) ; J78-@-4063
(ucs-set-char #x96EA ?$AQ)(B) ; GB0-A-5129
(ucs-set-char #x96EA ?$B@c(B) ; J83-B-4063
(ucs-set-char #x96EB ?$@<6(B) ; J78-@-3C36
(ucs-set-char #x96EB ?$B<6(B) ; J83-B-3C36
(ucs-set-char #x96EC ?$(I?~(B) ; C03-I-3F7E
(ucs-set-char #x96ED ?$(I?|(B) ; C03-I-3F7C
(ucs-set-char #x96EE ?$(I?{(B) ; C03-I-3F7B
(ucs-set-char #x96EF ?$(CZ'(B) ; KS0-C-5A27
(ucs-set-char #x96EF ?$(Df{(B) ; J90-D-667B
(ucs-set-char #x96EF ?$(Gbw(B) ; C01-G-6277
(ucs-set-char #x96EF ?$Av)(B) ; GB0-A-7629
(ucs-set-char #x96F0 ?$(C]T(B) ; KS0-C-5D54
(ucs-set-char #x96F0 ?$(HAM(B) ; C02-H-414D
(ucs-set-char #x96F0 ?$@J7(B) ; J78-@-4A37
(ucs-set-char #x96F0 ?$BJ7(B) ; J83-B-4A37
(ucs-set-char #x96F1 ?$(Df|(B) ; J90-D-667C
(ucs-set-char #x96F1 ?$(HAL(B) ; C02-H-414C
(ucs-set-char #x96F2 ?$(Cj#(B) ; KS0-C-6A23
(ucs-set-char #x96F2 ?$(Gbx(B) ; C01-G-6278
(ucs-set-char #x96F2 ?$@1@(B) ; J78-@-3140
(ucs-set-char #x96F2 ?$B1@(B) ; J83-B-3140
(ucs-set-char #x96F3 ?$Av((B) ; GB0-A-7628
(ucs-set-char #x96F4 ?$(IEF(B) ; C03-I-4546
(ucs-set-char #x96F5 ?$(HH_(B) ; C02-H-485F
(ucs-set-char #x96F6 ?$(CVC(B) ; KS0-C-5643
(ucs-set-char #x96F6 ?$(Gg[(B) ; C01-G-675B
(ucs-set-char #x96F6 ?$@Nm(B) ; J78-@-4E6D
(ucs-set-char #x96F6 ?$AAc(B) ; GB0-A-4163
(ucs-set-char #x96F6 ?$BNm(B) ; J83-B-4E6D
(ucs-set-char #x96F7 ?$(CVt(B) ; KS0-C-5674
(ucs-set-char #x96F7 ?$(GgX(B) ; C01-G-6758
(ucs-set-char #x96F7 ?$@Mk(B) ; J78-@-4D6B
(ucs-set-char #x96F7 ?$A@W(B) ; GB0-A-4057
(ucs-set-char #x96F7 ?$BMk(B) ; J83-B-4D6B
(ucs-set-char #x96F8 ?$(HH^(B) ; C02-H-485E
(ucs-set-char #x96F9 ?$(CZ_(B) ; KS0-C-5A5F
(ucs-set-char #x96F9 ?$(GgZ(B) ; C01-G-675A
(ucs-set-char #x96F9 ?$@p;(B) ; J78-@-703B
(ucs-set-char #x96F9 ?$A1"(B) ; GB0-A-3122
(ucs-set-char #x96F9 ?$Bp;(B) ; J83-B-703B
(ucs-set-char #x96FA ?$(Df}(B) ; J90-D-667D
(ucs-set-char #x96FA ?$(HH\(B) ; C02-H-485C
(ucs-set-char #x96FB ?$(Co3(B) ; KS0-C-6F33
(ucs-set-char #x96FB ?$(GgY(B) ; C01-G-6759
(ucs-set-char #x96FB ?$@EE(B) ; J78-@-4545
(ucs-set-char #x96FB ?$BEE(B) ; J83-B-4545
(ucs-set-char #x96FC ?$(IEG(B) ; C03-I-4547
(ucs-set-char #x96FD ?$(HH](B) ; C02-H-485D
(ucs-set-char #x96FE ?$ANm(B) ; GB0-A-4E6D
(ucs-set-char #x96FF ?$(HO%(B) ; C02-H-4F25
(ucs-set-char #x9700 ?$(CbM(B) ; KS0-C-624D
(ucs-set-char #x9700 ?$(Gkf(B) ; C01-G-6B66
(ucs-set-char #x9700 ?$@<{(B) ; J78-@-3C7B
(ucs-set-char #x9700 ?$APh(B) ; GB0-A-5068
(ucs-set-char #x9700 ?$B<{(B) ; J83-B-3C7B
(ucs-set-char #x9701 ?$Av+(B) ; GB0-A-762B
(ucs-set-char #x9702 ?$(Df~(B) ; J90-D-667E
(ucs-set-char #x9702 ?$(HUX(B) ; C02-H-5558
(ucs-set-char #x9703 ?$(Dg!(B) ; J90-D-6721
(ucs-set-char #x9703 ?$(KR;(B) ; C05-K-523B
(ucs-set-char #x9704 ?$(Gof(B) ; C01-G-6F66
(ucs-set-char #x9704 ?$@p<(B) ; J78-@-703C
(ucs-set-char #x9704 ?$AOv(B) ; GB0-A-4F76
(ucs-set-char #x9704 ?$Bp<(B) ; J83-B-703C
(ucs-set-char #x9705 ?$(Dg"(B) ; J90-D-6722
(ucs-set-char #x9705 ?$(HUV(B) ; C02-H-5556
(ucs-set-char #x9706 ?$(Co}(B) ; KS0-C-6F7D
(ucs-set-char #x9706 ?$(Gog(B) ; C01-G-6F67
(ucs-set-char #x9706 ?$@p=(B) ; J78-@-703D
(ucs-set-char #x9706 ?$Av*(B) ; GB0-A-762A
(ucs-set-char #x9706 ?$Bp=(B) ; J83-B-703D
(ucs-set-char #x9707 ?$(Crh(B) ; KS0-C-7268
(ucs-set-char #x9707 ?$(Goh(B) ; C01-G-6F68
(ucs-set-char #x9707 ?$@?L(B) ; J78-@-3F4C
(ucs-set-char #x9707 ?$AUp(B) ; GB0-A-5570
(ucs-set-char #x9707 ?$B?L(B) ; J83-B-3F4C
(ucs-set-char #x9708 ?$(HUW(B) ; C02-H-5557
(ucs-set-char #x9708 ?$@p>(B) ; J78-@-703E
(ucs-set-char #x9708 ?$Av,(B) ; GB0-A-762C
(ucs-set-char #x9708 ?$Bp>(B) ; J83-B-703E
(ucs-set-char #x9709 ?$(Dg#(B) ; J90-D-6723
(ucs-set-char #x9709 ?$(Goi(B) ; C01-G-6F69
(ucs-set-char #x9709 ?$AC9(B) ; GB0-A-4339
(ucs-set-char #x970A ?$(IO`(B) ; C03-I-4F60
(ucs-set-char #x970A ?$@Nn(B) ; J78-@-4E6E
(ucs-set-char #x970A ?$BNn(B) ; J83-B-4E6E
(ucs-set-char #x970B ?$(H[](B) ; C02-H-5B5D
(ucs-set-char #x970C ?$(ISP(B) ; C03-I-5350
(ucs-set-char #x970D ?$(Grw(B) ; C01-G-7277
(ucs-set-char #x970D ?$@p9(B) ; J78-@-7039
(ucs-set-char #x970D ?$A;t(B) ; GB0-A-3B74
(ucs-set-char #x970D ?$Bp9(B) ; J83-B-7039
(ucs-set-char #x970E ?$(Grt(B) ; C01-G-7274
(ucs-set-char #x970E ?$@p@(B) ; J78-@-7040
(ucs-set-char #x970E ?$Av.(B) ; GB0-A-762E
(ucs-set-char #x970E ?$Bp@(B) ; J83-B-7040
(ucs-set-char #x970F ?$(Gry(B) ; C01-G-7279
(ucs-set-char #x970F ?$@pB(B) ; J78-@-7042
(ucs-set-char #x970F ?$Av-(B) ; GB0-A-762D
(ucs-set-char #x970F ?$BpB(B) ; J83-B-7042
(ucs-set-char #x9710 ?$(H[_(B) ; C02-H-5B5F
(ucs-set-char #x9711 ?$(CoE(B) ; KS0-C-6F45
(ucs-set-char #x9711 ?$(Gru(B) ; C01-G-7275
(ucs-set-char #x9711 ?$@pA(B) ; J78-@-7041
(ucs-set-char #x9711 ?$BpA(B) ; J83-B-7041
(ucs-set-char #x9712 ?$(H[^(B) ; C02-H-5B5E
(ucs-set-char #x9713 ?$(Cgg(B) ; KS0-C-6767
(ucs-set-char #x9713 ?$(Grx(B) ; C01-G-7278
(ucs-set-char #x9713 ?$@p?(B) ; J78-@-703F
(ucs-set-char #x9713 ?$AD^(B) ; GB0-A-445E
(ucs-set-char #x9713 ?$Bp?(B) ; J83-B-703F
(ucs-set-char #x9714 ?$(ISM(B) ; C03-I-534D
(ucs-set-char #x9715 ?$(ISL(B) ; C03-I-534C
(ucs-set-char #x9716 ?$(CW}(B) ; KS0-C-577D
(ucs-set-char #x9716 ?$(Grv(B) ; C01-G-7276
(ucs-set-char #x9716 ?$@pC(B) ; J78-@-7043
(ucs-set-char #x9716 ?$AAX(B) ; GB0-A-4158
(ucs-set-char #x9716 ?$BpC(B) ; J83-B-7043
(ucs-set-char #x9717 ?$(ISQ(B) ; C03-I-5351
(ucs-set-char #x9718 ?$(H`F(B) ; C02-H-6046
(ucs-set-char #x9719 ?$(CgN(B) ; KS0-C-674E
(ucs-set-char #x9719 ?$(H`H(B) ; C02-H-6048
(ucs-set-char #x9719 ?$@pD(B) ; J78-@-7044
(ucs-set-char #x9719 ?$BpD(B) ; J83-B-7044
(ucs-set-char #x971A ?$(Dg$(B) ; J90-D-6724
(ucs-set-char #x971A ?$(IVt(B) ; C03-I-5674
(ucs-set-char #x971B ?$(Dg%(B) ; J90-D-6725
(ucs-set-char #x971B ?$(IVu(B) ; C03-I-5675
(ucs-set-char #x971C ?$(C_\(B) ; KS0-C-5F5C
(ucs-set-char #x971C ?$(Gv$(B) ; C01-G-7624
(ucs-set-char #x971C ?$@Az(B) ; J78-@-417A
(ucs-set-char #x971C ?$AK*(B) ; GB0-A-4B2A
(ucs-set-char #x971C ?$BAz(B) ; J83-B-417A
(ucs-set-char #x971D ?$(Dg&(B) ; J90-D-6726
(ucs-set-char #x971D ?$(H`G(B) ; C02-H-6047
(ucs-set-char #x971E ?$(CyG(B) ; KS0-C-7947
(ucs-set-char #x971E ?$(Gv%(B) ; C01-G-7625
(ucs-set-char #x971E ?$@2b(B) ; J78-@-3262
(ucs-set-char #x971E ?$AO<(B) ; GB0-A-4F3C
(ucs-set-char #x971E ?$B2b(B) ; J83-B-3262
(ucs-set-char #x971F ?$(H`E(B) ; C02-H-6045
(ucs-set-char #x9720 ?$(H`D(B) ; C02-H-6044
(ucs-set-char #x9721 ?$(Dg'(B) ; J90-D-6727
(ucs-set-char #x9721 ?$(J^8(B) ; C04-J-5E38
(ucs-set-char #x9722 ?$(Dg((B) ; J90-D-6728
(ucs-set-char #x9722 ?$(HdC(B) ; C02-H-6443
(ucs-set-char #x9723 ?$(Dg)(B) ; J90-D-6729
(ucs-set-char #x9723 ?$(HdB(B) ; C02-H-6442
(ucs-set-char #x9724 ?$(Gwg(B) ; C01-G-7767
(ucs-set-char #x9724 ?$BpE(B) ; J83-B-7045
(ucs-set-char #x9725 ?$(HdD(B) ; C02-H-6444
(ucs-set-char #x9726 ?$(Hgk(B) ; C02-H-676B
(ucs-set-char #x9727 ?$(CYv(B) ; KS0-C-5976
(ucs-set-char #x9727 ?$(GyG(B) ; C01-G-7947
(ucs-set-char #x9727 ?$@L8(B) ; J78-@-4C38
(ucs-set-char #x9727 ?$BL8(B) ; J83-B-4C38
(ucs-set-char #x9728 ?$(Dg*(B) ; J90-D-672A
(ucs-set-char #x9728 ?$(Hgj(B) ; C02-H-676A
(ucs-set-char #x9729 ?$(Hgg(B) ; C02-H-6767
(ucs-set-char #x972A ?$(GyF(B) ; C01-G-7946
(ucs-set-char #x972A ?$@pF(B) ; J78-@-7046
(ucs-set-char #x972A ?$Av/(B) ; GB0-A-762F
(ucs-set-char #x972A ?$BpF(B) ; J83-B-7046
(ucs-set-char #x972B ?$(Hgh(B) ; C02-H-6768
(ucs-set-char #x972C ?$(Hgi(B) ; C02-H-6769
(ucs-set-char #x972D ?$Av0(B) ; GB0-A-7630
(ucs-set-char #x972E ?$(HjV(B) ; C02-H-6A56
(ucs-set-char #x972F ?$(HjW(B) ; C02-H-6A57
(ucs-set-char #x9730 ?$(C_,(B) ; KS0-C-5F2C
(ucs-set-char #x9730 ?$(GzP(B) ; C01-G-7A50
(ucs-set-char #x9730 ?$@pG(B) ; J78-@-7047
(ucs-set-char #x9730 ?$Av1(B) ; GB0-A-7631
(ucs-set-char #x9730 ?$BpG(B) ; J83-B-7047
(ucs-set-char #x9731 ?$(Dg+(B) ; J90-D-672B
(ucs-set-char #x9731 ?$(I]O(B) ; C03-I-5D4F
(ucs-set-char #x9732 ?$(CVZ(B) ; KS0-C-565A
(ucs-set-char #x9732 ?$(G{?(B) ; C01-G-7B3F
(ucs-set-char #x9732 ?$@O*(B) ; J78-@-4F2A
(ucs-set-char #x9732 ?$AB6(B) ; GB0-A-4236
(ucs-set-char #x9732 ?$BO*(B) ; J83-B-4F2A
(ucs-set-char #x9733 ?$(Dg,(B) ; J90-D-672C
(ucs-set-char #x9733 ?$(I]L(B) ; C03-I-5D4C
(ucs-set-char #x9734 ?$(I]N(B) ; C03-I-5D4E
(ucs-set-char #x9735 ?$(Hl\(B) ; C02-H-6C5C
(ucs-set-char #x9736 ?$(I^r(B) ; C03-I-5E72
(ucs-set-char #x9737 ?$(I^q(B) ; C03-I-5E71
(ucs-set-char #x9738 ?$(G{=(B) ; C01-G-7B3D
(ucs-set-char #x9738 ?$@[1(B) ; J78-@-5B31
(ucs-set-char #x9738 ?$A0T(B) ; GB0-A-3054
(ucs-set-char #x9738 ?$B[1(B) ; J83-B-5B31
(ucs-set-char #x9739 ?$(C\$(B) ; KS0-C-5C24
(ucs-set-char #x9739 ?$(G{>(B) ; C01-G-7B3E
(ucs-set-char #x9739 ?$@pH(B) ; J78-@-7048
(ucs-set-char #x9739 ?$AEy(B) ; GB0-A-4579
(ucs-set-char #x9739 ?$BpH(B) ; J83-B-7048
(ucs-set-char #x973A ?$(Hl](B) ; C02-H-6C5D
(ucs-set-char #x973C ?$(I_q(B) ; C03-I-5F71
(ucs-set-char #x973D ?$(Cp8(B) ; KS0-C-7038
(ucs-set-char #x973D ?$(G{~(B) ; C01-G-7B7E
(ucs-set-char #x973D ?$@pI(B) ; J78-@-7049
(ucs-set-char #x973D ?$BpI(B) ; J83-B-7049
(ucs-set-char #x973E ?$(G|!(B) ; C01-G-7C21
(ucs-set-char #x973E ?$@pJ(B) ; J78-@-704A
(ucs-set-char #x973E ?$Av2(B) ; GB0-A-7632
(ucs-set-char #x973E ?$BpJ(B) ; J83-B-704A
(ucs-set-char #x973F ?$(Hn@(B) ; C02-H-6E40
(ucs-set-char #x9740 ?$(I_r(B) ; C03-I-5F72
(ucs-set-char #x9741 ?$(Dg-(B) ; J90-D-672D
(ucs-set-char #x9741 ?$(I`Y(B) ; C03-I-6059
(ucs-set-char #x9742 ?$(CUz(B) ; KS0-C-557A
(ucs-set-char #x9742 ?$(G|p(B) ; C01-G-7C70
(ucs-set-char #x9742 ?$@pN(B) ; J78-@-704E
(ucs-set-char #x9742 ?$BpN(B) ; J83-B-704E
(ucs-set-char #x9743 ?$(Dg.(B) ; J90-D-672E
(ucs-set-char #x9743 ?$(Hp](B) ; C02-H-705D
(ucs-set-char #x9744 ?$(Cdw(B) ; KS0-C-6477
(ucs-set-char #x9744 ?$(G|r(B) ; C01-G-7C72
(ucs-set-char #x9744 ?$@pK(B) ; J78-@-704B
(ucs-set-char #x9744 ?$BpK(B) ; J83-B-704B
(ucs-set-char #x9745 ?$(Ia&(B) ; C03-I-6126
(ucs-set-char #x9746 ?$(Hp\(B) ; C02-H-705C
(ucs-set-char #x9746 ?$@pL(B) ; J78-@-704C
(ucs-set-char #x9746 ?$BpL(B) ; J83-B-704C
(ucs-set-char #x9747 ?$(Hp^(B) ; C02-H-705E
(ucs-set-char #x9748 ?$(CVD(B) ; KS0-C-5644
(ucs-set-char #x9748 ?$(G|q(B) ; C01-G-7C71
(ucs-set-char #x9748 ?$@pM(B) ; J78-@-704D
(ucs-set-char #x9748 ?$BpM(B) ; J83-B-704D
(ucs-set-char #x9749 ?$(HqF(B) ; C02-H-7146
(ucs-set-char #x9749 ?$@pO(B) ; J78-@-704F
(ucs-set-char #x9749 ?$BpO(B) ; J83-B-704F
(ucs-set-char #x974A ?$(Dg/(B) ; J90-D-672F
(ucs-set-char #x974A ?$(Jmd(B) ; C04-J-6D64
(ucs-set-char #x974B ?$(Hq{(B) ; C02-H-717B
(ucs-set-char #x974E ?$(Dg0(B) ; J90-D-6730
(ucs-set-char #x974F ?$(Dg1(B) ; J90-D-6731
(ucs-set-char #x9750 ?$(IbE(B) ; C03-I-6245
(ucs-set-char #x9751 ?$(Ctl(B) ; KS0-C-746C
(ucs-set-char #x9751 ?$(I*~(B) ; C03-I-2A7E
(ucs-set-char #x9752 ?$(GOe(B) ; C01-G-4F65
(ucs-set-char #x9752 ?$@@D(B) ; J78-@-4044
(ucs-set-char #x9752 ?$AG`(B) ; GB0-A-4760
(ucs-set-char #x9752 ?$B@D(B) ; J83-B-4044
(ucs-set-char #x9753 ?$Av&(B) ; GB0-A-7626
(ucs-set-char #x9755 ?$(Dg2(B) ; J90-D-6732
(ucs-set-char #x9755 ?$(IEI(B) ; C03-I-4549
(ucs-set-char #x9756 ?$(Co~(B) ; KS0-C-6F7E
(ucs-set-char #x9756 ?$(Gg\(B) ; C01-G-675C
(ucs-set-char #x9756 ?$@Lw(B) ; J78-@-4C77
(ucs-set-char #x9756 ?$A>8(B) ; GB0-A-3E38
(ucs-set-char #x9756 ?$BLw(B) ; J83-B-4C77
(ucs-set-char #x9757 ?$(Dg3(B) ; J90-D-6733
(ucs-set-char #x9757 ?$(JH5(B) ; C04-J-4835
(ucs-set-char #x9758 ?$(Dg4(B) ; J90-D-6734
(ucs-set-char #x9758 ?$(HO&(B) ; C02-H-4F26
(ucs-set-char #x9759 ?$(IJL(B) ; C03-I-4A4C
(ucs-set-char #x9759 ?$@@E(B) ; J78-@-4045
(ucs-set-char #x9759 ?$A>2(B) ; GB0-A-3E32
(ucs-set-char #x9759 ?$B@E(B) ; J83-B-4045
(ucs-set-char #x975A ?$(Dg5(B) ; J90-D-6735
(ucs-set-char #x975A ?$(HUY(B) ; C02-H-5559
(ucs-set-char #x975B ?$(Dg6(B) ; J90-D-6736
(ucs-set-char #x975B ?$(Grz(B) ; C01-G-727A
(ucs-set-char #x975B ?$A5e(B) ; GB0-A-3565
(ucs-set-char #x975C ?$(Cp!(B) ; KS0-C-7021
(ucs-set-char #x975C ?$(Gr{(B) ; C01-G-727B
(ucs-set-char #x975C ?$@pP(B) ; J78-@-7050
(ucs-set-char #x975C ?$BpP(B) ; J83-B-7050
(ucs-set-char #x975D ?$(IYO(B) ; C03-I-594F
(ucs-set-char #x975E ?$(C^*(B) ; KS0-C-5E2A
(ucs-set-char #x975E ?$(GOf(B) ; C01-G-4F66
(ucs-set-char #x975E ?$@Hs(B) ; J78-@-4873
(ucs-set-char #x975E ?$A7G(B) ; GB0-A-3747
(ucs-set-char #x975E ?$BHs(B) ; J83-B-4873
(ucs-set-char #x975F ?$(I@!(B) ; C03-I-4021
(ucs-set-char #x9760 ?$(Goj(B) ; C01-G-6F6A
(ucs-set-char #x9760 ?$@pQ(B) ; J78-@-7051
(ucs-set-char #x9760 ?$A??(B) ; GB0-A-3F3F
(ucs-set-char #x9760 ?$BpQ(B) ; J83-B-7051
(ucs-set-char #x9761 ?$(CZ<(B) ; KS0-C-5A3C
(ucs-set-char #x9761 ?$(GyH(B) ; C01-G-7948
(ucs-set-char #x9761 ?$@sS(B) ; J78-@-7353
(ucs-set-char #x9761 ?$ACR(B) ; GB0-A-4352
(ucs-set-char #x9761 ?$BsS(B) ; J83-B-7353
(ucs-set-char #x9762 ?$(CX|(B) ; KS0-C-587C
(ucs-set-char #x9762 ?$(GSr(B) ; C01-G-5372
(ucs-set-char #x9762 ?$@LL(B) ; J78-@-4C4C
(ucs-set-char #x9762 ?$ACf(B) ; GB0-A-4366
(ucs-set-char #x9762 ?$BLL(B) ; J83-B-4C4C
(ucs-set-char #x9763 ?$(Dg7(B) ; J90-D-6737
(ucs-set-char #x9763 ?$(I+!(B) ; C03-I-2B21
(ucs-set-char #x9764 ?$(IJN(B) ; C03-I-4A4E
(ucs-set-char #x9764 ?$@pR(B) ; J78-@-7052
(ucs-set-char #x9764 ?$BpR(B) ; J83-B-7052
(ucs-set-char #x9765 ?$AXL(B) ; GB0-A-584C
(ucs-set-char #x9766 ?$(Gr|(B) ; C01-G-727C
(ucs-set-char #x9766 ?$@pS(B) ; J78-@-7053
(ucs-set-char #x9766 ?$BpS(B) ; J83-B-7053
(ucs-set-char #x9767 ?$(Dg8(B) ; J90-D-6738
(ucs-set-char #x9767 ?$(I^s(B) ; C03-I-5E73
(ucs-set-char #x9768 ?$(G|N(B) ; C01-G-7C4E
(ucs-set-char #x9768 ?$@pT(B) ; J78-@-7054
(ucs-set-char #x9768 ?$BpT(B) ; J83-B-7054
(ucs-set-char #x9769 ?$(CzT(B) ; KS0-C-7A54
(ucs-set-char #x9769 ?$(GSs(B) ; C01-G-5373
(ucs-set-char #x9769 ?$@3W(B) ; J78-@-3357
(ucs-set-char #x9769 ?$A8o(B) ; GB0-A-386F
(ucs-set-char #x9769 ?$B3W(B) ; J83-B-3357
(ucs-set-char #x976A ?$(Dg9(B) ; J90-D-6739
(ucs-set-char #x976A ?$(H:1(B) ; C02-H-3A31
(ucs-set-char #x976B ?$(J;w(B) ; C04-J-3B77
(ucs-set-char #x976B ?$@pV(B) ; J78-@-7056
(ucs-set-char #x976B ?$BpV(B) ; J83-B-7056
(ucs-set-char #x976C ?$(HAN(B) ; C02-H-414E
(ucs-set-char #x976D ?$(Cle(B) ; KS0-C-6C65
(ucs-set-char #x976D ?$(I@$(B) ; C03-I-4024
(ucs-set-char #x976D ?$@pW(B) ; J78-@-7057
(ucs-set-char #x976D ?$B?Y(B) ; J83-B-3F59
(ucs-set-char #x976E ?$(Dg:(B) ; J90-D-673A
(ucs-set-char #x976E ?$(HAP(B) ; C02-H-4150
(ucs-set-char #x976F ?$(I@"(B) ; C03-I-4022
(ucs-set-char #x9770 ?$(HAO(B) ; C02-H-414F
(ucs-set-char #x9771 ?$@?Y(B) ; J78-@-3F59
(ucs-set-char #x9771 ?$BpW(B) ; J83-B-7057
(ucs-set-char #x9772 ?$(HHc(B) ; C02-H-4863
(ucs-set-char #x9773 ?$(Dg;(B) ; J90-D-673B
(ucs-set-char #x9773 ?$(HH`(B) ; C02-H-4860
(ucs-set-char #x9773 ?$A=y(B) ; GB0-A-3D79
(ucs-set-char #x9774 ?$(C|((B) ; KS0-C-7C28
(ucs-set-char #x9774 ?$(Gg](B) ; C01-G-675D
(ucs-set-char #x9774 ?$@7$(B) ; J78-@-3724
(ucs-set-char #x9774 ?$AQ%(B) ; GB0-A-5125
(ucs-set-char #x9774 ?$B7$(B) ; J83-B-3724
(ucs-set-char #x9776 ?$(Dg<(B) ; J90-D-673C
(ucs-set-char #x9776 ?$(Gg^(B) ; C01-G-675E
(ucs-set-char #x9776 ?$A0P(B) ; GB0-A-3050
(ucs-set-char #x9777 ?$(Clf(B) ; KS0-C-6C66
(ucs-set-char #x9777 ?$(Dg=(B) ; J90-D-673D
(ucs-set-char #x9777 ?$(HHa(B) ; C02-H-4861
(ucs-set-char #x9778 ?$(Dg>(B) ; J90-D-673E
(ucs-set-char #x9778 ?$(HHb(B) ; C02-H-4862
(ucs-set-char #x9779 ?$(IEK(B) ; C03-I-454B
(ucs-set-char #x9779 ?$@pX(B) ; J78-@-7058
(ucs-set-char #x9779 ?$BpX(B) ; J83-B-7058
(ucs-set-char #x977A ?$(CXK(B) ; KS0-C-584B
(ucs-set-char #x977A ?$(HO((B) ; C02-H-4F28
(ucs-set-char #x977A ?$@p\(B) ; J78-@-705C
(ucs-set-char #x977A ?$Bp\(B) ; J83-B-705C
(ucs-set-char #x977B ?$(Dg?(B) ; J90-D-673F
(ucs-set-char #x977B ?$(HO-(B) ; C02-H-4F2D
(ucs-set-char #x977C ?$(Gkg(B) ; C01-G-6B67
(ucs-set-char #x977C ?$@pZ(B) ; J78-@-705A
(ucs-set-char #x977C ?$Aw0(B) ; GB0-A-7730
(ucs-set-char #x977C ?$BpZ(B) ; J83-B-705A
(ucs-set-char #x977D ?$(Dg@(B) ; J90-D-6740
(ucs-set-char #x977D ?$(HO'(B) ; C02-H-4F27
(ucs-set-char #x977E ?$(HO)(B) ; C02-H-4F29
(ucs-set-char #x977F ?$(DgA(B) ; J90-D-6741
(ucs-set-char #x977F ?$(HO0(B) ; C02-H-4F30
(ucs-set-char #x9780 ?$(DgB(B) ; J90-D-6742
(ucs-set-char #x9780 ?$(HO+(B) ; C02-H-4F2B
(ucs-set-char #x9781 ?$(HO/(B) ; C02-H-4F2F
(ucs-set-char #x9781 ?$@p[(B) ; J78-@-705B
(ucs-set-char #x9781 ?$Bp[(B) ; J83-B-705B
(ucs-set-char #x9782 ?$(HO,(B) ; C02-H-4F2C
(ucs-set-char #x9783 ?$(HO*(B) ; C02-H-4F2A
(ucs-set-char #x9784 ?$(HO.(B) ; C02-H-4F2E
(ucs-set-char #x9784 ?$@3s(B) ; J78-@-3373
(ucs-set-char #x9784 ?$B3s(B) ; J83-B-3373
(ucs-set-char #x9785 ?$(Gkh(B) ; C01-G-6B68
(ucs-set-char #x9785 ?$@pY(B) ; J78-@-7059
(ucs-set-char #x9785 ?$Aw1(B) ; GB0-A-7731
(ucs-set-char #x9785 ?$BpY(B) ; J83-B-7059
(ucs-set-char #x9786 ?$@p](B) ; J78-@-705D
(ucs-set-char #x9786 ?$Bp](B) ; J83-B-705D
(ucs-set-char #x9787 ?$(IOb(B) ; C03-I-4F62
(ucs-set-char #x9788 ?$(HU\(B) ; C02-H-555C
(ucs-set-char #x9789 ?$(DgC(B) ; J90-D-6743
(ucs-set-char #x9789 ?$(IOc(B) ; C03-I-4F63
(ucs-set-char #x978A ?$(HUZ(B) ; C02-H-555A
(ucs-set-char #x978B ?$(C{9(B) ; KS0-C-7B39
(ucs-set-char #x978B ?$(Gol(B) ; C01-G-6F6C
(ucs-set-char #x978B ?$@p^(B) ; J78-@-705E
(ucs-set-char #x978B ?$AP,(B) ; GB0-A-502C
(ucs-set-char #x978B ?$Bp^(B) ; J83-B-705E
(ucs-set-char #x978C ?$(IOd(B) ; C03-I-4F64
(ucs-set-char #x978D ?$(CdS(B) ; KS0-C-6453
(ucs-set-char #x978D ?$(Gok(B) ; C01-G-6F6B
(ucs-set-char #x978D ?$@0H(B) ; J78-@-3048
(ucs-set-char #x978D ?$A00(B) ; GB0-A-3030
(ucs-set-char #x978D ?$B0H(B) ; J83-B-3048
(ucs-set-char #x978E ?$(HU[(B) ; C02-H-555B
(ucs-set-char #x978F ?$(CMy(B) ; KS0-C-4D79
(ucs-set-char #x978F ?$(Gom(B) ; C01-G-6F6D
(ucs-set-char #x978F ?$@p_(B) ; J78-@-705F
(ucs-set-char #x978F ?$Bp_(B) ; J83-B-705F
(ucs-set-char #x9790 ?$@p`(B) ; J78-@-7060
(ucs-set-char #x9790 ?$Bp`(B) ; J83-B-7060
(ucs-set-char #x9791 ?$Aw2(B) ; GB0-A-7732
(ucs-set-char #x9792 ?$Aw3(B) ; GB0-A-7733
(ucs-set-char #x9793 ?$(ISS(B) ; C03-I-5353
(ucs-set-char #x9794 ?$(H[b(B) ; C02-H-5B62
(ucs-set-char #x9794 ?$Aw4(B) ; GB0-A-7734
(ucs-set-char #x9795 ?$(DgD(B) ; J90-D-6744
(ucs-set-char #x9795 ?$(JT_(B) ; C04-J-545F
(ucs-set-char #x9796 ?$(DgE(B) ; J90-D-6745
(ucs-set-char #x9796 ?$(JTg(B) ; C04-J-5467
(ucs-set-char #x9797 ?$(DgF(B) ; J90-D-6746
(ucs-set-char #x9797 ?$(H[a(B) ; C02-H-5B61
(ucs-set-char #x9798 ?$(Gr}(B) ; C01-G-727D
(ucs-set-char #x9798 ?$@>d(B) ; J78-@-3E64
(ucs-set-char #x9798 ?$AGJ(B) ; GB0-A-474A
(ucs-set-char #x9798 ?$B>d(B) ; J83-B-3E64
(ucs-set-char #x9799 ?$(DgG(B) ; J90-D-6747
(ucs-set-char #x9799 ?$(H[`(B) ; C02-H-5B60
(ucs-set-char #x979A ?$(DgH(B) ; J90-D-6748
(ucs-set-char #x979A ?$(H`I(B) ; C02-H-6049
(ucs-set-char #x979B ?$(IVz(B) ; C03-I-567A
(ucs-set-char #x979C ?$(H`K(B) ; C02-H-604B
(ucs-set-char #x979C ?$@pa(B) ; J78-@-7061
(ucs-set-char #x979C ?$Bpa(B) ; J83-B-7061
(ucs-set-char #x979D ?$(H`M(B) ; C02-H-604D
(ucs-set-char #x979E ?$(DgI(B) ; J90-D-6749
(ucs-set-char #x979E ?$(H`L(B) ; C02-H-604C
(ucs-set-char #x979F ?$(DgJ(B) ; J90-D-674A
(ucs-set-char #x979F ?$(IV{(B) ; C03-I-567B
(ucs-set-char #x97A0 ?$(COS(B) ; KS0-C-4F53
(ucs-set-char #x97A0 ?$(Gv&(B) ; C01-G-7626
(ucs-set-char #x97A0 ?$@5G(B) ; J78-@-3547
(ucs-set-char #x97A0 ?$A>O(B) ; GB0-A-3E4F
(ucs-set-char #x97A0 ?$B5G(B) ; J83-B-3547
(ucs-set-char #x97A1 ?$(H`J(B) ; C02-H-604A
(ucs-set-char #x97A2 ?$(DgK(B) ; J90-D-674B
(ucs-set-char #x97A2 ?$(HdK(B) ; C02-H-644B
(ucs-set-char #x97A3 ?$(Gwh(B) ; C01-G-7768
(ucs-set-char #x97A3 ?$@pd(B) ; J78-@-7064
(ucs-set-char #x97A3 ?$Aw7(B) ; GB0-A-7737
(ucs-set-char #x97A3 ?$Bpd(B) ; J83-B-7064
(ucs-set-char #x97A4 ?$(HdI(B) ; C02-H-6449
(ucs-set-char #x97A5 ?$(HdL(B) ; C02-H-644C
(ucs-set-char #x97A6 ?$(Gwi(B) ; C01-G-7769
(ucs-set-char #x97A6 ?$@pc(B) ; J78-@-7063
(ucs-set-char #x97A6 ?$Bpc(B) ; J83-B-7063
(ucs-set-char #x97A7 ?$(J^C(B) ; C04-J-5E43
(ucs-set-char #x97A8 ?$(CJj(B) ; KS0-C-4A6A
(ucs-set-char #x97A8 ?$(HdG(B) ; C02-H-6447
(ucs-set-char #x97A8 ?$@pb(B) ; J78-@-7062
(ucs-set-char #x97A8 ?$Bpb(B) ; J83-B-7062
(ucs-set-char #x97A9 ?$(IYP(B) ; C03-I-5950
(ucs-set-char #x97AA ?$(HdJ(B) ; C02-H-644A
(ucs-set-char #x97AB ?$(COT(B) ; KS0-C-4F54
(ucs-set-char #x97AB ?$(HdH(B) ; C02-H-6448
(ucs-set-char #x97AB ?$@kq(B) ; J78-@-6B71
(ucs-set-char #x97AB ?$Aw6(B) ; GB0-A-7736
(ucs-set-char #x97AB ?$Bkq(B) ; J83-B-6B71
(ucs-set-char #x97AC ?$(DgL(B) ; J90-D-674C
(ucs-set-char #x97AC ?$(HdE(B) ; C02-H-6445
(ucs-set-char #x97AD ?$(Cx=(B) ; KS0-C-783D
(ucs-set-char #x97AD ?$(Gwj(B) ; C01-G-776A
(ucs-set-char #x97AD ?$@J\(B) ; J78-@-4A5C
(ucs-set-char #x97AD ?$A1^(B) ; GB0-A-315E
(ucs-set-char #x97AD ?$BJ\(B) ; J83-B-4A5C
(ucs-set-char #x97AE ?$(DgM(B) ; J90-D-674D
(ucs-set-char #x97AE ?$(HdF(B) ; C02-H-6446
(ucs-set-char #x97AF ?$Aw5(B) ; GB0-A-7735
(ucs-set-char #x97B0 ?$(Ja|(B) ; C04-J-617C
(ucs-set-char #x97B1 ?$(DgN(B) ; J90-D-674E
(ucs-set-char #x97B1 ?$(I[_(B) ; C03-I-5B5F
(ucs-set-char #x97B2 ?$(DgO(B) ; J90-D-674F
(ucs-set-char #x97B2 ?$(I[](B) ; C03-I-5B5D
(ucs-set-char #x97B2 ?$Aw8(B) ; GB0-A-7738
(ucs-set-char #x97B3 ?$(Hgl(B) ; C02-H-676C
(ucs-set-char #x97B3 ?$@pe(B) ; J78-@-7065
(ucs-set-char #x97B3 ?$Bpe(B) ; J83-B-7065
(ucs-set-char #x97B4 ?$(I[^(B) ; C03-I-5B5E
(ucs-set-char #x97B4 ?$@pf(B) ; J78-@-7066
(ucs-set-char #x97B4 ?$Aw9(B) ; GB0-A-7739
(ucs-set-char #x97B4 ?$Bpf(B) ; J83-B-7066
(ucs-set-char #x97B5 ?$(DgP(B) ; J90-D-6750
(ucs-set-char #x97B5 ?$(I[`(B) ; C03-I-5B60
(ucs-set-char #x97B6 ?$(DgQ(B) ; J90-D-6751
(ucs-set-char #x97B6 ?$(Hgn(B) ; C02-H-676E
(ucs-set-char #x97B7 ?$(Hgm(B) ; C02-H-676D
(ucs-set-char #x97B8 ?$(DgR(B) ; J90-D-6752
(ucs-set-char #x97B8 ?$(I]P(B) ; C03-I-5D50
(ucs-set-char #x97B9 ?$(DgS(B) ; J90-D-6753
(ucs-set-char #x97B9 ?$(HjX(B) ; C02-H-6A58
(ucs-set-char #x97BA ?$(DgT(B) ; J90-D-6754
(ucs-set-char #x97BA ?$(I]Q(B) ; C03-I-5D51
(ucs-set-char #x97BB ?$(HjY(B) ; C02-H-6A59
(ucs-set-char #x97BC ?$(DgU(B) ; J90-D-6755
(ucs-set-char #x97BC ?$(Jgq(B) ; C04-J-6771
(ucs-set-char #x97BD ?$(I^u(B) ; C03-I-5E75
(ucs-set-char #x97BE ?$(DgV(B) ; J90-D-6756
(ucs-set-char #x97BE ?$(I^t(B) ; C03-I-5E74
(ucs-set-char #x97BF ?$(DgW(B) ; J90-D-6757
(ucs-set-char #x97BF ?$(Hl^(B) ; C02-H-6C5E
(ucs-set-char #x97C0 ?$(I_s(B) ; C03-I-5F73
(ucs-set-char #x97C1 ?$(DgX(B) ; J90-D-6758
(ucs-set-char #x97C1 ?$(G|#(B) ; C01-G-7C23
(ucs-set-char #x97C2 ?$(Ji^(B) ; C04-J-695E
(ucs-set-char #x97C3 ?$(G|"(B) ; C01-G-7C22
(ucs-set-char #x97C3 ?$@pg(B) ; J78-@-7067
(ucs-set-char #x97C3 ?$Bpg(B) ; J83-B-7067
(ucs-set-char #x97C4 ?$(DgY(B) ; J90-D-6759
(ucs-set-char #x97C4 ?$(Ho](B) ; C02-H-6F5D
(ucs-set-char #x97C5 ?$(DgZ(B) ; J90-D-675A
(ucs-set-char #x97C5 ?$(Ho^(B) ; C02-H-6F5E
(ucs-set-char #x97C6 ?$(CtG(B) ; KS0-C-7447
(ucs-set-char #x97C6 ?$(G|s(B) ; C01-G-7C73
(ucs-set-char #x97C6 ?$@ph(B) ; J78-@-7068
(ucs-set-char #x97C6 ?$Bph(B) ; J83-B-7068
(ucs-set-char #x97C7 ?$(Dg[(B) ; J90-D-675B
(ucs-set-char #x97C7 ?$(Hp_(B) ; C02-H-705F
(ucs-set-char #x97C8 ?$(Ia((B) ; C03-I-6128
(ucs-set-char #x97C8 ?$@pi(B) ; J78-@-7069
(ucs-set-char #x97C8 ?$Bpi(B) ; J83-B-7069
(ucs-set-char #x97C9 ?$(Dg\(B) ; J90-D-675C
(ucs-set-char #x97C9 ?$(G}6(B) ; C01-G-7D36
(ucs-set-char #x97CA ?$(Dg](B) ; J90-D-675D
(ucs-set-char #x97CA ?$(Ib;(B) ; C03-I-623B
(ucs-set-char #x97CB ?$(Cj_(B) ; KS0-C-6A5F
(ucs-set-char #x97CB ?$(GSt(B) ; C01-G-5374
(ucs-set-char #x97CB ?$@pj(B) ; J78-@-706A
(ucs-set-char #x97CB ?$Bpj(B) ; J83-B-706A
(ucs-set-char #x97CC ?$(Dg^(B) ; J90-D-675E
(ucs-set-char #x97CC ?$(Gby(B) ; C01-G-6279
(ucs-set-char #x97CD ?$(Dg_(B) ; J90-D-675F
(ucs-set-char #x97CD ?$(HO2(B) ; C02-H-4F32
(ucs-set-char #x97CE ?$(Dg`(B) ; J90-D-6760
(ucs-set-char #x97CE ?$(HO1(B) ; C02-H-4F31
(ucs-set-char #x97CF ?$(HU^(B) ; C02-H-555E
(ucs-set-char #x97D0 ?$(Dga(B) ; J90-D-6761
(ucs-set-char #x97D0 ?$(HU](B) ; C02-H-555D
(ucs-set-char #x97D1 ?$(Dgb(B) ; J90-D-6762
(ucs-set-char #x97D1 ?$(JNW(B) ; C04-J-4E57
(ucs-set-char #x97D2 ?$(ISU(B) ; C03-I-5355
(ucs-set-char #x97D3 ?$(Cy[(B) ; KS0-C-795B
(ucs-set-char #x97D3 ?$(Gv'(B) ; C01-G-7627
(ucs-set-char #x97D3 ?$@4Z(B) ; J78-@-345A
(ucs-set-char #x97D3 ?$B4Z(B) ; J83-B-345A
(ucs-set-char #x97D4 ?$(Dgc(B) ; J90-D-6763
(ucs-set-char #x97D4 ?$(H`O(B) ; C02-H-604F
(ucs-set-char #x97D5 ?$(H`N(B) ; C02-H-604E
(ucs-set-char #x97D6 ?$(HdO(B) ; C02-H-644F
(ucs-set-char #x97D7 ?$(Dgd(B) ; J90-D-6764
(ucs-set-char #x97D7 ?$(HdM(B) ; C02-H-644D
(ucs-set-char #x97D8 ?$(Dge(B) ; J90-D-6765
(ucs-set-char #x97D8 ?$(HdP(B) ; C02-H-6450
(ucs-set-char #x97D9 ?$(Dgf(B) ; J90-D-6766
(ucs-set-char #x97D9 ?$(HdN(B) ; C02-H-644E
(ucs-set-char #x97DA ?$(IYQ(B) ; C03-I-5951
(ucs-set-char #x97DB ?$(Dgj(B) ; J90-D-676A
(ucs-set-char #x97DB ?$(Je)(B) ; C04-J-6529
(ucs-set-char #x97DC ?$(CT7(B) ; KS0-C-5437
(ucs-set-char #x97DC ?$(GyI(B) ; C01-G-7949
(ucs-set-char #x97DC ?$@pk(B) ; J78-@-706B
(ucs-set-char #x97DC ?$Bpk(B) ; J83-B-706B
(ucs-set-char #x97DD ?$(Dgg(B) ; J90-D-6767
(ucs-set-char #x97DD ?$(Hgo(B) ; C02-H-676F
(ucs-set-char #x97DE ?$(Dgh(B) ; J90-D-6768
(ucs-set-char #x97DE ?$(Hgp(B) ; C02-H-6770
(ucs-set-char #x97DF ?$(Hgq(B) ; C02-H-6771
(ucs-set-char #x97E0 ?$(Dgi(B) ; J90-D-6769
(ucs-set-char #x97E0 ?$(Je'(B) ; C04-J-6527
(ucs-set-char #x97E0 ?$(Je*(B) ; C04-J-652A
(ucs-set-char #x97E1 ?$(Dgk(B) ; J90-D-676B
(ucs-set-char #x97E1 ?$(Hl_(B) ; C02-H-6C5F
(ucs-set-char #x97E2 ?$(I^v(B) ; C03-I-5E76
(ucs-set-char #x97E3 ?$(HnA(B) ; C02-H-6E41
(ucs-set-char #x97E4 ?$(Dgl(B) ; J90-D-676C
(ucs-set-char #x97E4 ?$(Ia)(B) ; C03-I-6129
(ucs-set-char #x97E5 ?$(Hp`(B) ; C02-H-7060
(ucs-set-char #x97E6 ?$AN$(B) ; GB0-A-4E24
(ucs-set-char #x97E7 ?$AHM(B) ; GB0-A-484D
(ucs-set-char #x97E9 ?$A:+(B) ; GB0-A-3A2B
(ucs-set-char #x97EA ?$Ah8(B) ; GB0-A-6838
(ucs-set-char #x97EB ?$Ah9(B) ; GB0-A-6839
(ucs-set-char #x97EC ?$Ah:(B) ; GB0-A-683A
(ucs-set-char #x97ED ?$(GSu(B) ; C01-G-5375
(ucs-set-char #x97ED ?$@pl(B) ; J78-@-706C
(ucs-set-char #x97ED ?$A>B(B) ; GB0-A-3E42
(ucs-set-char #x97ED ?$Bpl(B) ; J83-B-706C
(ucs-set-char #x97EE ?$(IEO(B) ; C03-I-454F
(ucs-set-char #x97EE ?$@G#(B) ; J78-@-4723
(ucs-set-char #x97EE ?$BG#(B) ; J83-B-4723
(ucs-set-char #x97EF ?$(Dgm(B) ; J90-D-676D
(ucs-set-char #x97EF ?$(IOe(B) ; C03-I-4F65
(ucs-set-char #x97F0 ?$(H[c(B) ; C02-H-5B63
(ucs-set-char #x97F1 ?$(Dgn(B) ; J90-D-676E
(ucs-set-char #x97F1 ?$(H`P(B) ; C02-H-6050
(ucs-set-char #x97F2 ?$(I[a(B) ; C03-I-5B61
(ucs-set-char #x97F2 ?$@pn(B) ; J78-@-706E
(ucs-set-char #x97F2 ?$Bpn(B) ; J83-B-706E
(ucs-set-char #x97F3 ?$(Cke(B) ; KS0-C-6B65
(ucs-set-char #x97F3 ?$(GSv(B) ; C01-G-5376
(ucs-set-char #x97F3 ?$@2;(B) ; J78-@-323B
(ucs-set-char #x97F3 ?$ARt(B) ; GB0-A-5274
(ucs-set-char #x97F3 ?$B2;(B) ; J83-B-323B
(ucs-set-char #x97F4 ?$(Dgo(B) ; J90-D-676F
(ucs-set-char #x97F4 ?$(JAc(B) ; C04-J-4163
(ucs-set-char #x97F5 ?$(IEP(B) ; C03-I-4550
(ucs-set-char #x97F5 ?$@pq(B) ; J78-@-7071
(ucs-set-char #x97F5 ?$ATO(B) ; GB0-A-544F
(ucs-set-char #x97F5 ?$Bpq(B) ; J83-B-7071
(ucs-set-char #x97F6 ?$(CaR(B) ; KS0-C-6152
(ucs-set-char #x97F6 ?$(Gki(B) ; C01-G-6B69
(ucs-set-char #x97F6 ?$@pp(B) ; J78-@-7070
(ucs-set-char #x97F6 ?$AIX(B) ; GB0-A-4958
(ucs-set-char #x97F6 ?$Bpp(B) ; J83-B-7070
(ucs-set-char #x97F7 ?$(Dgp(B) ; J90-D-6770
(ucs-set-char #x97F7 ?$(JHF(B) ; C04-J-4846
(ucs-set-char #x97F8 ?$(Dgq(B) ; J90-D-6771
(ucs-set-char #x97F8 ?$(H[d(B) ; C02-H-5B64
(ucs-set-char #x97F9 ?$(Gwk(B) ; C01-G-776B
(ucs-set-char #x97FA ?$(Dgr(B) ; J90-D-6772
(ucs-set-char #x97FA ?$(HdQ(B) ; C02-H-6451
(ucs-set-char #x97FB ?$(Cj$(B) ; KS0-C-6A24
(ucs-set-char #x97FB ?$(GyJ(B) ; C01-G-794A
(ucs-set-char #x97FB ?$@1$(B) ; J78-@-3124
(ucs-set-char #x97FB ?$B1$(B) ; J83-B-3124
(ucs-set-char #x97FC ?$(I]S(B) ; C03-I-5D53
(ucs-set-char #x97FD ?$(HjZ(B) ; C02-H-6A5A
(ucs-set-char #x97FE ?$(Hj[(B) ; C02-H-6A5B
(ucs-set-char #x97FF ?$(CzB(B) ; KS0-C-7A42
(ucs-set-char #x97FF ?$(G{@(B) ; C01-G-7B40
(ucs-set-char #x97FF ?$@6A(B) ; J78-@-3641
(ucs-set-char #x97FF ?$B6A(B) ; J83-B-3641
(ucs-set-char #x9800 ?$(C{a(B) ; KS0-C-7B61
(ucs-set-char #x9800 ?$(Ho_(B) ; C02-H-6F5F
(ucs-set-char #x9801 ?$(Czm(B) ; KS0-C-7A6D
(ucs-set-char #x9801 ?$(GSw(B) ; C01-G-5377
(ucs-set-char #x9801 ?$@JG(B) ; J78-@-4A47
(ucs-set-char #x9801 ?$BJG(B) ; J83-B-4A47
(ucs-set-char #x9802 ?$(Cp"(B) ; KS0-C-7022
(ucs-set-char #x9802 ?$(G^!(B) ; C01-G-5E21
(ucs-set-char #x9802 ?$@D:(B) ; J78-@-443A
(ucs-set-char #x9802 ?$BD:(B) ; J83-B-443A
(ucs-set-char #x9803 ?$(CLq(B) ; KS0-C-4C71
(ucs-set-char #x9803 ?$(G^"(B) ; C01-G-5E22
(ucs-set-char #x9803 ?$@:"(B) ; J78-@-3A22
(ucs-set-char #x9803 ?$B:"(B) ; J83-B-3A22
(ucs-set-char #x9804 ?$(H:2(B) ; C02-H-3A32
(ucs-set-char #x9805 ?$(Cz#(B) ; KS0-C-7A23
(ucs-set-char #x9805 ?$(Gbz(B) ; C01-G-627A
(ucs-set-char #x9805 ?$@9`(B) ; J78-@-3960
(ucs-set-char #x9805 ?$B9`(B) ; J83-B-3960
(ucs-set-char #x9806 ?$(Cbw(B) ; KS0-C-6277
(ucs-set-char #x9806 ?$(Gb{(B) ; C01-G-627B
(ucs-set-char #x9806 ?$@=g(B) ; J78-@-3D67
(ucs-set-char #x9806 ?$B=g(B) ; J83-B-3D67
(ucs-set-char #x9807 ?$(Dgs(B) ; J90-D-6773
(ucs-set-char #x9807 ?$(HAQ(B) ; C02-H-4151
(ucs-set-char #x9808 ?$(CbN(B) ; KS0-C-624E
(ucs-set-char #x9808 ?$(Gb|(B) ; C01-G-627C
(ucs-set-char #x9808 ?$@?\(B) ; J78-@-3F5C
(ucs-set-char #x9808 ?$B?\(B) ; J83-B-3F5C
(ucs-set-char #x9809 ?$(JAh(B) ; C04-J-4168
(ucs-set-char #x980A ?$(Ciu(B) ; KS0-C-6975
(ucs-set-char #x980A ?$(Dgt(B) ; J90-D-6774
(ucs-set-char #x980A ?$(Ggb(B) ; C01-G-6762
(ucs-set-char #x980B ?$(IER(B) ; C03-I-4552
(ucs-set-char #x980C ?$(Cak(B) ; KS0-C-616B
(ucs-set-char #x980C ?$(Ggd(B) ; C01-G-6764
(ucs-set-char #x980C ?$@ps(B) ; J78-@-7073
(ucs-set-char #x980C ?$Bps(B) ; J83-B-7073
(ucs-set-char #x980D ?$(Dgv(B) ; J90-D-6776
(ucs-set-char #x980D ?$(HHe(B) ; C02-H-4865
(ucs-set-char #x980E ?$(Dgw(B) ; J90-D-6777
(ucs-set-char #x980E ?$(HHf(B) ; C02-H-4866
(ucs-set-char #x980F ?$(HHd(B) ; C02-H-4864
(ucs-set-char #x980F ?$@pr(B) ; J78-@-7072
(ucs-set-char #x980F ?$Bpr(B) ; J83-B-7072
(ucs-set-char #x9810 ?$(Cgh(B) ; KS0-C-6768
(ucs-set-char #x9810 ?$(Gg_(B) ; C01-G-675F
(ucs-set-char #x9810 ?$@MB(B) ; J78-@-4D42
(ucs-set-char #x9810 ?$BMB(B) ; J83-B-4D42
(ucs-set-char #x9811 ?$(ChW(B) ; KS0-C-6857
(ucs-set-char #x9811 ?$(Gg`(B) ; C01-G-6760
(ucs-set-char #x9811 ?$@4h(B) ; J78-@-3468
(ucs-set-char #x9811 ?$B4h(B) ; J83-B-3468
(ucs-set-char #x9812 ?$(CZx(B) ; KS0-C-5A78
(ucs-set-char #x9812 ?$(Ggc(B) ; C01-G-6763
(ucs-set-char #x9812 ?$@HR(B) ; J78-@-4852
(ucs-set-char #x9812 ?$BHR(B) ; J83-B-4852
(ucs-set-char #x9813 ?$(CTK(B) ; KS0-C-544B
(ucs-set-char #x9813 ?$(Gga(B) ; C01-G-6761
(ucs-set-char #x9813 ?$@F\(B) ; J78-@-465C
(ucs-set-char #x9813 ?$BF\(B) ; J83-B-465C
(ucs-set-char #x9814 ?$(Dgx(B) ; J90-D-6778
(ucs-set-char #x9814 ?$(IJT(B) ; C03-I-4A54
(ucs-set-char #x9815 ?$(IJU(B) ; C03-I-4A55
(ucs-set-char #x9816 ?$(Dgy(B) ; J90-D-6779
(ucs-set-char #x9816 ?$(HO3(B) ; C02-H-4F33
(ucs-set-char #x9817 ?$(Cwv(B) ; KS0-C-7776
(ucs-set-char #x9817 ?$(Gkj(B) ; C01-G-6B6A
(ucs-set-char #x9817 ?$@?|(B) ; J78-@-3F7C
(ucs-set-char #x9817 ?$B?|(B) ; J83-B-3F7C
(ucs-set-char #x9818 ?$(CVE(B) ; KS0-C-5645
(ucs-set-char #x9818 ?$(Gkk(B) ; C01-G-6B6B
(ucs-set-char #x9818 ?$@NN(B) ; J78-@-4E4E
(ucs-set-char #x9818 ?$BNN(B) ; J83-B-4E4E
(ucs-set-char #x9819 ?$(Dgu(B) ; J90-D-6775
(ucs-set-char #x9819 ?$(IJR(B) ; C03-I-4A52
(ucs-set-char #x9819 ?$(KK;(B) ; C05-K-4B3B
(ucs-set-char #x981A ?$(IJV(B) ; C03-I-4A56
(ucs-set-char #x981A ?$@pt(B) ; J78-@-7074
(ucs-set-char #x981A ?$B7[(B) ; J83-B-375B
(ucs-set-char #x981B ?$(HUe(B) ; C02-H-5565
(ucs-set-char #x981C ?$(Dgz(B) ; J90-D-677A
(ucs-set-char #x981C ?$(Gop(B) ; C01-G-6F70
(ucs-set-char #x981D ?$(HU`(B) ; C02-H-5560
(ucs-set-char #x981E ?$(Dg{(B) ; J90-D-677B
(ucs-set-char #x981E ?$(HU_(B) ; C02-H-555F
(ucs-set-char #x981F ?$(IOi(B) ; C03-I-4F69
(ucs-set-char #x9820 ?$(Dg|(B) ; J90-D-677C
(ucs-set-char #x9820 ?$(HUd(B) ; C02-H-5564
(ucs-set-char #x9821 ?$(Gon(B) ; C01-G-6F6E
(ucs-set-char #x9821 ?$@pv(B) ; J78-@-7076
(ucs-set-char #x9821 ?$Bpv(B) ; J83-B-7076
(ucs-set-char #x9822 ?$(IOg(B) ; C03-I-4F67
(ucs-set-char #x9823 ?$(Dg}(B) ; J90-D-677D
(ucs-set-char #x9823 ?$(JNZ(B) ; C04-J-4E5A
(ucs-set-char #x9824 ?$(Gs&(B) ; C01-G-7326
(ucs-set-char #x9824 ?$@pu(B) ; J78-@-7075
(ucs-set-char #x9824 ?$Bpu(B) ; J83-B-7075
(ucs-set-char #x9825 ?$(Dh((B) ; J90-D-6828
(ucs-set-char #x9825 ?$(JTp(B) ; C04-J-5470
(ucs-set-char #x9826 ?$(Dg~(B) ; J90-D-677E
(ucs-set-char #x9826 ?$(HUa(B) ; C02-H-5561
(ucs-set-char #x9827 ?$(HUf(B) ; C02-H-5566
(ucs-set-char #x9828 ?$(HUc(B) ; C02-H-5563
(ucs-set-char #x9829 ?$(HUb(B) ; C02-H-5562
(ucs-set-char #x982A ?$(IOf(B) ; C03-I-4F66
(ucs-set-char #x982B ?$(Dh!(B) ; J90-D-6821
(ucs-set-char #x982B ?$(Goo(B) ; C01-G-6F6F
(ucs-set-char #x982C ?$BKK(B) ; J83-B-4B4B
(ucs-set-char #x982D ?$(CTi(B) ; KS0-C-5469
(ucs-set-char #x982D ?$(Gs$(B) ; C01-G-7324
(ucs-set-char #x982D ?$@F,(B) ; J78-@-462C
(ucs-set-char #x982D ?$BF,(B) ; J83-B-462C
(ucs-set-char #x982E ?$(Dh"(B) ; J90-D-6822
(ucs-set-char #x982E ?$(IS\(B) ; C03-I-535C
(ucs-set-char #x982F ?$(Dh#(B) ; J90-D-6823
(ucs-set-char #x982F ?$(H[f(B) ; C02-H-5B66
(ucs-set-char #x9830 ?$(Czz(B) ; KS0-C-7A7A
(ucs-set-char #x9830 ?$(Dh$(B) ; J90-D-6824
(ucs-set-char #x9830 ?$(Gr~(B) ; C01-G-727E
(ucs-set-char #x9830 ?$@KK(B) ; J78-@-4B4B
(ucs-set-char #x9831 ?$(ISY(B) ; C03-I-5359
(ucs-set-char #x9832 ?$(Dh%(B) ; J90-D-6825
(ucs-set-char #x9832 ?$(H[g(B) ; C02-H-5B67
(ucs-set-char #x9833 ?$(Dh&(B) ; J90-D-6826
(ucs-set-char #x9833 ?$(ISZ(B) ; C03-I-535A
(ucs-set-char #x9834 ?$(IR((B) ; C03-I-5228
(ucs-set-char #x9834 ?$@1P(B) ; J78-@-3150
(ucs-set-char #x9834 ?$B1P(B) ; J83-B-3150
(ucs-set-char #x9835 ?$(Dh'(B) ; J90-D-6827
(ucs-set-char #x9835 ?$(H[e(B) ; C02-H-5B65
(ucs-set-char #x9836 ?$(ISX(B) ; C03-I-5358
(ucs-set-char #x9837 ?$(Gs#(B) ; C01-G-7323
(ucs-set-char #x9837 ?$@pw(B) ; J78-@-7077
(ucs-set-char #x9837 ?$Bpw(B) ; J83-B-7077
(ucs-set-char #x9838 ?$(CLr(B) ; KS0-C-4C72
(ucs-set-char #x9838 ?$(Gs!(B) ; C01-G-7321
(ucs-set-char #x9838 ?$@7[(B) ; J78-@-375B
(ucs-set-char #x9838 ?$Bpt(B) ; J83-B-7074
(ucs-set-char #x9839 ?$(Cw](B) ; KS0-C-775D
(ucs-set-char #x9839 ?$(Gs%(B) ; C01-G-7325
(ucs-set-char #x983A ?$(IS](B) ; C03-I-535D
(ucs-set-char #x983B ?$(C^:(B) ; KS0-C-5E3A
(ucs-set-char #x983B ?$(Gs"(B) ; C01-G-7322
(ucs-set-char #x983B ?$@IQ(B) ; J78-@-4951
(ucs-set-char #x983B ?$BIQ(B) ; J83-B-4951
(ucs-set-char #x983C ?$(IS[(B) ; C03-I-535B
(ucs-set-char #x983C ?$@Mj(B) ; J78-@-4D6A
(ucs-set-char #x983C ?$BMj(B) ; J83-B-4D6A
(ucs-set-char #x983D ?$(IS_(B) ; C03-I-535F
(ucs-set-char #x983D ?$@px(B) ; J78-@-7078
(ucs-set-char #x983D ?$Bpx(B) ; J83-B-7078
(ucs-set-char #x983E ?$(Dh)(B) ; J90-D-6829
(ucs-set-char #x983E ?$(J^O(B) ; C04-J-5E4F
(ucs-set-char #x983F ?$(IY[(B) ; C03-I-595B
(ucs-set-char #x9840 ?$(IW&(B) ; C03-I-5726
(ucs-set-char #x9841 ?$(H`Q(B) ; C02-H-6051
(ucs-set-char #x9842 ?$(JYp(B) ; C04-J-5970
(ucs-set-char #x9843 ?$(H`V(B) ; C02-H-6056
(ucs-set-char #x9844 ?$(Dh*(B) ; J90-D-682A
(ucs-set-char #x9844 ?$(H`R(B) ; C02-H-6052
(ucs-set-char #x9845 ?$(H`U(B) ; C02-H-6055
(ucs-set-char #x9846 ?$(CN((B) ; KS0-C-4E28
(ucs-set-char #x9846 ?$(Gv((B) ; C01-G-7628
(ucs-set-char #x9846 ?$@py(B) ; J78-@-7079
(ucs-set-char #x9846 ?$Bpy(B) ; J83-B-7079
(ucs-set-char #x9847 ?$(Dh+(B) ; J90-D-682B
(ucs-set-char #x9847 ?$(IW((B) ; C03-I-5728
(ucs-set-char #x9848 ?$(H^A(B) ; C02-H-5E41
(ucs-set-char #x9849 ?$(H`T(B) ; C02-H-6054
(ucs-set-char #x984A ?$(Dh,(B) ; J90-D-682C
(ucs-set-char #x984A ?$(H`S(B) ; C02-H-6053
(ucs-set-char #x984B ?$(IYY(B) ; C03-I-5959
(ucs-set-char #x984B ?$@p{(B) ; J78-@-707B
(ucs-set-char #x984B ?$Bp{(B) ; J83-B-707B
(ucs-set-char #x984C ?$(Cp9(B) ; KS0-C-7039
(ucs-set-char #x984C ?$(Gwn(B) ; C01-G-776E
(ucs-set-char #x984C ?$@Bj(B) ; J78-@-426A
(ucs-set-char #x984C ?$BBj(B) ; J83-B-426A
(ucs-set-char #x984D ?$(Cd~(B) ; KS0-C-647E
(ucs-set-char #x984D ?$(Gwl(B) ; C01-G-776C
(ucs-set-char #x984D ?$@3[(B) ; J78-@-335B
(ucs-set-char #x984D ?$B3[(B) ; J83-B-335B
(ucs-set-char #x984E ?$(CdI(B) ; KS0-C-6449
(ucs-set-char #x984E ?$(Gwo(B) ; C01-G-776F
(ucs-set-char #x984E ?$@3\(B) ; J78-@-335C
(ucs-set-char #x984E ?$B3\(B) ; J83-B-335C
(ucs-set-char #x984F ?$(Gwm(B) ; C01-G-776D
(ucs-set-char #x984F ?$@pz(B) ; J78-@-707A
(ucs-set-char #x984F ?$Bpz(B) ; J83-B-707A
(ucs-set-char #x9850 ?$(HdR(B) ; C02-H-6452
(ucs-set-char #x9851 ?$(Dh-(B) ; J90-D-682D
(ucs-set-char #x9851 ?$(HdS(B) ; C02-H-6453
(ucs-set-char #x9852 ?$(Dh.(B) ; J90-D-682E
(ucs-set-char #x9852 ?$(HdT(B) ; C02-H-6454
(ucs-set-char #x9853 ?$(Dh/(B) ; J90-D-682F
(ucs-set-char #x9853 ?$(Gwp(B) ; C01-G-7770
(ucs-set-char #x9854 ?$(CdT(B) ; KS0-C-6454
(ucs-set-char #x9854 ?$(IYV(B) ; C03-I-5956
(ucs-set-char #x9854 ?$@4i(B) ; J78-@-3469
(ucs-set-char #x9854 ?$B4i(B) ; J83-B-3469
(ucs-set-char #x9855 ?$(IYX(B) ; C03-I-5958
(ucs-set-char #x9855 ?$@82(B) ; J78-@-3832
(ucs-set-char #x9855 ?$B82(B) ; J83-B-3832
(ucs-set-char #x9856 ?$(Dh0(B) ; J90-D-6830
(ucs-set-char #x9856 ?$(I[e(B) ; C03-I-5B65
(ucs-set-char #x9857 ?$(Dh1(B) ; J90-D-6831
(ucs-set-char #x9857 ?$(Hgu(B) ; C02-H-6775
(ucs-set-char #x9858 ?$(CjC(B) ; KS0-C-6A43
(ucs-set-char #x9858 ?$(GyL(B) ; C01-G-794C
(ucs-set-char #x9858 ?$@4j(B) ; J78-@-346A
(ucs-set-char #x9858 ?$B4j(B) ; J83-B-346A
(ucs-set-char #x9859 ?$(Dh2(B) ; J90-D-6832
(ucs-set-char #x9859 ?$(Hgs(B) ; C02-H-6773
(ucs-set-char #x985A ?$(Co4(B) ; KS0-C-6F34
(ucs-set-char #x985A ?$(Dh3(B) ; J90-D-6833
(ucs-set-char #x985A ?$(Jb0(B) ; C04-J-6230
(ucs-set-char #x985A ?$@E?(B) ; J78-@-453F
(ucs-set-char #x985B ?$(GyM(B) ; C01-G-794D
(ucs-set-char #x985B ?$BE?(B) ; J83-B-453F
(ucs-set-char #x985C ?$(Hgr(B) ; C02-H-6772
(ucs-set-char #x985D ?$(Hgt(B) ; C02-H-6774
(ucs-set-char #x985E ?$(CW>(B) ; KS0-C-573E
(ucs-set-char #x985E ?$(GyK(B) ; C01-G-794B
(ucs-set-char #x985E ?$@N`(B) ; J78-@-4E60
(ucs-set-char #x985E ?$BN`(B) ; J83-B-4E60
(ucs-set-char #x985F ?$(Hj_(B) ; C02-H-6A5F
(ucs-set-char #x9860 ?$(Hj\(B) ; C02-H-6A5C
(ucs-set-char #x9861 ?$(Je,(B) ; C04-J-652C
(ucs-set-char #x9862 ?$(Dh4(B) ; J90-D-6834
(ucs-set-char #x9862 ?$(Hj](B) ; C02-H-6A5D
(ucs-set-char #x9863 ?$(Dh5(B) ; J90-D-6835
(ucs-set-char #x9863 ?$(Hj^(B) ; C02-H-6A5E
(ucs-set-char #x9864 ?$(Hl`(B) ; C02-H-6C60
(ucs-set-char #x9865 ?$(C{b(B) ; KS0-C-7B62
(ucs-set-char #x9865 ?$(Dh6(B) ; J90-D-6836
(ucs-set-char #x9865 ?$(G{B(B) ; C01-G-7B42
(ucs-set-char #x9866 ?$(Dh7(B) ; J90-D-6837
(ucs-set-char #x9866 ?$(I^x(B) ; C03-I-5E78
(ucs-set-char #x9867 ?$(CMS(B) ; KS0-C-4D53
(ucs-set-char #x9867 ?$(G{A(B) ; C01-G-7B41
(ucs-set-char #x9867 ?$@8\(B) ; J78-@-385C
(ucs-set-char #x9867 ?$B8\(B) ; J83-B-385C
(ucs-set-char #x9868 ?$(I^w(B) ; C03-I-5E77
(ucs-set-char #x9869 ?$(HnC(B) ; C02-H-6E43
(ucs-set-char #x986A ?$(Dh8(B) ; J90-D-6838
(ucs-set-char #x986A ?$(HnB(B) ; C02-H-6E42
(ucs-set-char #x986B ?$(Co5(B) ; KS0-C-6F35
(ucs-set-char #x986B ?$(G|$(B) ; C01-G-7C24
(ucs-set-char #x986B ?$@p|(B) ; J78-@-707C
(ucs-set-char #x986B ?$Bp|(B) ; J83-B-707C
(ucs-set-char #x986C ?$(Dh9(B) ; J90-D-6839
(ucs-set-char #x986C ?$(I`](B) ; C03-I-605D
(ucs-set-char #x986D ?$(I`^(B) ; C03-I-605E
(ucs-set-char #x986E ?$(I`\(B) ; C03-I-605C
(ucs-set-char #x986F ?$(Czi(B) ; KS0-C-7A69
(ucs-set-char #x986F ?$(G|O(B) ; C01-G-7C4F
(ucs-set-char #x986F ?$@p}(B) ; J78-@-707D
(ucs-set-char #x986F ?$Bp}(B) ; J83-B-707D
(ucs-set-char #x9870 ?$(G|t(B) ; C01-G-7C74
(ucs-set-char #x9870 ?$@p~(B) ; J78-@-707E
(ucs-set-char #x9870 ?$Bp~(B) ; J83-B-707E
(ucs-set-char #x9871 ?$(G}-(B) ; C01-G-7D2D
(ucs-set-char #x9871 ?$@q!(B) ; J78-@-7121
(ucs-set-char #x9871 ?$Bq!(B) ; J83-B-7121
(ucs-set-char #x9872 ?$(HqG(B) ; C02-H-7147
(ucs-set-char #x9873 ?$(Hq|(B) ; C02-H-717C
(ucs-set-char #x9873 ?$@q#(B) ; J78-@-7123
(ucs-set-char #x9873 ?$Bq#(B) ; J83-B-7123
(ucs-set-char #x9874 ?$(Hq}(B) ; C02-H-717D
(ucs-set-char #x9874 ?$@q"(B) ; J78-@-7122
(ucs-set-char #x9874 ?$Bq"(B) ; J83-B-7122
(ucs-set-char #x9875 ?$AR3(B) ; GB0-A-5233
(ucs-set-char #x9876 ?$A6%(B) ; GB0-A-3625
(ucs-set-char #x9877 ?$AGj(B) ; GB0-A-476A
(ucs-set-char #x9878 ?$Aq|(B) ; GB0-A-717C
(ucs-set-char #x9879 ?$AOn(B) ; GB0-A-4F6E
(ucs-set-char #x987A ?$AK3(B) ; GB0-A-4B33
(ucs-set-char #x987B ?$APk(B) ; GB0-A-506B
(ucs-set-char #x987C ?$Ago(B) ; GB0-A-676F
(ucs-set-char #x987D ?$AMg(B) ; GB0-A-4D67
(ucs-set-char #x987E ?$A9K(B) ; GB0-A-394B
(ucs-set-char #x987F ?$A6Y(B) ; GB0-A-3659
(ucs-set-char #x9880 ?$Aq}(B) ; GB0-A-717D
(ucs-set-char #x9881 ?$A0d(B) ; GB0-A-3064
(ucs-set-char #x9882 ?$AKL(B) ; GB0-A-4B4C
(ucs-set-char #x9883 ?$Aq~(B) ; GB0-A-717E
(ucs-set-char #x9884 ?$AT$(B) ; GB0-A-5424
(ucs-set-char #x9885 ?$AB-(B) ; GB0-A-422D
(ucs-set-char #x9886 ?$AAl(B) ; GB0-A-416C
(ucs-set-char #x9887 ?$AFD(B) ; GB0-A-4644
(ucs-set-char #x9888 ?$A>1(B) ; GB0-A-3E31
(ucs-set-char #x9889 ?$Ar!(B) ; GB0-A-7221
(ucs-set-char #x988A ?$A<U(B) ; GB0-A-3C55
(ucs-set-char #x988C ?$Ar"(B) ; GB0-A-7222
(ucs-set-char #x988D ?$Ar#(B) ; GB0-A-7223
(ucs-set-char #x988F ?$Ar$(B) ; GB0-A-7224
(ucs-set-char #x9890 ?$ARC(B) ; GB0-A-5243
(ucs-set-char #x9891 ?$AF5(B) ; GB0-A-4635
(ucs-set-char #x9893 ?$AMG(B) ; GB0-A-4D47
(ucs-set-char #x9894 ?$Ar%(B) ; GB0-A-7225
(ucs-set-char #x9896 ?$AS1(B) ; GB0-A-5331
(ucs-set-char #x9897 ?$A?E(B) ; GB0-A-3F45
(ucs-set-char #x9898 ?$ALb(B) ; GB0-A-4C62
(ucs-set-char #x989A ?$Ar&(B) ; GB0-A-7226
(ucs-set-char #x989B ?$Ar'(B) ; GB0-A-7227
(ucs-set-char #x989C ?$AQU(B) ; GB0-A-5155
(ucs-set-char #x989D ?$A6n(B) ; GB0-A-366E
(ucs-set-char #x989E ?$Ar((B) ; GB0-A-7228
(ucs-set-char #x989F ?$Ar)(B) ; GB0-A-7229
(ucs-set-char #x98A0 ?$A5_(B) ; GB0-A-355F
(ucs-set-char #x98A1 ?$Ar*(B) ; GB0-A-722A
(ucs-set-char #x98A2 ?$Ar+(B) ; GB0-A-722B
(ucs-set-char #x98A4 ?$A2|(B) ; GB0-A-327C
(ucs-set-char #x98A5 ?$Ar,(B) ; GB0-A-722C
(ucs-set-char #x98A6 ?$Ar-(B) ; GB0-A-722D
(ucs-set-char #x98A7 ?$AH'(B) ; GB0-A-4827
(ucs-set-char #x98A8 ?$(Cy&(B) ; KS0-C-7926
(ucs-set-char #x98A8 ?$(GSx(B) ; C01-G-5378
(ucs-set-char #x98A8 ?$@Iw(B) ; J78-@-4977
(ucs-set-char #x98A8 ?$BIw(B) ; J83-B-4977
(ucs-set-char #x98A9 ?$(HAR(B) ; C02-H-4152
(ucs-set-char #x98AA ?$@q$(B) ; J78-@-7124
(ucs-set-char #x98AA ?$Bq$(B) ; J83-B-7124
(ucs-set-char #x98AB ?$(Dh:(B) ; J90-D-683A
(ucs-set-char #x98AB ?$(JAq(B) ; C04-J-4171
(ucs-set-char #x98AC ?$(HHg(B) ; C02-H-4867
(ucs-set-char #x98AD ?$(Dh;(B) ; J90-D-683B
(ucs-set-char #x98AD ?$(HO4(B) ; C02-H-4F34
(ucs-set-char #x98AE ?$(Dh<(B) ; J90-D-683C
(ucs-set-char #x98AE ?$(HO5(B) ; C02-H-4F35
(ucs-set-char #x98AF ?$(C_=(B) ; KS0-C-5F3D
(ucs-set-char #x98AF ?$(Gkl(B) ; C01-G-6B6C
(ucs-set-char #x98AF ?$@q%(B) ; J78-@-7125
(ucs-set-char #x98AF ?$Bq%(B) ; J83-B-7125
(ucs-set-char #x98B0 ?$(Dh=(B) ; J90-D-683D
(ucs-set-char #x98B0 ?$(JHW(B) ; C04-J-4857
(ucs-set-char #x98B1 ?$(CwG(B) ; KS0-C-7747
(ucs-set-char #x98B1 ?$(Gkm(B) ; C01-G-6B6D
(ucs-set-char #x98B1 ?$@q&(B) ; J78-@-7126
(ucs-set-char #x98B1 ?$Bq&(B) ; J83-B-7126
(ucs-set-char #x98B2 ?$(HUg(B) ; C02-H-5567
(ucs-set-char #x98B3 ?$(Goq(B) ; C01-G-6F71
(ucs-set-char #x98B4 ?$(Dh>(B) ; J90-D-683E
(ucs-set-char #x98B4 ?$(KYu(B) ; C05-K-5975
(ucs-set-char #x98B5 ?$(ISa(B) ; C03-I-5361
(ucs-set-char #x98B6 ?$(Gv)(B) ; C01-G-7629
(ucs-set-char #x98B6 ?$@q'(B) ; J78-@-7127
(ucs-set-char #x98B6 ?$Bq'(B) ; J83-B-7127
(ucs-set-char #x98B7 ?$(Dh?(B) ; J90-D-683F
(ucs-set-char #x98B7 ?$(IW*(B) ; C03-I-572A
(ucs-set-char #x98B8 ?$(Dh@(B) ; J90-D-6840
(ucs-set-char #x98B8 ?$(HdU(B) ; C02-H-6455
(ucs-set-char #x98B9 ?$(IY\(B) ; C03-I-595C
(ucs-set-char #x98BA ?$(DhA(B) ; J90-D-6841
(ucs-set-char #x98BA ?$(Gwq(B) ; C01-G-7771
(ucs-set-char #x98BB ?$(DhB(B) ; J90-D-6842
(ucs-set-char #x98BB ?$(Hgx(B) ; C02-H-6778
(ucs-set-char #x98BC ?$(GyN(B) ; C01-G-794E
(ucs-set-char #x98BD ?$(Hgw(B) ; C02-H-6777
(ucs-set-char #x98BE ?$(Hgy(B) ; C02-H-6779
(ucs-set-char #x98BF ?$(DhC(B) ; J90-D-6843
(ucs-set-char #x98BF ?$(Hgv(B) ; C02-H-6776
(ucs-set-char #x98C0 ?$(Hlc(B) ; C02-H-6C63
(ucs-set-char #x98C1 ?$(Hj`(B) ; C02-H-6A60
(ucs-set-char #x98C2 ?$(DhD(B) ; J90-D-6844
(ucs-set-char #x98C2 ?$(Hja(B) ; C02-H-6A61
(ucs-set-char #x98C3 ?$(I]V(B) ; C03-I-5D56
(ucs-set-char #x98C3 ?$@q)(B) ; J78-@-7129
(ucs-set-char #x98C3 ?$Bq)(B) ; J83-B-7129
(ucs-set-char #x98C4 ?$(Cx}(B) ; KS0-C-787D
(ucs-set-char #x98C4 ?$(GzQ(B) ; C01-G-7A51
(ucs-set-char #x98C4 ?$@q((B) ; J78-@-7128
(ucs-set-char #x98C4 ?$Bq((B) ; J83-B-7128
(ucs-set-char #x98C5 ?$(DhE(B) ; J90-D-6845
(ucs-set-char #x98C6 ?$(Hlb(B) ; C02-H-6C62
(ucs-set-char #x98C6 ?$@q*(B) ; J78-@-712A
(ucs-set-char #x98C6 ?$Bq*(B) ; J83-B-712A
(ucs-set-char #x98C7 ?$(Cx|(B) ; KS0-C-787C
(ucs-set-char #x98C7 ?$(I^{(B) ; C03-I-5E7B
(ucs-set-char #x98C8 ?$(DhF(B) ; J90-D-6846
(ucs-set-char #x98C8 ?$(I^y(B) ; C03-I-5E79
(ucs-set-char #x98C9 ?$(Hla(B) ; C02-H-6C61
(ucs-set-char #x98CA ?$(I^z(B) ; C03-I-5E7A
(ucs-set-char #x98CB ?$(HnD(B) ; C02-H-6E44
(ucs-set-char #x98CC ?$(DhG(B) ; J90-D-6847
(ucs-set-char #x98CC ?$(Hq~(B) ; C02-H-717E
(ucs-set-char #x98CD ?$(Ib%(B) ; C03-I-6225
(ucs-set-char #x98CE ?$A7g(B) ; GB0-A-3767
(ucs-set-char #x98D1 ?$Al)(B) ; GB0-A-6C29
(ucs-set-char #x98D2 ?$Al*(B) ; GB0-A-6C2A
(ucs-set-char #x98D3 ?$Al+(B) ; GB0-A-6C2B
(ucs-set-char #x98D5 ?$Al,(B) ; GB0-A-6C2C
(ucs-set-char #x98D8 ?$AF.(B) ; GB0-A-462E
(ucs-set-char #x98D9 ?$Al-(B) ; GB0-A-6C2D
(ucs-set-char #x98DA ?$Al.(B) ; GB0-A-6C2E
(ucs-set-char #x98DB ?$(C^+(B) ; KS0-C-5E2B
(ucs-set-char #x98DB ?$(GSy(B) ; C01-G-5379
(ucs-set-char #x98DB ?$@Ht(B) ; J78-@-4874
(ucs-set-char #x98DB ?$BHt(B) ; J83-B-4874
(ucs-set-char #x98DC ?$(C[h(B) ; KS0-C-5B68
(ucs-set-char #x98DC ?$(I^|(B) ; C03-I-5E7C
(ucs-set-char #x98DC ?$@fL(B) ; J78-@-664C
(ucs-set-char #x98DC ?$BfL(B) ; J83-B-664C
(ucs-set-char #x98DD ?$(Ib&(B) ; C03-I-6226
(ucs-set-char #x98DE ?$A7I(B) ; GB0-A-3749
(ucs-set-char #x98DF ?$(Cc](B) ; KS0-C-635D
(ucs-set-char #x98DF ?$(GSz(B) ; C01-G-537A
(ucs-set-char #x98DF ?$@?)(B) ; J78-@-3F29
(ucs-set-char #x98DF ?$AJ3(B) ; GB0-A-4A33
(ucs-set-char #x98DF ?$B?)(B) ; J83-B-3F29
(ucs-set-char #x98E1 ?$(Cab(B) ; KS0-C-6162
(ucs-set-char #x98E1 ?$(DhH(B) ; J90-D-6848
(ucs-set-char #x98E1 ?$(I9g(B) ; C03-I-3967
(ucs-set-char #x98E2 ?$(CQF(B) ; KS0-C-5146
(ucs-set-char #x98E2 ?$(GXj(B) ; C01-G-586A
(ucs-set-char #x98E2 ?$@52(B) ; J78-@-3532
(ucs-set-char #x98E2 ?$B52(B) ; J83-B-3532
(ucs-set-char #x98E3 ?$(DhI(B) ; J90-D-6849
(ucs-set-char #x98E3 ?$(H3K(B) ; C02-H-334B
(ucs-set-char #x98E4 ?$(J0B(B) ; C04-J-3042
(ucs-set-char #x98E5 ?$(DhJ(B) ; J90-D-684A
(ucs-set-char #x98E5 ?$(H:3(B) ; C02-H-3A33
(ucs-set-char #x98E6 ?$(DhK(B) ; J90-D-684B
(ucs-set-char #x98E6 ?$(I9h(B) ; C03-I-3968
(ucs-set-char #x98E7 ?$(DhL(B) ; J90-D-684C
(ucs-set-char #x98E7 ?$(Gb}(B) ; C01-G-627D
(ucs-set-char #x98E7 ?$Ab8(B) ; GB0-A-6238
(ucs-set-char #x98E8 ?$AwO(B) ; GB0-A-774F
(ucs-set-char #x98E9 ?$(Gc"(B) ; C01-G-6322
(ucs-set-char #x98E9 ?$@q+(B) ; J78-@-712B
(ucs-set-char #x98E9 ?$Bq+(B) ; J83-B-712B
(ucs-set-char #x98EA ?$(DhM(B) ; J90-D-684D
(ucs-set-char #x98EA ?$(Gb~(B) ; C01-G-627E
(ucs-set-char #x98EB ?$(HAS(B) ; C02-H-4153
(ucs-set-char #x98EB ?$@q,(B) ; J78-@-712C
(ucs-set-char #x98EB ?$Bq,(B) ; J83-B-712C
(ucs-set-char #x98EC ?$(IE[(B) ; C03-I-455B
(ucs-set-char #x98ED ?$(CvP(B) ; KS0-C-7650
(ucs-set-char #x98ED ?$(Gc$(B) ; C01-G-6324
(ucs-set-char #x98ED ?$@R,(B) ; J78-@-522C
(ucs-set-char #x98ED ?$BR,(B) ; J83-B-522C
(ucs-set-char #x98EE ?$(Ckf(B) ; KS0-C-6B66
(ucs-set-char #x98EE ?$@];(B) ; J78-@-5D3B
(ucs-set-char #x98EE ?$B];(B) ; J83-B-5D3B
(ucs-set-char #x98EF ?$(CZy(B) ; KS0-C-5A79
(ucs-set-char #x98EF ?$(Gc!(B) ; C01-G-6321
(ucs-set-char #x98EF ?$@HS(B) ; J78-@-4853
(ucs-set-char #x98EF ?$BHS(B) ; J83-B-4853
(ucs-set-char #x98F0 ?$(I@+(B) ; C03-I-402B
(ucs-set-char #x98F1 ?$(IE\(B) ; C03-I-455C
(ucs-set-char #x98F2 ?$(Gc#(B) ; C01-G-6323
(ucs-set-char #x98F2 ?$@0{(B) ; J78-@-307B
(ucs-set-char #x98F2 ?$B0{(B) ; J83-B-307B
(ucs-set-char #x98F3 ?$(DhN(B) ; J90-D-684E
(ucs-set-char #x98F3 ?$(IET(B) ; C03-I-4554
(ucs-set-char #x98F4 ?$(ClG(B) ; KS0-C-6C47
(ucs-set-char #x98F4 ?$(Ggf(B) ; C01-G-6766
(ucs-set-char #x98F4 ?$@0;(B) ; J78-@-303B
(ucs-set-char #x98F4 ?$B0;(B) ; J83-B-303B
(ucs-set-char #x98F5 ?$(IEY(B) ; C03-I-4559
(ucs-set-char #x98F6 ?$(DhO(B) ; J90-D-684F
(ucs-set-char #x98F6 ?$(HHh(B) ; C02-H-4868
(ucs-set-char #x98F7 ?$(IEW(B) ; C03-I-4557
(ucs-set-char #x98F8 ?$(IJ](B) ; C03-I-4A5D
(ucs-set-char #x98F9 ?$(HHi(B) ; C02-H-4869
(ucs-set-char #x98FA ?$(HUi(B) ; C02-H-5569
(ucs-set-char #x98FB ?$(JA{(B) ; C04-J-417B
(ucs-set-char #x98FC ?$(C^x(B) ; KS0-C-5E78
(ucs-set-char #x98FC ?$(Gge(B) ; C01-G-6765
(ucs-set-char #x98FC ?$@;t(B) ; J78-@-3B74
(ucs-set-char #x98FC ?$B;t(B) ; J83-B-3B74
(ucs-set-char #x98FD ?$(Cxi(B) ; KS0-C-7869
(ucs-set-char #x98FD ?$(Ggg(B) ; C01-G-6767
(ucs-set-char #x98FD ?$@K0(B) ; J78-@-4B30
(ucs-set-char #x98FD ?$BK0(B) ; J83-B-4B30
(ucs-set-char #x98FE ?$(Cc^(B) ; KS0-C-635E
(ucs-set-char #x98FE ?$(Ggh(B) ; C01-G-6768
(ucs-set-char #x98FE ?$@>~(B) ; J78-@-3E7E
(ucs-set-char #x98FE ?$B>~(B) ; J83-B-3E7E
(ucs-set-char #x98FF ?$(IEX(B) ; C03-I-4558
(ucs-set-char #x9900 ?$(HO7(B) ; C02-H-4F37
(ucs-set-char #x9901 ?$(IJ^(B) ; C03-I-4A5E
(ucs-set-char #x9902 ?$(DhP(B) ; J90-D-6850
(ucs-set-char #x9902 ?$(HO6(B) ; C02-H-4F36
(ucs-set-char #x9903 ?$(CNu(B) ; KS0-C-4E75
(ucs-set-char #x9903 ?$(Gkn(B) ; C01-G-6B6E
(ucs-set-char #x9903 ?$@q-(B) ; J78-@-712D
(ucs-set-char #x9903 ?$Bq-(B) ; J83-B-712D
(ucs-set-char #x9904 ?$(KKL(B) ; C05-K-4B4C
(ucs-set-char #x9905 ?$(Gko(B) ; C01-G-6B6F
(ucs-set-char #x9905 ?$@L_(B) ; J78-@-4C5F
(ucs-set-char #x9905 ?$BL_(B) ; J83-B-4C5F
(ucs-set-char #x9906 ?$(IJ[(B) ; C03-I-4A5B
(ucs-set-char #x9907 ?$(DhQ(B) ; J90-D-6851
(ucs-set-char #x9907 ?$(HO8(B) ; C02-H-4F38
(ucs-set-char #x9908 ?$(DhR(B) ; J90-D-6852
(ucs-set-char #x9908 ?$(HUh(B) ; C02-H-5568
(ucs-set-char #x9909 ?$(CzC(B) ; KS0-C-7A43
(ucs-set-char #x9909 ?$(Gkq(B) ; C01-G-6B71
(ucs-set-char #x9909 ?$@q.(B) ; J78-@-712E
(ucs-set-char #x9909 ?$Bq.(B) ; J83-B-712E
(ucs-set-char #x990A ?$(CeW(B) ; KS0-C-6557
(ucs-set-char #x990A ?$(Gor(B) ; C01-G-6F72
(ucs-set-char #x990A ?$@M\(B) ; J78-@-4D5C
(ucs-set-char #x990A ?$BM\(B) ; J83-B-4D5C
(ucs-set-char #x990B ?$(JNc(B) ; C04-J-4E63
(ucs-set-char #x990C ?$(ClH(B) ; KS0-C-6C48
(ucs-set-char #x990C ?$(Gkp(B) ; C01-G-6B70
(ucs-set-char #x990C ?$@1B(B) ; J78-@-3142
(ucs-set-char #x990C ?$B1B(B) ; J83-B-3142
(ucs-set-char #x990D ?$AwP(B) ; GB0-A-7750
(ucs-set-char #x9910 ?$(CsI(B) ; KS0-C-7349
(ucs-set-char #x9910 ?$(Gs'(B) ; C01-G-7327
(ucs-set-char #x9910 ?$@;A(B) ; J78-@-3B41
(ucs-set-char #x9910 ?$A2M(B) ; GB0-A-324D
(ucs-set-char #x9910 ?$B;A(B) ; J83-B-3B41
(ucs-set-char #x9911 ?$(DhS(B) ; J90-D-6853
(ucs-set-char #x9911 ?$(HUj(B) ; C02-H-556A
(ucs-set-char #x9912 ?$(Got(B) ; C01-G-6F74
(ucs-set-char #x9912 ?$@q/(B) ; J78-@-712F
(ucs-set-char #x9912 ?$Bq/(B) ; J83-B-712F
(ucs-set-char #x9913 ?$(Cd;(B) ; KS0-C-643B
(ucs-set-char #x9913 ?$(Gos(B) ; C01-G-6F73
(ucs-set-char #x9913 ?$@2n(B) ; J78-@-326E
(ucs-set-char #x9913 ?$B2n(B) ; J83-B-326E
(ucs-set-char #x9914 ?$(HUk(B) ; C02-H-556B
(ucs-set-char #x9914 ?$@q0(B) ; J78-@-7130
(ucs-set-char #x9914 ?$Bq0(B) ; J83-B-7130
(ucs-set-char #x9915 ?$(DhT(B) ; J90-D-6854
(ucs-set-char #x9915 ?$(HUn(B) ; C02-H-556E
(ucs-set-char #x9916 ?$(DhU(B) ; J90-D-6855
(ucs-set-char #x9916 ?$(HUl(B) ; C02-H-556C
(ucs-set-char #x9917 ?$(DhV(B) ; J90-D-6856
(ucs-set-char #x9917 ?$(HUm(B) ; C02-H-556D
(ucs-set-char #x9918 ?$(Cf.(B) ; KS0-C-662E
(ucs-set-char #x9918 ?$(Gou(B) ; C01-G-6F75
(ucs-set-char #x9918 ?$@q1(B) ; J78-@-7131
(ucs-set-char #x9918 ?$Bq1(B) ; J83-B-7131
(ucs-set-char #x9919 ?$(IOk(B) ; C03-I-4F6B
(ucs-set-char #x991A ?$(DhW(B) ; J90-D-6857
(ucs-set-char #x991A ?$(Gs,(B) ; C01-G-732C
(ucs-set-char #x991B ?$(DhX(B) ; J90-D-6858
(ucs-set-char #x991B ?$(Gs*(B) ; C01-G-732A
(ucs-set-char #x991C ?$(DhY(B) ; J90-D-6859
(ucs-set-char #x991C ?$(ISe(B) ; C03-I-5365
(ucs-set-char #x991D ?$(ISf(B) ; C03-I-5366
(ucs-set-char #x991D ?$@q3(B) ; J78-@-7133
(ucs-set-char #x991D ?$Bq3(B) ; J83-B-7133
(ucs-set-char #x991E ?$(Co6(B) ; KS0-C-6F36
(ucs-set-char #x991E ?$(Gs)(B) ; C01-G-7329
(ucs-set-char #x991E ?$@q4(B) ; J78-@-7134
(ucs-set-char #x991E ?$Bq4(B) ; J83-B-7134
(ucs-set-char #x991F ?$(DhZ(B) ; J90-D-685A
(ucs-set-char #x991F ?$(H[i(B) ; C02-H-5B69
(ucs-set-char #x9920 ?$(C\?(B) ; KS0-C-5C3F
(ucs-set-char #x9920 ?$(ISd(B) ; C03-I-5364
(ucs-set-char #x9920 ?$@q6(B) ; J78-@-7136
(ucs-set-char #x9920 ?$Bq6(B) ; J83-B-7136
(ucs-set-char #x9921 ?$(Gs+(B) ; C01-G-732B
(ucs-set-char #x9921 ?$@q2(B) ; J78-@-7132
(ucs-set-char #x9921 ?$Bq2(B) ; J83-B-7132
(ucs-set-char #x9922 ?$(Dh[(B) ; J90-D-685B
(ucs-set-char #x9922 ?$(ISb(B) ; C03-I-5362
(ucs-set-char #x9923 ?$(ISc(B) ; C03-I-5363
(ucs-set-char #x9924 ?$(H[h(B) ; C02-H-5B68
(ucs-set-char #x9924 ?$@q5(B) ; J78-@-7135
(ucs-set-char #x9924 ?$Bq5(B) ; J83-B-7135
(ucs-set-char #x9925 ?$(H`W(B) ; C02-H-6057
(ucs-set-char #x9926 ?$(Dh\(B) ; J90-D-685C
(ucs-set-char #x9926 ?$(JT~(B) ; C04-J-547E
(ucs-set-char #x9927 ?$(Dh](B) ; J90-D-685D
(ucs-set-char #x9927 ?$(H[j(B) ; C02-H-5B6A
(ucs-set-char #x9928 ?$(CN=(B) ; KS0-C-4E3D
(ucs-set-char #x9928 ?$(Gs((B) ; C01-G-7328
(ucs-set-char #x9928 ?$@4[(B) ; J78-@-345B
(ucs-set-char #x9928 ?$B4[(B) ; J83-B-345B
(ucs-set-char #x9929 ?$(H[k(B) ; C02-H-5B6B
(ucs-set-char #x992A ?$(H`Z(B) ; C02-H-605A
(ucs-set-char #x992B ?$(Dh^(B) ; J90-D-685E
(ucs-set-char #x992B ?$(H`X(B) ; C02-H-6058
(ucs-set-char #x992C ?$(H`Y(B) ; C02-H-6059
(ucs-set-char #x992C ?$@q7(B) ; J78-@-7137
(ucs-set-char #x992C ?$Bq7(B) ; J83-B-7137
(ucs-set-char #x992D ?$(H`^(B) ; C02-H-605E
(ucs-set-char #x992E ?$(Gwu(B) ; C01-G-7775
(ucs-set-char #x992E ?$@q8(B) ; J78-@-7138
(ucs-set-char #x992E ?$AwQ(B) ; GB0-A-7751
(ucs-set-char #x992E ?$Bq8(B) ; J83-B-7138
(ucs-set-char #x992F ?$(H`](B) ; C02-H-605D
(ucs-set-char #x9930 ?$(H``(B) ; C02-H-6060
(ucs-set-char #x9931 ?$(Dh_(B) ; J90-D-685F
(ucs-set-char #x9931 ?$(H`_(B) ; C02-H-605F
(ucs-set-char #x9932 ?$(Dh`(B) ; J90-D-6860
(ucs-set-char #x9932 ?$(H`\(B) ; C02-H-605C
(ucs-set-char #x9933 ?$(Dha(B) ; J90-D-6861
(ucs-set-char #x9933 ?$(H`[(B) ; C02-H-605B
(ucs-set-char #x9934 ?$(Dhb(B) ; J90-D-6862
(ucs-set-char #x9934 ?$(JU!(B) ; C04-J-5521
(ucs-set-char #x9935 ?$(Dhc(B) ; J90-D-6863
(ucs-set-char #x9935 ?$(Gv*(B) ; C01-G-762A
(ucs-set-char #x9936 ?$(IYb(B) ; C03-I-5962
(ucs-set-char #x9937 ?$(JZ)(B) ; C04-J-5A29
(ucs-set-char #x9938 ?$(IYa(B) ; C03-I-5961
(ucs-set-char #x9939 ?$(Dhd(B) ; J90-D-6864
(ucs-set-char #x9939 ?$(IYf(B) ; C03-I-5966
(ucs-set-char #x993A ?$(Dhe(B) ; J90-D-6865
(ucs-set-char #x993A ?$(HdX(B) ; C02-H-6458
(ucs-set-char #x993B ?$(Dhf(B) ; J90-D-6866
(ucs-set-char #x993B ?$(IYe(B) ; C03-I-5965
(ucs-set-char #x993C ?$(Dhg(B) ; J90-D-6867
(ucs-set-char #x993C ?$(HdW(B) ; C02-H-6457
(ucs-set-char #x993D ?$(Gwt(B) ; C01-G-7774
(ucs-set-char #x993D ?$@q9(B) ; J78-@-7139
(ucs-set-char #x993D ?$Bq9(B) ; J83-B-7139
(ucs-set-char #x993E ?$(Gwr(B) ; C01-G-7772
(ucs-set-char #x993E ?$@q:(B) ; J78-@-713A
(ucs-set-char #x993E ?$Bq:(B) ; J83-B-713A
(ucs-set-char #x993F ?$(Gws(B) ; C01-G-7773
(ucs-set-char #x9940 ?$(Dhh(B) ; J90-D-6868
(ucs-set-char #x9940 ?$(IYc(B) ; C03-I-5963
(ucs-set-char #x9941 ?$(Dhi(B) ; J90-D-6869
(ucs-set-char #x9941 ?$(HdV(B) ; C02-H-6456
(ucs-set-char #x9942 ?$@q;(B) ; J78-@-713B
(ucs-set-char #x9942 ?$Bq;(B) ; J83-B-713B
(ucs-set-char #x9943 ?$(Hg|(B) ; C02-H-677C
(ucs-set-char #x9944 ?$(I[i(B) ; C03-I-5B69
(ucs-set-char #x9945 ?$(CXC(B) ; KS0-C-5843
(ucs-set-char #x9945 ?$(GyO(B) ; C01-G-794F
(ucs-set-char #x9945 ?$@q=(B) ; J78-@-713D
(ucs-set-char #x9945 ?$Bq=(B) ; J83-B-713D
(ucs-set-char #x9946 ?$(Dhj(B) ; J90-D-686A
(ucs-set-char #x9946 ?$(Jb8(B) ; C04-J-6238
(ucs-set-char #x9947 ?$(Dhk(B) ; J90-D-686B
(ucs-set-char #x9947 ?$(Hg{(B) ; C02-H-677B
(ucs-set-char #x9948 ?$(Dhl(B) ; J90-D-686C
(ucs-set-char #x9948 ?$(Hgz(B) ; C02-H-677A
(ucs-set-char #x9949 ?$(CPO(B) ; KS0-C-504F
(ucs-set-char #x9949 ?$(GyP(B) ; C01-G-7950
(ucs-set-char #x9949 ?$@q<(B) ; J78-@-713C
(ucs-set-char #x9949 ?$Bq<(B) ; J83-B-713C
(ucs-set-char #x994A ?$(Je:(B) ; C04-J-653A
(ucs-set-char #x994B ?$(COz(B) ; KS0-C-4F7A
(ucs-set-char #x994B ?$(Hjf(B) ; C02-H-6A66
(ucs-set-char #x994B ?$@q?(B) ; J78-@-713F
(ucs-set-char #x994B ?$Bq?(B) ; J83-B-713F
(ucs-set-char #x994C ?$(CsJ(B) ; KS0-C-734A
(ucs-set-char #x994C ?$(Hje(B) ; C02-H-6A65
(ucs-set-char #x994C ?$@qB(B) ; J78-@-7142
(ucs-set-char #x994C ?$BqB(B) ; J83-B-7142
(ucs-set-char #x994D ?$(C`W(B) ; KS0-C-6057
(ucs-set-char #x994D ?$(Dhm(B) ; J90-D-686D
(ucs-set-char #x994D ?$(I]X(B) ; C03-I-5D58
(ucs-set-char #x994E ?$(Dhn(B) ; J90-D-686E
(ucs-set-char #x994E ?$(Hjc(B) ; C02-H-6A63
(ucs-set-char #x994F ?$(I^~(B) ; C03-I-5E7E
(ucs-set-char #x9950 ?$(Hjb(B) ; C02-H-6A62
(ucs-set-char #x9950 ?$@q>(B) ; J78-@-713E
(ucs-set-char #x9950 ?$Bq>(B) ; J83-B-713E
(ucs-set-char #x9951 ?$(CQG(B) ; KS0-C-5147
(ucs-set-char #x9951 ?$(GzS(B) ; C01-G-7A53
(ucs-set-char #x9951 ?$@q@(B) ; J78-@-7140
(ucs-set-char #x9951 ?$Bq@(B) ; J83-B-7140
(ucs-set-char #x9952 ?$(Ci.(B) ; KS0-C-692E
(ucs-set-char #x9952 ?$(GzR(B) ; C01-G-7A52
(ucs-set-char #x9952 ?$@qA(B) ; J78-@-7141
(ucs-set-char #x9952 ?$BqA(B) ; J83-B-7141
(ucs-set-char #x9953 ?$(Hjg(B) ; C02-H-6A67
(ucs-set-char #x9954 ?$(Ch=(B) ; KS0-C-683D
(ucs-set-char #x9954 ?$(Dho(B) ; J90-D-686F
(ucs-set-char #x9954 ?$(HnE(B) ; C02-H-6E45
(ucs-set-char #x9954 ?$AwS(B) ; GB0-A-7753
(ucs-set-char #x9955 ?$(G|%(B) ; C01-G-7C25
(ucs-set-char #x9955 ?$@qC(B) ; J78-@-7143
(ucs-set-char #x9955 ?$AwR(B) ; GB0-A-7752
(ucs-set-char #x9955 ?$BqC(B) ; J83-B-7143
(ucs-set-char #x9956 ?$(Hle(B) ; C02-H-6C65
(ucs-set-char #x9957 ?$(CzD(B) ; KS0-C-7A44
(ucs-set-char #x9957 ?$(G{C(B) ; C01-G-7B43
(ucs-set-char #x9957 ?$@6B(B) ; J78-@-3642
(ucs-set-char #x9957 ?$B6B(B) ; J83-B-3642
(ucs-set-char #x9958 ?$(Dhp(B) ; J90-D-6870
(ucs-set-char #x9958 ?$(Hld(B) ; C02-H-6C64
(ucs-set-char #x9959 ?$(Dhq(B) ; J90-D-6871
(ucs-set-char #x9959 ?$(Hjd(B) ; C02-H-6A64
(ucs-set-char #x995A ?$(I_x(B) ; C03-I-5F78
(ucs-set-char #x995B ?$(Dhr(B) ; J90-D-6872
(ucs-set-char #x995B ?$(HnF(B) ; C02-H-6E46
(ucs-set-char #x995C ?$(Dhs(B) ; J90-D-6873
(ucs-set-char #x995C ?$(G|P(B) ; C01-G-7C50
(ucs-set-char #x995D ?$(Ia*(B) ; C03-I-612A
(ucs-set-char #x995E ?$(Dht(B) ; J90-D-6874
(ucs-set-char #x995E ?$(G}.(B) ; C01-G-7D2E
(ucs-set-char #x995F ?$(Dhu(B) ; J90-D-6875
(ucs-set-char #x995F ?$(HqH(B) ; C02-H-7148
(ucs-set-char #x9960 ?$(Dhv(B) ; J90-D-6876
(ucs-set-char #x9960 ?$(Jn$(B) ; C04-J-6E24
(ucs-set-char #x9961 ?$(Hr!(B) ; C02-H-7221
(ucs-set-char #x9963 ?$Ab;(B) ; GB0-A-623B
(ucs-set-char #x9965 ?$A<"(B) ; GB0-A-3C22
(ucs-set-char #x9967 ?$Ab<(B) ; GB0-A-623C
(ucs-set-char #x9968 ?$Ab=(B) ; GB0-A-623D
(ucs-set-char #x9969 ?$Ab>(B) ; GB0-A-623E
(ucs-set-char #x996A ?$Ab?(B) ; GB0-A-623F
(ucs-set-char #x996B ?$Ab@(B) ; GB0-A-6240
(ucs-set-char #x996C ?$AbA(B) ; GB0-A-6241
(ucs-set-char #x996D ?$A79(B) ; GB0-A-3739
(ucs-set-char #x996E ?$AR{(B) ; GB0-A-527B
(ucs-set-char #x996F ?$A=$(B) ; GB0-A-3D24
(ucs-set-char #x9970 ?$AJN(B) ; GB0-A-4A4E
(ucs-set-char #x9971 ?$A1%(B) ; GB0-A-3125
(ucs-set-char #x9972 ?$AKG(B) ; GB0-A-4B47
(ucs-set-char #x9974 ?$AbB(B) ; GB0-A-6242
(ucs-set-char #x9975 ?$A6|(B) ; GB0-A-367C
(ucs-set-char #x9976 ?$AHD(B) ; GB0-A-4844
(ucs-set-char #x9977 ?$AbC(B) ; GB0-A-6243
(ucs-set-char #x997A ?$A=H(B) ; GB0-A-3D48
(ucs-set-char #x997C ?$A1}(B) ; GB0-A-317D
(ucs-set-char #x997D ?$AbD(B) ; GB0-A-6244
(ucs-set-char #x997F ?$A6v(B) ; GB0-A-3676
(ucs-set-char #x9980 ?$AbE(B) ; GB0-A-6245
(ucs-set-char #x9981 ?$ADY(B) ; GB0-A-4459
(ucs-set-char #x9984 ?$AbF(B) ; GB0-A-6246
(ucs-set-char #x9985 ?$AOZ(B) ; GB0-A-4F5A
(ucs-set-char #x9986 ?$A9](B) ; GB0-A-395D
(ucs-set-char #x9987 ?$AbG(B) ; GB0-A-6247
(ucs-set-char #x9988 ?$A@!(B) ; GB0-A-4021
(ucs-set-char #x998A ?$AbH(B) ; GB0-A-6248
(ucs-set-char #x998B ?$A2v(B) ; GB0-A-3276
(ucs-set-char #x998D ?$AbI(B) ; GB0-A-6249
(ucs-set-char #x998F ?$AAs(B) ; GB0-A-4173
(ucs-set-char #x9990 ?$AbJ(B) ; GB0-A-624A
(ucs-set-char #x9991 ?$AbK(B) ; GB0-A-624B
(ucs-set-char #x9992 ?$ABx(B) ; GB0-A-4278
(ucs-set-char #x9993 ?$AbL(B) ; GB0-A-624C
(ucs-set-char #x9994 ?$AbM(B) ; GB0-A-624D
(ucs-set-char #x9995 ?$AbN(B) ; GB0-A-624E
(ucs-set-char #x9996 ?$(CbO(B) ; KS0-C-624F
(ucs-set-char #x9996 ?$(GS{(B) ; C01-G-537B
(ucs-set-char #x9996 ?$@<s(B) ; J78-@-3C73
(ucs-set-char #x9996 ?$AJW(B) ; GB0-A-4A57
(ucs-set-char #x9996 ?$B<s(B) ; J83-B-3C73
(ucs-set-char #x9997 ?$(H:4(B) ; C02-H-3A34
(ucs-set-char #x9997 ?$@qD(B) ; J78-@-7144
(ucs-set-char #x9997 ?$AX8(B) ; GB0-A-5838
(ucs-set-char #x9997 ?$BqD(B) ; J83-B-7144
(ucs-set-char #x9998 ?$(H`a(B) ; C02-H-6061
(ucs-set-char #x9998 ?$@qE(B) ; J78-@-7145
(ucs-set-char #x9998 ?$AYe(B) ; GB0-A-5965
(ucs-set-char #x9998 ?$BqE(B) ; J83-B-7145
(ucs-set-char #x9999 ?$(CzE(B) ; KS0-C-7A45
(ucs-set-char #x9999 ?$(GS|(B) ; C01-G-537C
(ucs-set-char #x9999 ?$@9a(B) ; J78-@-3961
(ucs-set-char #x9999 ?$AOc(B) ; GB0-A-4F63
(ucs-set-char #x9999 ?$B9a(B) ; J83-B-3961
(ucs-set-char #x999A ?$(IE_(B) ; C03-I-455F
(ucs-set-char #x999B ?$(Dhw(B) ; J90-D-6877
(ucs-set-char #x999B ?$(KKN(B) ; C05-K-4B4E
(ucs-set-char #x999C ?$(HO:(B) ; C02-H-4F3A
(ucs-set-char #x999D ?$(Cy8(B) ; KS0-C-7938
(ucs-set-char #x999D ?$(Dhx(B) ; J90-D-6878
(ucs-set-char #x999D ?$(HO9(B) ; C02-H-4F39
(ucs-set-char #x999E ?$(H[l(B) ; C02-H-5B6C
(ucs-set-char #x999F ?$(Dhy(B) ; J90-D-6879
(ucs-set-char #x999F ?$(KZ&(B) ; C05-K-5A26
(ucs-set-char #x99A0 ?$(ISh(B) ; C03-I-5368
(ucs-set-char #x99A1 ?$(H`c(B) ; C02-H-6063
(ucs-set-char #x99A2 ?$(IW0(B) ; C03-I-5730
(ucs-set-char #x99A3 ?$(H`b(B) ; C02-H-6062
(ucs-set-char #x99A4 ?$(IYg(B) ; C03-I-5967
(ucs-set-char #x99A5 ?$(C\`(B) ; KS0-C-5C60
(ucs-set-char #x99A5 ?$(Gwv(B) ; C01-G-7776
(ucs-set-char #x99A5 ?$@qF(B) ; J78-@-7146
(ucs-set-char #x99A5 ?$Ap%(B) ; GB0-A-7025
(ucs-set-char #x99A5 ?$BqF(B) ; J83-B-7146
(ucs-set-char #x99A6 ?$(Dhz(B) ; J90-D-687A
(ucs-set-char #x99A6 ?$(Hg}(B) ; C02-H-677D
(ucs-set-char #x99A7 ?$(Hg~(B) ; C02-H-677E
(ucs-set-char #x99A8 ?$(C{0(B) ; KS0-C-7B30
(ucs-set-char #x99A8 ?$(GzT(B) ; C01-G-7A54
(ucs-set-char #x99A8 ?$@3>(B) ; J78-@-333E
(ucs-set-char #x99A8 ?$A\0(B) ; GB0-A-5C30
(ucs-set-char #x99A8 ?$B3>(B) ; J83-B-333E
(ucs-set-char #x99A9 ?$(I_!(B) ; C03-I-5F21
(ucs-set-char #x99AA ?$(I``(B) ; C03-I-6060
(ucs-set-char #x99AB ?$(Hr"(B) ; C02-H-7222
(ucs-set-char #x99AC ?$(CX)(B) ; KS0-C-5829
(ucs-set-char #x99AC ?$(GXk(B) ; C01-G-586B
(ucs-set-char #x99AC ?$@GO(B) ; J78-@-474F
(ucs-set-char #x99AC ?$BGO(B) ; J83-B-474F
(ucs-set-char #x99AD ?$(Ce_(B) ; KS0-C-655F
(ucs-set-char #x99AD ?$(Gc&(B) ; C01-G-6326
(ucs-set-char #x99AD ?$@qG(B) ; J78-@-7147
(ucs-set-char #x99AD ?$BqG(B) ; J83-B-7147
(ucs-set-char #x99AE ?$(Cy'(B) ; KS0-C-7927
(ucs-set-char #x99AE ?$(Gc%(B) ; C01-G-6325
(ucs-set-char #x99AE ?$@qH(B) ; J78-@-7148
(ucs-set-char #x99AE ?$BqH(B) ; J83-B-7148
(ucs-set-char #x99AF ?$(HHj(B) ; C02-H-486A
(ucs-set-char #x99B0 ?$(Dh{(B) ; J90-D-687B
(ucs-set-char #x99B0 ?$(HHl(B) ; C02-H-486C
(ucs-set-char #x99B1 ?$(Cvn(B) ; KS0-C-766E
(ucs-set-char #x99B1 ?$(Dh|(B) ; J90-D-687C
(ucs-set-char #x99B1 ?$(Ggj(B) ; C01-G-676A
(ucs-set-char #x99B2 ?$(Dh}(B) ; J90-D-687D
(ucs-set-char #x99B2 ?$(HHk(B) ; C02-H-486B
(ucs-set-char #x99B3 ?$(CvL(B) ; KS0-C-764C
(ucs-set-char #x99B3 ?$(Ggi(B) ; C01-G-6769
(ucs-set-char #x99B3 ?$@CZ(B) ; J78-@-435A
(ucs-set-char #x99B3 ?$BCZ(B) ; J83-B-435A
(ucs-set-char #x99B4 ?$(Cbx(B) ; KS0-C-6278
(ucs-set-char #x99B4 ?$(Ggk(B) ; C01-G-676B
(ucs-set-char #x99B4 ?$@Fk(B) ; J78-@-466B
(ucs-set-char #x99B4 ?$BFk(B) ; J83-B-466B
(ucs-set-char #x99B5 ?$(Dh~(B) ; J90-D-687E
(ucs-set-char #x99B5 ?$(HHm(B) ; C02-H-486D
(ucs-set-char #x99B6 ?$(IJc(B) ; C03-I-4A63
(ucs-set-char #x99B7 ?$(IJb(B) ; C03-I-4A62
(ucs-set-char #x99B8 ?$(IJf(B) ; C03-I-4A66
(ucs-set-char #x99B9 ?$(Clq(B) ; KS0-C-6C71
(ucs-set-char #x99B9 ?$(Di!(B) ; J90-D-6921
(ucs-set-char #x99B9 ?$(HO<(B) ; C02-H-4F3C
(ucs-set-char #x99BA ?$(Di"(B) ; J90-D-6922
(ucs-set-char #x99BA ?$(HO>(B) ; C02-H-4F3E
(ucs-set-char #x99BB ?$(HO=(B) ; C02-H-4F3D
(ucs-set-char #x99BC ?$(IJa(B) ; C03-I-4A61
(ucs-set-char #x99BC ?$@qI(B) ; J78-@-7149
(ucs-set-char #x99BC ?$BqI(B) ; J83-B-7149
(ucs-set-char #x99BD ?$(Di#(B) ; J90-D-6923
(ucs-set-char #x99BD ?$(HO@(B) ; C02-H-4F40
(ucs-set-char #x99BE ?$(IJ`(B) ; C03-I-4A60
(ucs-set-char #x99BF ?$(Di$(B) ; J90-D-6924
(ucs-set-char #x99BF ?$(IJl(B) ; C03-I-4A6C
(ucs-set-char #x99C0 ?$(IJd(B) ; C03-I-4A64
(ucs-set-char #x99C1 ?$(CZ`(B) ; KS0-C-5A60
(ucs-set-char #x99C1 ?$(Gkr(B) ; C01-G-6B72
(ucs-set-char #x99C1 ?$@G}(B) ; J78-@-477D
(ucs-set-char #x99C1 ?$BG}(B) ; J83-B-477D
(ucs-set-char #x99C2 ?$(HO?(B) ; C02-H-4F3F
(ucs-set-char #x99C3 ?$(Di%(B) ; J90-D-6925
(ucs-set-char #x99C3 ?$(HO;(B) ; C02-H-4F3B
(ucs-set-char #x99C4 ?$(IJj(B) ; C03-I-4A6A
(ucs-set-char #x99C4 ?$@BL(B) ; J78-@-424C
(ucs-set-char #x99C4 ?$BBL(B) ; J83-B-424C
(ucs-set-char #x99C5 ?$@1X(B) ; J78-@-3158
(ucs-set-char #x99C5 ?$B1X(B) ; J83-B-3158
(ucs-set-char #x99C6 ?$(JH`(B) ; C04-J-4860
(ucs-set-char #x99C6 ?$@6n(B) ; J78-@-366E
(ucs-set-char #x99C6 ?$B6n(B) ; J83-B-366E
(ucs-set-char #x99C7 ?$(HOA(B) ; C02-H-4F41
(ucs-set-char #x99C8 ?$(IOs(B) ; C03-I-4F73
(ucs-set-char #x99C8 ?$@6o(B) ; J78-@-366F
(ucs-set-char #x99C8 ?$B6o(B) ; J83-B-366F
(ucs-set-char #x99C9 ?$(Di&(B) ; J90-D-6926
(ucs-set-char #x99C9 ?$(HUu(B) ; C02-H-5575
(ucs-set-char #x99CA ?$(IOm(B) ; C03-I-4F6D
(ucs-set-char #x99CB ?$(HUx(B) ; C02-H-5578
(ucs-set-char #x99CC ?$(HUz(B) ; C02-H-557A
(ucs-set-char #x99CD ?$(HUp(B) ; C02-H-5570
(ucs-set-char #x99CE ?$(HUt(B) ; C02-H-5574
(ucs-set-char #x99CF ?$(HUq(B) ; C02-H-5571
(ucs-set-char #x99D0 ?$(CqR(B) ; KS0-C-7152
(ucs-set-char #x99D0 ?$(Gow(B) ; C01-G-6F77
(ucs-set-char #x99D0 ?$@Cs(B) ; J78-@-4373
(ucs-set-char #x99D0 ?$BCs(B) ; J83-B-4373
(ucs-set-char #x99D1 ?$(CRL(B) ; KS0-C-524C
(ucs-set-char #x99D1 ?$(Goz(B) ; C01-G-6F7A
(ucs-set-char #x99D1 ?$@qN(B) ; J78-@-714E
(ucs-set-char #x99D1 ?$BqN(B) ; J83-B-714E
(ucs-set-char #x99D2 ?$(COK(B) ; KS0-C-4F4B
(ucs-set-char #x99D2 ?$(Go|(B) ; C01-G-6F7C
(ucs-set-char #x99D2 ?$@6p(B) ; J78-@-3670
(ucs-set-char #x99D2 ?$B6p(B) ; J83-B-3670
(ucs-set-char #x99D3 ?$(Di'(B) ; J90-D-6927
(ucs-set-char #x99D3 ?$(HUr(B) ; C02-H-5572
(ucs-set-char #x99D4 ?$(Di((B) ; J90-D-6928
(ucs-set-char #x99D4 ?$(HUs(B) ; C02-H-5573
(ucs-set-char #x99D5 ?$(CJ=(B) ; KS0-C-4A3D
(ucs-set-char #x99D5 ?$(Go{(B) ; C01-G-6F7B
(ucs-set-char #x99D5 ?$@2o(B) ; J78-@-326F
(ucs-set-char #x99D5 ?$B2o(B) ; J83-B-326F
(ucs-set-char #x99D6 ?$(HUv(B) ; C02-H-5576
(ucs-set-char #x99D7 ?$(HUy(B) ; C02-H-5579
(ucs-set-char #x99D8 ?$(HUw(B) ; C02-H-5577
(ucs-set-char #x99D8 ?$@qM(B) ; J78-@-714D
(ucs-set-char #x99D8 ?$BqM(B) ; J83-B-714D
(ucs-set-char #x99D9 ?$(C]?(B) ; KS0-C-5D3F
(ucs-set-char #x99D9 ?$(Di)(B) ; J90-D-6929
(ucs-set-char #x99D9 ?$(Go}(B) ; C01-G-6F7D
(ucs-set-char #x99DA ?$(Di*(B) ; J90-D-692A
(ucs-set-char #x99DA ?$(IOn(B) ; C03-I-4F6E
(ucs-set-char #x99DB ?$(Goy(B) ; C01-G-6F79
(ucs-set-char #x99DB ?$@qK(B) ; J78-@-714B
(ucs-set-char #x99DB ?$BqK(B) ; J83-B-714B
(ucs-set-char #x99DC ?$(Di+(B) ; J90-D-692B
(ucs-set-char #x99DC ?$(HUo(B) ; C02-H-556F
(ucs-set-char #x99DD ?$(Cvo(B) ; KS0-C-766F
(ucs-set-char #x99DD ?$(Gov(B) ; C01-G-6F76
(ucs-set-char #x99DD ?$@qL(B) ; J78-@-714C
(ucs-set-char #x99DD ?$BqL(B) ; J83-B-714C
(ucs-set-char #x99DE ?$(Di,(B) ; J90-D-692C
(ucs-set-char #x99DE ?$(IOr(B) ; C03-I-4F72
(ucs-set-char #x99DF ?$(C^y(B) ; KS0-C-5E79
(ucs-set-char #x99DF ?$(Gox(B) ; C01-G-6F78
(ucs-set-char #x99DF ?$@qJ(B) ; J78-@-714A
(ucs-set-char #x99DF ?$BqJ(B) ; J83-B-714A
(ucs-set-char #x99E0 ?$(IOt(B) ; C03-I-4F74
(ucs-set-char #x99E1 ?$(ISp(B) ; C03-I-5370
(ucs-set-char #x99E2 ?$(Gs.(B) ; C01-G-732E
(ucs-set-char #x99E2 ?$@qX(B) ; J78-@-7158
(ucs-set-char #x99E2 ?$BqX(B) ; J83-B-7158
(ucs-set-char #x99E3 ?$(H[r(B) ; C02-H-5B72
(ucs-set-char #x99E4 ?$(H[p(B) ; C02-H-5B70
(ucs-set-char #x99E5 ?$(H[o(B) ; C02-H-5B6F
(ucs-set-char #x99E6 ?$(ISq(B) ; C03-I-5371
(ucs-set-char #x99E7 ?$(Di-(B) ; J90-D-692D
(ucs-set-char #x99E7 ?$(H[u(B) ; C02-H-5B75
(ucs-set-char #x99E8 ?$(ISk(B) ; C03-I-536B
(ucs-set-char #x99E9 ?$(H[t(B) ; C02-H-5B74
(ucs-set-char #x99EA ?$(Di.(B) ; J90-D-692E
(ucs-set-char #x99EA ?$(H[s(B) ; C02-H-5B73
(ucs-set-char #x99EB ?$(Di/(B) ; J90-D-692F
(ucs-set-char #x99EB ?$(ISl(B) ; C03-I-536C
(ucs-set-char #x99EC ?$(Di0(B) ; J90-D-6930
(ucs-set-char #x99EC ?$(H[n(B) ; C02-H-5B6E
(ucs-set-char #x99ED ?$(Cz4(B) ; KS0-C-7A34
(ucs-set-char #x99ED ?$(Gs-(B) ; C01-G-732D
(ucs-set-char #x99ED ?$@qO(B) ; J78-@-714F
(ucs-set-char #x99ED ?$BqO(B) ; J83-B-714F
(ucs-set-char #x99EE ?$(H[m(B) ; C02-H-5B6D
(ucs-set-char #x99EE ?$@qP(B) ; J78-@-7150
(ucs-set-char #x99EE ?$BqP(B) ; J83-B-7150
(ucs-set-char #x99EF ?$(ISj(B) ; C03-I-536A
(ucs-set-char #x99F0 ?$(Di1(B) ; J90-D-6931
(ucs-set-char #x99F0 ?$(H[q(B) ; C02-H-5B71
(ucs-set-char #x99F1 ?$(CU-(B) ; KS0-C-552D
(ucs-set-char #x99F1 ?$(Gs/(B) ; C01-G-732F
(ucs-set-char #x99F1 ?$@qQ(B) ; J78-@-7151
(ucs-set-char #x99F1 ?$BqQ(B) ; J83-B-7151
(ucs-set-char #x99F2 ?$@qR(B) ; J78-@-7152
(ucs-set-char #x99F2 ?$BqR(B) ; J83-B-7152
(ucs-set-char #x99F3 ?$(IW4(B) ; C03-I-5734
(ucs-set-char #x99F4 ?$(Di2(B) ; J90-D-6932
(ucs-set-char #x99F4 ?$(H`f(B) ; C02-H-6066
(ucs-set-char #x99F5 ?$(Di3(B) ; J90-D-6933
(ucs-set-char #x99F5 ?$(IW7(B) ; C03-I-5737
(ucs-set-char #x99F6 ?$(H`j(B) ; C02-H-606A
(ucs-set-char #x99F7 ?$(H`g(B) ; C02-H-6067
(ucs-set-char #x99F8 ?$(H`i(B) ; C02-H-6069
(ucs-set-char #x99F8 ?$@qT(B) ; J78-@-7154
(ucs-set-char #x99F8 ?$BqT(B) ; J83-B-7154
(ucs-set-char #x99F9 ?$(Di4(B) ; J90-D-6934
(ucs-set-char #x99F9 ?$(H`h(B) ; C02-H-6068
(ucs-set-char #x99FA ?$(H`e(B) ; C02-H-6065
(ucs-set-char #x99FB ?$(H`k(B) ; C02-H-606B
(ucs-set-char #x99FB ?$@qS(B) ; J78-@-7153
(ucs-set-char #x99FB ?$BqS(B) ; J83-B-7153
(ucs-set-char #x99FC ?$(H`n(B) ; C02-H-606E
(ucs-set-char #x99FD ?$(Di5(B) ; J90-D-6935
(ucs-set-char #x99FD ?$(H`l(B) ; C02-H-606C
(ucs-set-char #x99FE ?$(Di6(B) ; J90-D-6936
(ucs-set-char #x99FE ?$(H`m(B) ; C02-H-606D
(ucs-set-char #x99FF ?$(Cqg(B) ; KS0-C-7167
(ucs-set-char #x99FF ?$(Gv,(B) ; C01-G-762C
(ucs-set-char #x99FF ?$@=Y(B) ; J78-@-3D59
(ucs-set-char #x99FF ?$B=Y(B) ; J83-B-3D59
(ucs-set-char #x9A00 ?$(IW3(B) ; C03-I-5733
(ucs-set-char #x9A01 ?$(C^>(B) ; KS0-C-5E3E
(ucs-set-char #x9A01 ?$(Gv+(B) ; C01-G-762B
(ucs-set-char #x9A01 ?$@qU(B) ; J78-@-7155
(ucs-set-char #x9A01 ?$BqU(B) ; J83-B-7155
(ucs-set-char #x9A02 ?$(Di7(B) ; J90-D-6937
(ucs-set-char #x9A02 ?$(H`d(B) ; C02-H-6064
(ucs-set-char #x9A03 ?$(Di8(B) ; J90-D-6938
(ucs-set-char #x9A03 ?$(H`o(B) ; C02-H-606F
(ucs-set-char #x9A04 ?$(Di9(B) ; J90-D-6939
(ucs-set-char #x9A04 ?$(Hd](B) ; C02-H-645D
(ucs-set-char #x9A05 ?$(Hd`(B) ; C02-H-6460
(ucs-set-char #x9A05 ?$@qW(B) ; J78-@-7157
(ucs-set-char #x9A05 ?$BqW(B) ; J83-B-7157
(ucs-set-char #x9A06 ?$(Hdb(B) ; C02-H-6462
(ucs-set-char #x9A07 ?$(Hda(B) ; C02-H-6461
(ucs-set-char #x9A08 ?$(C\@(B) ; KS0-C-5C40
(ucs-set-char #x9A08 ?$(IYj(B) ; C03-I-596A
(ucs-set-char #x9A09 ?$(Hd[(B) ; C02-H-645B
(ucs-set-char #x9A0A ?$(Hd_(B) ; C02-H-645F
(ucs-set-char #x9A0B ?$(Di:(B) ; J90-D-693A
(ucs-set-char #x9A0B ?$(HdZ(B) ; C02-H-645A
(ucs-set-char #x9A0C ?$(Di;(B) ; J90-D-693B
(ucs-set-char #x9A0C ?$(IYk(B) ; C03-I-596B
(ucs-set-char #x9A0D ?$(Hd\(B) ; C02-H-645C
(ucs-set-char #x9A0E ?$(CQH(B) ; KS0-C-5148
(ucs-set-char #x9A0E ?$(Gww(B) ; C01-G-7777
(ucs-set-char #x9A0E ?$@53(B) ; J78-@-3533
(ucs-set-char #x9A0E ?$B53(B) ; J83-B-3533
(ucs-set-char #x9A0F ?$(CQI(B) ; KS0-C-5149
(ucs-set-char #x9A0F ?$(HdY(B) ; C02-H-6459
(ucs-set-char #x9A0F ?$@qV(B) ; J78-@-7156
(ucs-set-char #x9A0F ?$BqV(B) ; J83-B-7156
(ucs-set-char #x9A10 ?$(Di<(B) ; J90-D-693C
(ucs-set-char #x9A10 ?$(IYm(B) ; C03-I-596D
(ucs-set-char #x9A11 ?$(Di=(B) ; J90-D-693D
(ucs-set-char #x9A11 ?$(Hd^(B) ; C02-H-645E
(ucs-set-char #x9A12 ?$@A{(B) ; J78-@-417B
(ucs-set-char #x9A12 ?$BA{(B) ; J83-B-417B
(ucs-set-char #x9A13 ?$@83(B) ; J78-@-3833
(ucs-set-char #x9A13 ?$B83(B) ; J83-B-3833
(ucs-set-char #x9A14 ?$(Hh-(B) ; C02-H-682D
(ucs-set-char #x9A15 ?$(Hh"(B) ; C02-H-6822
(ucs-set-char #x9A16 ?$(Di>(B) ; J90-D-693E
(ucs-set-char #x9A16 ?$(GyQ(B) ; C01-G-7951
(ucs-set-char #x9A17 ?$(I[o(B) ; C03-I-5B6F
(ucs-set-char #x9A18 ?$(I[m(B) ; C03-I-5B6D
(ucs-set-char #x9A19 ?$(Cx>(B) ; KS0-C-783E
(ucs-set-char #x9A19 ?$(GyR(B) ; C01-G-7952
(ucs-set-char #x9A19 ?$@qY(B) ; J78-@-7159
(ucs-set-char #x9A19 ?$BqY(B) ; J83-B-7159
(ucs-set-char #x9A1A ?$(Hh!(B) ; C02-H-6821
(ucs-set-char #x9A1B ?$(Hh&(B) ; C02-H-6826
(ucs-set-char #x9A1C ?$(Hh,(B) ; C02-H-682C
(ucs-set-char #x9A1D ?$(Hh$(B) ; C02-H-6824
(ucs-set-char #x9A1E ?$(Di?(B) ; J90-D-693F
(ucs-set-char #x9A1E ?$(Hh+(B) ; C02-H-682B
(ucs-set-char #x9A1F ?$(I[l(B) ; C03-I-5B6C
(ucs-set-char #x9A20 ?$(Di@(B) ; J90-D-6940
(ucs-set-char #x9A20 ?$(Hh((B) ; C02-H-6828
(ucs-set-char #x9A21 ?$(I[n(B) ; C03-I-5B6E
(ucs-set-char #x9A22 ?$(DiA(B) ; J90-D-6941
(ucs-set-char #x9A22 ?$(Hh'(B) ; C02-H-6827
(ucs-set-char #x9A23 ?$(DiB(B) ; J90-D-6942
(ucs-set-char #x9A23 ?$(Hh*(B) ; C02-H-682A
(ucs-set-char #x9A24 ?$(DiC(B) ; J90-D-6943
(ucs-set-char #x9A24 ?$(Hh%(B) ; C02-H-6825
(ucs-set-char #x9A25 ?$(Hh#(B) ; C02-H-6823
(ucs-set-char #x9A26 ?$(I[k(B) ; C03-I-5B6B
(ucs-set-char #x9A27 ?$(DiD(B) ; J90-D-6944
(ucs-set-char #x9A27 ?$(Hh)(B) ; C02-H-6829
(ucs-set-char #x9A28 ?$BBM(B) ; J83-B-424D
(ucs-set-char #x9A29 ?$(Hjn(B) ; C02-H-6A6E
(ucs-set-char #x9A2A ?$(Hjl(B) ; C02-H-6A6C
(ucs-set-char #x9A2B ?$(CKv(B) ; KS0-C-4B76
(ucs-set-char #x9A2B ?$(GzU(B) ; C01-G-7A55
(ucs-set-char #x9A2B ?$@qZ(B) ; J78-@-715A
(ucs-set-char #x9A2B ?$BqZ(B) ; J83-B-715A
(ucs-set-char #x9A2C ?$(Hjk(B) ; C02-H-6A6B
(ucs-set-char #x9A2D ?$(DiE(B) ; J90-D-6945
(ucs-set-char #x9A2D ?$(Hjq(B) ; C02-H-6A71
(ucs-set-char #x9A2E ?$(DiF(B) ; J90-D-6946
(ucs-set-char #x9A2E ?$(Hjo(B) ; C02-H-6A6F
(ucs-set-char #x9A2F ?$(I]Z(B) ; C03-I-5D5A
(ucs-set-char #x9A30 ?$(CTy(B) ; KS0-C-5479
(ucs-set-char #x9A30 ?$(GzV(B) ; C01-G-7A56
(ucs-set-char #x9A30 ?$@F-(B) ; J78-@-462D
(ucs-set-char #x9A30 ?$BF-(B) ; J83-B-462D
(ucs-set-char #x9A31 ?$(Hjj(B) ; C02-H-6A6A
(ucs-set-char #x9A32 ?$(Hjh(B) ; C02-H-6A68
(ucs-set-char #x9A33 ?$(DiG(B) ; J90-D-6947
(ucs-set-char #x9A33 ?$(JeF(B) ; C04-J-6546
(ucs-set-char #x9A34 ?$(Hji(B) ; C02-H-6A69
(ucs-set-char #x9A35 ?$(DiH(B) ; J90-D-6948
(ucs-set-char #x9A35 ?$(GzX(B) ; C01-G-7A58
(ucs-set-char #x9A36 ?$(Cub(B) ; KS0-C-7562
(ucs-set-char #x9A36 ?$(DiI(B) ; J90-D-6949
(ucs-set-char #x9A36 ?$(Hjm(B) ; C02-H-6A6D
(ucs-set-char #x9A37 ?$(CaS(B) ; KS0-C-6153
(ucs-set-char #x9A37 ?$(GzW(B) ; C01-G-7A57
(ucs-set-char #x9A37 ?$@q[(B) ; J78-@-715B
(ucs-set-char #x9A37 ?$Bq[(B) ; J83-B-715B
(ucs-set-char #x9A38 ?$(DiJ(B) ; J90-D-694A
(ucs-set-char #x9A38 ?$(Hjp(B) ; C02-H-6A70
(ucs-set-char #x9A39 ?$(Hlf(B) ; C02-H-6C66
(ucs-set-char #x9A3A ?$(Hll(B) ; C02-H-6C6C
(ucs-set-char #x9A3B ?$(I_$(B) ; C03-I-5F24
(ucs-set-char #x9A3C ?$(I_"(B) ; C03-I-5F22
(ucs-set-char #x9A3D ?$(Hlg(B) ; C02-H-6C67
(ucs-set-char #x9A3E ?$(G{G(B) ; C01-G-7B47
(ucs-set-char #x9A3E ?$@q`(B) ; J78-@-7160
(ucs-set-char #x9A3E ?$Bq`(B) ; J83-B-7160
(ucs-set-char #x9A3F ?$(Hlm(B) ; C02-H-6C6D
(ucs-set-char #x9A40 ?$(CXi(B) ; KS0-C-5869
(ucs-set-char #x9A40 ?$(G{F(B) ; C01-G-7B46
(ucs-set-char #x9A40 ?$@q^(B) ; J78-@-715E
(ucs-set-char #x9A40 ?$Bq^(B) ; J83-B-715E
(ucs-set-char #x9A41 ?$(DiL(B) ; J90-D-694C
(ucs-set-char #x9A41 ?$(Hlk(B) ; C02-H-6C6B
(ucs-set-char #x9A42 ?$(Hlj(B) ; C02-H-6C6A
(ucs-set-char #x9A42 ?$@q](B) ; J78-@-715D
(ucs-set-char #x9A42 ?$Bq](B) ; J83-B-715D
(ucs-set-char #x9A43 ?$(Cx~(B) ; KS0-C-787E
(ucs-set-char #x9A43 ?$(G{E(B) ; C01-G-7B45
(ucs-set-char #x9A43 ?$@q_(B) ; J78-@-715F
(ucs-set-char #x9A43 ?$Bq_(B) ; J83-B-715F
(ucs-set-char #x9A44 ?$(DiM(B) ; J90-D-694D
(ucs-set-char #x9A44 ?$(Hli(B) ; C02-H-6C69
(ucs-set-char #x9A45 ?$(COL(B) ; KS0-C-4F4C
(ucs-set-char #x9A45 ?$(G{D(B) ; C01-G-7B44
(ucs-set-char #x9A45 ?$@q\(B) ; J78-@-715C
(ucs-set-char #x9A45 ?$Bq\(B) ; J83-B-715C
(ucs-set-char #x9A46 ?$(Hlh(B) ; C02-H-6C68
(ucs-set-char #x9A47 ?$(DiK(B) ; J90-D-694B
(ucs-set-char #x9A47 ?$(MVQ(B) ; C07-M-5651
(ucs-set-char #x9A48 ?$(HnL(B) ; C02-H-6E4C
(ucs-set-char #x9A49 ?$(HnN(B) ; C02-H-6E4E
(ucs-set-char #x9A4A ?$(DiN(B) ; J90-D-694E
(ucs-set-char #x9A4A ?$(HnM(B) ; C02-H-6E4D
(ucs-set-char #x9A4B ?$(DiO(B) ; J90-D-694F
(ucs-set-char #x9A4B ?$(Jij(B) ; C04-J-696A
(ucs-set-char #x9A4C ?$(DiP(B) ; J90-D-6950
(ucs-set-char #x9A4C ?$(HnJ(B) ; C02-H-6E4A
(ucs-set-char #x9A4D ?$(C}$(B) ; KS0-C-7D24
(ucs-set-char #x9A4D ?$(G|'(B) ; C01-G-7C27
(ucs-set-char #x9A4D ?$@qb(B) ; J78-@-7162
(ucs-set-char #x9A4D ?$Bqb(B) ; J83-B-7162
(ucs-set-char #x9A4E ?$(DiQ(B) ; J90-D-6951
(ucs-set-char #x9A4E ?$(HnG(B) ; C02-H-6E47
(ucs-set-char #x9A4F ?$(HnK(B) ; C02-H-6E4B
(ucs-set-char #x9A50 ?$(HnP(B) ; C02-H-6E50
(ucs-set-char #x9A51 ?$(DiR(B) ; J90-D-6952
(ucs-set-char #x9A51 ?$(I_y(B) ; C03-I-5F79
(ucs-set-char #x9A52 ?$(HnO(B) ; C02-H-6E4F
(ucs-set-char #x9A52 ?$@BM(B) ; J78-@-424D
(ucs-set-char #x9A53 ?$(HnH(B) ; C02-H-6E48
(ucs-set-char #x9A54 ?$(DiS(B) ; J90-D-6953
(ucs-set-char #x9A54 ?$(HnI(B) ; C02-H-6E49
(ucs-set-char #x9A55 ?$(CNv(B) ; KS0-C-4E76
(ucs-set-char #x9A55 ?$(G|&(B) ; C01-G-7C26
(ucs-set-char #x9A55 ?$@qa(B) ; J78-@-7161
(ucs-set-char #x9A55 ?$Bqa(B) ; J83-B-7161
(ucs-set-char #x9A56 ?$(DiT(B) ; J90-D-6954
(ucs-set-char #x9A56 ?$(Ho`(B) ; C02-H-6F60
(ucs-set-char #x9A57 ?$(CzP(B) ; KS0-C-7A50
(ucs-set-char #x9A57 ?$(G|S(B) ; C01-G-7C53
(ucs-set-char #x9A57 ?$@qd(B) ; J78-@-7164
(ucs-set-char #x9A57 ?$Bqd(B) ; J83-B-7164
(ucs-set-char #x9A58 ?$(I`b(B) ; C03-I-6062
(ucs-set-char #x9A59 ?$(Hoa(B) ; C02-H-6F61
(ucs-set-char #x9A5A ?$(CLs(B) ; KS0-C-4C73
(ucs-set-char #x9A5A ?$(G|Q(B) ; C01-G-7C51
(ucs-set-char #x9A5A ?$@6C(B) ; J78-@-3643
(ucs-set-char #x9A5A ?$B6C(B) ; J83-B-3643
(ucs-set-char #x9A5B ?$(Cf>(B) ; KS0-C-663E
(ucs-set-char #x9A5B ?$(G|R(B) ; C01-G-7C52
(ucs-set-char #x9A5B ?$@qc(B) ; J78-@-7163
(ucs-set-char #x9A5B ?$Bqc(B) ; J83-B-7163
(ucs-set-char #x9A5C ?$(I`a(B) ; C03-I-6061
(ucs-set-char #x9A5D ?$(DiU(B) ; J90-D-6955
(ucs-set-char #x9A5D ?$(Jl=(B) ; C04-J-6C3D
(ucs-set-char #x9A5E ?$(Hpa(B) ; C02-H-7061
(ucs-set-char #x9A5F ?$(Cv.(B) ; KS0-C-762E
(ucs-set-char #x9A5F ?$(G|u(B) ; C01-G-7C75
(ucs-set-char #x9A5F ?$@qe(B) ; J78-@-7165
(ucs-set-char #x9A5F ?$Bqe(B) ; J83-B-7165
(ucs-set-char #x9A60 ?$(Hqe(B) ; C02-H-7165
(ucs-set-char #x9A61 ?$(Iar(B) ; C03-I-6172
(ucs-set-char #x9A62 ?$(CUp(B) ; KS0-C-5570
(ucs-set-char #x9A62 ?$(G}7(B) ; C01-G-7D37
(ucs-set-char #x9A62 ?$@qf(B) ; J78-@-7166
(ucs-set-char #x9A62 ?$Bqf(B) ; J83-B-7166
(ucs-set-char #x9A63 ?$(Ias(B) ; C03-I-6173
(ucs-set-char #x9A64 ?$(Hr#(B) ; C02-H-7223
(ucs-set-char #x9A64 ?$@qh(B) ; J78-@-7168
(ucs-set-char #x9A64 ?$Bqh(B) ; J83-B-7168
(ucs-set-char #x9A65 ?$(CQJ(B) ; KS0-C-514A
(ucs-set-char #x9A65 ?$(G}8(B) ; C01-G-7D38
(ucs-set-char #x9A65 ?$@qg(B) ; J78-@-7167
(ucs-set-char #x9A65 ?$Bqg(B) ; J83-B-7167
(ucs-set-char #x9A66 ?$(Hr$(B) ; C02-H-7224
(ucs-set-char #x9A67 ?$(Hr%(B) ; C02-H-7225
(ucs-set-char #x9A68 ?$(Hr3(B) ; C02-H-7233
(ucs-set-char #x9A69 ?$(C|>(B) ; KS0-C-7C3E
(ucs-set-char #x9A69 ?$(Hr2(B) ; C02-H-7232
(ucs-set-char #x9A69 ?$@qi(B) ; J78-@-7169
(ucs-set-char #x9A69 ?$Bqi(B) ; J83-B-7169
(ucs-set-char #x9A6A ?$(CUq(B) ; KS0-C-5571
(ucs-set-char #x9A6A ?$(G}G(B) ; C01-G-7D47
(ucs-set-char #x9A6A ?$@qk(B) ; J78-@-716B
(ucs-set-char #x9A6A ?$Bqk(B) ; J83-B-716B
(ucs-set-char #x9A6B ?$(Hr;(B) ; C02-H-723B
(ucs-set-char #x9A6B ?$@qj(B) ; J78-@-716A
(ucs-set-char #x9A6B ?$Bqj(B) ; J83-B-716A
(ucs-set-char #x9A6C ?$ABm(B) ; GB0-A-426D
(ucs-set-char #x9A6D ?$AT&(B) ; GB0-A-5426
(ucs-set-char #x9A6E ?$AMT(B) ; GB0-A-4D54
(ucs-set-char #x9A6F ?$AQ1(B) ; GB0-A-5131
(ucs-set-char #x9A70 ?$A3[(B) ; GB0-A-335B
(ucs-set-char #x9A71 ?$AG}(B) ; GB0-A-477D
(ucs-set-char #x9A73 ?$A25(B) ; GB0-A-3235
(ucs-set-char #x9A74 ?$AB?(B) ; GB0-A-423F
(ucs-set-char #x9A75 ?$Af`(B) ; GB0-A-6660
(ucs-set-char #x9A76 ?$AJ;(B) ; GB0-A-4A3B
(ucs-set-char #x9A77 ?$Afa(B) ; GB0-A-6661
(ucs-set-char #x9A78 ?$Afb(B) ; GB0-A-6662
(ucs-set-char #x9A79 ?$A>T(B) ; GB0-A-3E54
(ucs-set-char #x9A7A ?$Afc(B) ; GB0-A-6663
(ucs-set-char #x9A7B ?$AW$(B) ; GB0-A-5724
(ucs-set-char #x9A7C ?$AMU(B) ; GB0-A-4D55
(ucs-set-char #x9A7D ?$Afe(B) ; GB0-A-6665
(ucs-set-char #x9A7E ?$A<](B) ; GB0-A-3C5D
(ucs-set-char #x9A7F ?$Afd(B) ; GB0-A-6664
(ucs-set-char #x9A80 ?$Aff(B) ; GB0-A-6666
(ucs-set-char #x9A81 ?$Afg(B) ; GB0-A-6667
(ucs-set-char #x9A82 ?$ABn(B) ; GB0-A-426E
(ucs-set-char #x9A84 ?$A=>(B) ; GB0-A-3D3E
(ucs-set-char #x9A85 ?$Afh(B) ; GB0-A-6668
(ucs-set-char #x9A86 ?$ABf(B) ; GB0-A-4266
(ucs-set-char #x9A87 ?$A:'(B) ; GB0-A-3A27
(ucs-set-char #x9A88 ?$Afi(B) ; GB0-A-6669
(ucs-set-char #x9A8A ?$Afj(B) ; GB0-A-666A
(ucs-set-char #x9A8B ?$A3R(B) ; GB0-A-3352
(ucs-set-char #x9A8C ?$AQi(B) ; GB0-A-5169
(ucs-set-char #x9A8F ?$A?%(B) ; GB0-A-3F25
(ucs-set-char #x9A90 ?$Afk(B) ; GB0-A-666B
(ucs-set-char #x9A91 ?$AFo(B) ; GB0-A-466F
(ucs-set-char #x9A92 ?$Afl(B) ; GB0-A-666C
(ucs-set-char #x9A93 ?$Afm(B) ; GB0-A-666D
(ucs-set-char #x9A96 ?$Afn(B) ; GB0-A-666E
(ucs-set-char #x9A97 ?$AF-(B) ; GB0-A-462D
(ucs-set-char #x9A98 ?$Afo(B) ; GB0-A-666F
(ucs-set-char #x9A9A ?$AI'(B) ; GB0-A-4927
(ucs-set-char #x9A9B ?$Afp(B) ; GB0-A-6670
(ucs-set-char #x9A9C ?$Afq(B) ; GB0-A-6671
(ucs-set-char #x9A9D ?$Afr(B) ; GB0-A-6672
(ucs-set-char #x9A9E ?$Ae9(B) ; GB0-A-6539
(ucs-set-char #x9A9F ?$Afs(B) ; GB0-A-6673
(ucs-set-char #x9AA0 ?$Aft(B) ; GB0-A-6674
(ucs-set-char #x9AA1 ?$ABb(B) ; GB0-A-4262
(ucs-set-char #x9AA2 ?$Afu(B) ; GB0-A-6675
(ucs-set-char #x9AA3 ?$Afv(B) ; GB0-A-6676
(ucs-set-char #x9AA4 ?$AVh(B) ; GB0-A-5668
(ucs-set-char #x9AA5 ?$Afw(B) ; GB0-A-6677
(ucs-set-char #x9AA7 ?$Afx(B) ; GB0-A-6678
(ucs-set-char #x9AA8 ?$(CMi(B) ; KS0-C-4D69
(ucs-set-char #x9AA8 ?$(GXl(B) ; C01-G-586C
(ucs-set-char #x9AA8 ?$@9|(B) ; J78-@-397C
(ucs-set-char #x9AA8 ?$A9G(B) ; GB0-A-3947
(ucs-set-char #x9AA8 ?$B9|(B) ; J83-B-397C
(ucs-set-char #x9AA9 ?$(I@/(B) ; C03-I-402F
(ucs-set-char #x9AAA ?$(DiV(B) ; J90-D-6956
(ucs-set-char #x9AAA ?$(JB!(B) ; C04-J-4221
(ucs-set-char #x9AAB ?$(HHo(B) ; C02-H-486F
(ucs-set-char #x9AAC ?$(DiW(B) ; J90-D-6957
(ucs-set-char #x9AAC ?$(JA}(B) ; C04-J-417D
(ucs-set-char #x9AAD ?$(HHn(B) ; C02-H-486E
(ucs-set-char #x9AAD ?$@ql(B) ; J78-@-716C
(ucs-set-char #x9AAD ?$Bql(B) ; J83-B-716C
(ucs-set-char #x9AAE ?$(DiX(B) ; J90-D-6958
(ucs-set-char #x9AAE ?$(JA~(B) ; C04-J-417E
(ucs-set-char #x9AAF ?$(DiY(B) ; J90-D-6959
(ucs-set-char #x9AAF ?$(Gks(B) ; C01-G-6B73
(ucs-set-char #x9AB0 ?$(Gkt(B) ; C01-G-6B74
(ucs-set-char #x9AB0 ?$@qm(B) ; J78-@-716D
(ucs-set-char #x9AB0 ?$Aw;(B) ; GB0-A-773B
(ucs-set-char #x9AB0 ?$Bqm(B) ; J83-B-716D
(ucs-set-char #x9AB1 ?$(HOB(B) ; C02-H-4F42
(ucs-set-char #x9AB1 ?$Aw:(B) ; GB0-A-773A
(ucs-set-char #x9AB2 ?$(DiZ(B) ; J90-D-695A
(ucs-set-char #x9AB2 ?$(JNt(B) ; C04-J-4E74
(ucs-set-char #x9AB3 ?$(HU{(B) ; C02-H-557B
(ucs-set-char #x9AB4 ?$(Di[(B) ; J90-D-695B
(ucs-set-char #x9AB4 ?$(H[x(B) ; C02-H-5B78
(ucs-set-char #x9AB5 ?$(Di\(B) ; J90-D-695C
(ucs-set-char #x9AB5 ?$(IOw(B) ; C03-I-4F77
(ucs-set-char #x9AB6 ?$(Di](B) ; J90-D-695D
(ucs-set-char #x9AB6 ?$(IOv(B) ; C03-I-4F76
(ucs-set-char #x9AB6 ?$Aw>(B) ; GB0-A-773E
(ucs-set-char #x9AB7 ?$(Go~(B) ; C01-G-6F7E
(ucs-set-char #x9AB7 ?$Aw<(B) ; GB0-A-773C
(ucs-set-char #x9AB8 ?$(Cz5(B) ; KS0-C-7A35
(ucs-set-char #x9AB8 ?$(Gs0(B) ; C01-G-7330
(ucs-set-char #x9AB8 ?$@3<(B) ; J78-@-333C
(ucs-set-char #x9AB8 ?$A:!(B) ; GB0-A-3A21
(ucs-set-char #x9AB8 ?$B3<(B) ; J83-B-333C
(ucs-set-char #x9AB9 ?$(Di^(B) ; J90-D-695E
(ucs-set-char #x9AB9 ?$(H[v(B) ; C02-H-5B76
(ucs-set-char #x9ABA ?$(JU1(B) ; C04-J-5531
(ucs-set-char #x9ABA ?$Aw?(B) ; GB0-A-773F
(ucs-set-char #x9ABB ?$(Di_(B) ; J90-D-695F
(ucs-set-char #x9ABB ?$(H[y(B) ; C02-H-5B79
(ucs-set-char #x9ABC ?$(Gs1(B) ; C01-G-7331
(ucs-set-char #x9ABC ?$@qn(B) ; J78-@-716E
(ucs-set-char #x9ABC ?$Aw@(B) ; GB0-A-7740
(ucs-set-char #x9ABC ?$Bqn(B) ; J83-B-716E
(ucs-set-char #x9ABD ?$(IW:(B) ; C03-I-573A
(ucs-set-char #x9ABE ?$(Di`(B) ; J90-D-6960
(ucs-set-char #x9ABE ?$(H`p(B) ; C02-H-6070
(ucs-set-char #x9ABF ?$(Dia(B) ; J90-D-6961
(ucs-set-char #x9ABF ?$(H[w(B) ; C02-H-5B77
(ucs-set-char #x9AC0 ?$(Hdc(B) ; C02-H-6463
(ucs-set-char #x9AC0 ?$@qo(B) ; J78-@-716F
(ucs-set-char #x9AC0 ?$AwB(B) ; GB0-A-7742
(ucs-set-char #x9AC0 ?$Bqo(B) ; J83-B-716F
(ucs-set-char #x9AC1 ?$(Dib(B) ; J90-D-6962
(ucs-set-char #x9AC1 ?$(Gwx(B) ; C01-G-7778
(ucs-set-char #x9AC1 ?$AwA(B) ; GB0-A-7741
(ucs-set-char #x9AC2 ?$(Hh.(B) ; C02-H-682E
(ucs-set-char #x9AC2 ?$AwD(B) ; GB0-A-7744
(ucs-set-char #x9AC3 ?$(Dic(B) ; J90-D-6963
(ucs-set-char #x9AC3 ?$(JbI(B) ; C04-J-6249
(ucs-set-char #x9AC4 ?$(I]a(B) ; C03-I-5D61
(ucs-set-char #x9AC4 ?$@?q(B) ; J78-@-3F71
(ucs-set-char #x9AC4 ?$B?q(B) ; J83-B-3F71
(ucs-set-char #x9AC5 ?$AwC(B) ; GB0-A-7743
(ucs-set-char #x9AC6 ?$(Did(B) ; J90-D-6964
(ucs-set-char #x9AC6 ?$(Hjt(B) ; C02-H-6A74
(ucs-set-char #x9AC7 ?$(Hjr(B) ; C02-H-6A72
(ucs-set-char #x9AC8 ?$(Die(B) ; J90-D-6965
(ucs-set-char #x9AC8 ?$(I]`(B) ; C03-I-5D60
(ucs-set-char #x9AC9 ?$(I]^(B) ; C03-I-5D5E
(ucs-set-char #x9ACA ?$(Hjs(B) ; C02-H-6A73
(ucs-set-char #x9ACB ?$AwE(B) ; GB0-A-7745
(ucs-set-char #x9ACC ?$AwF(B) ; GB0-A-7746
(ucs-set-char #x9ACD ?$(Hln(B) ; C02-H-6C6E
(ucs-set-char #x9ACE ?$(Dif(B) ; J90-D-6966
(ucs-set-char #x9ACE ?$(I_%(B) ; C03-I-5F25
(ucs-set-char #x9ACF ?$(G{H(B) ; C01-G-7B48
(ucs-set-char #x9ACF ?$@qp(B) ; J78-@-7170
(ucs-set-char #x9ACF ?$Bqp(B) ; J83-B-7170
(ucs-set-char #x9AD0 ?$(Dig(B) ; J90-D-6967
(ucs-set-char #x9AD0 ?$(HnQ(B) ; C02-H-6E51
(ucs-set-char #x9AD1 ?$(G|V(B) ; C01-G-7C56
(ucs-set-char #x9AD1 ?$@qq(B) ; J78-@-7171
(ucs-set-char #x9AD1 ?$AwG(B) ; GB0-A-7747
(ucs-set-char #x9AD1 ?$Bqq(B) ; J83-B-7171
(ucs-set-char #x9AD2 ?$(Dih(B) ; J90-D-6968
(ucs-set-char #x9AD2 ?$(G|((B) ; C01-G-7C28
(ucs-set-char #x9AD3 ?$(CbP(B) ; KS0-C-6250
(ucs-set-char #x9AD3 ?$(G|T(B) ; C01-G-7C54
(ucs-set-char #x9AD3 ?$@qr(B) ; J78-@-7172
(ucs-set-char #x9AD3 ?$AKh(B) ; GB0-A-4B68
(ucs-set-char #x9AD3 ?$Bqr(B) ; J83-B-7172
(ucs-set-char #x9AD4 ?$(Ctw(B) ; KS0-C-7477
(ucs-set-char #x9AD4 ?$(G|U(B) ; C01-G-7C55
(ucs-set-char #x9AD4 ?$@qs(B) ; J78-@-7173
(ucs-set-char #x9AD4 ?$Bqs(B) ; J83-B-7173
(ucs-set-char #x9AD5 ?$(Dii(B) ; J90-D-6969
(ucs-set-char #x9AD5 ?$(Hpb(B) ; C02-H-7062
(ucs-set-char #x9AD6 ?$(Dij(B) ; J90-D-696A
(ucs-set-char #x9AD6 ?$(G}/(B) ; C01-G-7D2F
(ucs-set-char #x9AD7 ?$(Dik(B) ; J90-D-696B
(ucs-set-char #x9AD7 ?$(Iat(B) ; C03-I-6174

(ucs-set-char #x9AD8 ?$A8_(B) ; GB0-A-385F
(ucs-set-char #x9AD8 ?$(CMT(B) ; KS0-C-4D54
(ucs-set-char #x9AD8 ?$(GXm(B) ; C01-G-586D
(ucs-set-char #x9AD8 ?$@9b(B) ; J78-@-3962
(ucs-set-char #x9AD8 ?$B9b(B) ; J83-B-3962

(ucs-set-char #x9AD9 ?$(J6-(B) ; C04-J-362D
(ucs-set-char #x9ADA ?$(IJn(B) ; C03-I-4A6E
(ucs-set-char #x9ADB ?$(Dil(B) ; J90-D-696C
(ucs-set-char #x9ADB ?$(JNy(B) ; C04-J-4E79
(ucs-set-char #x9ADC ?$(Dim(B) ; J90-D-696D
(ucs-set-char #x9ADC ?$(Hdd(B) ; C02-H-6464
(ucs-set-char #x9ADD ?$(I_{(B) ; C03-I-5F7B
(ucs-set-char #x9ADE ?$(I`c(B) ; C03-I-6063
(ucs-set-char #x9ADE ?$@qt(B) ; J78-@-7174
(ucs-set-char #x9ADE ?$Bqt(B) ; J83-B-7174
(ucs-set-char #x9ADF ?$(H3L(B) ; C02-H-334C
(ucs-set-char #x9ADF ?$@qu(B) ; J78-@-7175
(ucs-set-char #x9ADF ?$AwT(B) ; GB0-A-7754
(ucs-set-char #x9ADF ?$Bqu(B) ; J83-B-7175
(ucs-set-char #x9AE0 ?$(Din(B) ; J90-D-696E
(ucs-set-char #x9AE0 ?$(I@2(B) ; C03-I-4032
(ucs-set-char #x9AE1 ?$(Ggl(B) ; C01-G-676C
(ucs-set-char #x9AE1 ?$AwU(B) ; GB0-A-7755
(ucs-set-char #x9AE2 ?$(IEa(B) ; C03-I-4561
(ucs-set-char #x9AE2 ?$@qv(B) ; J78-@-7176
(ucs-set-char #x9AE2 ?$Bqv(B) ; J83-B-7176
(ucs-set-char #x9AE3 ?$(HOC(B) ; C02-H-4F43
(ucs-set-char #x9AE3 ?$@qw(B) ; J78-@-7177
(ucs-set-char #x9AE3 ?$Bqw(B) ; J83-B-7177
(ucs-set-char #x9AE4 ?$(Dio(B) ; J90-D-696F
(ucs-set-char #x9AE4 ?$(IJo(B) ; C03-I-4A6F
(ucs-set-char #x9AE5 ?$(Cg#(B) ; KS0-C-6723
(ucs-set-char #x9AE5 ?$(Dip(B) ; J90-D-6970
(ucs-set-char #x9AE5 ?$(IJs(B) ; C03-I-4A73
(ucs-set-char #x9AE6 ?$(Gku(B) ; C01-G-6B75
(ucs-set-char #x9AE6 ?$@qx(B) ; J78-@-7178
(ucs-set-char #x9AE6 ?$AwV(B) ; GB0-A-7756
(ucs-set-char #x9AE6 ?$Bqx(B) ; J83-B-7178
(ucs-set-char #x9AE7 ?$(Diq(B) ; J90-D-6971
(ucs-set-char #x9AE7 ?$(HOD(B) ; C02-H-4F44
(ucs-set-char #x9AE8 ?$(IJq(B) ; C03-I-4A71
(ucs-set-char #x9AE9 ?$(Dir(B) ; J90-D-6972
(ucs-set-char #x9AE9 ?$(IJp(B) ; C03-I-4A70
(ucs-set-char #x9AEA ?$(IJr(B) ; C03-I-4A72
(ucs-set-char #x9AEA ?$@H1(B) ; J78-@-4831
(ucs-set-char #x9AEA ?$BH1(B) ; J83-B-4831
(ucs-set-char #x9AEB ?$(HU}(B) ; C02-H-557D
(ucs-set-char #x9AEB ?$@qz(B) ; J78-@-717A
(ucs-set-char #x9AEB ?$AwX(B) ; GB0-A-7758
(ucs-set-char #x9AEB ?$Bqz(B) ; J83-B-717A
(ucs-set-char #x9AEC ?$(Dis(B) ; J90-D-6973
(ucs-set-char #x9AEC ?$(HU|(B) ; C02-H-557C
(ucs-set-char #x9AED ?$(Gs3(B) ; C01-G-7333
(ucs-set-char #x9AED ?$@I&(B) ; J78-@-4926
(ucs-set-char #x9AED ?$AwZ(B) ; GB0-A-775A
(ucs-set-char #x9AED ?$BI&(B) ; J83-B-4926
(ucs-set-char #x9AEE ?$(C[%(B) ; KS0-C-5B25
(ucs-set-char #x9AEE ?$(Gp!(B) ; C01-G-7021
(ucs-set-char #x9AEE ?$@q{(B) ; J78-@-717B
(ucs-set-char #x9AEE ?$Bq{(B) ; J83-B-717B
(ucs-set-char #x9AEF ?$(Gp"(B) ; C01-G-7022
(ucs-set-char #x9AEF ?$@qy(B) ; J78-@-7179
(ucs-set-char #x9AEF ?$AwW(B) ; GB0-A-7757
(ucs-set-char #x9AEF ?$Bqy(B) ; J83-B-7179
(ucs-set-char #x9AF0 ?$(JO!(B) ; C04-J-4F21
(ucs-set-char #x9AF1 ?$(HV"(B) ; C02-H-5622
(ucs-set-char #x9AF1 ?$@q}(B) ; J78-@-717D
(ucs-set-char #x9AF1 ?$Bq}(B) ; J83-B-717D
(ucs-set-char #x9AF2 ?$(Dit(B) ; J90-D-6974
(ucs-set-char #x9AF2 ?$(HV!(B) ; C02-H-5621
(ucs-set-char #x9AF3 ?$(Diu(B) ; J90-D-6975
(ucs-set-char #x9AF3 ?$(HU~(B) ; C02-H-557E
(ucs-set-char #x9AF4 ?$(IOy(B) ; C03-I-4F79
(ucs-set-char #x9AF4 ?$@q|(B) ; J78-@-717C
(ucs-set-char #x9AF4 ?$Bq|(B) ; J83-B-717C
(ucs-set-char #x9AF5 ?$(Div(B) ; J90-D-6976
(ucs-set-char #x9AF5 ?$(ISu(B) ; C03-I-5375
(ucs-set-char #x9AF6 ?$(H[z(B) ; C02-H-5B7A
(ucs-set-char #x9AF7 ?$(H[}(B) ; C02-H-5B7D
(ucs-set-char #x9AF7 ?$@q~(B) ; J78-@-717E
(ucs-set-char #x9AF7 ?$Bq~(B) ; J83-B-717E
(ucs-set-char #x9AF8 ?$(ISt(B) ; C03-I-5374
(ucs-set-char #x9AF9 ?$(Diw(B) ; J90-D-6977
(ucs-set-char #x9AF9 ?$(H[|(B) ; C02-H-5B7C
(ucs-set-char #x9AF9 ?$Aw[(B) ; GB0-A-775B
(ucs-set-char #x9AFA ?$(Dix(B) ; J90-D-6978
(ucs-set-char #x9AFA ?$(H[{(B) ; C02-H-5B7B
(ucs-set-char #x9AFB ?$(Gs2(B) ; C01-G-7332
(ucs-set-char #x9AFB ?$@r!(B) ; J78-@-7221
(ucs-set-char #x9AFB ?$AwY(B) ; GB0-A-7759
(ucs-set-char #x9AFB ?$Br!(B) ; J83-B-7221
(ucs-set-char #x9AFC ?$(H`t(B) ; C02-H-6074
(ucs-set-char #x9AFD ?$(Diy(B) ; J90-D-6979
(ucs-set-char #x9AFD ?$(H`r(B) ; C02-H-6072
(ucs-set-char #x9AFE ?$(H`q(B) ; C02-H-6071
(ucs-set-char #x9AFF ?$(Diz(B) ; J90-D-697A
(ucs-set-char #x9AFF ?$(JZ7(B) ; C04-J-5A37
(ucs-set-char #x9B00 ?$(Di{(B) ; J90-D-697B
(ucs-set-char #x9B00 ?$(IW;(B) ; C03-I-573B
(ucs-set-char #x9B01 ?$(Di|(B) ; J90-D-697C
(ucs-set-char #x9B01 ?$(H`s(B) ; C02-H-6073
(ucs-set-char #x9B02 ?$(Di}(B) ; J90-D-697D
(ucs-set-char #x9B02 ?$(IW<(B) ; C03-I-573C
(ucs-set-char #x9B03 ?$(Di~(B) ; J90-D-697E
(ucs-set-char #x9B03 ?$(Gwy(B) ; C01-G-7779
(ucs-set-char #x9B03 ?$AWW(B) ; GB0-A-5757
(ucs-set-char #x9B04 ?$(Dj!(B) ; J90-D-6A21
(ucs-set-char #x9B04 ?$(Hdf(B) ; C02-H-6466
(ucs-set-char #x9B05 ?$(Dj"(B) ; J90-D-6A22
(ucs-set-char #x9B05 ?$(Hdg(B) ; C02-H-6467
(ucs-set-char #x9B06 ?$(Gwz(B) ; C01-G-777A
(ucs-set-char #x9B06 ?$@r"(B) ; J78-@-7222
(ucs-set-char #x9B06 ?$Br"(B) ; J83-B-7222
(ucs-set-char #x9B07 ?$(IYo(B) ; C03-I-596F
(ucs-set-char #x9B08 ?$(Dj#(B) ; J90-D-6A23
(ucs-set-char #x9B08 ?$(Hde(B) ; C02-H-6465
(ucs-set-char #x9B08 ?$Aw\(B) ; GB0-A-775C
(ucs-set-char #x9B09 ?$(Dj$(B) ; J90-D-6A24
(ucs-set-char #x9B09 ?$(I[q(B) ; C03-I-5B71
(ucs-set-char #x9B0A ?$(Hh0(B) ; C02-H-6830
(ucs-set-char #x9B0B ?$(Dj%(B) ; J90-D-6A25
(ucs-set-char #x9B0B ?$(Hh/(B) ; C02-H-682F
(ucs-set-char #x9B0C ?$(Dj&(B) ; J90-D-6A26
(ucs-set-char #x9B0C ?$(Hh2(B) ; C02-H-6832
(ucs-set-char #x9B0D ?$(Dj'(B) ; J90-D-6A27
(ucs-set-char #x9B0D ?$(GyS(B) ; C01-G-7953
(ucs-set-char #x9B0E ?$(Dj((B) ; J90-D-6A28
(ucs-set-char #x9B0E ?$(Hh1(B) ; C02-H-6831
(ucs-set-char #x9B0F ?$(JbO(B) ; C04-J-624F
(ucs-set-char #x9B0F ?$Aw](B) ; GB0-A-775D
(ucs-set-char #x9B10 ?$(Dj)(B) ; J90-D-6A29
(ucs-set-char #x9B10 ?$(Hju(B) ; C02-H-6A75
(ucs-set-char #x9B11 ?$(Hjw(B) ; C02-H-6A77
(ucs-set-char #x9B12 ?$(Dj*(B) ; J90-D-6A2A
(ucs-set-char #x9B12 ?$(Hjv(B) ; C02-H-6A76
(ucs-set-char #x9B13 ?$Aw^(B) ; GB0-A-775E
(ucs-set-char #x9B14 ?$(I_'(B) ; C03-I-5F27
(ucs-set-char #x9B15 ?$(Hlo(B) ; C02-H-6C6F
(ucs-set-char #x9B16 ?$(Dj+(B) ; J90-D-6A2B
(ucs-set-char #x9B16 ?$(Hlr(B) ; C02-H-6C72
(ucs-set-char #x9B17 ?$(Hlp(B) ; C02-H-6C70
(ucs-set-char #x9B18 ?$(Hlq(B) ; C02-H-6C71
(ucs-set-char #x9B18 ?$@r#(B) ; J78-@-7223
(ucs-set-char #x9B18 ?$Br#(B) ; J83-B-7223
(ucs-set-char #x9B19 ?$(Dj,(B) ; J90-D-6A2C
(ucs-set-char #x9B19 ?$(HnR(B) ; C02-H-6E52
(ucs-set-char #x9B1A ?$(CbQ(B) ; KS0-C-6251
(ucs-set-char #x9B1A ?$(G|)(B) ; C01-G-7C29
(ucs-set-char #x9B1A ?$@r$(B) ; J78-@-7224
(ucs-set-char #x9B1A ?$Br$(B) ; J83-B-7224
(ucs-set-char #x9B1B ?$(Dj-(B) ; J90-D-6A2D
(ucs-set-char #x9B1B ?$(Jit(B) ; C04-J-6974
(ucs-set-char #x9B1C ?$(Dj.(B) ; J90-D-6A2E
(ucs-set-char #x9B1C ?$(Jiq(B) ; C04-J-6971
(ucs-set-char #x9B1E ?$(Hob(B) ; C02-H-6F62
(ucs-set-char #x9B1F ?$(Hoc(B) ; C02-H-6F63
(ucs-set-char #x9B1F ?$@r%(B) ; J78-@-7225
(ucs-set-char #x9B1F ?$Aw_(B) ; GB0-A-775F
(ucs-set-char #x9B1F ?$Br%(B) ; J83-B-7225
(ucs-set-char #x9B20 ?$(Dj/(B) ; J90-D-6A2F
(ucs-set-char #x9B20 ?$(Hod(B) ; C02-H-6F64
(ucs-set-char #x9B21 ?$(Ia,(B) ; C03-I-612C
(ucs-set-char #x9B22 ?$(G|v(B) ; C01-G-7C76
(ucs-set-char #x9B22 ?$@r&(B) ; J78-@-7226
(ucs-set-char #x9B22 ?$Br&(B) ; J83-B-7226
(ucs-set-char #x9B23 ?$(G}0(B) ; C01-G-7D30
(ucs-set-char #x9B23 ?$@r'(B) ; J78-@-7227
(ucs-set-char #x9B23 ?$Aw`(B) ; GB0-A-7760
(ucs-set-char #x9B23 ?$Br'(B) ; J83-B-7227
(ucs-set-char #x9B24 ?$(Hr&(B) ; C02-H-7226
(ucs-set-char #x9B25 ?$(GXn(B) ; C01-G-586E
(ucs-set-char #x9B25 ?$@r((B) ; J78-@-7228
(ucs-set-char #x9B25 ?$Br((B) ; J83-B-7228
(ucs-set-char #x9B26 ?$(Dj0(B) ; J90-D-6A30
(ucs-set-char #x9B26 ?$(IJu(B) ; C03-I-4A75
(ucs-set-char #x9B27 ?$(CW"(B) ; KS0-C-5722
(ucs-set-char #x9B27 ?$(Gp#(B) ; C01-G-7023
(ucs-set-char #x9B27 ?$@r)(B) ; J78-@-7229
(ucs-set-char #x9B27 ?$Br)(B) ; J83-B-7229
(ucs-set-char #x9B28 ?$(Gs4(B) ; C01-G-7334
(ucs-set-char #x9B28 ?$@r*(B) ; J78-@-722A
(ucs-set-char #x9B28 ?$Br*(B) ; J83-B-722A
(ucs-set-char #x9B29 ?$(Hdh(B) ; C02-H-6468
(ucs-set-char #x9B29 ?$@r+(B) ; J78-@-722B
(ucs-set-char #x9B29 ?$Br+(B) ; J83-B-722B
(ucs-set-char #x9B2A ?$(Cwc(B) ; KS0-C-7763
(ucs-set-char #x9B2A ?$(I]b(B) ; C03-I-5D62
(ucs-set-char #x9B2A ?$@r,(B) ; J78-@-722C
(ucs-set-char #x9B2A ?$Br,(B) ; J83-B-722C
(ucs-set-char #x9B2B ?$(Dj1(B) ; J90-D-6A31
(ucs-set-char #x9B2B ?$(HnS(B) ; C02-H-6E53
(ucs-set-char #x9B2C ?$(Ia.(B) ; C03-I-612E
(ucs-set-char #x9B2D ?$(Dj2(B) ; J90-D-6A32
(ucs-set-char #x9B2D ?$(Jm7(B) ; C04-J-6D37
(ucs-set-char #x9B2E ?$(Hqf(B) ; C02-H-7166
(ucs-set-char #x9B2E ?$@r-(B) ; J78-@-722D
(ucs-set-char #x9B2E ?$Br-(B) ; J83-B-722D
(ucs-set-char #x9B2F ?$(H3M(B) ; C02-H-334D
(ucs-set-char #x9B2F ?$@r.(B) ; J78-@-722E
(ucs-set-char #x9B2F ?$A[K(B) ; GB0-A-5B4B
(ucs-set-char #x9B2F ?$Br.(B) ; J83-B-722E
(ucs-set-char #x9B30 ?$(Ib((B) ; C03-I-6228
(ucs-set-char #x9B31 ?$(Cj&(B) ; KS0-C-6A26
(ucs-set-char #x9B31 ?$(G}H(B) ; C01-G-7D48
(ucs-set-char #x9B31 ?$@]5(B) ; J78-@-5D35
(ucs-set-char #x9B31 ?$B]5(B) ; J83-B-5D35
(ucs-set-char #x9B32 ?$(GXo(B) ; C01-G-586F
(ucs-set-char #x9B32 ?$@r/(B) ; J78-@-722F
(ucs-set-char #x9B32 ?$AX*(B) ; GB0-A-582A
(ucs-set-char #x9B32 ?$Br/(B) ; J83-B-722F
(ucs-set-char #x9B33 ?$(Dj3(B) ; J90-D-6A33
(ucs-set-char #x9B33 ?$(H[~(B) ; C02-H-5B7E
(ucs-set-char #x9B34 ?$(Dj4(B) ; J90-D-6A34
(ucs-set-char #x9B34 ?$(IW>(B) ; C03-I-573E
(ucs-set-char #x9B35 ?$(Dj5(B) ; J90-D-6A35
(ucs-set-char #x9B35 ?$(Hdi(B) ; C02-H-6469
(ucs-set-char #x9B37 ?$(Dj6(B) ; J90-D-6A36
(ucs-set-char #x9B37 ?$(Hh3(B) ; C02-H-6833
(ucs-set-char #x9B38 ?$(I]c(B) ; C03-I-5D63
(ucs-set-char #x9B39 ?$(Dj7(B) ; J90-D-6A37
(ucs-set-char #x9B39 ?$(Jh6(B) ; C04-J-6836
(ucs-set-char #x9B3A ?$(Dj8(B) ; J90-D-6A38
(ucs-set-char #x9B3A ?$(Hls(B) ; C02-H-6C73
(ucs-set-char #x9B3B ?$(HnT(B) ; C02-H-6E54
(ucs-set-char #x9B3B ?$@dx(B) ; J78-@-6478
(ucs-set-char #x9B3B ?$Aew(B) ; GB0-A-6577
(ucs-set-char #x9B3B ?$Bdx(B) ; J83-B-6478
(ucs-set-char #x9B3C ?$(CP!(B) ; KS0-C-5021
(ucs-set-char #x9B3C ?$(GXp(B) ; C01-G-5870
(ucs-set-char #x9B3C ?$@54(B) ; J78-@-3534
(ucs-set-char #x9B3C ?$A9m(B) ; GB0-A-396D
(ucs-set-char #x9B3C ?$B54(B) ; J83-B-3534
(ucs-set-char #x9B3D ?$(Dj9(B) ; J90-D-6A39
(ucs-set-char #x9B3D ?$(IEb(B) ; C03-I-4562
(ucs-set-char #x9B3E ?$(HOE(B) ; C02-H-4F45
(ucs-set-char #x9B3F ?$(HOF(B) ; C02-H-4F46
(ucs-set-char #x9B40 ?$(IJx(B) ; C03-I-4A78
(ucs-set-char #x9B41 ?$(CNZ(B) ; KS0-C-4E5A
(ucs-set-char #x9B41 ?$(Gkv(B) ; C01-G-6B76
(ucs-set-char #x9B41 ?$@3!(B) ; J78-@-3321
(ucs-set-char #x9B41 ?$A?}(B) ; GB0-A-3F7D
(ucs-set-char #x9B41 ?$B3!(B) ; J83-B-3321
(ucs-set-char #x9B42 ?$(C{k(B) ; KS0-C-7B6B
(ucs-set-char #x9B42 ?$(Gkw(B) ; C01-G-6B77
(ucs-set-char #x9B42 ?$@:2(B) ; J78-@-3A32
(ucs-set-char #x9B42 ?$A;j(B) ; GB0-A-3B6A
(ucs-set-char #x9B42 ?$B:2(B) ; J83-B-3A32
(ucs-set-char #x9B43 ?$(C[&(B) ; KS0-C-5B26
(ucs-set-char #x9B43 ?$(HV$(B) ; C02-H-5624
(ucs-set-char #x9B43 ?$@r1(B) ; J78-@-7231
(ucs-set-char #x9B43 ?$AwI(B) ; GB0-A-7749
(ucs-set-char #x9B43 ?$Br1(B) ; J83-B-7231
(ucs-set-char #x9B44 ?$(C[^(B) ; KS0-C-5B5E
(ucs-set-char #x9B44 ?$(Gp%(B) ; C01-G-7025
(ucs-set-char #x9B44 ?$@r0(B) ; J78-@-7230
(ucs-set-char #x9B44 ?$AFG(B) ; GB0-A-4647
(ucs-set-char #x9B44 ?$Br0(B) ; J83-B-7230
(ucs-set-char #x9B45 ?$(CXe(B) ; KS0-C-5865
(ucs-set-char #x9B45 ?$(Gp$(B) ; C01-G-7024
(ucs-set-char #x9B45 ?$@L%(B) ; J78-@-4C25
(ucs-set-char #x9B45 ?$AwH(B) ; GB0-A-7748
(ucs-set-char #x9B45 ?$BL%(B) ; J83-B-4C25
(ucs-set-char #x9B46 ?$(HV#(B) ; C02-H-5623
(ucs-set-char #x9B47 ?$AwJ(B) ; GB0-A-774A
(ucs-set-char #x9B48 ?$(Dj:(B) ; J90-D-6A3A
(ucs-set-char #x9B48 ?$(H`u(B) ; C02-H-6075
(ucs-set-char #x9B48 ?$AwL(B) ; GB0-A-774C
(ucs-set-char #x9B49 ?$(IW?(B) ; C03-I-573F
(ucs-set-char #x9B49 ?$AwK(B) ; GB0-A-774B
(ucs-set-char #x9B4A ?$(Hdj(B) ; C02-H-646A
(ucs-set-char #x9B4B ?$(Dj;(B) ; J90-D-6A3B
(ucs-set-char #x9B4B ?$(Hdl(B) ; C02-H-646C
(ucs-set-char #x9B4C ?$(Dj<(B) ; J90-D-6A3C
(ucs-set-char #x9B4C ?$(Hdk(B) ; C02-H-646B
(ucs-set-char #x9B4D ?$(Gw}(B) ; C01-G-777D
(ucs-set-char #x9B4D ?$@r3(B) ; J78-@-7233
(ucs-set-char #x9B4D ?$AwM(B) ; GB0-A-774D
(ucs-set-char #x9B4D ?$Br3(B) ; J83-B-7233
(ucs-set-char #x9B4E ?$(Gw|(B) ; C01-G-777C
(ucs-set-char #x9B4E ?$@r4(B) ; J78-@-7234
(ucs-set-char #x9B4E ?$Br4(B) ; J83-B-7234
(ucs-set-char #x9B4F ?$(Cj`(B) ; KS0-C-6A60
(ucs-set-char #x9B4F ?$(Gw{(B) ; C01-G-777B
(ucs-set-char #x9B4F ?$@r2(B) ; J78-@-7232
(ucs-set-char #x9B4F ?$AN:(B) ; GB0-A-4E3A
(ucs-set-char #x9B4F ?$Br2(B) ; J83-B-7232
(ucs-set-char #x9B50 ?$(I]d(B) ; C03-I-5D64
(ucs-set-char #x9B51 ?$(G{J(B) ; C01-G-7B4A
(ucs-set-char #x9B51 ?$@r5(B) ; J78-@-7235
(ucs-set-char #x9B51 ?$AwN(B) ; GB0-A-774E
(ucs-set-char #x9B51 ?$Br5(B) ; J83-B-7235
(ucs-set-char #x9B52 ?$(Hlt(B) ; C02-H-6C74
(ucs-set-char #x9B53 ?$(I_((B) ; C03-I-5F28
(ucs-set-char #x9B54 ?$(CX*(B) ; KS0-C-582A
(ucs-set-char #x9B54 ?$(G{I(B) ; C01-G-7B49
(ucs-set-char #x9B54 ?$@Kb(B) ; J78-@-4B62
(ucs-set-char #x9B54 ?$AD'(B) ; GB0-A-4427
(ucs-set-char #x9B54 ?$BKb(B) ; J83-B-4B62
(ucs-set-char #x9B55 ?$(Dj=(B) ; J90-D-6A3D
(ucs-set-char #x9B55 ?$(HnV(B) ; C02-H-6E56
(ucs-set-char #x9B56 ?$(Dj>(B) ; J90-D-6A3E
(ucs-set-char #x9B56 ?$(HnU(B) ; C02-H-6E55
(ucs-set-char #x9B57 ?$(Dj?(B) ; J90-D-6A3F
(ucs-set-char #x9B57 ?$(Ia/(B) ; C03-I-612F
(ucs-set-char #x9B58 ?$(G|w(B) ; C01-G-7C77
(ucs-set-char #x9B58 ?$@r6(B) ; J78-@-7236
(ucs-set-char #x9B58 ?$Br6(B) ; J83-B-7236
(ucs-set-char #x9B59 ?$(Hpc(B) ; C02-H-7063
(ucs-set-char #x9B5A ?$(Ce`(B) ; KS0-C-6560
(ucs-set-char #x9B5A ?$(G^#(B) ; C01-G-5E23
(ucs-set-char #x9B5A ?$@5{(B) ; J78-@-357B
(ucs-set-char #x9B5A ?$B5{(B) ; J83-B-357B
(ucs-set-char #x9B5B ?$(Dj@(B) ; J90-D-6A40
(ucs-set-char #x9B5B ?$(HHp(B) ; C02-H-4870
(ucs-set-char #x9B5C ?$(JB)(B) ; C04-J-4229
(ucs-set-char #x9B5D ?$(IEc(B) ; C03-I-4563
(ucs-set-char #x9B5E ?$(DjA(B) ; J90-D-6A41
(ucs-set-char #x9B5F ?$(HOI(B) ; C02-H-4F49
(ucs-set-char #x9B60 ?$(HOG(B) ; C02-H-4F47
(ucs-set-char #x9B61 ?$(DjB(B) ; J90-D-6A42
(ucs-set-char #x9B61 ?$(HOH(B) ; C02-H-4F48
(ucs-set-char #x9B62 ?$(JHk(B) ; C04-J-486B
(ucs-set-char #x9B63 ?$(DjC(B) ; J90-D-6A43
(ucs-set-char #x9B63 ?$(IO~(B) ; C03-I-4F7E
(ucs-set-char #x9B64 ?$(HV-(B) ; C02-H-562D
(ucs-set-char #x9B65 ?$(DjD(B) ; J90-D-6A44
(ucs-set-char #x9B65 ?$(JO0(B) ; C04-J-4F30
(ucs-set-char #x9B66 ?$(DjE(B) ; J90-D-6A45
(ucs-set-char #x9B66 ?$(HV((B) ; C02-H-5628
(ucs-set-char #x9B67 ?$(HV%(B) ; C02-H-5625
(ucs-set-char #x9B68 ?$(DjF(B) ; J90-D-6A46
(ucs-set-char #x9B68 ?$(HV,(B) ; C02-H-562C
(ucs-set-char #x9B69 ?$(IO|(B) ; C03-I-4F7C
(ucs-set-char #x9B6A ?$(DjG(B) ; J90-D-6A47
(ucs-set-char #x9B6A ?$(JO5(B) ; C04-J-4F35
(ucs-set-char #x9B6B ?$(DjH(B) ; J90-D-6A48
(ucs-set-char #x9B6B ?$(IO{(B) ; C03-I-4F7B
(ucs-set-char #x9B6C ?$(DjI(B) ; J90-D-6A49
(ucs-set-char #x9B6C ?$(HV.(B) ; C02-H-562E
(ucs-set-char #x9B6D ?$(DjJ(B) ; J90-D-6A4A
(ucs-set-char #x9B6D ?$(JO7(B) ; C04-J-4F37
(ucs-set-char #x9B6E ?$(DjK(B) ; J90-D-6A4B
(ucs-set-char #x9B6E ?$(JO,(B) ; C04-J-4F2C
(ucs-set-char #x9B6F ?$(CV[(B) ; KS0-C-565B
(ucs-set-char #x9B6F ?$(Gp'(B) ; C01-G-7027
(ucs-set-char #x9B6F ?$@O%(B) ; J78-@-4F25
(ucs-set-char #x9B6F ?$BO%(B) ; J83-B-4F25
(ucs-set-char #x9B70 ?$(HV+(B) ; C02-H-562B
(ucs-set-char #x9B71 ?$(HV'(B) ; C02-H-5627
(ucs-set-char #x9B72 ?$(IO}(B) ; C03-I-4F7D
(ucs-set-char #x9B73 ?$(DjL(B) ; J90-D-6A4C
(ucs-set-char #x9B73 ?$(JO*(B) ; C04-J-4F2A
(ucs-set-char #x9B74 ?$(HV&(B) ; C02-H-5626
(ucs-set-char #x9B74 ?$@r7(B) ; J78-@-7237
(ucs-set-char #x9B74 ?$Br7(B) ; J83-B-7237
(ucs-set-char #x9B75 ?$(DjM(B) ; J90-D-6A4D
(ucs-set-char #x9B75 ?$(HV*(B) ; C02-H-562A
(ucs-set-char #x9B76 ?$(HV)(B) ; C02-H-5629
(ucs-set-char #x9B77 ?$(DjN(B) ; J90-D-6A4E
(ucs-set-char #x9B77 ?$(Gp&(B) ; C01-G-7026
(ucs-set-char #x9B78 ?$(DjO(B) ; J90-D-6A4F
(ucs-set-char #x9B79 ?$(DjP(B) ; J90-D-6A50
(ucs-set-char #x9B7A ?$(H\+(B) ; C02-H-5C2B
(ucs-set-char #x9B7B ?$(H\&(B) ; C02-H-5C26
(ucs-set-char #x9B7C ?$(H\$(B) ; C02-H-5C24
(ucs-set-char #x9B7D ?$(H\-(B) ; C02-H-5C2D
(ucs-set-char #x9B7E ?$(H\%(B) ; C02-H-5C25
(ucs-set-char #x9B7F ?$(DjQ(B) ; J90-D-6A51
(ucs-set-char #x9B7F ?$(JUG(B) ; C04-J-5547
(ucs-set-char #x9B80 ?$(DjR(B) ; J90-D-6A52
(ucs-set-char #x9B80 ?$(H\!(B) ; C02-H-5C21
(ucs-set-char #x9B81 ?$(JUC(B) ; C04-J-5543
(ucs-set-char #x9B82 ?$(H\'(B) ; C02-H-5C27
(ucs-set-char #x9B83 ?$(ISx(B) ; C03-I-5378
(ucs-set-char #x9B83 ?$@r9(B) ; J78-@-7239
(ucs-set-char #x9B83 ?$Br9(B) ; J83-B-7239
(ucs-set-char #x9B84 ?$(DjS(B) ; J90-D-6A53
(ucs-set-char #x9B84 ?$(ISz(B) ; C03-I-537A
(ucs-set-char #x9B85 ?$(DjT(B) ; J90-D-6A54
(ucs-set-char #x9B85 ?$(H\"(B) ; C02-H-5C22
(ucs-set-char #x9B86 ?$(DjU(B) ; J90-D-6A55
(ucs-set-char #x9B86 ?$(H`~(B) ; C02-H-607E
(ucs-set-char #x9B87 ?$(DjV(B) ; J90-D-6A56
(ucs-set-char #x9B87 ?$(H\#(B) ; C02-H-5C23
(ucs-set-char #x9B88 ?$(H\.(B) ; C02-H-5C2E
(ucs-set-char #x9B89 ?$(DjW(B) ; J90-D-6A57
(ucs-set-char #x9B89 ?$(IT#(B) ; C03-I-5423
(ucs-set-char #x9B8A ?$(DjX(B) ; J90-D-6A58
(ucs-set-char #x9B8A ?$(JUE(B) ; C04-J-5545
(ucs-set-char #x9B8B ?$(DjY(B) ; J90-D-6A59
(ucs-set-char #x9B8B ?$(IS|(B) ; C03-I-537C
(ucs-set-char #x9B8C ?$(IT!(B) ; C03-I-5421
(ucs-set-char #x9B8D ?$(DjZ(B) ; J90-D-6A5A
(ucs-set-char #x9B8D ?$(KZJ(B) ; C05-K-5A4A
(ucs-set-char #x9B8E ?$(CoF(B) ; KS0-C-6F46
(ucs-set-char #x9B8E ?$(IT%(B) ; C03-I-5425
(ucs-set-char #x9B8E ?$@0>(B) ; J78-@-303E
(ucs-set-char #x9B8E ?$B0>(B) ; J83-B-303E
(ucs-set-char #x9B8F ?$(Dj[(B) ; J90-D-6A5B
(ucs-set-char #x9B8F ?$(IS}(B) ; C03-I-537D
(ucs-set-char #x9B90 ?$(Dj\(B) ; J90-D-6A5C
(ucs-set-char #x9B90 ?$(H\*(B) ; C02-H-5C2A
(ucs-set-char #x9B91 ?$(Cxj(B) ; KS0-C-786A
(ucs-set-char #x9B91 ?$(Gs5(B) ; C01-G-7335
(ucs-set-char #x9B91 ?$@r:(B) ; J78-@-723A
(ucs-set-char #x9B91 ?$Br:(B) ; J83-B-723A
(ucs-set-char #x9B92 ?$(H\)(B) ; C02-H-5C29
(ucs-set-char #x9B92 ?$@J+(B) ; J78-@-4A2B
(ucs-set-char #x9B92 ?$BJ+(B) ; J83-B-4A2B
(ucs-set-char #x9B93 ?$(H\((B) ; C02-H-5C28
(ucs-set-char #x9B93 ?$@r8(B) ; J78-@-7238
(ucs-set-char #x9B93 ?$Br8(B) ; J83-B-7238
(ucs-set-char #x9B94 ?$(Dj](B) ; J90-D-6A5D
(ucs-set-char #x9B94 ?$(ISy(B) ; C03-I-5379
(ucs-set-char #x9B95 ?$(H\,(B) ; C02-H-5C2C
(ucs-set-char #x9B96 ?$@r;(B) ; J78-@-723B
(ucs-set-char #x9B96 ?$Br;(B) ; J83-B-723B
(ucs-set-char #x9B97 ?$@r<(B) ; J78-@-723C
(ucs-set-char #x9B97 ?$Br<(B) ; J83-B-723C
(ucs-set-char #x9B99 ?$(IWD(B) ; C03-I-5744
(ucs-set-char #x9B9A ?$(Dj^(B) ; J90-D-6A5E
(ucs-set-char #x9B9A ?$(H`v(B) ; C02-H-6076
(ucs-set-char #x9B9B ?$(H`y(B) ; C02-H-6079
(ucs-set-char #x9B9C ?$(JZI(B) ; C04-J-5A49
(ucs-set-char #x9B9D ?$(Dj_(B) ; J90-D-6A5F
(ucs-set-char #x9B9D ?$(IWE(B) ; C03-I-5745
(ucs-set-char #x9B9E ?$(Dj`(B) ; J90-D-6A60
(ucs-set-char #x9B9E ?$(H`x(B) ; C02-H-6078
(ucs-set-char #x9B9F ?$(CdU(B) ; KS0-C-6455
(ucs-set-char #x9B9F ?$(IW@(B) ; C03-I-5740
(ucs-set-char #x9B9F ?$@r=(B) ; J78-@-723D
(ucs-set-char #x9B9F ?$Br=(B) ; J83-B-723D
(ucs-set-char #x9BA0 ?$(Ha"(B) ; C02-H-6122
(ucs-set-char #x9BA0 ?$@r>(B) ; J78-@-723E
(ucs-set-char #x9BA0 ?$Br>(B) ; J83-B-723E
(ucs-set-char #x9BA1 ?$(H`{(B) ; C02-H-607B
(ucs-set-char #x9BA2 ?$(Ha!(B) ; C02-H-6121
(ucs-set-char #x9BA3 ?$(IWB(B) ; C03-I-5742
(ucs-set-char #x9BA4 ?$(H`}(B) ; C02-H-607D
(ucs-set-char #x9BA5 ?$(H`|(B) ; C02-H-607C
(ucs-set-char #x9BA6 ?$(Dja(B) ; J90-D-6A61
(ucs-set-char #x9BA6 ?$(H`z(B) ; C02-H-607A
(ucs-set-char #x9BA7 ?$(Djb(B) ; J90-D-6A62
(ucs-set-char #x9BA7 ?$(JZA(B) ; C04-J-5A41
(ucs-set-char #x9BA8 ?$(H`w(B) ; C02-H-6077
(ucs-set-char #x9BA8 ?$@r?(B) ; J78-@-723F
(ucs-set-char #x9BA8 ?$Br?(B) ; J83-B-723F
(ucs-set-char #x9BA9 ?$(Djc(B) ; J90-D-6A63
(ucs-set-char #x9BA9 ?$(JZ?(B) ; C04-J-5A3F
(ucs-set-char #x9BAA ?$(Gv/(B) ; C01-G-762F
(ucs-set-char #x9BAA ?$@Kn(B) ; J78-@-4B6E
(ucs-set-char #x9BAA ?$BKn(B) ; J83-B-4B6E
(ucs-set-char #x9BAB ?$(CNw(B) ; KS0-C-4E77
(ucs-set-char #x9BAB ?$(Gv.(B) ; C01-G-762E
(ucs-set-char #x9BAB ?$@;-(B) ; J78-@-3B2D
(ucs-set-char #x9BAB ?$B;-(B) ; J83-B-3B2D
(ucs-set-char #x9BAC ?$(Djd(B) ; J90-D-6A64
(ucs-set-char #x9BAC ?$(JZD(B) ; C04-J-5A44
(ucs-set-char #x9BAD ?$(Gv0(B) ; C01-G-7630
(ucs-set-char #x9BAD ?$@:z(B) ; J78-@-3A7A
(ucs-set-char #x9BAD ?$B:z(B) ; J83-B-3A7A
(ucs-set-char #x9BAE ?$(C`X(B) ; KS0-C-6058
(ucs-set-char #x9BAE ?$(Gv-(B) ; C01-G-762D
(ucs-set-char #x9BAE ?$@A/(B) ; J78-@-412F
(ucs-set-char #x9BAE ?$BA/(B) ; J83-B-412F
(ucs-set-char #x9BAF ?$(Ha#(B) ; C02-H-6123
(ucs-set-char #x9BB0 ?$(Dje(B) ; J90-D-6A65
(ucs-set-char #x9BB0 ?$(JZE(B) ; C04-J-5A45
(ucs-set-char #x9BB1 ?$(Djf(B) ; J90-D-6A66
(ucs-set-char #x9BB2 ?$(Djg(B) ; J90-D-6A67
(ucs-set-char #x9BB3 ?$(JZC(B) ; C04-J-5A43
(ucs-set-char #x9BB4 ?$@r@(B) ; J78-@-7240
(ucs-set-char #x9BB4 ?$Br@(B) ; J83-B-7240
(ucs-set-char #x9BB5 ?$(Hdr(B) ; C02-H-6472
(ucs-set-char #x9BB6 ?$(Hdu(B) ; C02-H-6475
(ucs-set-char #x9BB7 ?$(Djh(B) ; J90-D-6A68
(ucs-set-char #x9BB7 ?$(J_&(B) ; C04-J-5F26
(ucs-set-char #x9BB8 ?$(Dji(B) ; J90-D-6A69
(ucs-set-char #x9BB8 ?$(Hds(B) ; C02-H-6473
(ucs-set-char #x9BB9 ?$(Hdw(B) ; C02-H-6477
(ucs-set-char #x9BB9 ?$@rC(B) ; J78-@-7243
(ucs-set-char #x9BB9 ?$BrC(B) ; J83-B-7243
(ucs-set-char #x9BBA ?$(Kfy(B) ; C05-K-6679
(ucs-set-char #x9BBB ?$(Djj(B) ; J90-D-6A6A
(ucs-set-char #x9BBB ?$(IYt(B) ; C03-I-5974
(ucs-set-char #x9BBC ?$(Djk(B) ; J90-D-6A6B
(ucs-set-char #x9BBC ?$(J_"(B) ; C04-J-5F22
(ucs-set-char #x9BBD ?$(Hdx(B) ; C02-H-6478
(ucs-set-char #x9BBE ?$(Djl(B) ; J90-D-6A6C
(ucs-set-char #x9BBE ?$(J_*(B) ; C04-J-5F2A
(ucs-set-char #x9BBF ?$(Djm(B) ; J90-D-6A6D
(ucs-set-char #x9BBF ?$(Hdp(B) ; C02-H-6470
(ucs-set-char #x9BC0 ?$(Gx$(B) ; C01-G-7824
(ucs-set-char #x9BC0 ?$@rA(B) ; J78-@-7241
(ucs-set-char #x9BC0 ?$BrA(B) ; J83-B-7241
(ucs-set-char #x9BC1 ?$(Djn(B) ; J90-D-6A6E
(ucs-set-char #x9BC1 ?$(Hdq(B) ; C02-H-6471
(ucs-set-char #x9BC2 ?$(IYs(B) ; C03-I-5973
(ucs-set-char #x9BC3 ?$(Hdo(B) ; C02-H-646F
(ucs-set-char #x9BC4 ?$(Hdv(B) ; C02-H-6476
(ucs-set-char #x9BC5 ?$(I[t(B) ; C03-I-5B74
(ucs-set-char #x9BC6 ?$(Hdn(B) ; C02-H-646E
(ucs-set-char #x9BC6 ?$@rD(B) ; J78-@-7244
(ucs-set-char #x9BC6 ?$BrD(B) ; J83-B-7244
(ucs-set-char #x9BC7 ?$(Djo(B) ; J90-D-6A6F
(ucs-set-char #x9BC7 ?$(Hdm(B) ; C02-H-646D
(ucs-set-char #x9BC8 ?$(Djp(B) ; J90-D-6A70
(ucs-set-char #x9BC8 ?$(Gx#(B) ; C01-G-7823
(ucs-set-char #x9BC9 ?$(CWo(B) ; KS0-C-576F
(ucs-set-char #x9BC9 ?$(Gx!(B) ; C01-G-7821
(ucs-set-char #x9BC9 ?$@8q(B) ; J78-@-3871
(ucs-set-char #x9BC9 ?$B8q(B) ; J83-B-3871
(ucs-set-char #x9BCA ?$(Gw~(B) ; C01-G-777E
(ucs-set-char #x9BCA ?$@rB(B) ; J78-@-7242
(ucs-set-char #x9BCA ?$BrB(B) ; J83-B-7242
(ucs-set-char #x9BCB ?$(IYv(B) ; C03-I-5976
(ucs-set-char #x9BCC ?$(IYu(B) ; C03-I-5975
(ucs-set-char #x9BCD ?$(IWC(B) ; C03-I-5743
(ucs-set-char #x9BCE ?$(Djq(B) ; J90-D-6A71
(ucs-set-char #x9BCF ?$@rE(B) ; J78-@-7245
(ucs-set-char #x9BCF ?$BrE(B) ; J83-B-7245
(ucs-set-char #x9BD0 ?$(Djr(B) ; J90-D-6A72
(ucs-set-char #x9BD1 ?$@rF(B) ; J78-@-7246
(ucs-set-char #x9BD1 ?$BrF(B) ; J83-B-7246
(ucs-set-char #x9BD2 ?$(IYq(B) ; C03-I-5971
(ucs-set-char #x9BD2 ?$@rG(B) ; J78-@-7247
(ucs-set-char #x9BD2 ?$BrG(B) ; J83-B-7247
(ucs-set-char #x9BD3 ?$(Hdt(B) ; C02-H-6474
(ucs-set-char #x9BD4 ?$(Hh<(B) ; C02-H-683C
(ucs-set-char #x9BD4 ?$@rK(B) ; J78-@-724B
(ucs-set-char #x9BD4 ?$BrK(B) ; J83-B-724B
(ucs-set-char #x9BD5 ?$(HhB(B) ; C02-H-6842
(ucs-set-char #x9BD6 ?$(Ctm(B) ; KS0-C-746D
(ucs-set-char #x9BD6 ?$(GyV(B) ; C01-G-7956
(ucs-set-char #x9BD6 ?$@;*(B) ; J78-@-3B2A
(ucs-set-char #x9BD6 ?$B;*(B) ; J83-B-3B2A
(ucs-set-char #x9BD7 ?$(Djs(B) ; J90-D-6A73
(ucs-set-char #x9BD7 ?$(Hh=(B) ; C02-H-683D
(ucs-set-char #x9BD8 ?$(Djt(B) ; J90-D-6A74
(ucs-set-char #x9BD8 ?$(Kk3(B) ; C05-K-6B33
(ucs-set-char #x9BD9 ?$(Hh@(B) ; C02-H-6840
(ucs-set-char #x9BDA ?$(HhD(B) ; C02-H-6844
(ucs-set-char #x9BDB ?$(GyW(B) ; C01-G-7957
(ucs-set-char #x9BDB ?$@Bd(B) ; J78-@-4264
(ucs-set-char #x9BDB ?$BBd(B) ; J83-B-4264
(ucs-set-char #x9BDC ?$(Hh?(B) ; C02-H-683F
(ucs-set-char #x9BDD ?$(Dju(B) ; J90-D-6A75
(ucs-set-char #x9BDD ?$(Jb\(B) ; C04-J-625C
(ucs-set-char #x9BDE ?$(Hh7(B) ; C02-H-6837
(ucs-set-char #x9BDF ?$(Djv(B) ; J90-D-6A76
(ucs-set-char #x9BDF ?$(I[u(B) ; C03-I-5B75
(ucs-set-char #x9BE0 ?$(Hh6(B) ; C02-H-6836
(ucs-set-char #x9BE1 ?$(HhC(B) ; C02-H-6843
(ucs-set-char #x9BE1 ?$@rL(B) ; J78-@-724C
(ucs-set-char #x9BE1 ?$BrL(B) ; J83-B-724C
(ucs-set-char #x9BE2 ?$(Hh:(B) ; C02-H-683A
(ucs-set-char #x9BE2 ?$@rI(B) ; J78-@-7249
(ucs-set-char #x9BE2 ?$BrI(B) ; J83-B-7249
(ucs-set-char #x9BE3 ?$(I[w(B) ; C03-I-5B77
(ucs-set-char #x9BE3 ?$@rH(B) ; J78-@-7248
(ucs-set-char #x9BE3 ?$BrH(B) ; J83-B-7248
(ucs-set-char #x9BE4 ?$(CMf(B) ; KS0-C-4D66
(ucs-set-char #x9BE4 ?$(Hh8(B) ; C02-H-6838
(ucs-set-char #x9BE4 ?$@rJ(B) ; J78-@-724A
(ucs-set-char #x9BE4 ?$BrJ(B) ; J83-B-724A
(ucs-set-char #x9BE5 ?$(Djw(B) ; J90-D-6A77
(ucs-set-char #x9BE5 ?$(HhA(B) ; C02-H-6841
(ucs-set-char #x9BE6 ?$(Hh9(B) ; C02-H-6839
(ucs-set-char #x9BE7 ?$(Djx(B) ; J90-D-6A78
(ucs-set-char #x9BE7 ?$(GyU(B) ; C01-G-7955
(ucs-set-char #x9BE8 ?$(CLt(B) ; KS0-C-4C74
(ucs-set-char #x9BE8 ?$(GyT(B) ; C01-G-7954
(ucs-set-char #x9BE8 ?$@7_(B) ; J78-@-375F
(ucs-set-char #x9BE8 ?$B7_(B) ; J83-B-375F
(ucs-set-char #x9BE9 ?$(I[y(B) ; C03-I-5B79
(ucs-set-char #x9BEA ?$(Djy(B) ; J90-D-6A79
(ucs-set-char #x9BEA ?$(Hh4(B) ; C02-H-6834
(ucs-set-char #x9BEB ?$(Djz(B) ; J90-D-6A7A
(ucs-set-char #x9BEB ?$(Hh5(B) ; C02-H-6835
(ucs-set-char #x9BEC ?$(Hh>(B) ; C02-H-683E
(ucs-set-char #x9BED ?$(Jbf(B) ; C04-J-6266
(ucs-set-char #x9BEE ?$(I[z(B) ; C03-I-5B7A
(ucs-set-char #x9BEF ?$(Dj{(B) ; J90-D-6A7B
(ucs-set-char #x9BEF ?$(Jbh(B) ; C04-J-6268
(ucs-set-char #x9BF0 ?$(Hh;(B) ; C02-H-683B
(ucs-set-char #x9BF0 ?$@rP(B) ; J78-@-7250
(ucs-set-char #x9BF0 ?$BrP(B) ; J83-B-7250
(ucs-set-char #x9BF1 ?$@rO(B) ; J78-@-724F
(ucs-set-char #x9BF1 ?$BrO(B) ; J83-B-724F
(ucs-set-char #x9BF2 ?$@rN(B) ; J78-@-724E
(ucs-set-char #x9BF2 ?$BrN(B) ; J83-B-724E
(ucs-set-char #x9BF3 ?$(Dj|(B) ; J90-D-6A7C
(ucs-set-char #x9BF4 ?$(JbU(B) ; C04-J-6255
(ucs-set-char #x9BF5 ?$@rM(B) ; J78-@-724D
(ucs-set-char #x9BF5 ?$B03(B) ; J83-B-3033
(ucs-set-char #x9BF6 ?$(I]o(B) ; C03-I-5D6F
(ucs-set-char #x9BF7 ?$(Dj}(B) ; J90-D-6A7D
(ucs-set-char #x9BF7 ?$(Hjz(B) ; C02-H-6A7A
(ucs-set-char #x9BF8 ?$(Dj~(B) ; J90-D-6A7E
(ucs-set-char #x9BF8 ?$(Hj}(B) ; C02-H-6A7D
(ucs-set-char #x9BF9 ?$(Dk!(B) ; J90-D-6B21
(ucs-set-char #x9BF9 ?$(I]q(B) ; C03-I-5D71
(ucs-set-char #x9BFA ?$(Dk"(B) ; J90-D-6B22
(ucs-set-char #x9BFA ?$(JbV(B) ; C04-J-6256
(ucs-set-char #x9BFB ?$(I]g(B) ; C03-I-5D67
(ucs-set-char #x9BFC ?$(I]i(B) ; C03-I-5D69
(ucs-set-char #x9BFD ?$(Dk#(B) ; J90-D-6B23
(ucs-set-char #x9BFD ?$(Gx"(B) ; C01-G-7822
(ucs-set-char #x9BFE ?$(I]j(B) ; C03-I-5D6A
(ucs-set-char #x9BFF ?$(Dk$(B) ; J90-D-6B24
(ucs-set-char #x9BFF ?$(I]t(B) ; C03-I-5D74
(ucs-set-char #x9C00 ?$(Dk%(B) ; J90-D-6B25
(ucs-set-char #x9C00 ?$(I]u(B) ; C03-I-5D75
(ucs-set-char #x9C01 ?$(JeZ(B) ; C04-J-655A
(ucs-set-char #x9C02 ?$(Dk&(B) ; J90-D-6B26
(ucs-set-char #x9C02 ?$(I]n(B) ; C03-I-5D6E
(ucs-set-char #x9C03 ?$(JeY(B) ; C04-J-6559
(ucs-set-char #x9C04 ?$(I]h(B) ; C03-I-5D68
(ucs-set-char #x9C04 ?$@rZ(B) ; J78-@-725A
(ucs-set-char #x9C04 ?$BrZ(B) ; J83-B-725A
(ucs-set-char #x9C05 ?$(Hj{(B) ; C02-H-6A7B
(ucs-set-char #x9C06 ?$(Hk#(B) ; C02-H-6B23
(ucs-set-char #x9C06 ?$@rV(B) ; J78-@-7256
(ucs-set-char #x9C06 ?$BrV(B) ; J83-B-7256
(ucs-set-char #x9C07 ?$(Hk!(B) ; C02-H-6B21
(ucs-set-char #x9C08 ?$(Hjy(B) ; C02-H-6A79
(ucs-set-char #x9C08 ?$@rW(B) ; J78-@-7257
(ucs-set-char #x9C08 ?$BrW(B) ; J83-B-7257
(ucs-set-char #x9C09 ?$(Hk&(B) ; C02-H-6B26
(ucs-set-char #x9C09 ?$@rS(B) ; J78-@-7253
(ucs-set-char #x9C09 ?$BrS(B) ; J83-B-7253
(ucs-set-char #x9C0A ?$(I]f(B) ; C03-I-5D66
(ucs-set-char #x9C0A ?$@rY(B) ; J78-@-7259
(ucs-set-char #x9C0A ?$BrY(B) ; J83-B-7259
(ucs-set-char #x9C0B ?$(Dk'(B) ; J90-D-6B27
(ucs-set-char #x9C0B ?$(Hjx(B) ; C02-H-6A78
(ucs-set-char #x9C0C ?$(I]v(B) ; C03-I-5D76
(ucs-set-char #x9C0C ?$@rU(B) ; J78-@-7255
(ucs-set-char #x9C0C ?$BrU(B) ; J83-B-7255
(ucs-set-char #x9C0D ?$(Cuc(B) ; KS0-C-7563
(ucs-set-char #x9C0D ?$(GzZ(B) ; C01-G-7A5A
(ucs-set-char #x9C0D ?$@3b(B) ; J78-@-3362
(ucs-set-char #x9C0D ?$B3b(B) ; J83-B-3362
(ucs-set-char #x9C0E ?$(Hk"(B) ; C02-H-6B22
(ucs-set-char #x9C0F ?$(Dk((B) ; J90-D-6B28
(ucs-set-char #x9C0F ?$(JeT(B) ; C04-J-6554
(ucs-set-char #x9C10 ?$(CdJ(B) ; KS0-C-644A
(ucs-set-char #x9C10 ?$(I]s(B) ; C03-I-5D73
(ucs-set-char #x9C10 ?$@OL(B) ; J78-@-4F4C
(ucs-set-char #x9C10 ?$BOL(B) ; J83-B-4F4C
(ucs-set-char #x9C11 ?$(Dk)(B) ; J90-D-6B29
(ucs-set-char #x9C11 ?$(JeW(B) ; C04-J-6557
(ucs-set-char #x9C12 ?$(C\a(B) ; KS0-C-5C61
(ucs-set-char #x9C12 ?$(Hj|(B) ; C02-H-6A7C
(ucs-set-char #x9C12 ?$@rX(B) ; J78-@-7258
(ucs-set-char #x9C12 ?$BrX(B) ; J83-B-7258
(ucs-set-char #x9C13 ?$(GzY(B) ; C01-G-7A59
(ucs-set-char #x9C13 ?$@rT(B) ; J78-@-7254
(ucs-set-char #x9C13 ?$BrT(B) ; J83-B-7254
(ucs-set-char #x9C14 ?$(Hk%(B) ; C02-H-6B25
(ucs-set-char #x9C14 ?$@rR(B) ; J78-@-7252
(ucs-set-char #x9C14 ?$BrR(B) ; J83-B-7252
(ucs-set-char #x9C15 ?$(CyH(B) ; KS0-C-7948
(ucs-set-char #x9C15 ?$(I]r(B) ; C03-I-5D72
(ucs-set-char #x9C15 ?$@rQ(B) ; J78-@-7251
(ucs-set-char #x9C15 ?$BrQ(B) ; J83-B-7251
(ucs-set-char #x9C16 ?$(Dk*(B) ; J90-D-6B2A
(ucs-set-char #x9C16 ?$(Je](B) ; C04-J-655D
(ucs-set-char #x9C17 ?$(Hk$(B) ; C02-H-6B24
(ucs-set-char #x9C18 ?$(Dk+(B) ; J90-D-6B2B
(ucs-set-char #x9C19 ?$(Dk,(B) ; J90-D-6B2C
(ucs-set-char #x9C1A ?$(Dk-(B) ; J90-D-6B2D
(ucs-set-char #x9C1B ?$(I]p(B) ; C03-I-5D70
(ucs-set-char #x9C1B ?$@r\(B) ; J78-@-725C
(ucs-set-char #x9C1B ?$Br\(B) ; J83-B-725C
(ucs-set-char #x9C1C ?$(Dk.(B) ; J90-D-6B2E
(ucs-set-char #x9C1C ?$(Hlw(B) ; C02-H-6C77
(ucs-set-char #x9C1D ?$(Hlv(B) ; C02-H-6C76
(ucs-set-char #x9C1E ?$(Dk/(B) ; J90-D-6B2F
(ucs-set-char #x9C1E ?$(KrQ(B) ; C05-K-7251
(ucs-set-char #x9C1F ?$(I_,(B) ; C03-I-5F2C
(ucs-set-char #x9C20 ?$(KrK(B) ; C05-K-724B
(ucs-set-char #x9C21 ?$(Hl}(B) ; C02-H-6C7D
(ucs-set-char #x9C21 ?$@r_(B) ; J78-@-725F
(ucs-set-char #x9C21 ?$Br_(B) ; J83-B-725F
(ucs-set-char #x9C22 ?$(Dk0(B) ; J90-D-6B30
(ucs-set-char #x9C22 ?$(KrN(B) ; C05-K-724E
(ucs-set-char #x9C23 ?$(Dk1(B) ; J90-D-6B31
(ucs-set-char #x9C23 ?$(Hly(B) ; C02-H-6C79
(ucs-set-char #x9C24 ?$(Hl|(B) ; C02-H-6C7C
(ucs-set-char #x9C24 ?$@r^(B) ; J78-@-725E
(ucs-set-char #x9C24 ?$Br^(B) ; J83-B-725E
(ucs-set-char #x9C25 ?$(C|?(B) ; KS0-C-7C3F
(ucs-set-char #x9C25 ?$(G{L(B) ; C01-G-7B4C
(ucs-set-char #x9C25 ?$@r](B) ; J78-@-725D
(ucs-set-char #x9C25 ?$Br](B) ; J83-B-725D
(ucs-set-char #x9C26 ?$(Dk2(B) ; J90-D-6B32
(ucs-set-char #x9C26 ?$(Jh;(B) ; C04-J-683B
(ucs-set-char #x9C27 ?$(Dk3(B) ; J90-D-6B33
(ucs-set-char #x9C27 ?$(Jh>(B) ; C04-J-683E
(ucs-set-char #x9C28 ?$(Dk4(B) ; J90-D-6B34
(ucs-set-char #x9C28 ?$(Hlz(B) ; C02-H-6C7A
(ucs-set-char #x9C29 ?$(Dk5(B) ; J90-D-6B35
(ucs-set-char #x9C29 ?$(Hl{(B) ; C02-H-6C7B
(ucs-set-char #x9C2A ?$(Dk6(B) ; J90-D-6B36
(ucs-set-char #x9C2A ?$(Jh9(B) ; C04-J-6839
(ucs-set-char #x9C2B ?$(Hlu(B) ; C02-H-6C75
(ucs-set-char #x9C2C ?$(Hlx(B) ; C02-H-6C78
(ucs-set-char #x9C2D ?$(G{K(B) ; C01-G-7B4B
(ucs-set-char #x9C2D ?$@II(B) ; J78-@-4949
(ucs-set-char #x9C2D ?$BII(B) ; J83-B-4949
(ucs-set-char #x9C2E ?$(I_*(B) ; C03-I-5F2A
(ucs-set-char #x9C2E ?$@r[(B) ; J78-@-725B
(ucs-set-char #x9C2E ?$Br[(B) ; J83-B-725B
(ucs-set-char #x9C2F ?$@0s(B) ; J78-@-3073
(ucs-set-char #x9C2F ?$B0s(B) ; J83-B-3073
(ucs-set-char #x9C30 ?$@r`(B) ; J78-@-7260
(ucs-set-char #x9C30 ?$Br`(B) ; J83-B-7260
(ucs-set-char #x9C31 ?$(Dk7(B) ; J90-D-6B37
(ucs-set-char #x9C31 ?$(G|+(B) ; C01-G-7C2B
(ucs-set-char #x9C32 ?$(Ch'(B) ; KS0-C-6827
(ucs-set-char #x9C32 ?$(Hna(B) ; C02-H-6E61
(ucs-set-char #x9C32 ?$@rb(B) ; J78-@-7262
(ucs-set-char #x9C32 ?$Brb(B) ; J83-B-7262
(ucs-set-char #x9C33 ?$(Hn\(B) ; C02-H-6E5C
(ucs-set-char #x9C34 ?$(Hn`(B) ; C02-H-6E60
(ucs-set-char #x9C35 ?$(Dk8(B) ; J90-D-6B38
(ucs-set-char #x9C35 ?$(I`%(B) ; C03-I-6025
(ucs-set-char #x9C36 ?$(Dk9(B) ; J90-D-6B39
(ucs-set-char #x9C36 ?$(Hnc(B) ; C02-H-6E63
(ucs-set-char #x9C37 ?$(Dk:(B) ; J90-D-6B3A
(ucs-set-char #x9C37 ?$(Hn_(B) ; C02-H-6E5F
(ucs-set-char #x9C38 ?$(I_~(B) ; C03-I-5F7E
(ucs-set-char #x9C39 ?$(Hn[(B) ; C02-H-6E5B
(ucs-set-char #x9C39 ?$@3o(B) ; J78-@-336F
(ucs-set-char #x9C39 ?$B3o(B) ; J83-B-336F
(ucs-set-char #x9C3A ?$(I`#(B) ; C03-I-6023
(ucs-set-char #x9C3A ?$@03(B) ; J78-@-3033
(ucs-set-char #x9C3A ?$BrM(B) ; J83-B-724D
(ucs-set-char #x9C3B ?$(CXD(B) ; KS0-C-5844
(ucs-set-char #x9C3B ?$(G|-(B) ; C01-G-7C2D
(ucs-set-char #x9C3B ?$@17(B) ; J78-@-3137
(ucs-set-char #x9C3B ?$B17(B) ; J83-B-3137
(ucs-set-char #x9C3C ?$(Hn^(B) ; C02-H-6E5E
(ucs-set-char #x9C3D ?$(Dk;(B) ; J90-D-6B3B
(ucs-set-char #x9C3D ?$(Hnb(B) ; C02-H-6E62
(ucs-set-char #x9C3E ?$(G|,(B) ; C01-G-7C2C
(ucs-set-char #x9C3E ?$@rd(B) ; J78-@-7264
(ucs-set-char #x9C3E ?$Brd(B) ; J83-B-7264
(ucs-set-char #x9C3F ?$(HnY(B) ; C02-H-6E59
(ucs-set-char #x9C40 ?$(Hj~(B) ; C02-H-6A7E
(ucs-set-char #x9C41 ?$(Dk<(B) ; J90-D-6B3C
(ucs-set-char #x9C41 ?$(Hn](B) ; C02-H-6E5D
(ucs-set-char #x9C42 ?$(Jj#(B) ; C04-J-6A23
(ucs-set-char #x9C43 ?$(Dk=(B) ; J90-D-6B3D
(ucs-set-char #x9C43 ?$(Ku-(B) ; C05-K-752D
(ucs-set-char #x9C44 ?$(Dk>(B) ; J90-D-6B3E
(ucs-set-char #x9C44 ?$(HnZ(B) ; C02-H-6E5A
(ucs-set-char #x9C45 ?$(Dk?(B) ; J90-D-6B3F
(ucs-set-char #x9C45 ?$(I`"(B) ; C03-I-6022
(ucs-set-char #x9C46 ?$(HnW(B) ; C02-H-6E57
(ucs-set-char #x9C46 ?$@rc(B) ; J78-@-7263
(ucs-set-char #x9C46 ?$Brc(B) ; J83-B-7263
(ucs-set-char #x9C47 ?$(CK>(B) ; KS0-C-4B3E
(ucs-set-char #x9C47 ?$@ra(B) ; J78-@-7261
(ucs-set-char #x9C47 ?$Bra(B) ; J83-B-7261
(ucs-set-char #x9C48 ?$(HnX(B) ; C02-H-6E58
(ucs-set-char #x9C48 ?$@C-(B) ; J78-@-432D
(ucs-set-char #x9C48 ?$BC-(B) ; J83-B-432D
(ucs-set-char #x9C49 ?$(C\.(B) ; KS0-C-5C2E
(ucs-set-char #x9C49 ?$(Dk@(B) ; J90-D-6B40
(ucs-set-char #x9C49 ?$(G|*(B) ; C01-G-7C2A
(ucs-set-char #x9C4A ?$(DkA(B) ; J90-D-6B41
(ucs-set-char #x9C4A ?$(Hoh(B) ; C02-H-6F68
(ucs-set-char #x9C4B ?$(Hoj(B) ; C02-H-6F6A
(ucs-set-char #x9C4C ?$(Hom(B) ; C02-H-6F6D
(ucs-set-char #x9C4D ?$(Hoi(B) ; C02-H-6F69
(ucs-set-char #x9C4E ?$(DkB(B) ; J90-D-6B42
(ucs-set-char #x9C4E ?$(Hon(B) ; C02-H-6F6E
(ucs-set-char #x9C4F ?$(DkC(B) ; J90-D-6B43
(ucs-set-char #x9C4F ?$(I`e(B) ; C03-I-6065
(ucs-set-char #x9C50 ?$(DkD(B) ; J90-D-6B44
(ucs-set-char #x9C50 ?$(Hog(B) ; C02-H-6F67
(ucs-set-char #x9C51 ?$(I`f(B) ; C03-I-6066
(ucs-set-char #x9C52 ?$(Hoe(B) ; C02-H-6F65
(ucs-set-char #x9C52 ?$@Kp(B) ; J78-@-4B70
(ucs-set-char #x9C52 ?$BKp(B) ; J83-B-4B70
(ucs-set-char #x9C53 ?$(DkE(B) ; J90-D-6B45
(ucs-set-char #x9C53 ?$(I`h(B) ; C03-I-6068
(ucs-set-char #x9C54 ?$(DkF(B) ; J90-D-6B46
(ucs-set-char #x9C54 ?$(G|W(B) ; C01-G-7C57
(ucs-set-char #x9C55 ?$(Hok(B) ; C02-H-6F6B
(ucs-set-char #x9C56 ?$(DkG(B) ; J90-D-6B47
(ucs-set-char #x9C56 ?$(G|Y(B) ; C01-G-7C59
(ucs-set-char #x9C57 ?$(CWw(B) ; KS0-C-5777
(ucs-set-char #x9C57 ?$(G|X(B) ; C01-G-7C58
(ucs-set-char #x9C57 ?$@NZ(B) ; J78-@-4E5A
(ucs-set-char #x9C57 ?$BNZ(B) ; J83-B-4E5A
(ucs-set-char #x9C58 ?$(DkH(B) ; J90-D-6B48
(ucs-set-char #x9C58 ?$(Hof(B) ; C02-H-6F66
(ucs-set-char #x9C59 ?$(Hol(B) ; C02-H-6F6C
(ucs-set-char #x9C5A ?$@re(B) ; J78-@-7265
(ucs-set-char #x9C5A ?$Bre(B) ; J83-B-7265
(ucs-set-char #x9C5B ?$(DkI(B) ; J90-D-6B49
(ucs-set-char #x9C5C ?$(DkP(B) ; J90-D-6B50
(ucs-set-char #x9C5D ?$(DkJ(B) ; J90-D-6B4A
(ucs-set-char #x9C5D ?$(Ia2(B) ; C03-I-6132
(ucs-set-char #x9C5E ?$(DkK(B) ; J90-D-6B4B
(ucs-set-char #x9C5E ?$(Hph(B) ; C02-H-7068
(ucs-set-char #x9C5F ?$(DkL(B) ; J90-D-6B4C
(ucs-set-char #x9C5F ?$(G|x(B) ; C01-G-7C78
(ucs-set-char #x9C60 ?$(Hpi(B) ; C02-H-7069
(ucs-set-char #x9C60 ?$@rf(B) ; J78-@-7266
(ucs-set-char #x9C60 ?$Brf(B) ; J83-B-7266
(ucs-set-char #x9C61 ?$(Ia3(B) ; C03-I-6133
(ucs-set-char #x9C62 ?$(Hpg(B) ; C02-H-7067
(ucs-set-char #x9C63 ?$(DkM(B) ; J90-D-6B4D
(ucs-set-char #x9C63 ?$(Hpd(B) ; C02-H-7064
(ucs-set-char #x9C64 ?$(JlJ(B) ; C04-J-6C4A
(ucs-set-char #x9C65 ?$(Ia4(B) ; C03-I-6134
(ucs-set-char #x9C66 ?$(Hpf(B) ; C02-H-7066
(ucs-set-char #x9C67 ?$(Hpe(B) ; C02-H-7065
(ucs-set-char #x9C67 ?$@rg(B) ; J78-@-7267
(ucs-set-char #x9C67 ?$Brg(B) ; J83-B-7267
(ucs-set-char #x9C68 ?$(DkR(B) ; J90-D-6B52
(ucs-set-char #x9C68 ?$(HqI(B) ; C02-H-7149
(ucs-set-char #x9C69 ?$(DkN(B) ; J90-D-6B4E
(ucs-set-char #x9C6A ?$(DkO(B) ; J90-D-6B4F
(ucs-set-char #x9C6B ?$(DkQ(B) ; J90-D-6B51
(ucs-set-char #x9C6C ?$(IaY(B) ; C03-I-6159
(ucs-set-char #x9C6D ?$(HqK(B) ; C02-H-714B
(ucs-set-char #x9C6E ?$(DkS(B) ; J90-D-6B53
(ucs-set-char #x9C6E ?$(HqJ(B) ; C02-H-714A
(ucs-set-char #x9C6F ?$(Ia[(B) ; C03-I-615B
(ucs-set-char #x9C70 ?$(DkT(B) ; J90-D-6B54
(ucs-set-char #x9C71 ?$(Hqi(B) ; C02-H-7169
(ucs-set-char #x9C72 ?$(DkU(B) ; J90-D-6B55
(ucs-set-char #x9C72 ?$(KzS(B) ; C05-K-7A53
(ucs-set-char #x9C73 ?$(Hqh(B) ; C02-H-7168
(ucs-set-char #x9C74 ?$(Hqg(B) ; C02-H-7167
(ucs-set-char #x9C75 ?$(DkV(B) ; J90-D-6B56
(ucs-set-char #x9C75 ?$(Hqj(B) ; C02-H-716A
(ucs-set-char #x9C76 ?$(Iau(B) ; C03-I-6175
(ucs-set-char #x9C76 ?$@rh(B) ; J78-@-7268
(ucs-set-char #x9C76 ?$Brh(B) ; J83-B-7268
(ucs-set-char #x9C77 ?$(DkW(B) ; J90-D-6B57
(ucs-set-char #x9C77 ?$(G}@(B) ; C01-G-7D40
(ucs-set-char #x9C78 ?$(G}A(B) ; C01-G-7D41
(ucs-set-char #x9C78 ?$@ri(B) ; J78-@-7269
(ucs-set-char #x9C78 ?$Bri(B) ; J83-B-7269
(ucs-set-char #x9C79 ?$(Hr8(B) ; C02-H-7238
(ucs-set-char #x9C7A ?$(Hr<(B) ; C02-H-723C
(ucs-set-char #x9C7B ?$(DkX(B) ; J90-D-6B58
(ucs-set-char #x9C7B ?$(IbA(B) ; C03-I-6241
(ucs-set-char #x9C7C ?$ASc(B) ; GB0-A-5363
(ucs-set-char #x9C7F ?$AvO(B) ; GB0-A-764F
(ucs-set-char #x9C81 ?$AB3(B) ; GB0-A-4233
(ucs-set-char #x9C82 ?$AvP(B) ; GB0-A-7650
(ucs-set-char #x9C85 ?$AvQ(B) ; GB0-A-7651
(ucs-set-char #x9C86 ?$AvR(B) ; GB0-A-7652
(ucs-set-char #x9C87 ?$AvS(B) ; GB0-A-7653
(ucs-set-char #x9C88 ?$AvT(B) ; GB0-A-7654
(ucs-set-char #x9C8B ?$AvV(B) ; GB0-A-7656
(ucs-set-char #x9C8D ?$A1+(B) ; GB0-A-312B
(ucs-set-char #x9C8E ?$AvW(B) ; GB0-A-7657
(ucs-set-char #x9C90 ?$AvX(B) ; GB0-A-7658
(ucs-set-char #x9C91 ?$AvY(B) ; GB0-A-7659
(ucs-set-char #x9C92 ?$AvZ(B) ; GB0-A-765A
(ucs-set-char #x9C94 ?$Av[(B) ; GB0-A-765B
(ucs-set-char #x9C95 ?$Av\(B) ; GB0-A-765C
(ucs-set-char #x9C9A ?$Av](B) ; GB0-A-765D
(ucs-set-char #x9C9B ?$Av^(B) ; GB0-A-765E
(ucs-set-char #x9C9C ?$AOJ(B) ; GB0-A-4F4A
(ucs-set-char #x9C9E ?$Av_(B) ; GB0-A-765F
(ucs-set-char #x9C9F ?$Av`(B) ; GB0-A-7660
(ucs-set-char #x9CA0 ?$Ava(B) ; GB0-A-7661
(ucs-set-char #x9CA1 ?$Avb(B) ; GB0-A-7662
(ucs-set-char #x9CA2 ?$Avc(B) ; GB0-A-7663
(ucs-set-char #x9CA3 ?$Avd(B) ; GB0-A-7664
(ucs-set-char #x9CA4 ?$A@p(B) ; GB0-A-4070
(ucs-set-char #x9CA5 ?$Ave(B) ; GB0-A-7665
(ucs-set-char #x9CA6 ?$Avf(B) ; GB0-A-7666
(ucs-set-char #x9CA7 ?$Avg(B) ; GB0-A-7667
(ucs-set-char #x9CA8 ?$Avh(B) ; GB0-A-7668
(ucs-set-char #x9CA9 ?$Avi(B) ; GB0-A-7669
(ucs-set-char #x9CAB ?$Avj(B) ; GB0-A-766A
(ucs-set-char #x9CAD ?$Avk(B) ; GB0-A-766B
(ucs-set-char #x9CAE ?$Avl(B) ; GB0-A-766C
(ucs-set-char #x9CB0 ?$Avm(B) ; GB0-A-766D
(ucs-set-char #x9CB1 ?$Avn(B) ; GB0-A-766E
(ucs-set-char #x9CB2 ?$Avo(B) ; GB0-A-766F
(ucs-set-char #x9CB3 ?$Avp(B) ; GB0-A-7670
(ucs-set-char #x9CB4 ?$Avq(B) ; GB0-A-7671
(ucs-set-char #x9CB5 ?$Avr(B) ; GB0-A-7672
(ucs-set-char #x9CB6 ?$Avs(B) ; GB0-A-7673
(ucs-set-char #x9CB7 ?$Avt(B) ; GB0-A-7674
(ucs-set-char #x9CB8 ?$A>((B) ; GB0-A-3E28
(ucs-set-char #x9CBA ?$Avu(B) ; GB0-A-7675
(ucs-set-char #x9CBB ?$Avv(B) ; GB0-A-7676
(ucs-set-char #x9CBC ?$Avw(B) ; GB0-A-7677
(ucs-set-char #x9CBD ?$Avx(B) ; GB0-A-7678
(ucs-set-char #x9CC3 ?$AHz(B) ; GB0-A-487A
(ucs-set-char #x9CC4 ?$Avy(B) ; GB0-A-7679
(ucs-set-char #x9CC5 ?$Avz(B) ; GB0-A-767A
(ucs-set-char #x9CC6 ?$Av{(B) ; GB0-A-767B
(ucs-set-char #x9CC7 ?$Av|(B) ; GB0-A-767C
(ucs-set-char #x9CCA ?$Av}(B) ; GB0-A-767D
(ucs-set-char #x9CCB ?$Av~(B) ; GB0-A-767E
(ucs-set-char #x9CCC ?$Aw!(B) ; GB0-A-7721
(ucs-set-char #x9CCD ?$Aw"(B) ; GB0-A-7722
(ucs-set-char #x9CCE ?$Aw#(B) ; GB0-A-7723
(ucs-set-char #x9CCF ?$Aw$(B) ; GB0-A-7724
(ucs-set-char #x9CD0 ?$Aw%(B) ; GB0-A-7725
(ucs-set-char #x9CD3 ?$Aw&(B) ; GB0-A-7726
(ucs-set-char #x9CD4 ?$Aw'(B) ; GB0-A-7727
(ucs-set-char #x9CD5 ?$Aw((B) ; GB0-A-7728
(ucs-set-char #x9CD6 ?$A1n(B) ; GB0-A-316E
(ucs-set-char #x9CD7 ?$Aw)(B) ; GB0-A-7729
(ucs-set-char #x9CD8 ?$Aw*(B) ; GB0-A-772A
(ucs-set-char #x9CD9 ?$Aw+(B) ; GB0-A-772B
(ucs-set-char #x9CDC ?$Aw,(B) ; GB0-A-772C
(ucs-set-char #x9CDD ?$Aw-(B) ; GB0-A-772D
(ucs-set-char #x9CDE ?$AA[(B) ; GB0-A-415B
(ucs-set-char #x9CDF ?$Aw.(B) ; GB0-A-772E
(ucs-set-char #x9CE2 ?$Aw/(B) ; GB0-A-772F
(ucs-set-char #x9CE5 ?$(Cph(B) ; KS0-C-7068
(ucs-set-char #x9CE5 ?$(G^$(B) ; C01-G-5E24
(ucs-set-char #x9CE5 ?$@D;(B) ; J78-@-443B
(ucs-set-char #x9CE5 ?$BD;(B) ; J83-B-443B
(ucs-set-char #x9CE6 ?$(DkY(B) ; J90-D-6B59
(ucs-set-char #x9CE6 ?$(HAT(B) ; C02-H-4154
(ucs-set-char #x9CE7 ?$(C]@(B) ; KS0-C-5D40
(ucs-set-char #x9CE7 ?$(HHs(B) ; C02-H-4873
(ucs-set-char #x9CE7 ?$@rj(B) ; J78-@-726A
(ucs-set-char #x9CE7 ?$Brj(B) ; J83-B-726A
(ucs-set-char #x9CE8 ?$(IEd(B) ; C03-I-4564
(ucs-set-char #x9CE9 ?$(COM(B) ; KS0-C-4F4D
(ucs-set-char #x9CE9 ?$(Ggm(B) ; C01-G-676D
(ucs-set-char #x9CE9 ?$@H7(B) ; J78-@-4837
(ucs-set-char #x9CE9 ?$BH7(B) ; J83-B-4837
(ucs-set-char #x9CEA ?$(HHq(B) ; C02-H-4871
(ucs-set-char #x9CEB ?$(IEf(B) ; C03-I-4566
(ucs-set-char #x9CEB ?$@ro(B) ; J78-@-726F
(ucs-set-char #x9CEB ?$Bro(B) ; J83-B-726F
(ucs-set-char #x9CEC ?$(I/B(B) ; C03-I-2F42
(ucs-set-char #x9CEC ?$@rk(B) ; J78-@-726B
(ucs-set-char #x9CEC ?$Brk(B) ; J83-B-726B
(ucs-set-char #x9CED ?$(HHr(B) ; C02-H-4872
(ucs-set-char #x9CEE ?$(IEh(B) ; C03-I-4568
(ucs-set-char #x9CEF ?$(IEg(B) ; C03-I-4567
(ucs-set-char #x9CF0 ?$@rl(B) ; J78-@-726C
(ucs-set-char #x9CF0 ?$Brl(B) ; J83-B-726C
(ucs-set-char #x9CF1 ?$(HOJ(B) ; C02-H-4F4A
(ucs-set-char #x9CF2 ?$(DkZ(B) ; J90-D-6B5A
(ucs-set-char #x9CF2 ?$(HOK(B) ; C02-H-4F4B
(ucs-set-char #x9CF3 ?$(C\s(B) ; KS0-C-5C73
(ucs-set-char #x9CF3 ?$(Gkz(B) ; C01-G-6B7A
(ucs-set-char #x9CF3 ?$@K1(B) ; J78-@-4B31
(ucs-set-char #x9CF3 ?$BK1(B) ; J83-B-4B31
(ucs-set-char #x9CF4 ?$(CY0(B) ; KS0-C-5930
(ucs-set-char #x9CF4 ?$(Gkx(B) ; C01-G-6B78
(ucs-set-char #x9CF4 ?$@LD(B) ; J78-@-4C44
(ucs-set-char #x9CF4 ?$BLD(B) ; J83-B-4C44
(ucs-set-char #x9CF5 ?$(HOL(B) ; C02-H-4F4C
(ucs-set-char #x9CF6 ?$(Cfi(B) ; KS0-C-6669
(ucs-set-char #x9CF6 ?$(Gky(B) ; C01-G-6B79
(ucs-set-char #x9CF6 ?$@FP(B) ; J78-@-4650
(ucs-set-char #x9CF6 ?$BFP(B) ; J83-B-4650
(ucs-set-char #x9CF7 ?$(Dk[(B) ; J90-D-6B5B
(ucs-set-char #x9CF7 ?$(HV3(B) ; C02-H-5633
(ucs-set-char #x9CF8 ?$(IP'(B) ; C03-I-5027
(ucs-set-char #x9CF9 ?$(Dk\(B) ; J90-D-6B5C
(ucs-set-char #x9CF9 ?$(HV6(B) ; C02-H-5636
(ucs-set-char #x9CFA ?$(HV0(B) ; C02-H-5630
(ucs-set-char #x9CFB ?$(HV7(B) ; C02-H-5637
(ucs-set-char #x9CFC ?$(HV/(B) ; C02-H-562F
(ucs-set-char #x9CFD ?$(HV1(B) ; C02-H-5631
(ucs-set-char #x9CFE ?$(IP*(B) ; C03-I-502A
(ucs-set-char #x9CFF ?$(HV2(B) ; C02-H-5632
(ucs-set-char #x9D00 ?$(HV5(B) ; C02-H-5635
(ucs-set-char #x9D01 ?$(IP$(B) ; C03-I-5024
(ucs-set-char #x9D02 ?$(Dk^(B) ; J90-D-6B5E
(ucs-set-char #x9D02 ?$(IP+(B) ; C03-I-502B
(ucs-set-char #x9D03 ?$(Gp*(B) ; C01-G-702A
(ucs-set-char #x9D03 ?$@rp(B) ; J78-@-7270
(ucs-set-char #x9D03 ?$Brp(B) ; J83-B-7270
(ucs-set-char #x9D04 ?$(HV:(B) ; C02-H-563A
(ucs-set-char #x9D05 ?$(HV9(B) ; C02-H-5639
(ucs-set-char #x9D06 ?$(Gp((B) ; C01-G-7028
(ucs-set-char #x9D06 ?$@rq(B) ; J78-@-7271
(ucs-set-char #x9D06 ?$Brq(B) ; J83-B-7271
(ucs-set-char #x9D07 ?$(HV4(B) ; C02-H-5634
(ucs-set-char #x9D07 ?$@F>(B) ; J78-@-463E
(ucs-set-char #x9D07 ?$BF>(B) ; J83-B-463E
(ucs-set-char #x9D08 ?$(HV8(B) ; C02-H-5638
(ucs-set-char #x9D08 ?$@rn(B) ; J78-@-726E
(ucs-set-char #x9D08 ?$Brn(B) ; J83-B-726E
(ucs-set-char #x9D09 ?$(Cd<(B) ; KS0-C-643C
(ucs-set-char #x9D09 ?$(Gp)(B) ; C01-G-7029
(ucs-set-char #x9D09 ?$@rm(B) ; J78-@-726D
(ucs-set-char #x9D09 ?$Brm(B) ; J83-B-726D
(ucs-set-char #x9D0A ?$(IT-(B) ; C03-I-542D
(ucs-set-char #x9D0B ?$(Dk](B) ; J90-D-6B5D
(ucs-set-char #x9D0B ?$(JOB(B) ; C04-J-4F42
(ucs-set-char #x9D0C ?$(IP%(B) ; C03-I-5025
(ucs-set-char #x9D0D ?$(IP"(B) ; C03-I-5022
(ucs-set-char #x9D0E ?$B2*(B) ; J83-B-322A
(ucs-set-char #x9D0F ?$(IT*(B) ; C03-I-542A
(ucs-set-char #x9D10 ?$(H\8(B) ; C02-H-5C38
(ucs-set-char #x9D11 ?$(Dk_(B) ; J90-D-6B5F
(ucs-set-char #x9D11 ?$(JUR(B) ; C04-J-5552
(ucs-set-char #x9D12 ?$(Gs:(B) ; C01-G-733A
(ucs-set-char #x9D12 ?$@ry(B) ; J78-@-7279
(ucs-set-char #x9D12 ?$Bry(B) ; J83-B-7279
(ucs-set-char #x9D13 ?$(IT,(B) ; C03-I-542C
(ucs-set-char #x9D14 ?$(H\3(B) ; C02-H-5C33
(ucs-set-char #x9D15 ?$(Gs6(B) ; C01-G-7336
(ucs-set-char #x9D15 ?$@rx(B) ; J78-@-7278
(ucs-set-char #x9D15 ?$Brx(B) ; J83-B-7278
(ucs-set-char #x9D16 ?$(IT6(B) ; C03-I-5436
(ucs-set-char #x9D17 ?$(Dk`(B) ; J90-D-6B60
(ucs-set-char #x9D17 ?$(H\0(B) ; C02-H-5C30
(ucs-set-char #x9D18 ?$(Dka(B) ; J90-D-6B61
(ucs-set-char #x9D18 ?$(H\6(B) ; C02-H-5C36
(ucs-set-char #x9D19 ?$(H\9(B) ; C02-H-5C39
(ucs-set-char #x9D1A ?$(IT3(B) ; C03-I-5433
(ucs-set-char #x9D1B ?$(CjD(B) ; KS0-C-6A44
(ucs-set-char #x9D1B ?$(Gs;(B) ; C01-G-733B
(ucs-set-char #x9D1B ?$@1u(B) ; J78-@-3175
(ucs-set-char #x9D1B ?$B1u(B) ; J83-B-3175
(ucs-set-char #x9D1C ?$(Dkb(B) ; J90-D-6B62
(ucs-set-char #x9D1C ?$(JZN(B) ; C04-J-5A4E
(ucs-set-char #x9D1D ?$(Dkc(B) ; J90-D-6B63
(ucs-set-char #x9D1D ?$(H\5(B) ; C02-H-5C35
(ucs-set-char #x9D1E ?$(Dkd(B) ; J90-D-6B64
(ucs-set-char #x9D1E ?$(H\2(B) ; C02-H-5C32
(ucs-set-char #x9D1F ?$(H\:(B) ; C02-H-5C3A
(ucs-set-char #x9D1F ?$@rv(B) ; J78-@-7276
(ucs-set-char #x9D1F ?$Brv(B) ; J83-B-7276
(ucs-set-char #x9D20 ?$(H\1(B) ; C02-H-5C31
(ucs-set-char #x9D21 ?$(IT7(B) ; C03-I-5437
(ucs-set-char #x9D22 ?$(H\7(B) ; C02-H-5C37
(ucs-set-char #x9D23 ?$(Gs7(B) ; C01-G-7337
(ucs-set-char #x9D23 ?$@ru(B) ; J78-@-7275
(ucs-set-char #x9D23 ?$Bru(B) ; J83-B-7275
(ucs-set-char #x9D24 ?$(IT)(B) ; C03-I-5429
(ucs-set-char #x9D25 ?$(H\/(B) ; C02-H-5C2F
(ucs-set-char #x9D26 ?$(Cdl(B) ; KS0-C-646C
(ucs-set-char #x9D26 ?$(Gs8(B) ; C01-G-7338
(ucs-set-char #x9D26 ?$@rs(B) ; J78-@-7273
(ucs-set-char #x9D26 ?$Brs(B) ; J83-B-7273
(ucs-set-char #x9D27 ?$(IT5(B) ; C03-I-5435
(ucs-set-char #x9D28 ?$(Cde(B) ; KS0-C-6465
(ucs-set-char #x9D28 ?$(Gs9(B) ; C01-G-7339
(ucs-set-char #x9D28 ?$@3{(B) ; J78-@-337B
(ucs-set-char #x9D28 ?$B3{(B) ; J83-B-337B
(ucs-set-char #x9D29 ?$(H\4(B) ; C02-H-5C34
(ucs-set-char #x9D2A ?$(IT2(B) ; C03-I-5432
(ucs-set-char #x9D2A ?$@rr(B) ; J78-@-7272
(ucs-set-char #x9D2A ?$Brr(B) ; J83-B-7272
(ucs-set-char #x9D2B ?$@<2(B) ; J78-@-3C32
(ucs-set-char #x9D2B ?$B<2(B) ; J83-B-3C32
(ucs-set-char #x9D2C ?$@rt(B) ; J78-@-7274
(ucs-set-char #x9D2C ?$B2)(B) ; J83-B-3229
(ucs-set-char #x9D2D ?$(Ha5(B) ; C02-H-6135
(ucs-set-char #x9D2E ?$(Ha((B) ; C02-H-6128
(ucs-set-char #x9D2F ?$(Dke(B) ; J90-D-6B65
(ucs-set-char #x9D2F ?$(Ha)(B) ; C02-H-6129
(ucs-set-char #x9D30 ?$(Dkf(B) ; J90-D-6B66
(ucs-set-char #x9D30 ?$(Ha,(B) ; C02-H-612C
(ucs-set-char #x9D31 ?$(Ha*(B) ; C02-H-612A
(ucs-set-char #x9D32 ?$(Dkg(B) ; J90-D-6B67
(ucs-set-char #x9D32 ?$(JZU(B) ; C04-J-5A55
(ucs-set-char #x9D33 ?$(Dkh(B) ; J90-D-6B68
(ucs-set-char #x9D33 ?$(Ha$(B) ; C02-H-6124
(ucs-set-char #x9D34 ?$(Dki(B) ; J90-D-6B69
(ucs-set-char #x9D34 ?$(JZV(B) ; C04-J-5A56
(ucs-set-char #x9D35 ?$(IWM(B) ; C03-I-574D
(ucs-set-char #x9D36 ?$(Ha'(B) ; C02-H-6127
(ucs-set-char #x9D37 ?$(Ha1(B) ; C02-H-6131
(ucs-set-char #x9D38 ?$(Ha+(B) ; C02-H-612B
(ucs-set-char #x9D39 ?$(IWH(B) ; C03-I-5748
(ucs-set-char #x9D3A ?$(Dkj(B) ; J90-D-6B6A
(ucs-set-char #x9D3A ?$(JZO(B) ; C04-J-5A4F
(ucs-set-char #x9D3B ?$(C{x(B) ; KS0-C-7B78
(ucs-set-char #x9D3B ?$(Gv1(B) ; C01-G-7631
(ucs-set-char #x9D3B ?$@9c(B) ; J78-@-3963
(ucs-set-char #x9D3B ?$B9c(B) ; J83-B-3963
(ucs-set-char #x9D3C ?$(Dkk(B) ; J90-D-6B6B
(ucs-set-char #x9D3C ?$(JZM(B) ; C04-J-5A4D
(ucs-set-char #x9D3D ?$(Dkm(B) ; J90-D-6B6D
(ucs-set-char #x9D3D ?$(Ha3(B) ; C02-H-6133
(ucs-set-char #x9D3E ?$(Ha0(B) ; C02-H-6130
(ucs-set-char #x9D3E ?$@r|(B) ; J78-@-727C
(ucs-set-char #x9D3E ?$Br|(B) ; J83-B-727C
(ucs-set-char #x9D3F ?$(Gv2(B) ; C01-G-7632
(ucs-set-char #x9D3F ?$@r{(B) ; J78-@-727B
(ucs-set-char #x9D3F ?$Br{(B) ; J83-B-727B
(ucs-set-char #x9D40 ?$(Ha2(B) ; C02-H-6132
(ucs-set-char #x9D41 ?$(Ha%(B) ; C02-H-6125
(ucs-set-char #x9D41 ?$@rz(B) ; J78-@-727A
(ucs-set-char #x9D41 ?$Brz(B) ; J83-B-727A
(ucs-set-char #x9D42 ?$(Dkn(B) ; J90-D-6B6E
(ucs-set-char #x9D42 ?$(Ha.(B) ; C02-H-612E
(ucs-set-char #x9D43 ?$(Dko(B) ; J90-D-6B6F
(ucs-set-char #x9D43 ?$(Ha/(B) ; C02-H-612F
(ucs-set-char #x9D44 ?$(IWJ(B) ; C03-I-574A
(ucs-set-char #x9D44 ?$@rw(B) ; J78-@-7277
(ucs-set-char #x9D44 ?$Brw(B) ; J83-B-7277
(ucs-set-char #x9D45 ?$(Dkl(B) ; J90-D-6B6C
(ucs-set-char #x9D45 ?$(Ha-(B) ; C02-H-612D
(ucs-set-char #x9D46 ?$@r}(B) ; J78-@-727D
(ucs-set-char #x9D46 ?$Br}(B) ; J83-B-727D
(ucs-set-char #x9D47 ?$(Dkp(B) ; J90-D-6B70
(ucs-set-char #x9D48 ?$@r~(B) ; J78-@-727E
(ucs-set-char #x9D48 ?$Br~(B) ; J83-B-727E
(ucs-set-char #x9D4A ?$(Dkq(B) ; J90-D-6B71
(ucs-set-char #x9D4A ?$(Hd|(B) ; C02-H-647C
(ucs-set-char #x9D4B ?$(Hd~(B) ; C02-H-647E
(ucs-set-char #x9D4C ?$(He#(B) ; C02-H-6523
(ucs-set-char #x9D4D ?$(IYy(B) ; C03-I-5979
(ucs-set-char #x9D4E ?$(IY{(B) ; C03-I-597B
(ucs-set-char #x9D4F ?$(Hd{(B) ; C02-H-647B
(ucs-set-char #x9D50 ?$(IY}(B) ; C03-I-597D
(ucs-set-char #x9D50 ?$@s%(B) ; J78-@-7325
(ucs-set-char #x9D50 ?$Bs%(B) ; J83-B-7325
(ucs-set-char #x9D51 ?$(CL;(B) ; KS0-C-4C3B
(ucs-set-char #x9D51 ?$(Gx%(B) ; C01-G-7825
(ucs-set-char #x9D51 ?$@s$(B) ; J78-@-7324
(ucs-set-char #x9D51 ?$Bs$(B) ; J83-B-7324
(ucs-set-char #x9D52 ?$(He%(B) ; C02-H-6525
(ucs-set-char #x9D53 ?$(Dkr(B) ; J90-D-6B72
(ucs-set-char #x9D53 ?$(Hdz(B) ; C02-H-647A
(ucs-set-char #x9D54 ?$(Dks(B) ; J90-D-6B73
(ucs-set-char #x9D54 ?$(He&(B) ; C02-H-6526
(ucs-set-char #x9D55 ?$(IY~(B) ; C03-I-597E
(ucs-set-char #x9D56 ?$(He"(B) ; C02-H-6522
(ucs-set-char #x9D57 ?$(He$(B) ; C02-H-6524
(ucs-set-char #x9D58 ?$(He((B) ; C02-H-6528
(ucs-set-char #x9D59 ?$(He!(B) ; C02-H-6521
(ucs-set-char #x9D59 ?$@s&(B) ; J78-@-7326
(ucs-set-char #x9D59 ?$Bs&(B) ; J83-B-7326
(ucs-set-char #x9D5A ?$(He)(B) ; C02-H-6529
(ucs-set-char #x9D5B ?$(Hd}(B) ; C02-H-647D
(ucs-set-char #x9D5C ?$(Hdy(B) ; C02-H-6479
(ucs-set-char #x9D5C ?$@1-(B) ; J78-@-312D
(ucs-set-char #x9D5C ?$B1-(B) ; J83-B-312D
(ucs-set-char #x9D5D ?$(Cd=(B) ; KS0-C-643D
(ucs-set-char #x9D5D ?$(Gx&(B) ; C01-G-7826
(ucs-set-char #x9D5D ?$@s!(B) ; J78-@-7321
(ucs-set-char #x9D5D ?$Bs!(B) ; J83-B-7321
(ucs-set-char #x9D5E ?$(IZ"(B) ; C03-I-5A22
(ucs-set-char #x9D5E ?$@s"(B) ; J78-@-7322
(ucs-set-char #x9D5E ?$Bs"(B) ; J83-B-7322
(ucs-set-char #x9D5F ?$(Dkt(B) ; J90-D-6B74
(ucs-set-char #x9D5F ?$(He'(B) ; C02-H-6527
(ucs-set-char #x9D60 ?$(CM\(B) ; KS0-C-4D5C
(ucs-set-char #x9D60 ?$(Gx'(B) ; C01-G-7827
(ucs-set-char #x9D60 ?$@9t(B) ; J78-@-3974
(ucs-set-char #x9D60 ?$B9t(B) ; J83-B-3974
(ucs-set-char #x9D61 ?$(CYw(B) ; KS0-C-5977
(ucs-set-char #x9D61 ?$(GyY(B) ; C01-G-7959
(ucs-set-char #x9D61 ?$@L9(B) ; J78-@-4C39
(ucs-set-char #x9D61 ?$BL9(B) ; J83-B-4C39
(ucs-set-char #x9D62 ?$(Dkv(B) ; J90-D-6B76
(ucs-set-char #x9D62 ?$(J_4(B) ; C04-J-5F34
(ucs-set-char #x9D63 ?$(Dku(B) ; J90-D-6B75
(ucs-set-char #x9D63 ?$(IYz(B) ; C03-I-597A
(ucs-set-char #x9D64 ?$@s#(B) ; J78-@-7323
(ucs-set-char #x9D64 ?$Bs#(B) ; J83-B-7323
(ucs-set-char #x9D65 ?$(Dkw(B) ; J90-D-6B77
(ucs-set-char #x9D66 ?$(I[}(B) ; C03-I-5B7D
(ucs-set-char #x9D67 ?$(Ha&(B) ; C02-H-6126
(ucs-set-char #x9D68 ?$(Hh^(B) ; C02-H-685E
(ucs-set-char #x9D69 ?$(Dkx(B) ; J90-D-6B78
(ucs-set-char #x9D69 ?$(HhU(B) ; C02-H-6855
(ucs-set-char #x9D6A ?$(Dky(B) ; J90-D-6B79
(ucs-set-char #x9D6A ?$(Gy[(B) ; C01-G-795B
(ucs-set-char #x9D6B ?$(Dkz(B) ; J90-D-6B7A
(ucs-set-char #x9D6B ?$(HhQ(B) ; C02-H-6851
(ucs-set-char #x9D6C ?$(C]_(B) ; KS0-C-5D5F
(ucs-set-char #x9D6C ?$(Gy\(B) ; C01-G-795C
(ucs-set-char #x9D6C ?$@K2(B) ; J78-@-4B32
(ucs-set-char #x9D6C ?$BK2(B) ; J83-B-4B32
(ucs-set-char #x9D6D ?$(I\'(B) ; C03-I-5C27
(ucs-set-char #x9D6E ?$(I\"(B) ; C03-I-5C22
(ucs-set-char #x9D6F ?$(HhZ(B) ; C02-H-685A
(ucs-set-char #x9D6F ?$@s+(B) ; J78-@-732B
(ucs-set-char #x9D6F ?$Bs+(B) ; J83-B-732B
(ucs-set-char #x9D70 ?$(Dk{(B) ; J90-D-6B7B
(ucs-set-char #x9D70 ?$(HhT(B) ; C02-H-6854
(ucs-set-char #x9D71 ?$(HhJ(B) ; C02-H-684A
(ucs-set-char #x9D72 ?$(CmN(B) ; KS0-C-6D4E
(ucs-set-char #x9D72 ?$(GyZ(B) ; C01-G-795A
(ucs-set-char #x9D72 ?$@s'(B) ; J78-@-7327
(ucs-set-char #x9D72 ?$Bs'(B) ; J83-B-7327
(ucs-set-char #x9D73 ?$(HhW(B) ; C02-H-6857
(ucs-set-char #x9D74 ?$(HhR(B) ; C02-H-6852
(ucs-set-char #x9D75 ?$(HhS(B) ; C02-H-6853
(ucs-set-char #x9D76 ?$(Dk|(B) ; J90-D-6B7C
(ucs-set-char #x9D76 ?$(I\%(B) ; C03-I-5C25
(ucs-set-char #x9D77 ?$(Dk}(B) ; J90-D-6B7D
(ucs-set-char #x9D77 ?$(HhE(B) ; C02-H-6845
(ucs-set-char #x9D78 ?$(HhL(B) ; C02-H-684C
(ucs-set-char #x9D79 ?$(Hh[(B) ; C02-H-685B
(ucs-set-char #x9D7A ?$(I[~(B) ; C03-I-5B7E
(ucs-set-char #x9D7A ?$@s,(B) ; J78-@-732C
(ucs-set-char #x9D7A ?$Bs,(B) ; J83-B-732C
(ucs-set-char #x9D7B ?$(Dk~(B) ; J90-D-6B7E
(ucs-set-char #x9D7B ?$(HhX(B) ; C02-H-6858
(ucs-set-char #x9D7C ?$(Dl!(B) ; J90-D-6C21
(ucs-set-char #x9D7C ?$(Kk?(B) ; C05-K-6B3F
(ucs-set-char #x9D7D ?$(HhP(B) ; C02-H-6850
(ucs-set-char #x9D7E ?$(Dl"(B) ; J90-D-6C22
(ucs-set-char #x9D7E ?$(I\&(B) ; C03-I-5C26
(ucs-set-char #x9D7F ?$(Hh\(B) ; C02-H-685C
(ucs-set-char #x9D80 ?$(HhK(B) ; C02-H-684B
(ucs-set-char #x9D81 ?$(HhF(B) ; C02-H-6846
(ucs-set-char #x9D82 ?$(HhY(B) ; C02-H-6859
(ucs-set-char #x9D83 ?$(Dl#(B) ; J90-D-6C23
(ucs-set-char #x9D83 ?$(I\$(B) ; C03-I-5C24
(ucs-set-char #x9D84 ?$(Dl$(B) ; J90-D-6C24
(ucs-set-char #x9D84 ?$(HhH(B) ; C02-H-6848
(ucs-set-char #x9D85 ?$(HhV(B) ; C02-H-6856
(ucs-set-char #x9D86 ?$(Dl%(B) ; J90-D-6C25
(ucs-set-char #x9D86 ?$(HhM(B) ; C02-H-684D
(ucs-set-char #x9D87 ?$(Hh](B) ; C02-H-685D
(ucs-set-char #x9D87 ?$@s)(B) ; J78-@-7329
(ucs-set-char #x9D87 ?$Bs)(B) ; J83-B-7329
(ucs-set-char #x9D88 ?$(HhI(B) ; C02-H-6849
(ucs-set-char #x9D89 ?$(GyX(B) ; C01-G-7958
(ucs-set-char #x9D89 ?$@s((B) ; J78-@-7328
(ucs-set-char #x9D89 ?$Bs((B) ; J83-B-7328
(ucs-set-char #x9D8A ?$(Dl&(B) ; J90-D-6C26
(ucs-set-char #x9D8A ?$(HhG(B) ; C02-H-6847
(ucs-set-char #x9D8B ?$(HhN(B) ; C02-H-684E
(ucs-set-char #x9D8C ?$(HhO(B) ; C02-H-684F
(ucs-set-char #x9D8D ?$(Dl'(B) ; J90-D-6C27
(ucs-set-char #x9D8E ?$(Dl((B) ; J90-D-6C28
(ucs-set-char #x9D8F ?$@7\(B) ; J78-@-375C
(ucs-set-char #x9D8F ?$B7\(B) ; J83-B-375C
(ucs-set-char #x9D90 ?$(Hk-(B) ; C02-H-6B2D
(ucs-set-char #x9D91 ?$(I\#(B) ; C03-I-5C23
(ucs-set-char #x9D92 ?$(Dl)(B) ; J90-D-6C29
(ucs-set-char #x9D92 ?$(Hk+(B) ; C02-H-6B2B
(ucs-set-char #x9D93 ?$(Dl*(B) ; J90-D-6C2A
(ucs-set-char #x9D93 ?$(Jei(B) ; C04-J-6569
(ucs-set-char #x9D94 ?$(Hk0(B) ; C02-H-6B30
(ucs-set-char #x9D95 ?$(Dl+(B) ; J90-D-6C2B
(ucs-set-char #x9D95 ?$(I]y(B) ; C03-I-5D79
(ucs-set-char #x9D96 ?$(Dl,(B) ; J90-D-6C2C
(ucs-set-char #x9D96 ?$(Hk<(B) ; C02-H-6B3C
(ucs-set-char #x9D97 ?$(Dl-(B) ; J90-D-6C2D
(ucs-set-char #x9D97 ?$(Hk3(B) ; C02-H-6B33
(ucs-set-char #x9D98 ?$(Dl.(B) ; J90-D-6C2E
(ucs-set-char #x9D98 ?$(Hk,(B) ; C02-H-6B2C
(ucs-set-char #x9D99 ?$(Hk((B) ; C02-H-6B28
(ucs-set-char #x9D9A ?$(Hk5(B) ; C02-H-6B35
(ucs-set-char #x9D9A ?$@s-(B) ; J78-@-732D
(ucs-set-char #x9D9A ?$Bs-(B) ; J83-B-732D
(ucs-set-char #x9D9B ?$(Hk.(B) ; C02-H-6B2E
(ucs-set-char #x9D9C ?$(Hk1(B) ; C02-H-6B31
(ucs-set-char #x9D9D ?$(Hk*(B) ; C02-H-6B2A
(ucs-set-char #x9D9E ?$(Hk8(B) ; C02-H-6B38
(ucs-set-char #x9D9F ?$(Hk'(B) ; C02-H-6B27
(ucs-set-char #x9DA0 ?$(Hk/(B) ; C02-H-6B2F
(ucs-set-char #x9DA1 ?$(Dl/(B) ; J90-D-6C2F
(ucs-set-char #x9DA1 ?$(Hk4(B) ; C02-H-6B34
(ucs-set-char #x9DA2 ?$(Hk6(B) ; C02-H-6B36
(ucs-set-char #x9DA3 ?$(Hk9(B) ; C02-H-6B39
(ucs-set-char #x9DA4 ?$(Hk)(B) ; C02-H-6B29
(ucs-set-char #x9DA4 ?$@s.(B) ; J78-@-732E
(ucs-set-char #x9DA4 ?$Bs.(B) ; J83-B-732E
(ucs-set-char #x9DA5 ?$(I]z(B) ; C03-I-5D7A
(ucs-set-char #x9DA6 ?$(Hk=(B) ; C02-H-6B3D
(ucs-set-char #x9DA7 ?$(Hk>(B) ; C02-H-6B3E
(ucs-set-char #x9DA8 ?$(Hk7(B) ; C02-H-6B37
(ucs-set-char #x9DA9 ?$(CYP(B) ; KS0-C-5950
(ucs-set-char #x9DA9 ?$(Hk;(B) ; C02-H-6B3B
(ucs-set-char #x9DA9 ?$@s/(B) ; J78-@-732F
(ucs-set-char #x9DA9 ?$Bs/(B) ; J83-B-732F
(ucs-set-char #x9DAA ?$(Dl0(B) ; J90-D-6C30
(ucs-set-char #x9DAA ?$(Hk2(B) ; C02-H-6B32
(ucs-set-char #x9DAB ?$@s*(B) ; J78-@-732A
(ucs-set-char #x9DAB ?$Bs*(B) ; J83-B-732A
(ucs-set-char #x9DAC ?$(Dl1(B) ; J90-D-6C31
(ucs-set-char #x9DAC ?$(Hm/(B) ; C02-H-6D2F
(ucs-set-char #x9DAD ?$(Hm2(B) ; C02-H-6D32
(ucs-set-char #x9DAE ?$(Dl2(B) ; J90-D-6C32
(ucs-set-char #x9DAE ?$(I_5(B) ; C03-I-5F35
(ucs-set-char #x9DAF ?$(Ce#(B) ; KS0-C-6523
(ucs-set-char #x9DAF ?$(G{M(B) ; C01-G-7B4D
(ucs-set-char #x9DAF ?$@2)(B) ; J78-@-3229
(ucs-set-char #x9DAF ?$Brt(B) ; J83-B-7274
(ucs-set-char #x9DB0 ?$(I_1(B) ; C03-I-5F31
(ucs-set-char #x9DB1 ?$(Dl3(B) ; J90-D-6C33
(ucs-set-char #x9DB1 ?$(Hm1(B) ; C02-H-6D31
(ucs-set-char #x9DB2 ?$(Hm6(B) ; C02-H-6D36
(ucs-set-char #x9DB2 ?$@s0(B) ; J78-@-7330
(ucs-set-char #x9DB2 ?$Bs0(B) ; J83-B-7330
(ucs-set-char #x9DB3 ?$(Hm4(B) ; C02-H-6D34
(ucs-set-char #x9DB4 ?$(CyM(B) ; KS0-C-794D
(ucs-set-char #x9DB4 ?$(G{N(B) ; C01-G-7B4E
(ucs-set-char #x9DB4 ?$@Da(B) ; J78-@-4461
(ucs-set-char #x9DB4 ?$BDa(B) ; J83-B-4461
(ucs-set-char #x9DB5 ?$(Dl4(B) ; J90-D-6C34
(ucs-set-char #x9DB5 ?$(Hm+(B) ; C02-H-6D2B
(ucs-set-char #x9DB6 ?$(Hm!(B) ; C02-H-6D21
(ucs-set-char #x9DB7 ?$(Hl~(B) ; C02-H-6C7E
(ucs-set-char #x9DB8 ?$(G{P(B) ; C01-G-7B50
(ucs-set-char #x9DB8 ?$@s4(B) ; J78-@-7334
(ucs-set-char #x9DB8 ?$Bs4(B) ; J83-B-7334
(ucs-set-char #x9DB9 ?$(Dl5(B) ; J90-D-6C35
(ucs-set-char #x9DB9 ?$(Hm-(B) ; C02-H-6D2D
(ucs-set-char #x9DBA ?$(Hm.(B) ; C02-H-6D2E
(ucs-set-char #x9DBA ?$@s5(B) ; J78-@-7335
(ucs-set-char #x9DBA ?$Bs5(B) ; J83-B-7335
(ucs-set-char #x9DBB ?$(Hm*(B) ; C02-H-6D2A
(ucs-set-char #x9DBB ?$@s3(B) ; J78-@-7333
(ucs-set-char #x9DBB ?$Bs3(B) ; J83-B-7333
(ucs-set-char #x9DBC ?$(Dl6(B) ; J90-D-6C36
(ucs-set-char #x9DBC ?$(Hm"(B) ; C02-H-6D22
(ucs-set-char #x9DBD ?$(I_2(B) ; C03-I-5F32
(ucs-set-char #x9DBE ?$(Hm'(B) ; C02-H-6D27
(ucs-set-char #x9DBF ?$(Dl7(B) ; J90-D-6C37
(ucs-set-char #x9DBF ?$(Hk:(B) ; C02-H-6B3A
(ucs-set-char #x9DC0 ?$(JhC(B) ; C04-J-6843
(ucs-set-char #x9DC1 ?$(Hm#(B) ; C02-H-6D23
(ucs-set-char #x9DC1 ?$@s2(B) ; J78-@-7332
(ucs-set-char #x9DC1 ?$Bs2(B) ; J83-B-7332
(ucs-set-char #x9DC2 ?$(G{O(B) ; C01-G-7B4F
(ucs-set-char #x9DC2 ?$@s8(B) ; J78-@-7338
(ucs-set-char #x9DC2 ?$Bs8(B) ; J83-B-7338
(ucs-set-char #x9DC3 ?$(Dl8(B) ; J90-D-6C38
(ucs-set-char #x9DC3 ?$(Hm)(B) ; C02-H-6D29
(ucs-set-char #x9DC4 ?$(CM.(B) ; KS0-C-4D2E
(ucs-set-char #x9DC4 ?$(I_6(B) ; C03-I-5F36
(ucs-set-char #x9DC4 ?$@s1(B) ; J78-@-7331
(ucs-set-char #x9DC4 ?$Bs1(B) ; J83-B-7331
(ucs-set-char #x9DC5 ?$(Hm((B) ; C02-H-6D28
(ucs-set-char #x9DC6 ?$@s6(B) ; J78-@-7336
(ucs-set-char #x9DC6 ?$Bs6(B) ; J83-B-7336
(ucs-set-char #x9DC7 ?$(Dl9(B) ; J90-D-6C39
(ucs-set-char #x9DC7 ?$(Hm$(B) ; C02-H-6D24
(ucs-set-char #x9DC8 ?$(Hm0(B) ; C02-H-6D30
(ucs-set-char #x9DC9 ?$(Dl:(B) ; J90-D-6C3A
(ucs-set-char #x9DC9 ?$(JhD(B) ; C04-J-6844
(ucs-set-char #x9DCA ?$(Dl;(B) ; J90-D-6C3B
(ucs-set-char #x9DCA ?$(Hm%(B) ; C02-H-6D25
(ucs-set-char #x9DCB ?$(Hnh(B) ; C02-H-6E68
(ucs-set-char #x9DCC ?$(Hm3(B) ; C02-H-6D33
(ucs-set-char #x9DCD ?$(Hm5(B) ; C02-H-6D35
(ucs-set-char #x9DCE ?$(Hm,(B) ; C02-H-6D2C
(ucs-set-char #x9DCF ?$(Hm&(B) ; C02-H-6D26
(ucs-set-char #x9DCF ?$@s7(B) ; J78-@-7337
(ucs-set-char #x9DCF ?$Bs7(B) ; J83-B-7337
(ucs-set-char #x9DD0 ?$(Hni(B) ; C02-H-6E69
(ucs-set-char #x9DD1 ?$(Hnk(B) ; C02-H-6E6B
(ucs-set-char #x9DD2 ?$(Hne(B) ; C02-H-6E65
(ucs-set-char #x9DD3 ?$(G|.(B) ; C01-G-7C2E
(ucs-set-char #x9DD3 ?$@s:(B) ; J78-@-733A
(ucs-set-char #x9DD3 ?$Bs:(B) ; J83-B-733A
(ucs-set-char #x9DD4 ?$(Dl<(B) ; J90-D-6C3C
(ucs-set-char #x9DD4 ?$(Jj%(B) ; C04-J-6A25
(ucs-set-char #x9DD5 ?$(Dl=(B) ; J90-D-6C3D
(ucs-set-char #x9DD5 ?$(Hnr(B) ; C02-H-6E72
(ucs-set-char #x9DD6 ?$(Dl>(B) ; J90-D-6C3E
(ucs-set-char #x9DD6 ?$(Hnp(B) ; C02-H-6E70
(ucs-set-char #x9DD7 ?$(CON(B) ; KS0-C-4F4E
(ucs-set-char #x9DD7 ?$(Dl?(B) ; J90-D-6C3F
(ucs-set-char #x9DD7 ?$(G|/(B) ; C01-G-7C2F
(ucs-set-char #x9DD7 ?$@2*(B) ; J78-@-322A
(ucs-set-char #x9DD8 ?$(Hno(B) ; C02-H-6E6F
(ucs-set-char #x9DD9 ?$(Hnn(B) ; C02-H-6E6E
(ucs-set-char #x9DD9 ?$@s9(B) ; J78-@-7339
(ucs-set-char #x9DD9 ?$Bs9(B) ; J83-B-7339
(ucs-set-char #x9DDA ?$(Dl@(B) ; J90-D-6C40
(ucs-set-char #x9DDA ?$(Hng(B) ; C02-H-6E67
(ucs-set-char #x9DDB ?$(Hnd(B) ; C02-H-6E64
(ucs-set-char #x9DDC ?$(Hnj(B) ; C02-H-6E6A
(ucs-set-char #x9DDD ?$(Hns(B) ; C02-H-6E73
(ucs-set-char #x9DDE ?$(DlA(B) ; J90-D-6C41
(ucs-set-char #x9DDE ?$(Hnf(B) ; C02-H-6E66
(ucs-set-char #x9DDF ?$(DlB(B) ; J90-D-6C42
(ucs-set-char #x9DDF ?$(Hnl(B) ; C02-H-6E6C
(ucs-set-char #x9DE0 ?$(DlC(B) ; J90-D-6C43
(ucs-set-char #x9DE0 ?$(KuE(B) ; C05-K-7545
(ucs-set-char #x9DE1 ?$(How(B) ; C02-H-6F77
(ucs-set-char #x9DE2 ?$(Ho|(B) ; C02-H-6F7C
(ucs-set-char #x9DE3 ?$(Hor(B) ; C02-H-6F72
(ucs-set-char #x9DE4 ?$(Hou(B) ; C02-H-6F75
(ucs-set-char #x9DE5 ?$(DlD(B) ; J90-D-6C44
(ucs-set-char #x9DE5 ?$(G|Z(B) ; C01-G-7C5A
(ucs-set-char #x9DE6 ?$(Hoy(B) ; C02-H-6F79
(ucs-set-char #x9DE6 ?$@s<(B) ; J78-@-733C
(ucs-set-char #x9DE6 ?$Bs<(B) ; J83-B-733C
(ucs-set-char #x9DE7 ?$(DlE(B) ; J90-D-6C45
(ucs-set-char #x9DE7 ?$(JkF(B) ; C04-J-6B46
(ucs-set-char #x9DE8 ?$(Hp"(B) ; C02-H-7022
(ucs-set-char #x9DE9 ?$(DlF(B) ; J90-D-6C46
(ucs-set-char #x9DE9 ?$(Hnm(B) ; C02-H-6E6D
(ucs-set-char #x9DEA ?$(JkJ(B) ; C04-J-6B4A
(ucs-set-char #x9DEB ?$(DlG(B) ; J90-D-6C47
(ucs-set-char #x9DEB ?$(Hos(B) ; C02-H-6F73
(ucs-set-char #x9DEC ?$(Ho}(B) ; C02-H-6F7D
(ucs-set-char #x9DED ?$(Hp#(B) ; C02-H-7023
(ucs-set-char #x9DED ?$@s=(B) ; J78-@-733D
(ucs-set-char #x9DED ?$Bs=(B) ; J83-B-733D
(ucs-set-char #x9DEE ?$(DlH(B) ; J90-D-6C48
(ucs-set-char #x9DEE ?$(Hox(B) ; C02-H-6F78
(ucs-set-char #x9DEF ?$(Hoq(B) ; C02-H-6F71
(ucs-set-char #x9DEF ?$@s>(B) ; J78-@-733E
(ucs-set-char #x9DEF ?$Bs>(B) ; J83-B-733E
(ucs-set-char #x9DF0 ?$(DlI(B) ; J90-D-6C49
(ucs-set-char #x9DF0 ?$(Ho{(B) ; C02-H-6F7B
(ucs-set-char #x9DF1 ?$(JkK(B) ; C04-J-6B4B
(ucs-set-char #x9DF2 ?$(Cv/(B) ; KS0-C-762F
(ucs-set-char #x9DF2 ?$(Hoz(B) ; C02-H-6F7A
(ucs-set-char #x9DF2 ?$@OI(B) ; J78-@-4F49
(ucs-set-char #x9DF2 ?$BOI(B) ; J83-B-4F49
(ucs-set-char #x9DF3 ?$(DlJ(B) ; J90-D-6C4A
(ucs-set-char #x9DF3 ?$(Hp!(B) ; C02-H-7021
(ucs-set-char #x9DF4 ?$(DlK(B) ; J90-D-6C4B
(ucs-set-char #x9DF4 ?$(Ho~(B) ; C02-H-6F7E
(ucs-set-char #x9DF5 ?$(Hnq(B) ; C02-H-6E71
(ucs-set-char #x9DF6 ?$(Hov(B) ; C02-H-6F76
(ucs-set-char #x9DF7 ?$(Hop(B) ; C02-H-6F70
(ucs-set-char #x9DF8 ?$(C}S(B) ; KS0-C-7D53
(ucs-set-char #x9DF8 ?$(Hot(B) ; C02-H-6F74
(ucs-set-char #x9DF8 ?$@s;(B) ; J78-@-733B
(ucs-set-char #x9DF8 ?$Bs;(B) ; J83-B-733B
(ucs-set-char #x9DF9 ?$(Ckm(B) ; KS0-C-6B6D
(ucs-set-char #x9DF9 ?$(G|y(B) ; C01-G-7C79
(ucs-set-char #x9DF9 ?$@Bk(B) ; J78-@-426B
(ucs-set-char #x9DF9 ?$BBk(B) ; J83-B-426B
(ucs-set-char #x9DFA ?$(CV\(B) ; KS0-C-565C
(ucs-set-char #x9DFA ?$(G|z(B) ; C01-G-7C7A
(ucs-set-char #x9DFA ?$@:m(B) ; J78-@-3A6D
(ucs-set-char #x9DFA ?$B:m(B) ; J83-B-3A6D
(ucs-set-char #x9DFB ?$(Hoo(B) ; C02-H-6F6F
(ucs-set-char #x9DFC ?$(I`l(B) ; C03-I-606C
(ucs-set-char #x9DFD ?$(Hpt(B) ; C02-H-7074
(ucs-set-char #x9DFD ?$@s?(B) ; J78-@-733F
(ucs-set-char #x9DFD ?$Bs?(B) ; J83-B-733F
(ucs-set-char #x9DFE ?$(DlL(B) ; J90-D-6C4C
(ucs-set-char #x9DFE ?$(Hpk(B) ; C02-H-706B
(ucs-set-char #x9DFF ?$(Hps(B) ; C02-H-7073
(ucs-set-char #x9E00 ?$(Hpp(B) ; C02-H-7070
(ucs-set-char #x9E01 ?$(Hpq(B) ; C02-H-7071
(ucs-set-char #x9E02 ?$(DlN(B) ; J90-D-6C4E
(ucs-set-char #x9E02 ?$(Hpj(B) ; C02-H-706A
(ucs-set-char #x9E03 ?$(Hpm(B) ; C02-H-706D
(ucs-set-char #x9E04 ?$(Hpu(B) ; C02-H-7075
(ucs-set-char #x9E05 ?$(Hpo(B) ; C02-H-706F
(ucs-set-char #x9E06 ?$(Hpn(B) ; C02-H-706E
(ucs-set-char #x9E07 ?$(DlO(B) ; J90-D-6C4F
(ucs-set-char #x9E07 ?$(Hpl(B) ; C02-H-706C
(ucs-set-char #x9E08 ?$(Ia5(B) ; C03-I-6135
(ucs-set-char #x9E09 ?$(Hpr(B) ; C02-H-7072
(ucs-set-char #x9E0A ?$(DlM(B) ; J90-D-6C4D
(ucs-set-char #x9E0A ?$(JlV(B) ; C04-J-6C56
(ucs-set-char #x9E0B ?$(HqL(B) ; C02-H-714C
(ucs-set-char #x9E0C ?$(Jm:(B) ; C04-J-6D3A
(ucs-set-char #x9E0D ?$(HqM(B) ; C02-H-714D
(ucs-set-char #x9E0E ?$(DlP(B) ; J90-D-6C50
(ucs-set-char #x9E0E ?$(Ia](B) ; C03-I-615D
(ucs-set-char #x9E0F ?$(HqO(B) ; C02-H-714F
(ucs-set-char #x9E10 ?$(DlQ(B) ; J90-D-6C51
(ucs-set-char #x9E10 ?$(HqN(B) ; C02-H-714E
(ucs-set-char #x9E11 ?$(DlR(B) ; J90-D-6C52
(ucs-set-char #x9E11 ?$(HqQ(B) ; C02-H-7151
(ucs-set-char #x9E12 ?$(DlS(B) ; J90-D-6C53
(ucs-set-char #x9E12 ?$(HqP(B) ; C02-H-7150
(ucs-set-char #x9E13 ?$(Hql(B) ; C02-H-716C
(ucs-set-char #x9E14 ?$(Hqk(B) ; C02-H-716B
(ucs-set-char #x9E15 ?$(DlT(B) ; J90-D-6C54
(ucs-set-char #x9E15 ?$(Hr'(B) ; C02-H-7227
(ucs-set-char #x9E16 ?$(DlU(B) ; J90-D-6C55
(ucs-set-char #x9E16 ?$(Ib)(B) ; C03-I-6229
(ucs-set-char #x9E17 ?$(Hr((B) ; C02-H-7228
(ucs-set-char #x9E18 ?$(Ib0(B) ; C03-I-6230
(ucs-set-char #x9E19 ?$(DlV(B) ; J90-D-6C56
(ucs-set-char #x9E19 ?$(Hr4(B) ; C02-H-7234
(ucs-set-char #x9E1A ?$(Ce$(B) ; KS0-C-6524
(ucs-set-char #x9E1A ?$(G}E(B) ; C01-G-7D45
(ucs-set-char #x9E1A ?$@s@(B) ; J78-@-7340
(ucs-set-char #x9E1A ?$Bs@(B) ; J83-B-7340
(ucs-set-char #x9E1B ?$(G}I(B) ; C01-G-7D49
(ucs-set-char #x9E1B ?$@sA(B) ; J78-@-7341
(ucs-set-char #x9E1B ?$BsA(B) ; J83-B-7341
(ucs-set-char #x9E1C ?$(DlW(B) ; J90-D-6C57
(ucs-set-char #x9E1C ?$(Ib8(B) ; C03-I-6238
(ucs-set-char #x9E1D ?$(DlX(B) ; J90-D-6C58
(ucs-set-char #x9E1D ?$(Hr=(B) ; C02-H-723D
(ucs-set-char #x9E1E ?$(CU6(B) ; KS0-C-5536
(ucs-set-char #x9E1E ?$(G}J(B) ; C01-G-7D4A
(ucs-set-char #x9E1E ?$@sB(B) ; J78-@-7342
(ucs-set-char #x9E1E ?$BsB(B) ; J83-B-7342
(ucs-set-char #x9E1F ?$ADq(B) ; GB0-A-4471
(ucs-set-char #x9E20 ?$Ap/(B) ; GB0-A-702F
(ucs-set-char #x9E21 ?$A<&(B) ; GB0-A-3C26
(ucs-set-char #x9E22 ?$Ap0(B) ; GB0-A-7030
(ucs-set-char #x9E23 ?$ACy(B) ; GB0-A-4379
(ucs-set-char #x9E25 ?$AE8(B) ; GB0-A-4538
(ucs-set-char #x9E26 ?$AQ;(B) ; GB0-A-513B
(ucs-set-char #x9E28 ?$Ap1(B) ; GB0-A-7031
(ucs-set-char #x9E29 ?$Ap2(B) ; GB0-A-7032
(ucs-set-char #x9E2A ?$Ap3(B) ; GB0-A-7033
(ucs-set-char #x9E2B ?$Ap4(B) ; GB0-A-7034
(ucs-set-char #x9E2C ?$Ap5(B) ; GB0-A-7035
(ucs-set-char #x9E2D ?$AQ<(B) ; GB0-A-513C
(ucs-set-char #x9E2F ?$AQl(B) ; GB0-A-516C
(ucs-set-char #x9E31 ?$Ap7(B) ; GB0-A-7037
(ucs-set-char #x9E32 ?$Ap6(B) ; GB0-A-7036
(ucs-set-char #x9E33 ?$AT'(B) ; GB0-A-5427
(ucs-set-char #x9E35 ?$AMR(B) ; GB0-A-4D52
(ucs-set-char #x9E36 ?$Ap8(B) ; GB0-A-7038
(ucs-set-char #x9E37 ?$Ap:(B) ; GB0-A-703A
(ucs-set-char #x9E38 ?$Ap9(B) ; GB0-A-7039
(ucs-set-char #x9E39 ?$Ap;(B) ; GB0-A-703B
(ucs-set-char #x9E3A ?$Ap<(B) ; GB0-A-703C
(ucs-set-char #x9E3D ?$A8k(B) ; GB0-A-386B
(ucs-set-char #x9E3E ?$Ap=(B) ; GB0-A-703D
(ucs-set-char #x9E3F ?$A:h(B) ; GB0-A-3A68
(ucs-set-char #x9E41 ?$Ap>(B) ; GB0-A-703E
(ucs-set-char #x9E42 ?$Ap?(B) ; GB0-A-703F
(ucs-set-char #x9E43 ?$A>i(B) ; GB0-A-3E69
(ucs-set-char #x9E44 ?$Ap@(B) ; GB0-A-7040
(ucs-set-char #x9E45 ?$A6l(B) ; GB0-A-366C
(ucs-set-char #x9E46 ?$ApA(B) ; GB0-A-7041
(ucs-set-char #x9E47 ?$ApB(B) ; GB0-A-7042
(ucs-set-char #x9E48 ?$ApC(B) ; GB0-A-7043
(ucs-set-char #x9E49 ?$ApD(B) ; GB0-A-7044
(ucs-set-char #x9E4A ?$AH5(B) ; GB0-A-4835
(ucs-set-char #x9E4B ?$ApE(B) ; GB0-A-7045
(ucs-set-char #x9E4C ?$ApF(B) ; GB0-A-7046
(ucs-set-char #x9E4E ?$ApG(B) ; GB0-A-7047
(ucs-set-char #x9E4F ?$AEt(B) ; GB0-A-4574
(ucs-set-char #x9E51 ?$ApH(B) ; GB0-A-7048
(ucs-set-char #x9E55 ?$ApI(B) ; GB0-A-7049
(ucs-set-char #x9E57 ?$ApJ(B) ; GB0-A-704A
(ucs-set-char #x9E58 ?$Aw=(B) ; GB0-A-773D
(ucs-set-char #x9E5A ?$ApK(B) ; GB0-A-704B
(ucs-set-char #x9E5B ?$ApL(B) ; GB0-A-704C
(ucs-set-char #x9E5C ?$ApM(B) ; GB0-A-704D
(ucs-set-char #x9E5E ?$ApN(B) ; GB0-A-704E
(ucs-set-char #x9E63 ?$ApO(B) ; GB0-A-704F
(ucs-set-char #x9E64 ?$A:W(B) ; GB0-A-3A57
(ucs-set-char #x9E66 ?$ApP(B) ; GB0-A-7050
(ucs-set-char #x9E67 ?$ApQ(B) ; GB0-A-7051
(ucs-set-char #x9E68 ?$ApR(B) ; GB0-A-7052
(ucs-set-char #x9E69 ?$ApS(B) ; GB0-A-7053
(ucs-set-char #x9E6A ?$ApT(B) ; GB0-A-7054
(ucs-set-char #x9E6B ?$ApU(B) ; GB0-A-7055
(ucs-set-char #x9E6C ?$ApV(B) ; GB0-A-7056
(ucs-set-char #x9E6D ?$ApX(B) ; GB0-A-7058
(ucs-set-char #x9E70 ?$AS%(B) ; GB0-A-5325
(ucs-set-char #x9E71 ?$ApW(B) ; GB0-A-7057
(ucs-set-char #x9E73 ?$ApY(B) ; GB0-A-7059
(ucs-set-char #x9E75 ?$(CV](B) ; KS0-C-565D
(ucs-set-char #x9E75 ?$(G^%(B) ; C01-G-5E25
(ucs-set-char #x9E75 ?$@sC(B) ; J78-@-7343
(ucs-set-char #x9E75 ?$BsC(B) ; J83-B-7343
(ucs-set-char #x9E76 ?$(JOH(B) ; C04-J-4F48
(ucs-set-char #x9E77 ?$(KZ[(B) ; C05-K-5A5B
(ucs-set-char #x9E78 ?$B84(B) ; J83-B-3834
(ucs-set-char #x9E79 ?$(Cyi(B) ; KS0-C-7969
(ucs-set-char #x9E79 ?$(Gz[(B) ; C01-G-7A5B
(ucs-set-char #x9E79 ?$@sD(B) ; J78-@-7344
(ucs-set-char #x9E79 ?$BsD(B) ; J83-B-7344
(ucs-set-char #x9E7A ?$(DlY(B) ; J90-D-6C59
(ucs-set-char #x9E7A ?$(Hm7(B) ; C02-H-6D37
(ucs-set-char #x9E7B ?$(DlZ(B) ; J90-D-6C5A
(ucs-set-char #x9E7B ?$(I_7(B) ; C03-I-5F37
(ucs-set-char #x9E7C ?$(Dl[(B) ; J90-D-6C5B
(ucs-set-char #x9E7C ?$(G|{(B) ; C01-G-7C7B
(ucs-set-char #x9E7C ?$@84(B) ; J78-@-3834
(ucs-set-char #x9E7D ?$(Cg$(B) ; KS0-C-6724
(ucs-set-char #x9E7D ?$(G||(B) ; C01-G-7C7C
(ucs-set-char #x9E7D ?$@sE(B) ; J78-@-7345
(ucs-set-char #x9E7D ?$BsE(B) ; J83-B-7345
(ucs-set-char #x9E7E ?$Au:(B) ; GB0-A-753A
(ucs-set-char #x9E7F ?$(CVc(B) ; KS0-C-5663
(ucs-set-char #x9E7F ?$(G^&(B) ; C01-G-5E26
(ucs-set-char #x9E7F ?$@</(B) ; J78-@-3C2F
(ucs-set-char #x9E7F ?$AB9(B) ; GB0-A-4239
(ucs-set-char #x9E7F ?$B</(B) ; J83-B-3C2F
(ucs-set-char #x9E80 ?$(Dl\(B) ; J90-D-6C5C
(ucs-set-char #x9E80 ?$(HHt(B) ; C02-H-4874
(ucs-set-char #x9E81 ?$(IEi(B) ; C03-I-4569
(ucs-set-char #x9E81 ?$@sF(B) ; J78-@-7346
(ucs-set-char #x9E81 ?$BsF(B) ; J83-B-7346
(ucs-set-char #x9E82 ?$(Dl](B) ; J90-D-6C5D
(ucs-set-char #x9E82 ?$(Ggn(B) ; C01-G-676E
(ucs-set-char #x9E82 ?$Awd(B) ; GB0-A-7764
(ucs-set-char #x9E83 ?$(Dl^(B) ; J90-D-6C5E
(ucs-set-char #x9E83 ?$(HV;(B) ; C02-H-563B
(ucs-set-char #x9E84 ?$(Dl_(B) ; J90-D-6C5F
(ucs-set-char #x9E84 ?$(IP,(B) ; C03-I-502C
(ucs-set-char #x9E85 ?$(Dl`(B) ; J90-D-6C60
(ucs-set-char #x9E85 ?$(IT9(B) ; C03-I-5439
(ucs-set-char #x9E86 ?$(H\<(B) ; C02-H-5C3C
(ucs-set-char #x9E87 ?$(Dla(B) ; J90-D-6C61
(ucs-set-char #x9E87 ?$(H\=(B) ; C02-H-5C3D
(ucs-set-char #x9E87 ?$Awe(B) ; GB0-A-7765
(ucs-set-char #x9E88 ?$(H\;(B) ; C02-H-5C3B
(ucs-set-char #x9E88 ?$@sG(B) ; J78-@-7347
(ucs-set-char #x9E88 ?$Awf(B) ; GB0-A-7766
(ucs-set-char #x9E88 ?$BsG(B) ; J83-B-7347
(ucs-set-char #x9E89 ?$(Ha7(B) ; C02-H-6137
(ucs-set-char #x9E8A ?$(Ha6(B) ; C02-H-6136
(ucs-set-char #x9E8B ?$(Gv3(B) ; C01-G-7633
(ucs-set-char #x9E8B ?$@sH(B) ; J78-@-7348
(ucs-set-char #x9E8B ?$Awg(B) ; GB0-A-7767
(ucs-set-char #x9E8B ?$BsH(B) ; J83-B-7348
(ucs-set-char #x9E8C ?$(He+(B) ; C02-H-652B
(ucs-set-char #x9E8C ?$@sI(B) ; J78-@-7349
(ucs-set-char #x9E8C ?$BsI(B) ; J83-B-7349
(ucs-set-char #x9E8D ?$(Ha8(B) ; C02-H-6138
(ucs-set-char #x9E8E ?$(Dlb(B) ; J90-D-6C62
(ucs-set-char #x9E8E ?$(He*(B) ; C02-H-652A
(ucs-set-char #x9E8F ?$(Dlc(B) ; J90-D-6C63
(ucs-set-char #x9E8F ?$(J_:(B) ; C04-J-5F3A
(ucs-set-char #x9E90 ?$(IZ$(B) ; C03-I-5A24
(ucs-set-char #x9E91 ?$(Hh`(B) ; C02-H-6860
(ucs-set-char #x9E91 ?$@sL(B) ; J78-@-734C
(ucs-set-char #x9E91 ?$BsL(B) ; J83-B-734C
(ucs-set-char #x9E92 ?$(CQK(B) ; KS0-C-514B
(ucs-set-char #x9E92 ?$(Gy](B) ; C01-G-795D
(ucs-set-char #x9E92 ?$@sJ(B) ; J78-@-734A
(ucs-set-char #x9E92 ?$Awh(B) ; GB0-A-7768
(ucs-set-char #x9E92 ?$BsJ(B) ; J83-B-734A
(ucs-set-char #x9E93 ?$(CVd(B) ; KS0-C-5664
(ucs-set-char #x9E93 ?$(Gy_(B) ; C01-G-795F
(ucs-set-char #x9E93 ?$@O<(B) ; J78-@-4F3C
(ucs-set-char #x9E93 ?$AB4(B) ; GB0-A-4234
(ucs-set-char #x9E93 ?$BO<(B) ; J83-B-4F3C
(ucs-set-char #x9E94 ?$(Hh_(B) ; C02-H-685F
(ucs-set-char #x9E95 ?$(I\)(B) ; C03-I-5C29
(ucs-set-char #x9E95 ?$@sK(B) ; J78-@-734B
(ucs-set-char #x9E95 ?$BsK(B) ; J83-B-734B
(ucs-set-char #x9E96 ?$(Dld(B) ; J90-D-6C64
(ucs-set-char #x9E96 ?$(Jbu(B) ; C04-J-6275
(ucs-set-char #x9E97 ?$(CUr(B) ; KS0-C-5572
(ucs-set-char #x9E97 ?$(Gy^(B) ; C01-G-795E
(ucs-set-char #x9E97 ?$@No(B) ; J78-@-4E6F
(ucs-set-char #x9E97 ?$BNo(B) ; J83-B-4E6F
(ucs-set-char #x9E98 ?$(Dle(B) ; J90-D-6C65
(ucs-set-char #x9E98 ?$(I^!(B) ; C03-I-5E21
(ucs-set-char #x9E99 ?$(Hk?(B) ; C02-H-6B3F
(ucs-set-char #x9E9A ?$(HkA(B) ; C02-H-6B41
(ucs-set-char #x9E9B ?$(Dlf(B) ; J90-D-6C66
(ucs-set-char #x9E9B ?$(Hk@(B) ; C02-H-6B40
(ucs-set-char #x9E9C ?$(Hm8(B) ; C02-H-6D38
(ucs-set-char #x9E9D ?$(C^z(B) ; KS0-C-5E7A
(ucs-set-char #x9E9D ?$(G{Q(B) ; C01-G-7B51
(ucs-set-char #x9E9D ?$@sM(B) ; J78-@-734D
(ucs-set-char #x9E9D ?$Awj(B) ; GB0-A-776A
(ucs-set-char #x9E9D ?$BsM(B) ; J83-B-734D
(ucs-set-char #x9E9E ?$(Dlg(B) ; J90-D-6C67
(ucs-set-char #x9E9E ?$(I_:(B) ; C03-I-5F3A
(ucs-set-char #x9E9F ?$(CWx(B) ; KS0-C-5778
(ucs-set-char #x9E9F ?$(G|[(B) ; C01-G-7C5B
(ucs-set-char #x9E9F ?$@N[(B) ; J78-@-4E5B
(ucs-set-char #x9E9F ?$Awk(B) ; GB0-A-776B
(ucs-set-char #x9E9F ?$BN[(B) ; J83-B-4E5B
(ucs-set-char #x9EA0 ?$(Hpv(B) ; C02-H-7076
(ucs-set-char #x9EA1 ?$(HqR(B) ; C02-H-7152
(ucs-set-char #x9EA2 ?$(Ib1(B) ; C03-I-6231
(ucs-set-char #x9EA3 ?$(Ib?(B) ; C03-I-623F
(ucs-set-char #x9EA4 ?$(Dlh(B) ; J90-D-6C68
(ucs-set-char #x9EA4 ?$(HrA(B) ; C02-H-7241
(ucs-set-char #x9EA5 ?$(CXj(B) ; KS0-C-586A
(ucs-set-char #x9EA5 ?$(G^'(B) ; C01-G-5E27
(ucs-set-char #x9EA5 ?$@sN(B) ; J78-@-734E
(ucs-set-char #x9EA5 ?$BsN(B) ; J83-B-734E
(ucs-set-char #x9EA6 ?$(I%G(B) ; C03-I-2547
(ucs-set-char #x9EA6 ?$@G~(B) ; J78-@-477E
(ucs-set-char #x9EA6 ?$ABs(B) ; GB0-A-4273
(ucs-set-char #x9EA6 ?$BG~(B) ; J83-B-477E
(ucs-set-char #x9EA7 ?$(HOM(B) ; C02-H-4F4D
(ucs-set-char #x9EA8 ?$(Dli(B) ; J90-D-6C69
(ucs-set-char #x9EA8 ?$(JOL(B) ; C04-J-4F4C
(ucs-set-char #x9EA9 ?$(Gp+(B) ; C01-G-702B
(ucs-set-char #x9EA9 ?$@sO(B) ; J78-@-734F
(ucs-set-char #x9EA9 ?$BsO(B) ; J83-B-734F
(ucs-set-char #x9EAA ?$(IP/(B) ; C03-I-502F
(ucs-set-char #x9EAA ?$@sQ(B) ; J78-@-7351
(ucs-set-char #x9EAA ?$BsQ(B) ; J83-B-7351
(ucs-set-char #x9EAB ?$(IP.(B) ; C03-I-502E
(ucs-set-char #x9EAC ?$(Dlj(B) ; J90-D-6C6A
(ucs-set-char #x9EAC ?$(IT:(B) ; C03-I-543A
(ucs-set-char #x9EAD ?$(H\?(B) ; C02-H-5C3F
(ucs-set-char #x9EAD ?$@sR(B) ; J78-@-7352
(ucs-set-char #x9EAD ?$BsR(B) ; J83-B-7352
(ucs-set-char #x9EAE ?$(Dlk(B) ; J90-D-6C6B
(ucs-set-char #x9EAE ?$(H\>(B) ; C02-H-5C3E
(ucs-set-char #x9EAF ?$(Dll(B) ; J90-D-6C6C
(ucs-set-char #x9EAF ?$(IWP(B) ; C03-I-5750
(ucs-set-char #x9EB0 ?$(Dlm(B) ; J90-D-6C6D
(ucs-set-char #x9EB0 ?$(Ha9(B) ; C02-H-6139
(ucs-set-char #x9EB1 ?$(IZ&(B) ; C03-I-5A26
(ucs-set-char #x9EB2 ?$(IZ%(B) ; C03-I-5A25
(ucs-set-char #x9EB3 ?$(Dln(B) ; J90-D-6C6E
(ucs-set-char #x9EB3 ?$(Jb~(B) ; C04-J-627E
(ucs-set-char #x9EB4 ?$(COU(B) ; KS0-C-4F55
(ucs-set-char #x9EB4 ?$(Dlo(B) ; J90-D-6C6F
(ucs-set-char #x9EB4 ?$(Gy`(B) ; C01-G-7960
(ucs-set-char #x9EB4 ?$@9m(B) ; J78-@-396D
(ucs-set-char #x9EB4 ?$Atp(B) ; GB0-A-7470
(ucs-set-char #x9EB5 ?$(CX}(B) ; KS0-C-587D
(ucs-set-char #x9EB5 ?$(Dlp(B) ; J90-D-6C70
(ucs-set-char #x9EB5 ?$(Gz\(B) ; C01-G-7A5C
(ucs-set-char #x9EB5 ?$@LM(B) ; J78-@-4C4D
(ucs-set-char #x9EB6 ?$(Hnt(B) ; C02-H-6E74
(ucs-set-char #x9EB7 ?$(Hr9(B) ; C02-H-7239
(ucs-set-char #x9EB8 ?$@sP(B) ; J78-@-7350
(ucs-set-char #x9EB8 ?$Ato(B) ; GB0-A-746F
(ucs-set-char #x9EB8 ?$BsP(B) ; J83-B-7350
(ucs-set-char #x9EB9 ?$B9m(B) ; J83-B-396D
(ucs-set-char #x9EBA ?$BLM(B) ; J83-B-4C4D
(ucs-set-char #x9EBB ?$(CX+(B) ; KS0-C-582B
(ucs-set-char #x9EBB ?$(G^((B) ; C01-G-5E28
(ucs-set-char #x9EBB ?$(LF>(B) ; C06-L-463E
(ucs-set-char #x9EBB ?$@Kc(B) ; J78-@-4B63
(ucs-set-char #x9EBB ?$ABi(B) ; GB0-A-4269
(ucs-set-char #x9EBB ?$BKc(B) ; J83-B-4B63
(ucs-set-char #x9EBC ?$(Gk{(B) ; C01-G-6B7B
(ucs-set-char #x9EBC ?$@Vw(B) ; J78-@-5677
(ucs-set-char #x9EBC ?$BVw(B) ; J83-B-5677
(ucs-set-char #x9EBD ?$(IK"(B) ; C03-I-4B22
(ucs-set-char #x9EBD ?$Awa(B) ; GB0-A-7761
(ucs-set-char #x9EBE ?$(C}K(B) ; KS0-C-7D4B
(ucs-set-char #x9EBE ?$(Gp,(B) ; C01-G-702C
(ucs-set-char #x9EBE ?$@]`(B) ; J78-@-5D60
(ucs-set-char #x9EBE ?$Awb(B) ; GB0-A-7762
(ucs-set-char #x9EBE ?$B]`(B) ; J83-B-5D60
(ucs-set-char #x9EBF ?$@K{(B) ; J78-@-4B7B
(ucs-set-char #x9EBF ?$BK{(B) ; J83-B-4B7B
(ucs-set-char #x9EC0 ?$(Hha(B) ; C02-H-6861
(ucs-set-char #x9EC1 ?$(I^"(B) ; C03-I-5E22
(ucs-set-char #x9EC2 ?$(Hp$(B) ; C02-H-7024
(ucs-set-char #x9EC3 ?$(C|\(B) ; KS0-C-7C5C
(ucs-set-char #x9EC3 ?$(Gc'(B) ; C01-G-6327
(ucs-set-char #x9EC4 ?$(I9j(B) ; C03-I-396A
(ucs-set-char #x9EC4 ?$@2+(B) ; J78-@-322B
(ucs-set-char #x9EC4 ?$A;F(B) ; GB0-A-3B46
(ucs-set-char #x9EC4 ?$B2+(B) ; J83-B-322B
(ucs-set-char #x9EC5 ?$(IT<(B) ; C03-I-543C
(ucs-set-char #x9EC6 ?$(Dlq(B) ; J90-D-6C71
(ucs-set-char #x9EC6 ?$(IT;(B) ; C03-I-543B
(ucs-set-char #x9EC7 ?$(JZ](B) ; C04-J-5A5D
(ucs-set-char #x9EC8 ?$(Dlr(B) ; J90-D-6C72
(ucs-set-char #x9EC8 ?$(Ha:(B) ; C02-H-613A
(ucs-set-char #x9EC9 ?$AYd(B) ; GB0-A-5964
(ucs-set-char #x9ECA ?$(IZ((B) ; C03-I-5A28
(ucs-set-char #x9ECB ?$(Dls(B) ; J90-D-6C73
(ucs-set-char #x9ECB ?$(J_>(B) ; C04-J-5F3E
(ucs-set-char #x9ECC ?$(G}1(B) ; C01-G-7D31
(ucs-set-char #x9ECC ?$@sT(B) ; J78-@-7354
(ucs-set-char #x9ECC ?$BsT(B) ; J83-B-7354
(ucs-set-char #x9ECD ?$(C`((B) ; KS0-C-6028
(ucs-set-char #x9ECD ?$(Gc((B) ; C01-G-6328
(ucs-set-char #x9ECD ?$@5P(B) ; J78-@-3550
(ucs-set-char #x9ECD ?$AJr(B) ; GB0-A-4A72
(ucs-set-char #x9ECD ?$B5P(B) ; J83-B-3550
(ucs-set-char #x9ECE ?$(CUs(B) ; KS0-C-5573
(ucs-set-char #x9ECE ?$(Gp-(B) ; C01-G-702D
(ucs-set-char #x9ECE ?$@sU(B) ; J78-@-7355
(ucs-set-char #x9ECE ?$A@h(B) ; GB0-A-4068
(ucs-set-char #x9ECE ?$BsU(B) ; J83-B-7355
(ucs-set-char #x9ECF ?$(Gv4(B) ; C01-G-7634
(ucs-set-char #x9ECF ?$@sV(B) ; J78-@-7356
(ucs-set-char #x9ECF ?$Ap$(B) ; GB0-A-7024
(ucs-set-char #x9ECF ?$BsV(B) ; J83-B-7356
(ucs-set-char #x9ED0 ?$(Hp%(B) ; C02-H-7025
(ucs-set-char #x9ED0 ?$@sW(B) ; J78-@-7357
(ucs-set-char #x9ED0 ?$BsW(B) ; J83-B-7357
(ucs-set-char #x9ED1 ?$(C}Y(B) ; KS0-C-7D59
(ucs-set-char #x9ED1 ?$(Gc)(B) ; C01-G-6329
(ucs-set-char #x9ED1 ?$A:Z(B) ; GB0-A-3A5A
(ucs-set-char #x9ED2 ?$(I9k(B) ; C03-I-396B
(ucs-set-char #x9ED2 ?$@9u(B) ; J78-@-3975
(ucs-set-char #x9ED2 ?$B9u(B) ; J83-B-3975
(ucs-set-char #x9ED3 ?$(HV<(B) ; C02-H-563C
(ucs-set-char #x9ED4 ?$(CL#(B) ; KS0-C-4C23
(ucs-set-char #x9ED4 ?$(Gs=(B) ; C01-G-733D
(ucs-set-char #x9ED4 ?$@sX(B) ; J78-@-7358
(ucs-set-char #x9ED4 ?$AG-(B) ; GB0-A-472D
(ucs-set-char #x9ED4 ?$BsX(B) ; J83-B-7358
(ucs-set-char #x9ED5 ?$(Dlt(B) ; J90-D-6C74
(ucs-set-char #x9ED5 ?$(H\@(B) ; C02-H-5C40
(ucs-set-char #x9ED6 ?$(H\A(B) ; C02-H-5C41
(ucs-set-char #x9ED7 ?$(IT=(B) ; C03-I-543D
(ucs-set-char #x9ED8 ?$(CYy(B) ; KS0-C-5979
(ucs-set-char #x9ED8 ?$(Gs<(B) ; C01-G-733C
(ucs-set-char #x9ED8 ?$@`T(B) ; J78-@-6054
(ucs-set-char #x9ED8 ?$AD,(B) ; GB0-A-442C
(ucs-set-char #x9ED8 ?$B`T(B) ; J83-B-6054
(ucs-set-char #x9ED9 ?$(JU`(B) ; C04-J-5560
(ucs-set-char #x9ED9 ?$@L[(B) ; J78-@-4C5B
(ucs-set-char #x9ED9 ?$BL[(B) ; J83-B-4C5B
(ucs-set-char #x9EDA ?$(Ha;(B) ; C02-H-613B
(ucs-set-char #x9EDB ?$(CSj(B) ; KS0-C-536A
(ucs-set-char #x9EDB ?$(Gv8(B) ; C01-G-7638
(ucs-set-char #x9EDB ?$@Bc(B) ; J78-@-4263
(ucs-set-char #x9EDB ?$Awl(B) ; GB0-A-776C
(ucs-set-char #x9EDB ?$BBc(B) ; J83-B-4263
(ucs-set-char #x9EDC ?$(Cuu(B) ; KS0-C-7575
(ucs-set-char #x9EDC ?$(Gv6(B) ; C01-G-7636
(ucs-set-char #x9EDC ?$@sY(B) ; J78-@-7359
(ucs-set-char #x9EDC ?$Awm(B) ; GB0-A-776D
(ucs-set-char #x9EDC ?$BsY(B) ; J83-B-7359
(ucs-set-char #x9EDD ?$(Gv7(B) ; C01-G-7637
(ucs-set-char #x9EDD ?$@s[(B) ; J78-@-735B
(ucs-set-char #x9EDD ?$Awn(B) ; GB0-A-776E
(ucs-set-char #x9EDD ?$Bs[(B) ; J83-B-735B
(ucs-set-char #x9EDE ?$(CoG(B) ; KS0-C-6F47
(ucs-set-char #x9EDE ?$(Gv5(B) ; C01-G-7635
(ucs-set-char #x9EDE ?$@sZ(B) ; J78-@-735A
(ucs-set-char #x9EDE ?$BsZ(B) ; J83-B-735A
(ucs-set-char #x9EDF ?$(Dlu(B) ; J90-D-6C75
(ucs-set-char #x9EDF ?$(He,(B) ; C02-H-652C
(ucs-set-char #x9EDF ?$Awp(B) ; GB0-A-7770
(ucs-set-char #x9EE0 ?$(Gx((B) ; C01-G-7828
(ucs-set-char #x9EE0 ?$@s\(B) ; J78-@-735C
(ucs-set-char #x9EE0 ?$Awo(B) ; GB0-A-776F
(ucs-set-char #x9EE0 ?$Bs\(B) ; J83-B-735C
(ucs-set-char #x9EE2 ?$Awq(B) ; GB0-A-7771
(ucs-set-char #x9EE3 ?$(I\*(B) ; C03-I-5C2A
(ucs-set-char #x9EE4 ?$(Dlv(B) ; J90-D-6C76
(ucs-set-char #x9EE4 ?$(HkC(B) ; C02-H-6B43
(ucs-set-char #x9EE5 ?$(HkB(B) ; C02-H-6B42
(ucs-set-char #x9EE5 ?$@s](B) ; J78-@-735D
(ucs-set-char #x9EE5 ?$Awt(B) ; GB0-A-7774
(ucs-set-char #x9EE5 ?$Bs](B) ; J83-B-735D
(ucs-set-char #x9EE6 ?$(HkE(B) ; C02-H-6B45
(ucs-set-char #x9EE7 ?$(Dlw(B) ; J90-D-6C77
(ucs-set-char #x9EE7 ?$(HkD(B) ; C02-H-6B44
(ucs-set-char #x9EE7 ?$Aws(B) ; GB0-A-7773
(ucs-set-char #x9EE8 ?$(CSZ(B) ; KS0-C-535A
(ucs-set-char #x9EE8 ?$(Gz](B) ; C01-G-7A5D
(ucs-set-char #x9EE8 ?$@s^(B) ; J78-@-735E
(ucs-set-char #x9EE8 ?$Bs^(B) ; J83-B-735E
(ucs-set-char #x9EE9 ?$Awr(B) ; GB0-A-7772
(ucs-set-char #x9EEA ?$Awu(B) ; GB0-A-7775
(ucs-set-char #x9EEB ?$(Hm9(B) ; C02-H-6D39
(ucs-set-char #x9EEC ?$(Dlx(B) ; J90-D-6C78
(ucs-set-char #x9EEC ?$(JhV(B) ; C04-J-6856
(ucs-set-char #x9EED ?$(Dly(B) ; J90-D-6C79
(ucs-set-char #x9EED ?$(Hm;(B) ; C02-H-6D3B
(ucs-set-char #x9EEE ?$(Dlz(B) ; J90-D-6C7A
(ucs-set-char #x9EEE ?$(Hm:(B) ; C02-H-6D3A
(ucs-set-char #x9EEF ?$(G{R(B) ; C01-G-7B52
(ucs-set-char #x9EEF ?$@s_(B) ; J78-@-735F
(ucs-set-char #x9EEF ?$Awv(B) ; GB0-A-7776
(ucs-set-char #x9EEF ?$Bs_(B) ; J83-B-735F
(ucs-set-char #x9EF0 ?$(Dl{(B) ; J90-D-6C7B
(ucs-set-char #x9EF0 ?$(Hnu(B) ; C02-H-6E75
(ucs-set-char #x9EF1 ?$(Dl|(B) ; J90-D-6C7C
(ucs-set-char #x9EF1 ?$(I`)(B) ; C03-I-6029
(ucs-set-char #x9EF2 ?$(Dl}(B) ; J90-D-6C7D
(ucs-set-char #x9EF2 ?$(Hp&(B) ; C02-H-7026
(ucs-set-char #x9EF3 ?$(Hp'(B) ; C02-H-7027
(ucs-set-char #x9EF4 ?$(CZ=(B) ; KS0-C-5A3D
(ucs-set-char #x9EF4 ?$(G|\(B) ; C01-G-7C5C
(ucs-set-char #x9EF4 ?$@s`(B) ; J78-@-7360
(ucs-set-char #x9EF4 ?$Bs`(B) ; J83-B-7360
(ucs-set-char #x9EF5 ?$(Dl~(B) ; J90-D-6C7E
(ucs-set-char #x9EF5 ?$(HqS(B) ; C02-H-7153
(ucs-set-char #x9EF6 ?$(Hqm(B) ; C02-H-716D
(ucs-set-char #x9EF6 ?$@sa(B) ; J78-@-7361
(ucs-set-char #x9EF6 ?$Bsa(B) ; J83-B-7361
(ucs-set-char #x9EF7 ?$(G}B(B) ; C01-G-7D42
(ucs-set-char #x9EF7 ?$@sb(B) ; J78-@-7362
(ucs-set-char #x9EF7 ?$Bsb(B) ; J83-B-7362
(ucs-set-char #x9EF8 ?$(Dm!(B) ; J90-D-6D21
(ucs-set-char #x9EF8 ?$(JnC(B) ; C04-J-6E43
(ucs-set-char #x9EF9 ?$(HAU(B) ; C02-H-4155
(ucs-set-char #x9EF9 ?$@sc(B) ; J78-@-7363
(ucs-set-char #x9EF9 ?$Ami(B) ; GB0-A-6D69
(ucs-set-char #x9EF9 ?$Bsc(B) ; J83-B-7363
(ucs-set-char #x9EFA ?$(H\B(B) ; C02-H-5C42
(ucs-set-char #x9EFB ?$(Ha<(B) ; C02-H-613C
(ucs-set-char #x9EFB ?$@sd(B) ; J78-@-7364
(ucs-set-char #x9EFB ?$Amj(B) ; GB0-A-6D6A
(ucs-set-char #x9EFB ?$Bsd(B) ; J83-B-7364
(ucs-set-char #x9EFC ?$(Hhb(B) ; C02-H-6862
(ucs-set-char #x9EFC ?$@se(B) ; J78-@-7365
(ucs-set-char #x9EFC ?$Amk(B) ; GB0-A-6D6B
(ucs-set-char #x9EFC ?$Bse(B) ; J83-B-7365
(ucs-set-char #x9EFD ?$(HHu(B) ; C02-H-4875
(ucs-set-char #x9EFD ?$@sf(B) ; J78-@-7366
(ucs-set-char #x9EFD ?$Bsf(B) ; J83-B-7366
(ucs-set-char #x9EFE ?$(I'r(B) ; C03-I-2772
(ucs-set-char #x9EFE ?$Av<(B) ; GB0-A-763C
(ucs-set-char #x9EFF ?$(Dm"(B) ; J90-D-6D22
(ucs-set-char #x9EFF ?$(Ha=(B) ; C02-H-613D
(ucs-set-char #x9F00 ?$(He.(B) ; C02-H-652E
(ucs-set-char #x9F01 ?$(He-(B) ; C02-H-652D
(ucs-set-char #x9F02 ?$(Dm#(B) ; J90-D-6D23
(ucs-set-char #x9F02 ?$(IZ)(B) ; C03-I-5A29
(ucs-set-char #x9F03 ?$(Dm$(B) ; J90-D-6D24
(ucs-set-char #x9F03 ?$(I\-(B) ; C03-I-5C2D
(ucs-set-char #x9F04 ?$(I\.(B) ; C03-I-5C2E
(ucs-set-char #x9F05 ?$(I_<(B) ; C03-I-5F3C
(ucs-set-char #x9F06 ?$(Hp((B) ; C02-H-7028
(ucs-set-char #x9F07 ?$(Ch((B) ; KS0-C-6828
(ucs-set-char #x9F07 ?$(G|}(B) ; C01-G-7C7D
(ucs-set-char #x9F07 ?$@sg(B) ; J78-@-7367
(ucs-set-char #x9F07 ?$Bsg(B) ; J83-B-7367
(ucs-set-char #x9F08 ?$(C\/(B) ; KS0-C-5C2F
(ucs-set-char #x9F08 ?$(Ia_(B) ; C03-I-615F
(ucs-set-char #x9F08 ?$@sh(B) ; J78-@-7368
(ucs-set-char #x9F08 ?$Bsh(B) ; J83-B-7368
(ucs-set-char #x9F09 ?$(Dm%(B) ; J90-D-6D25
(ucs-set-char #x9F09 ?$(HqT(B) ; C02-H-7154
(ucs-set-char #x9F0A ?$(Hqn(B) ; C02-H-716E
(ucs-set-char #x9F0B ?$Av=(B) ; GB0-A-763D
(ucs-set-char #x9F0D ?$Av>(B) ; GB0-A-763E
(ucs-set-char #x9F0E ?$(Cp#(B) ; KS0-C-7023
(ucs-set-char #x9F0E ?$(Ggo(B) ; C01-G-676F
(ucs-set-char #x9F0E ?$@E$(B) ; J78-@-4524
(ucs-set-char #x9F0E ?$A6&(B) ; GB0-A-3626
(ucs-set-char #x9F0E ?$BE$(B) ; J83-B-4524
(ucs-set-char #x9F0F ?$(Dm&(B) ; J90-D-6D26
(ucs-set-char #x9F0F ?$(HV=(B) ; C02-H-563D
(ucs-set-char #x9F10 ?$(Dm'(B) ; J90-D-6D27
(ucs-set-char #x9F10 ?$(HV>(B) ; C02-H-563E
(ucs-set-char #x9F10 ?$AX>(B) ; GB0-A-583E
(ucs-set-char #x9F11 ?$(Dm((B) ; J90-D-6D28
(ucs-set-char #x9F11 ?$(JOV(B) ; C04-J-4F56
(ucs-set-char #x9F12 ?$(Dm)(B) ; J90-D-6D29
(ucs-set-char #x9F12 ?$(H\C(B) ; C02-H-5C43
(ucs-set-char #x9F13 ?$(CMU(B) ; KS0-C-4D55
(ucs-set-char #x9F13 ?$(Ggp(B) ; C01-G-6770
(ucs-set-char #x9F13 ?$@8](B) ; J78-@-385D
(ucs-set-char #x9F13 ?$A9D(B) ; GB0-A-3944
(ucs-set-char #x9F13 ?$B8](B) ; J83-B-385D
(ucs-set-char #x9F14 ?$(Dm*(B) ; J90-D-6D2A
(ucs-set-char #x9F14 ?$(IEj(B) ; C03-I-456A
(ucs-set-char #x9F15 ?$(Gx)(B) ; C01-G-7829
(ucs-set-char #x9F15 ?$@sj(B) ; J78-@-736A
(ucs-set-char #x9F15 ?$Bsj(B) ; J83-B-736A
(ucs-set-char #x9F16 ?$(Dm+(B) ; J90-D-6D2B
(ucs-set-char #x9F16 ?$(He/(B) ; C02-H-652F
(ucs-set-char #x9F17 ?$(Dm,(B) ; J90-D-6D2C
(ucs-set-char #x9F17 ?$(I\0(B) ; C03-I-5C30
(ucs-set-char #x9F17 ?$AX;(B) ; GB0-A-583B
(ucs-set-char #x9F18 ?$(Hm=(B) ; C02-H-6D3D
(ucs-set-char #x9F19 ?$(Dm-(B) ; J90-D-6D2D
(ucs-set-char #x9F19 ?$(G{S(B) ; C01-G-7B53
(ucs-set-char #x9F19 ?$A\1(B) ; GB0-A-5C31
(ucs-set-char #x9F1A ?$(Dm.(B) ; J90-D-6D2E
(ucs-set-char #x9F1A ?$(Hm>(B) ; C02-H-6D3E
(ucs-set-char #x9F1B ?$(Dm/(B) ; J90-D-6D2F
(ucs-set-char #x9F1B ?$(Hm<(B) ; C02-H-6D3C
(ucs-set-char #x9F1C ?$(Hp)(B) ; C02-H-7029
(ucs-set-char #x9F1D ?$(Ia`(B) ; C03-I-6160
(ucs-set-char #x9F1E ?$(Hpw(B) ; C02-H-7077
(ucs-set-char #x9F1F ?$(Dm0(B) ; J90-D-6D30
(ucs-set-char #x9F1F ?$(JmH(B) ; C04-J-6D48
(ucs-set-char #x9F20 ?$(C`)(B) ; KS0-C-6029
(ucs-set-char #x9F20 ?$(Ggq(B) ; C01-G-6771
(ucs-set-char #x9F20 ?$@AM(B) ; J78-@-414D
(ucs-set-char #x9F20 ?$AJs(B) ; GB0-A-4A73
(ucs-set-char #x9F20 ?$BAM(B) ; J83-B-414D
(ucs-set-char #x9F21 ?$@sk(B) ; J78-@-736B
(ucs-set-char #x9F21 ?$Bsk(B) ; J83-B-736B
(ucs-set-char #x9F22 ?$(Dm1(B) ; J90-D-6D31
(ucs-set-char #x9F22 ?$(Ha@(B) ; C02-H-6140
(ucs-set-char #x9F22 ?$Aww(B) ; GB0-A-7777
(ucs-set-char #x9F23 ?$(Ha?(B) ; C02-H-613F
(ucs-set-char #x9F24 ?$(Ha>(B) ; C02-H-613E
(ucs-set-char #x9F25 ?$(He0(B) ; C02-H-6530
(ucs-set-char #x9F26 ?$(Dm2(B) ; J90-D-6D32
(ucs-set-char #x9F26 ?$(IZ+(B) ; C03-I-5A2B
(ucs-set-char #x9F27 ?$(IZ*(B) ; C03-I-5A2A
(ucs-set-char #x9F28 ?$(He4(B) ; C02-H-6534
(ucs-set-char #x9F29 ?$(He3(B) ; C02-H-6533
(ucs-set-char #x9F2A ?$(Dm3(B) ; J90-D-6D33
(ucs-set-char #x9F2A ?$(He2(B) ; C02-H-6532
(ucs-set-char #x9F2B ?$(Dm4(B) ; J90-D-6D34
(ucs-set-char #x9F2B ?$(He1(B) ; C02-H-6531
(ucs-set-char #x9F2C ?$(Gx*(B) ; C01-G-782A
(ucs-set-char #x9F2C ?$@sl(B) ; J78-@-736C
(ucs-set-char #x9F2C ?$Awx(B) ; GB0-A-7778
(ucs-set-char #x9F2C ?$Bsl(B) ; J83-B-736C
(ucs-set-char #x9F2D ?$(Hhc(B) ; C02-H-6863
(ucs-set-char #x9F2E ?$(HkG(B) ; C02-H-6B47
(ucs-set-char #x9F2F ?$(Dm5(B) ; J90-D-6D35
(ucs-set-char #x9F2F ?$(Gz^(B) ; C01-G-7A5E
(ucs-set-char #x9F2F ?$Awy(B) ; GB0-A-7779
(ucs-set-char #x9F30 ?$(HkF(B) ; C02-H-6B46
(ucs-set-char #x9F31 ?$(Dm6(B) ; J90-D-6D36
(ucs-set-char #x9F31 ?$(Hm?(B) ; C02-H-6D3F
(ucs-set-char #x9F32 ?$(Dm7(B) ; J90-D-6D37
(ucs-set-char #x9F32 ?$(Hnx(B) ; C02-H-6E78
(ucs-set-char #x9F33 ?$(Hnw(B) ; C02-H-6E77
(ucs-set-char #x9F34 ?$(Dm8(B) ; J90-D-6D38
(ucs-set-char #x9F34 ?$(G|0(B) ; C01-G-7C30
(ucs-set-char #x9F35 ?$(Hnv(B) ; C02-H-6E76
(ucs-set-char #x9F36 ?$(Hp,(B) ; C02-H-702C
(ucs-set-char #x9F37 ?$(Dm9(B) ; J90-D-6D39
(ucs-set-char #x9F37 ?$(Hp+(B) ; C02-H-702B
(ucs-set-char #x9F37 ?$Aw{(B) ; GB0-A-777B
(ucs-set-char #x9F38 ?$(Hp*(B) ; C02-H-702A
(ucs-set-char #x9F39 ?$(Dm:(B) ; J90-D-6D3A
(ucs-set-char #x9F39 ?$(I`m(B) ; C03-I-606D
(ucs-set-char #x9F39 ?$Awz(B) ; GB0-A-777A
(ucs-set-char #x9F3A ?$(Dm;(B) ; J90-D-6D3B
(ucs-set-char #x9F3A ?$(JnD(B) ; C04-J-6E44
(ucs-set-char #x9F3B ?$(C^,(B) ; KS0-C-5E2C
(ucs-set-char #x9F3B ?$(Gk|(B) ; C01-G-6B7C
(ucs-set-char #x9F3B ?$@I!(B) ; J78-@-4921
(ucs-set-char #x9F3B ?$A1G(B) ; GB0-A-3147
(ucs-set-char #x9F3B ?$BI!(B) ; J83-B-4921
(ucs-set-char #x9F3C ?$(Dm<(B) ; J90-D-6D3C
(ucs-set-char #x9F3C ?$(JUc(B) ; C04-J-5563
(ucs-set-char #x9F3D ?$(Dm=(B) ; J90-D-6D3D
(ucs-set-char #x9F3D ?$(H\D(B) ; C02-H-5C44
(ucs-set-char #x9F3D ?$Aw|(B) ; GB0-A-777C
(ucs-set-char #x9F3E ?$(Gv9(B) ; C01-G-7639
(ucs-set-char #x9F3E ?$@sm(B) ; J78-@-736D
(ucs-set-char #x9F3E ?$Aw}(B) ; GB0-A-777D
(ucs-set-char #x9F3E ?$Bsm(B) ; J83-B-736D
(ucs-set-char #x9F3F ?$(Dm>(B) ; J90-D-6D3E
(ucs-set-char #x9F3F ?$(JZd(B) ; C04-J-5A64
(ucs-set-char #x9F40 ?$(Hhd(B) ; C02-H-6864
(ucs-set-char #x9F41 ?$(Dm?(B) ; J90-D-6D3F
(ucs-set-char #x9F41 ?$(Hhe(B) ; C02-H-6865
(ucs-set-char #x9F42 ?$(Hny(B) ; C02-H-6E79
(ucs-set-char #x9F43 ?$(Dm@(B) ; J90-D-6D40
(ucs-set-char #x9F43 ?$(Hp-(B) ; C02-H-702D
(ucs-set-char #x9F44 ?$(DmA(B) ; J90-D-6D41
(ucs-set-char #x9F44 ?$(Jk\(B) ; C04-J-6B5C
(ucs-set-char #x9F44 ?$Aw~(B) ; GB0-A-777E
(ucs-set-char #x9F45 ?$(DmB(B) ; J90-D-6D42
(ucs-set-char #x9F45 ?$(Ia;(B) ; C03-I-613B
(ucs-set-char #x9F46 ?$(DmC(B) ; J90-D-6D43
(ucs-set-char #x9F46 ?$(Hpx(B) ; C02-H-7078
(ucs-set-char #x9F47 ?$(DmD(B) ; J90-D-6D44
(ucs-set-char #x9F47 ?$(HqU(B) ; C02-H-7155
(ucs-set-char #x9F48 ?$(Hr)(B) ; C02-H-7229
(ucs-set-char #x9F49 ?$(HrC(B) ; C02-H-7243
(ucs-set-char #x9F4A ?$(Cp:(B) ; KS0-C-703A
(ucs-set-char #x9F4A ?$(Gk}(B) ; C01-G-6B7D
(ucs-set-char #x9F4A ?$@sn(B) ; J78-@-736E
(ucs-set-char #x9F4A ?$Bsn(B) ; J83-B-736E
(ucs-set-char #x9F4B ?$(Cn1(B) ; KS0-C-6E31
(ucs-set-char #x9F4B ?$(Gv:(B) ; C01-G-763A
(ucs-set-char #x9F4B ?$@c7(B) ; J78-@-6337
(ucs-set-char #x9F4B ?$Bc7(B) ; J83-B-6337
(ucs-set-char #x9F4C ?$(He5(B) ; C02-H-6535
(ucs-set-char #x9F4D ?$(Hhf(B) ; C02-H-6866
(ucs-set-char #x9F4E ?$(Cn2(B) ; KS0-C-6E32
(ucs-set-char #x9F4E ?$(Hm@(B) ; C02-H-6D40
(ucs-set-char #x9F4E ?$@lZ(B) ; J78-@-6C5A
(ucs-set-char #x9F4E ?$BlZ(B) ; J83-B-6C5A
(ucs-set-char #x9F4F ?$(Hp.(B) ; C02-H-702E
(ucs-set-char #x9F4F ?$@pm(B) ; J78-@-706D
(ucs-set-char #x9F4F ?$Bpm(B) ; J83-B-706D
(ucs-set-char #x9F50 ?$(I#p(B) ; C03-I-2370
(ucs-set-char #x9F50 ?$AFk(B) ; GB0-A-466B
(ucs-set-char #x9F51 ?$Al4(B) ; GB0-A-6C34
(ucs-set-char #x9F52 ?$(CvM(B) ; KS0-C-764D
(ucs-set-char #x9F52 ?$(Gp/(B) ; C01-G-702F
(ucs-set-char #x9F52 ?$@so(B) ; J78-@-736F
(ucs-set-char #x9F52 ?$Bso(B) ; J83-B-736F
(ucs-set-char #x9F53 ?$(DmE(B) ; J90-D-6D45
(ucs-set-char #x9F53 ?$(IT>(B) ; C03-I-543E
(ucs-set-char #x9F54 ?$(HaA(B) ; C02-H-6141
(ucs-set-char #x9F54 ?$@sp(B) ; J78-@-7370
(ucs-set-char #x9F54 ?$Bsp(B) ; J83-B-7370
(ucs-set-char #x9F55 ?$(DmF(B) ; J90-D-6D46
(ucs-set-char #x9F55 ?$(He6(B) ; C02-H-6536
(ucs-set-char #x9F56 ?$(DmG(B) ; J90-D-6D47
(ucs-set-char #x9F56 ?$(Hhg(B) ; C02-H-6867
(ucs-set-char #x9F57 ?$(DmH(B) ; J90-D-6D48
(ucs-set-char #x9F57 ?$(Hhh(B) ; C02-H-6868
(ucs-set-char #x9F58 ?$(DmI(B) ; J90-D-6D49
(ucs-set-char #x9F58 ?$(Hhi(B) ; C02-H-6869
(ucs-set-char #x9F59 ?$(HkL(B) ; C02-H-6B4C
(ucs-set-char #x9F5A ?$(DmJ(B) ; J90-D-6D4A
(ucs-set-char #x9F5A ?$(I^$(B) ; C03-I-5E24
(ucs-set-char #x9F5B ?$(HkH(B) ; C02-H-6B48
(ucs-set-char #x9F5C ?$(G{T(B) ; C01-G-7B54
(ucs-set-char #x9F5D ?$(DmK(B) ; J90-D-6D4B
(ucs-set-char #x9F5D ?$(HkK(B) ; C02-H-6B4B
(ucs-set-char #x9F5E ?$(DmL(B) ; J90-D-6D4C
(ucs-set-char #x9F5E ?$(HkJ(B) ; C02-H-6B4A
(ucs-set-char #x9F5F ?$(CnR(B) ; KS0-C-6E52
(ucs-set-char #x9F5F ?$(Gz_(B) ; C01-G-7A5F
(ucs-set-char #x9F5F ?$@sr(B) ; J78-@-7372
(ucs-set-char #x9F5F ?$Bsr(B) ; J83-B-7372
(ucs-set-char #x9F60 ?$(HkI(B) ; C02-H-6B49
(ucs-set-char #x9F60 ?$@ss(B) ; J78-@-7373
(ucs-set-char #x9F60 ?$Bss(B) ; J83-B-7373
(ucs-set-char #x9F61 ?$(CVF(B) ; KS0-C-5646
(ucs-set-char #x9F61 ?$(Gza(B) ; C01-G-7A61
(ucs-set-char #x9F61 ?$@st(B) ; J78-@-7374
(ucs-set-char #x9F61 ?$Bst(B) ; J83-B-7374
(ucs-set-char #x9F62 ?$@Np(B) ; J78-@-4E70
(ucs-set-char #x9F62 ?$BNp(B) ; J83-B-4E70
(ucs-set-char #x9F63 ?$(Gz`(B) ; C01-G-7A60
(ucs-set-char #x9F63 ?$@sq(B) ; J78-@-7371
(ucs-set-char #x9F63 ?$Bsq(B) ; J83-B-7371
(ucs-set-char #x9F64 ?$(HmB(B) ; C02-H-6D42
(ucs-set-char #x9F65 ?$(HmA(B) ; C02-H-6D41
(ucs-set-char #x9F66 ?$(G{U(B) ; C01-G-7B55
(ucs-set-char #x9F66 ?$@su(B) ; J78-@-7375
(ucs-set-char #x9F66 ?$Bsu(B) ; J83-B-7375
(ucs-set-char #x9F67 ?$(C`e(B) ; KS0-C-6065
(ucs-set-char #x9F67 ?$(G{V(B) ; C01-G-7B56
(ucs-set-char #x9F67 ?$@sv(B) ; J78-@-7376
(ucs-set-char #x9F67 ?$Bsv(B) ; J83-B-7376
(ucs-set-char #x9F68 ?$(DmM(B) ; J90-D-6D4D
(ucs-set-char #x9F68 ?$(Jh`(B) ; C04-J-6860
(ucs-set-char #x9F69 ?$(DmN(B) ; J90-D-6D4E
(ucs-set-char #x9F69 ?$(I_>(B) ; C03-I-5F3E
(ucs-set-char #x9F6A ?$(Cs;(B) ; KS0-C-733B
(ucs-set-char #x9F6A ?$(G|2(B) ; C01-G-7C32
(ucs-set-char #x9F6A ?$@sx(B) ; J78-@-7378
(ucs-set-char #x9F6A ?$Bsx(B) ; J83-B-7378
(ucs-set-char #x9F6B ?$(Hnz(B) ; C02-H-6E7A
(ucs-set-char #x9F6C ?$(Cea(B) ; KS0-C-6561
(ucs-set-char #x9F6C ?$(G|1(B) ; C01-G-7C31
(ucs-set-char #x9F6C ?$@sw(B) ; J78-@-7377
(ucs-set-char #x9F6C ?$Bsw(B) ; J83-B-7377
(ucs-set-char #x9F6D ?$(DmO(B) ; J90-D-6D4F
(ucs-set-char #x9F6D ?$(Jka(B) ; C04-J-6B61
(ucs-set-char #x9F6E ?$(DmP(B) ; J90-D-6D50
(ucs-set-char #x9F6E ?$(Hp1(B) ; C02-H-7031
(ucs-set-char #x9F6F ?$(DmQ(B) ; J90-D-6D51
(ucs-set-char #x9F6F ?$(Hp2(B) ; C02-H-7032
(ucs-set-char #x9F70 ?$(DmR(B) ; J90-D-6D52
(ucs-set-char #x9F70 ?$(Hp0(B) ; C02-H-7030
(ucs-set-char #x9F71 ?$(DmS(B) ; J90-D-6D53
(ucs-set-char #x9F71 ?$(Hp/(B) ; C02-H-702F
(ucs-set-char #x9F72 ?$(G}!(B) ; C01-G-7D21
(ucs-set-char #x9F72 ?$@sz(B) ; J78-@-737A
(ucs-set-char #x9F72 ?$Bsz(B) ; J83-B-737A
(ucs-set-char #x9F73 ?$(DmT(B) ; J90-D-6D54
(ucs-set-char #x9F73 ?$(Jld(B) ; C04-J-6C64
(ucs-set-char #x9F74 ?$(Hpy(B) ; C02-H-7079
(ucs-set-char #x9F75 ?$(DmU(B) ; J90-D-6D55
(ucs-set-char #x9F75 ?$(Hpz(B) ; C02-H-707A
(ucs-set-char #x9F76 ?$(Hp{(B) ; C02-H-707B
(ucs-set-char #x9F76 ?$@s{(B) ; J78-@-737B
(ucs-set-char #x9F76 ?$Bs{(B) ; J83-B-737B
(ucs-set-char #x9F77 ?$(CdK(B) ; KS0-C-644B
(ucs-set-char #x9F77 ?$(G|~(B) ; C01-G-7C7E
(ucs-set-char #x9F77 ?$@sy(B) ; J78-@-7379
(ucs-set-char #x9F77 ?$Bsy(B) ; J83-B-7379
(ucs-set-char #x9F78 ?$(HqV(B) ; C02-H-7156
(ucs-set-char #x9F79 ?$(HqY(B) ; C02-H-7159
(ucs-set-char #x9F7A ?$(DmV(B) ; J90-D-6D56
(ucs-set-char #x9F7A ?$(HqX(B) ; C02-H-7158
(ucs-set-char #x9F7B ?$(HqW(B) ; C02-H-7157
(ucs-set-char #x9F7C ?$(Ib3(B) ; C03-I-6233
(ucs-set-char #x9F7D ?$(DmW(B) ; J90-D-6D57
(ucs-set-char #x9F7D ?$(JnE(B) ; C04-J-6E45
(ucs-set-char #x9F7E ?$(HrB(B) ; C02-H-7242
(ucs-set-char #x9F7F ?$A3](B) ; GB0-A-335D
(ucs-set-char #x9F80 ?$Av3(B) ; GB0-A-7633
(ucs-set-char #x9F83 ?$Av4(B) ; GB0-A-7634
(ucs-set-char #x9F84 ?$AAd(B) ; GB0-A-4164
(ucs-set-char #x9F85 ?$Av5(B) ; GB0-A-7635
(ucs-set-char #x9F86 ?$Av6(B) ; GB0-A-7636
(ucs-set-char #x9F87 ?$Av7(B) ; GB0-A-7637
(ucs-set-char #x9F88 ?$Av8(B) ; GB0-A-7638
(ucs-set-char #x9F89 ?$Av9(B) ; GB0-A-7639
(ucs-set-char #x9F8A ?$Av:(B) ; GB0-A-763A
(ucs-set-char #x9F8B ?$AH#(B) ; GB0-A-4823
(ucs-set-char #x9F8C ?$Av;(B) ; GB0-A-763B
(ucs-set-char #x9F8D ?$(CW#(B) ; KS0-C-5723
(ucs-set-char #x9F8D ?$(Gs>(B) ; C01-G-733E
(ucs-set-char #x9F8D ?$@N6(B) ; J78-@-4E36
(ucs-set-char #x9F8D ?$BN6(B) ; J83-B-4E36
(ucs-set-char #x9F8E ?$(IWU(B) ; C03-I-5755
(ucs-set-char #x9F8F ?$(DmX(B) ; J90-D-6D58
(ucs-set-char #x9F8F ?$(Jc-(B) ; C04-J-632D
(ucs-set-char #x9F90 ?$(C[B(B) ; KS0-C-5B42
(ucs-set-char #x9F90 ?$(DmY(B) ; J90-D-6D59
(ucs-set-char #x9F90 ?$(Gx2(B) ; C01-G-7832
(ucs-set-char #x9F91 ?$(DmZ(B) ; J90-D-6D5A
(ucs-set-char #x9F91 ?$(HkM(B) ; C02-H-6B4D
(ucs-set-char #x9F92 ?$(Dm[(B) ; J90-D-6D5B
(ucs-set-char #x9F92 ?$(HmC(B) ; C02-H-6D43
(ucs-set-char #x9F93 ?$(I`+(B) ; C03-I-602B
(ucs-set-char #x9F94 ?$(Dm\(B) ; J90-D-6D5C
(ucs-set-char #x9F94 ?$(G|3(B) ; C01-G-7C33
(ucs-set-char #x9F95 ?$(CJ~(B) ; KS0-C-4A7E
(ucs-set-char #x9F95 ?$(Hn{(B) ; C02-H-6E7B
(ucs-set-char #x9F95 ?$@s|(B) ; J78-@-737C
(ucs-set-char #x9F95 ?$Bs|(B) ; J83-B-737C
(ucs-set-char #x9F96 ?$(Dm](B) ; J90-D-6D5D
(ucs-set-char #x9F96 ?$(JnU(B) ; C04-J-6E55
(ucs-set-char #x9F97 ?$(Dm^(B) ; J90-D-6D5E
(ucs-set-char #x9F97 ?$(IbB(B) ; C03-I-6242
(ucs-set-char #x9F98 ?$(HrD(B) ; C02-H-7244
(ucs-set-char #x9F99 ?$AAz(B) ; GB0-A-417A
(ucs-set-char #x9F9A ?$A9((B) ; GB0-A-3928
(ucs-set-char #x9F9B ?$Amh(B) ; GB0-A-6D68
(ucs-set-char #x9F9C ?$(COO(B) ; KS0-C-4F4F
(ucs-set-char #x9F9C ?$(Gs?(B) ; C01-G-733F
(ucs-set-char #x9F9C ?$@s}(B) ; J78-@-737D
(ucs-set-char #x9F9C ?$Bs}(B) ; J83-B-737D
(ucs-set-char #x9F9D ?$(I^G(B) ; C03-I-5E47
(ucs-set-char #x9F9D ?$@cT(B) ; J78-@-6354
(ucs-set-char #x9F9D ?$BcT(B) ; J83-B-6354
(ucs-set-char #x9F9E ?$(Dm_(B) ; J90-D-6D5F
(ucs-set-char #x9F9E ?$(Jn3(B) ; C04-J-6E33
(ucs-set-char #x9F9F ?$A9j(B) ; GB0-A-396A

(ucs-set-char #x9FA0 ?$AY_(B) ; GB0-A-595F
(ucs-set-char #x9FA0 ?$(HaB(B) ; C02-H-6142
(ucs-set-char #x9FA0 ?$@s~(B) ; J78-@-737E
(ucs-set-char #x9FA0 ?$Bs~(B) ; J83-B-737E

(ucs-set-char #x9FA1 ?$(Dm`(B) ; J90-D-6D60
(ucs-set-char #x9FA1 ?$(I_?(B) ; C03-I-5F3F
(ucs-set-char #x9FA2 ?$(Dma(B) ; J90-D-6D61
(ucs-set-char #x9FA2 ?$(Hn|(B) ; C02-H-6E7C
(ucs-set-char #x9FA3 ?$(Dmb(B) ; J90-D-6D62
(ucs-set-char #x9FA3 ?$(Iaa(B) ; C03-I-6161
(ucs-set-char #x9FA4 ?$(Hqo(B) ; C02-H-716F
(ucs-set-char #x9FA5 ?$(Dmc(B) ; J90-D-6D63
(ucs-set-char #x9FA5 ?$(Iaw(B) ; C03-I-6177

;;; ucs-cjk.el ends here
